package cn.addapp.pickers.picker;

import android.app.Activity;
import cn.addapp.pickers.listeners.OnItemPickListener;

/* loaded from: classes.dex */
public class NumberPicker extends SinglePicker<Number> {
    public NumberPicker(Activity activity) {
        super(activity, new Number[0]);
    }

    public void setRange(int i, int i2) {
        setRange(i, i2, 1);
    }

    public void setRange(int i, int i2, int i3) {
        while (i <= i2) {
            addItem(Integer.valueOf(i));
            i += i3;
        }
    }

    public void setRange(double d, double d2, double d3) {
        while (d <= d2) {
            addItem(Double.valueOf(d));
            d += d3;
        }
    }

    public void setSelectedItem(int i) {
        super.setSelectedItem((NumberPicker) Integer.valueOf(i));
    }

    public void setSelectedItem(double d) {
        super.setSelectedItem((NumberPicker) Double.valueOf(d));
    }

    public void setOnNumberPickListener(OnNumberPickListener onNumberPickListener) {
        super.setOnItemPickListener(onNumberPickListener);
    }

    public static abstract class OnNumberPickListener implements OnItemPickListener<Number> {
        public abstract void onNumberPicked(int i, Number number);

        @Override // cn.addapp.pickers.listeners.OnItemPickListener
        public final void onItemPicked(int i, Number number) {
            onNumberPicked(i, number);
        }
    }
}
