package com.airbnb.lottie.animation.keyframe;

import com.airbnb.lottie.utils.MiscUtils;
import com.airbnb.lottie.value.Keyframe;
import java.util.List;

/* loaded from: classes.dex */
public class FloatKeyframeAnimation extends KeyframeAnimation<Float> {
    @Override // com.airbnb.lottie.animation.keyframe.BaseKeyframeAnimation
    /* bridge */ /* synthetic */ Object getValue(Keyframe keyframe, float f) {
        return getValue((Keyframe<Float>) keyframe, f);
    }

    public FloatKeyframeAnimation(List<Keyframe<Float>> list) {
        super(list);
    }

    /* JADX WARN: Type inference failed for: r1v1, types: [T, java.lang.Float] */
    @Override // com.airbnb.lottie.animation.keyframe.BaseKeyframeAnimation
    Float getValue(Keyframe<Float> keyframe, float f) {
        Float f2;
        Float f3 = keyframe.startValue;
        ?? valueOf = Float.valueOf(0.0f);
        if (f3 == null) {
            keyframe.startValue = valueOf;
        }
        if (keyframe.endValue == null) {
            keyframe.endValue = valueOf;
        }
        return (this.valueCallback == null || (f2 = (Float) this.valueCallback.getValueInternal(keyframe.startFrame, keyframe.endFrame.floatValue(), keyframe.startValue, keyframe.endValue, f, getLinearCurrentKeyframeProgress(), getProgress())) == null) ? Float.valueOf(MiscUtils.lerp(keyframe.startValue.floatValue(), keyframe.endValue.floatValue(), f)) : f2;
    }
}
