package com.amap.api.col.p0003sl;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Point;
import android.graphics.PointF;
import android.graphics.Rect;
import android.graphics.drawable.BitmapDrawable;
import android.location.Location;
import android.opengl.EGL14;
import android.opengl.EGLContext;
import android.opengl.GLES20;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.os.RemoteException;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.util.Log;
import android.util.Pair;
import android.util.Size;
import android.view.Display;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.view.WindowManager;
import com.amap.api.col.p0003sl.cv;
import com.amap.api.col.p0003sl.eg;
import com.amap.api.col.p0003sl.iq;
import com.amap.api.col.p0003sl.l;
import com.amap.api.maps.AMap;
import com.amap.api.maps.CameraUpdate;
import com.amap.api.maps.CustomRenderer;
import com.amap.api.maps.InfoWindowAnimationManager;
import com.amap.api.maps.LocationSource;
import com.amap.api.maps.MapsInitializer;
import com.amap.api.maps.Projection;
import com.amap.api.maps.UiSettings;
import com.amap.api.maps.interfaces.IGlOverlayLayer;
import com.amap.api.maps.model.AMapCameraInfo;
import com.amap.api.maps.model.AMapGestureListener;
import com.amap.api.maps.model.Arc;
import com.amap.api.maps.model.ArcOptions;
import com.amap.api.maps.model.BaseOptions;
import com.amap.api.maps.model.BaseOverlay;
import com.amap.api.maps.model.BuildingOverlay;
import com.amap.api.maps.model.CameraPosition;
import com.amap.api.maps.model.Circle;
import com.amap.api.maps.model.CircleOptions;
import com.amap.api.maps.model.CrossOverlay;
import com.amap.api.maps.model.CrossOverlayOptions;
import com.amap.api.maps.model.CustomMapStyleOptions;
import com.amap.api.maps.model.GL3DModel;
import com.amap.api.maps.model.GL3DModelOptions;
import com.amap.api.maps.model.GLTFOverlay;
import com.amap.api.maps.model.GLTFOverlayOptions;
import com.amap.api.maps.model.GroundOverlay;
import com.amap.api.maps.model.GroundOverlayOptions;
import com.amap.api.maps.model.HeatMapGridLayer;
import com.amap.api.maps.model.HeatMapGridLayerOptions;
import com.amap.api.maps.model.HeatMapLayer;
import com.amap.api.maps.model.HeatMapLayerOptions;
import com.amap.api.maps.model.HeatmapTileProvider;
import com.amap.api.maps.model.IndoorBuildingInfo;
import com.amap.api.maps.model.LatLng;
import com.amap.api.maps.model.LatLngBounds;
import com.amap.api.maps.model.MVTTileOverlay;
import com.amap.api.maps.model.MVTTileOverlayOptions;
import com.amap.api.maps.model.Marker;
import com.amap.api.maps.model.MarkerOptions;
import com.amap.api.maps.model.MultiPointItem;
import com.amap.api.maps.model.MultiPointOverlay;
import com.amap.api.maps.model.MultiPointOverlayOptions;
import com.amap.api.maps.model.MyLocationStyle;
import com.amap.api.maps.model.MyTrafficStyle;
import com.amap.api.maps.model.NavigateArrow;
import com.amap.api.maps.model.NavigateArrowOptions;
import com.amap.api.maps.model.Poi;
import com.amap.api.maps.model.Polygon;
import com.amap.api.maps.model.PolygonOptions;
import com.amap.api.maps.model.Polyline;
import com.amap.api.maps.model.PolylineOptions;
import com.amap.api.maps.model.RouteOverlay;
import com.amap.api.maps.model.Text;
import com.amap.api.maps.model.TextOptions;
import com.amap.api.maps.model.TileOverlay;
import com.amap.api.maps.model.TileOverlayOptions;
import com.amap.api.maps.model.TileProvider;
import com.amap.api.maps.model.amap3dmodeltile.AMap3DModelTileOverlay;
import com.amap.api.maps.model.amap3dmodeltile.AMap3DModelTileOverlayOptions;
import com.amap.api.maps.model.particle.ParticleOverlay;
import com.amap.api.maps.model.particle.ParticleOverlayOptions;
import com.autonavi.amap.api.mapcore.IGLMapState;
import com.autonavi.amap.mapcore.AbstractCameraUpdateMessage;
import com.autonavi.amap.mapcore.DPoint;
import com.autonavi.amap.mapcore.IPoint;
import com.autonavi.amap.mapcore.VirtualEarthProjection;
import com.autonavi.base.ae.gmap.AMapAppRequestParam;
import com.autonavi.base.ae.gmap.GLMapEngine;
import com.autonavi.base.ae.gmap.GLMapRender;
import com.autonavi.base.ae.gmap.GLMapState;
import com.autonavi.base.ae.gmap.MapPoi;
import com.autonavi.base.ae.gmap.bean.NativeTextGenerate;
import com.autonavi.base.ae.gmap.gesture.EAMapPlatformGestureInfo;
import com.autonavi.base.ae.gmap.gloverlay.BaseMapOverlay;
import com.autonavi.base.ae.gmap.gloverlay.CrossVectorOverlay;
import com.autonavi.base.ae.gmap.gloverlay.GLOverlayBundle;
import com.autonavi.base.ae.gmap.gloverlay.GLTextureProperty;
import com.autonavi.base.ae.gmap.gloverlay.RouteOverlayInner;
import com.autonavi.base.ae.gmap.listener.AMapWidgetListener;
import com.autonavi.base.ae.gmap.style.StyleItem;
import com.autonavi.base.amap.api.mapcore.BaseOverlayImp;
import com.autonavi.base.amap.api.mapcore.IAMapDelegate;
import com.autonavi.base.amap.api.mapcore.IGLSurfaceView;
import com.autonavi.base.amap.api.mapcore.IProjectionDelegate;
import com.autonavi.base.amap.api.mapcore.IUiSettingsDelegate;
import com.autonavi.base.amap.mapcore.AeUtil;
import com.autonavi.base.amap.mapcore.FPoint;
import com.autonavi.base.amap.mapcore.MapConfig;
import com.autonavi.base.amap.mapcore.Rectangle;
import com.autonavi.base.amap.mapcore.interfaces.IAMapListener;
import com.autonavi.base.amap.mapcore.message.AbstractGestureMapMessage;
import com.autonavi.base.amap.mapcore.tools.GLConvertUtil;
import com.zhuoting.health.view.chart.utils.Utils;
import java.lang.reflect.Field;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.Callable;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.FutureTask;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;
import javax.microedition.khronos.egl.EGLConfig;
import javax.microedition.khronos.opengles.GL10;

/* compiled from: AMapDelegateImp.java */
/* loaded from: classes.dex */
public final class m implements cv.a, l.a, IAMapDelegate, IAMapListener {
    private boolean A;
    private final IGLSurfaceView B;
    private ej C;
    private final IGlOverlayLayer D;
    private boolean E;
    private int F;
    private AtomicBoolean G;
    private boolean H;
    private boolean I;
    private boolean J;
    private cm K;
    private LocationSource L;
    private boolean M;
    private boolean N;
    private Marker O;
    private GLTFOverlay P;
    private boolean Q;
    private boolean R;
    private boolean S;
    private boolean T;
    private int U;
    private boolean V;
    private boolean W;
    private Rect X;
    private int Y;
    private MyTrafficStyle Z;
    protected boolean a;
    private Lock aA;
    private int aB;
    private int aC;
    private int aD;
    private b aE;
    private cr aF;
    private AMap.OnMultiPointClickListener aG;
    private l aH;
    private long aI;
    private a aJ;
    private a aK;
    private a aL;
    private a aM;
    private a aN;
    private a aO;
    private a aP;
    private a aQ;
    private a aR;
    private a aS;
    private a aT;
    private a aU;
    private a aV;
    private Runnable aW;
    private a aX;
    private com.autonavi.extra.b aY;
    private String aZ;
    private Thread aa;
    private Thread ab;
    private w ac;
    private boolean ad;
    private boolean ae;
    private int af;
    private CustomRenderer ag;
    private int ah;
    private int ai;
    private List<ad> aj;
    private ct ak;
    private cv al;
    private long am;
    private GLMapRender an;
    private aa ao;
    private boolean ap;
    private float aq;
    private float ar;
    private float as;
    private boolean at;
    private boolean au;
    private boolean av;
    private volatile boolean aw;
    private volatile boolean ax;
    private boolean ay;
    private boolean az;
    protected MapConfig b;
    private String ba;
    private boolean bb;
    private boolean bc;
    private int bd;
    private EAMapPlatformGestureInfo be;
    private long bf;
    private av bg;
    private IPoint[] bh;
    protected av c;
    dp d;
    protected Context e;
    protected GLMapEngine f;
    public int g;
    public int h;
    boolean i;
    protected final Handler j;
    Point k;
    protected String l;
    float[] m;
    float[] n;
    float[] o;
    float[] p;
    String q;
    String r;
    int s;
    private q t;
    private r u;
    private AMapGestureListener v;
    private aw w;
    private UiSettings x;
    private IProjectionDelegate y;
    private final ah z;

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final AMapCameraInfo getCamerInfo() {
        return null;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final InfoWindowAnimationManager getInfoWindowAnimationManager() {
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean isLockMapCameraDegree(int i) {
        return false;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void reloadMap() {
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMaskLayerParams(int i, int i2, int i3, int i4, int i5, long j) {
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setZOrderOnTop(boolean z) throws RemoteException {
    }

    static /* synthetic */ boolean f(m mVar) {
        mVar.av = false;
        return false;
    }

    static /* synthetic */ boolean i(m mVar) {
        mVar.T = false;
        return false;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setMapWidgetListener(AMapWidgetListener aMapWidgetListener) {
        try {
            r rVar = this.u;
            if (rVar != null) {
                rVar.a(AMapWidgetListener.class.hashCode(), (int) aMapWidgetListener);
            }
        } catch (Throwable unused) {
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void b(CameraPosition cameraPosition) {
        if (this.b.getMapLanguage().equals("en")) {
            boolean c2 = c(cameraPosition);
            if (c2 != this.W) {
                this.W = c2;
                b(this.F, c2);
                return;
            }
            return;
        }
        if (this.W) {
            return;
        }
        this.W = true;
        b(this.F, true);
    }

    private boolean c(CameraPosition cameraPosition) {
        if (cameraPosition.zoom < 6.0f) {
            return false;
        }
        if (cameraPosition.isAbroad) {
            return true;
        }
        if (this.b == null) {
            return false;
        }
        try {
            return !dr.a(r3.getGeoRectangle().getClipRect());
        } catch (Throwable th) {
            th.printStackTrace();
            dy.a(th);
            return false;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setVisibilityEx(int i) {
        IGLSurfaceView iGLSurfaceView = this.B;
        if (iGLSurfaceView != null) {
            try {
                iGLSurfaceView.setVisibility(i);
            } catch (Throwable th) {
                th.printStackTrace();
            }
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onActivityPause() {
        this.H = true;
        c(this.F);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onActivityResume() {
        this.H = false;
        d(this.F);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void queueEvent(Runnable runnable) {
        long j;
        try {
            try {
                j = Thread.currentThread().getId();
            } catch (Throwable th) {
                dy.a(th);
                jx.c(th, "AMapdelegateImp", "queueEvent");
                j = -1;
            }
            if (j != -1 && j == this.am) {
                runnable.run();
            } else if (this.f != null) {
                this.B.queueEvent(runnable);
            }
        } catch (Throwable th2) {
            dy.a(th2);
            jx.c(th2, "AMapdelegateImp", "queueEvent");
        }
    }

    /* compiled from: AMapDelegateImp.java */
    private static abstract class a implements Runnable {
        boolean b;
        boolean c;
        int d;
        int e;
        int f;
        int g;
        int h;
        byte[] i;
        MyTrafficStyle j;

        private a() {
            this.b = false;
            this.c = false;
            this.g = 0;
            this.h = 0;
        }

        /* synthetic */ a(byte b) {
            this();
        }

        @Override // java.lang.Runnable
        public void run() {
            this.b = false;
        }
    }

    public m(IGLSurfaceView iGLSurfaceView, Context context) {
        this(iGLSurfaceView, context, false);
    }

    public m(IGLSurfaceView iGLSurfaceView, Context context, boolean z) {
        this.t = null;
        this.u = new r();
        byte b2 = 0;
        this.a = false;
        this.A = false;
        this.E = false;
        this.G = new AtomicBoolean(false);
        this.H = false;
        this.b = new MapConfig(true);
        this.I = false;
        this.J = false;
        this.M = false;
        this.N = false;
        this.O = null;
        this.P = null;
        this.Q = false;
        this.R = false;
        this.S = false;
        this.T = false;
        this.U = 0;
        this.V = true;
        this.W = true;
        this.X = new Rect();
        this.Y = 1;
        this.Z = null;
        this.ad = false;
        this.ae = false;
        this.af = 0;
        this.ah = -1;
        this.ai = -1;
        this.aj = new ArrayList();
        this.d = null;
        this.am = -1L;
        this.ap = false;
        this.aq = 0.0f;
        this.ar = 1.0f;
        this.as = 1.0f;
        this.at = true;
        this.au = false;
        this.av = false;
        this.aw = false;
        this.ax = false;
        this.ay = false;
        this.az = false;
        this.aA = new ReentrantLock();
        this.aB = 0;
        this.i = true;
        this.j = new Handler(Looper.getMainLooper()) { // from class: com.amap.api.col.3sl.m.1
            @Override // android.os.Handler
            public final void handleMessage(Message message) {
                int i;
                em f;
                if (message == null || m.this.G.get()) {
                    return;
                }
                try {
                    i = message.what;
                } catch (Throwable th) {
                    jx.c(th, "AMapDelegateImp", "handleMessage");
                    th.printStackTrace();
                    return;
                }
                if (i == 2) {
                    StringBuilder sb = new StringBuilder();
                    sb.append("Key验证失败：[");
                    if (message.obj != null) {
                        sb.append(message.obj);
                    } else {
                        sb.append(ii.b);
                    }
                    sb.append("]");
                    Log.w("amapsdk", sb.toString());
                    return;
                }
                if (i != 30) {
                    int i2 = 0;
                    switch (i) {
                        case 10:
                            CameraPosition cameraPosition = (CameraPosition) message.obj;
                            try {
                                List a2 = m.this.u.a(AMap.OnCameraChangeListener.class.hashCode());
                                if (cameraPosition != null && a2 != null && a2.size() > 0) {
                                    synchronized (a2) {
                                        Iterator it2 = a2.iterator();
                                        while (it2.hasNext()) {
                                            ((AMap.OnCameraChangeListener) it2.next()).onCameraChange(cameraPosition);
                                        }
                                    }
                                }
                            } catch (Throwable th2) {
                                dy.a(th2);
                            }
                            m.this.b.addChangedCounter();
                            return;
                        case 11:
                            try {
                                CameraPosition cameraPosition2 = m.this.getCameraPosition();
                                if (cameraPosition2 != null && m.this.C != null) {
                                    m.this.C.a(cameraPosition2);
                                }
                                m.this.b(cameraPosition2);
                                if (m.this.av) {
                                    m.f(m.this);
                                    if (m.this.D != null) {
                                        m.this.D.setFlingState(false);
                                    }
                                    m.this.b();
                                }
                                if (m.this.T) {
                                    m.this.redrawInfoWindow();
                                    m.i(m.this);
                                }
                                m.this.a(cameraPosition2);
                                return;
                            } catch (Throwable th3) {
                                jx.c(th3, "AMapDelegateImp", "CameraUpdateFinish");
                                dy.a(th3);
                                return;
                            }
                        case 12:
                            if (m.this.C != null) {
                                m.this.C.a(Float.valueOf(m.this.getZoomLevel()));
                                return;
                            }
                            return;
                        case 13:
                            if (m.this.C != null) {
                                m.this.C.h();
                                return;
                            }
                            return;
                        case 14:
                            try {
                                List a3 = m.this.u.a(AMap.OnMapTouchListener.class.hashCode());
                                if (a3 == null || a3.size() <= 0) {
                                    return;
                                }
                                synchronized (a3) {
                                    Iterator it3 = a3.iterator();
                                    while (it3.hasNext()) {
                                        ((AMap.OnMapTouchListener) it3.next()).onTouch((MotionEvent) message.obj);
                                    }
                                }
                                return;
                            } catch (Throwable th4) {
                                jx.c(th4, "AMapDelegateImp", "onTouchHandler");
                                th4.printStackTrace();
                                return;
                            }
                        case 15:
                            Bitmap bitmap = (Bitmap) message.obj;
                            int i3 = message.arg1;
                            if (bitmap == null || m.this.C == null) {
                                try {
                                    List a4 = m.this.u.a(AMap.onMapPrintScreenListener.class.hashCode());
                                    ArrayList arrayList = a4 != null ? new ArrayList(a4) : null;
                                    List a5 = m.this.u.a(AMap.OnMapScreenShotListener.class.hashCode());
                                    ArrayList arrayList2 = a5 != null ? new ArrayList(a5) : null;
                                    m.this.u.a(Integer.valueOf(AMap.onMapPrintScreenListener.class.hashCode()));
                                    m.this.u.a(Integer.valueOf(AMap.OnMapScreenShotListener.class.hashCode()));
                                    if (arrayList != null && arrayList.size() > 0) {
                                        synchronized (arrayList) {
                                            for (int i4 = 0; i4 < arrayList.size(); i4++) {
                                                ((AMap.onMapPrintScreenListener) arrayList.get(i4)).onMapPrint(null);
                                            }
                                        }
                                    }
                                    if (arrayList2 == null || arrayList2.size() <= 0) {
                                        return;
                                    }
                                    synchronized (arrayList2) {
                                        while (i2 < arrayList2.size()) {
                                            ((AMap.OnMapScreenShotListener) arrayList2.get(i2)).onMapScreenShot(null);
                                            ((AMap.OnMapScreenShotListener) arrayList2.get(i2)).onMapScreenShot(null, i3);
                                            i2++;
                                        }
                                    }
                                    return;
                                } catch (Throwable th5) {
                                    th5.printStackTrace();
                                    return;
                                }
                            }
                            Canvas canvas = new Canvas(bitmap);
                            if (m.this.V && (f = m.this.C.f()) != null) {
                                f.onDraw(canvas);
                            }
                            m.this.C.a(canvas);
                            try {
                                List a6 = m.this.u.a(AMap.onMapPrintScreenListener.class.hashCode());
                                ArrayList arrayList3 = a6 != null ? new ArrayList(a6) : null;
                                List a7 = m.this.u.a(AMap.OnMapScreenShotListener.class.hashCode());
                                ArrayList arrayList4 = a7 != null ? new ArrayList(a7) : null;
                                m.this.u.a(Integer.valueOf(AMap.onMapPrintScreenListener.class.hashCode()));
                                m.this.u.a(Integer.valueOf(AMap.OnMapScreenShotListener.class.hashCode()));
                                if (arrayList3 != null && arrayList3.size() > 0) {
                                    synchronized (arrayList3) {
                                        for (int i5 = 0; i5 < arrayList3.size(); i5++) {
                                            ((AMap.onMapPrintScreenListener) arrayList3.get(i5)).onMapPrint(new BitmapDrawable(m.this.e.getResources(), bitmap));
                                        }
                                    }
                                }
                                if (arrayList4 == null || arrayList4.size() <= 0) {
                                    return;
                                }
                                synchronized (arrayList4) {
                                    while (i2 < arrayList4.size()) {
                                        ((AMap.OnMapScreenShotListener) arrayList4.get(i2)).onMapScreenShot(bitmap);
                                        ((AMap.OnMapScreenShotListener) arrayList4.get(i2)).onMapScreenShot(bitmap, i3);
                                        i2++;
                                    }
                                }
                                return;
                            } catch (Throwable th6) {
                                th6.printStackTrace();
                                return;
                            }
                        case 16:
                            try {
                                List a8 = m.this.u.a(AMap.OnMapLoadedListener.class.hashCode());
                                if (a8 != null) {
                                    synchronized (a8) {
                                        while (i2 < a8.size()) {
                                            ((AMap.OnMapLoadedListener) a8.get(i2)).onMapLoaded();
                                            i2++;
                                        }
                                    }
                                }
                            } catch (Throwable th7) {
                                jx.c(th7, "AMapDelegateImp", "onMapLoaded");
                                th7.printStackTrace();
                                dy.a(th7);
                            }
                            if (m.this.C != null) {
                                m.this.C.i();
                                return;
                            }
                            return;
                        case 17:
                            if (!m.this.f.isInMapAnimation(m.this.F) || m.this.D == null) {
                                return;
                            }
                            m.this.D.setFlingState(false);
                            return;
                        case 18:
                            if (m.this.w != null) {
                                m.this.w.b();
                                return;
                            }
                            return;
                        case 19:
                            List a9 = m.this.u.a(AMap.OnMapClickListener.class.hashCode());
                            if (a9 != null) {
                                DPoint obtain = DPoint.obtain();
                                m.this.getPixel2LatLng(message.arg1, message.arg2, obtain);
                                try {
                                    synchronized (a9) {
                                        Iterator it4 = a9.iterator();
                                        while (it4.hasNext()) {
                                            ((AMap.OnMapClickListener) it4.next()).onMapClick(new LatLng(obtain.y, obtain.x));
                                        }
                                    }
                                    obtain.recycle();
                                    return;
                                } catch (Throwable th8) {
                                    jx.c(th8, "AMapDelegateImp", "OnMapClickListener.onMapClick");
                                    th8.printStackTrace();
                                    return;
                                }
                            }
                            return;
                        case 20:
                            try {
                                List a10 = m.this.u.a(AMap.OnPOIClickListener.class.hashCode());
                                if (a10 == null || a10.size() <= 0) {
                                    return;
                                }
                                synchronized (a10) {
                                    while (i2 < a10.size()) {
                                        ((AMap.OnPOIClickListener) a10.get(i2)).onPOIClick((Poi) message.obj);
                                        i2++;
                                    }
                                }
                                return;
                            } catch (Throwable th9) {
                                jx.c(th9, "AMapDelegateImp", "OnPOIClickListener.onPOIClick");
                                th9.printStackTrace();
                                return;
                            }
                        default:
                            return;
                    }
                    jx.c(th, "AMapDelegateImp", "handleMessage");
                    th.printStackTrace();
                    return;
                }
                if (m.this.f != null) {
                    m.this.f.triggerMainThread();
                }
            }
        };
        this.aJ = new a() { // from class: com.amap.api.col.3sl.m.11
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setTrafficEnabled(this.c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aK = new a() { // from class: com.amap.api.col.3sl.m.21
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m mVar = m.this;
                    mVar.setCenterToPixel(mVar.aC, m.this.aD);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aL = new a() { // from class: com.amap.api.col.3sl.m.32
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                m.this.a(this.f, this.d, this.e);
            }
        };
        this.aM = new a() { // from class: com.amap.api.col.3sl.m.41
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                m.this.setMapCustomEnable(this.c);
            }
        };
        this.aN = new a() { // from class: com.amap.api.col.3sl.m.42
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                m.this.a(this.f, this.c);
            }
        };
        this.aO = new a() { // from class: com.amap.api.col.3sl.m.43
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setMapTextEnable(this.c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aP = new a() { // from class: com.amap.api.col.3sl.m.44
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setRoadArrowEnable(this.c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aQ = new a() { // from class: com.amap.api.col.3sl.m.45
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setNaviLabelEnable(this.c, this.g, this.h);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aR = new a() { // from class: com.amap.api.col.3sl.m.2
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setConstructingRoadEnable(this.c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aS = new a() { // from class: com.amap.api.col.3sl.m.3
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setTrafficStyleWithTextureData(this.i);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aT = new a() { // from class: com.amap.api.col.3sl.m.4
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setTrafficStyleWithTexture(this.i, this.j);
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        };
        this.aU = new a() { // from class: com.amap.api.col.3sl.m.5
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                m.this.b(this.f, this.c);
            }
        };
        this.aV = new a() { // from class: com.amap.api.col.3sl.m.6
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                try {
                    m.this.setIndoorEnabled(this.c);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        };
        this.aW = new Runnable() { // from class: com.amap.api.col.3sl.m.7
            @Override // java.lang.Runnable
            public final void run() {
                em f;
                if (m.this.C == null || (f = m.this.C.f()) == null) {
                    return;
                }
                f.c();
            }
        };
        this.aX = new a() { // from class: com.amap.api.col.3sl.m.8
            @Override // com.amap.api.col.3sl.m.a, java.lang.Runnable
            public final void run() {
                super.run();
                m.this.c(this.f, this.c);
            }
        };
        this.aZ = "";
        this.ba = "";
        this.bb = false;
        this.bc = false;
        this.bd = 0;
        this.be = new EAMapPlatformGestureInfo();
        this.k = new Point();
        this.bf = 0L;
        this.l = null;
        this.bg = null;
        this.m = new float[16];
        this.n = new float[16];
        this.o = new float[16];
        this.bh = null;
        this.p = new float[12];
        this.q = "precision highp float;\nattribute vec3 aVertex;//顶点数组,三维坐标\nuniform mat4 aMVPMatrix;//mvp矩阵\nvoid main(){\n  gl_Position = aMVPMatrix * vec4(aVertex, 1.0);\n}";
        this.r = "//有颜色 没有纹理\nprecision highp float;\nvoid main(){\n  gl_FragColor = vec4(1.0,0,0,1.0);\n}";
        this.s = -1;
        this.e = context;
        ir a2 = iq.a(context, dy.a());
        if (a2.a == iq.c.SuccessCode) {
            ea.a(context);
            ea.a(dz.c, "init map delegate");
        }
        com.autonavi.extra.b bVar = new com.autonavi.extra.b();
        this.aY = bVar;
        bVar.a();
        this.aY.b();
        jx.a(this.e);
        dm.a().a(this.e);
        x.b = ih.c(context);
        dd.a(this.e);
        this.ao = new aa(this);
        GLMapRender gLMapRender = new GLMapRender(this);
        this.an = gLMapRender;
        this.B = iGLSurfaceView;
        iGLSurfaceView.setRenderer(gLMapRender);
        ab abVar = new ab(this, this.e);
        this.D = abVar;
        this.f = new GLMapEngine(this.e, this);
        this.C = new ei(this.e, this, abVar);
        this.z = new ah(this);
        this.C.a(new c(this, b2));
        this.aE = new b();
        iGLSurfaceView.setRenderMode(0);
        this.an.setRenderFps(15.0f);
        this.f.setMapListener(this);
        this.y = new ae(this);
        this.t = new q(this);
        aw awVar = new aw(this.e);
        this.w = awVar;
        awVar.a(this.C);
        this.w.b(new co(abVar, context));
        this.aa = new u(this.e, this);
        this.L = new ax(this.e);
        this.ak = new ct(this.e, this);
        cv cvVar = new cv(this.e);
        this.al = cvVar;
        cvVar.a(this);
        a(z);
        MapConfig mapConfig = this.b;
        l lVar = new l(this, this.e, mapConfig != null ? mapConfig.isAbroadEnable() : false);
        this.aH = lVar;
        lVar.a(this);
        if (a2.a != iq.c.SuccessCode) {
            this.b.setMapEnable(false);
        }
        this.F = this.f.getEngineIDWithType(1);
    }

    private void a(boolean z) {
        com.autonavi.extra.b bVar = this.aY;
        if (bVar != null) {
            Object j = bVar.j();
            if (j != null && (j instanceof Boolean)) {
                MapConfig mapConfig = this.b;
                if (mapConfig != null) {
                    mapConfig.setAbroadEnable(z && ((Boolean) j).booleanValue());
                }
                if (z && ((Boolean) j).booleanValue()) {
                    MapsInitializer.setSupportRecycleView(false);
                }
            }
            Object j2 = this.aY.j();
            if (j2 != null && (j2 instanceof Boolean)) {
                this.C.a(((Boolean) j2).booleanValue());
            }
            Object j3 = this.aY.j();
            if (j2 == null || !(j2 instanceof Integer)) {
                return;
            }
            this.af = ((Integer) j3).intValue();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final com.autonavi.extra.b getAMapExtraInterfaceManager() {
        return this.aY;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final IGlOverlayLayer getGlOverlayLayer() {
        return this.D;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setMapEnable(boolean z) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            mapConfig.setMapEnable(z);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final GLMapEngine getGLMapEngine() {
        return this.f;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setGestureStatus(int i, int i2) {
        if (this.aB == 0 || i2 != 5) {
            this.aB = i2;
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getPreciseLevel(int i) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return mapConfig.getSZ();
        }
        return 0.0f;
    }

    private float c() {
        if (this.b != null) {
            return getMapConfig().getSZ();
        }
        return 0.0f;
    }

    private boolean a(int i, int i2) {
        AbstractCameraUpdateMessage a2;
        if (!this.aw || ((int) c()) >= this.b.getMaxZoomLevel()) {
            return false;
        }
        try {
            if (!this.I && !this.z.isZoomInByScreenCenter()) {
                this.k.x = i;
                this.k.y = i2;
                a2 = am.a(1.0f, this.k);
            } else {
                a2 = am.a(1.0f, (Point) null);
            }
            animateCamera(a2);
        } catch (Throwable th) {
            jx.c(th, "AMapDelegateImp", "onDoubleTap");
            th.printStackTrace();
        }
        resetRenderTime();
        return true;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void zoomOut(int i) {
        if (this.aw && ((int) c()) > this.b.getMinZoomLevel()) {
            try {
                animateCamera(am.b());
            } catch (Throwable th) {
                jx.c(th, "AMapDelegateImp", "onDoubleTap");
                th.printStackTrace();
            }
            resetRenderTime();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean isLockMapAngle(int i) {
        return g(i);
    }

    private void d() {
        if (this.aw) {
            this.ao.a();
            this.ap = true;
            this.au = true;
            try {
                stopAnimation();
            } catch (RemoteException unused) {
            }
        }
    }

    private void e() {
        this.ap = true;
        this.au = false;
        if (this.R) {
            this.R = false;
        }
        if (this.Q) {
            this.Q = false;
        }
        if (this.S) {
            this.S = false;
        }
        try {
            if (this.M) {
                List a2 = this.u.a(AMap.OnMarkerDragListener.class.hashCode());
                if (a2 != null && a2.size() > 0 && this.O != null) {
                    synchronized (a2) {
                        for (int i = 0; i < a2.size(); i++) {
                            ((AMap.OnMarkerDragListener) a2.get(i)).onMarkerDragEnd(this.O);
                        }
                    }
                    this.O = null;
                }
                this.M = false;
            }
        } catch (Throwable th) {
            jx.c(th, "AMapDelegateImp", "OnMarkerDragListener.onMarkerDragEnd");
            th.printStackTrace();
        }
        if (this.N) {
            if (this.P != null) {
                this.P = null;
            }
            this.N = false;
        }
    }

    private void a(MotionEvent motionEvent) throws RemoteException {
        if (!this.M || this.O == null) {
            return;
        }
        int x = (int) motionEvent.getX();
        int y = (int) (motionEvent.getY() - 60.0f);
        if (this.O.getPosition() != null) {
            DPoint obtain = DPoint.obtain();
            getPixel2LatLng(x, y, obtain);
            LatLng latLng = new LatLng(obtain.y, obtain.x);
            obtain.recycle();
            this.O.setPosition(latLng);
            try {
                List a2 = this.u.a(AMap.OnMarkerDragListener.class.hashCode());
                if (a2 == null || a2.size() <= 0) {
                    return;
                }
                synchronized (a2) {
                    for (int i = 0; i < a2.size(); i++) {
                        ((AMap.OnMarkerDragListener) a2.get(i)).onMarkerDrag(this.O);
                    }
                }
            } catch (Throwable unused) {
            }
        }
    }

    private void b(MotionEvent motionEvent) {
        if (!this.N || this.P == null) {
            return;
        }
        int x = (int) motionEvent.getX();
        int y = (int) (motionEvent.getY() - 60.0f);
        if (this.P.getLatlng() != null) {
            DPoint obtain = DPoint.obtain();
            getPixel2LatLng(x, y, obtain);
            LatLng latLng = new LatLng(obtain.y, obtain.x);
            obtain.recycle();
            this.P.setLatLng(latLng);
        }
    }

    private void b(boolean z) {
        this.at = z;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void clearTileCache() {
        this.D.clearTileCache();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final GLMapState getMapProjection() {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            return gLMapEngine.getMapState(this.F);
        }
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showMyLocationOverlay(Location location) throws RemoteException {
        if (location == null) {
            return;
        }
        try {
            if (this.E && this.L != null) {
                if (this.K == null) {
                    this.K = new cm(this, this.e);
                }
                if (location.getLongitude() != Utils.DOUBLE_EPSILON && location.getLatitude() != Utils.DOUBLE_EPSILON) {
                    this.K.a(location);
                }
                List a2 = this.u.a(AMap.OnMyLocationChangeListener.class.hashCode());
                if (a2 != null && a2.size() > 0) {
                    synchronized (a2) {
                        for (int i = 0; i < a2.size(); i++) {
                            ((AMap.OnMyLocationChangeListener) a2.get(i)).onMyLocationChange(location);
                        }
                    }
                }
                resetRenderTime();
                return;
            }
            cm cmVar = this.K;
            if (cmVar != null) {
                cmVar.c();
            }
            this.K = null;
        } catch (Throwable th) {
            jx.c(th, "AMapDelegateImp", "showMyLocationOverlay");
            th.printStackTrace();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean removeGLOverlay(String str) throws RemoteException {
        resetRenderTime();
        return this.D.removeOverlay(str);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean removeGLModel(String str) {
        try {
            this.D.removeOverlay(str);
            return false;
        } catch (Throwable th) {
            jx.c(th, "AMapDelegateImp", "removeGLModel");
            th.printStackTrace();
            return false;
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeGLOverlayIndex() {
        this.D.changeOverlayIndex();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float checkZoomLevel(float f) throws RemoteException {
        return dy.a(this.b, f);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void latlon2Geo(double d2, double d3, IPoint iPoint) {
        Point latLongToPixels = VirtualEarthProjection.latLongToPixels(d2, d3, 20);
        iPoint.x = latLongToPixels.x;
        iPoint.y = latLongToPixels.y;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void geo2Map(int i, int i2, FPoint fPoint) {
        fPoint.x = (int) (i - this.b.getSX());
        fPoint.y = (int) (i2 - this.b.getSY());
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void geo2Latlng(int i, int i2, DPoint dPoint) {
        DPoint pixelsToLatLong = VirtualEarthProjection.pixelsToLatLong(i, i2, 20);
        dPoint.x = pixelsToLatLong.x;
        dPoint.y = pixelsToLatLong.y;
        pixelsToLatLong.recycle();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getZoomLevel() {
        return c();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final IUiSettingsDelegate getUiSettings() {
        return this.z;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final IProjectionDelegate getProjection() throws RemoteException {
        return this.y;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final l getCustomStyleManager() {
        return this.aH;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final AMap.OnCameraChangeListener getOnCameraChangeListener() throws RemoteException {
        try {
            List a2 = this.u.a(AMap.OnCameraChangeListener.class.hashCode());
            if (a2 == null && a2.size() != 0) {
                return (AMap.OnCameraChangeListener) a2.get(0);
            }
        } catch (Throwable unused) {
        }
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showInfoWindow(BaseOverlayImp baseOverlayImp) throws RemoteException {
        aw awVar;
        if (baseOverlayImp == null || (awVar = this.w) == null) {
            return;
        }
        try {
            awVar.a(baseOverlayImp);
        } catch (RemoteException e) {
            e.printStackTrace();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showInfoWindow(BaseOverlay baseOverlay) throws RemoteException {
        aw awVar;
        if (baseOverlay == null || (awVar = this.w) == null) {
            return;
        }
        try {
            awVar.a(baseOverlay);
        } catch (RemoteException e) {
            e.printStackTrace();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void hideInfoWindow() {
        aw awVar = this.w;
        if (awVar != null) {
            awVar.c();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getLatLng2Map(double d2, double d3, FPoint fPoint) {
        IPoint obtain = IPoint.obtain();
        latlon2Geo(d2, d3, obtain);
        geo2Map(obtain.x, obtain.y, fPoint);
        obtain.recycle();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getPixel2LatLng(int i, int i2, DPoint dPoint) {
        GLMapEngine gLMapEngine;
        GLMapState mapState;
        if (this.G.get() || !this.aw || (gLMapEngine = this.f) == null || (mapState = gLMapEngine.getMapState(this.F)) == null) {
            return;
        }
        IPoint obtain = IPoint.obtain();
        mapState.screenToP20Point(i, i2, obtain);
        DPoint pixelsToLatLong = VirtualEarthProjection.pixelsToLatLong(obtain.x, obtain.y, 20);
        dPoint.x = pixelsToLatLong.x;
        dPoint.y = pixelsToLatLong.y;
        obtain.recycle();
        pixelsToLatLong.recycle();
    }

    private void a(GLMapState gLMapState, int i, int i2, DPoint dPoint) {
        if (!this.aw || this.f == null) {
            return;
        }
        gLMapState.screenToP20Point(i, i2, new Point());
        DPoint pixelsToLatLong = VirtualEarthProjection.pixelsToLatLong(r0.x, r0.y, 20);
        dPoint.x = pixelsToLatLong.x;
        dPoint.y = pixelsToLatLong.y;
        pixelsToLatLong.recycle();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getLatLng2Pixel(double d2, double d3, IPoint iPoint) {
        if (this.G.get() || !this.aw || this.f == null) {
            return;
        }
        try {
            Point latLongToPixels = VirtualEarthProjection.latLongToPixels(d2, d3, 20);
            FPoint obtain = FPoint.obtain();
            a(latLongToPixels.x, latLongToPixels.y, obtain);
            if (obtain.x == -10000.0f && obtain.y == -10000.0f) {
                GLMapState gLMapState = (GLMapState) this.f.getNewMapState(this.F);
                gLMapState.setCameraDegree(0.0f);
                gLMapState.recalculate();
                gLMapState.p20ToScreenPoint(latLongToPixels.x, latLongToPixels.y, obtain);
                gLMapState.recycle();
            }
            iPoint.x = (int) obtain.x;
            iPoint.y = (int) obtain.y;
            obtain.recycle();
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getPixel2Geo(int i, int i2, IPoint iPoint) {
        GLMapEngine gLMapEngine;
        GLMapState mapState;
        if (this.G.get() || !this.aw || (gLMapEngine = this.f) == null || (mapState = gLMapEngine.getMapState(this.F)) == null) {
            return;
        }
        mapState.screenToP20Point(i, i2, iPoint);
    }

    private void a(int i, int i2, FPoint fPoint) {
        GLMapEngine gLMapEngine;
        GLMapState mapState;
        if (this.G.get() || !this.aw || (gLMapEngine = this.f) == null || (mapState = gLMapEngine.getMapState(this.F)) == null) {
            return;
        }
        mapState.p20ToScreenPoint(i, i2, fPoint);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void redrawInfoWindow() {
        if (!this.G.get() && this.aw) {
            this.j.sendEmptyMessage(18);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final aw getInfoWindowDelegate() {
        return this.w;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showZoomControlsEnabled(boolean z) {
        ej ejVar;
        if (this.G.get() || (ejVar = this.C) == null) {
            return;
        }
        ejVar.b(Boolean.valueOf(z));
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showIndoorSwitchControlsEnabled(boolean z) {
        ej ejVar;
        if (this.G.get() || (ejVar = this.C) == null) {
            return;
        }
        ejVar.a(Boolean.valueOf(z));
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showMyLocationButtonEnabled(boolean z) {
        ej ejVar;
        if (this.G.get() || (ejVar = this.C) == null) {
            return;
        }
        ejVar.c(Boolean.valueOf(z));
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showCompassEnabled(boolean z) {
        ej ejVar;
        if (this.G.get() || (ejVar = this.C) == null) {
            return;
        }
        ejVar.d(Boolean.valueOf(z));
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showScaleEnabled(boolean z) {
        ej ejVar;
        if (this.G.get() || (ejVar = this.C) == null) {
            return;
        }
        ejVar.e(Boolean.valueOf(z));
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setZoomPosition(int i) {
        ej ejVar;
        if (this.G.get() || (ejVar = this.C) == null) {
            return;
        }
        ejVar.a(Integer.valueOf(i));
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final Rect getRect() {
        return this.X;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final LatLngBounds getMapBounds(LatLng latLng, float f, float f2, float f3) {
        int mapWidth = getMapWidth();
        int mapHeight = getMapHeight();
        if (mapWidth <= 0 || mapHeight <= 0 || this.G.get()) {
            return null;
        }
        float a2 = dy.a(this.b, f);
        GLMapState gLMapState = new GLMapState(this.F, this.f.getNativeInstance());
        if (latLng != null) {
            IPoint obtain = IPoint.obtain();
            latlon2Geo(latLng.latitude, latLng.longitude, obtain);
            gLMapState.setCameraDegree(f3);
            gLMapState.setMapAngle(f2);
            gLMapState.setMapGeoCenter(obtain.x, obtain.y);
            gLMapState.setMapZoomer(a2);
            gLMapState.recalculate();
            obtain.recycle();
        }
        DPoint obtain2 = DPoint.obtain();
        a(gLMapState, 0, 0, obtain2);
        LatLng latLng2 = new LatLng(obtain2.y, obtain2.x, false);
        a(gLMapState, mapWidth, mapHeight, obtain2);
        LatLng latLng3 = new LatLng(obtain2.y, obtain2.x, false);
        obtain2.recycle();
        gLMapState.recycle();
        return LatLngBounds.builder().include(latLng3).include(latLng2).build();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void onResume() {
        try {
            this.an.setRenderFps(15.0f);
            this.B.setRenderMode(0);
            IGlOverlayLayer iGlOverlayLayer = this.D;
            if (iGlOverlayLayer != null) {
                iGlOverlayLayer.setFlingState(true);
            }
            cm cmVar = this.K;
            if (cmVar != null) {
                cmVar.b();
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void onPause() {
        f();
        IGlOverlayLayer iGlOverlayLayer = this.D;
        if (iGlOverlayLayer != null) {
            iGlOverlayLayer.setFlingState(false);
        }
    }

    private void f() {
        GLMapState gLMapState;
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine == null || (gLMapState = (GLMapState) gLMapEngine.getNewMapState(this.F)) == null) {
            return;
        }
        IPoint obtain = IPoint.obtain();
        gLMapState.recalculate();
        gLMapState.getMapGeoCenter(obtain);
        this.b.setSX(obtain.x);
        this.b.setSY(obtain.y);
        this.b.setSZ(gLMapState.getMapZoomer());
        this.b.setSC(gLMapState.getCameraDegree());
        this.b.setSR(gLMapState.getMapAngle());
        gLMapState.recycle();
        obtain.recycle();
    }

    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:44:0x00ae -> B:34:0x00b1). Please report as a decompilation issue!!! */
    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean onTouchEvent(MotionEvent motionEvent) {
        if (this.H || !this.aw || !this.at) {
            return false;
        }
        this.be.mGestureState = 3;
        this.be.mGestureType = 8;
        this.be.mLocation = new float[]{motionEvent.getX(), motionEvent.getY()};
        getEngineIDWithGestureInfo(this.be);
        l();
        int action = motionEvent.getAction() & 255;
        if (action == 0) {
            m();
            d();
        } else if (action == 1) {
            e();
        }
        if (motionEvent.getAction() == 2 && this.M) {
            try {
                a(motionEvent);
            } catch (Throwable th) {
                jx.c(th, "AMapDelegateImp", "onDragMarker");
                th.printStackTrace();
            }
            return true;
        }
        if (motionEvent.getAction() == 2 && this.N) {
            try {
                b(motionEvent);
            } catch (Throwable th2) {
                jx.c(th2, "AMapDelegateImp", "onDragGLTF");
                th2.printStackTrace();
            }
            return true;
        }
        if (this.ap) {
            try {
                List a2 = this.u.a(AMap.SignleClickInterceptorListener.class.hashCode());
                if (a2 != null && a2.size() > 0) {
                    if (!((AMap.SignleClickInterceptorListener) a2.get(0)).isInterceptorSignleClick(motionEvent)) {
                        this.ao.a(motionEvent);
                    }
                } else {
                    this.ao.a(motionEvent);
                }
            } catch (Throwable th3) {
                th3.printStackTrace();
            }
        }
        try {
            List a3 = this.u.a(AMap.OnMapTouchListener.class.hashCode());
            if (a3 != null && a3.size() > 0) {
                this.j.removeMessages(14);
                Message obtainMessage = this.j.obtainMessage();
                obtainMessage.what = 14;
                obtainMessage.obj = MotionEvent.obtain(motionEvent);
                obtainMessage.sendToTarget();
            }
        } catch (Throwable unused) {
        }
        return true;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void pixel2Map(int i, int i2, PointF pointF) {
        if (!this.aw || this.H || this.f == null) {
            return;
        }
        IPoint obtain = IPoint.obtain();
        getPixel2Geo(i, i2, obtain);
        pointF.x = obtain.x - ((float) this.b.getSX());
        pointF.y = obtain.y - ((float) this.b.getSY());
        obtain.recycle();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void map2Geo(float f, float f2, IPoint iPoint) {
        iPoint.x = (int) (f + this.b.getSX());
        iPoint.y = (int) (f2 + this.b.getSY());
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float toMapLenWithWin(int i) {
        GLMapEngine gLMapEngine;
        if (!this.aw || this.H || (gLMapEngine = this.f) == null) {
            return 0.0f;
        }
        return gLMapEngine.getMapState(this.F).getGLUnitWithWin(i);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final CameraPosition getCameraPositionPrj(boolean z) {
        LatLng g;
        try {
            if (this.b == null) {
                return null;
            }
            if (this.aw && !this.H && this.f != null) {
                if (z) {
                    DPoint obtain = DPoint.obtain();
                    getPixel2LatLng(this.b.getAnchorX(), this.b.getAnchorY(), obtain);
                    g = new LatLng(obtain.y, obtain.x, false);
                    obtain.recycle();
                } else {
                    g = g();
                }
                return CameraPosition.builder().target(g).bearing(this.b.getSR()).tilt(this.b.getSC()).zoom(this.b.getSZ()).build();
            }
            DPoint obtain2 = DPoint.obtain();
            geo2Latlng((int) this.b.getSX(), (int) this.b.getSY(), obtain2);
            LatLng latLng = new LatLng(obtain2.y, obtain2.x);
            obtain2.recycle();
            return CameraPosition.builder().target(latLng).bearing(this.b.getSR()).tilt(this.b.getSC()).zoom(this.b.getSZ()).build();
        } catch (Throwable th) {
            th.printStackTrace();
            return null;
        }
    }

    private LatLng g() {
        MapConfig mapConfig = this.b;
        if (mapConfig == null) {
            return null;
        }
        DPoint pixelsToLatLong = VirtualEarthProjection.pixelsToLatLong(mapConfig.getSX(), this.b.getSY(), 20);
        LatLng latLng = new LatLng(pixelsToLatLong.y, pixelsToLatLong.x, false);
        pixelsToLatLong.recycle();
        return latLng;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean isUseAnchor() {
        return this.I;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final Point getWaterMarkerPositon() {
        ej ejVar = this.C;
        if (ejVar != null) {
            return ejVar.a();
        }
        return new Point();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final View getGLMapView() {
        Object obj = this.B;
        if (obj instanceof View) {
            return (View) obj;
        }
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean canShowIndoorSwitch() {
        av avVar;
        if (getZoomLevel() < 17.0f || (avVar = this.c) == null || avVar.g == null) {
            return false;
        }
        FPoint obtain = FPoint.obtain();
        a(this.c.g.x, this.c.g.y, obtain);
        return this.X.contains((int) obtain.x, (int) obtain.y);
    }

    private synchronized void h() {
        synchronized (this.aj) {
            int size = this.aj.size();
            for (int i = 0; i < size; i++) {
                this.aj.get(i).a().recycle();
            }
            this.aj.clear();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final int getLogoPosition() {
        try {
            return this.z.getLogoPosition();
        } catch (RemoteException e) {
            jx.c(e, "AMapDelegateImp", "getLogoPosition");
            e.printStackTrace();
            return 0;
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setLogoPosition(int i) {
        ej ejVar = this.C;
        if (ejVar != null) {
            ejVar.b(Integer.valueOf(i));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setLogoBottomMargin(int i) {
        ej ejVar = this.C;
        if (ejVar != null) {
            ejVar.c(Integer.valueOf(i));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setLogoLeftMargin(int i) {
        ej ejVar = this.C;
        if (ejVar != null) {
            ejVar.d(Integer.valueOf(i));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getLogoMarginRate(int i) {
        ej ejVar = this.C;
        if (ejVar != null) {
            return ejVar.a(i);
        }
        return 0.0f;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setLogoMarginRate(int i, float f) {
        ej ejVar = this.C;
        if (ejVar != null) {
            ejVar.a(Integer.valueOf(i), Float.valueOf(f));
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final int getMaskLayerType() {
        return this.ah;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void post(Runnable runnable) {
        IGLSurfaceView iGLSurfaceView = this.B;
        if (iGLSurfaceView != null) {
            iGLSurfaceView.post(runnable);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void onLongPress(int i, MotionEvent motionEvent) {
        int i2 = 0;
        try {
            this.Q = false;
            b(i);
            BaseOverlay hitBaseOverlay = this.D.getHitBaseOverlay(motionEvent, 1);
            if (hitBaseOverlay instanceof Marker) {
                this.O = (Marker) hitBaseOverlay;
            }
            BaseOverlay hitBaseOverlay2 = this.D.getHitBaseOverlay(motionEvent, 3);
            if (hitBaseOverlay2 instanceof GLTFOverlay) {
                this.P = (GLTFOverlay) hitBaseOverlay2;
            }
            Marker marker = this.O;
            if (marker != null && marker.isDraggable()) {
                LatLng position = this.O.getPosition();
                if (position != null) {
                    IPoint obtain = IPoint.obtain();
                    getLatLng2Pixel(position.latitude, position.longitude, obtain);
                    obtain.y -= 60;
                    DPoint obtain2 = DPoint.obtain();
                    getPixel2LatLng(obtain.x, obtain.y, obtain2);
                    this.O.setPosition(new LatLng(obtain2.y, obtain2.x));
                    this.D.set2Top(this.O.getId());
                    try {
                        List a2 = this.u.a(AMap.OnMarkerDragListener.class.hashCode());
                        if (a2 != null && a2.size() > 0) {
                            synchronized (a2) {
                                while (i2 < a2.size()) {
                                    ((AMap.OnMarkerDragListener) a2.get(i2)).onMarkerDragStart(this.O);
                                    i2++;
                                }
                            }
                        }
                    } catch (Throwable th) {
                        jx.c(th, "AMapDelegateImp", "onMarkerDragStart");
                        th.printStackTrace();
                    }
                    this.M = true;
                    obtain.recycle();
                    obtain2.recycle();
                }
                this.an.resetTickCount(30);
            }
            GLTFOverlay gLTFOverlay = this.P;
            if (gLTFOverlay != null && gLTFOverlay.isDraggable()) {
                LatLng latlng = this.P.getLatlng();
                if (latlng != null) {
                    IPoint obtain3 = IPoint.obtain();
                    getLatLng2Pixel(latlng.latitude, latlng.longitude, obtain3);
                    obtain3.y -= 60;
                    DPoint obtain4 = DPoint.obtain();
                    getPixel2LatLng(obtain3.x, obtain3.y, obtain4);
                    this.P.setLatLng(new LatLng(obtain4.y, obtain4.x));
                    this.D.set2Top(this.P.getId());
                    this.N = true;
                    obtain3.recycle();
                    obtain4.recycle();
                }
            } else {
                List a3 = this.u.a(AMap.OnMapLongClickListener.class.hashCode());
                if (a3 != null && a3.size() > 0) {
                    DPoint obtain5 = DPoint.obtain();
                    getPixel2LatLng((int) motionEvent.getX(), (int) motionEvent.getY(), obtain5);
                    synchronized (a3) {
                        while (i2 < a3.size()) {
                            ((AMap.OnMapLongClickListener) a3.get(i2)).onMapLongClick(new LatLng(obtain5.y, obtain5.x));
                            i2++;
                        }
                    }
                    this.R = true;
                    obtain5.recycle();
                }
            }
            this.an.resetTickCount(30);
        } catch (Throwable th2) {
            jx.c(th2, "AMapDelegateImp", "onLongPress");
            th2.printStackTrace();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean onDoubleTap(int i, MotionEvent motionEvent) {
        if (!this.aw) {
            return false;
        }
        a((int) motionEvent.getX(), (int) motionEvent.getY());
        return false;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final boolean onSingleTapConfirmed(int i, MotionEvent motionEvent) {
        if (!this.aw) {
            return false;
        }
        try {
            b(i);
            if (h(motionEvent) || e(motionEvent) || g(motionEvent)) {
                return true;
            }
            d(motionEvent);
            if (f(motionEvent)) {
                return true;
            }
            c(motionEvent);
            return true;
        } catch (Throwable th) {
            jx.c(th, "AMapDelegateImp", "onSingleTapUp");
            th.printStackTrace();
            return true;
        }
    }

    private void c(final MotionEvent motionEvent) {
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.9
            @Override // java.lang.Runnable
            public final void run() {
                try {
                    m.this.f.addGestureSingleTapMessage(motionEvent.getX(), motionEvent.getY());
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        });
    }

    private void a(final double d2, final double d3) {
        this.j.post(new Runnable() { // from class: com.amap.api.col.3sl.m.10
            @Override // java.lang.Runnable
            public final void run() {
                Message obtain = Message.obtain();
                obtain.what = 19;
                obtain.arg1 = (int) d2;
                obtain.arg2 = (int) d3;
                m.this.j.sendMessage(obtain);
            }
        });
    }

    private boolean d(MotionEvent motionEvent) {
        try {
            List a2 = this.u.a(AMap.OnPolylineClickListener.class.hashCode());
            if (a2 != null && a2.size() > 0) {
                DPoint obtain = DPoint.obtain();
                getPixel2LatLng((int) motionEvent.getX(), (int) motionEvent.getY(), obtain);
                LatLng latLng = new LatLng(obtain.y, obtain.x);
                obtain.recycle();
                Polyline hitOverlay = this.D.getHitOverlay(latLng, 2);
                if (hitOverlay != null) {
                    synchronized (a2) {
                        Iterator it2 = a2.iterator();
                        while (it2.hasNext()) {
                            ((AMap.OnPolylineClickListener) it2.next()).onPolylineClick(hitOverlay);
                        }
                    }
                    return false;
                }
            }
        } catch (Throwable unused) {
        }
        return false;
    }

    private boolean e(MotionEvent motionEvent) throws RemoteException {
        LatLng position;
        DPoint obtain = DPoint.obtain();
        getPixel2LatLng((int) motionEvent.getX(), (int) motionEvent.getY(), obtain);
        LatLng latLng = new LatLng(obtain.y, obtain.x);
        obtain.recycle();
        boolean z = true;
        BaseOverlay hitBaseOverlay = this.D.getHitBaseOverlay(latLng, 1);
        if ((hitBaseOverlay instanceof Marker) && ((Marker) hitBaseOverlay).getId().contains("MARKER")) {
            try {
                Marker marker = (Marker) hitBaseOverlay;
                this.D.set2Top(marker.getId());
                List a2 = this.u.a(AMap.OnMarkerClickListener.class.hashCode());
                if (a2 != null && a2.size() > 0) {
                    synchronized (a2) {
                        if (a2.size() == 1) {
                            boolean onMarkerClick = ((AMap.OnMarkerClickListener) a2.get(0)).onMarkerClick(marker);
                            if (onMarkerClick) {
                                return true;
                            }
                            z = onMarkerClick;
                        } else {
                            Iterator it2 = a2.iterator();
                            boolean z2 = false;
                            while (it2.hasNext()) {
                                z2 |= ((AMap.OnMarkerClickListener) it2.next()).onMarkerClick(marker);
                            }
                            if (z2) {
                                return true;
                            }
                            z = z2;
                        }
                    }
                }
                this.D.showInfoWindow(marker.getId());
                if (!marker.isViewMode() && (position = marker.getPosition()) != null) {
                    IPoint obtain2 = IPoint.obtain();
                    latlon2Geo(position.latitude, position.longitude, obtain2);
                    moveCamera(am.a(obtain2));
                }
                return z;
            } catch (Throwable th) {
                jx.c(th, "AMapDelegateImp", "onMarkerTap");
                th.printStackTrace();
            }
        }
        return false;
    }

    private boolean f(MotionEvent motionEvent) {
        DPoint obtain = DPoint.obtain();
        getPixel2LatLng((int) motionEvent.getX(), (int) motionEvent.getY(), obtain);
        LatLng latLng = new LatLng(obtain.y, obtain.x);
        obtain.recycle();
        BaseOverlay hitBaseOverlay = this.D.getHitBaseOverlay(latLng, 3);
        if (!(hitBaseOverlay instanceof GLTFOverlay)) {
            return false;
        }
        GLTFOverlay gLTFOverlay = (GLTFOverlay) hitBaseOverlay;
        if (!gLTFOverlay.isClickable()) {
            return false;
        }
        try {
            this.D.set2Top(gLTFOverlay.getId());
            gLTFOverlay.tapClick();
            return true;
        } catch (Throwable th) {
            jx.c(th, "AMapDelegateImp", "onGLTFTap");
            th.printStackTrace();
            return false;
        }
    }

    private boolean g(MotionEvent motionEvent) {
        if (this.D != null && this.aG != null) {
            DPoint obtain = DPoint.obtain();
            if (this.f != null) {
                getPixel2LatLng((int) motionEvent.getX(), (int) motionEvent.getY(), obtain);
                MultiPointItem multiPointItem = this.D.getMultiPointItem(new LatLng(obtain.y, obtain.x));
                if (multiPointItem == null) {
                    return false;
                }
                boolean onPointClick = this.aG.onPointClick(multiPointItem);
                obtain.recycle();
                return onPointClick;
            }
        }
        return false;
    }

    private boolean h(MotionEvent motionEvent) throws RemoteException {
        try {
            List a2 = this.u.a(AMap.OnInfoWindowClickListener.class.hashCode());
            BaseOverlay a3 = this.w.a(motionEvent);
            if (a3 != null && (a3 instanceof Marker)) {
                synchronized (a2) {
                    for (int i = 0; i < a2.size(); i++) {
                        ((AMap.OnInfoWindowClickListener) a2.get(i)).onInfoWindowClick((Marker) a3);
                    }
                }
                return true;
            }
        } catch (Throwable unused) {
        }
        return false;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void drawFrame(GL10 gl10) {
        if (this.G.get() || this.f == null || EGL14.eglGetCurrentContext() == EGL14.EGL_NO_CONTEXT) {
            return;
        }
        MapConfig mapConfig = this.b;
        if (mapConfig != null && !mapConfig.isMapEnable()) {
            GLES20.glClear(16640);
            return;
        }
        a(this.F);
        this.f.renderAMap();
        this.f.pushRendererState();
        this.j.sendEmptyMessage(30);
        l lVar = this.aH;
        if (lVar != null) {
            lVar.a();
        }
        i();
        k();
        if (!this.ay) {
            this.ay = true;
        }
        this.f.popRendererState();
        if (dp.a()) {
            try {
                if (this.B instanceof p) {
                    if (this.d == null) {
                        this.d = new dp();
                    }
                    this.d.e();
                    if (!this.d.f() || this.d.d()) {
                        return;
                    }
                    if (this.d.a(((p) this.B).getBitmap())) {
                        if (dp.b()) {
                            removecache();
                        }
                        if (dp.c()) {
                            dp.g();
                        }
                        ea.b(dz.g, "pure screen: found pure check");
                    }
                }
            } catch (Throwable th) {
                jx.c(th, "AMapDelegateImp", "PureScreenCheckTool.checkBlackScreen");
            }
        }
    }

    private void a(int i) {
        int i2 = this.ai;
        if (i2 != -1) {
            this.an.setRenderFps(i2);
            resetRenderTime();
        } else if (this.f.isInMapAction(i) || this.au) {
            this.an.setRenderFps(40.0f);
        } else if (this.f.isInMapAnimation(i)) {
            this.an.setRenderFps(30.0f);
            this.an.resetTickCount(15);
        } else if (this.D.isGLTFAnimated()) {
            this.an.setRenderFps(30.0f);
            this.an.resetTickCount(15);
        } else {
            this.an.setRenderFps(15.0f);
        }
        if (this.b.isWorldMapEnable() != MapsInitializer.isLoadWorldGridMap()) {
            b();
            this.b.setWorldMapEnable(MapsInitializer.isLoadWorldGridMap());
        }
    }

    private void i() {
        if (this.U > 0) {
            boolean canStopMapRender = this.f.canStopMapRender(this.F);
            if (!canStopMapRender) {
                int i = this.U - 1;
                this.U = i;
                if (i > 0) {
                    this.f.renderAMap();
                    return;
                }
            }
            this.U = 0;
            Message obtainMessage = this.j.obtainMessage(15, this.f.getScreenShot(this.F, 0, 0, getMapWidth(), getMapHeight()));
            obtainMessage.arg1 = canStopMapRender ? 1 : 0;
            obtainMessage.sendToTarget();
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:43:0x011d, code lost:
    
        r0 = r9.u.a(com.autonavi.base.ae.gmap.listener.AMapWidgetListener.class.hashCode());
     */
    /* JADX WARN: Code restructure failed: missing block: B:44:0x0129, code lost:
    
        if (r0 == null) goto L54;
     */
    /* JADX WARN: Code restructure failed: missing block: B:46:0x012f, code lost:
    
        if (r0.size() <= 0) goto L54;
     */
    /* JADX WARN: Code restructure failed: missing block: B:47:0x0131, code lost:
    
        monitor-enter(r0);
     */
    /* JADX WARN: Code restructure failed: missing block: B:48:0x0132, code lost:
    
        r1 = 0;
     */
    /* JADX WARN: Code restructure failed: missing block: B:51:0x0137, code lost:
    
        if (r1 >= r0.size()) goto L89;
     */
    /* JADX WARN: Code restructure failed: missing block: B:52:0x0139, code lost:
    
        ((com.autonavi.base.ae.gmap.listener.AMapWidgetListener) r0.get(r1)).invalidateCompassView();
        r1 = r1 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:54:0x0145, code lost:
    
        monitor-exit(r0);
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private void j() {
        /*
            Method dump skipped, instructions count: 412
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.amap.api.col.p0003sl.m.j():void");
    }

    private void k() {
        if (!this.J) {
            this.j.sendEmptyMessage(16);
            this.J = true;
            b();
        }
        long j = this.bf;
        if (j < 2) {
            this.bf = j + 1;
            return;
        }
        final ee d2 = this.C.d();
        if (d2 == null || d2.getVisibility() == 8) {
            return;
        }
        dv.a(this.e, System.currentTimeMillis() - this.aI);
        this.j.post(new Runnable() { // from class: com.amap.api.col.3sl.m.12
            @Override // java.lang.Runnable
            public final void run() {
                if (m.this.H) {
                    return;
                }
                try {
                    if (m.this.c != null) {
                        m mVar = m.this;
                        mVar.setIndoorBuildingInfo(mVar.c);
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                }
                d2.a();
            }
        });
        this.f.setStyleChangeGradualEnable(this.F, true);
    }

    final void b() {
        this.j.obtainMessage(17, 1, 0).sendToTarget();
    }

    private void b(final int i) {
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.13
            @Override // java.lang.Runnable
            public final void run() {
                if (!m.this.aw || m.this.f == null) {
                    return;
                }
                m.this.f.setHighlightSubwayEnable(i, false);
            }
        });
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getMapAngle(int i) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return mapConfig.getSR();
        }
        return 0.0f;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void getGeoCenter(int i, IPoint iPoint) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            iPoint.x = (int) mapConfig.getSX();
            iPoint.y = (int) this.b.getSY();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getCameraDegree(int i) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return mapConfig.getSC();
        }
        return 0.0f;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void addGestureMapMessage(int i, AbstractGestureMapMessage abstractGestureMapMessage) {
        if (!this.aw || this.f == null) {
            return;
        }
        try {
            abstractGestureMapMessage.isUseAnchor = this.I;
            abstractGestureMapMessage.anchorX = this.b.getAnchorX();
            abstractGestureMapMessage.anchorY = this.b.getAnchorY();
            this.f.addGestureMessage(i, abstractGestureMapMessage, this.z.isGestureScaleByMapCenter(), this.b.getAnchorX(), this.b.getAnchorY());
        } catch (RemoteException unused) {
        }
    }

    private void c(int i) {
        if (this.au) {
            this.au = false;
        }
        GLMapRender gLMapRender = this.an;
        if (gLMapRender != null) {
            gLMapRender.renderPause();
        }
        f(i);
    }

    private void d(int i) {
        f(i);
        GLMapRender gLMapRender = this.an;
        if (gLMapRender != null) {
            gLMapRender.renderResume();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void resetRenderTimeLongLong() {
        GLMapRender gLMapRender = this.an;
        if (gLMapRender != null) {
            gLMapRender.resetTickCount(30);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void resetRenderTime() {
        GLMapRender gLMapRender = this.an;
        if (gLMapRender != null) {
            gLMapRender.resetTickCount(2);
        }
    }

    private void l() {
        GLMapRender gLMapRender = this.an;
        if (gLMapRender != null) {
            gLMapRender.resetTickCount(2);
        }
    }

    private void m() {
        GLMapRender gLMapRender;
        if (!this.aw || (gLMapRender = this.an) == null || gLMapRender.isRenderPause()) {
            return;
        }
        requestRender();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void requestRender() {
        GLMapRender gLMapRender = this.an;
        if (gLMapRender == null || gLMapRender.isRenderPause()) {
            return;
        }
        this.B.requestRender();
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeMapLogo(int i, boolean z) {
        if (this.G.get()) {
            return;
        }
        try {
            List a2 = this.u.a(AMapWidgetListener.class.hashCode());
            if (a2 == null || a2.size() <= 0) {
                return;
            }
            this.C.g(Boolean.valueOf(!z));
        } catch (Throwable unused) {
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getRenderMode() {
        return this.B.getRenderMode();
    }

    private void n() {
        if (this.ad) {
            return;
        }
        try {
            this.aa.setName("AuthThread");
            this.aa.start();
            this.ad = true;
        } catch (Throwable th) {
            th.printStackTrace();
            dy.a(th);
        }
    }

    private void o() {
        if (this.ae) {
            return;
        }
        try {
            if (this.ab == null) {
                this.ab = new s(this.e, this);
            }
            this.ab.setName("AuthProThread");
            this.ab.start();
            this.ae = true;
        } catch (Throwable th) {
            th.printStackTrace();
            dy.a(th);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getMapZoomScale() {
        return this.ar;
    }

    public final synchronized void a(int i, int i2, int i3) {
        a(i, i2, i3, false, null);
    }

    private synchronized void a(final int i, final int i2, final int i3, final boolean z, final StyleItem[] styleItemArr) {
        if (this.ax && this.aw && this.a) {
            e(i3);
            queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.14
                @Override // java.lang.Runnable
                public final void run() {
                    try {
                        m.this.f.setMapModeAndStyle(i, i2, i3, z, styleItemArr);
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            });
        } else {
            this.aL.f = i;
            this.aL.d = i2;
            this.aL.e = i3;
            this.aL.b = true;
        }
    }

    private void e(int i) {
        ej ejVar = this.C;
        if (ejVar != null) {
            if (i == 0) {
                if (ejVar.b()) {
                    this.C.g(Boolean.FALSE);
                    this.C.c();
                    return;
                }
                return;
            }
            if (ejVar.b()) {
                return;
            }
            this.C.g(Boolean.TRUE);
            this.C.c();
        }
    }

    private void f(final int i) {
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.15
            @Override // java.lang.Runnable
            public final void run() {
                try {
                    m.this.f.clearAllMessages(i);
                    m.this.f.clearAnimations(i, true);
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        });
    }

    public final void a(final int i, final boolean z) {
        if (this.aw && this.ax) {
            resetRenderTime();
            queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.16
                @Override // java.lang.Runnable
                public final void run() {
                    try {
                        m.this.f.setBuildingEnable(i, z);
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            });
        } else {
            this.aN.c = z;
            this.aN.b = true;
            this.aN.f = i;
        }
    }

    public final void b(final int i, final boolean z) {
        if (this.aw && this.ax) {
            resetRenderTime();
            queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.17
                @Override // java.lang.Runnable
                public final void run() {
                    if (m.this.f != null) {
                        if (z) {
                            m.this.f.setAllContentEnable(i, true);
                        } else {
                            m.this.f.setAllContentEnable(i, false);
                        }
                        m.this.f.setSimple3DEnable(i, false);
                    }
                }
            });
        } else {
            this.aU.c = z;
            this.aU.b = true;
            this.aU.f = i;
        }
    }

    public final void c(final int i, final boolean z) {
        if (this.aw && this.ax) {
            resetRenderTime();
            queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.18
                @Override // java.lang.Runnable
                public final void run() {
                    try {
                        if (z) {
                            m.this.f.setBuildingTextureEnable(i, true);
                        } else {
                            m.this.f.setBuildingTextureEnable(i, false);
                        }
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            });
        } else {
            this.aX.c = z;
            this.aX.b = true;
            this.aX.f = i;
        }
    }

    /* JADX WARN: Can't wrap try/catch for region: R(19:2|3|(16:8|9|10|11|(1:13)|14|15|(1:17)|18|(1:22)|23|(1:25)|26|(1:28)|29|30)|37|9|10|11|(0)|14|15|(0)|18|(2:20|22)|23|(0)|26|(0)|29|30) */
    /* JADX WARN: Code restructure failed: missing block: B:35:0x008e, code lost:
    
        r4 = move-exception;
     */
    /* JADX WARN: Code restructure failed: missing block: B:36:0x008f, code lost:
    
        com.amap.api.col.p0003sl.dy.a(r4);
        com.amap.api.col.p0003sl.jx.c(r4, "AMapDElegateImp", "createSurface");
        com.amap.api.col.p0003sl.ea.b(com.amap.api.col.p0003sl.dz.c, "createSurface failed " + r4.getMessage());
        com.amap.api.col.p0003sl.dv.b(r3.e, "init failed:" + r4.getMessage());
     */
    /* JADX WARN: Removed duplicated region for block: B:13:0x007f A[Catch: all -> 0x008e, TryCatch #1 {all -> 0x008e, blocks: (B:11:0x0043, B:13:0x007f, B:14:0x0082), top: B:10:0x0043, outer: #0 }] */
    /* JADX WARN: Removed duplicated region for block: B:17:0x00d7 A[Catch: all -> 0x0107, TryCatch #0 {, blocks: (B:3:0x0001, B:8:0x0017, B:9:0x002e, B:15:0x00c7, B:17:0x00d7, B:18:0x00da, B:20:0x00e0, B:22:0x00e4, B:23:0x00f2, B:25:0x00f6, B:26:0x00f9, B:28:0x00fd, B:29:0x0100, B:36:0x008f, B:37:0x0023, B:11:0x0043, B:13:0x007f, B:14:0x0082), top: B:2:0x0001, inners: #1 }] */
    /* JADX WARN: Removed duplicated region for block: B:25:0x00f6 A[Catch: all -> 0x0107, TryCatch #0 {, blocks: (B:3:0x0001, B:8:0x0017, B:9:0x002e, B:15:0x00c7, B:17:0x00d7, B:18:0x00da, B:20:0x00e0, B:22:0x00e4, B:23:0x00f2, B:25:0x00f6, B:26:0x00f9, B:28:0x00fd, B:29:0x0100, B:36:0x008f, B:37:0x0023, B:11:0x0043, B:13:0x007f, B:14:0x0082), top: B:2:0x0001, inners: #1 }] */
    /* JADX WARN: Removed duplicated region for block: B:28:0x00fd A[Catch: all -> 0x0107, TryCatch #0 {, blocks: (B:3:0x0001, B:8:0x0017, B:9:0x002e, B:15:0x00c7, B:17:0x00d7, B:18:0x00da, B:20:0x00e0, B:22:0x00e4, B:23:0x00f2, B:25:0x00f6, B:26:0x00f9, B:28:0x00fd, B:29:0x0100, B:36:0x008f, B:37:0x0023, B:11:0x0043, B:13:0x007f, B:14:0x0082), top: B:2:0x0001, inners: #1 }] */
    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public final synchronized void createSurface(int r4, javax.microedition.khronos.opengles.GL10 r5, javax.microedition.khronos.egl.EGLConfig r6) {
        /*
            Method dump skipped, instructions count: 266
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.amap.api.col.p0003sl.m.createSurface(int, javax.microedition.khronos.opengles.GL10, javax.microedition.khronos.egl.EGLConfig):void");
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeSurface(int i, GL10 gl10, int i2, int i3) {
        WindowManager windowManager;
        ea.a(dz.c, "changeSurface " + i2 + " " + i3);
        this.az = false;
        if (!this.aw) {
            createSurface(i, gl10, null);
        }
        aa aaVar = this.ao;
        if (aaVar != null && this.e != null && ((this.g != aaVar.b() || this.h != this.ao.c()) && (windowManager = (WindowManager) this.e.getSystemService("window")) != null)) {
            Display defaultDisplay = windowManager.getDefaultDisplay();
            DisplayMetrics displayMetrics = new DisplayMetrics();
            if (defaultDisplay != null) {
                defaultDisplay.getRealMetrics(displayMetrics);
                this.ao.a(displayMetrics.widthPixels, displayMetrics.heightPixels);
            }
        }
        this.g = i2;
        this.h = i3;
        this.X = new Rect(0, 0, i2, i3);
        this.F = a(i, new Rect(0, 0, this.g, this.h), this.g, this.h);
        ea.a(dz.c, "create engine with frame complete");
        if (!this.ax) {
            MapConfig mapConfig = this.b;
            if (mapConfig != null) {
                mapConfig.setMapZoomScale(this.ar);
                this.b.setMapWidth(i2);
                this.b.setMapHeight(i3);
            }
            this.f.setIndoorEnable(this.F, false);
            this.f.setSimple3DEnable(this.F, false);
            this.f.setStyleChangeGradualEnable(this.F, false);
            this.f.initMapOpenLayer("{\"bounds\" : [{\"x2\" : 235405312,\"x1\" : 188874751,\"y2\" : 85065727,\"y1\" : 122421247}],\"sublyr\" : [{\"type\" : 4,\"sid\" : 9000006,\"zlevel\" : 2}],\"id\" : 9006,\"minzoom\" : 6,\"update_period\" : 90,\"maxzoom\" : 20,\"cachemode\" : 2,\"url\" : \"https://mpsapi.amap.com/ws/mps/lyrdata/ugc/\"}");
            GLMapEngine.InitParam initParam = new GLMapEngine.InitParam();
            AeUtil.initIntersectionRes(this.e, initParam);
            this.f.setVectorOverlayPath(initParam.mIntersectionResPath);
        }
        synchronized (this) {
            this.ax = true;
        }
        if (!this.I) {
            this.b.setAnchorX(i2 >> 1);
            this.b.setAnchorY(i3 >> 1);
        } else {
            this.b.setAnchorX(Math.max(1, Math.min(this.aC, i2 - 1)));
            this.b.setAnchorY(Math.max(1, Math.min(this.aD, i3 - 1)));
        }
        this.f.setProjectionCenter(this.F, this.b.getAnchorX(), this.b.getAnchorY());
        this.a = true;
        if (this.aU.b) {
            this.aU.run();
        }
        if (this.aL.b) {
            this.aL.run();
        }
        if (this.aM.b) {
            this.aM.run();
        }
        if (this.aJ.b) {
            this.aJ.run();
        }
        if (this.aN.b) {
            this.aN.run();
        }
        if (this.aX.b) {
            this.aX.run();
        }
        if (this.aO.b) {
            this.aO.run();
        }
        if (this.aP.b) {
            this.aP.run();
        }
        if (this.aQ.b) {
            this.aQ.run();
        }
        if (this.aV.b) {
            this.aV.run();
        }
        if (this.aK.b) {
            this.aK.run();
        }
        if (this.aR.b) {
            this.aR.run();
        }
        a aVar = this.aS;
        if (aVar != null) {
            aVar.run();
        }
        a aVar2 = this.aT;
        if (aVar2 != null) {
            aVar2.run();
        }
        CustomRenderer customRenderer = this.ag;
        if (customRenderer != null) {
            customRenderer.onSurfaceChanged(gl10, i2, i3);
        }
        com.autonavi.extra.b bVar = this.aY;
        if (bVar != null) {
            bVar.d();
        }
        Handler handler = this.j;
        if (handler != null) {
            handler.post(this.aW);
        }
        redrawInfoWindow();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void destroySurface(int i) {
        this.aA.lock();
        try {
            if (this.aw) {
                EGL14.eglGetCurrentContext();
                EGLContext eGLContext = EGL14.EGL_NO_CONTEXT;
                r();
                GLMapEngine gLMapEngine = this.f;
                if (gLMapEngine != null) {
                    if (gLMapEngine.getOverlayBundle(this.F) != null) {
                        this.f.getOverlayBundle(this.F).removeAll(true);
                    }
                    this.f.destroyAMapEngine();
                    this.f = null;
                    int i2 = this.bd;
                    if (i2 > 0) {
                        dv.a(this.e, i2);
                    }
                    ea.a(dz.c, "destroy engine complete");
                }
                com.autonavi.extra.b bVar = this.aY;
                if (bVar != null) {
                    bVar.f();
                }
            }
            this.aw = false;
            this.ax = false;
            this.az = false;
        } finally {
            try {
            } finally {
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final Context getContext() {
        return this.e;
    }

    private int a(int i, Rect rect, int i2, int i3) {
        int i4;
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine == null || i < 0) {
            i4 = 0;
        } else {
            i4 = gLMapEngine.getEngineIDWithType(i);
            if (!this.f.isEngineCreated(i4)) {
                int i5 = Build.VERSION.SDK_INT >= 4 ? this.e.getResources().getDisplayMetrics().densityDpi : 0;
                float f = this.e.getResources().getDisplayMetrics().density;
                NativeTextGenerate.getInstance().setDensity(f);
                GLMapEngine.MapViewInitParam mapViewInitParam = new GLMapEngine.MapViewInitParam();
                mapViewInitParam.engineId = i4;
                mapViewInitParam.x = rect.left;
                mapViewInitParam.y = rect.top;
                mapViewInitParam.width = rect.width();
                mapViewInitParam.height = rect.height();
                mapViewInitParam.screenWidth = i2;
                mapViewInitParam.screenHeight = i3;
                mapViewInitParam.screenScale = f;
                mapViewInitParam.textScale = this.as * f;
                mapViewInitParam.mapZoomScale = this.ar;
                mapViewInitParam.taskThreadCount = 3;
                this.f.createAMapEngineWithFrame(mapViewInitParam);
                GLMapState mapState = this.f.getMapState(i4);
                mapState.setMapZoomer(this.b.getSZ());
                mapState.setCameraDegree(this.b.getSC());
                mapState.setMapAngle(this.b.getSR());
                mapState.setMapGeoCenter(this.b.getSX(), this.b.getSY());
                this.f.setMapState(i4, mapState);
                this.ar = mapState.calMapZoomScalefactor(i2, i3, i5);
                this.f.setOvelayBundle(i4, new GLOverlayBundle<>(i4, this));
            } else {
                a(i4, rect.left, rect.top, rect.width(), rect.height(), i2, i3);
            }
        }
        this.G.set(false);
        return i4;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final int getEngineIDWithGestureInfo(EAMapPlatformGestureInfo eAMapPlatformGestureInfo) {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            return gLMapEngine.getEngineIDWithGestureInfo(eAMapPlatformGestureInfo);
        }
        return this.F;
    }

    private void a(int i, int i2, int i3, int i4, int i5, int i6, int i7) {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            gLMapEngine.setServiceViewRect(i, i2, i3, i4, i5, i6, i7);
        }
    }

    private boolean g(int i) {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            return gLMapEngine.getSrvViewStateBoolValue(i, 7);
        }
        return false;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final CameraPosition getCameraPosition() throws RemoteException {
        return getCameraPositionPrj(this.I);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getMaxZoomLevel() {
        try {
            MapConfig mapConfig = this.b;
            if (mapConfig != null) {
                return mapConfig.getMaxZoomLevel();
            }
            return 20.0f;
        } catch (Throwable th) {
            dy.a(th);
            return 20.0f;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getMinZoomLevel() {
        try {
            MapConfig mapConfig = this.b;
            if (mapConfig != null) {
                return mapConfig.getMinZoomLevel();
            }
            return 3.0f;
        } catch (Throwable th) {
            dy.a(th);
            return 3.0f;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void moveCamera(CameraUpdate cameraUpdate) throws RemoteException {
        if (cameraUpdate == null) {
            return;
        }
        try {
            moveCamera(cameraUpdate.getCameraUpdateFactoryDelegate());
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void moveCamera(AbstractCameraUpdateMessage abstractCameraUpdateMessage) throws RemoteException {
        if (this.f == null || this.G.get()) {
            return;
        }
        try {
            if (this.H && this.f.getStateMessageCount() > 0) {
                AbstractCameraUpdateMessage c2 = am.c();
                c2.nowType = AbstractCameraUpdateMessage.Type.changeGeoCenterZoomTiltBearing;
                c2.geoPoint = new DPoint(this.b.getSX(), this.b.getSY());
                c2.zoom = this.b.getSZ();
                c2.bearing = this.b.getSR();
                c2.tilt = this.b.getSC();
                this.f.addMessage(abstractCameraUpdateMessage, false);
                while (this.f.getStateMessageCount() > 0) {
                    AbstractCameraUpdateMessage stateMessage = this.f.getStateMessage();
                    if (stateMessage != null) {
                        stateMessage.mergeCameraUpdateDelegate(c2);
                    }
                }
                abstractCameraUpdateMessage = c2;
            }
        } catch (Throwable th) {
            dy.a(th);
        }
        resetRenderTime();
        this.f.clearAnimations(this.F, false);
        abstractCameraUpdateMessage.isChangeFinished = true;
        a(abstractCameraUpdateMessage);
        this.f.addMessage(abstractCameraUpdateMessage, false);
    }

    private void a(AbstractCameraUpdateMessage abstractCameraUpdateMessage) {
        abstractCameraUpdateMessage.isUseAnchor = this.I;
        if (this.I) {
            abstractCameraUpdateMessage.anchorX = this.b.getAnchorX();
            abstractCameraUpdateMessage.anchorY = this.b.getAnchorY();
        }
        if (abstractCameraUpdateMessage.width == 0) {
            abstractCameraUpdateMessage.width = getMapWidth();
        }
        if (abstractCameraUpdateMessage.height == 0) {
            abstractCameraUpdateMessage.height = getMapHeight();
        }
        abstractCameraUpdateMessage.mapConfig = this.b;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void animateCamera(CameraUpdate cameraUpdate) throws RemoteException {
        if (cameraUpdate == null) {
            return;
        }
        animateCamera(cameraUpdate.getCameraUpdateFactoryDelegate());
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void animateCamera(AbstractCameraUpdateMessage abstractCameraUpdateMessage) throws RemoteException {
        animateCameraWithDurationAndCallback(abstractCameraUpdateMessage, 250L, (AMap.CancelableCallback) null);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void animateCameraWithCallback(CameraUpdate cameraUpdate, AMap.CancelableCallback cancelableCallback) throws RemoteException {
        if (cameraUpdate == null) {
            return;
        }
        animateCameraWithDurationAndCallback(cameraUpdate, 250L, cancelableCallback);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void animateCameraWithDurationAndCallback(CameraUpdate cameraUpdate, long j, AMap.CancelableCallback cancelableCallback) {
        if (cameraUpdate == null) {
            return;
        }
        animateCameraWithDurationAndCallback(cameraUpdate.getCameraUpdateFactoryDelegate(), j, cancelableCallback);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void animateCameraWithDurationAndCallback(AbstractCameraUpdateMessage abstractCameraUpdateMessage, long j, AMap.CancelableCallback cancelableCallback) {
        if (abstractCameraUpdateMessage == null || this.G.get() || this.f == null) {
            return;
        }
        abstractCameraUpdateMessage.mCallback = cancelableCallback;
        abstractCameraUpdateMessage.mDuration = j;
        if (this.H || getMapHeight() == 0 || getMapWidth() == 0) {
            try {
                moveCamera(abstractCameraUpdateMessage);
                if (abstractCameraUpdateMessage.mCallback != null) {
                    abstractCameraUpdateMessage.mCallback.onFinish();
                    return;
                }
                return;
            } catch (Throwable th) {
                th.printStackTrace();
                dy.a(th);
                return;
            }
        }
        try {
            this.f.interruptAnimation();
            resetRenderTime();
            a(abstractCameraUpdateMessage);
            this.f.addMessage(abstractCameraUpdateMessage, true);
        } catch (Throwable th2) {
            dy.a(th2);
            th2.printStackTrace();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void stopAnimation() throws RemoteException {
        try {
            GLMapEngine gLMapEngine = this.f;
            if (gLMapEngine != null) {
                gLMapEngine.interruptAnimation();
            }
            resetRenderTime();
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Polyline addPolyline(PolylineOptions polylineOptions) throws RemoteException {
        if (polylineOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            String createId = this.D.createId("POLYLINE");
            Polyline polyline = (Polyline) this.D.addOverlayObject(createId, new Polyline(this.D, polylineOptions, createId), polylineOptions);
            ea.c(dz.d, "addPolyline ".concat(String.valueOf(createId)));
            return polyline;
        } catch (Throwable th) {
            dy.a(th);
            ea.a(dz.d, "addPolyline failed " + th.getMessage(), polylineOptions);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final BuildingOverlay addBuildingOverlay() {
        try {
            dv.h(this.e);
            String createId = this.D.createId("BUILDINGOVERLAY");
            BuildingOverlay buildingOverlay = new BuildingOverlay(this.D, createId);
            Field declaredField = buildingOverlay.getClass().getDeclaredField("buildingOverlayTotalOptions");
            if (declaredField == null) {
                return null;
            }
            resetRenderTime();
            declaredField.setAccessible(true);
            Object obj = declaredField.get(buildingOverlay);
            IGlOverlayLayer iGlOverlayLayer = this.D;
            return (iGlOverlayLayer == null || !(obj instanceof BaseOptions)) ? buildingOverlay : (BuildingOverlay) iGlOverlayLayer.addOverlayObject(createId, buildingOverlay, (BaseOptions) obj);
        } catch (Exception e) {
            e.printStackTrace();
            dy.a(e);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final GL3DModel addGLModel(GL3DModelOptions gL3DModelOptions) {
        resetRenderTime();
        String createId = this.D.createId("GL3DMODEL");
        GL3DModel gL3DModel = new GL3DModel(this.D, gL3DModelOptions, createId);
        this.D.addOverlayObject(createId, gL3DModel, gL3DModelOptions);
        return gL3DModel;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final ParticleOverlay addParticleOverlay(ParticleOverlayOptions particleOverlayOptions) {
        if (particleOverlayOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            dv.c(this.e);
            String createId = this.D.createId("PARTICLEOVERLAY");
            return (ParticleOverlay) this.D.addOverlayObject(createId, new ParticleOverlay(this.D, particleOverlayOptions, createId), particleOverlayOptions);
        } catch (Throwable th) {
            dy.a(th);
            th.printStackTrace();
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final NavigateArrow addNavigateArrow(NavigateArrowOptions navigateArrowOptions) throws RemoteException {
        if (navigateArrowOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            NavigateArrowOptions m17clone = navigateArrowOptions.m17clone();
            String createId = this.D.createId("NAVIGATEARROW");
            NavigateArrow navigateArrow = new NavigateArrow(this.D, m17clone, createId);
            IGlOverlayLayer iGlOverlayLayer = this.D;
            return iGlOverlayLayer != null ? (NavigateArrow) iGlOverlayLayer.addOverlayObject(createId, navigateArrow, m17clone) : navigateArrow;
        } catch (Throwable th) {
            dy.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Polygon addPolygon(PolygonOptions polygonOptions) throws RemoteException {
        if (polygonOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            PolygonOptions m18clone = polygonOptions.m18clone();
            String createId = this.D.createId("POLYGON");
            Polygon polygon = new Polygon(this.D, m18clone, createId);
            IGlOverlayLayer iGlOverlayLayer = this.D;
            return iGlOverlayLayer != null ? (Polygon) iGlOverlayLayer.addOverlayObject(createId, polygon, m18clone) : polygon;
        } catch (Throwable th) {
            dy.a(th);
            ea.a(dz.d, "addPolygon failed " + th.getMessage(), polygonOptions);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Circle addCircle(CircleOptions circleOptions) throws RemoteException {
        if (circleOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            CircleOptions m11clone = circleOptions.m11clone();
            String createId = this.D.createId("CIRCLE");
            Circle circle = new Circle(this.D, m11clone, createId);
            IGlOverlayLayer iGlOverlayLayer = this.D;
            return iGlOverlayLayer != null ? (Circle) iGlOverlayLayer.addOverlayObject(createId, circle, m11clone) : circle;
        } catch (Throwable th) {
            dy.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Arc addArc(ArcOptions arcOptions) throws RemoteException {
        if (arcOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            ArcOptions m9clone = arcOptions.m9clone();
            String createId = this.D.createId("ARC");
            Arc arc = new Arc(this.D, m9clone, createId);
            IGlOverlayLayer iGlOverlayLayer = this.D;
            return iGlOverlayLayer != null ? (Arc) iGlOverlayLayer.addOverlayObject(createId, arc, m9clone) : arc;
        } catch (Throwable th) {
            dy.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final GroundOverlay addGroundOverlay(GroundOverlayOptions groundOverlayOptions) throws RemoteException {
        if (groundOverlayOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            GroundOverlayOptions m13clone = groundOverlayOptions.m13clone();
            String createId = this.D.createId("GROUNDOVERLAY");
            GroundOverlay groundOverlay = new GroundOverlay(this.D, m13clone, createId);
            IGlOverlayLayer iGlOverlayLayer = this.D;
            return iGlOverlayLayer != null ? (GroundOverlay) iGlOverlayLayer.addOverlayObject(createId, groundOverlay, m13clone) : groundOverlay;
        } catch (Throwable th) {
            dy.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final MultiPointOverlay addMultiPointOverlay(MultiPointOverlayOptions multiPointOverlayOptions) throws RemoteException {
        if (multiPointOverlayOptions == null) {
            return null;
        }
        try {
            resetRenderTime();
            MultiPointOverlayOptions m16clone = multiPointOverlayOptions.m16clone();
            String createId = this.D.createId("MULTIOVERLAY");
            MultiPointOverlay multiPointOverlay = new MultiPointOverlay(this.D, m16clone, createId);
            IGlOverlayLayer iGlOverlayLayer = this.D;
            return iGlOverlayLayer != null ? (MultiPointOverlay) iGlOverlayLayer.addOverlayObject(createId, multiPointOverlay, m16clone) : multiPointOverlay;
        } catch (Throwable unused) {
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Marker addMarker(MarkerOptions markerOptions) throws RemoteException {
        try {
            resetRenderTime();
            MarkerOptions m15clone = markerOptions.m15clone();
            String createId = this.D.createId("MARKER");
            Marker marker = new Marker(this.D, m15clone, createId);
            this.D.addOverlayObject(createId, marker, m15clone);
            return marker;
        } catch (Throwable th) {
            dy.a(th);
            ea.a(dz.d, "addMarker failed " + th.getMessage(), markerOptions);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Text addText(TextOptions textOptions) throws RemoteException {
        try {
            resetRenderTime();
            String createId = this.D.createId("TEXT");
            TextOptions m19clone = textOptions.m19clone();
            MarkerOptions a2 = cp.a(m19clone);
            Marker marker = new Marker(this.D, a2, createId);
            marker.setObject(m19clone.getObject());
            this.D.addOverlayObject(createId, marker, a2);
            return new Text(marker, m19clone);
        } catch (Throwable th) {
            dy.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final ArrayList<Marker> addMarkers(ArrayList<MarkerOptions> arrayList, boolean z) throws RemoteException {
        try {
            resetRenderTime();
            ArrayList<Marker> arrayList2 = new ArrayList<>();
            final LatLngBounds.Builder builder = LatLngBounds.builder();
            for (int i = 0; i < arrayList.size(); i++) {
                MarkerOptions markerOptions = arrayList.get(i);
                if (arrayList.get(i) != null) {
                    arrayList2.add(addMarker(markerOptions));
                    if (markerOptions.getPosition() != null) {
                        builder.include(markerOptions.getPosition());
                    }
                }
            }
            if (z && arrayList2.size() > 0) {
                getMainHandler().postDelayed(new Runnable() { // from class: com.amap.api.col.3sl.m.19
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            m.this.moveCamera(am.a(builder.build(), 50));
                        } catch (Throwable unused) {
                        }
                    }
                }, 50L);
            }
            return arrayList2;
        } catch (Throwable th) {
            dy.a(th);
            ea.a(dz.d, "addMarkers failed " + th.getMessage(), arrayList);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final TileOverlay addTileOverlay(TileOverlayOptions tileOverlayOptions) throws RemoteException {
        try {
            TileProvider tileProvider = tileOverlayOptions.getTileProvider();
            if (tileProvider != null && (tileProvider instanceof HeatmapTileProvider)) {
                dv.a(this.e);
            }
            String createId = this.D.createId("TILEOVERLAY");
            TileOverlay tileOverlay = new TileOverlay(this.D, tileOverlayOptions, createId);
            this.D.addOverlayObject(createId, tileOverlay, tileOverlayOptions);
            return tileOverlay;
        } catch (Throwable th) {
            dy.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final MVTTileOverlay addMVTTileOverlay(MVTTileOverlayOptions mVTTileOverlayOptions) throws RemoteException {
        try {
            if (y.a().b()) {
                y.a();
            }
            String createId = this.D.createId("MVTTILEOVERLAY");
            MVTTileOverlay mVTTileOverlay = new MVTTileOverlay(this.D, mVTTileOverlayOptions, createId);
            this.D.addOverlayObject(createId, mVTTileOverlay, mVTTileOverlayOptions);
            return mVTTileOverlay;
        } catch (Throwable th) {
            dy.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final HeatMapLayer addHeatMapLayer(HeatMapLayerOptions heatMapLayerOptions) throws RemoteException {
        try {
            resetRenderTime();
            if (heatMapLayerOptions == null) {
                return null;
            }
            String createId = this.D.createId("HEATMAPLAYER");
            return (HeatMapLayer) this.D.addOverlayObject(createId, new HeatMapLayer(this.D, heatMapLayerOptions, createId), heatMapLayerOptions);
        } catch (Throwable th) {
            dy.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final HeatMapGridLayer addHeatMapGridLayer(HeatMapGridLayerOptions heatMapGridLayerOptions) throws RemoteException {
        try {
            resetRenderTime();
            if (heatMapGridLayerOptions == null) {
                return null;
            }
            String createId = this.D.createId("HEATMAPGRIDLAYER");
            return (HeatMapGridLayer) this.D.addOverlayObject(createId, new HeatMapGridLayer(this.D, heatMapGridLayerOptions, createId), heatMapGridLayerOptions);
        } catch (Throwable th) {
            dy.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final GLTFOverlay addGLTFOverlay(GLTFOverlayOptions gLTFOverlayOptions) throws RemoteException {
        try {
            if (y.a().b()) {
                y.a();
            }
            resetRenderTime();
            GLTFOverlayOptions m12clone = gLTFOverlayOptions.m12clone();
            String createId = this.D.createId("GLTFOVERLAY");
            GLTFOverlay gLTFOverlay = new GLTFOverlay(this.D, m12clone, createId);
            this.D.addOverlayObject(createId, gLTFOverlay, m12clone);
            return gLTFOverlay;
        } catch (Throwable th) {
            dy.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final AMap3DModelTileOverlay add3DModelTileOverlay(AMap3DModelTileOverlayOptions aMap3DModelTileOverlayOptions) throws RemoteException {
        try {
            resetRenderTime();
            String createId = this.D.createId("AMAP3DMODELTILE");
            AMap3DModelTileOverlay aMap3DModelTileOverlay = new AMap3DModelTileOverlay(this.D, aMap3DModelTileOverlayOptions, createId);
            this.D.addOverlayObject(createId, aMap3DModelTileOverlay, aMap3DModelTileOverlayOptions);
            return aMap3DModelTileOverlay;
        } catch (Throwable th) {
            dy.a(th);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final eq addContourLineOverlay(ep epVar) {
        try {
            String createId = this.D.createId("CONTOURLINE");
            eq eqVar = new eq(this.D, epVar, createId);
            this.D.addOverlayObject(createId, eqVar, epVar);
            return eqVar;
        } catch (Exception e) {
            dy.a(e);
            return null;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void clear() throws RemoteException {
        try {
            clear(false);
        } catch (Throwable th) {
            jx.c(th, "AMapDelegateImp", "clear");
            dy.a(th);
            th.printStackTrace();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void clear(boolean z) throws RemoteException {
        try {
            hideInfoWindow();
            String str = null;
            String str2 = "";
            cm cmVar = this.K;
            if (cmVar != null) {
                if (z) {
                    str = cmVar.d();
                    str2 = this.K.e();
                } else {
                    cmVar.f();
                }
            }
            this.D.clear(str, str2);
            queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.20
                @Override // java.lang.Runnable
                public final void run() {
                    if (m.this.f == null || m.this.G.get()) {
                        return;
                    }
                    m.this.f.removeNativeAllOverlay(m.this.F);
                }
            });
            resetRenderTime();
        } catch (Throwable th) {
            jx.c(th, "AMapDelegateImp", "clear");
            dy.a(th);
            th.printStackTrace();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getMapType() throws RemoteException {
        return this.Y;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapType(int i) throws RemoteException {
        MapConfig mapConfig;
        if (i != this.Y || ((mapConfig = this.b) != null && mapConfig.isCustomStyleEnable())) {
            this.Y = i;
            h(i);
        }
    }

    /* JADX WARN: Removed duplicated region for block: B:20:0x0059 A[Catch: all -> 0x0075, TryCatch #0 {all -> 0x0075, blocks: (B:4:0x0027, B:6:0x0039, B:8:0x003d, B:10:0x0043, B:11:0x0053, B:12:0x0071, B:19:0x0049, B:20:0x0059, B:22:0x0067, B:23:0x006c, B:38:0x0024), top: B:37:0x0024 }] */
    /* JADX WARN: Removed duplicated region for block: B:6:0x0039 A[Catch: all -> 0x0075, TryCatch #0 {all -> 0x0075, blocks: (B:4:0x0027, B:6:0x0039, B:8:0x003d, B:10:0x0043, B:11:0x0053, B:12:0x0071, B:19:0x0049, B:20:0x0059, B:22:0x0067, B:23:0x006c, B:38:0x0024), top: B:37:0x0024 }] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private void h(int r6) {
        /*
            r5 = this;
            r5.Y = r6
            r0 = 3
            r1 = 2
            r2 = 1
            r3 = 0
            if (r6 != r2) goto Lb
        L8:
            r6 = r3
            r0 = r6
            goto L27
        Lb:
            if (r6 != r1) goto L10
            r0 = r2
        Le:
            r6 = r3
            goto L27
        L10:
            if (r6 != r0) goto L15
            r6 = r2
            r0 = r3
            goto L27
        L15:
            r4 = 4
            if (r6 != r4) goto L1a
            r0 = r1
            goto Le
        L1a:
            r4 = 6
            if (r6 != r4) goto L20
            r0 = r1
            r6 = r2
            goto L27
        L20:
            r1 = 5
            if (r6 != r1) goto L24
            goto Le
        L24:
            r5.Y = r2     // Catch: java.lang.Throwable -> L75
            goto L8
        L27:
            com.autonavi.base.amap.mapcore.MapConfig r1 = r5.b     // Catch: java.lang.Throwable -> L75
            r1.setMapStyleMode(r0)     // Catch: java.lang.Throwable -> L75
            com.autonavi.base.amap.mapcore.MapConfig r1 = r5.b     // Catch: java.lang.Throwable -> L75
            r1.setMapStyleTime(r6)     // Catch: java.lang.Throwable -> L75
            com.autonavi.base.amap.mapcore.MapConfig r1 = r5.b     // Catch: java.lang.Throwable -> L75
            boolean r1 = r1.isCustomStyleEnable()     // Catch: java.lang.Throwable -> L75
            if (r1 == 0) goto L59
            com.amap.api.col.3sl.l r1 = r5.aH     // Catch: java.lang.Throwable -> L75
            if (r1 == 0) goto L49
            boolean r1 = r1.d()     // Catch: java.lang.Throwable -> L75
            if (r1 == 0) goto L49
            com.amap.api.col.3sl.l r6 = r5.aH     // Catch: java.lang.Throwable -> L75
            r6.e()     // Catch: java.lang.Throwable -> L75
            goto L53
        L49:
            int r1 = r5.F     // Catch: java.lang.Throwable -> L75
            r5.a(r1, r0, r6)     // Catch: java.lang.Throwable -> L75
            com.autonavi.base.amap.mapcore.MapConfig r6 = r5.b     // Catch: java.lang.Throwable -> L75
            r6.setCustomStyleEnable(r3)     // Catch: java.lang.Throwable -> L75
        L53:
            com.amap.api.col.3sl.ah r6 = r5.z     // Catch: java.lang.Throwable -> L75
            r6.setLogoEnable(r2)     // Catch: java.lang.Throwable -> L75
            goto L71
        L59:
            com.autonavi.base.amap.mapcore.MapConfig r1 = r5.b     // Catch: java.lang.Throwable -> L75
            java.lang.String r1 = r1.getMapLanguage()     // Catch: java.lang.Throwable -> L75
            java.lang.String r2 = "en"
            boolean r1 = r1.equals(r2)     // Catch: java.lang.Throwable -> L75
            if (r1 == 0) goto L6c
            java.lang.String r1 = "zh_cn"
            r5.setMapLanguage(r1)     // Catch: java.lang.Throwable -> L75
        L6c:
            int r1 = r5.F     // Catch: java.lang.Throwable -> L75
            r5.a(r1, r0, r6)     // Catch: java.lang.Throwable -> L75
        L71:
            r5.resetRenderTime()     // Catch: java.lang.Throwable -> L75
            return
        L75:
            r6 = move-exception
            java.lang.String r0 = "AMapDelegateImp"
            java.lang.String r1 = "setMaptype"
            com.amap.api.col.p0003sl.jx.c(r6, r0, r1)
            r6.printStackTrace()
            com.amap.api.col.p0003sl.dy.a(r6)
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.amap.api.col.p0003sl.m.h(int):void");
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean isTrafficEnabled() throws RemoteException {
        return this.b.isTrafficEnabled();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setTrafficEnabled(final boolean z) throws RemoteException {
        try {
            if (this.aw && !this.G.get()) {
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.22
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            if (m.this.b.isTrafficEnabled() != z) {
                                m.this.b.setTrafficEnabled(z);
                                m.this.an.setTrafficMode(z);
                                m.this.f.setTrafficEnable(m.this.F, z);
                                m.this.resetRenderTime();
                            }
                        } catch (Throwable th) {
                            th.printStackTrace();
                            dy.a(th);
                        }
                    }
                });
                return;
            }
            this.aJ.c = z;
            this.aJ.b = true;
            this.aJ.f = this.F;
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean isIndoorEnabled() throws RemoteException {
        return this.b.isIndoorEnable();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setIndoorEnabled(final boolean z) throws RemoteException {
        List a2;
        try {
            if (this.aw && !this.G.get()) {
                this.b.setIndoorEnable(z);
                resetRenderTime();
                if (z) {
                    GLMapEngine gLMapEngine = this.f;
                    if (gLMapEngine != null) {
                        gLMapEngine.setIndoorEnable(this.F, true);
                    }
                } else {
                    GLMapEngine gLMapEngine2 = this.f;
                    if (gLMapEngine2 != null) {
                        gLMapEngine2.setIndoorEnable(this.F, false);
                    }
                    MapConfig mapConfig = this.b;
                    mapConfig.maxZoomLevel = mapConfig.isSetLimitZoomLevel() ? this.b.getMaxZoomLevel() : 20.0f;
                    try {
                        if (this.z.isZoomControlsEnabled() && (a2 = this.u.a(AMapWidgetListener.class.hashCode())) != null && a2.size() > 0) {
                            synchronized (a2) {
                                for (int i = 0; i < a2.size(); i++) {
                                    ((AMapWidgetListener) a2.get(i)).invalidateZoomController(this.b.getSZ());
                                }
                            }
                        }
                    } catch (Throwable unused) {
                    }
                }
                dv.c(this.e, z);
                if (this.z.isIndoorSwitchEnabled()) {
                    this.j.post(new Runnable() { // from class: com.amap.api.col.3sl.m.23
                        @Override // java.lang.Runnable
                        public final void run() {
                            if (!z) {
                                if (m.this.C != null) {
                                    m.this.C.i(Boolean.FALSE);
                                    return;
                                }
                                return;
                            }
                            m.this.showIndoorSwitchControlsEnabled(true);
                        }
                    });
                    return;
                }
                return;
            }
            this.aV.c = z;
            this.aV.b = true;
            this.aV.f = this.F;
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void set3DBuildingEnabled(boolean z) throws RemoteException {
        try {
            c(this.F);
            a(this.F, z);
            d(this.F);
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean isMyLocationEnabled() throws RemoteException {
        return this.E;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMyLocationEnabled(boolean z) throws RemoteException {
        if (this.G.get()) {
            return;
        }
        try {
            ej ejVar = this.C;
            if (ejVar != null) {
                LocationSource locationSource = this.L;
                if (locationSource == null) {
                    ejVar.h(Boolean.FALSE);
                } else if (z) {
                    locationSource.activate(this.t);
                    this.C.h(Boolean.TRUE);
                    if (this.K == null) {
                        this.K = new cm(this, this.e);
                    }
                } else {
                    cm cmVar = this.K;
                    if (cmVar != null) {
                        cmVar.c();
                        this.K = null;
                    }
                    this.L.deactivate();
                }
            }
            if (!z) {
                this.z.setMyLocationButtonEnabled(z);
            }
            this.E = z;
            resetRenderTime();
        } catch (Throwable th) {
            jx.c(th, "AMapDelegateImp", "setMyLocationEnabled");
            th.printStackTrace();
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setLoadOfflineData(final boolean z) throws RemoteException {
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.24
            @Override // java.lang.Runnable
            public final void run() {
                if (m.this.f != null) {
                    m.this.f.setOfflineDataEnable(m.this.F, z);
                }
            }
        });
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMyLocationStyle(MyLocationStyle myLocationStyle) throws RemoteException {
        if (this.G.get()) {
            return;
        }
        try {
            if (this.K == null) {
                this.K = new cm(this, this.e);
            }
            if (this.K != null) {
                if (myLocationStyle.getInterval() < 1000) {
                    myLocationStyle.interval(1000L);
                }
                LocationSource locationSource = this.L;
                if (locationSource != null && (locationSource instanceof ax)) {
                    ((ax) locationSource).a(myLocationStyle.getInterval());
                    ((ax) this.L).a(myLocationStyle.getMyLocationType());
                }
                this.K.a(myLocationStyle);
            }
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMyLocationType(int i) throws RemoteException {
        try {
            cm cmVar = this.K;
            if (cmVar == null || cmVar.a() == null) {
                return;
            }
            this.K.a().myLocationType(i);
            setMyLocationStyle(this.K.a());
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final List<Marker> getMapScreenMarkers() throws RemoteException {
        if (!dy.a(getMapWidth(), getMapHeight())) {
            return new ArrayList();
        }
        if (this.G.get()) {
            return new ArrayList();
        }
        return this.D.getMapScreenMarkers();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapTextEnable(final boolean z) throws RemoteException {
        try {
            if (this.aw && this.ax) {
                resetRenderTime();
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.25
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            m.this.f.setLabelEnable(m.this.F, z);
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
            } else {
                this.aO.c = z;
                this.aO.b = true;
                this.aO.f = this.F;
            }
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setRoadArrowEnable(final boolean z) throws RemoteException {
        try {
            if (this.aw && this.ax) {
                resetRenderTime();
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.26
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            m.this.f.setRoadArrowEnable(m.this.F, z);
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
            } else {
                this.aP.c = z;
                this.aP.b = true;
                this.aP.f = this.F;
            }
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setNaviLabelEnable(final boolean z, final int i, final int i2) throws RemoteException {
        try {
            if (this.aw && this.ax) {
                resetRenderTime();
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.27
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            m.this.f.setNaviLabelEnable(m.this.F, z, i, i2);
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
                return;
            }
            this.aQ.c = z;
            this.aQ.g = i;
            this.aQ.h = i2;
            this.aQ.b = true;
            this.aQ.f = this.F;
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setConstructingRoadEnable(final boolean z) {
        try {
            if (this.aw && this.ax) {
                resetRenderTime();
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.28
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            m.this.f.setMapOpenLayerEnable(z);
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
            } else {
                this.aR.c = z;
                this.aR.b = true;
                this.aR.f = this.F;
            }
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setTrafficStyleWithTexture(final byte[] bArr, final MyTrafficStyle myTrafficStyle) {
        if (this.G.get()) {
            return;
        }
        try {
            if (this.aw && this.ax && bArr != null && myTrafficStyle != null) {
                resetRenderTime();
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.29
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            m.this.f.setTrafficStyleWithTexture(m.this.F, bArr, myTrafficStyle);
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
                return;
            }
            this.aT.i = bArr;
            this.aT.j = myTrafficStyle;
            this.aT.b = true;
            this.aT.f = this.F;
        } catch (Exception e) {
            dy.a(e);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setTrafficStyleWithTextureData(final byte[] bArr) {
        if (this.G.get()) {
            return;
        }
        try {
            if (this.aw && this.ax && bArr != null) {
                resetRenderTime();
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.30
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            m.this.f.setTrafficStyleWithTextureData(m.this.F, bArr);
                        } catch (Throwable th) {
                            th.printStackTrace();
                        }
                    }
                });
            } else {
                this.aS.i = bArr;
                this.aS.b = true;
                this.aS.f = this.F;
            }
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Location getMyLocation() throws RemoteException {
        if (this.L != null) {
            return this.t.a;
        }
        return null;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setLocationSource(LocationSource locationSource) throws RemoteException {
        try {
            if (this.G.get()) {
                return;
            }
            LocationSource locationSource2 = this.L;
            if (locationSource2 != null && (locationSource2 instanceof ax)) {
                locationSource2.deactivate();
            }
            this.L = locationSource;
            if (locationSource != null) {
                this.C.h(Boolean.TRUE);
            } else {
                this.C.h(Boolean.FALSE);
            }
        } catch (Throwable th) {
            jx.c(th, "AMapDelegateImp", "setLocationSource");
            th.printStackTrace();
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMyLocationRotateAngle(float f) throws RemoteException {
        try {
            cm cmVar = this.K;
            if (cmVar != null) {
                cmVar.a(f);
            }
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final UiSettings getAMapUiSettings() throws RemoteException {
        if (this.x == null) {
            this.x = new UiSettings(this.z);
        }
        return this.x;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Projection getAMapProjection() throws RemoteException {
        return new Projection(this.y);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMapClickListener(AMap.OnMapClickListener onMapClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(AMap.OnMapClickListener.class.hashCode(), (int) onMapClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMapTouchListener(AMap.OnMapTouchListener onMapTouchListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(AMap.OnMapTouchListener.class.hashCode(), (int) onMapTouchListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnPOIClickListener(AMap.OnPOIClickListener onPOIClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(AMap.OnPOIClickListener.class.hashCode(), (int) onPOIClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMapLongClickListener(AMap.OnMapLongClickListener onMapLongClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(AMap.OnMapLongClickListener.class.hashCode(), (int) onMapLongClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMarkerClickListener(AMap.OnMarkerClickListener onMarkerClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(AMap.OnMarkerClickListener.class.hashCode(), (int) onMarkerClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnPolylineClickListener(AMap.OnPolylineClickListener onPolylineClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(AMap.OnPolylineClickListener.class.hashCode(), (int) onPolylineClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMarkerDragListener(AMap.OnMarkerDragListener onMarkerDragListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(AMap.OnMarkerDragListener.class.hashCode(), (int) onMarkerDragListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMaploadedListener(AMap.OnMapLoadedListener onMapLoadedListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(AMap.OnMapLoadedListener.class.hashCode(), (int) onMapLoadedListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnCameraChangeListener(AMap.OnCameraChangeListener onCameraChangeListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(AMap.OnCameraChangeListener.class.hashCode(), (int) onCameraChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnInfoWindowClickListener(AMap.OnInfoWindowClickListener onInfoWindowClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(AMap.OnInfoWindowClickListener.class.hashCode(), (int) onInfoWindowClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnIndoorBuildingActiveListener(AMap.OnIndoorBuildingActiveListener onIndoorBuildingActiveListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(AMap.OnIndoorBuildingActiveListener.class.hashCode(), (int) onIndoorBuildingActiveListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMyLocationChangeListener(AMap.OnMyLocationChangeListener onMyLocationChangeListener) {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(AMap.OnMyLocationChangeListener.class.hashCode(), (int) onMyLocationChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setInfoWindowAdapter(AMap.InfoWindowAdapter infoWindowAdapter) throws RemoteException {
        aw awVar;
        if (this.G.get() || (awVar = this.w) == null) {
            return;
        }
        awVar.a(infoWindowAdapter);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setInfoWindowAdapter(AMap.CommonInfoWindowAdapter commonInfoWindowAdapter) throws RemoteException {
        aw awVar;
        if (this.G.get() || (awVar = this.w) == null) {
            return;
        }
        awVar.a(commonInfoWindowAdapter);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setOnMultiPointClickListener(AMap.OnMultiPointClickListener onMultiPointClickListener) {
        this.aG = onMultiPointClickListener;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getMapContentApprovalNumber() {
        MapConfig mapConfig = this.b;
        if (mapConfig == null || mapConfig.isCustomStyleEnable()) {
            return null;
        }
        dv.d(this.e);
        String a2 = Cdo.a(this.e, "approval_number", "mc", "");
        return !TextUtils.isEmpty(a2) ? a2 : "GS (2023)551号 | GS (2023)2175号";
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getSatelliteImageApprovalNumber() {
        dv.e(this.e);
        String a2 = Cdo.a(this.e, "approval_number", "si", "");
        return !TextUtils.isEmpty(a2) ? a2 : "GS (2023)4047号";
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getTerrainApprovalNumber() {
        dv.f(this.e);
        String a2 = Cdo.a(this.e, "approval_number", "te", "");
        return !TextUtils.isEmpty(a2) ? a2 : "GS(2021)6352号";
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapLanguage(String str) {
        MapConfig mapConfig;
        if (TextUtils.isEmpty(str) || (mapConfig = this.b) == null || mapConfig.isCustomStyleEnable() || this.b.getMapLanguage().equals(str)) {
            return;
        }
        if (!str.equals("en")) {
            this.b.setMapLanguage("zh_cn");
            this.af = 0;
        } else {
            if (this.Y != 1) {
                try {
                    setMapType(1);
                } catch (Throwable th) {
                    dy.a(th);
                    th.printStackTrace();
                }
            }
            this.b.setMapLanguage("en");
            this.af = -10000;
        }
        try {
            b(getCameraPosition());
        } catch (Throwable th2) {
            dy.a(th2);
            th2.printStackTrace();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setWorldVectorMapStyle(String str) {
        if (a(false, true) || TextUtils.isEmpty(str) || this.b == null || this.ba.equals(str)) {
            return;
        }
        this.ba = str;
        com.autonavi.extra.b bVar = this.aY;
        if (bVar != null) {
            bVar.i();
        }
        resetRenderTime();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getWorldVectorMapStyle() {
        return this.ba;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getCurrentWorldVectorMapStyle() {
        try {
            com.autonavi.extra.b bVar = this.aY;
            if (bVar == null) {
                return "";
            }
            Object j = bVar.j();
            return j instanceof String ? (String) j : "";
        } catch (Throwable th) {
            dy.a(th);
            return "";
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void accelerateNetworkInChinese(boolean z) {
        com.autonavi.extra.b bVar = this.aY;
        if (bVar != null) {
            Boolean.valueOf(z);
            bVar.i();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final String getWorldVectorMapLanguage() {
        return this.aZ;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void getMapPrintScreen(AMap.onMapPrintScreenListener onmapprintscreenlistener) {
        try {
            this.u.a(Integer.valueOf(AMap.onMapPrintScreenListener.class.hashCode()), (Integer) onmapprintscreenlistener);
            this.U = 20;
            this.V = true;
            resetRenderTime();
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void getMapScreenShot(AMap.OnMapScreenShotListener onMapScreenShotListener, boolean z) {
        try {
            this.u.a(Integer.valueOf(AMap.OnMapScreenShotListener.class.hashCode()), (Integer) onMapScreenShotListener);
            this.U = 20;
            this.V = z;
            resetRenderTime();
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getScalePerPixel() throws RemoteException {
        try {
            return ((float) ((((Math.cos((getCameraPosition().target.latitude * 3.141592653589793d) / 180.0d) * 2.0d) * 3.141592653589793d) * 6378137.0d) / (Math.pow(2.0d, getZoomLevel()) * 256.0d))) * getMapZoomScale();
        } catch (Throwable th) {
            jx.c(th, "AMapDelegateImp", "getScalePerPixel");
            dy.a(th);
            th.printStackTrace();
            return 0.0f;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setRunLowFrame(boolean z) {
        if (z) {
            return;
        }
        try {
            if (this.ai == -1) {
                m();
            }
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removecache() throws RemoteException {
        removecache(null);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removecache(AMap.OnCacheRemoveListener onCacheRemoveListener) throws RemoteException {
        if (this.j == null || this.f == null) {
            return;
        }
        try {
            d dVar = new d(this.e, onCacheRemoveListener);
            this.j.removeCallbacks(dVar);
            this.j.post(dVar);
        } catch (Throwable th) {
            jx.c(th, "AMapDelegateImp", "removecache");
            th.printStackTrace();
            dy.a(th);
        }
    }

    /* compiled from: AMapDelegateImp.java */
    private class d implements Runnable {
        private Context b;
        private AMap.OnCacheRemoveListener c;

        public d(Context context, AMap.OnCacheRemoveListener onCacheRemoveListener) {
            this.b = context;
            this.c = onCacheRemoveListener;
        }

        /* JADX WARN: Code restructure failed: missing block: B:10:0x003a, code lost:
        
            if (com.amap.api.col.p0003sl.dy.e(r2) != false) goto L20;
         */
        /* JADX WARN: Removed duplicated region for block: B:13:0x0046 A[Catch: all -> 0x0062, TRY_LEAVE, TryCatch #2 {all -> 0x0062, blocks: (B:3:0x0002, B:5:0x001b, B:11:0x003e, B:13:0x0046), top: B:2:0x0002 }] */
        /* JADX WARN: Removed duplicated region for block: B:9:0x0036 A[Catch: all -> 0x0030, TRY_LEAVE, TryCatch #1 {all -> 0x0030, blocks: (B:61:0x0023, B:9:0x0036), top: B:60:0x0023 }] */
        @Override // java.lang.Runnable
        /*
            Code decompiled incorrectly, please refer to instructions dump.
            To view partially-correct code enable 'Show inconsistent code' option in preferences
        */
        public final void run() {
            /*
                r6 = this;
                r0 = 0
                r1 = 1
                android.content.Context r2 = r6.b     // Catch: java.lang.Throwable -> L62
                android.content.Context r2 = r2.getApplicationContext()     // Catch: java.lang.Throwable -> L62
                java.lang.String r3 = com.amap.api.col.p0003sl.dy.c(r2)     // Catch: java.lang.Throwable -> L62
                java.lang.String r4 = com.amap.api.col.p0003sl.dy.a(r2)     // Catch: java.lang.Throwable -> L62
                java.io.File r5 = new java.io.File     // Catch: java.lang.Throwable -> L62
                r5.<init>(r3)     // Catch: java.lang.Throwable -> L62
                boolean r3 = r5.exists()     // Catch: java.lang.Throwable -> L62
                if (r3 == 0) goto L20
                boolean r3 = com.autonavi.base.amap.mapcore.FileUtil.deleteFile(r5)     // Catch: java.lang.Throwable -> L62
                goto L21
            L20:
                r3 = r1
            L21:
                if (r3 == 0) goto L33
                java.io.File r5 = new java.io.File     // Catch: java.lang.Throwable -> L30
                r5.<init>(r4)     // Catch: java.lang.Throwable -> L30
                boolean r3 = com.autonavi.base.amap.mapcore.FileUtil.deleteFile(r5)     // Catch: java.lang.Throwable -> L30
                if (r3 == 0) goto L33
                r3 = r1
                goto L34
            L30:
                r2 = move-exception
                r1 = r3
                goto L63
            L33:
                r3 = r0
            L34:
                if (r3 == 0) goto L3d
                boolean r2 = com.amap.api.col.p0003sl.dy.e(r2)     // Catch: java.lang.Throwable -> L30
                if (r2 == 0) goto L3d
                goto L3e
            L3d:
                r1 = r0
            L3e:
                com.amap.api.col.3sl.m r2 = com.amap.api.col.p0003sl.m.this     // Catch: java.lang.Throwable -> L62
                com.amap.api.maps.interfaces.IGlOverlayLayer r2 = com.amap.api.col.p0003sl.m.g(r2)     // Catch: java.lang.Throwable -> L62
                if (r2 == 0) goto L4f
                com.amap.api.col.3sl.m r2 = com.amap.api.col.p0003sl.m.this     // Catch: java.lang.Throwable -> L62
                com.amap.api.maps.interfaces.IGlOverlayLayer r2 = com.amap.api.col.p0003sl.m.g(r2)     // Catch: java.lang.Throwable -> L62
                r2.clearTileCache()     // Catch: java.lang.Throwable -> L62
            L4f:
                com.amap.api.col.3sl.m r0 = com.amap.api.col.p0003sl.m.this     // Catch: java.lang.Throwable -> L5d
                com.autonavi.base.ae.gmap.GLMapEngine r0 = r0.f     // Catch: java.lang.Throwable -> L5d
                if (r0 == 0) goto L5c
                com.amap.api.maps.AMap$OnCacheRemoveListener r0 = r6.c     // Catch: java.lang.Throwable -> L5d
                if (r0 == 0) goto L5c
                r0.onRemoveCacheFinish(r1)     // Catch: java.lang.Throwable -> L5d
            L5c:
                return
            L5d:
                r0 = move-exception
                r0.printStackTrace()
                return
            L62:
                r2 = move-exception
            L63:
                com.amap.api.col.p0003sl.dy.a(r2)     // Catch: java.lang.Throwable -> L80
                java.lang.String r3 = "AMapDelegateImp"
                java.lang.String r4 = "RemoveCacheRunnable"
                com.amap.api.col.p0003sl.jx.c(r2, r3, r4)     // Catch: java.lang.Throwable -> L80
                com.amap.api.col.3sl.m r1 = com.amap.api.col.p0003sl.m.this     // Catch: java.lang.Throwable -> L7b
                com.autonavi.base.ae.gmap.GLMapEngine r1 = r1.f     // Catch: java.lang.Throwable -> L7b
                if (r1 == 0) goto L7a
                com.amap.api.maps.AMap$OnCacheRemoveListener r1 = r6.c     // Catch: java.lang.Throwable -> L7b
                if (r1 == 0) goto L7a
                r1.onRemoveCacheFinish(r0)     // Catch: java.lang.Throwable -> L7b
            L7a:
                return
            L7b:
                r0 = move-exception
                r0.printStackTrace()
                return
            L80:
                r0 = move-exception
                com.amap.api.col.3sl.m r2 = com.amap.api.col.p0003sl.m.this     // Catch: java.lang.Throwable -> L8f
                com.autonavi.base.ae.gmap.GLMapEngine r2 = r2.f     // Catch: java.lang.Throwable -> L8f
                if (r2 == 0) goto L93
                com.amap.api.maps.AMap$OnCacheRemoveListener r2 = r6.c     // Catch: java.lang.Throwable -> L8f
                if (r2 == 0) goto L93
                r2.onRemoveCacheFinish(r1)     // Catch: java.lang.Throwable -> L8f
                goto L93
            L8f:
                r1 = move-exception
                r1.printStackTrace()
            L93:
                throw r0
            */
            throw new UnsupportedOperationException("Method not decompiled: com.amap.api.col.3sl.m.d.run():void");
        }

        public final boolean equals(Object obj) {
            return obj instanceof d;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomRenderer(CustomRenderer customRenderer) throws RemoteException {
        this.ag = customRenderer;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCenterToPixel(int i, int i2) throws RemoteException {
        this.I = true;
        this.aC = i;
        this.aD = i2;
        if (this.ax && this.aw) {
            if (this.b.getAnchorX() == this.aC && this.b.getAnchorY() == this.aD) {
                return;
            }
            this.b.setAnchorX(this.aC);
            this.b.setAnchorY(this.aD);
            queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.31
                @Override // java.lang.Runnable
                public final void run() {
                    try {
                        m.this.b.setAnchorX(Math.max(0, Math.min(m.this.aC, m.this.g)));
                        m.this.b.setAnchorY(Math.max(0, Math.min(m.this.aD, m.this.h)));
                        m.this.f.setProjectionCenter(m.this.F, m.this.b.getAnchorX(), m.this.b.getAnchorY());
                    } catch (Throwable th) {
                        th.printStackTrace();
                    }
                }
            });
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapTextZIndex(int i) throws RemoteException {
        this.af = i;
        this.i = false;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getMapTextZIndex() throws RemoteException {
        return this.af;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setRenderFps(int i) {
        try {
            if (i == -1) {
                this.ai = i;
            } else {
                this.ai = Math.max(10, Math.min(i, 40));
            }
            dv.g(this.e);
        } catch (Throwable th) {
            dy.a(th);
            th.printStackTrace();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setIndoorBuildingInfo(IndoorBuildingInfo indoorBuildingInfo) throws RemoteException {
        if (this.G.get() || indoorBuildingInfo == null || indoorBuildingInfo.activeFloorName == null || indoorBuildingInfo.poiid == null) {
            return;
        }
        this.c = (av) indoorBuildingInfo;
        resetRenderTime();
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.33
            @Override // java.lang.Runnable
            public final void run() {
                if (m.this.f != null) {
                    m.this.f.setIndoorBuildingToBeActive(m.this.F, m.this.c.activeFloorName, m.this.c.activeFloorIndex, m.this.c.poiid);
                }
            }
        });
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setAMapGestureListener(AMapGestureListener aMapGestureListener) {
        aa aaVar = this.ao;
        if (aaVar != null) {
            this.v = aMapGestureListener;
            aaVar.a(aMapGestureListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getZoomToSpanLevel(LatLng latLng, LatLng latLng2) {
        try {
            MapConfig mapConfig = getMapConfig();
            if (latLng != null && latLng2 != null && this.aw && !this.G.get()) {
                Pair<Float, IPoint> a2 = dy.a(mapConfig, 0, 0, 0, 0, new LatLngBounds.Builder().include(latLng).include(latLng2).build(), getMapWidth(), getMapHeight());
                if (a2 != null) {
                    return ((Float) a2.first).floatValue();
                }
                GLMapState gLMapState = new GLMapState(this.F, this.f.getNativeInstance());
                float mapZoomer = gLMapState.getMapZoomer();
                gLMapState.recycle();
                return mapZoomer;
            }
            return mapConfig.getSZ();
        } catch (Throwable th) {
            dy.a(th);
            return 0.0f;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Pair<Float, LatLng> calculateZoomToSpanLevel(int i, int i2, int i3, int i4, LatLng latLng, LatLng latLng2) {
        if (latLng != null && latLng2 != null && i == i2 && i2 == i3 && i3 == i4 && latLng.latitude == latLng2.latitude && latLng.longitude == latLng2.longitude) {
            return new Pair<>(Float.valueOf(getMaxZoomLevel()), latLng);
        }
        MapConfig mapConfig = getMapConfig();
        if (latLng != null && latLng2 != null && this.aw && !this.G.get()) {
            LatLngBounds.Builder builder = new LatLngBounds.Builder();
            builder.include(latLng);
            builder.include(latLng2);
            GLMapState gLMapState = new GLMapState(this.F, this.f.getNativeInstance());
            Pair<Float, IPoint> a2 = dy.a(mapConfig, i, i2, i3, i4, builder.build(), getMapWidth(), getMapHeight());
            gLMapState.recycle();
            if (a2 == null) {
                return null;
            }
            DPoint obtain = DPoint.obtain();
            GLMapState.geo2LonLat(((IPoint) a2.second).x, ((IPoint) a2.second).y, obtain);
            Pair<Float, LatLng> pair = new Pair<>(a2.first, new LatLng(obtain.y, obtain.x));
            obtain.recycle();
            return pair;
        }
        DPoint obtain2 = DPoint.obtain();
        GLMapState.geo2LonLat((int) mapConfig.getSX(), (int) mapConfig.getSY(), obtain2);
        Pair<Float, LatLng> pair2 = new Pair<>(Float.valueOf(mapConfig.getSZ()), new LatLng(obtain2.y, obtain2.x));
        obtain2.recycle();
        return pair2;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMaxZoomLevel(float f) {
        this.b.setMaxZoomLevel(f);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMinZoomLevel(float f) {
        this.b.setMinZoomLevel(f);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void resetMinMaxZoomPreference() {
        List a2;
        this.b.resetMinMaxZoomPreference();
        try {
            if (!this.z.isZoomControlsEnabled() || !this.b.isNeedUpdateZoomControllerState() || (a2 = this.u.a(AMapWidgetListener.class.hashCode())) == null || a2.size() <= 0) {
                return;
            }
            synchronized (a2) {
                for (int i = 0; i < a2.size(); i++) {
                    ((AMapWidgetListener) a2.get(i)).invalidateZoomController(this.b.getSZ());
                }
            }
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapStatusLimits(LatLngBounds latLngBounds) {
        try {
            this.b.setLimitLatLngBounds(latLngBounds);
            p();
        } catch (Throwable th) {
            th.printStackTrace();
            dy.a(th);
        }
    }

    private static boolean a(LatLngBounds latLngBounds) {
        return (latLngBounds == null || latLngBounds.northeast == null || latLngBounds.southwest == null) ? false : true;
    }

    private void p() {
        try {
            LatLngBounds limitLatLngBounds = this.b.getLimitLatLngBounds();
            if (this.f != null && a(limitLatLngBounds)) {
                GLMapState gLMapState = new GLMapState(this.F, this.f.getNativeInstance());
                IPoint obtain = IPoint.obtain();
                GLMapState.lonlat2Geo(limitLatLngBounds.northeast.longitude, limitLatLngBounds.northeast.latitude, obtain);
                IPoint obtain2 = IPoint.obtain();
                GLMapState.lonlat2Geo(limitLatLngBounds.southwest.longitude, limitLatLngBounds.southwest.latitude, obtain2);
                this.b.setLimitIPoints(new IPoint[]{obtain, obtain2});
                gLMapState.recycle();
                return;
            }
        } catch (Throwable th) {
            th.printStackTrace();
        }
        this.b.setLimitIPoints(null);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final Handler getMainHandler() {
        return this.j;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onChangeFinish() {
        Message obtainMessage = this.j.obtainMessage();
        obtainMessage.what = 11;
        this.j.sendMessage(obtainMessage);
    }

    protected final void a(CameraPosition cameraPosition) {
        MapConfig mapConfig = this.b;
        if (mapConfig == null || mapConfig.getChangedCounter() == 0) {
            return;
        }
        try {
            if (!this.au && this.f.getAnimateionsCount() == 0 && this.f.getStateMessageCount() == 0) {
                AMapGestureListener aMapGestureListener = this.v;
                if (aMapGestureListener != null) {
                    aMapGestureListener.onMapStable();
                }
                if (this.B.isEnabled()) {
                    try {
                        List a2 = this.u.a(AMap.OnCameraChangeListener.class.hashCode());
                        if (a2 != null && a2.size() != 0) {
                            if (cameraPosition == null) {
                                try {
                                    cameraPosition = getCameraPosition();
                                } catch (Throwable th) {
                                    jx.c(th, "AMapDelegateImp", "cameraChangeFinish");
                                    th.printStackTrace();
                                }
                            }
                            synchronized (a2) {
                                Iterator it2 = a2.iterator();
                                while (it2.hasNext()) {
                                    ((AMap.OnCameraChangeListener) it2.next()).onCameraChangeFinish(cameraPosition);
                                }
                            }
                        }
                    } catch (Throwable unused) {
                    }
                    this.b.resetChangedCounter();
                }
            }
        } catch (Throwable th2) {
            th2.printStackTrace();
            dy.a(th2);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setZoomScaleParam(float f) {
        this.ar = f;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onFling() {
        IGlOverlayLayer iGlOverlayLayer = this.D;
        if (iGlOverlayLayer != null) {
            iGlOverlayLayer.setFlingState(true);
        }
        this.T = true;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getMapWidth() {
        return this.g;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getMapHeight() {
        return this.h;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getCameraAngle() {
        return getCameraDegree(this.F);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float getSkyHeight() {
        return this.b.getSkyHeight();
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean isMaploaded() {
        return this.J;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final MapConfig getMapConfig() {
        return this.b;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final View getView() throws RemoteException {
        ej ejVar = this.C;
        if (ejVar != null) {
            return ejVar.j();
        }
        return null;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void onIndoorBuildingActivity(int i, byte[] bArr) {
        av avVar;
        if (bArr != null) {
            try {
                if (bArr.length > 0) {
                    avVar = new av();
                    byte b2 = bArr[0];
                    avVar.a = new String(bArr, 1, b2, "utf-8");
                    int i2 = b2 + 1;
                    int i3 = i2 + 1;
                    byte b3 = bArr[i2];
                    avVar.b = new String(bArr, i3, b3, "utf-8");
                    int i4 = i3 + b3;
                    int i5 = i4 + 1;
                    byte b4 = bArr[i4];
                    avVar.activeFloorName = new String(bArr, i5, b4, "utf-8");
                    int i6 = i5 + b4;
                    avVar.activeFloorIndex = GLConvertUtil.getInt(bArr, i6);
                    int i7 = i6 + 4;
                    int i8 = i7 + 1;
                    byte b5 = bArr[i7];
                    avVar.poiid = new String(bArr, i8, b5, "utf-8");
                    int i9 = i8 + b5;
                    int i10 = i9 + 1;
                    byte b6 = bArr[i9];
                    avVar.h = new String(bArr, i10, b6, "utf-8");
                    int i11 = i10 + b6;
                    avVar.c = GLConvertUtil.getInt(bArr, i11);
                    int i12 = i11 + 4;
                    avVar.floor_indexs = new int[avVar.c];
                    avVar.floor_names = new String[avVar.c];
                    avVar.d = new String[avVar.c];
                    for (int i13 = 0; i13 < avVar.c; i13++) {
                        avVar.floor_indexs[i13] = GLConvertUtil.getInt(bArr, i12);
                        int i14 = i12 + 4;
                        int i15 = i14 + 1;
                        byte b7 = bArr[i14];
                        if (b7 > 0) {
                            avVar.floor_names[i13] = new String(bArr, i15, b7, "utf-8");
                            i15 += b7;
                        }
                        i12 = i15 + 1;
                        byte b8 = bArr[i15];
                        if (b8 > 0) {
                            avVar.d[i13] = new String(bArr, i12, b8, "utf-8");
                            i12 += b8;
                        }
                    }
                    avVar.e = GLConvertUtil.getInt(bArr, i12);
                    int i16 = i12 + 4;
                    if (avVar.e > 0) {
                        avVar.f = new int[avVar.e];
                        for (int i17 = 0; i17 < avVar.e; i17++) {
                            avVar.f[i17] = GLConvertUtil.getInt(bArr, i16);
                            i16 += 4;
                        }
                    }
                    this.bg = avVar;
                    post(new Runnable() { // from class: com.amap.api.col.3sl.m.34
                        @Override // java.lang.Runnable
                        public final void run() {
                            if (m.this.aE != null) {
                                m.this.aE.a(m.this.bg);
                            }
                        }
                    });
                }
            } catch (Throwable th) {
                dy.a(th);
                th.printStackTrace();
                return;
            }
        }
        avVar = null;
        this.bg = avVar;
        post(new Runnable() { // from class: com.amap.api.col.3sl.m.34
            @Override // java.lang.Runnable
            public final void run() {
                if (m.this.aE != null) {
                    m.this.aE.a(m.this.bg);
                }
            }
        });
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void destroy() {
        this.G.set(true);
        ea.a(dz.c, "destroy map");
        try {
            LocationSource locationSource = this.L;
            if (locationSource != null) {
                locationSource.deactivate();
            }
            this.L = null;
            this.aE = null;
            GLMapRender gLMapRender = this.an;
            if (gLMapRender != null) {
                gLMapRender.renderPause();
            }
            h();
            Thread thread = this.aa;
            if (thread != null) {
                thread.interrupt();
                this.aa = null;
            }
            Thread thread2 = this.ab;
            if (thread2 != null) {
                thread2.interrupt();
                this.ab = null;
            }
            w wVar = this.ac;
            if (wVar != null) {
                wVar.a();
                this.ac = null;
            }
            ct ctVar = this.ak;
            if (ctVar != null) {
                ctVar.a();
                this.ak = null;
            }
            cv cvVar = this.al;
            if (cvVar != null) {
                cvVar.a((cv.a) null);
                this.al.a();
                this.al = null;
            }
            dm.b();
            GLMapEngine gLMapEngine = this.f;
            if (gLMapEngine != null) {
                gLMapEngine.setMapListener(null);
                queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.35
                    @Override // java.lang.Runnable
                    public final void run() {
                        try {
                            if (m.this.D != null) {
                                m.this.D.destroy();
                            }
                            m mVar = m.this;
                            mVar.destroySurface(mVar.F);
                        } catch (Throwable th) {
                            th.printStackTrace();
                            dy.a(th);
                        }
                    }
                });
                int i = 0;
                while (this.f != null) {
                    int i2 = i + 1;
                    if (i >= 50) {
                        break;
                    }
                    try {
                        Thread.sleep(20L);
                    } catch (InterruptedException e) {
                        dy.a(e);
                    }
                    i = i2;
                }
            }
            IGLSurfaceView iGLSurfaceView = this.B;
            if (iGLSurfaceView != null) {
                try {
                    iGLSurfaceView.onDetachedGLThread();
                } catch (Exception e2) {
                    e2.printStackTrace();
                    dy.a(e2);
                }
            }
            ej ejVar = this.C;
            if (ejVar != null) {
                ejVar.g();
                this.C = null;
            }
            cm cmVar = this.K;
            if (cmVar != null) {
                cmVar.c();
                this.K = null;
            }
            this.L = null;
            this.t = null;
            q();
            this.Z = null;
            ea.a();
            jx.b();
        } catch (Throwable th) {
            jx.c(th, "AMapDelegateImp", "destroy");
            dy.a(th);
            th.printStackTrace();
        }
    }

    private void q() {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a();
        }
    }

    /* compiled from: AMapDelegateImp.java */
    private class c implements eg.a {
        private c() {
        }

        /* synthetic */ c(m mVar, byte b) {
            this();
        }

        @Override // com.amap.api.col.3sl.eg.a
        public final void a(int i) {
            if (m.this.c != null) {
                m.this.c.activeFloorIndex = m.this.c.floor_indexs[i];
                m.this.c.activeFloorName = m.this.c.floor_names[i];
                try {
                    m mVar = m.this;
                    mVar.setIndoorBuildingInfo(mVar.c);
                } catch (RemoteException e) {
                    e.printStackTrace();
                }
            }
        }
    }

    /* compiled from: AMapDelegateImp.java */
    class b {
        b() {
        }

        public final void a(av avVar) {
            List a;
            List a2;
            if (m.this.b == null || !m.this.b.isIndoorEnable()) {
                return;
            }
            final eg e = m.this.C.e();
            if (avVar == null) {
                try {
                    List a3 = m.this.u.a(AMap.OnIndoorBuildingActiveListener.class.hashCode());
                    if (a3 != null && a3.size() > 0) {
                        synchronized (a3) {
                            for (int i = 0; i < a3.size(); i++) {
                                ((AMap.OnIndoorBuildingActiveListener) a3.get(i)).OnIndoorBuilding(avVar);
                            }
                        }
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                }
                if (m.this.c != null) {
                    m.this.c.g = null;
                }
                if (e.b()) {
                    m.this.j.post(new Runnable() { // from class: com.amap.api.col.3sl.m.b.1
                        @Override // java.lang.Runnable
                        public final void run() {
                            e.a(false);
                        }
                    });
                }
                m.this.b.maxZoomLevel = m.this.b.isSetLimitZoomLevel() ? m.this.b.getMaxZoomLevel() : 20.0f;
                try {
                    if (!m.this.z.isZoomControlsEnabled() || (a = m.this.u.a(AMapWidgetListener.class.hashCode())) == null || a.size() <= 0) {
                        return;
                    }
                    synchronized (a) {
                        for (int i2 = 0; i2 < a.size(); i2++) {
                            ((AMapWidgetListener) a.get(i2)).invalidateZoomController(m.this.b.getSZ());
                        }
                    }
                    return;
                } catch (Throwable th2) {
                    th2.printStackTrace();
                }
            }
            if (avVar != null && avVar.floor_indexs != null && avVar.floor_names != null && avVar.floor_indexs.length == avVar.floor_names.length) {
                int i3 = 0;
                while (true) {
                    if (i3 >= avVar.floor_indexs.length) {
                        break;
                    }
                    if (avVar.activeFloorIndex == avVar.floor_indexs[i3]) {
                        avVar.activeFloorName = avVar.floor_names[i3];
                        break;
                    }
                    i3++;
                }
            }
            if (avVar == null || m.this.c == null || m.this.c.activeFloorIndex == avVar.activeFloorIndex || !e.b()) {
                if (avVar != null && (m.this.c == null || !m.this.c.poiid.equals(avVar.poiid) || m.this.c.g == null)) {
                    m.this.c = avVar;
                    if (m.this.b != null) {
                        if (m.this.c.g == null) {
                            m.this.c.g = new Point();
                        }
                        DPoint mapGeoCenter = m.this.b.getMapGeoCenter();
                        if (mapGeoCenter != null) {
                            m.this.c.g.x = (int) mapGeoCenter.x;
                            m.this.c.g.y = (int) mapGeoCenter.y;
                        }
                    }
                }
                try {
                    List a4 = m.this.u.a(AMap.OnIndoorBuildingActiveListener.class.hashCode());
                    if (a4 != null && a4.size() > 0) {
                        synchronized (a4) {
                            for (int i4 = 0; i4 < a4.size(); i4++) {
                                ((AMap.OnIndoorBuildingActiveListener) a4.get(i4)).OnIndoorBuilding(avVar);
                            }
                        }
                    }
                    m.this.b.maxZoomLevel = m.this.b.isSetLimitZoomLevel() ? m.this.b.getMaxZoomLevel() : 20.0f;
                    if (m.this.z.isZoomControlsEnabled() && (a2 = m.this.u.a(AMapWidgetListener.class.hashCode())) != null && a2.size() > 0) {
                        synchronized (a2) {
                            for (int i5 = 0; i5 < a2.size(); i5++) {
                                ((AMapWidgetListener) a2.get(i5)).invalidateZoomController(m.this.b.getSZ());
                            }
                        }
                    }
                    if (!m.this.z.isIndoorSwitchEnabled()) {
                        if (m.this.z.isIndoorSwitchEnabled() || !e.b()) {
                            return;
                        }
                        m.this.z.setIndoorSwitchEnabled(false);
                        return;
                    }
                    if (!e.b()) {
                        m.this.z.setIndoorSwitchEnabled(true);
                    }
                    m.this.j.post(new Runnable() { // from class: com.amap.api.col.3sl.m.b.2
                        @Override // java.lang.Runnable
                        public final void run() {
                            try {
                                e.a(m.this.c.floor_names);
                                e.a(m.this.c.activeFloorName);
                                if (e.b()) {
                                    return;
                                }
                                e.a(true);
                            } catch (Throwable th3) {
                                th3.printStackTrace();
                            }
                        }
                    });
                } catch (Throwable th3) {
                    th3.printStackTrace();
                }
            }
        }
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void beforeDrawLabel(int i, GLMapState gLMapState) {
        j();
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            gLMapEngine.pushRendererState();
        }
        this.bd = this.D.draw(0, this.af, this.i) ? this.bd : this.bd + 1;
        GLMapEngine gLMapEngine2 = this.f;
        if (gLMapEngine2 != null) {
            gLMapEngine2.popRendererState();
        }
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void afterDrawLabel(int i, GLMapState gLMapState) {
        j();
        com.autonavi.extra.b bVar = this.aY;
        if (bVar != null) {
            bVar.e();
        }
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            gLMapEngine.pushRendererState();
        }
        this.bd = this.D.draw(1, this.af, this.i) ? this.bd : this.bd + 1;
        GLMapEngine gLMapEngine2 = this.f;
        if (gLMapEngine2 != null) {
            gLMapEngine2.popRendererState();
        }
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void afterRendererOver(int i, GLMapState gLMapState) {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            gLMapEngine.pushRendererState();
        }
        this.D.draw(2, this.af, this.i);
        GLMapEngine gLMapEngine2 = this.f;
        if (gLMapEngine2 != null) {
            gLMapEngine2.popRendererState();
        }
        CustomRenderer customRenderer = this.ag;
        if (customRenderer != null) {
            customRenderer.onDrawFrame(null);
        }
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void afterDrawFrame(int i, GLMapState gLMapState) {
        float mapZoomer = gLMapState.getMapZoomer();
        GLMapEngine gLMapEngine = this.f;
        if (!(gLMapEngine != null && (gLMapEngine.isInMapAction(i) || this.f.isInMapAnimation(i)))) {
            int i2 = this.ai;
            if (i2 != -1) {
                this.an.setRenderFps(i2);
            } else {
                this.an.setRenderFps(15.0f);
            }
            if (this.aq != mapZoomer) {
                this.aq = mapZoomer;
            }
        }
        if (this.az) {
            return;
        }
        this.az = true;
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void afterAnimation() {
        redrawInfoWindow();
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void onMapPOIClick(MapPoi mapPoi) {
        List a2;
        MapConfig mapConfig = this.b;
        if (mapConfig == null || !mapConfig.isTouchPoiEnable() || (a2 = this.u.a(AMap.OnPOIClickListener.class.hashCode())) == null || a2.size() <= 0 || mapPoi == null) {
            return;
        }
        Message obtain = Message.obtain();
        obtain.what = 20;
        obtain.obj = new Poi(mapPoi.getName(), new LatLng(mapPoi.getLatitude(), mapPoi.getLongitude()), mapPoi.getPoiid());
        this.j.sendMessage(obtain);
    }

    @Override // com.autonavi.base.amap.mapcore.interfaces.IAMapListener
    public final void onMapBlankClick(double d2, double d3) {
        a(d2, d3);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final long createGLOverlay(int i) {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            return gLMapEngine.createOverlay(this.F, i);
        }
        return 0L;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final long getGlOverlayMgrPtr() {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            return gLMapEngine.getGlOverlayMgrPtr(this.F);
        }
        return 0L;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final CrossOverlay addCrossVector(CrossOverlayOptions crossOverlayOptions) {
        if (crossOverlayOptions == null || crossOverlayOptions.getRes() == null) {
            return null;
        }
        final CrossVectorOverlay crossVectorOverlay = new CrossVectorOverlay(this.F, getContext(), this);
        if (crossOverlayOptions != null) {
            crossVectorOverlay.setAttribute(crossOverlayOptions.getAttribute());
        }
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.36
            @Override // java.lang.Runnable
            public final void run() {
                GLOverlayBundle overlayBundle;
                if (m.this.f == null || (overlayBundle = m.this.f.getOverlayBundle(m.this.F)) == null) {
                    return;
                }
                overlayBundle.addOverlay(crossVectorOverlay);
            }
        });
        crossVectorOverlay.resumeMarker(crossOverlayOptions.getRes());
        return new CrossOverlay(crossOverlayOptions, crossVectorOverlay);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final RouteOverlay addNaviRouteOverlay() {
        final RouteOverlayInner routeOverlayInner = new RouteOverlayInner(this.F, getContext(), this);
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.37
            @Override // java.lang.Runnable
            public final void run() {
                GLOverlayBundle overlayBundle;
                if (m.this.f == null || (overlayBundle = m.this.f.getOverlayBundle(m.this.F)) == null) {
                    return;
                }
                overlayBundle.addOverlay(routeOverlayInner);
            }
        });
        return new RouteOverlay(routeOverlayInner);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void addOverlayTexture(int i, GLTextureProperty gLTextureProperty) {
        GLOverlayBundle overlayBundle;
        try {
            GLMapEngine gLMapEngine = this.f;
            if (gLMapEngine != null && (overlayBundle = gLMapEngine.getOverlayBundle(i)) != null && gLTextureProperty != null && gLTextureProperty.mBitmap != null) {
                this.f.addOverlayTexture(i, gLTextureProperty);
                overlayBundle.addOverlayTextureItem(gLTextureProperty.mId, gLTextureProperty.mAnchor, gLTextureProperty.mXRatio, gLTextureProperty.mYRatio, gLTextureProperty.mBitmap.getWidth(), gLTextureProperty.mBitmap.getHeight());
            }
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final int createOverlayTexture(int i, Bitmap bitmap) {
        try {
            GLMapEngine gLMapEngine = this.f;
            if (gLMapEngine == null || bitmap == null) {
                return -1;
            }
            return gLMapEngine.createOverlayTexture(i, bitmap);
        } catch (Throwable th) {
            dy.a(th);
        }
        return -1;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void onAMapAppResourceRequest(AMapAppRequestParam aMapAppRequestParam) {
        r rVar = this.u;
        if (rVar == null) {
            return;
        }
        for (AMap.AMapAppResourceRequestListener aMapAppResourceRequestListener : rVar.a(AMap.AMapAppResourceRequestListener.class.hashCode())) {
            if (aMapAppResourceRequestListener != null) {
                aMapAppResourceRequestListener.onRequest(aMapAppRequestParam);
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setTerrainAuth(boolean z) {
        GLMapEngine gLMapEngine;
        if (this.G.get() || (gLMapEngine = this.f) == null) {
            return;
        }
        gLMapEngine.setTerrainAuth(z);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomMapStylePath(String str) {
        if (TextUtils.isEmpty(str) || str.equals(this.b.getCustomStylePath())) {
            return;
        }
        this.b.setCustomStylePath(str);
        this.A = true;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomMapStyleID(String str) {
        if (TextUtils.isEmpty(str) || str.equals(this.b.getCustomStyleID())) {
            return;
        }
        this.b.setCustomStyleID(str);
        this.A = true;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomTextureResourcePath(String str) {
        if (TextUtils.isEmpty(str)) {
            return;
        }
        this.b.setCustomTextureResourcePath(str);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setCustomMapStyle(CustomMapStyleOptions customMapStyleOptions) {
        if (customMapStyleOptions != null) {
            try {
                if (a(true, false)) {
                    return;
                }
                if (customMapStyleOptions.isEnable() && (customMapStyleOptions.getStyleId() != null || customMapStyleOptions.getStyleTexturePath() != null || customMapStyleOptions.getStyleTextureData() != null || customMapStyleOptions.getStyleResDataPath() != null || customMapStyleOptions.getStyleResData() != null)) {
                    o();
                }
                this.aH.c();
                this.aH.a(customMapStyleOptions);
                com.autonavi.extra.b bVar = this.aY;
                if (bVar != null) {
                    bVar.i();
                }
            } catch (Throwable th) {
                dy.a(th);
                return;
            }
        }
        resetRenderTime();
    }

    @Override // com.amap.api.col.3sl.l.a
    public final void a() {
        com.autonavi.extra.b bVar = this.aY;
        if (bVar != null) {
            bVar.i();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final MyLocationStyle getMyLocationStyle() throws RemoteException {
        cm cmVar = this.K;
        if (cmVar != null) {
            return cmVar.a();
        }
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void reloadMapCustomStyle() {
        l lVar = this.aH;
        if (lVar != null) {
            lVar.b();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setMapCustomEnable(boolean z, boolean z2) {
        ct ctVar;
        if (this.aw && !this.G.get()) {
            boolean z3 = z2 ? z2 : false;
            if (TextUtils.isEmpty(this.b.getCustomStylePath()) && TextUtils.isEmpty(this.b.getCustomStyleID())) {
                return;
            }
            if (z) {
                try {
                    if (this.b.isProFunctionAuthEnable() && !TextUtils.isEmpty(this.b.getCustomStyleID()) && (ctVar = this.ak) != null) {
                        ctVar.a(this.b.getCustomStyleID());
                        this.ak.b();
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                    dy.a(th);
                    return;
                }
            }
            if (z2 || this.A || (this.b.isCustomStyleEnable() ^ z)) {
                a(z, (byte[]) null, z3);
            }
            this.A = false;
            return;
        }
        this.aM.b = true;
        this.aM.c = z;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setMapCustomEnable(boolean z) {
        if (z) {
            o();
        }
        setMapCustomEnable(z, false);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setCustomMapStyle(boolean z, byte[] bArr) {
        a(z, bArr, false);
    }

    private void a(boolean z, byte[] bArr, boolean z2) {
        db dbVar;
        try {
            this.b.setCustomStyleEnable(z);
            boolean z3 = false;
            if (this.b.isHideLogoEnable()) {
                this.z.setLogoEnable(!z);
            }
            if (z) {
                c(this.F, true);
                da daVar = new da();
                MyTrafficStyle myTrafficStyle = this.Z;
                if (myTrafficStyle != null && myTrafficStyle.getTrafficRoadBackgroundColor() != -1) {
                    daVar.a(this.Z.getTrafficRoadBackgroundColor());
                }
                if (this.b.isProFunctionAuthEnable() && !TextUtils.isEmpty(this.b.getCustomTextureResourcePath())) {
                    z3 = true;
                }
                StyleItem[] styleItemArr = null;
                if (bArr != null) {
                    dbVar = daVar.a(bArr, z3);
                    if (dbVar != null && (styleItemArr = dbVar.c()) != null) {
                        this.b.setUseProFunction(true);
                    }
                } else {
                    dbVar = null;
                }
                if (styleItemArr == null && (dbVar = daVar.a(this.b.getCustomStylePath(), z3)) != null) {
                    styleItemArr = dbVar.c();
                }
                if (daVar.a() != 0) {
                    this.b.setCustomBackgroundColor(daVar.a());
                }
                if (dbVar != null && dbVar.d() != null) {
                    if (this.al != null) {
                        this.al.a((String) dbVar.d());
                        this.al.a(dbVar);
                        this.al.b();
                        return;
                    }
                    return;
                }
                a(styleItemArr, z2);
                return;
            }
            c(this.F, false);
            a(this.F, this.b.getMapStyleMode(), this.b.getMapStyleTime());
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.amap.api.col.3sl.cv.a
    public final void a(String str, db dbVar) {
        setCustomTextureResourcePath(str);
        if (!this.b.isCustomStyleEnable() || dbVar == null) {
            return;
        }
        a(dbVar.c(), false);
    }

    private void a(StyleItem[] styleItemArr, boolean z) {
        if (z || (styleItemArr != null && styleItemArr.length > 0)) {
            a(this.F, 0, 0, true, styleItemArr);
            dv.a(this.e, true);
        } else {
            dv.a(this.e, false);
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void removeEngineGLOverlay(final BaseMapOverlay baseMapOverlay) {
        if (this.f != null) {
            queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.38
                @Override // java.lang.Runnable
                public final void run() {
                    m.this.f.getOverlayBundle(m.this.F).removeOverlay(baseMapOverlay);
                }
            });
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float[] getFinalMatrix() {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return mapConfig.getMvpMatrix();
        }
        return this.m;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final String createId(String str) {
        IGlOverlayLayer iGlOverlayLayer = this.D;
        if (iGlOverlayLayer != null) {
            return iGlOverlayLayer.createId(str);
        }
        return null;
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void showLogoEnabled(boolean z) {
        if (this.G.get()) {
            return;
        }
        this.C.f(Boolean.valueOf(z));
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float[] getViewMatrix() {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return mapConfig.getViewMatrix();
        }
        return this.n;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final float[] getProjectionMatrix() {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return mapConfig.getProjectionMatrix();
        }
        return this.o;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void changeSurface(GL10 gl10, int i, int i2) {
        try {
            changeSurface(1, gl10, i, i2);
        } catch (Throwable th) {
            th.printStackTrace();
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void createSurface(GL10 gl10, EGLConfig eGLConfig) {
        try {
            this.am = Thread.currentThread().getId();
        } catch (Throwable th) {
            th.printStackTrace();
            dy.a(th);
        }
        try {
            createSurface(1, gl10, eGLConfig);
        } catch (Throwable th2) {
            th2.printStackTrace();
            dy.a(th2);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void renderSurface(GL10 gl10) {
        drawFrame(gl10);
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean canStopMapRender() {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine == null) {
            return true;
        }
        gLMapEngine.canStopMapRender(this.F);
        return true;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void getLatLngRect(DPoint[] dPointArr) {
        try {
            Rectangle geoRectangle = this.b.getGeoRectangle();
            if (geoRectangle != null) {
                IPoint[] clipRect = geoRectangle.getClipRect();
                for (int i = 0; i < 4; i++) {
                    GLMapState.geo2LonLat(clipRect[i].x, clipRect[i].y, dPointArr[i]);
                }
            }
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void checkMapState(IGLMapState iGLMapState) {
        if (this.b == null || this.G.get()) {
            return;
        }
        LatLngBounds limitLatLngBounds = this.b.getLimitLatLngBounds();
        try {
            if (limitLatLngBounds != null) {
                IPoint[] limitIPoints = this.b.getLimitIPoints();
                if (limitIPoints == null) {
                    IPoint obtain = IPoint.obtain();
                    GLMapState.lonlat2Geo(limitLatLngBounds.northeast.longitude, limitLatLngBounds.northeast.latitude, obtain);
                    IPoint obtain2 = IPoint.obtain();
                    GLMapState.lonlat2Geo(limitLatLngBounds.southwest.longitude, limitLatLngBounds.southwest.latitude, obtain2);
                    IPoint[] iPointArr = {obtain, obtain2};
                    this.b.setLimitIPoints(iPointArr);
                    limitIPoints = iPointArr;
                }
                float a2 = dy.a(this.b, limitIPoints[0].x, limitIPoints[0].y, limitIPoints[1].x, limitIPoints[1].y, getMapWidth(), getMapHeight());
                float mapZoomer = iGLMapState.getMapZoomer();
                if (this.b.isSetLimitZoomLevel()) {
                    float maxZoomLevel = this.b.getMaxZoomLevel();
                    float minZoomLevel = this.b.getMinZoomLevel();
                    float max = Math.max(a2, Math.min(mapZoomer, maxZoomLevel));
                    if (a2 <= maxZoomLevel) {
                        maxZoomLevel = max;
                    }
                    a2 = maxZoomLevel < minZoomLevel ? minZoomLevel : maxZoomLevel;
                } else if (a2 <= 0.0f || mapZoomer >= a2) {
                    a2 = mapZoomer;
                }
                iGLMapState.setMapZoomer(a2);
                IPoint obtain3 = IPoint.obtain();
                iGLMapState.getMapGeoCenter(obtain3);
                int[] a3 = dy.a(limitIPoints[0].x, limitIPoints[0].y, limitIPoints[1].x, limitIPoints[1].y, this.b, iGLMapState, obtain3.x, obtain3.y);
                iGLMapState.setMapGeoCenter(a3[0], a3[1]);
                obtain3.recycle();
                return;
            }
            if (this.b.isSetLimitZoomLevel()) {
                iGLMapState.setMapZoomer(Math.max(this.b.getMinZoomLevel(), Math.min(iGLMapState.getMapZoomer(), this.b.getMaxZoomLevel())));
            }
        } catch (Throwable th) {
            dy.a(th);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setRenderMode(int i) {
        try {
            IGLSurfaceView iGLSurfaceView = this.B;
            if (iGLSurfaceView != null) {
                iGLSurfaceView.setRenderMode(i);
            }
        } catch (Throwable unused) {
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeSize(int i, int i2) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            this.g = i;
            this.h = i2;
            mapConfig.setMapWidth(i);
            this.b.setMapHeight(i2);
        }
    }

    public final Size a(Size size) {
        Size size2 = new Size(getMapWidth(), getMapHeight());
        a(getNativeEngineID(), 0, 0, size.getWidth(), size.getHeight(), size.getWidth(), size.getHeight());
        ViewGroup.LayoutParams layoutParams = new ViewGroup.LayoutParams(size.getWidth(), size.getHeight());
        getGLMapView().setLayoutParams(layoutParams);
        this.C.f().setLayoutParams(layoutParams);
        changeSize(size.getWidth(), size.getHeight());
        b(false);
        return size2;
    }

    public final void b(Size size) {
        a(getNativeEngineID(), 0, 0, size.getWidth(), size.getHeight(), size.getWidth(), size.getHeight());
        ViewGroup.LayoutParams layoutParams = new ViewGroup.LayoutParams(-1, -1);
        getGLMapView().setLayoutParams(layoutParams);
        this.C.f().setLayoutParams(layoutParams);
        changeSize(size.getWidth(), size.getHeight());
        b(true);
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void setHideLogoEnble(boolean z) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            mapConfig.setHideLogoEnble(z);
            if (this.b.isCustomStyleEnable()) {
                this.z.setLogoEnable(!z);
            }
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void changeLogoIconStyle(String str, boolean z, int i) {
        ej ejVar = this.C;
        if (ejVar != null) {
            ejVar.a(str, Boolean.valueOf(z), Integer.valueOf(i));
        }
        ah ahVar = this.z;
        if (ahVar != null) {
            ahVar.requestRefreshLogo();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final void refreshLogo() {
        ej ejVar = this.C;
        if (ejVar != null) {
            ejVar.c();
        }
    }

    @Override // com.autonavi.base.amap.api.mapcore.IAMapDelegate
    public final float getUnitLengthByZoom(int i) {
        GLMapState gLMapState = new GLMapState(this.F, this.f.getNativeInstance());
        gLMapState.setMapZoomer(i);
        gLMapState.recalculate();
        float gLUnitWithWin = gLMapState.getGLUnitWithWin(1);
        gLMapState.recycle();
        return gLUnitWithWin;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void setTouchPoiEnable(boolean z) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            mapConfig.setTouchPoiEnable(z);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final boolean isTouchPoiEnable() {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return mapConfig.isTouchPoiEnable();
        }
        return true;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getSY() {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return (int) mapConfig.getSY();
        }
        return -1;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getSX() {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            return (int) mapConfig.getSX();
        }
        return -1;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final long getNativeMapController() {
        GLMapEngine gLMapEngine = this.f;
        if (gLMapEngine != null) {
            return gLMapEngine.getNativeMapController(this.F);
        }
        return 0L;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int getNativeEngineID() {
        return this.F;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnCameraChangeListener(AMap.OnCameraChangeListener onCameraChangeListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(Integer.valueOf(AMap.OnCameraChangeListener.class.hashCode()), (Integer) onCameraChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMapClickListener(AMap.OnMapClickListener onMapClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(Integer.valueOf(AMap.OnMapClickListener.class.hashCode()), (Integer) onMapClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMarkerDragListener(AMap.OnMarkerDragListener onMarkerDragListener) {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(Integer.valueOf(AMap.OnMarkerDragListener.class.hashCode()), (Integer) onMarkerDragListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMapLoadedListener(AMap.OnMapLoadedListener onMapLoadedListener) {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(Integer.valueOf(AMap.OnMapLoadedListener.class.hashCode()), (Integer) onMapLoadedListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMapTouchListener(AMap.OnMapTouchListener onMapTouchListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(Integer.valueOf(AMap.OnMapTouchListener.class.hashCode()), (Integer) onMapTouchListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMarkerClickListener(AMap.OnMarkerClickListener onMarkerClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(Integer.valueOf(AMap.OnMarkerClickListener.class.hashCode()), (Integer) onMarkerClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnPolylineClickListener(AMap.OnPolylineClickListener onPolylineClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(Integer.valueOf(AMap.OnPolylineClickListener.class.hashCode()), (Integer) onPolylineClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnPOIClickListener(AMap.OnPOIClickListener onPOIClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(Integer.valueOf(AMap.OnPOIClickListener.class.hashCode()), (Integer) onPOIClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMapLongClickListener(AMap.OnMapLongClickListener onMapLongClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(Integer.valueOf(AMap.OnMapLongClickListener.class.hashCode()), (Integer) onMapLongClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnInfoWindowClickListener(AMap.OnInfoWindowClickListener onInfoWindowClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(Integer.valueOf(AMap.OnInfoWindowClickListener.class.hashCode()), (Integer) onInfoWindowClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnIndoorBuildingActiveListener(AMap.OnIndoorBuildingActiveListener onIndoorBuildingActiveListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(Integer.valueOf(AMap.OnIndoorBuildingActiveListener.class.hashCode()), (Integer) onIndoorBuildingActiveListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addOnMyLocationChangeListener(AMap.OnMyLocationChangeListener onMyLocationChangeListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(Integer.valueOf(AMap.OnMyLocationChangeListener.class.hashCode()), (Integer) onMyLocationChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnCameraChangeListener(AMap.OnCameraChangeListener onCameraChangeListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.b(Integer.valueOf(AMap.OnCameraChangeListener.class.hashCode()), onCameraChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMapClickListener(AMap.OnMapClickListener onMapClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.b(Integer.valueOf(AMap.OnMapClickListener.class.hashCode()), onMapClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMarkerDragListener(AMap.OnMarkerDragListener onMarkerDragListener) {
        r rVar = this.u;
        if (rVar != null) {
            rVar.b(Integer.valueOf(AMap.OnMarkerDragListener.class.hashCode()), onMarkerDragListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMapLoadedListener(AMap.OnMapLoadedListener onMapLoadedListener) {
        r rVar = this.u;
        if (rVar != null) {
            rVar.b(Integer.valueOf(AMap.OnMapLoadedListener.class.hashCode()), onMapLoadedListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMapTouchListener(AMap.OnMapTouchListener onMapTouchListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.b(Integer.valueOf(AMap.OnMapTouchListener.class.hashCode()), onMapTouchListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMarkerClickListener(AMap.OnMarkerClickListener onMarkerClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.b(Integer.valueOf(AMap.OnMarkerClickListener.class.hashCode()), onMarkerClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnPolylineClickListener(AMap.OnPolylineClickListener onPolylineClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.b(Integer.valueOf(AMap.OnPolylineClickListener.class.hashCode()), onPolylineClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnPOIClickListener(AMap.OnPOIClickListener onPOIClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.b(Integer.valueOf(AMap.OnPOIClickListener.class.hashCode()), onPOIClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMapLongClickListener(AMap.OnMapLongClickListener onMapLongClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.b(Integer.valueOf(AMap.OnMapLongClickListener.class.hashCode()), onMapLongClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnInfoWindowClickListener(AMap.OnInfoWindowClickListener onInfoWindowClickListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.b(Integer.valueOf(AMap.OnInfoWindowClickListener.class.hashCode()), onInfoWindowClickListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnIndoorBuildingActiveListener(AMap.OnIndoorBuildingActiveListener onIndoorBuildingActiveListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.b(Integer.valueOf(AMap.OnIndoorBuildingActiveListener.class.hashCode()), onIndoorBuildingActiveListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeOnMyLocationChangeListener(AMap.OnMyLocationChangeListener onMyLocationChangeListener) throws RemoteException {
        r rVar = this.u;
        if (rVar != null) {
            rVar.b(Integer.valueOf(AMap.OnMyLocationChangeListener.class.hashCode()), onMyLocationChangeListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addAMapAppResourceListener(AMap.AMapAppResourceRequestListener aMapAppResourceRequestListener) {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(Integer.valueOf(AMap.AMapAppResourceRequestListener.class.hashCode()), (Integer) aMapAppResourceRequestListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeAMapAppResourceListener(AMap.AMapAppResourceRequestListener aMapAppResourceRequestListener) {
        r rVar = this.u;
        if (rVar != null) {
            rVar.b(Integer.valueOf(AMap.AMapAppResourceRequestListener.class.hashCode()), aMapAppResourceRequestListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final int hideBuildings(final List<LatLng> list) {
        if (this.f == null) {
            return -1;
        }
        FutureTask futureTask = new FutureTask(new Callable<Integer>() { // from class: com.amap.api.col.3sl.m.39
            /* JADX INFO: Access modifiers changed from: private */
            @Override // java.util.concurrent.Callable
            /* renamed from: a, reason: merged with bridge method [inline-methods] */
            public Integer call() throws Exception {
                return Integer.valueOf(m.this.f.hideBuildings(list));
            }
        });
        queueEvent(futureTask);
        try {
            return ((Integer) futureTask.get()).intValue();
        } catch (InterruptedException e) {
            e.printStackTrace();
            return -1;
        } catch (ExecutionException e2) {
            e2.printStackTrace();
            return -1;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void showHideBuildings(final int i) {
        if (this.f == null) {
            return;
        }
        queueEvent(new Runnable() { // from class: com.amap.api.col.3sl.m.40
            @Override // java.lang.Runnable
            public final void run() {
                m.this.f.showHideBuildings(i);
            }
        });
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void addSignleClickInterceptorListener(AMap.SignleClickInterceptorListener signleClickInterceptorListener) {
        r rVar = this.u;
        if (rVar != null) {
            rVar.a(Integer.valueOf(AMap.SignleClickInterceptorListener.class.hashCode()), (Integer) signleClickInterceptorListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void removeSignleClickInterceptorListener(AMap.SignleClickInterceptorListener signleClickInterceptorListener) {
        r rVar = this.u;
        if (rVar != null) {
            rVar.b(Integer.valueOf(AMap.SignleClickInterceptorListener.class.hashCode()), signleClickInterceptorListener);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.IAMap
    public final void loadWorldVectorMap(boolean z) {
        MapConfig mapConfig = this.b;
        if (mapConfig != null) {
            mapConfig.setAbroadEnable(z);
        }
    }

    private boolean a(boolean z, boolean z2) {
        if (z) {
            if (this.bc) {
                de.a("setCustomMapStyle 和 setWorldVectorMapStyle 不能同时使用，setCustomMapStyle将不会生效");
                return true;
            }
            this.bb = true;
        }
        if (!z2) {
            return false;
        }
        if (this.bb) {
            de.a("setCustomMapStyle 和 setWorldVectorMapStyle 不能同时使用，setWorldVectorMapStyle将不会生效");
            return true;
        }
        this.bc = true;
        return false;
    }

    private void r() {
        cr crVar = this.aF;
        if (crVar != null) {
            crVar.a();
            this.aF = null;
        }
    }
}
