package com.apkfuns.logutils.parser;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import com.apkfuns.logutils.Parser;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

/* loaded from: classes.dex */
class IntentParse implements Parser<Intent> {
    private static final Map<Integer, String> FLAG_MAP = new HashMap();

    IntentParse() {
    }

    /* JADX WARN: Removed duplicated region for block: B:13:0x0054  */
    /* JADX WARN: Removed duplicated region for block: B:16:0x005f A[SYNTHETIC] */
    static {
        /*
            java.util.HashMap r0 = new java.util.HashMap
            r0.<init>()
            com.apkfuns.logutils.parser.IntentParse.FLAG_MAP = r0
            java.lang.Class<android.content.Intent> r0 = android.content.Intent.class
            java.lang.reflect.Field[] r1 = r0.getDeclaredFields()
            int r2 = r1.length
            r3 = 0
            r4 = r3
        L10:
            if (r4 >= r2) goto L62
            r5 = r1[r4]
            r6 = 1
            r5.setAccessible(r6)
            java.lang.String r6 = r5.getName()
            java.lang.String r7 = "FLAG_"
            boolean r6 = r6.startsWith(r7)
            if (r6 == 0) goto L5f
            java.lang.Object r6 = r5.get(r0)     // Catch: java.lang.Exception -> L43
            boolean r7 = r6 instanceof java.lang.Integer     // Catch: java.lang.Exception -> L43
            if (r7 != 0) goto L3c
            java.lang.Class r7 = r6.getClass()     // Catch: java.lang.Exception -> L43
            java.lang.String r7 = r7.getSimpleName()     // Catch: java.lang.Exception -> L43
            java.lang.String r8 = "int"
            boolean r7 = r7.equals(r8)     // Catch: java.lang.Exception -> L43
            if (r7 == 0) goto L47
        L3c:
            java.lang.Integer r6 = (java.lang.Integer) r6     // Catch: java.lang.Exception -> L43
            int r6 = r6.intValue()     // Catch: java.lang.Exception -> L43
            goto L48
        L43:
            r6 = move-exception
            r6.printStackTrace()
        L47:
            r6 = r3
        L48:
            java.util.Map<java.lang.Integer, java.lang.String> r7 = com.apkfuns.logutils.parser.IntentParse.FLAG_MAP
            java.lang.Integer r8 = java.lang.Integer.valueOf(r6)
            boolean r8 = r7.containsKey(r8)
            if (r8 != 0) goto L5f
            java.lang.Integer r6 = java.lang.Integer.valueOf(r6)
            java.lang.String r5 = r5.getName()
            r7.put(r6, r5)
        L5f:
            int r4 = r4 + 1
            goto L10
        L62:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.apkfuns.logutils.parser.IntentParse.<clinit>():void");
    }

    @Override // com.apkfuns.logutils.Parser
    public Class<Intent> parseClassType() {
        return Intent.class;
    }

    @Override // com.apkfuns.logutils.Parser
    public String parseString(Intent intent) {
        StringBuilder sb = new StringBuilder(parseClassType().getSimpleName() + " [" + LINE_SEPARATOR);
        StringBuilder sb2 = new StringBuilder();
        sb2.append("%s = %s");
        sb2.append(LINE_SEPARATOR);
        sb.append(String.format(sb2.toString(), "Scheme", intent.getScheme()));
        sb.append(String.format("%s = %s" + LINE_SEPARATOR, "Action", intent.getAction()));
        sb.append(String.format("%s = %s" + LINE_SEPARATOR, "DataString", intent.getDataString()));
        sb.append(String.format("%s = %s" + LINE_SEPARATOR, "Type", intent.getType()));
        sb.append(String.format("%s = %s" + LINE_SEPARATOR, "Package", intent.getPackage()));
        sb.append(String.format("%s = %s" + LINE_SEPARATOR, "ComponentInfo", intent.getComponent()));
        sb.append(String.format("%s = %s" + LINE_SEPARATOR, "Flags", getFlags(intent.getFlags())));
        sb.append(String.format("%s = %s" + LINE_SEPARATOR, "Categories", intent.getCategories()));
        Bundle extras = intent.getExtras();
        if (extras != null) {
            sb.append(String.format("%s = %s" + LINE_SEPARATOR, "Extras", new BundleParse().parseString(extras)));
        }
        return sb.toString() + "]";
    }

    private String getFlags(int i) {
        StringBuilder sb = new StringBuilder();
        Iterator<Integer> it2 = FLAG_MAP.keySet().iterator();
        while (it2.hasNext()) {
            int intValue = it2.next().intValue();
            if ((intValue & i) == intValue) {
                sb.append(FLAG_MAP.get(Integer.valueOf(intValue)));
                sb.append(" | ");
            }
        }
        if (TextUtils.isEmpty(sb.toString())) {
            sb.append(i);
        } else if (sb.indexOf("|") != -1) {
            sb.delete(sb.length() - 2, sb.length());
        }
        return sb.toString();
    }
}
