package com.autonavi.base.ae.gmap.bean;

import android.os.Build;
import android.text.TextUtils;
import com.amap.api.col.p0003sl.dw;
import com.amap.api.col.p0003sl.me;
import com.amap.api.maps.interfaces.IGlOverlayLayer;
import com.amap.api.maps.model.Tile;
import com.amap.api.maps.model.TileOverlaySource;
import com.amap.api.maps.model.TileProvider;
import java.lang.ref.WeakReference;
import java.util.HashMap;
import java.util.List;

/* loaded from: classes.dex */
public class TileProviderInner {
    private WeakReference<IGlOverlayLayer> glOverlayLayerRef;
    private List<TileOverlaySource> mTileSource;
    private String overlayName;
    private final HashMap<String, me> reqTaskHandleHashMap = new HashMap<>();
    private final TileProvider tileProvider;

    private String createKey(int i, int i2, int i3, long j) {
        return i + " " + i2 + " " + i3 + "-" + j;
    }

    public TileProviderInner(TileProvider tileProvider) {
        this.tileProvider = tileProvider;
    }

    public void setTileSource(List<TileOverlaySource> list) {
        this.mTileSource = list;
    }

    /* renamed from: com.autonavi.base.ae.gmap.bean.TileProviderInner$1 */
    class AnonymousClass1 extends me {
        final /* synthetic */ String val$key;
        final /* synthetic */ TileSourceReq val$req;
        final /* synthetic */ TileReqTaskHandle val$reqTask;

        AnonymousClass1(String str, TileSourceReq tileSourceReq, TileReqTaskHandle tileReqTaskHandle) {
            r2 = str;
            r3 = tileSourceReq;
            r4 = tileReqTaskHandle;
        }

        @Override // com.amap.api.col.p0003sl.me
        public void runTask() {
            try {
                synchronized (TileProviderInner.this.reqTaskHandleHashMap) {
                    if (TileProviderInner.this.reqTaskHandleHashMap.containsKey(r2)) {
                        if (TileProviderInner.this.tileProvider != null) {
                            Tile tile = TileProvider.NO_TILE;
                            try {
                                tile = TileProviderInner.this.tileProvider instanceof TileSourceProvider ? ((TileSourceProvider) TileProviderInner.this.tileProvider).getTile(r3) : TileProviderInner.this.tileProvider.getTile(r3.x, r3.y, r3.zoom);
                            } catch (Throwable unused) {
                            }
                            TileProviderInner.this.finishDownload(tile, r4, r2);
                        }
                    }
                }
            } catch (Throwable th) {
                TileProviderInner.this.finishDownload(TileProvider.NO_TILE, r4, r2);
                th.printStackTrace();
            }
        }
    }

    public void getTile(TileSourceReq tileSourceReq, TileReqTaskHandle tileReqTaskHandle) {
        String createKey = createKey(tileSourceReq.x, tileSourceReq.y, tileSourceReq.zoom, tileReqTaskHandle.nativeObj);
        AnonymousClass1 anonymousClass1 = new me() { // from class: com.autonavi.base.ae.gmap.bean.TileProviderInner.1
            final /* synthetic */ String val$key;
            final /* synthetic */ TileSourceReq val$req;
            final /* synthetic */ TileReqTaskHandle val$reqTask;

            AnonymousClass1(String createKey2, TileSourceReq tileSourceReq2, TileReqTaskHandle tileReqTaskHandle2) {
                r2 = createKey2;
                r3 = tileSourceReq2;
                r4 = tileReqTaskHandle2;
            }

            @Override // com.amap.api.col.p0003sl.me
            public void runTask() {
                try {
                    synchronized (TileProviderInner.this.reqTaskHandleHashMap) {
                        if (TileProviderInner.this.reqTaskHandleHashMap.containsKey(r2)) {
                            if (TileProviderInner.this.tileProvider != null) {
                                Tile tile = TileProvider.NO_TILE;
                                try {
                                    tile = TileProviderInner.this.tileProvider instanceof TileSourceProvider ? ((TileSourceProvider) TileProviderInner.this.tileProvider).getTile(r3) : TileProviderInner.this.tileProvider.getTile(r3.x, r3.y, r3.zoom);
                                } catch (Throwable unused) {
                                }
                                TileProviderInner.this.finishDownload(tile, r4, r2);
                            }
                        }
                    }
                } catch (Throwable th) {
                    TileProviderInner.this.finishDownload(TileProvider.NO_TILE, r4, r2);
                    th.printStackTrace();
                }
            }
        };
        synchronized (this.reqTaskHandleHashMap) {
            if (this.reqTaskHandleHashMap.containsKey(createKey2)) {
                return;
            }
            if (Build.VERSION.SDK_INT >= 5) {
                this.reqTaskHandleHashMap.put(createKey2, anonymousClass1);
            }
            dw.a().a(anonymousClass1);
        }
    }

    public void finishDownload(Tile tile, TileReqTaskHandle tileReqTaskHandle, String str) {
        IGlOverlayLayer iGlOverlayLayer = this.glOverlayLayerRef.get();
        if (iGlOverlayLayer == null) {
            return;
        }
        iGlOverlayLayer.getMap().queueEvent(new Runnable() { // from class: com.autonavi.base.ae.gmap.bean.TileProviderInner.2
            final /* synthetic */ String val$key;
            final /* synthetic */ TileReqTaskHandle val$reqTask;
            final /* synthetic */ Tile val$tile;

            AnonymousClass2(String str2, TileReqTaskHandle tileReqTaskHandle2, Tile tile2) {
                r2 = str2;
                r3 = tileReqTaskHandle2;
                r4 = tile2;
            }

            @Override // java.lang.Runnable
            public void run() {
                boolean z;
                synchronized (TileProviderInner.this.reqTaskHandleHashMap) {
                    if (TileProviderInner.this.reqTaskHandleHashMap.containsKey(r2)) {
                        if (TileProviderInner.this.reqTaskHandleHashMap.containsKey(r2)) {
                            TileProviderInner.this.reqTaskHandleHashMap.remove(r2);
                            z = true;
                        } else {
                            z = false;
                        }
                        if (z) {
                            r3.finish(r4);
                            TileProviderInner.this.callNativeFunction("finishTileReqTask", new Object[]{r3});
                        }
                    }
                }
            }
        });
    }

    /* renamed from: com.autonavi.base.ae.gmap.bean.TileProviderInner$2 */
    class AnonymousClass2 implements Runnable {
        final /* synthetic */ String val$key;
        final /* synthetic */ TileReqTaskHandle val$reqTask;
        final /* synthetic */ Tile val$tile;

        AnonymousClass2(String str2, TileReqTaskHandle tileReqTaskHandle2, Tile tile2) {
            r2 = str2;
            r3 = tileReqTaskHandle2;
            r4 = tile2;
        }

        @Override // java.lang.Runnable
        public void run() {
            boolean z;
            synchronized (TileProviderInner.this.reqTaskHandleHashMap) {
                if (TileProviderInner.this.reqTaskHandleHashMap.containsKey(r2)) {
                    if (TileProviderInner.this.reqTaskHandleHashMap.containsKey(r2)) {
                        TileProviderInner.this.reqTaskHandleHashMap.remove(r2);
                        z = true;
                    } else {
                        z = false;
                    }
                    if (z) {
                        r3.finish(r4);
                        TileProviderInner.this.callNativeFunction("finishTileReqTask", new Object[]{r3});
                    }
                }
            }
        }
    }

    public void cancelTile(TileSourceReq tileSourceReq, TileReqTaskHandle tileReqTaskHandle) {
        String createKey = createKey(tileSourceReq.x, tileSourceReq.y, tileSourceReq.zoom, tileReqTaskHandle.nativeObj);
        synchronized (this.reqTaskHandleHashMap) {
            if (this.reqTaskHandleHashMap.containsKey(createKey)) {
                me meVar = this.reqTaskHandleHashMap.get(createKey);
                if (meVar != null) {
                    dw.a();
                    dw.b(meVar);
                }
                if (tileReqTaskHandle != null) {
                    tileReqTaskHandle.status = 1;
                    finishDownload(TileProvider.NO_TILE, tileReqTaskHandle, createKey);
                }
                try {
                    TileProvider tileProvider = this.tileProvider;
                    if (tileProvider instanceof TileSourceProvider) {
                        ((TileSourceProvider) tileProvider).cancel(tileSourceReq);
                    }
                } catch (Throwable th) {
                    th.printStackTrace();
                }
            }
        }
    }

    public int getTileWidth() {
        TileProvider tileProvider = this.tileProvider;
        if (tileProvider != null) {
            return tileProvider.getTileWidth();
        }
        return 0;
    }

    public int getTileHeight() {
        TileProvider tileProvider = this.tileProvider;
        if (tileProvider != null) {
            return tileProvider.getTileHeight();
        }
        return 0;
    }

    public void init(IGlOverlayLayer iGlOverlayLayer, String str) {
        this.glOverlayLayerRef = new WeakReference<>(iGlOverlayLayer);
        this.overlayName = str;
    }

    public Object callNativeFunction(String str, Object[] objArr) {
        try {
            IGlOverlayLayer iGlOverlayLayer = this.glOverlayLayerRef.get();
            if (TextUtils.isEmpty(this.overlayName) || iGlOverlayLayer == null) {
                return null;
            }
            return iGlOverlayLayer.getNativeProperties(this.overlayName, str, objArr);
        } catch (Throwable th) {
            th.printStackTrace();
            return null;
        }
    }
}
