package com.autonavi.base.ae.gmap.gloverlay;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Color;
import android.graphics.Rect;
import android.os.Build;
import android.util.TypedValue;
import com.amap.api.col.p0003sl.dy;
import com.amap.api.maps.model.BitmapDescriptor;
import com.amap.api.maps.model.BitmapDescriptorFactory;
import com.amap.api.maps.model.CrossOverlay;
import com.autonavi.amap.mapcore.interfaces.IAMap;
import com.autonavi.amap.mapcore.interfaces.ICrossVectorOverlay;

/* loaded from: classes.dex */
public class CrossVectorOverlay extends BaseMapOverlay<GLCrossVector, Object> implements ICrossVectorOverlay {
    AVectorCrossAttr attr;
    private CrossOverlay.GenerateCrossImageListener imageListener;
    private boolean isImageMode;
    private CrossOverlay.OnCrossVectorUpdateListener updateListener;

    @Override // com.autonavi.base.ae.gmap.gloverlay.BaseMapOverlay
    public void addItem(Object obj) {
    }

    public CrossVectorOverlay(int i, Context context, IAMap iAMap) {
        super(i, context, iAMap);
        this.isImageMode = false;
        this.attr = null;
    }

    /* renamed from: com.autonavi.base.ae.gmap.gloverlay.CrossVectorOverlay$1 */
    class AnonymousClass1 implements Runnable {
        AnonymousClass1() {
        }

        @Override // java.lang.Runnable
        public void run() {
            CrossVectorOverlay crossVectorOverlay = CrossVectorOverlay.this;
            crossVectorOverlay.mGLOverlay = new GLCrossVector(crossVectorOverlay.mEngineID, CrossVectorOverlay.this.mMapView, hashCode());
        }
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.BaseMapOverlay
    protected void iniGLOverlay() {
        if (this.mMapView != null) {
            this.mMapView.queueEvent(new Runnable() { // from class: com.autonavi.base.ae.gmap.gloverlay.CrossVectorOverlay.1
                AnonymousClass1() {
                }

                @Override // java.lang.Runnable
                public void run() {
                    CrossVectorOverlay crossVectorOverlay = CrossVectorOverlay.this;
                    crossVectorOverlay.mGLOverlay = new GLCrossVector(crossVectorOverlay.mEngineID, CrossVectorOverlay.this.mMapView, hashCode());
                }
            });
        }
    }

    /* renamed from: com.autonavi.base.ae.gmap.gloverlay.CrossVectorOverlay$2 */
    class AnonymousClass2 implements Runnable {
        final /* synthetic */ Bitmap val$bitmap;

        AnonymousClass2(Bitmap bitmap) {
            r2 = bitmap;
        }

        @Override // java.lang.Runnable
        public void run() {
            int createOverlayTexture = CrossVectorOverlay.this.createOverlayTexture(r2);
            ((GLCrossVector) CrossVectorOverlay.this.mGLOverlay).setArrowResId(false, createOverlayTexture);
            ((GLCrossVector) CrossVectorOverlay.this.mGLOverlay).setCarResId(createOverlayTexture);
            BitmapDescriptor fromAsset = BitmapDescriptorFactory.fromAsset("cross/crossing_nigth_bk.data");
            int createOverlayTexture2 = CrossVectorOverlay.this.createOverlayTexture(fromAsset != null ? fromAsset.getBitmap() : null);
            if (createOverlayTexture2 != -1) {
                ((GLCrossVector) CrossVectorOverlay.this.mGLOverlay).setBackgroundResId(createOverlayTexture2);
            }
        }
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.BaseMapOverlay
    public void resumeMarker(Bitmap bitmap) {
        if (this.mMapView != null) {
            this.mMapView.queueEvent(new Runnable() { // from class: com.autonavi.base.ae.gmap.gloverlay.CrossVectorOverlay.2
                final /* synthetic */ Bitmap val$bitmap;

                AnonymousClass2(Bitmap bitmap2) {
                    r2 = bitmap2;
                }

                @Override // java.lang.Runnable
                public void run() {
                    int createOverlayTexture = CrossVectorOverlay.this.createOverlayTexture(r2);
                    ((GLCrossVector) CrossVectorOverlay.this.mGLOverlay).setArrowResId(false, createOverlayTexture);
                    ((GLCrossVector) CrossVectorOverlay.this.mGLOverlay).setCarResId(createOverlayTexture);
                    BitmapDescriptor fromAsset = BitmapDescriptorFactory.fromAsset("cross/crossing_nigth_bk.data");
                    int createOverlayTexture2 = CrossVectorOverlay.this.createOverlayTexture(fromAsset != null ? fromAsset.getBitmap() : null);
                    if (createOverlayTexture2 != -1) {
                        ((GLCrossVector) CrossVectorOverlay.this.mGLOverlay).setBackgroundResId(createOverlayTexture2);
                    }
                }
            });
        }
    }

    public void addOverlayTexture(Bitmap bitmap, int i, int i2) {
        GLTextureProperty gLTextureProperty = new GLTextureProperty();
        gLTextureProperty.mId = i;
        gLTextureProperty.mAnchor = i2;
        gLTextureProperty.mBitmap = bitmap;
        gLTextureProperty.mXRatio = 0.0f;
        gLTextureProperty.mYRatio = 0.0f;
        gLTextureProperty.isGenMimps = true;
        this.mMapView.addOverlayTexture(this.mEngineID, gLTextureProperty);
    }

    public int createOverlayTexture(Bitmap bitmap) {
        return this.mMapView.createOverlayTexture(this.mEngineID, bitmap);
    }

    public int dipToPixel(Context context, int i) {
        if (context == null) {
            return i;
        }
        try {
            return (int) TypedValue.applyDimension(1, i, context.getResources().getDisplayMetrics());
        } catch (Exception unused) {
            return i;
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.ICrossVectorOverlay
    public void setAttribute(AVectorCrossAttr aVectorCrossAttr) {
        this.attr = aVectorCrossAttr;
    }

    /* renamed from: com.autonavi.base.ae.gmap.gloverlay.CrossVectorOverlay$3 */
    class AnonymousClass3 implements Runnable {
        final /* synthetic */ boolean val$visible;

        AnonymousClass3(boolean z) {
            r2 = z;
        }

        @Override // java.lang.Runnable
        public void run() {
            if (CrossVectorOverlay.this.mGLOverlay != 0) {
                ((GLCrossVector) CrossVectorOverlay.this.mGLOverlay).setVisible(r2);
            }
        }
    }

    @Override // com.autonavi.base.ae.gmap.gloverlay.BaseMapOverlay, com.autonavi.amap.mapcore.interfaces.ICrossVectorOverlay
    public void setVisible(boolean z) {
        if (this.mMapView != null) {
            this.mMapView.queueEvent(new Runnable() { // from class: com.autonavi.base.ae.gmap.gloverlay.CrossVectorOverlay.3
                final /* synthetic */ boolean val$visible;

                AnonymousClass3(boolean z2) {
                    r2 = z2;
                }

                @Override // java.lang.Runnable
                public void run() {
                    if (CrossVectorOverlay.this.mGLOverlay != 0) {
                        ((GLCrossVector) CrossVectorOverlay.this.mGLOverlay).setVisible(r2);
                    }
                }
            });
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.ICrossVectorOverlay
    public int setData(byte[] bArr) {
        if (Build.VERSION.SDK_INT < 21) {
            drawVectorFailed(-1);
            return -1;
        }
        if (this.attr == null) {
            AVectorCrossAttr aVectorCrossAttr = new AVectorCrossAttr();
            this.attr = aVectorCrossAttr;
            aVectorCrossAttr.stAreaRect = new Rect(0, 0, this.mMapView.getMapWidth(), (this.mMapView.getMapHeight() * 4) / 11);
            this.attr.stAreaColor = Color.argb(217, 95, 95, 95);
            this.attr.fArrowBorderWidth = dipToPixel(this.mContext, 22);
            this.attr.stArrowBorderColor = Color.argb(0, 0, 50, 20);
            this.attr.fArrowLineWidth = dipToPixel(this.mContext, 18);
            this.attr.stArrowLineColor = Color.argb(255, 255, 253, 65);
            this.attr.dayMode = false;
        }
        if (bArr != null && this.attr != null && this.mMapView != null) {
            this.mMapView.queueEvent(new Runnable() { // from class: com.autonavi.base.ae.gmap.gloverlay.CrossVectorOverlay.4
                final /* synthetic */ byte[] val$data;

                AnonymousClass4(byte[] bArr2) {
                    r2 = bArr2;
                }

                @Override // java.lang.Runnable
                public void run() {
                    CrossVectorOverlay crossVectorOverlay = CrossVectorOverlay.this;
                    crossVectorOverlay.initImageMode(crossVectorOverlay.isImageMode);
                    GLCrossVector gLCrossVector = (GLCrossVector) CrossVectorOverlay.this.mGLOverlay;
                    AVectorCrossAttr aVectorCrossAttr2 = CrossVectorOverlay.this.attr;
                    byte[] bArr2 = r2;
                    int addVectorItem = gLCrossVector.addVectorItem(aVectorCrossAttr2, bArr2, bArr2.length);
                    if (addVectorItem != 0) {
                        CrossVectorOverlay.this.drawVectorFailed(addVectorItem);
                    } else if (CrossVectorOverlay.this.updateListener != null) {
                        CrossOverlay.UpdateItem updateItem = new CrossOverlay.UpdateItem();
                        updateItem.dataUpdateFlag = addVectorItem;
                        CrossVectorOverlay.this.updateListener.onUpdate(0, updateItem);
                    }
                }
            });
        }
        return -1;
    }

    /* renamed from: com.autonavi.base.ae.gmap.gloverlay.CrossVectorOverlay$4 */
    class AnonymousClass4 implements Runnable {
        final /* synthetic */ byte[] val$data;

        AnonymousClass4(byte[] bArr2) {
            r2 = bArr2;
        }

        @Override // java.lang.Runnable
        public void run() {
            CrossVectorOverlay crossVectorOverlay = CrossVectorOverlay.this;
            crossVectorOverlay.initImageMode(crossVectorOverlay.isImageMode);
            GLCrossVector gLCrossVector = (GLCrossVector) CrossVectorOverlay.this.mGLOverlay;
            AVectorCrossAttr aVectorCrossAttr2 = CrossVectorOverlay.this.attr;
            byte[] bArr2 = r2;
            int addVectorItem = gLCrossVector.addVectorItem(aVectorCrossAttr2, bArr2, bArr2.length);
            if (addVectorItem != 0) {
                CrossVectorOverlay.this.drawVectorFailed(addVectorItem);
            } else if (CrossVectorOverlay.this.updateListener != null) {
                CrossOverlay.UpdateItem updateItem = new CrossOverlay.UpdateItem();
                updateItem.dataUpdateFlag = addVectorItem;
                CrossVectorOverlay.this.updateListener.onUpdate(0, updateItem);
            }
        }
    }

    public void drawVectorFailed(int i) {
        CrossOverlay.GenerateCrossImageListener generateCrossImageListener;
        if (this.isImageMode && (generateCrossImageListener = this.imageListener) != null) {
            generateCrossImageListener.onGenerateComplete(null, i);
        }
        if (this.updateListener != null) {
            CrossOverlay.UpdateItem updateItem = new CrossOverlay.UpdateItem();
            updateItem.dataUpdateFlag = i;
            this.updateListener.onUpdate(0, updateItem);
        }
    }

    public void initImageMode(boolean z) {
        if (this.mGLOverlay != 0) {
            ((GLCrossVector) this.mGLOverlay).initTextureCallback(this, z);
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.ICrossVectorOverlay
    public void remove() {
        this.imageListener = null;
        setVisible(false);
        if (this.mMapView != null) {
            this.mMapView.queueEvent(new Runnable() { // from class: com.autonavi.base.ae.gmap.gloverlay.CrossVectorOverlay.5
                AnonymousClass5() {
                }

                @Override // java.lang.Runnable
                public void run() {
                    CrossVectorOverlay.this.releaseInstance();
                }
            });
        }
    }

    /* renamed from: com.autonavi.base.ae.gmap.gloverlay.CrossVectorOverlay$5 */
    class AnonymousClass5 implements Runnable {
        AnonymousClass5() {
        }

        @Override // java.lang.Runnable
        public void run() {
            CrossVectorOverlay.this.releaseInstance();
        }
    }

    @Override // com.autonavi.amap.mapcore.interfaces.ICrossVectorOverlay
    public void setImageMode(boolean z) {
        this.isImageMode = z;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.ICrossVectorOverlay
    public void setGenerateCrossImageListener(CrossOverlay.GenerateCrossImageListener generateCrossImageListener) {
        this.imageListener = generateCrossImageListener;
    }

    @Override // com.autonavi.amap.mapcore.interfaces.ICrossVectorOverlay
    public void setOnCrossVectorUpdateListener(CrossOverlay.OnCrossVectorUpdateListener onCrossVectorUpdateListener) {
        this.updateListener = onCrossVectorUpdateListener;
    }

    public void imageContentResult(int[] iArr, int i, int i2) {
        if (iArr == null) {
            drawVectorFailed(-1);
        } else if (this.imageListener != null) {
            Bitmap a = dy.a(iArr, i, i2);
            this.imageListener.onGenerateComplete(a, a != null ? 0 : -1);
        }
    }
}
