package com.bea.xml.stream;

import java.io.IOException;
import java.io.Writer;
import javax.xml.namespace.QName;
import javax.xml.stream.Location;
import javax.xml.stream.events.Attribute;
import javax.xml.stream.events.Characters;
import javax.xml.stream.events.EndElement;
import javax.xml.stream.events.StartElement;

/* loaded from: classes.dex */
public class AttributeBase implements Attribute, Location {
    private QName attributeType;
    private String locationURI;
    private QName name;
    private String value;
    private int eventType = -1;
    private int line = -1;
    private int column = -1;
    private int characterOffset = 0;

    public String getDTDType() {
        return "CDATA";
    }

    public int getEventType() {
        return 10;
    }

    public Location getLocation() {
        return this;
    }

    public String getPublicId() {
        return null;
    }

    public QName getSchemaType() {
        return null;
    }

    public String getSourceName() {
        return null;
    }

    public String getSystemId() {
        return null;
    }

    public boolean isAttribute() {
        return true;
    }

    public boolean isCharacters() {
        return false;
    }

    public boolean isDefault() {
        return true;
    }

    public boolean isEndDocument() {
        return false;
    }

    public boolean isEndElement() {
        return false;
    }

    public boolean isEndEntity() {
        return false;
    }

    public boolean isEntityReference() {
        return false;
    }

    public boolean isNamespace() {
        return false;
    }

    public boolean isNamespaceDeclaration() {
        return false;
    }

    public boolean isProcessingInstruction() {
        return false;
    }

    public boolean isSpecified() {
        return true;
    }

    public boolean isStartDocument() {
        return false;
    }

    public boolean isStartElement() {
        return false;
    }

    public boolean isStartEntity() {
        return false;
    }

    public void recycle() {
    }

    public AttributeBase(String str, String str2, String str3, String str4, String str5) {
        this.name = new QName(str2, str3, str == null ? "" : str);
        this.value = str4;
        this.attributeType = new QName(str5);
    }

    public AttributeBase(String str, String str2, String str3) {
        this.name = new QName("", str2, str == null ? "" : str);
        this.value = str3;
    }

    public AttributeBase(QName qName, String str) {
        this.name = qName;
        this.value = str;
    }

    public String toString() {
        if (this.name.getPrefix() != null && !this.name.getPrefix().equals("")) {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append("['");
            stringBuffer.append(this.name.getNamespaceURI());
            stringBuffer.append("']:");
            stringBuffer.append(this.name.getPrefix());
            stringBuffer.append(":");
            stringBuffer.append(this.name.getLocalPart());
            stringBuffer.append("='");
            stringBuffer.append(this.value);
            stringBuffer.append("'");
            return stringBuffer.toString();
        }
        StringBuffer stringBuffer2 = new StringBuffer();
        stringBuffer2.append(this.name.getLocalPart());
        stringBuffer2.append("='");
        stringBuffer2.append(this.value);
        stringBuffer2.append("'");
        return stringBuffer2.toString();
    }

    public int getLineNumber() {
        return this.line;
    }

    public void setLineNumber(int i) {
        this.line = i;
    }

    public int getColumnNumber() {
        return this.column;
    }

    public void setColumnNumber(int i) {
        this.column = i;
    }

    public int getCharacterOffset() {
        return this.characterOffset;
    }

    public void setCharacterOffset(int i) {
        this.characterOffset = i;
    }

    public String getLocationURI() {
        return this.locationURI;
    }

    public void setLocationURI(String str) {
        this.locationURI = str;
    }

    public boolean hasName() {
        return this.name != null;
    }

    public QName getName() {
        return this.name;
    }

    public String getLocalName() {
        return this.name.getLocalPart();
    }

    public String getValue() {
        return this.value;
    }

    public String getNamespaceURI() {
        return this.name.getNamespaceURI();
    }

    public void setNamespaceURI(String str) {
        this.name = new QName(str, this.name.getLocalPart());
    }

    public StartElement asStartElement() {
        throw new ClassCastException("cannnot cast AttributeBase to StartElement");
    }

    public EndElement asEndElement() {
        throw new ClassCastException("cannnot cast AttributeBase to EndElement");
    }

    public Characters asCharacters() {
        throw new ClassCastException("cannnot cast AttributeBase to Characters");
    }

    /* JADX WARN: Code restructure failed: missing block: B:21:0x004a, code lost:
    
        r10.write(r0);
     */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void writeAsEncodedUnicode(java.io.Writer r10) throws javax.xml.stream.XMLStreamException {
        /*
            r9 = this;
            javax.xml.namespace.QName r0 = r9.name     // Catch: java.io.IOException -> L81
            java.lang.String r0 = r0.getPrefix()     // Catch: java.io.IOException -> L81
            if (r0 == 0) goto L16
            int r1 = r0.length()     // Catch: java.io.IOException -> L81
            if (r1 <= 0) goto L16
            r10.write(r0)     // Catch: java.io.IOException -> L81
            r0 = 58
            r10.write(r0)     // Catch: java.io.IOException -> L81
        L16:
            javax.xml.namespace.QName r0 = r9.name     // Catch: java.io.IOException -> L81
            java.lang.String r0 = r0.getLocalPart()     // Catch: java.io.IOException -> L81
            r10.write(r0)     // Catch: java.io.IOException -> L81
            java.lang.String r0 = "=\""
            r10.write(r0)     // Catch: java.io.IOException -> L81
            java.lang.String r0 = r9.value     // Catch: java.io.IOException -> L81
            int r1 = r0.length()     // Catch: java.io.IOException -> L81
            r2 = 34
            if (r1 <= 0) goto L7d
            r3 = 0
            r4 = r3
        L30:
            r5 = 32
            r6 = 60
            r7 = 38
            if (r4 >= r1) goto L48
            char r8 = r0.charAt(r4)     // Catch: java.io.IOException -> L81
            if (r8 == r2) goto L48
            if (r8 == r7) goto L48
            if (r8 == r6) goto L48
            if (r8 >= r5) goto L45
            goto L48
        L45:
            int r4 = r4 + 1
            goto L30
        L48:
            if (r4 != r1) goto L4e
            r10.write(r0)     // Catch: java.io.IOException -> L81
            goto L7d
        L4e:
            if (r4 <= 0) goto L53
            r10.write(r0, r3, r4)     // Catch: java.io.IOException -> L81
        L53:
            if (r4 >= r1) goto L7d
            char r3 = r0.charAt(r4)     // Catch: java.io.IOException -> L81
            if (r3 == r2) goto L75
            if (r3 == r7) goto L6f
            if (r3 == r6) goto L69
            if (r3 >= r5) goto L65
            writeEncodedChar(r10, r3)     // Catch: java.io.IOException -> L81
            goto L7a
        L65:
            r10.write(r3)     // Catch: java.io.IOException -> L81
            goto L7a
        L69:
            java.lang.String r3 = "&lt;"
            r10.write(r3)     // Catch: java.io.IOException -> L81
            goto L7a
        L6f:
            java.lang.String r3 = "&amp;"
            r10.write(r3)     // Catch: java.io.IOException -> L81
            goto L7a
        L75:
            java.lang.String r3 = "&quot;"
            r10.write(r3)     // Catch: java.io.IOException -> L81
        L7a:
            int r4 = r4 + 1
            goto L53
        L7d:
            r10.write(r2)     // Catch: java.io.IOException -> L81
            return
        L81:
            r10 = move-exception
            javax.xml.stream.XMLStreamException r0 = new javax.xml.stream.XMLStreamException
            r0.<init>(r10)
            throw r0
        */
        throw new UnsupportedOperationException("Method not decompiled: com.bea.xml.stream.AttributeBase.writeAsEncodedUnicode(java.io.Writer):void");
    }

    public static void writeEncodedChar(Writer writer, char c) throws IOException {
        writer.write("&#");
        writer.write(Integer.toString(c));
        writer.write(59);
    }
}
