package com.dd.plist;

import java.io.IOException;

/* loaded from: classes.dex */
public class UID extends NSObject {
    private byte[] bytes;
    private String name;

    public UID(String str, byte[] bArr) {
        this.name = str;
        this.bytes = bArr;
    }

    public byte[] getBytes() {
        return this.bytes;
    }

    public String getName() {
        return this.name;
    }

    @Override // com.dd.plist.NSObject
    void toXML(StringBuilder sb, int i) {
        indent(sb, i);
        sb.append("<string>");
        int i2 = 0;
        while (true) {
            byte[] bArr = this.bytes;
            if (i2 < bArr.length) {
                byte b = bArr[i2];
                if (b < 16) {
                    sb.append("0");
                }
                sb.append(Integer.toHexString(b));
                i2++;
            } else {
                sb.append("</string>");
                return;
            }
        }
    }

    @Override // com.dd.plist.NSObject
    void toBinary(BinaryPropertyListWriter binaryPropertyListWriter) throws IOException {
        binaryPropertyListWriter.write((this.bytes.length + 128) - 1);
        binaryPropertyListWriter.write(this.bytes);
    }

    @Override // com.dd.plist.NSObject
    protected void toASCII(StringBuilder sb, int i) {
        indent(sb, i);
        sb.append("\"");
        int i2 = 0;
        while (true) {
            byte[] bArr = this.bytes;
            if (i2 < bArr.length) {
                byte b = bArr[i2];
                if (b < 16) {
                    sb.append("0");
                }
                sb.append(Integer.toHexString(b));
                i2++;
            } else {
                sb.append("\"");
                return;
            }
        }
    }

    @Override // com.dd.plist.NSObject
    protected void toASCIIGnuStep(StringBuilder sb, int i) {
        toASCII(sb, i);
    }
}
