package com.gghl.view.wheelview;

import android.content.Context;
import android.view.View;
import com.autonavi.base.ae.gmap.glyph.FontStyle;
import com.tencent.connect.common.Constants;
import com.zhuoting.healthd.R;
import java.util.Arrays;
import java.util.List;

/* loaded from: classes.dex */
public class WheelMain {
    private static int END_YEAR = 2100;
    private static int START_YEAR = 1800;
    public Context context;
    private boolean hasSelectTime;
    public int screenheight;
    private int type;
    private View view;
    private WheelView wv_day;
    private WheelView wv_hours;
    private WheelView wv_mins;
    private WheelView wv_month;
    private WheelView wv_year;

    public View getView() {
        return this.view;
    }

    public void setView(View view) {
        this.view = view;
    }

    public static int getSTART_YEAR() {
        return START_YEAR;
    }

    public static void setSTART_YEAR(int i) {
        START_YEAR = i;
    }

    public static int getEND_YEAR() {
        return END_YEAR;
    }

    public static void setEND_YEAR(int i) {
        END_YEAR = i;
    }

    public WheelMain(View view) {
        this.type = 0;
        this.view = view;
        this.hasSelectTime = false;
        setView(view);
    }

    public WheelMain(View view, boolean z) {
        this.type = 0;
        this.view = view;
        this.hasSelectTime = z;
        setView(view);
    }

    public void initDateTimePicker(int i, int i2, int i3) {
        initDateTimePicker(i, i2, i3, 0, 0);
    }

    public void initDateTimePicker(int i, int i2, int i3, int i4, int i5) {
        int i6;
        String[] strArr = {"1", "3", "5", "7", Constants.VIA_SHARE_TYPE_PUBLISHVIDEO, Constants.VIA_REPORT_TYPE_SHARE_TO_QQ, Constants.VIA_REPORT_TYPE_SET_AVATAR};
        String[] strArr2 = {Constants.VIA_TO_TYPE_QZONE, Constants.VIA_SHARE_TYPE_INFO, Constants.VIA_SHARE_TYPE_MINI_PROGRAM, Constants.VIA_REPORT_TYPE_SHARE_TO_QZONE};
        final List asList = Arrays.asList(strArr);
        final List asList2 = Arrays.asList(strArr2);
        WheelView wheelView = (WheelView) this.view.findViewById(R.id.year);
        this.wv_year = wheelView;
        wheelView.setAdapter(new NumericWheelAdapter(START_YEAR, END_YEAR));
        this.wv_year.setCyclic(true);
        this.wv_year.setLabel(this.context.getString(R.string.date_year_unit));
        this.wv_year.setCurrentItem(i - START_YEAR);
        WheelView wheelView2 = (WheelView) this.view.findViewById(R.id.month);
        this.wv_month = wheelView2;
        wheelView2.setAdapter(new NumericWheelAdapter(1, 12));
        this.wv_month.setCyclic(true);
        this.wv_month.setLabel(this.context.getString(R.string.date_month_unit));
        this.wv_month.setCurrentItem(i2);
        WheelView wheelView3 = (WheelView) this.view.findViewById(R.id.day);
        this.wv_day = wheelView3;
        wheelView3.setCyclic(true);
        int i7 = i2 + 1;
        if (asList.contains(String.valueOf(i7))) {
            this.wv_day.setAdapter(new NumericWheelAdapter(1, 31));
        } else if (asList2.contains(String.valueOf(i7))) {
            this.wv_day.setAdapter(new NumericWheelAdapter(1, 30));
        } else if ((i % 4 == 0 && i % 100 != 0) || i % FontStyle.WEIGHT_NORMAL == 0) {
            this.wv_day.setAdapter(new NumericWheelAdapter(1, 29));
        } else {
            this.wv_day.setAdapter(new NumericWheelAdapter(1, 28));
        }
        this.wv_day.setLabel(this.context.getString(R.string.date_day_unit));
        this.wv_day.setCurrentItem(i3 - 1);
        this.wv_hours = (WheelView) this.view.findViewById(R.id.hour);
        this.wv_mins = (WheelView) this.view.findViewById(R.id.min);
        if (this.hasSelectTime) {
            this.wv_hours.setVisibility(0);
            this.wv_mins.setVisibility(0);
            this.wv_hours.setAdapter(new NumericWheelAdapter(0, 23));
            this.wv_hours.setCyclic(true);
            this.wv_hours.setLabel(this.context.getString(R.string.nhour));
            this.wv_hours.setCurrentItem(i4);
            this.wv_mins.setAdapter(new NumericWheelAdapter(0, 59));
            this.wv_mins.setCyclic(true);
            this.wv_mins.setLabel(this.context.getString(R.string.nmin));
            this.wv_mins.setCurrentItem(i5);
        } else {
            this.wv_hours.setVisibility(8);
            this.wv_mins.setVisibility(8);
        }
        OnWheelChangedListener onWheelChangedListener = new OnWheelChangedListener() { // from class: com.gghl.view.wheelview.WheelMain.1
            @Override // com.gghl.view.wheelview.OnWheelChangedListener
            public void onChanged(WheelView wheelView4, int i8, int i9) {
                int i10 = i9 + WheelMain.START_YEAR;
                if (asList.contains(String.valueOf(WheelMain.this.wv_month.getCurrentItem() + 1))) {
                    WheelMain.this.wv_day.setAdapter(new NumericWheelAdapter(1, 31));
                    return;
                }
                if (asList2.contains(String.valueOf(WheelMain.this.wv_month.getCurrentItem() + 1))) {
                    WheelMain.this.wv_day.setAdapter(new NumericWheelAdapter(1, 30));
                } else if ((i10 % 4 != 0 || i10 % 100 == 0) && i10 % FontStyle.WEIGHT_NORMAL != 0) {
                    WheelMain.this.wv_day.setAdapter(new NumericWheelAdapter(1, 28));
                } else {
                    WheelMain.this.wv_day.setAdapter(new NumericWheelAdapter(1, 29));
                }
            }
        };
        OnWheelChangedListener onWheelChangedListener2 = new OnWheelChangedListener() { // from class: com.gghl.view.wheelview.WheelMain.2
            @Override // com.gghl.view.wheelview.OnWheelChangedListener
            public void onChanged(WheelView wheelView4, int i8, int i9) {
                int i10 = i9 + 1;
                if (asList.contains(String.valueOf(i10))) {
                    WheelMain.this.wv_day.setAdapter(new NumericWheelAdapter(1, 31));
                    return;
                }
                if (asList2.contains(String.valueOf(i10))) {
                    WheelMain.this.wv_day.setAdapter(new NumericWheelAdapter(1, 30));
                } else if (((WheelMain.this.wv_year.getCurrentItem() + WheelMain.START_YEAR) % 4 != 0 || (WheelMain.this.wv_year.getCurrentItem() + WheelMain.START_YEAR) % 100 == 0) && (WheelMain.this.wv_year.getCurrentItem() + WheelMain.START_YEAR) % FontStyle.WEIGHT_NORMAL != 0) {
                    WheelMain.this.wv_day.setAdapter(new NumericWheelAdapter(1, 28));
                } else {
                    WheelMain.this.wv_day.setAdapter(new NumericWheelAdapter(1, 29));
                }
            }
        };
        this.wv_year.addChangingListener(onWheelChangedListener);
        this.wv_month.addChangingListener(onWheelChangedListener2);
        if (this.hasSelectTime) {
            i6 = this.screenheight / 100;
        } else {
            i6 = this.screenheight / 100;
        }
        int i8 = i6 * 3;
        this.wv_day.TEXT_SIZE = i8;
        this.wv_month.TEXT_SIZE = i8;
        this.wv_year.TEXT_SIZE = i8;
        this.wv_hours.TEXT_SIZE = i8;
        this.wv_mins.TEXT_SIZE = i8;
    }

    public void initDateTimePicker(int i, int i2) {
        this.type = 1;
        this.wv_year = (WheelView) this.view.findViewById(R.id.year);
        this.wv_month = (WheelView) this.view.findViewById(R.id.month);
        this.wv_day = (WheelView) this.view.findViewById(R.id.day);
        this.wv_year.setVisibility(8);
        this.wv_month.setVisibility(8);
        this.wv_day.setVisibility(8);
        this.wv_hours = (WheelView) this.view.findViewById(R.id.hour);
        this.wv_mins = (WheelView) this.view.findViewById(R.id.min);
        this.wv_hours.setVisibility(0);
        this.wv_mins.setVisibility(0);
        this.wv_hours.setAdapter(new NumericWheelAdapter(0, 23));
        this.wv_hours.setCyclic(true);
        this.wv_hours.setLabel(this.context.getString(R.string.nhour));
        this.wv_hours.setCurrentItem(i);
        this.wv_mins.setAdapter(new NumericWheelAdapter(0, 59));
        this.wv_mins.setCyclic(true);
        this.wv_mins.setLabel(this.context.getString(R.string.nmin));
        this.wv_mins.setCurrentItem(i2);
        int i3 = (this.screenheight / 100) * 3;
        this.wv_day.TEXT_SIZE = i3;
        this.wv_month.TEXT_SIZE = i3;
        this.wv_year.TEXT_SIZE = i3;
        this.wv_hours.TEXT_SIZE = i3;
        this.wv_mins.TEXT_SIZE = i3;
    }

    public String getTime() {
        StringBuffer stringBuffer = new StringBuffer();
        if (this.type == 1) {
            stringBuffer.append(this.wv_hours.getCurrentItem());
            stringBuffer.append(":");
            stringBuffer.append(this.wv_mins.getCurrentItem());
            return stringBuffer.toString();
        }
        if (!this.hasSelectTime) {
            stringBuffer.append(this.wv_year.getCurrentItem() + START_YEAR);
            stringBuffer.append("-");
            stringBuffer.append(this.wv_month.getCurrentItem() + 1);
            stringBuffer.append("-");
            stringBuffer.append(this.wv_day.getCurrentItem() + 1);
        } else {
            stringBuffer.append(this.wv_year.getCurrentItem() + START_YEAR);
            stringBuffer.append("-");
            stringBuffer.append(this.wv_month.getCurrentItem() + 1);
            stringBuffer.append("-");
            stringBuffer.append(this.wv_day.getCurrentItem() + 1);
            stringBuffer.append(" ");
            stringBuffer.append(this.wv_hours.getCurrentItem());
            stringBuffer.append(":");
            stringBuffer.append(this.wv_mins.getCurrentItem());
        }
        return stringBuffer.toString();
    }
}
