package com.google.android.gms.common.data;

import com.facebook.core.internal.logging.dumpsys.AndroidRootResolver;
import java.util.ArrayList;
import java.util.Iterator;

/* compiled from: com.google.android.gms:play-services-base@@18.1.0 */
/* loaded from: classes.dex */
public final class FreezableUtils {
    public static <T, E extends Freezable<T>> ArrayList<T> freeze(ArrayList<E> arrayList) {
        AndroidRootResolver.ListenableArrayList listenableArrayList = (ArrayList<T>) new ArrayList(arrayList.size());
        int size = arrayList.size();
        for (int i = 0; i < size; i++) {
            listenableArrayList.add((AndroidRootResolver.ListenableArrayList) arrayList.get(i).freeze());
        }
        return listenableArrayList;
    }

    public static <T, E extends Freezable<T>> ArrayList<T> freezeIterable(Iterable<E> iterable) {
        AndroidRootResolver.ListenableArrayList listenableArrayList = (ArrayList<T>) new ArrayList();
        Iterator<E> it2 = iterable.iterator();
        while (it2.hasNext()) {
            listenableArrayList.add((AndroidRootResolver.ListenableArrayList) it2.next().freeze());
        }
        return listenableArrayList;
    }

    public static <T, E extends Freezable<T>> ArrayList<T> freeze(E[] eArr) {
        AndroidRootResolver.ListenableArrayList listenableArrayList = (ArrayList<T>) new ArrayList(eArr.length);
        for (E e : eArr) {
            listenableArrayList.add((AndroidRootResolver.ListenableArrayList) e.freeze());
        }
        return listenableArrayList;
    }
}
