package com.inuker.bluetooth.library.channel.packet;

import com.dd.plist.ASCIIPropertyListParser;
import java.nio.ByteBuffer;

/* loaded from: classes2.dex */
public class CTRPacket extends Packet {
    private int frameCount;

    @Override // com.inuker.bluetooth.library.channel.packet.Packet
    public String getName() {
        return Packet.CTR;
    }

    public CTRPacket(int i) {
        this.frameCount = i;
    }

    public int getFrameCount() {
        return this.frameCount;
    }

    @Override // com.inuker.bluetooth.library.channel.packet.Packet
    public byte[] toBytes() {
        ByteBuffer wrap = ByteBuffer.wrap(BUFFER);
        wrap.putShort((short) 0);
        wrap.put((byte) 0);
        wrap.put((byte) 0);
        wrap.putShort((short) this.frameCount);
        return wrap.array();
    }

    public String toString() {
        return "FlowPacket{frameCount=" + this.frameCount + ASCIIPropertyListParser.DICTIONARY_END_TOKEN;
    }
}
