package com.jaredrummler.android.processes;

import android.app.ActivityManager;
import android.content.Context;
import android.content.pm.PackageManager;
import android.os.Build;
import android.os.Process;
import android.util.Log;
import com.jaredrummler.android.processes.models.AndroidAppProcess;
import com.jaredrummler.android.processes.models.AndroidProcess;
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Comparator;
import java.util.List;

/* loaded from: classes2.dex */
public class AndroidProcesses {
    private static final int AID_READPROC = 3009;
    public static final String TAG = "AndroidProcesses";
    private static boolean loggingEnabled;

    public static void setLoggingEnabled(boolean z) {
        loggingEnabled = z;
    }

    public static boolean isLoggingEnabled() {
        return loggingEnabled;
    }

    public static void log(String str, Object... objArr) {
        if (loggingEnabled) {
            if (objArr.length != 0) {
                str = String.format(str, objArr);
            }
            Log.d(TAG, str);
        }
    }

    public static void log(Throwable th, String str, Object... objArr) {
        if (loggingEnabled) {
            if (objArr.length != 0) {
                str = String.format(str, objArr);
            }
            Log.d(TAG, str, th);
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:16:0x0032, code lost:
    
        if (r2[3].contains("hidepid=1") != false) goto L72;
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x003c, code lost:
    
        if (r2[3].contains("hidepid=2") == false) goto L99;
     */
    /* JADX WARN: Code restructure failed: missing block: B:20:0x003f, code lost:
    
        r3.close();
     */
    /* JADX WARN: Code restructure failed: missing block: B:26:0x003e, code lost:
    
        r0 = true;
     */
    /* JADX WARN: Removed duplicated region for block: B:37:0x0064  */
    /* JADX WARN: Removed duplicated region for block: B:39:? A[RETURN, SYNTHETIC] */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public static boolean isProcessInfoHidden() {
        /*
            r0 = 0
            r1 = 1
            r2 = 0
            java.io.BufferedReader r3 = new java.io.BufferedReader     // Catch: java.lang.Throwable -> L4c java.io.IOException -> L4e
            java.io.FileReader r4 = new java.io.FileReader     // Catch: java.lang.Throwable -> L4c java.io.IOException -> L4e
            java.lang.String r5 = "/proc/mounts"
            r4.<init>(r5)     // Catch: java.lang.Throwable -> L4c java.io.IOException -> L4e
            r3.<init>(r4)     // Catch: java.lang.Throwable -> L4c java.io.IOException -> L4e
        Lf:
            java.lang.String r2 = r3.readLine()     // Catch: java.lang.Throwable -> L47 java.io.IOException -> L4a
            if (r2 == 0) goto L43
            java.lang.String r4 = "\\s+"
            java.lang.String[] r2 = r2.split(r4)     // Catch: java.lang.Throwable -> L47 java.io.IOException -> L4a
            int r4 = r2.length     // Catch: java.lang.Throwable -> L47 java.io.IOException -> L4a
            r5 = 6
            if (r4 != r5) goto Lf
            r4 = r2[r1]     // Catch: java.lang.Throwable -> L47 java.io.IOException -> L4a
            java.lang.String r5 = "/proc"
            boolean r4 = r4.equals(r5)     // Catch: java.lang.Throwable -> L47 java.io.IOException -> L4a
            if (r4 == 0) goto Lf
            r4 = 3
            r5 = r2[r4]     // Catch: java.lang.Throwable -> L47 java.io.IOException -> L4a
            java.lang.String r6 = "hidepid=1"
            boolean r5 = r5.contains(r6)     // Catch: java.lang.Throwable -> L47 java.io.IOException -> L4a
            if (r5 != 0) goto L3e
            r2 = r2[r4]     // Catch: java.lang.Throwable -> L47 java.io.IOException -> L4a
            java.lang.String r4 = "hidepid=2"
            boolean r2 = r2.contains(r4)     // Catch: java.lang.Throwable -> L47 java.io.IOException -> L4a
            if (r2 == 0) goto L3f
        L3e:
            r0 = r1
        L3f:
            r3.close()     // Catch: java.io.IOException -> L42
        L42:
            return r0
        L43:
            r3.close()     // Catch: java.io.IOException -> L5a
            goto L5a
        L47:
            r0 = move-exception
            r2 = r3
            goto L66
        L4a:
            r2 = r3
            goto L4e
        L4c:
            r0 = move-exception
            goto L66
        L4e:
            java.lang.String r3 = "AndroidProcesses"
            java.lang.String r4 = "Error reading /proc/mounts. Checking if UID 'readproc' exists."
            android.util.Log.d(r3, r4)     // Catch: java.lang.Throwable -> L4c
            if (r2 == 0) goto L5a
            r2.close()     // Catch: java.io.IOException -> L5a
        L5a:
            java.lang.String r2 = "readproc"
            int r2 = android.os.Process.getUidForName(r2)
            r3 = 3009(0xbc1, float:4.217E-42)
            if (r2 != r3) goto L65
            r0 = r1
        L65:
            return r0
        L66:
            if (r2 == 0) goto L6b
            r2.close()     // Catch: java.io.IOException -> L6b
        L6b:
            throw r0
        */
        throw new UnsupportedOperationException("Method not decompiled: com.jaredrummler.android.processes.AndroidProcesses.isProcessInfoHidden():boolean");
    }

    public static List<AndroidProcess> getRunningProcesses() {
        ArrayList arrayList = new ArrayList();
        for (File file : new File("/proc").listFiles()) {
            if (file.isDirectory()) {
                try {
                    int parseInt = Integer.parseInt(file.getName());
                    try {
                        arrayList.add(new AndroidProcess(parseInt));
                    } catch (IOException e) {
                        log(e, "Error reading from /proc/%d.", Integer.valueOf(parseInt));
                    }
                } catch (NumberFormatException unused) {
                }
            }
        }
        return arrayList;
    }

    public static List<AndroidAppProcess> getRunningAppProcesses() {
        ArrayList arrayList = new ArrayList();
        for (File file : new File("/proc").listFiles()) {
            if (file.isDirectory()) {
                try {
                    int parseInt = Integer.parseInt(file.getName());
                    try {
                        arrayList.add(new AndroidAppProcess(parseInt));
                    } catch (IOException e) {
                        log(e, "Error reading from /proc/%d.", Integer.valueOf(parseInt));
                    }
                } catch (AndroidAppProcess.NotAndroidAppProcessException | NumberFormatException unused) {
                }
            }
        }
        return arrayList;
    }

    public static List<AndroidAppProcess> getRunningForegroundApps(Context context) {
        ArrayList arrayList = new ArrayList();
        File[] listFiles = new File("/proc").listFiles();
        PackageManager packageManager = context.getPackageManager();
        for (File file : listFiles) {
            if (file.isDirectory()) {
                try {
                    int parseInt = Integer.parseInt(file.getName());
                    try {
                        AndroidAppProcess androidAppProcess = new AndroidAppProcess(parseInt);
                        if (androidAppProcess.foreground && ((androidAppProcess.uid < 1000 || androidAppProcess.uid > 9999) && !androidAppProcess.name.contains(":") && packageManager.getLaunchIntentForPackage(androidAppProcess.getPackageName()) != null)) {
                            arrayList.add(androidAppProcess);
                        }
                    } catch (IOException e) {
                        log(e, "Error reading from /proc/%d.", Integer.valueOf(parseInt));
                    }
                } catch (AndroidAppProcess.NotAndroidAppProcessException | NumberFormatException unused) {
                }
            }
        }
        return arrayList;
    }

    public static boolean isMyProcessInTheForeground() {
        try {
            return new AndroidAppProcess(Process.myPid()).foreground;
        } catch (Exception e) {
            log(e, "Error finding our own process", new Object[0]);
            return false;
        }
    }

    public static List<ActivityManager.RunningAppProcessInfo> getRunningAppProcessInfo(Context context) {
        if (Build.VERSION.SDK_INT >= 22) {
            List<AndroidAppProcess> runningAppProcesses = getRunningAppProcesses();
            ArrayList arrayList = new ArrayList();
            for (AndroidAppProcess androidAppProcess : runningAppProcesses) {
                ActivityManager.RunningAppProcessInfo runningAppProcessInfo = new ActivityManager.RunningAppProcessInfo(androidAppProcess.name, androidAppProcess.pid, null);
                runningAppProcessInfo.uid = androidAppProcess.uid;
                arrayList.add(runningAppProcessInfo);
            }
            return arrayList;
        }
        return ((ActivityManager) context.getSystemService("activity")).getRunningAppProcesses();
    }

    AndroidProcesses() {
        throw new AssertionError("no instances");
    }

    public static final class ProcessComparator implements Comparator<AndroidProcess> {
        @Override // java.util.Comparator
        public int compare(AndroidProcess androidProcess, AndroidProcess androidProcess2) {
            return androidProcess.name.compareToIgnoreCase(androidProcess2.name);
        }
    }
}
