package com.realsil.sdk.bbpro.core.transportlayer;

import android.bluetooth.BluetoothDevice;
import android.bluetooth.BluetoothSocket;
import android.os.ParcelUuid;
import com.realsil.sdk.core.base.BaseThread;
import com.realsil.sdk.core.bluetooth.connection.legacy.BluetoothSpp;
import com.realsil.sdk.core.bluetooth.connection.legacy.BluetoothSppCallback;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.core.utility.DataConverter;
import java.util.Iterator;
import java.util.List;
import java.util.UUID;
import java.util.concurrent.CopyOnWriteArrayList;

/* loaded from: classes2.dex */
public class SppTransportLayer {
    public static final boolean D = false;
    public static SppTransportLayer m;
    public static final UUID n = UUID.fromString("00001101-0000-1000-8000-00805F9B34FB");
    public static final UUID o = UUID.fromString("6A24EEAB-4B65-4693-986B-3C26C352264F");
    public BluetoothSpp b;
    public volatile int d;
    public volatile int e;
    public CommandThread f;
    public AckThread g;
    public ThreadRx h;
    public volatile boolean i;
    public Command k;
    public Object c = new Object();
    public final Object j = new Object();
    public BluetoothSppCallback l = new BluetoothSppCallback() { // from class: com.realsil.sdk.bbpro.core.transportlayer.SppTransportLayer.1
        @Override // com.realsil.sdk.core.bluetooth.connection.legacy.BluetoothSppCallback
        public void onConnectionStateChanged(BluetoothDevice bluetoothDevice, boolean z, int i) {
            super.onConnectionStateChanged(bluetoothDevice, z, i);
            if (bluetoothDevice != null) {
                bluetoothDevice.getAddress();
            }
            if (!z || i == 0) {
                SppTransportLayer.this.b();
            }
            try {
                synchronized (SppTransportLayer.this.a) {
                    if (SppTransportLayer.this.a != null && SppTransportLayer.this.a.size() > 0) {
                        Iterator it2 = SppTransportLayer.this.a.iterator();
                        while (it2.hasNext()) {
                            ((TransportLayerCallback) it2.next()).onConnectionStateChanged(bluetoothDevice, z, i);
                        }
                    }
                }
            } catch (Exception e) {
                e.printStackTrace();
                ZLogger.e(e.toString());
            }
        }

        @Override // com.realsil.sdk.core.bluetooth.connection.legacy.BluetoothSppCallback
        public void onDataReceive(byte[] bArr) {
            if (SppTransportLayer.this.h == null || bArr == null) {
                return;
            }
            SppTransportLayer.this.h.addQueue(bArr);
        }
    };
    public List<TransportLayerCallback> a = new CopyOnWriteArrayList();

    public class AckThread extends BaseThread<Command> {
        public AckThread() {
        }

        public final boolean a(Command command) {
            byte[] encode;
            if (command == null) {
                ZLogger.d("command == null");
                return false;
            }
            byte[] payload = command.getPayload();
            if (payload == null) {
                ZLogger.d("payload == null");
                return false;
            }
            synchronized (SppTransportLayer.this.c) {
                encode = TransportLayerPacket.encode(SppTransportLayer.this.d, payload);
                SppTransportLayer.this.d();
            }
            return SppTransportLayer.this.c().write(encode);
        }

        @Override // java.lang.Thread, java.lang.Runnable
        public void run() {
            setName("AckThread");
            while (!Thread.currentThread().isInterrupted() && !isCanceled()) {
                Command take = take();
                if (take != null) {
                    a(take);
                }
            }
        }
    }

    public class CommandThread extends BaseThread<Command> {
        public CommandThread() {
        }

        public final boolean a(Command command) {
            byte[] encode;
            boolean write;
            byte[] payload = command.getPayload();
            if (payload == null) {
                ZLogger.d("payload == null");
                return false;
            }
            synchronized (SppTransportLayer.this.c) {
                encode = TransportLayerPacket.encode(SppTransportLayer.this.d, payload);
                SppTransportLayer.this.d();
            }
            if (command.getWriteType() == 1) {
                return SppTransportLayer.this.c().write(encode);
            }
            SppTransportLayer.this.i = false;
            boolean z = false;
            int i = 0;
            do {
                write = SppTransportLayer.this.c().write(encode);
                if (!write) {
                    break;
                }
                synchronized (SppTransportLayer.this.j) {
                    if (!SppTransportLayer.this.i) {
                        try {
                            SppTransportLayer.this.j.wait(500L);
                        } catch (InterruptedException e) {
                            e.printStackTrace();
                        }
                        z = !SppTransportLayer.this.i;
                        write = SppTransportLayer.this.i;
                        if (!SppTransportLayer.this.i) {
                            ZLogger.v(false, "ACK timeout for 500 ms");
                        }
                    }
                }
                i++;
                if (i >= command.getRetransCount()) {
                    break;
                }
            } while (z);
            if (!write && z) {
                ZLogger.v(false, ">> ERR_TRANSPORT_RETRAINS_EXCEED_MAX_TIMES: " + command.getRetransCount());
            }
            return write;
        }

        @Override // java.lang.Thread, java.lang.Runnable
        public void run() {
            setName("CommandThread");
            while (!Thread.currentThread().isInterrupted() && !isCanceled()) {
                Command take = take();
                if (take != null) {
                    if (take.getOpcode() != 0) {
                        SppTransportLayer.this.k = take;
                    }
                    a(take);
                    SppTransportLayer.this.k = null;
                }
            }
        }
    }

    public static SppTransportLayer getInstance() {
        if (m == null) {
            e();
        }
        return m;
    }

    public boolean connect(BluetoothDevice bluetoothDevice, BluetoothSocket bluetoothSocket) {
        return connect(bluetoothDevice, bluetoothSocket, n);
    }

    public void destory() {
        synchronized (this.a) {
            List<TransportLayerCallback> list = this.a;
            if (list != null) {
                list.clear();
            }
        }
        k();
        l();
        j();
        BluetoothSpp bluetoothSpp = this.b;
        if (bluetoothSpp != null) {
            bluetoothSpp.stop();
            this.b = null;
        }
    }

    public void disconnect() {
        a();
        BluetoothSpp bluetoothSpp = this.b;
        if (bluetoothSpp != null) {
            bluetoothSpp.stop();
        }
    }

    public int getConnectionState() {
        return c().getConnectionState();
    }

    public boolean isConnected(BluetoothDevice bluetoothDevice) {
        return c().isConnected(bluetoothDevice);
    }

    public void register(TransportLayerCallback transportLayerCallback) {
        synchronized (this.a) {
            if (this.a == null) {
                this.a = new CopyOnWriteArrayList();
            }
            if (!this.a.contains(transportLayerCallback)) {
                this.a.add(transportLayerCallback);
            }
        }
    }

    public synchronized boolean sendAck(Command command) {
        if (command == null) {
            return false;
        }
        if (this.g == null) {
            i();
        }
        AckThread ackThread = this.g;
        if (ackThread == null) {
            return false;
        }
        ackThread.addQueue(command);
        return true;
    }

    public boolean sendCmd(byte[] bArr) {
        return sendCommand(new Command(bArr));
    }

    public synchronized boolean sendCommand(Command command) {
        if (command == null) {
            return false;
        }
        if (this.f == null) {
            i();
        }
        CommandThread commandThread = this.f;
        if (commandThread == null) {
            return false;
        }
        commandThread.addQueue(command);
        return true;
    }

    public void unregister(TransportLayerCallback transportLayerCallback) {
        synchronized (this.a) {
            List<TransportLayerCallback> list = this.a;
            if (list != null) {
                list.remove(transportLayerCallback);
            }
        }
    }

    public static synchronized void e() {
        synchronized (SppTransportLayer.class) {
            if (m == null) {
                synchronized (SppTransportLayer.class) {
                    if (m == null) {
                        m = new SppTransportLayer();
                    }
                }
            }
        }
    }

    public final void b() {
        a();
    }

    public final BluetoothSpp c() {
        if (this.b == null) {
            this.b = new BluetoothSpp(this.l);
        }
        return this.b;
    }

    public boolean connect(BluetoothDevice bluetoothDevice, BluetoothSocket bluetoothSocket, UUID uuid) {
        if (bluetoothDevice == null) {
            return false;
        }
        if (c().isConnected(bluetoothDevice)) {
            BluetoothSppCallback bluetoothSppCallback = this.l;
            if (bluetoothSppCallback != null) {
                bluetoothSppCallback.onConnectionStateChanged(bluetoothDevice, true, 512);
            }
            return true;
        }
        this.d = 1;
        this.e = 0;
        i();
        g();
        h();
        if (!a(bluetoothDevice.getUuids(), uuid.toString())) {
            if (a(bluetoothDevice.getUuids(), "6A24EEAB-4B65-4693-986B-3C26C352264F")) {
                uuid = o;
                ZLogger.v("use vendor spp: " + uuid.toString());
            } else {
                uuid = n;
                ZLogger.v("use well-known spp: " + uuid.toString());
            }
        }
        return c().connect(bluetoothDevice, bluetoothSocket, uuid);
    }

    public final void d() {
        if (this.d != 255) {
            this.d++;
        } else {
            this.d = 1;
        }
    }

    public final void f() {
        synchronized (this.j) {
            this.i = true;
            this.j.notifyAll();
        }
    }

    public final void g() {
        AckThread ackThread = this.g;
        if (ackThread != null) {
            ackThread.cancel(true);
        }
        AckThread ackThread2 = new AckThread();
        this.g = ackThread2;
        ackThread2.start();
    }

    public final void h() {
        ThreadRx threadRx = this.h;
        if (threadRx != null) {
            threadRx.cancel(true);
        }
        ThreadRx threadRx2 = new ThreadRx();
        this.h = threadRx2;
        threadRx2.start();
    }

    public final void i() {
        CommandThread commandThread = this.f;
        if (commandThread != null) {
            commandThread.cancel(true);
        }
        CommandThread commandThread2 = new CommandThread();
        this.f = commandThread2;
        commandThread2.start();
    }

    public final void j() {
        AckThread ackThread = this.g;
        if (ackThread != null) {
            ackThread.clearQueue();
            this.g.cancel(true);
            f();
        }
    }

    public final void k() {
        ThreadRx threadRx = this.h;
        if (threadRx != null) {
            threadRx.clearQueue();
            this.h.cancel(true);
        }
    }

    public final void l() {
        CommandThread commandThread = this.f;
        if (commandThread != null) {
            commandThread.clearQueue();
            this.f.cancel(true);
            f();
        }
    }

    public boolean sendCmd(short s, byte[] bArr) {
        return sendCommand(s, -1, bArr);
    }

    public final boolean a(ParcelUuid[] parcelUuidArr, String str) {
        if (str != null && parcelUuidArr != null && parcelUuidArr.length > 0) {
            for (ParcelUuid parcelUuid : parcelUuidArr) {
                if (parcelUuid != null && str.equals(parcelUuid.toString().toUpperCase())) {
                    return true;
                }
            }
        }
        return false;
    }

    public boolean sendAck(int i, byte b) {
        return sendAck(new Command(1, AckPacket.encode(i, b)));
    }

    public boolean sendCommand(short s, int i, byte[] bArr) {
        return sendCommand(new Command(2, TransportLayerPacket.encodePayload(s, bArr), 2, s, i));
    }

    public final void a() {
        ThreadRx threadRx = this.h;
        if (threadRx != null) {
            threadRx.clearQueue();
            this.h.cancel(true);
        }
        CommandThread commandThread = this.f;
        if (commandThread != null) {
            commandThread.clearQueue();
            f();
        }
        AckThread ackThread = this.g;
        if (ackThread != null) {
            ackThread.clearQueue();
            f();
        }
    }

    public class ThreadRx extends BaseThread<byte[]> {
        public ThreadRx() {
        }

        public final void a(byte[] bArr) {
            int length = bArr.length;
            int i = 0;
            do {
                int i2 = length - i;
                if (i2 <= 0) {
                    return;
                }
                try {
                    byte[] bArr2 = new byte[i2];
                    System.arraycopy(bArr, i, bArr2, 0, i2);
                    TransportLayerPacket builderPacket = TransportLayerPacket.builderPacket(bArr2);
                    if (builderPacket == null) {
                        ZLogger.d("error packet : " + DataConverter.bytes2Hex(bArr));
                        return;
                    }
                    b(builderPacket);
                    i += builderPacket.getPacketLength();
                } catch (Exception e) {
                    e.printStackTrace();
                    ZLogger.e(e.toString());
                }
            } while (i < length);
        }

        public final synchronized void b(TransportLayerPacket transportLayerPacket) {
            int opcode = transportLayerPacket.getOpcode();
            transportLayerPacket.getPayload();
            byte[] parameters = transportLayerPacket.getParameters();
            if (transportLayerPacket.getSeqNum() == SppTransportLayer.this.e) {
                return;
            }
            SppTransportLayer.this.e = transportLayerPacket.getSeqNum();
            if (opcode != 0) {
                a(transportLayerPacket);
            } else {
                AckPacket builder = AckPacket.builder(parameters);
                if (builder != null) {
                    a(builder);
                }
            }
        }

        @Override // java.lang.Thread, java.lang.Runnable
        public void run() {
            while (!Thread.currentThread().isInterrupted() && !isCanceled()) {
                byte[] take = take();
                if (take != null) {
                    a(take);
                }
            }
        }

        public final void a(AckPacket ackPacket) {
            try {
                if (SppTransportLayer.this.k != null) {
                    if (SppTransportLayer.this.k.getOpcode() == ackPacket.getToAckId()) {
                        SppTransportLayer.this.f();
                    }
                } else {
                    SppTransportLayer.this.f();
                }
                synchronized (SppTransportLayer.this.a) {
                    if (SppTransportLayer.this.a != null && SppTransportLayer.this.a.size() > 0) {
                        Iterator it2 = SppTransportLayer.this.a.iterator();
                        while (it2.hasNext()) {
                            ((TransportLayerCallback) it2.next()).onAckReceive(ackPacket);
                        }
                    }
                }
            } catch (Exception e) {
                e.printStackTrace();
                ZLogger.e(e.toString());
            }
        }

        public final void a(TransportLayerPacket transportLayerPacket) {
            try {
                SppTransportLayer.this.sendAck(transportLayerPacket.getOpcode(), (byte) 0);
                if (SppTransportLayer.this.k != null && SppTransportLayer.this.k.getRespOpCode() == transportLayerPacket.getOpcode()) {
                    SppTransportLayer.this.f();
                }
                synchronized (SppTransportLayer.this.a) {
                    if (SppTransportLayer.this.a != null && SppTransportLayer.this.a.size() > 0) {
                        Iterator it2 = SppTransportLayer.this.a.iterator();
                        while (it2.hasNext()) {
                            ((TransportLayerCallback) it2.next()).onDataReceive(transportLayerPacket);
                        }
                    }
                }
            } catch (Exception e) {
                e.printStackTrace();
                ZLogger.e(e.toString());
            }
        }
    }
}
