package com.realsil.sdk.core.logger;

import android.content.Context;
import android.os.Environment;
import android.text.TextUtils;
import com.realsil.sdk.core.utility.FileUtils;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.UnsupportedEncodingException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.Locale;
import no.nordicsemi.android.log.LogContract;

/* loaded from: classes2.dex */
public class WriteLog {
    public static final int RETINTION_DAYS_DEF = 7;
    public static final int RETINTION_DAYS_INFINITE = -1;
    public static final String[] j = {"logcat", "-c"};
    public static volatile WriteLog k;
    public String b;
    public int e;
    public String f;
    public String g;
    public Process h;
    public Context i;
    public final SimpleDateFormat a = new SimpleDateFormat("yyyy-MM-dd", Locale.US);
    public String c = "/saveLog/";
    public String d = "/sdcard/btsnoop_hci.log";

    public WriteLog(Context context, String str, int i) {
        this.b = "Realtek";
        this.e = -1;
        this.i = context;
        this.b = str;
        this.e = i;
        b();
    }

    public static WriteLog getInstance() {
        return k;
    }

    public static synchronized void install(Context context) {
        synchronized (WriteLog.class) {
            k = new WriteLog(context.getApplicationContext(), context.getPackageName(), -1);
        }
    }

    public final void a(List<String> list) {
        try {
            String[] strArr = (String[]) list.toArray(new String[list.size()]);
            Runtime.getRuntime().exec(strArr);
            ZLogger.v("[>_]" + Arrays.toString(strArr));
        } catch (Exception e) {
            ZLogger.e(e.toString());
        }
    }

    public final void b() {
        String str;
        String str2;
        BufferedReader bufferedReader;
        String readLine;
        StringBuilder sb = new StringBuilder();
        if (Environment.getExternalStorageState().equals("mounted")) {
            str = Environment.getExternalStorageDirectory().getAbsolutePath() + "/" + this.b + "/";
        } else {
            str = "/data/data/" + this.i.getPackageName() + "/" + this.b + "/";
        }
        sb.append(str);
        sb.append("saveLog/");
        this.c = sb.toString();
        try {
            InputStreamReader inputStreamReader = null;
            try {
                inputStreamReader = new InputStreamReader(new FileInputStream(new File("/etc/bluetooth/bt_stack.conf")), "UTF-8");
            } catch (UnsupportedEncodingException e) {
                e.printStackTrace();
            }
            bufferedReader = new BufferedReader(inputStreamReader);
        } catch (Exception e2) {
            ZLogger.w(e2.getMessage());
        }
        do {
            try {
                readLine = bufferedReader.readLine();
            } catch (IOException e3) {
                ZLogger.w(e3.getMessage());
            }
            if (readLine == null) {
                str2 = "/sdcard/btsnoop_hci.cfa";
                break;
            }
        } while (!readLine.contains("BtSnoopFileName="));
        ZLogger.v("line: " + readLine);
        str2 = readLine.substring(16);
        this.d = str2;
        ZLogger.d(String.format(Locale.US, "mRetionDays=%d, mRootDirName=%s, mSaveLogDir=%s, mHciFilePath==%s", Integer.valueOf(this.e), this.b, this.c, this.d));
        a();
    }

    public boolean deleteLog() {
        try {
            return new File(this.f).delete();
        } catch (Exception e) {
            ZLogger.e(e.toString());
            return false;
        }
    }

    public void restartLog() {
        restartLog(false);
    }

    public void saveHciLog() {
        a();
        if (TextUtils.isEmpty(this.d)) {
            return;
        }
        ArrayList arrayList = new ArrayList();
        arrayList.add("cp");
        arrayList.add(this.d);
        arrayList.add(this.g);
        a(arrayList);
    }

    public void saveHciLogByTime() {
        a();
        if (TextUtils.isEmpty(this.d)) {
            return;
        }
        ArrayList arrayList = new ArrayList();
        arrayList.add("cp");
        arrayList.add(this.d);
        arrayList.add(this.c + new SimpleDateFormat("yyyy-MM-dd_HH-mm-ss", Locale.US).format(new Date()) + ".cfa");
        a(arrayList);
    }

    public void setRetentionDays(int i) {
        this.e = i;
    }

    public void startLog() {
        a();
        String format = new SimpleDateFormat("yyyy-MM-dd_HH-mm-ss", Locale.US).format(new Date());
        this.f = this.c + format + ".logcat";
        this.g = this.c + format + "_btsnoop.cfa";
        try {
            StringBuilder sb = new StringBuilder();
            sb.append("[>_]");
            String[] strArr = j;
            sb.append(Arrays.toString(strArr));
            ZLogger.v(sb.toString());
            Runtime.getRuntime().exec(strArr).destroy();
        } catch (Exception e) {
            ZLogger.e(e.toString());
        }
        ArrayList arrayList = new ArrayList();
        arrayList.add("logcat");
        arrayList.add("-f");
        arrayList.add(this.f);
        arrayList.add("-v");
        arrayList.add(LogContract.LogColumns.TIME);
        try {
            String[] strArr2 = (String[]) arrayList.toArray(new String[arrayList.size()]);
            ZLogger.v("[>_]" + Arrays.toString(strArr2));
            this.h = Runtime.getRuntime().exec(strArr2);
        } catch (Exception e2) {
            ZLogger.e(e2.toString());
        }
        if (this.e <= -1) {
            ZLogger.d("mRetentionDays=： " + this.e);
            return;
        }
        Calendar calendar = Calendar.getInstance();
        calendar.add(5, 0 - this.e);
        calendar.set(10, 0);
        calendar.set(12, 0);
        calendar.set(13, 0);
        File file = new File(this.c);
        if (!file.exists()) {
            ZLogger.d(String.format("%s not exist", file.getAbsolutePath()));
            return;
        }
        if (!file.isDirectory()) {
            ZLogger.d(String.format("%s is not a directory.", file.getAbsolutePath()));
            return;
        }
        File[] listFiles = file.listFiles();
        if (listFiles == null || listFiles.length <= 0) {
            ZLogger.d("empty log dir: " + this.c);
            return;
        }
        for (File file2 : listFiles) {
            if (!file2.isDirectory()) {
                String name = file2.getName();
                String suffix = FileUtils.getSuffix(file2);
                if (!TextUtils.isEmpty(name) && name.length() >= 10 && !TextUtils.isEmpty(suffix) && ("logcat".equals(suffix) || "cfa".equals(suffix))) {
                    try {
                        if (this.a.parse(name.substring(0, 10)).before(calendar.getTime())) {
                            file2.delete();
                        }
                    } catch (ParseException e3) {
                        file2.delete();
                        ZLogger.e(e3.toString());
                    }
                }
            }
        }
    }

    public void stopLog() {
        Process process = this.h;
        if (process != null) {
            process.destroy();
        }
    }

    public static synchronized void install(Context context, String str) {
        synchronized (WriteLog.class) {
            k = new WriteLog(context.getApplicationContext(), str, -1);
        }
    }

    public void restartLog(boolean z) {
        stopLog();
        if (z) {
            deleteLog();
        }
        startLog();
    }

    public static synchronized void install(Context context, String str, int i) {
        synchronized (WriteLog.class) {
            k = new WriteLog(context.getApplicationContext(), str, i);
        }
    }

    public final boolean a() {
        File file = new File(this.c);
        if (file.isDirectory()) {
            return false;
        }
        boolean mkdirs = file.mkdirs();
        ZLogger.v(String.format("mkdirs: %s, %b", this.c, Boolean.valueOf(mkdirs)));
        return mkdirs;
    }
}
