package com.realsil.sdk.core.preference;

import android.content.Context;
import android.content.SharedPreferences;
import android.os.PowerManager;
import android.preference.PreferenceManager;
import com.realsil.sdk.core.logger.ZLogger;

/* loaded from: classes2.dex */
public abstract class BaseSharedPrefes {
    public static PowerManager.WakeLock c;
    public Context a;
    public SharedPreferences b;

    public BaseSharedPrefes(Context context) {
        this.a = context;
        this.b = PreferenceManager.getDefaultSharedPreferences(context);
    }

    public final SharedPreferences.Editor a() {
        if (this.b == null) {
            this.b = PreferenceManager.getDefaultSharedPreferences(this.a);
        }
        return this.b.edit();
    }

    public void acquireWakeLock() {
        if (c == null) {
            ZLogger.v(this.a.getClass().getCanonicalName());
            PowerManager powerManager = (PowerManager) this.a.getSystemService("power");
            if (powerManager != null) {
                PowerManager.WakeLock newWakeLock = powerManager.newWakeLock(6, this.a.getClass().getCanonicalName());
                c = newWakeLock;
                newWakeLock.acquire();
            }
        }
    }

    public void clear() {
        SharedPreferences.Editor a = a();
        a.clear();
        a.apply();
    }

    public boolean contains(String str) {
        SharedPreferences sharedPreferences = this.b;
        return sharedPreferences != null && sharedPreferences.contains(str);
    }

    public boolean getBoolean(String str, boolean z) {
        SharedPreferences sharedPreferences = this.b;
        return sharedPreferences == null ? z : sharedPreferences.getBoolean(str, z);
    }

    public int getInt(String str, int i) {
        SharedPreferences sharedPreferences = this.b;
        return sharedPreferences == null ? i : sharedPreferences.getInt(str, i);
    }

    public Long getLong(String str, Long l) {
        SharedPreferences sharedPreferences = this.b;
        return sharedPreferences == null ? l : Long.valueOf(sharedPreferences.getLong(str, l.longValue()));
    }

    public SharedPreferences getSharedPreferences() {
        return this.b;
    }

    public String getString(String str, String str2) {
        SharedPreferences sharedPreferences = this.b;
        return sharedPreferences == null ? str2 : sharedPreferences.getString(str, str2);
    }

    public void releaseWakeLock() {
        PowerManager.WakeLock wakeLock = c;
        if (wakeLock == null || !wakeLock.isHeld()) {
            return;
        }
        c.release();
        c = null;
    }

    public void set(String str, boolean z) {
        SharedPreferences.Editor a = a();
        a.putBoolean(str, z);
        a.apply();
    }

    public BaseSharedPrefes(Context context, String str) {
        this.a = context;
        this.b = context.getSharedPreferences(str, 0);
    }

    public void set(String str, String str2) {
        SharedPreferences.Editor a = a();
        a.putString(str, str2);
        a.apply();
    }

    public void set(String str, int i) {
        SharedPreferences.Editor a = a();
        a.putInt(str, i);
        a.commit();
    }

    public void set(String str, long j) {
        SharedPreferences.Editor a = a();
        a.putLong(str, j);
        a.apply();
    }
}
