package com.realsil.sdk.dfu.e;

import android.content.Context;
import androidx.core.view.MotionEventCompat;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.core.utility.DataConverter;
import com.realsil.sdk.dfu.RtkDfu;
import com.realsil.sdk.dfu.image.pack.SubFileInfo;
import com.realsil.sdk.dfu.image.stream.BaseBinInputStream;
import java.io.BufferedInputStream;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import kotlin.UByte;

/* loaded from: classes2.dex */
public class a extends BufferedInputStream {
    public static final boolean n = RtkDfu.VDBG;
    public int a;
    public int b;
    public byte[] c;
    public int d;
    public int e;
    public boolean f;
    public int g;
    public byte[] h;
    public int i;
    public int j;
    public ArrayList<SubFileInfo> k;
    public String l;
    public long m;

    public a(String str, long j, InputStream inputStream) throws IOException {
        super(inputStream);
        this.e = 1;
        if (available() < 44) {
            throw new IOException("The input file size is less to 44, please check!");
        }
        this.l = str;
        this.m = j;
        d();
        e();
        close();
    }

    public static a a(String str) {
        try {
            BufferedInputStream bufferedInputStream = new BufferedInputStream(new FileInputStream(str));
            a a = a(str, 0L, bufferedInputStream);
            try {
                bufferedInputStream.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
            return a;
        } catch (IOException e2) {
            if (!n) {
                return null;
            }
            ZLogger.v(e2.toString());
            return null;
        }
    }

    public BaseBinInputStream b(int i) {
        Iterator<SubFileInfo> it2 = this.k.iterator();
        while (it2.hasNext()) {
            SubFileInfo next = it2.next();
            if (next.bitNumber == i) {
                return next.getBinInputStream(next.icType);
            }
        }
        return null;
    }

    public SubFileInfo c(int i) {
        Iterator<SubFileInfo> it2 = this.k.iterator();
        while (it2.hasNext()) {
            SubFileInfo next = it2.next();
            if (next.binId == i) {
                return next;
            }
        }
        return null;
    }

    public final void e() throws IOException {
        int i;
        int i2 = 0;
        this.j = 0;
        this.k = new ArrayList<>();
        byte[] bArr = this.h;
        int length = bArr.length;
        for (byte b : bArr) {
            for (int i3 = 0; i3 < 8; i3++) {
                if (((byte) (((byte) (b >> i3)) & 1)) == 1) {
                    this.j++;
                }
            }
        }
        long j = this.m + (this.j * 12);
        byte[] bArr2 = this.h;
        int length2 = bArr2.length;
        int i4 = 0;
        int i5 = 0;
        while (i4 < length2) {
            byte b2 = bArr2[i4];
            int i6 = i2;
            while (i6 < 8) {
                if (((byte) (((byte) (b2 >> i6)) & 1)) == 1) {
                    byte[] bArr3 = new byte[12];
                    read(bArr3, i2, 12);
                    i = i6;
                    SubFileInfo builder = SubFileInfo.builder(this.g, this.l, i5, this.i * 4, j, bArr3);
                    if (n) {
                        ZLogger.v(builder.toString());
                    }
                    this.k.add(builder);
                    j += builder.size;
                } else {
                    i = i6;
                }
                i5++;
                i6 = i + 1;
                i2 = 0;
            }
            i4++;
            i2 = 0;
        }
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("signature=" + String.format("0x%04X", Integer.valueOf(this.a)) + ", size=" + String.format(Locale.US, "0x%08x(%d)", Integer.valueOf(this.b), Integer.valueOf(this.b)) + String.format("packVersion=0x%02x, dualBankPack=%b", Integer.valueOf(this.e), Boolean.valueOf(this.f)) + ", icType=" + String.format("0x%02x", Integer.valueOf(this.g)) + String.format(", subFileNum=0x%04x, subFileIndicator=%s", Integer.valueOf(this.j), DataConverter.bytes2Hex(this.h)));
        return sb.toString();
    }

    public final void d() throws IOException {
        byte[] bArr = new byte[40];
        read(bArr, 0, 40);
        if (n) {
            ZLogger.v(String.format(Locale.US, "PackHeader:(%d)%s", 40, DataConverter.bytes2Hex(bArr)));
        }
        int i = (((bArr[1] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (bArr[0] & UByte.MAX_VALUE)) & 65535;
        this.a = i;
        if (i != 19783) {
            throw new IOException(String.format("The signature(0x%04X) is not right", Integer.valueOf(this.a)));
        }
        this.b = ((bArr[5] << 24) & (-16777216)) | ((bArr[4] << 16) & 16711680) | ((bArr[3] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (bArr[2] & UByte.MAX_VALUE);
        byte[] bArr2 = new byte[32];
        this.c = bArr2;
        System.arraycopy(bArr, 6, bArr2, 0, 32);
        int i2 = ((bArr[38] & UByte.MAX_VALUE) | ((bArr[39] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK)) & 65535;
        this.d = i2;
        int i3 = i2 & 15;
        this.e = i3;
        this.f = ((byte) ((i2 >> 7) & 1)) == 1;
        this.g = (i2 >> 8) & 255;
        if (i3 <= 1) {
            this.i = 4;
        } else {
            this.i = 32;
        }
        int i4 = this.i;
        byte[] bArr3 = new byte[i4];
        this.h = bArr3;
        read(bArr3, 0, i4);
        this.m += this.i + 40;
    }

    public ArrayList<SubFileInfo> c() {
        return this.k;
    }

    public int b() {
        return this.g;
    }

    public static a a(String str, long j, InputStream inputStream) {
        a aVar;
        try {
            aVar = new a(str, j, inputStream);
        } catch (IOException e) {
            if (n) {
                ZLogger.d(e.toString());
            }
            aVar = null;
        }
        try {
            inputStream.close();
        } catch (IOException e2) {
            e2.printStackTrace();
        }
        return aVar;
    }

    public List<SubFileInfo> e(int i) {
        ArrayList arrayList = new ArrayList();
        ArrayList<SubFileInfo> arrayList2 = this.k;
        if (arrayList2 != null && arrayList2.size() > 0) {
            int i2 = this.e >= 2 ? 128 : 16;
            if (i == 1) {
                Iterator<SubFileInfo> it2 = this.k.iterator();
                while (it2.hasNext()) {
                    SubFileInfo next = it2.next();
                    if (next.bitNumber >= i2) {
                        arrayList.add(next);
                    }
                }
            } else {
                Iterator<SubFileInfo> it3 = this.k.iterator();
                while (it3.hasNext()) {
                    SubFileInfo next2 = it3.next();
                    if (next2.bitNumber < i2) {
                        arrayList.add(next2);
                    }
                }
            }
        }
        return arrayList;
    }

    public static a a(Context context, String str, InputStream inputStream, long j) {
        a aVar = null;
        if (inputStream == null) {
            ZLogger.w("InputStream can not be null");
            return null;
        }
        try {
            aVar = new a(context, str, inputStream, j);
        } catch (IOException e) {
            if (n) {
                ZLogger.d(e.toString());
            }
        }
        try {
            inputStream.close();
        } catch (IOException e2) {
            e2.printStackTrace();
        }
        return aVar;
    }

    public SubFileInfo d(int i) {
        Iterator<SubFileInfo> it2 = this.k.iterator();
        while (it2.hasNext()) {
            SubFileInfo next = it2.next();
            if (next.bitNumber == i) {
                return next;
            }
        }
        return null;
    }

    public a(Context context, String str, InputStream inputStream, long j) throws IOException {
        super(inputStream);
        this.e = 1;
        if (available() >= 44) {
            this.l = str;
            this.m = j;
            d();
            a(context);
            close();
            return;
        }
        throw new IOException("The input file size is less to 44, please check!");
    }

    public final void a(Context context) throws IOException {
        int i;
        int i2 = 0;
        this.j = 0;
        this.k = new ArrayList<>();
        byte[] bArr = this.h;
        int length = bArr.length;
        for (byte b : bArr) {
            for (int i3 = 0; i3 < 8; i3++) {
                if (((byte) (((byte) (b >> i3)) & 1)) == 1) {
                    this.j++;
                }
            }
        }
        long j = this.m + (this.j * 12);
        byte[] bArr2 = this.h;
        int length2 = bArr2.length;
        int i4 = 0;
        int i5 = 0;
        while (i4 < length2) {
            byte b2 = bArr2[i4];
            int i6 = i2;
            while (i6 < 8) {
                if (((byte) (((byte) (b2 >> i6)) & 1)) == 1) {
                    byte[] bArr3 = new byte[12];
                    read(bArr3, i2, 12);
                    i = i6;
                    SubFileInfo builderFromAssets = SubFileInfo.builderFromAssets(context, this.g, this.l, i5, this.i * 4, j, bArr3);
                    if (n) {
                        ZLogger.v(builderFromAssets.toString());
                    }
                    this.k.add(builderFromAssets);
                    j += builderFromAssets.size;
                } else {
                    i = i6;
                }
                i5++;
                i6 = i + 1;
                i2 = 0;
            }
            i4++;
            i2 = 0;
        }
    }

    public boolean a(int i) {
        BaseBinInputStream b = b(i);
        if (b == null) {
            return false;
        }
        try {
            b.close();
            return true;
        } catch (IOException e) {
            e.printStackTrace();
            return true;
        }
    }

    public int a() {
        return this.i * 4;
    }
}
