package com.realsil.sdk.dfu.image.stream;

import androidx.core.view.MotionEventCompat;
import com.amap.api.maps.utils.SpatialRelationUtil;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.core.utility.DataConverter;
import com.realsil.sdk.dfu.RtkDfu;
import com.realsil.sdk.dfu.f.a;
import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import java.util.List;
import java.util.Locale;
import kotlin.UByte;
import kotlin.UShort;

/* loaded from: classes2.dex */
public abstract class BaseBinInputStream extends BufferedInputStream {
    public static final int COMPARE_VERSION_EQUAL = 0;
    public static final int COMPARE_VERSION_HIGH = 1;
    public static final int COMPARE_VERSION_LOW = -1;
    public static final int HEADER_SIZE = 12;
    public static final int IMAGE_SIZE_MECHANISM_IMAGE_HEADER = 0;
    public static final int IMAGE_SIZE_MECHANISM_MP_HEADER_DATA_LENGTH = 1;
    public static final int IMAGE_SIZE_MECHANISM_MP_HEADER_IMAGE_SIZE = 2;
    public static int MPHEADER_PARSE_FORMAT = 1;
    public static int MPHEADER_PARSE_HEADER = 0;
    public static int MPHEADER_PARSE_MARK = 1;
    public static final int MP_HEADER_BUF_SIZE = 512;
    public static final int OVA_VERSION_BASE = 0;
    public static final int OVA_VERSION_V1 = 1;
    public static final int PACKET_SIZE_DEF = 20;
    public boolean a;
    public boolean b;
    public final byte[] c;
    public List<a> d;
    public int e;
    public int f;
    public final byte[] g;
    public int h;
    public boolean i;
    public byte icType;
    public int imageVersion;
    public int j;
    public int k;
    public int l;
    public int m;
    public String n;
    public int o;
    public int otaVersion;
    public int p;
    public byte q;
    public short r;
    public byte[] s;
    public final int t;
    public int u;
    public int v;
    public int w;

    public BaseBinInputStream(InputStream inputStream) throws IOException {
        this(inputStream, 20);
    }

    public static int toUnsigned(short s) {
        return s & UShort.MAX_VALUE;
    }

    public boolean a() {
        List<a> list = this.d;
        return list != null && list.size() > 0;
    }

    public final void b() throws IOException {
        if (MPHEADER_PARSE_FORMAT == MPHEADER_PARSE_MARK && markSupported()) {
            if (this.b) {
                ZLogger.v("markSupported");
            }
            mark(0);
            read(this.c, 0, 512);
            c();
            if (!a()) {
                ZLogger.v(this.b, "reset ...");
                reset();
            }
            read(this.g, 0, 12);
            d();
            return;
        }
        read(this.g, 0, 12);
        byte[] bArr = this.g;
        if (bArr[0] == 1 && bArr[1] == 0 && bArr[2] == 2) {
            System.arraycopy(bArr, 0, this.c, 0, 12);
            read(this.c, 12, 500);
            c();
            read(this.g, 0, 12);
        }
        d();
    }

    public final void c() {
        if (this.b) {
            ZLogger.v("mpHeaderBuf=" + DataConverter.bytes2Hex(this.c));
        }
        List<a> a = a.a(this.c);
        this.d = a;
        if (a == null || a.size() <= 0) {
            ZLogger.v("not found mp header");
            return;
        }
        for (a aVar : this.d) {
            byte[] a2 = aVar.a();
            if (a2 != null && a2.length > 0) {
                int b = aVar.b();
                if (b != 1) {
                    if (b != 2) {
                        if (b == 3) {
                            this.n = a(a2);
                        } else if (b != 4) {
                            switch (b) {
                                case 17:
                                    this.otaVersion = a2[0] & UByte.MAX_VALUE;
                                    break;
                                case 18:
                                    if (a2.length >= 2) {
                                        this.h = ((a2[1] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (a2[0] & UByte.MAX_VALUE);
                                        this.i = true;
                                        break;
                                    } else {
                                        break;
                                    }
                                case 19:
                                    if (a2.length >= 4) {
                                        this.o = ((a2[3] << 24) & (-16777216)) | ((a2[2] << 16) & 16711680) | ((a2[1] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (a2[0] & UByte.MAX_VALUE);
                                        break;
                                    } else {
                                        break;
                                    }
                                case 20:
                                    if (a2.length >= 4) {
                                        int i = ((a2[3] << 24) & (-16777216)) | ((a2[2] << 16) & 16711680) | ((a2[1] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (a2[0] & UByte.MAX_VALUE);
                                        this.f = i;
                                        if (this.k < 2) {
                                            this.k = 2;
                                            this.j = i - 12;
                                            break;
                                        } else {
                                            break;
                                        }
                                    } else {
                                        break;
                                    }
                                case 21:
                                    if (a2.length >= 2) {
                                        this.p = ((a2[1] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (a2[0] & UByte.MAX_VALUE);
                                        break;
                                    } else {
                                        break;
                                    }
                                case 22:
                                    if (a2.length >= 4) {
                                        this.imageVersion = ((a2[3] << 24) & (-16777216)) | ((a2[2] << 16) & 16711680) | ((a2[1] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (a2[0] & UByte.MAX_VALUE);
                                        break;
                                    } else {
                                        break;
                                    }
                            }
                        } else if (a2.length >= 4) {
                            int i2 = ((a2[3] << 24) & (-16777216)) | ((a2[2] << 16) & 16711680) | ((a2[1] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (a2[0] & UByte.MAX_VALUE);
                            this.e = i2;
                            if (this.k < 1) {
                                this.k = 1;
                                this.j = i2 - 12;
                            }
                        }
                    } else if (a2.length != 4) {
                        ZLogger.d("invalid sub header, " + aVar.toString());
                        this.d = null;
                    } else {
                        this.m = ((a2[3] << 24) & (-16777216)) | ((a2[2] << 16) & 16711680) | ((a2[1] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (a2[0] & UByte.MAX_VALUE);
                    }
                } else if (a2.length != 2) {
                    ZLogger.d("invalid sub header, " + aVar.toString());
                    this.d = null;
                } else {
                    this.l = ((a2[1] << 8) & MotionEventCompat.ACTION_POINTER_INDEX_MASK) | (a2[0] & UByte.MAX_VALUE);
                }
            }
        }
        if (this.a) {
            Locale locale = Locale.US;
            ZLogger.d(String.format(locale, "MpHeader: binId=0x%04x, binVersion=0x%04x, partNumber=%s, mpDataLength=0x%08x(%d), otaVersion=0x%02x,  mImageSizeMechanism=0x%02x", Integer.valueOf(this.l), Integer.valueOf(this.m), this.n, Integer.valueOf(this.e), Integer.valueOf(this.e), Integer.valueOf(this.otaVersion), Integer.valueOf(this.k)));
            if (this.otaVersion > 0) {
                ZLogger.d(String.format(locale, "imageId=0x%04x, flashAddr=0x%08x, mpImageSize=0x%08x(%d), secureVersion=0x%04x, imageVersion=0x%08x", Integer.valueOf(this.h), Integer.valueOf(this.o), Integer.valueOf(this.f), Integer.valueOf(this.f), Integer.valueOf(this.p), Integer.valueOf(this.imageVersion)));
            }
        }
    }

    public void d() throws IOException {
        if (this.b) {
            ZLogger.v("headBuf=" + DataConverter.bytes2Hex(this.g));
        }
    }

    public int getActiveCompareVersionFlag() {
        return this.v;
    }

    public int getBinId() {
        return this.l;
    }

    public int getBinVersion() {
        return this.m;
    }

    public int getFlashAddr() {
        return this.o;
    }

    public byte[] getHeaderBuf() {
        return this.g;
    }

    public byte getIcType() {
        return this.icType;
    }

    public int getImageId() {
        return this.h;
    }

    public int getImageSize() {
        return this.j;
    }

    public int getImageVersion() {
        return this.imageVersion;
    }

    public int getInactiveCompareVersionFlag() {
        return this.w;
    }

    public int getOtaVersion() {
        return this.otaVersion;
    }

    public int getSecureVersion() {
        return this.p;
    }

    public byte[] getSha256() {
        return this.s;
    }

    public int getTotalImageSize() {
        return this.j + 12;
    }

    @Override // java.io.BufferedInputStream, java.io.FilterInputStream, java.io.InputStream
    public int read() {
        throw new UnsupportedOperationException("Use readPacket() method instead");
    }

    public int readPacket(byte[] bArr) throws IOException {
        return read(bArr, this.t);
    }

    public int remainNumInPackets(int i) {
        int remainSizeInBytes = remainSizeInBytes();
        return (remainSizeInBytes / i) + (remainSizeInBytes % i > 0 ? 1 : 0);
    }

    public int remainSizeInBytes() {
        return this.j - this.u;
    }

    @Override // java.io.BufferedInputStream, java.io.FilterInputStream, java.io.InputStream
    public synchronized void reset() throws IOException {
        super.reset();
        this.u = 0;
    }

    public void setActiveCompareVersionFlag(int i) {
        this.v = i;
    }

    public void setInactiveCompareVersionFlag(int i) {
        this.w = i;
    }

    public void setSha256(byte[] bArr) {
        this.s = bArr;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        Locale locale = Locale.US;
        sb.append(String.format(locale, "otaVersion=0x%02X, icType=0x%02X, imageId=0x%04X, imageVersion=0x%08X, imageSize=0x%08X(%d)", Integer.valueOf(this.otaVersion), Byte.valueOf(this.icType), Integer.valueOf(this.h), Integer.valueOf(this.imageVersion), Integer.valueOf(this.j), Integer.valueOf(this.j)));
        sb.append(String.format(locale, ", sha256=%s, activeCompareVersionFlag=%d, inactiveCompareVersionFlag=%d", DataConverter.bytes2Hex(this.s), Integer.valueOf(this.v), Integer.valueOf(this.w)));
        return sb.toString();
    }

    public BaseBinInputStream(InputStream inputStream, int i) throws IOException {
        super(new BufferedInputStream(inputStream));
        this.a = true;
        this.b = RtkDfu.VDBG;
        this.otaVersion = 0;
        this.k = 0;
        this.v = 1;
        this.w = 1;
        this.a = RtkDfu.DEBUG_ENABLE;
        this.t = i;
        this.c = new byte[512];
        this.g = new byte[12];
        this.u = 0;
        b();
    }

    public final String a(byte[] bArr) {
        int length = bArr.length;
        for (int length2 = bArr.length - 1; length2 >= 0; length2--) {
            if (bArr[length2] == -1 || bArr[length2] == 0) {
                length--;
            }
        }
        try {
            return new String(bArr, 0, length, "ascii");
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
            return null;
        }
    }

    public void parseImageHeaderEx() {
        try {
            byte[] bArr = new byte[392];
            read(bArr, 0, 392);
            byte[] bArr2 = new byte[32];
            this.s = bArr2;
            System.arraycopy(bArr, SpatialRelationUtil.A_CIRCLE_DEGREE, bArr2, 0, 32);
            ZLogger.v(this.b, "sha256=" + DataConverter.bytes2Hex(this.s));
        } catch (Exception e) {
            ZLogger.e(e.toString());
        }
    }

    @Override // java.io.FilterInputStream, java.io.InputStream
    public int read(byte[] bArr) throws IOException {
        return read(bArr, bArr.length);
    }

    public int read(byte[] bArr, int i) throws IOException {
        int read = read(bArr, 0, i);
        if (read > 0) {
            this.u += read;
        }
        return read;
    }
}
