package com.realsil.sdk.dfu.p;

import android.util.SparseIntArray;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.dfu.exception.LoadFileException;
import com.realsil.sdk.dfu.image.BinIndicator;
import com.realsil.sdk.dfu.image.LoadParams;
import com.realsil.sdk.dfu.image.pack.SubFileInfo;
import com.realsil.sdk.dfu.image.stream.BaseBinInputStream;
import com.realsil.sdk.dfu.model.BinInfo;
import com.realsil.sdk.dfu.model.ImageVersionInfo;
import com.realsil.sdk.dfu.model.OtaDeviceInfo;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;

/* loaded from: classes2.dex */
public class c extends com.realsil.sdk.dfu.i.a {
    public static BinInfo a(LoadParams loadParams) throws LoadFileException {
        ArrayList arrayList;
        boolean z;
        boolean z2;
        boolean z3;
        int i;
        SubFileInfo d;
        loadParams.a();
        int h = loadParams.h();
        String d2 = loadParams.d();
        String e = loadParams.e();
        int b = loadParams.b();
        loadParams.k();
        OtaDeviceInfo f = loadParams.f();
        boolean r = loadParams.r();
        boolean n = loadParams.n();
        boolean p = loadParams.p();
        ZLogger.v(String.format(Locale.US, "device >> otaVersion=%d, preferredIcType=0x%02X", Integer.valueOf(f != null ? f.specVersion : 1), Integer.valueOf(h)));
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        ArrayList arrayList4 = new ArrayList();
        BinInfo a = com.realsil.sdk.dfu.i.a.a(d2, e);
        a.updateBank = loadParams.i();
        com.realsil.sdk.dfu.e.a c = com.realsil.sdk.dfu.d.b.c(loadParams);
        byte[] bArr = null;
        if (c != null) {
            a.isPackFile = true;
            a.icType = c.b();
            a.subFileInfos = c.e(0);
            a.subFileInfos1 = c.e(1);
            if (n && !com.realsil.sdk.dfu.i.a.a(a.icType, h)) {
                ZLogger.d(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h), Integer.valueOf(a.icType)));
                a.updateEnabled = false;
                a.status = 4101;
                return a;
            }
            if (r) {
                c.d(com.realsil.sdk.dfu.i.a.wrapperBitNumber(2, f.imageVersionIndicator, f.updateBankIndicator));
            }
            if (!p || (d = c.d(com.realsil.sdk.dfu.i.a.wrapperBitNumber(2, f.imageVersionIndicator, f.updateBankIndicator))) == null) {
                z2 = true;
                z3 = false;
            } else {
                BaseBinInputStream binInputStream = d.getBinInputStream(a.icType);
                if (binInputStream == null || 1 == b(2, binInputStream, f)) {
                    z2 = true;
                    z3 = true;
                } else {
                    z3 = true;
                    z2 = false;
                }
            }
            if (z2) {
                z = false;
                for (int i2 = 0; i2 < 16; i2++) {
                    int wrapperBitNumber = com.realsil.sdk.dfu.i.a.wrapperBitNumber(i2, f.imageVersionIndicator, f.updateBankIndicator);
                    SubFileInfo d3 = c.d(wrapperBitNumber);
                    BaseBinInputStream binInputStream2 = d3 != null ? d3.getBinInputStream(a.icType) : null;
                    if (binInputStream2 != null) {
                        arrayList3.add(binInputStream2);
                        if (wrapperBitNumber < 16) {
                            a.bankIndicator |= 1;
                        } else {
                            a.bankIndicator |= 2;
                        }
                        if (BinIndicator.isIndicatorEnabled(b, wrapperBitNumber)) {
                            if (r) {
                                i = 1;
                                if (1 != a(i2, binInputStream2, f)) {
                                    z = true;
                                }
                            } else {
                                i = 1;
                            }
                            if (p) {
                                if (z3) {
                                    ZLogger.d("preVerify OTA_HEADER_FILE ok, no need to check section size");
                                } else if (i != b(i2, binInputStream2, f)) {
                                }
                            }
                            arrayList4.add(binInputStream2);
                            arrayList2.add(d3);
                        } else {
                            ZLogger.v("image file disable: bitNumber=" + wrapperBitNumber);
                        }
                    }
                }
            } else {
                ZLogger.w("pre verify failed");
                z = false;
            }
            try {
                c.close();
            } catch (IOException e2) {
                e2.printStackTrace();
                ZLogger.e(e2.toString());
            }
            arrayList = arrayList2;
        } else {
            try {
                arrayList = arrayList2;
                BaseBinInputStream openFileInputStream = com.realsil.sdk.dfu.i.a.openFileInputStream(a.icType, d2, 0L);
                if (openFileInputStream != null) {
                    openFileInputStream.parseImageHeaderEx();
                    bArr = openFileInputStream.getSha256();
                    try {
                        openFileInputStream.close();
                    } catch (Exception e3) {
                        ZLogger.e(e3.toString());
                    }
                }
                byte[] bArr2 = bArr;
                BaseBinInputStream openFileInputStream2 = com.realsil.sdk.dfu.i.a.openFileInputStream(h, d2, 0L);
                if (openFileInputStream2 != null) {
                    openFileInputStream2.setSha256(bArr2);
                    arrayList3.add(openFileInputStream2);
                    a.icType = openFileInputStream2.getIcType();
                    a.version = openFileInputStream2.getImageVersion();
                    if (n && !com.realsil.sdk.dfu.i.a.a(a.icType, h)) {
                        ZLogger.d(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h), Integer.valueOf(a.icType)));
                        a.updateEnabled = false;
                        a.status = 4101;
                        return a;
                    }
                    if (r && 1 != com.realsil.sdk.dfu.i.a.checkSingleImageVersion(openFileInputStream2, f)) {
                        z = true;
                    } else if (!p) {
                        arrayList4.add(openFileInputStream2);
                    } else if (1 == a(openFileInputStream2, f)) {
                        arrayList4.add(openFileInputStream2);
                    }
                }
                z = false;
            } catch (IOException e4) {
                e4.printStackTrace();
                throw new LoadFileException(e4.getMessage(), 4097);
            }
        }
        a.lowVersionExist = z;
        a.subBinInputStreams = arrayList3;
        a.supportBinInputStreams = arrayList4;
        a.supportSubFileInfos = arrayList;
        if (r && z && arrayList4.size() < 1) {
            a.updateEnabled = false;
            a.status = 4104;
        }
        return a;
    }

    public static boolean a(int i) {
        return i == 5 || i == 21 || i == 4 || i == 20 || i == 2 || i == 18 || i == 7 || i == 23 || i == 6 || i == 22;
    }

    public static BinInfo b(LoadParams loadParams) throws LoadFileException {
        BinInfo binInfo;
        boolean z;
        SparseIntArray sparseIntArray;
        int i;
        SparseIntArray sparseIntArray2;
        BinInfo binInfo2;
        boolean z2;
        com.realsil.sdk.dfu.e.a aVar;
        int i2;
        char c;
        int activeCompareVersionFlag;
        int activeCompareVersionFlag2;
        int h = loadParams.h();
        String d = loadParams.d();
        String e = loadParams.e();
        int b = loadParams.b();
        OtaDeviceInfo f = loadParams.f();
        boolean n = loadParams.n();
        boolean r = loadParams.r();
        if (f != null) {
            int i3 = f.specVersion;
        }
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        SparseIntArray sparseIntArray3 = new SparseIntArray();
        BinInfo a = com.realsil.sdk.dfu.i.a.a(d, e);
        a.icType = h;
        a.updateBank = loadParams.i();
        try {
            com.realsil.sdk.dfu.e.a c2 = com.realsil.sdk.dfu.d.b.c(loadParams);
            ZLogger.v(c2.toString());
            int i4 = 1;
            a.isPackFile = true;
            a.icType = c2.b();
            a.subFileInfos = c2.e(0);
            a.subFileInfos1 = c2.e(1);
            if (n && !com.realsil.sdk.dfu.i.a.a(a.icType, h)) {
                ZLogger.d(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h), Integer.valueOf(a.icType)));
                a.updateEnabled = false;
                a.status = 4101;
                return a;
            }
            if (!c2.a(com.realsil.sdk.dfu.i.a.wrapperBitNumber(2, f.imageVersionIndicator, f.updateBankIndicator))) {
                ZLogger.w("OtaHeader Miss");
                a.updateEnabled = false;
                a.status = 5;
                return a;
            }
            int i5 = 0;
            int i6 = 0;
            int i7 = 0;
            while (i5 < 16) {
                int wrapperBitNumber = com.realsil.sdk.dfu.i.a.wrapperBitNumber(i5, f.imageVersionIndicator, f.updateBankIndicator);
                if (BinIndicator.isIndicatorEnabled(b, wrapperBitNumber)) {
                    BinIndicator byBitNumber = BinIndicator.getByBitNumber(BinIndicator.BBPRO, i5);
                    if (byBitNumber != null) {
                        if (wrapperBitNumber < 16) {
                            a.bankIndicator |= i4;
                        } else {
                            a.bankIndicator |= 2;
                        }
                        SubFileInfo d2 = c2.d(wrapperBitNumber);
                        BaseBinInputStream binInputStream = d2 != null ? d2.getBinInputStream(a.icType) : null;
                        if (binInputStream == null) {
                            boolean z3 = com.realsil.sdk.dfu.i.a.a;
                            StringBuilder sb = new StringBuilder();
                            i = b;
                            sb.append("not find image: ");
                            sb.append(byBitNumber.toString());
                            ZLogger.v(z3, sb.toString());
                            if (loadParams.m() && b(wrapperBitNumber)) {
                                sparseIntArray3.append(byBitNumber.imageId, wrapperBitNumber);
                            }
                            binInfo2 = a;
                            z2 = r;
                            sparseIntArray2 = sparseIntArray3;
                            aVar = c2;
                            i2 = 1;
                            c = 2;
                            i5++;
                            i4 = i2;
                            b = i;
                            sparseIntArray3 = sparseIntArray2;
                            a = binInfo2;
                            r = z2;
                            c2 = aVar;
                        } else {
                            i = b;
                            ZLogger.v(byBitNumber.toString());
                            ImageVersionInfo activeImageVersionInfo = f.getActiveImageVersionInfo(i5);
                            sparseIntArray2 = sparseIntArray3;
                            if (activeImageVersionInfo != null) {
                                binInfo2 = a;
                                if (activeImageVersionInfo.getVersion() == -1) {
                                    i2 = 1;
                                    ZLogger.v(String.format("invalid active version:0x%04X, no need to check", Integer.valueOf(activeImageVersionInfo.getVersion())));
                                    binInputStream.setActiveCompareVersionFlag(1);
                                    z2 = r;
                                    aVar = c2;
                                } else {
                                    z2 = r;
                                    aVar = c2;
                                    int compareVersion = com.realsil.sdk.dfu.i.a.compareVersion(binInputStream.imageVersion, binInputStream.otaVersion, activeImageVersionInfo.getVersion(), f.specVersion, byBitNumber.versionFormat);
                                    ZLogger.v(String.format(Locale.US, "compare active image, bitNumber=%d, compare=%d ", Integer.valueOf(wrapperBitNumber), Integer.valueOf(compareVersion)));
                                    binInputStream.setActiveCompareVersionFlag(compareVersion);
                                    i2 = 1;
                                }
                            } else {
                                binInfo2 = a;
                                z2 = r;
                                aVar = c2;
                                ZLogger.d("not find active image, bitNumber=" + wrapperBitNumber);
                                i2 = 1;
                                binInputStream.setActiveCompareVersionFlag(1);
                            }
                            ImageVersionInfo inActiveImageVersionInfo = f.getInActiveImageVersionInfo(i5);
                            if (inActiveImageVersionInfo == null) {
                                c = 2;
                                ZLogger.d("not find inactive image, bitNumber=" + wrapperBitNumber);
                                i2 = 1;
                                binInputStream.setInactiveCompareVersionFlag(1);
                            } else if (inActiveImageVersionInfo.getVersion() == -1) {
                                Object[] objArr = new Object[i2];
                                objArr[0] = Integer.valueOf(inActiveImageVersionInfo.getVersion());
                                ZLogger.v(String.format("invalid inactive version:0x%04X, no need to check", objArr));
                                binInputStream.setInactiveCompareVersionFlag(i2);
                                c = 2;
                            } else {
                                int compareVersion2 = com.realsil.sdk.dfu.i.a.compareVersion(binInputStream.imageVersion, binInputStream.otaVersion, inActiveImageVersionInfo.getVersion(), f.specVersion, byBitNumber.versionFormat);
                                c = 2;
                                ZLogger.v(String.format(Locale.US, "compare inactive image, bitNumber=%d, compare=%d ", Integer.valueOf(wrapperBitNumber), Integer.valueOf(compareVersion2)));
                                binInputStream.setInactiveCompareVersionFlag(compareVersion2);
                                i2 = 1;
                            }
                            if (a(wrapperBitNumber)) {
                                if (i6 > 0) {
                                    if (binInputStream.getActiveCompareVersionFlag() < 0) {
                                        activeCompareVersionFlag2 = binInputStream.getActiveCompareVersionFlag();
                                        i6 = activeCompareVersionFlag2;
                                    }
                                } else if (i6 == 0) {
                                    activeCompareVersionFlag2 = binInputStream.getActiveCompareVersionFlag();
                                    i6 = activeCompareVersionFlag2;
                                }
                                i5++;
                                i4 = i2;
                                b = i;
                                sparseIntArray3 = sparseIntArray2;
                                a = binInfo2;
                                r = z2;
                                c2 = aVar;
                            } else {
                                if (i7 > 0) {
                                    if (binInputStream.getActiveCompareVersionFlag() < 0) {
                                        activeCompareVersionFlag = binInputStream.getActiveCompareVersionFlag();
                                        i7 = activeCompareVersionFlag;
                                    }
                                } else if (i7 == 0) {
                                    activeCompareVersionFlag = binInputStream.getActiveCompareVersionFlag();
                                    i7 = activeCompareVersionFlag;
                                }
                                i5++;
                                i4 = i2;
                                b = i;
                                sparseIntArray3 = sparseIntArray2;
                                a = binInfo2;
                                r = z2;
                                c2 = aVar;
                            }
                            arrayList2.add(binInputStream);
                            arrayList3.add(binInputStream);
                            arrayList.add(d2);
                            i5++;
                            i4 = i2;
                            b = i;
                            sparseIntArray3 = sparseIntArray2;
                            a = binInfo2;
                            r = z2;
                            c2 = aVar;
                        }
                    }
                } else {
                    ZLogger.v("image file disable: bitNumber=" + wrapperBitNumber);
                }
                i = b;
                binInfo2 = a;
                z2 = r;
                sparseIntArray2 = sparseIntArray3;
                aVar = c2;
                i2 = 1;
                c = 2;
                i5++;
                i4 = i2;
                b = i;
                sparseIntArray3 = sparseIntArray2;
                a = binInfo2;
                r = z2;
                c2 = aVar;
            }
            BinInfo binInfo3 = a;
            boolean z4 = r;
            SparseIntArray sparseIntArray4 = sparseIntArray3;
            try {
                c2.close();
            } catch (IOException e2) {
                e2.printStackTrace();
                ZLogger.e(e2.toString());
            }
            if (z4) {
                if (i6 > 0) {
                    sparseIntArray = sparseIntArray4;
                    binInfo = binInfo3;
                    z = false;
                    binInfo.forceCopyImages = sparseIntArray;
                    binInfo.lowVersionExist = z;
                    binInfo.subBinInputStreams = arrayList2;
                    binInfo.supportBinInputStreams = arrayList3;
                    binInfo.supportSubFileInfos = arrayList;
                    return binInfo;
                }
                if (i6 != 0) {
                    ZLogger.d("all code image version must >= active image version");
                    binInfo3.updateEnabled = false;
                    binInfo3.status = 6;
                    return binInfo3;
                }
                if (i7 <= 0) {
                    ZLogger.d("there must be at least one data image version> active image version");
                    binInfo3.updateEnabled = false;
                    binInfo3.status = 7;
                    return binInfo3;
                }
            }
            binInfo = binInfo3;
            z = false;
            sparseIntArray = sparseIntArray4;
            binInfo.forceCopyImages = sparseIntArray;
            binInfo.lowVersionExist = z;
            binInfo.subBinInputStreams = arrayList2;
            binInfo.supportBinInputStreams = arrayList3;
            binInfo.supportSubFileInfos = arrayList;
            return binInfo;
        } catch (LoadFileException e3) {
            a.updateEnabled = false;
            a.status = e3.getErrCode();
            return a;
        }
    }

    public static boolean b(int i) {
        return i == 8 || i == 24 || i == 9 || i == 25 || i == 10 || i == 26;
    }

    public static BinInfo c(LoadParams loadParams) throws LoadFileException {
        BinInfo binInfo;
        BinInfo binInfo2;
        int i;
        boolean z;
        com.realsil.sdk.dfu.e.a aVar;
        int i2;
        int i3;
        BaseBinInputStream openFileInputStream;
        int h = loadParams.h();
        String d = loadParams.d();
        String e = loadParams.e();
        int b = loadParams.b();
        OtaDeviceInfo f = loadParams.f();
        boolean r = loadParams.r();
        boolean n = loadParams.n();
        int i4 = 1;
        boolean z2 = true;
        int i5 = 2;
        ZLogger.v(String.format(Locale.US, "device >> preferredIcType=%d, icType=0x%02X", Integer.valueOf(f != null ? f.specVersion : 1), Integer.valueOf(h)));
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        BinInfo a = com.realsil.sdk.dfu.i.a.a(d, e);
        a.updateBank = loadParams.i();
        try {
            com.realsil.sdk.dfu.e.a c = com.realsil.sdk.dfu.d.b.c(loadParams);
            if (c == null) {
                try {
                    openFileInputStream = com.realsil.sdk.dfu.i.a.openFileInputStream(h, d, 0L);
                } catch (IOException e2) {
                    e2.printStackTrace();
                }
                if (openFileInputStream != null) {
                    arrayList2.add(openFileInputStream);
                    a.icType = openFileInputStream.getIcType();
                    a.version = openFileInputStream.getImageVersion();
                    if (n && !com.realsil.sdk.dfu.i.a.a(a.icType, h)) {
                        ZLogger.d(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h), Integer.valueOf(a.icType)));
                        a.updateEnabled = false;
                        a.status = 4101;
                        return a;
                    }
                    if (r && 1 != com.realsil.sdk.dfu.i.a.checkSingleImageVersion(openFileInputStream, f)) {
                        binInfo = a;
                        binInfo.lowVersionExist = z2;
                        binInfo.subBinInputStreams = arrayList2;
                        binInfo.supportBinInputStreams = arrayList3;
                        binInfo.supportSubFileInfos = arrayList;
                        return binInfo;
                    }
                    arrayList3.add(openFileInputStream);
                }
                binInfo = a;
            } else {
                ZLogger.v(c.toString());
                a.isPackFile = true;
                a.icType = c.b();
                a.subFileInfos = c.e(0);
                a.subFileInfos1 = c.e(1);
                if (n && !com.realsil.sdk.dfu.i.a.a(a.icType, h)) {
                    ZLogger.d(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h), Integer.valueOf(a.icType)));
                    a.updateEnabled = false;
                    a.status = 4101;
                    return a;
                }
                int i6 = 0;
                int i7 = 0;
                int i8 = 0;
                while (i6 < 16) {
                    int wrapperBitNumber = com.realsil.sdk.dfu.i.a.wrapperBitNumber(i6, f.imageVersionIndicator, f.updateBankIndicator);
                    if (wrapperBitNumber < 16) {
                        a.bankIndicator |= i4;
                    } else {
                        a.bankIndicator |= i5;
                    }
                    if (BinIndicator.isIndicatorEnabled(b, wrapperBitNumber)) {
                        SubFileInfo d2 = c.d(wrapperBitNumber);
                        BaseBinInputStream binInputStream = d2 != null ? d2.getBinInputStream(a.icType) : null;
                        if (binInputStream == null) {
                            ZLogger.v(com.realsil.sdk.dfu.i.a.b, "not find image: bitNumber=" + wrapperBitNumber);
                        } else {
                            BinIndicator byBitNumber = BinIndicator.getByBitNumber(BinIndicator.BBPRO, i6);
                            if (byBitNumber != null) {
                                ZLogger.v(byBitNumber.toString());
                                ImageVersionInfo activeImageVersionInfo = f.getActiveImageVersionInfo(i6);
                                if (activeImageVersionInfo != null) {
                                    i = b;
                                    if (activeImageVersionInfo.getVersion() == -1) {
                                        ZLogger.v(String.format("invalid active version:0x%04X, no need to check", Integer.valueOf(activeImageVersionInfo.getVersion())));
                                        binInputStream.setActiveCompareVersionFlag(1);
                                        binInfo2 = a;
                                        i2 = 1;
                                        z = r;
                                        aVar = c;
                                    } else {
                                        int i9 = binInputStream.imageVersion;
                                        int i10 = binInputStream.otaVersion;
                                        aVar = c;
                                        int version = activeImageVersionInfo.getVersion();
                                        binInfo2 = a;
                                        z = r;
                                        int compareVersion = com.realsil.sdk.dfu.i.a.compareVersion(i9, i10, version, f.specVersion, byBitNumber.versionFormat);
                                        ZLogger.d(String.format(Locale.US, "compare active image, bitNumber=%d, compare=%d ", Integer.valueOf(wrapperBitNumber), Integer.valueOf(compareVersion)));
                                        binInputStream.setActiveCompareVersionFlag(compareVersion);
                                        i2 = 1;
                                    }
                                } else {
                                    binInfo2 = a;
                                    i = b;
                                    z = r;
                                    aVar = c;
                                    ZLogger.d("not find active image, bitNumber=" + wrapperBitNumber);
                                    i2 = 1;
                                    binInputStream.setActiveCompareVersionFlag(1);
                                }
                                ImageVersionInfo inActiveImageVersionInfo = f.getInActiveImageVersionInfo(i6);
                                if (inActiveImageVersionInfo == null) {
                                    ZLogger.d(com.realsil.sdk.dfu.i.a.a, "not find inactive image, bitNumber=" + wrapperBitNumber);
                                    i2 = 1;
                                    binInputStream.setInactiveCompareVersionFlag(1);
                                } else if (inActiveImageVersionInfo.getVersion() == -1) {
                                    Object[] objArr = new Object[i2];
                                    objArr[0] = Integer.valueOf(inActiveImageVersionInfo.getVersion());
                                    ZLogger.v(String.format("invalid inactive version:0x%04X, no need to check", objArr));
                                    binInputStream.setInactiveCompareVersionFlag(i2);
                                } else {
                                    int compareVersion2 = com.realsil.sdk.dfu.i.a.compareVersion(binInputStream.imageVersion, binInputStream.otaVersion, inActiveImageVersionInfo.getVersion(), f.specVersion, byBitNumber.versionFormat);
                                    ZLogger.v(String.format(Locale.US, "compare inactive image, bitNumber=%d, compare=%d ", Integer.valueOf(wrapperBitNumber), Integer.valueOf(compareVersion2)));
                                    binInputStream.setInactiveCompareVersionFlag(compareVersion2);
                                    i2 = 1;
                                }
                                arrayList2.add(binInputStream);
                                i3 = 2;
                                if (i6 == 2) {
                                    ZLogger.v("ignore OTA_HEADER_FILE");
                                } else if (i6 == i2) {
                                    ZLogger.v("ignore SYSTEM_CONFIG_FILE");
                                } else {
                                    arrayList3.add(binInputStream);
                                    arrayList.add(d2);
                                    if (a(wrapperBitNumber)) {
                                        if (i7 > 0) {
                                            if (binInputStream.getActiveCompareVersionFlag() < 0) {
                                                i7 = binInputStream.getActiveCompareVersionFlag();
                                            }
                                        } else if (i7 == 0) {
                                            i7 = binInputStream.getActiveCompareVersionFlag();
                                        }
                                    } else if (i8 > 0) {
                                        if (binInputStream.getActiveCompareVersionFlag() < 0) {
                                            i8 = binInputStream.getActiveCompareVersionFlag();
                                        }
                                    } else if (i8 == 0) {
                                        i8 = binInputStream.getActiveCompareVersionFlag();
                                    }
                                }
                            }
                        }
                        binInfo2 = a;
                        i = b;
                        z = r;
                        i2 = i4;
                        aVar = c;
                        i3 = 2;
                    } else {
                        ZLogger.v("image file disable: bitNumber=" + wrapperBitNumber);
                        binInfo2 = a;
                        i = b;
                        z = r;
                        i2 = i4;
                        i3 = i5;
                        aVar = c;
                    }
                    i6++;
                    i4 = i2;
                    i5 = i3;
                    a = binInfo2;
                    b = i;
                    c = aVar;
                    r = z;
                }
                BinInfo binInfo3 = a;
                com.realsil.sdk.dfu.e.a aVar2 = c;
                if (r && i7 <= 0) {
                    if (i7 != 0) {
                        ZLogger.d("all code image version must >= active image version");
                        binInfo3.updateEnabled = false;
                        binInfo3.status = 6;
                        return binInfo3;
                    }
                    if (i8 <= 0) {
                        ZLogger.d("there must be at least one data image version> active image version");
                        binInfo3.updateEnabled = false;
                        binInfo3.status = 7;
                        return binInfo3;
                    }
                }
                binInfo = binInfo3;
                try {
                    aVar2.close();
                } catch (IOException e3) {
                    e3.printStackTrace();
                    ZLogger.e(e3.toString());
                }
            }
            z2 = false;
            binInfo.lowVersionExist = z2;
            binInfo.subBinInputStreams = arrayList2;
            binInfo.supportBinInputStreams = arrayList3;
            binInfo.supportSubFileInfos = arrayList;
            return binInfo;
        } catch (LoadFileException e4) {
            a.updateEnabled = false;
            a.status = e4.getErrCode();
            return a;
        }
    }

    public static int a(BaseBinInputStream baseBinInputStream, OtaDeviceInfo otaDeviceInfo) {
        if (otaDeviceInfo == null) {
            return 1;
        }
        int binId = baseBinInputStream.getBinId();
        int imageSize = baseBinInputStream.getImageSize();
        BinIndicator binIndicator = null;
        int i = otaDeviceInfo.icType;
        if (i != 4 && i != 6 && i != 7 && i != 8 && i != 10) {
            ZLogger.d("not support section size check for ic:" + otaDeviceInfo.icType);
        } else {
            Iterator<BinIndicator> it2 = BinIndicator.BBPRO.iterator();
            while (true) {
                if (!it2.hasNext()) {
                    break;
                }
                BinIndicator next = it2.next();
                if (next.subBinId == binId) {
                    if (next.versionCheckEnabled) {
                        binIndicator = next;
                    }
                }
            }
            if (binIndicator != null) {
                ZLogger.d(binIndicator.toString());
                List<ImageVersionInfo> imageVersionInfos = otaDeviceInfo.getImageVersionInfos();
                if (imageVersionInfos != null && imageVersionInfos.size() > 0) {
                    Iterator<ImageVersionInfo> it3 = imageVersionInfos.iterator();
                    while (true) {
                        if (!it3.hasNext()) {
                            break;
                        }
                        ImageVersionInfo next2 = it3.next();
                        if (next2.getBitNumber() == binIndicator.bitNumber) {
                            if (next2.getSectionSize() > 0 && imageSize > next2.getSectionSize()) {
                                ZLogger.w(String.format(Locale.US, "image size is %d exceed the limit of the section size %d", Integer.valueOf(imageSize), Integer.valueOf(next2.getSectionSize())));
                                return 2;
                            }
                            ZLogger.v("version validate ok: " + imageSize);
                        }
                    }
                }
            }
        }
        return 1;
    }

    public static int b(int i, BaseBinInputStream baseBinInputStream, OtaDeviceInfo otaDeviceInfo) {
        if (otaDeviceInfo == null) {
            return 1;
        }
        int imageSize = baseBinInputStream.getImageSize();
        int i2 = otaDeviceInfo.icType;
        if (i2 != 4 && i2 != 6 && i2 != 7 && i2 != 8 && i2 != 10) {
            ZLogger.d("not support section size check for ic:" + otaDeviceInfo.icType);
        } else {
            List<ImageVersionInfo> imageVersionInfos = otaDeviceInfo.getImageVersionInfos();
            if (imageVersionInfos != null && imageVersionInfos.size() > 0) {
                Iterator<ImageVersionInfo> it2 = imageVersionInfos.iterator();
                while (true) {
                    if (!it2.hasNext()) {
                        break;
                    }
                    ImageVersionInfo next = it2.next();
                    if (next.getBitNumber() == i) {
                        if (next.getSectionSize() > 0 && imageSize > next.getSectionSize()) {
                            ZLogger.w(String.format(Locale.US, "image size is %d exceed the limit of the section size %d", Integer.valueOf(imageSize), Integer.valueOf(next.getSectionSize())));
                            return 2;
                        }
                        ZLogger.v("version validate ok: " + imageSize);
                    }
                }
            }
        }
        return 1;
    }

    public static int a(int i, BaseBinInputStream baseBinInputStream, OtaDeviceInfo otaDeviceInfo) {
        BinIndicator byBitNumber = BinIndicator.getByBitNumber(BinIndicator.BBPRO, i);
        if (byBitNumber == null) {
            return 1;
        }
        ZLogger.v(byBitNumber.toString());
        int i2 = baseBinInputStream.imageVersion;
        int i3 = baseBinInputStream.otaVersion;
        ImageVersionInfo activeImageVersionInfo = otaDeviceInfo.getActiveImageVersionInfo(i);
        if (activeImageVersionInfo != null) {
            if (activeImageVersionInfo.getVersion() == -1) {
                ZLogger.v(String.format("invalid active version:0x%04X, no need to check", Integer.valueOf(i2)));
            } else {
                if (com.realsil.sdk.dfu.i.a.compareVersion(i2, i3, activeImageVersionInfo.getVersion(), otaDeviceInfo.specVersion, byBitNumber.versionFormat) == -1) {
                    ZLogger.v(String.format(Locale.US, "active image: bitNumber=%d, file(%08X)<device(%08X)", Integer.valueOf(i), Integer.valueOf(i2), Integer.valueOf(activeImageVersionInfo.getVersion())));
                    return -1;
                }
                ZLogger.v("version validate ok: " + i2);
                ZLogger.v(String.format("version validate ok :0x%04X", Integer.valueOf(i2)));
            }
        }
        ImageVersionInfo inActiveImageVersionInfo = otaDeviceInfo.getInActiveImageVersionInfo(i);
        if (inActiveImageVersionInfo != null) {
            if (inActiveImageVersionInfo.getVersion() == -1) {
                ZLogger.v(String.format("invalid inactive version:0x%04X, no need to check", Integer.valueOf(i2)));
            } else {
                if (com.realsil.sdk.dfu.i.a.compareVersion(i2, i3, inActiveImageVersionInfo.getVersion(), otaDeviceInfo.specVersion, byBitNumber.versionFormat) == -1) {
                    ZLogger.v(String.format(Locale.US, "inactive image: bitNumber=%d, file(%08X)<device(%08X)", Integer.valueOf(i), Integer.valueOf(i2), Integer.valueOf(inActiveImageVersionInfo.getVersion())));
                    return -1;
                }
                ZLogger.v("version validate ok: " + i2);
            }
        }
        return 1;
    }
}
