package com.realsil.sdk.dfu.p;

import android.content.Context;
import android.util.SparseIntArray;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.dfu.exception.LoadFileException;
import com.realsil.sdk.dfu.image.BinIndicator;
import com.realsil.sdk.dfu.image.LoadParams;
import com.realsil.sdk.dfu.image.pack.SubFileInfo;
import com.realsil.sdk.dfu.image.stream.BaseBinInputStream;
import com.realsil.sdk.dfu.model.BinInfo;
import com.realsil.sdk.dfu.model.ImageVersionInfo;
import com.realsil.sdk.dfu.model.OtaDeviceInfo;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;

/* loaded from: classes2.dex */
public class d extends com.realsil.sdk.dfu.i.a {
    public static int a(int i, BaseBinInputStream baseBinInputStream, OtaDeviceInfo otaDeviceInfo) {
        BinIndicator byBitNumber = BinIndicator.getByBitNumber(BinIndicator.BBPRO, i);
        if (byBitNumber == null) {
            return 1;
        }
        ZLogger.v(byBitNumber.toString());
        int i2 = baseBinInputStream.imageVersion;
        int i3 = baseBinInputStream.otaVersion;
        ImageVersionInfo activeImageVersionInfoByImageId = otaDeviceInfo.getActiveImageVersionInfoByImageId(baseBinInputStream.getImageId());
        if (activeImageVersionInfoByImageId != null) {
            if (activeImageVersionInfoByImageId.getVersion() == -1) {
                ZLogger.v(String.format("invalid active version:0x%04X, no need to check", Integer.valueOf(i2)));
            } else {
                if (com.realsil.sdk.dfu.i.a.compareVersion(i2, i3, activeImageVersionInfoByImageId.getVersion(), otaDeviceInfo.specVersion, byBitNumber.versionFormat) == -1) {
                    ZLogger.v(String.format(Locale.US, "active image: bitNumber=%d, file(%08X)<device(%08X)", Integer.valueOf(i), Integer.valueOf(i2), Integer.valueOf(activeImageVersionInfoByImageId.getVersion())));
                    return -1;
                }
                ZLogger.v("version validate ok: " + i2);
                ZLogger.v(String.format("version validate ok :0x%04X", Integer.valueOf(i2)));
            }
        }
        ImageVersionInfo inActiveImageVersionInfoByImageId = otaDeviceInfo.getInActiveImageVersionInfoByImageId(baseBinInputStream.getImageId());
        if (inActiveImageVersionInfoByImageId != null) {
            if (inActiveImageVersionInfoByImageId.getVersion() == -1) {
                ZLogger.v(String.format("invalid inactive version:0x%04X, no need to check", Integer.valueOf(i2)));
            } else {
                if (com.realsil.sdk.dfu.i.a.compareVersion(i2, i3, inActiveImageVersionInfoByImageId.getVersion(), otaDeviceInfo.specVersion, byBitNumber.versionFormat) == -1) {
                    ZLogger.v(String.format(Locale.US, "inactive image: bitNumber=%d, file(%08X)<device(%08X)", Integer.valueOf(i), Integer.valueOf(i2), Integer.valueOf(inActiveImageVersionInfoByImageId.getVersion())));
                    return -1;
                }
                ZLogger.v("version validate ok: " + i2);
            }
        }
        return 1;
    }

    public static boolean a(int i) {
        return i == 5 || i == 21 || i == 4 || i == 20 || i == 2 || i == 18 || i == 7 || i == 23 || i == 6 || i == 22;
    }

    public static BinInfo b(LoadParams loadParams) throws LoadFileException {
        Iterator<SubFileInfo> it2;
        BinInfo binInfo;
        int i;
        int i2;
        int activeCompareVersionFlag;
        int activeCompareVersionFlag2;
        Context a = loadParams.a();
        int h = loadParams.h();
        String d = loadParams.d();
        String e = loadParams.e();
        int b = loadParams.b();
        OtaDeviceInfo f = loadParams.f();
        boolean n = loadParams.n();
        boolean r = loadParams.r();
        int i3 = loadParams.i();
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        BinInfo b2 = com.realsil.sdk.dfu.i.a.b(d, e);
        b2.updateBank = loadParams.i();
        try {
            com.realsil.sdk.dfu.e.a b3 = com.realsil.sdk.dfu.d.b.b(loadParams);
            ZLogger.v(b3.toString());
            b2.isPackFile = true;
            b2.icType = b3.b();
            b2.subFileInfos = b3.e(0);
            b2.subFileInfos1 = b3.e(1);
            if (n && !com.realsil.sdk.dfu.i.a.a(b2.icType, h)) {
                ZLogger.w(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h), Integer.valueOf(b2.icType)));
                b2.updateEnabled = false;
                b2.status = 4101;
                return b2;
            }
            if (b3.c(2048) == null) {
                ZLogger.w("OtaHeader Miss");
                b2.updateEnabled = false;
                b2.status = 5;
                return b2;
            }
            if (!b3.a(c(2, b3.a()))) {
                ZLogger.w("OtaHeader Miss");
                b2.updateEnabled = false;
                b2.status = 5;
                return b2;
            }
            Iterator<SubFileInfo> it3 = b3.e(i3).iterator();
            int i4 = 0;
            int i5 = 0;
            while (it3.hasNext()) {
                SubFileInfo next = it3.next();
                if (BinIndicator.isIndicatorEnabled(b, next.wrapperBitNumber())) {
                    BinIndicator byBitNumber = BinIndicator.getByBitNumber(BinIndicator.BBPRO, next.wrapperBitNumber());
                    if (byBitNumber != null) {
                        ZLogger.v(com.realsil.sdk.dfu.i.a.a, byBitNumber.toString());
                        BaseBinInputStream assetsBinInputStream = next.getAssetsBinInputStream(a, b2.icType);
                        if (assetsBinInputStream == null) {
                            ZLogger.v(com.realsil.sdk.dfu.i.a.a, "not find image: " + byBitNumber.imageId);
                        } else {
                            ImageVersionInfo activeImageVersionInfoByImageId = f.getActiveImageVersionInfoByImageId(assetsBinInputStream.getImageId());
                            Context context = a;
                            if (activeImageVersionInfoByImageId != null) {
                                it2 = it3;
                                if (activeImageVersionInfoByImageId.getVersion() == -1) {
                                    i = b;
                                    ZLogger.v(com.realsil.sdk.dfu.i.a.a, String.format("invalid active version:0x%04X, no need to check", Integer.valueOf(activeImageVersionInfoByImageId.getVersion())));
                                    assetsBinInputStream.setActiveCompareVersionFlag(1);
                                    binInfo = b2;
                                    i2 = 1;
                                } else {
                                    i = b;
                                    binInfo = b2;
                                    int compareVersion = com.realsil.sdk.dfu.i.a.compareVersion(assetsBinInputStream.imageVersion, assetsBinInputStream.otaVersion, activeImageVersionInfoByImageId.getVersion(), f.specVersion, byBitNumber.versionFormat);
                                    i2 = 1;
                                    ZLogger.v(String.format(Locale.US, "compare active image, bitNumber=%d, compare=%d ", Integer.valueOf(next.bitNumber), Integer.valueOf(compareVersion)));
                                    assetsBinInputStream.setActiveCompareVersionFlag(compareVersion);
                                }
                            } else {
                                it2 = it3;
                                binInfo = b2;
                                i = b;
                                i2 = 1;
                                ZLogger.v(com.realsil.sdk.dfu.i.a.a, String.format("not find active image, imageId=0x%04X", Integer.valueOf(assetsBinInputStream.getImageId())));
                                assetsBinInputStream.setActiveCompareVersionFlag(1);
                            }
                            ImageVersionInfo inActiveImageVersionInfoByImageId = f.getInActiveImageVersionInfoByImageId(assetsBinInputStream.getImageId());
                            if (inActiveImageVersionInfoByImageId == null) {
                                int i6 = i2;
                                boolean z = com.realsil.sdk.dfu.i.a.a;
                                Object[] objArr = new Object[i6];
                                objArr[0] = Integer.valueOf(assetsBinInputStream.getImageId());
                                ZLogger.v(z, String.format("not find inactive image, imageId=0x%04X", objArr));
                                assetsBinInputStream.setInactiveCompareVersionFlag(i6);
                            } else if (inActiveImageVersionInfoByImageId.getVersion() == -1) {
                                boolean z2 = com.realsil.sdk.dfu.i.a.a;
                                Object[] objArr2 = new Object[i2];
                                objArr2[0] = Integer.valueOf(inActiveImageVersionInfoByImageId.getVersion());
                                ZLogger.v(z2, String.format("invalid inactive version:0x%04X, no need to check", objArr2));
                                assetsBinInputStream.setInactiveCompareVersionFlag(i2);
                            } else {
                                int compareVersion2 = com.realsil.sdk.dfu.i.a.compareVersion(assetsBinInputStream.imageVersion, assetsBinInputStream.otaVersion, inActiveImageVersionInfoByImageId.getVersion(), f.specVersion, byBitNumber.versionFormat);
                                ZLogger.v(String.format(Locale.US, "compare inactive image, bitNumber=%d, compare=%d ", Integer.valueOf(next.bitNumber), Integer.valueOf(compareVersion2)));
                                assetsBinInputStream.setInactiveCompareVersionFlag(compareVersion2);
                            }
                            if (a(next.wrapperBitNumber())) {
                                if (i4 > 0) {
                                    if (assetsBinInputStream.getActiveCompareVersionFlag() < 0) {
                                        activeCompareVersionFlag2 = assetsBinInputStream.getActiveCompareVersionFlag();
                                        i4 = activeCompareVersionFlag2;
                                    }
                                } else if (i4 == 0) {
                                    activeCompareVersionFlag2 = assetsBinInputStream.getActiveCompareVersionFlag();
                                    i4 = activeCompareVersionFlag2;
                                }
                            } else if (i5 > 0) {
                                if (assetsBinInputStream.getActiveCompareVersionFlag() < 0) {
                                    activeCompareVersionFlag = assetsBinInputStream.getActiveCompareVersionFlag();
                                    i5 = activeCompareVersionFlag;
                                }
                            } else if (i5 == 0) {
                                activeCompareVersionFlag = assetsBinInputStream.getActiveCompareVersionFlag();
                                i5 = activeCompareVersionFlag;
                            }
                            arrayList2.add(assetsBinInputStream);
                            arrayList3.add(assetsBinInputStream);
                            arrayList.add(next);
                            a = context;
                            it3 = it2;
                            b = i;
                            b2 = binInfo;
                        }
                    }
                } else {
                    ZLogger.v("prohibit upgrade image_id=" + next.imageId);
                }
            }
            BinInfo binInfo2 = b2;
            try {
                b3.close();
            } catch (IOException e2) {
                e2.printStackTrace();
                ZLogger.e(e2.toString());
            }
            if (r) {
                ZLogger.v(String.format(Locale.US, "nonConfigVersionFlag=%d, configVersionFlag=%d", Integer.valueOf(i4), Integer.valueOf(i5)));
                if (i4 <= 0) {
                    if (i4 != 0) {
                        ZLogger.w("all code image version must >= active image version");
                        binInfo2.updateEnabled = false;
                        binInfo2.status = 6;
                        return binInfo2;
                    }
                    if (i5 <= 0) {
                        ZLogger.d("there must be at least one data image version> active image version");
                        binInfo2.updateEnabled = false;
                        binInfo2.status = 7;
                        return binInfo2;
                    }
                }
            }
            binInfo2.lowVersionExist = false;
            binInfo2.subBinInputStreams = arrayList2;
            binInfo2.supportBinInputStreams = arrayList3;
            binInfo2.supportSubFileInfos = arrayList;
            return binInfo2;
        } catch (LoadFileException e3) {
            b2.updateEnabled = false;
            b2.status = e3.getErrCode();
            return b2;
        }
    }

    public static boolean b(int i) {
        return i == 8 || i == 24 || i == 9 || i == 25 || i == 10 || i == 26;
    }

    public static int c(int i, int i2) {
        return i2 == 0 ? i : i % i2;
    }

    public static BinInfo d(LoadParams loadParams) throws LoadFileException {
        String str;
        BinInfo binInfo;
        boolean z;
        SparseIntArray sparseIntArray;
        Iterator<SubFileInfo> it2;
        int i;
        BinInfo binInfo2;
        SparseIntArray sparseIntArray2;
        String str2;
        int i2;
        int activeCompareVersionFlag;
        int activeCompareVersionFlag2;
        int h = loadParams.h();
        String d = loadParams.d();
        String e = loadParams.e();
        int b = loadParams.b();
        OtaDeviceInfo f = loadParams.f();
        boolean n = loadParams.n();
        boolean r = loadParams.r();
        int i3 = loadParams.i();
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        SparseIntArray sparseIntArray3 = new SparseIntArray();
        BinInfo a = com.realsil.sdk.dfu.i.a.a(d, e);
        a.updateBank = loadParams.i();
        try {
            com.realsil.sdk.dfu.e.a c = com.realsil.sdk.dfu.d.b.c(loadParams);
            a.isPackFile = true;
            a.icType = c.b();
            a.subFileInfos = c.e(0);
            a.subFileInfos1 = c.e(1);
            if (n && !com.realsil.sdk.dfu.i.a.a(a.icType, h)) {
                ZLogger.w(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h), Integer.valueOf(a.icType)));
                a.updateEnabled = false;
                a.status = 4101;
                return a;
            }
            if (!c.a(c(2, c.a()))) {
                ZLogger.w("OtaHeader Miss");
                a.updateEnabled = false;
                a.status = 5;
                return a;
            }
            int i4 = 0;
            while (true) {
                str = "not find image: ";
                if (i4 >= 16) {
                    break;
                }
                int wrapperBitNumber = com.realsil.sdk.dfu.i.a.wrapperBitNumber(i4, f.imageVersionIndicator, f.updateBankIndicator);
                if (BinIndicator.isIndicatorEnabled(b, wrapperBitNumber)) {
                    BinIndicator byBitNumber = BinIndicator.getByBitNumber(BinIndicator.BBPRO, i4);
                    if (byBitNumber != null) {
                        ZLogger.v(byBitNumber.toString());
                        SubFileInfo d2 = c.d(wrapperBitNumber);
                        if ((d2 != null ? d2.getBinInputStream(a.icType) : null) == null) {
                            ZLogger.v(com.realsil.sdk.dfu.i.a.a, "not find image: " + byBitNumber.imageId);
                            if (loadParams.m() && b(wrapperBitNumber)) {
                                sparseIntArray3.append(byBitNumber.imageId, wrapperBitNumber);
                            }
                        }
                    }
                } else {
                    ZLogger.v("image file disable: bitNumber=" + wrapperBitNumber);
                }
                i4++;
            }
            Iterator<SubFileInfo> it3 = c.e(i3).iterator();
            int i5 = 0;
            int i6 = 0;
            while (it3.hasNext()) {
                SubFileInfo next = it3.next();
                if (BinIndicator.isIndicatorEnabled(b, next.wrapperBitNumber())) {
                    BinIndicator byBitNumber2 = BinIndicator.getByBitNumber(BinIndicator.BBPRO, next.wrapperBitNumber());
                    if (byBitNumber2 != null) {
                        it2 = it3;
                        ZLogger.v(com.realsil.sdk.dfu.i.a.a, byBitNumber2.toString());
                        BaseBinInputStream binInputStream = next.getBinInputStream(a.icType);
                        if (binInputStream == null) {
                            boolean z2 = com.realsil.sdk.dfu.i.a.a;
                            StringBuilder sb = new StringBuilder();
                            sb.append(str);
                            i = b;
                            sb.append(byBitNumber2.imageId);
                            ZLogger.v(z2, sb.toString());
                            if (loadParams.m() && b(next.wrapperBitNumber())) {
                                sparseIntArray3.append(byBitNumber2.imageId, next.wrapperBitNumber());
                            }
                            it3 = it2;
                            b = i;
                        } else {
                            int i7 = b;
                            ImageVersionInfo activeImageVersionInfoByImageId = f.getActiveImageVersionInfoByImageId(binInputStream.getImageId());
                            if (activeImageVersionInfoByImageId != null) {
                                str2 = str;
                                if (activeImageVersionInfoByImageId.getVersion() == -1) {
                                    sparseIntArray2 = sparseIntArray3;
                                    ZLogger.v(com.realsil.sdk.dfu.i.a.a, String.format("invalid active version:0x%04X, no need to check", Integer.valueOf(activeImageVersionInfoByImageId.getVersion())));
                                    binInputStream.setActiveCompareVersionFlag(1);
                                    binInfo2 = a;
                                    i2 = 1;
                                } else {
                                    sparseIntArray2 = sparseIntArray3;
                                    binInfo2 = a;
                                    int compareVersion = com.realsil.sdk.dfu.i.a.compareVersion(binInputStream.imageVersion, binInputStream.otaVersion, activeImageVersionInfoByImageId.getVersion(), f.specVersion, byBitNumber2.versionFormat);
                                    i2 = 1;
                                    ZLogger.v(String.format(Locale.US, "compare active image, bitNumber=%d, compare=%d ", Integer.valueOf(next.bitNumber), Integer.valueOf(compareVersion)));
                                    binInputStream.setActiveCompareVersionFlag(compareVersion);
                                }
                            } else {
                                binInfo2 = a;
                                sparseIntArray2 = sparseIntArray3;
                                str2 = str;
                                i2 = 1;
                                ZLogger.v(com.realsil.sdk.dfu.i.a.a, String.format("not find active image, imageId=0x%04X", Integer.valueOf(binInputStream.getImageId())));
                                binInputStream.setActiveCompareVersionFlag(1);
                            }
                            ImageVersionInfo inActiveImageVersionInfoByImageId = f.getInActiveImageVersionInfoByImageId(binInputStream.getImageId());
                            if (inActiveImageVersionInfoByImageId == null) {
                                int i8 = i2;
                                boolean z3 = com.realsil.sdk.dfu.i.a.a;
                                Object[] objArr = new Object[i8];
                                objArr[0] = Integer.valueOf(binInputStream.getImageId());
                                ZLogger.v(z3, String.format("not find inactive image, imageId=0x%04X", objArr));
                                binInputStream.setInactiveCompareVersionFlag(i8);
                            } else if (inActiveImageVersionInfoByImageId.getVersion() == -1) {
                                boolean z4 = com.realsil.sdk.dfu.i.a.a;
                                Object[] objArr2 = new Object[i2];
                                objArr2[0] = Integer.valueOf(inActiveImageVersionInfoByImageId.getVersion());
                                ZLogger.v(z4, String.format("invalid inactive version:0x%04X, no need to check", objArr2));
                                binInputStream.setInactiveCompareVersionFlag(i2);
                            } else {
                                int compareVersion2 = com.realsil.sdk.dfu.i.a.compareVersion(binInputStream.imageVersion, binInputStream.otaVersion, inActiveImageVersionInfoByImageId.getVersion(), f.specVersion, byBitNumber2.versionFormat);
                                ZLogger.v(String.format(Locale.US, "compare inactive image, bitNumber=%d, compare=%d ", Integer.valueOf(next.bitNumber), Integer.valueOf(compareVersion2)));
                                binInputStream.setInactiveCompareVersionFlag(compareVersion2);
                            }
                            if (a(next.wrapperBitNumber())) {
                                if (i5 > 0) {
                                    if (binInputStream.getActiveCompareVersionFlag() < 0) {
                                        activeCompareVersionFlag2 = binInputStream.getActiveCompareVersionFlag();
                                        i5 = activeCompareVersionFlag2;
                                    }
                                } else if (i5 == 0) {
                                    activeCompareVersionFlag2 = binInputStream.getActiveCompareVersionFlag();
                                    i5 = activeCompareVersionFlag2;
                                }
                            } else if (i6 > 0) {
                                if (binInputStream.getActiveCompareVersionFlag() < 0) {
                                    activeCompareVersionFlag = binInputStream.getActiveCompareVersionFlag();
                                    i6 = activeCompareVersionFlag;
                                }
                            } else if (i6 == 0) {
                                activeCompareVersionFlag = binInputStream.getActiveCompareVersionFlag();
                                i6 = activeCompareVersionFlag;
                            }
                            arrayList2.add(binInputStream);
                            arrayList3.add(binInputStream);
                            arrayList.add(next);
                            it3 = it2;
                            b = i7;
                            str = str2;
                            sparseIntArray3 = sparseIntArray2;
                            a = binInfo2;
                        }
                    }
                } else {
                    ZLogger.v("prohibit upgrade image_id=" + next.imageId);
                }
                it2 = it3;
                i = b;
                it3 = it2;
                b = i;
            }
            BinInfo binInfo3 = a;
            SparseIntArray sparseIntArray4 = sparseIntArray3;
            try {
                c.close();
            } catch (IOException e2) {
                e2.printStackTrace();
                ZLogger.e(e2.toString());
            }
            if (r) {
                ZLogger.v(String.format(Locale.US, "nonConfigVersionFlag=%d, configVersionFlag=%d", Integer.valueOf(i5), Integer.valueOf(i6)));
                if (i5 > 0) {
                    sparseIntArray = sparseIntArray4;
                    binInfo = binInfo3;
                    z = false;
                    binInfo.forceCopyImages = sparseIntArray;
                    binInfo.lowVersionExist = z;
                    binInfo.subBinInputStreams = arrayList2;
                    binInfo.supportBinInputStreams = arrayList3;
                    binInfo.supportSubFileInfos = arrayList;
                    return binInfo;
                }
                if (i5 != 0) {
                    ZLogger.w("all code image version must >= active image version");
                    binInfo3.updateEnabled = false;
                    binInfo3.status = 6;
                    return binInfo3;
                }
                if (i6 <= 0) {
                    ZLogger.d("there must be at least one data image version> active image version");
                    binInfo3.updateEnabled = false;
                    binInfo3.status = 7;
                    return binInfo3;
                }
            }
            binInfo = binInfo3;
            z = false;
            sparseIntArray = sparseIntArray4;
            binInfo.forceCopyImages = sparseIntArray;
            binInfo.lowVersionExist = z;
            binInfo.subBinInputStreams = arrayList2;
            binInfo.supportBinInputStreams = arrayList3;
            binInfo.supportSubFileInfos = arrayList;
            return binInfo;
        } catch (LoadFileException e3) {
            a.updateEnabled = false;
            a.status = e3.getErrCode();
            return a;
        }
    }

    public static BinInfo e(LoadParams loadParams) throws LoadFileException {
        BinInfo binInfo;
        Iterator<SubFileInfo> it2;
        BinInfo binInfo2;
        int i;
        int i2;
        boolean z;
        BaseBinInputStream openFileInputStream;
        int h = loadParams.h();
        String d = loadParams.d();
        String e = loadParams.e();
        int b = loadParams.b();
        OtaDeviceInfo f = loadParams.f();
        boolean r = loadParams.r();
        boolean n = loadParams.n();
        int i3 = loadParams.i();
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        BinInfo a = com.realsil.sdk.dfu.i.a.a(d, e);
        a.updateBank = loadParams.i();
        try {
            com.realsil.sdk.dfu.e.a c = com.realsil.sdk.dfu.d.b.c(loadParams);
            if (c == null) {
                try {
                    openFileInputStream = com.realsil.sdk.dfu.i.a.openFileInputStream(h, d, 0L);
                } catch (IOException e2) {
                    ZLogger.v(e2.toString());
                }
                if (openFileInputStream != null) {
                    arrayList2.add(openFileInputStream);
                    a.icType = openFileInputStream.getIcType();
                    a.version = openFileInputStream.getImageVersion();
                    if (n && !com.realsil.sdk.dfu.i.a.a(a.icType, h)) {
                        ZLogger.w(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h), Integer.valueOf(a.icType)));
                        a.updateEnabled = false;
                        a.status = 4101;
                        return a;
                    }
                    if (r && 1 != com.realsil.sdk.dfu.i.a.checkSingleImageVersion(openFileInputStream, f)) {
                        binInfo = a;
                        z = true;
                        binInfo.lowVersionExist = z;
                        binInfo.subBinInputStreams = arrayList2;
                        binInfo.supportBinInputStreams = arrayList3;
                        binInfo.supportSubFileInfos = arrayList;
                        return binInfo;
                    }
                    arrayList3.add(openFileInputStream);
                }
                binInfo = a;
            } else {
                ZLogger.v(c.toString());
                a.isPackFile = true;
                a.icType = c.b();
                a.subFileInfos = c.e(0);
                a.subFileInfos1 = c.e(1);
                if (n && !com.realsil.sdk.dfu.i.a.a(a.icType, h)) {
                    ZLogger.d(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h), Integer.valueOf(a.icType)));
                    a.updateEnabled = false;
                    a.status = 4101;
                    return a;
                }
                Iterator<SubFileInfo> it3 = c.e(i3).iterator();
                int i4 = 0;
                int i5 = 0;
                while (it3.hasNext()) {
                    SubFileInfo next = it3.next();
                    if (BinIndicator.isIndicatorEnabled(b, next.wrapperBitNumber())) {
                        BinIndicator byBitNumber = BinIndicator.getByBitNumber(BinIndicator.BBPRO, next.wrapperBitNumber());
                        if (byBitNumber != null) {
                            ZLogger.v(com.realsil.sdk.dfu.i.a.a, byBitNumber.toString());
                            BaseBinInputStream binInputStream = next.getBinInputStream(a.icType);
                            if (binInputStream == null) {
                                ZLogger.v(com.realsil.sdk.dfu.i.a.a, "not find image: " + byBitNumber.imageId);
                            } else {
                                ImageVersionInfo activeImageVersionInfoByImageId = f.getActiveImageVersionInfoByImageId(binInputStream.getImageId());
                                if (activeImageVersionInfoByImageId != null) {
                                    it2 = it3;
                                    if (activeImageVersionInfoByImageId.getVersion() == -1) {
                                        i = b;
                                        ZLogger.v(com.realsil.sdk.dfu.i.a.a, String.format("invalid active version:0x%04X, no need to check", Integer.valueOf(activeImageVersionInfoByImageId.getVersion())));
                                        binInputStream.setActiveCompareVersionFlag(1);
                                        binInfo2 = a;
                                        i2 = 1;
                                    } else {
                                        i = b;
                                        binInfo2 = a;
                                        int compareVersion = com.realsil.sdk.dfu.i.a.compareVersion(binInputStream.imageVersion, binInputStream.otaVersion, activeImageVersionInfoByImageId.getVersion(), f.specVersion, byBitNumber.versionFormat);
                                        i2 = 1;
                                        ZLogger.v(String.format(Locale.US, "compare active image, bitNumber=%d, compare=%d ", Integer.valueOf(next.bitNumber), Integer.valueOf(compareVersion)));
                                        binInputStream.setActiveCompareVersionFlag(compareVersion);
                                    }
                                } else {
                                    it2 = it3;
                                    binInfo2 = a;
                                    i = b;
                                    i2 = 1;
                                    ZLogger.v(com.realsil.sdk.dfu.i.a.a, String.format("not find active image, imageId=0x%04X", Integer.valueOf(binInputStream.getImageId())));
                                    binInputStream.setActiveCompareVersionFlag(1);
                                }
                                ImageVersionInfo inActiveImageVersionInfoByImageId = f.getInActiveImageVersionInfoByImageId(binInputStream.getImageId());
                                if (inActiveImageVersionInfoByImageId == null) {
                                    int i6 = i2;
                                    boolean z2 = com.realsil.sdk.dfu.i.a.a;
                                    Object[] objArr = new Object[i6];
                                    objArr[0] = Integer.valueOf(binInputStream.getImageId());
                                    ZLogger.v(z2, String.format("not find inactive image, imageId=0x%04X", objArr));
                                    binInputStream.setInactiveCompareVersionFlag(i6);
                                } else if (inActiveImageVersionInfoByImageId.getVersion() == -1) {
                                    boolean z3 = com.realsil.sdk.dfu.i.a.a;
                                    Object[] objArr2 = new Object[i2];
                                    objArr2[0] = Integer.valueOf(inActiveImageVersionInfoByImageId.getVersion());
                                    ZLogger.v(z3, String.format("invalid inactive version:0x%04X, no need to check", objArr2));
                                    binInputStream.setInactiveCompareVersionFlag(i2);
                                } else {
                                    int compareVersion2 = com.realsil.sdk.dfu.i.a.compareVersion(binInputStream.imageVersion, binInputStream.otaVersion, inActiveImageVersionInfoByImageId.getVersion(), f.specVersion, byBitNumber.versionFormat);
                                    ZLogger.v(String.format(Locale.US, "compare inactive image, bitNumber=%d, compare=%d ", Integer.valueOf(next.bitNumber), Integer.valueOf(compareVersion2)));
                                    binInputStream.setInactiveCompareVersionFlag(compareVersion2);
                                }
                                if (a(next.wrapperBitNumber())) {
                                    if (i4 > 0) {
                                        if (binInputStream.getActiveCompareVersionFlag() < 0) {
                                            i4 = binInputStream.getActiveCompareVersionFlag();
                                        }
                                    } else if (i4 == 0) {
                                        i4 = binInputStream.getActiveCompareVersionFlag();
                                    }
                                } else if (i5 > 0) {
                                    if (binInputStream.getActiveCompareVersionFlag() < 0) {
                                        i5 = binInputStream.getActiveCompareVersionFlag();
                                    }
                                } else if (i5 == 0) {
                                    i5 = binInputStream.getActiveCompareVersionFlag();
                                }
                                arrayList2.add(binInputStream);
                                if (next.wrapperBitNumber() == 2) {
                                    ZLogger.v("ignore OTA_HEADER_FILE");
                                } else if (next.wrapperBitNumber() == 1) {
                                    ZLogger.v("ignore SYSTEM_CONFIG_FILE");
                                } else {
                                    arrayList3.add(binInputStream);
                                    arrayList.add(next);
                                }
                                it3 = it2;
                                b = i;
                                a = binInfo2;
                            }
                        }
                    } else {
                        ZLogger.v("prohibit upgrade image_id=" + next.imageId);
                    }
                }
                BinInfo binInfo3 = a;
                try {
                    c.close();
                } catch (IOException e3) {
                    e3.printStackTrace();
                    ZLogger.e(e3.toString());
                }
                if (r) {
                    ZLogger.v(String.format(Locale.US, "nonConfigVersionFlag=%d, configVersionFlag=%d", Integer.valueOf(i4), Integer.valueOf(i5)));
                    if (i4 <= 0) {
                        if (i4 != 0) {
                            ZLogger.w("all code image version must >= active image version");
                            binInfo3.updateEnabled = false;
                            binInfo3.status = 6;
                            return binInfo3;
                        }
                        if (i5 <= 0) {
                            ZLogger.d("there must be at least one data image version> active image version");
                            binInfo3.updateEnabled = false;
                            binInfo3.status = 7;
                            return binInfo3;
                        }
                    }
                }
                binInfo = binInfo3;
            }
            z = false;
            binInfo.lowVersionExist = z;
            binInfo.subBinInputStreams = arrayList2;
            binInfo.supportBinInputStreams = arrayList3;
            binInfo.supportSubFileInfos = arrayList;
            return binInfo;
        } catch (LoadFileException e4) {
            a.updateEnabled = false;
            a.status = e4.getErrCode();
            return a;
        }
    }

    /* JADX WARN: Code restructure failed: missing block: B:44:0x0143, code lost:
    
        if (r15 != b(r8.wrapperBitNumber(), r14, r4)) goto L156;
     */
    /* JADX WARN: Removed duplicated region for block: B:26:0x00c1  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public static com.realsil.sdk.dfu.model.BinInfo loadImageBinInfo(com.realsil.sdk.dfu.image.LoadParams r16) throws com.realsil.sdk.dfu.exception.LoadFileException {
        /*
            Method dump skipped, instructions count: 541
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.realsil.sdk.dfu.p.d.loadImageBinInfo(com.realsil.sdk.dfu.image.LoadParams):com.realsil.sdk.dfu.model.BinInfo");
    }

    public static BinInfo c(LoadParams loadParams) throws LoadFileException {
        Iterator<SubFileInfo> it2;
        BinInfo binInfo;
        int i;
        int i2;
        int activeCompareVersionFlag;
        int activeCompareVersionFlag2;
        int h = loadParams.h();
        String d = loadParams.d();
        String e = loadParams.e();
        int b = loadParams.b();
        OtaDeviceInfo f = loadParams.f();
        boolean n = loadParams.n();
        boolean r = loadParams.r();
        int i3 = loadParams.i();
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        BinInfo a = com.realsil.sdk.dfu.i.a.a(d, e);
        a.updateBank = loadParams.i();
        try {
            com.realsil.sdk.dfu.e.a c = com.realsil.sdk.dfu.d.b.c(loadParams);
            a.isPackFile = true;
            a.icType = c.b();
            a.subFileInfos = c.e(0);
            a.subFileInfos1 = c.e(1);
            if (n && !com.realsil.sdk.dfu.i.a.a(a.icType, h)) {
                ZLogger.w(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h), Integer.valueOf(a.icType)));
                a.updateEnabled = false;
                a.status = 4101;
                return a;
            }
            if (!c.a(c(2, c.a()))) {
                ZLogger.w("OtaHeader Miss");
                a.updateEnabled = false;
                a.status = 5;
                return a;
            }
            Iterator<SubFileInfo> it3 = c.e(i3).iterator();
            int i4 = 0;
            int i5 = 0;
            while (it3.hasNext()) {
                SubFileInfo next = it3.next();
                if (BinIndicator.isIndicatorEnabled(b, next.wrapperBitNumber())) {
                    BinIndicator byBitNumber = BinIndicator.getByBitNumber(BinIndicator.BBPRO, next.wrapperBitNumber());
                    if (byBitNumber != null) {
                        ZLogger.v(com.realsil.sdk.dfu.i.a.a, byBitNumber.toString());
                        BaseBinInputStream binInputStream = next.getBinInputStream(a.icType);
                        if (binInputStream == null) {
                            ZLogger.v(com.realsil.sdk.dfu.i.a.a, "not find image: " + byBitNumber.imageId);
                        } else {
                            ImageVersionInfo activeImageVersionInfoByImageId = f.getActiveImageVersionInfoByImageId(binInputStream.getImageId());
                            if (activeImageVersionInfoByImageId != null) {
                                it2 = it3;
                                if (activeImageVersionInfoByImageId.getVersion() == -1) {
                                    i = b;
                                    ZLogger.v(com.realsil.sdk.dfu.i.a.a, String.format("invalid active version:0x%04X, no need to check", Integer.valueOf(activeImageVersionInfoByImageId.getVersion())));
                                    binInputStream.setActiveCompareVersionFlag(1);
                                    binInfo = a;
                                    i2 = 1;
                                } else {
                                    i = b;
                                    binInfo = a;
                                    int compareVersion = com.realsil.sdk.dfu.i.a.compareVersion(binInputStream.imageVersion, binInputStream.otaVersion, activeImageVersionInfoByImageId.getVersion(), f.specVersion, byBitNumber.versionFormat);
                                    i2 = 1;
                                    ZLogger.v(String.format(Locale.US, "compare active image, bitNumber=%d, compare=%d ", Integer.valueOf(next.bitNumber), Integer.valueOf(compareVersion)));
                                    binInputStream.setActiveCompareVersionFlag(compareVersion);
                                }
                            } else {
                                it2 = it3;
                                binInfo = a;
                                i = b;
                                i2 = 1;
                                ZLogger.v(com.realsil.sdk.dfu.i.a.a, String.format("not find active image, imageId=0x%04X", Integer.valueOf(binInputStream.getImageId())));
                                binInputStream.setActiveCompareVersionFlag(1);
                            }
                            ImageVersionInfo inActiveImageVersionInfoByImageId = f.getInActiveImageVersionInfoByImageId(binInputStream.getImageId());
                            if (inActiveImageVersionInfoByImageId == null) {
                                int i6 = i2;
                                boolean z = com.realsil.sdk.dfu.i.a.a;
                                Object[] objArr = new Object[i6];
                                objArr[0] = Integer.valueOf(binInputStream.getImageId());
                                ZLogger.v(z, String.format("not find inactive image, imageId=0x%04X", objArr));
                                binInputStream.setInactiveCompareVersionFlag(i6);
                            } else if (inActiveImageVersionInfoByImageId.getVersion() == -1) {
                                boolean z2 = com.realsil.sdk.dfu.i.a.a;
                                Object[] objArr2 = new Object[i2];
                                objArr2[0] = Integer.valueOf(inActiveImageVersionInfoByImageId.getVersion());
                                ZLogger.v(z2, String.format("invalid inactive version:0x%04X, no need to check", objArr2));
                                binInputStream.setInactiveCompareVersionFlag(i2);
                            } else {
                                int compareVersion2 = com.realsil.sdk.dfu.i.a.compareVersion(binInputStream.imageVersion, binInputStream.otaVersion, inActiveImageVersionInfoByImageId.getVersion(), f.specVersion, byBitNumber.versionFormat);
                                ZLogger.v(String.format(Locale.US, "compare inactive image, bitNumber=%d, compare=%d ", Integer.valueOf(next.bitNumber), Integer.valueOf(compareVersion2)));
                                binInputStream.setInactiveCompareVersionFlag(compareVersion2);
                            }
                            if (a(next.wrapperBitNumber())) {
                                if (i4 > 0) {
                                    if (binInputStream.getActiveCompareVersionFlag() < 0) {
                                        activeCompareVersionFlag2 = binInputStream.getActiveCompareVersionFlag();
                                        i4 = activeCompareVersionFlag2;
                                    }
                                } else if (i4 == 0) {
                                    activeCompareVersionFlag2 = binInputStream.getActiveCompareVersionFlag();
                                    i4 = activeCompareVersionFlag2;
                                }
                            } else if (i5 > 0) {
                                if (binInputStream.getActiveCompareVersionFlag() < 0) {
                                    activeCompareVersionFlag = binInputStream.getActiveCompareVersionFlag();
                                    i5 = activeCompareVersionFlag;
                                }
                            } else if (i5 == 0) {
                                activeCompareVersionFlag = binInputStream.getActiveCompareVersionFlag();
                                i5 = activeCompareVersionFlag;
                            }
                            arrayList2.add(binInputStream);
                            arrayList3.add(binInputStream);
                            arrayList.add(next);
                            it3 = it2;
                            b = i;
                            a = binInfo;
                        }
                    }
                } else {
                    ZLogger.v("prohibit upgrade image_id=" + next.imageId);
                }
            }
            BinInfo binInfo2 = a;
            try {
                c.close();
            } catch (IOException e2) {
                e2.printStackTrace();
                ZLogger.e(e2.toString());
            }
            if (r) {
                ZLogger.v(String.format(Locale.US, "nonConfigVersionFlag=%d, configVersionFlag=%d", Integer.valueOf(i4), Integer.valueOf(i5)));
                if (i4 <= 0) {
                    if (i4 != 0) {
                        ZLogger.w("all code image version must >= active image version");
                        binInfo2.updateEnabled = false;
                        binInfo2.status = 6;
                        return binInfo2;
                    }
                    if (i5 <= 0) {
                        ZLogger.d("there must be at least one data image version> active image version");
                        binInfo2.updateEnabled = false;
                        binInfo2.status = 7;
                        return binInfo2;
                    }
                }
            }
            binInfo2.lowVersionExist = false;
            binInfo2.subBinInputStreams = arrayList2;
            binInfo2.supportBinInputStreams = arrayList3;
            binInfo2.supportSubFileInfos = arrayList;
            return binInfo2;
        } catch (LoadFileException e3) {
            a.updateEnabled = false;
            a.status = e3.getErrCode();
            return a;
        }
    }

    public static BinInfo a(LoadParams loadParams) throws LoadFileException {
        boolean z;
        Context a = loadParams.a();
        int h = loadParams.h();
        String d = loadParams.d();
        String e = loadParams.e();
        int b = loadParams.b();
        OtaDeviceInfo f = loadParams.f();
        boolean r = loadParams.r();
        boolean n = loadParams.n();
        loadParams.k();
        if (a != null) {
            BinInfo b2 = com.realsil.sdk.dfu.i.a.b(d, e);
            b2.updateBank = loadParams.i();
            ArrayList arrayList = new ArrayList();
            ArrayList arrayList2 = new ArrayList();
            ArrayList arrayList3 = new ArrayList();
            Locale locale = Locale.US;
            ZLogger.v(String.format(locale, "device >> primaryIcType=0x%02X", Integer.valueOf(h)));
            ZLogger.v(String.format(locale, "fileIndicator=0x%08X, filePath=%s, versionCheckEnabled=%b", Integer.valueOf(b), d, Boolean.valueOf(r)));
            com.realsil.sdk.dfu.e.a b3 = com.realsil.sdk.dfu.d.b.b(loadParams);
            if (b3 != null) {
                b2.isPackFile = true;
                b2.icType = b3.b();
                b2.subFileInfos = b3.e(0);
                b2.subFileInfos1 = b3.e(1);
                if (n && !com.realsil.sdk.dfu.i.a.a(b2.icType, h)) {
                    ZLogger.w(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h), Integer.valueOf(b2.icType)));
                    b2.updateEnabled = false;
                    b2.status = 4101;
                    return b2;
                }
                z = false;
                for (int i = 0; i < 16; i++) {
                    int wrapperBitNumber = com.realsil.sdk.dfu.i.a.wrapperBitNumber(i, f.imageVersionIndicator, f.updateBankIndicator);
                    if (wrapperBitNumber < 16) {
                        b2.bankIndicator |= 1;
                    } else {
                        b2.bankIndicator |= 2;
                    }
                    if (BinIndicator.isIndicatorEnabled(b, wrapperBitNumber)) {
                        SubFileInfo d2 = b3.d(wrapperBitNumber);
                        BaseBinInputStream assetsBinInputStream = d2 != null ? d2.getAssetsBinInputStream(a, b2.icType) : null;
                        if (assetsBinInputStream != null) {
                            arrayList2.add(assetsBinInputStream);
                            if (r) {
                                if (1 == com.realsil.sdk.dfu.i.a.checkPackImageVersion(wrapperBitNumber, assetsBinInputStream, f)) {
                                    arrayList3.add(assetsBinInputStream);
                                    arrayList.add(d2);
                                } else {
                                    z = true;
                                }
                            } else {
                                arrayList3.add(assetsBinInputStream);
                                arrayList.add(d2);
                            }
                        }
                    } else {
                        ZLogger.v("image file disable: bitNumber=" + wrapperBitNumber);
                    }
                }
                try {
                    b3.close();
                } catch (IOException e2) {
                    e2.printStackTrace();
                    ZLogger.e(e2.toString());
                }
            } else {
                try {
                    BaseBinInputStream openAssetsInputStream = com.realsil.sdk.dfu.i.a.openAssetsInputStream(a, h, d, 0L);
                    if (openAssetsInputStream != null) {
                        arrayList2.add(openAssetsInputStream);
                        b2.icType = openAssetsInputStream.getIcType();
                        b2.version = openAssetsInputStream.getImageVersion();
                        if (n && !com.realsil.sdk.dfu.i.a.a(b2.icType, h)) {
                            ZLogger.w(String.format("ic conflict: 0x%02X, 0x%02X", Integer.valueOf(h), Integer.valueOf(b2.icType)));
                            b2.updateEnabled = false;
                            b2.status = 4101;
                            return b2;
                        }
                        if (r) {
                            if (1 == com.realsil.sdk.dfu.i.a.checkSingleImageVersion(openAssetsInputStream, f)) {
                                arrayList3.add(openAssetsInputStream);
                            } else {
                                z = true;
                            }
                        } else {
                            arrayList3.add(openAssetsInputStream);
                        }
                    }
                    z = false;
                } catch (IOException e3) {
                    e3.printStackTrace();
                    throw new LoadFileException(e3.getMessage(), 4097);
                }
            }
            b2.lowVersionExist = z;
            b2.subBinInputStreams = arrayList2;
            b2.supportBinInputStreams = arrayList3;
            b2.supportSubFileInfos = arrayList;
            if (r && z && arrayList3.size() < 1) {
                b2.updateEnabled = false;
                b2.status = 4104;
            }
            return b2;
        }
        throw new LoadFileException("invalid context", 4097);
    }

    public static int a(BaseBinInputStream baseBinInputStream, OtaDeviceInfo otaDeviceInfo) {
        if (otaDeviceInfo == null) {
            return 1;
        }
        int binId = baseBinInputStream.getBinId();
        int imageSize = baseBinInputStream.getImageSize();
        BinIndicator binIndicator = null;
        Iterator<BinIndicator> it2 = BinIndicator.BBPRO.iterator();
        while (true) {
            if (!it2.hasNext()) {
                break;
            }
            BinIndicator next = it2.next();
            if (next.subBinId == binId) {
                if (next.versionCheckEnabled) {
                    binIndicator = next;
                }
            }
        }
        if (binIndicator != null) {
            ZLogger.d(binIndicator.toString());
            List<ImageVersionInfo> imageVersionInfos = otaDeviceInfo.getImageVersionInfos();
            if (imageVersionInfos != null && imageVersionInfos.size() > 0) {
                Iterator<ImageVersionInfo> it3 = imageVersionInfos.iterator();
                while (true) {
                    if (!it3.hasNext()) {
                        break;
                    }
                    ImageVersionInfo next2 = it3.next();
                    if (next2.getBitNumber() == binIndicator.bitNumber) {
                        if (next2.getSectionSize() > 0 && imageSize > next2.getSectionSize()) {
                            ZLogger.w(String.format(Locale.US, "image size is %d exceed the limit of the section size %d", Integer.valueOf(imageSize), Integer.valueOf(next2.getSectionSize())));
                            return 2;
                        }
                        ZLogger.v("section validate ok: " + imageSize);
                    }
                }
            }
        }
        return 1;
    }

    public static int b(int i, BaseBinInputStream baseBinInputStream, OtaDeviceInfo otaDeviceInfo) {
        if (otaDeviceInfo == null) {
            return 1;
        }
        int imageSize = baseBinInputStream.getImageSize();
        List<ImageVersionInfo> imageVersionInfos = otaDeviceInfo.getImageVersionInfos();
        if (imageVersionInfos != null && imageVersionInfos.size() > 0) {
            Iterator<ImageVersionInfo> it2 = imageVersionInfos.iterator();
            while (true) {
                if (!it2.hasNext()) {
                    break;
                }
                ImageVersionInfo next = it2.next();
                if (next.getBitNumber() == i) {
                    if (next.getSectionSize() > 0 && imageSize > next.getSectionSize()) {
                        ZLogger.w(String.format(Locale.US, "image size is %d exceed the limit of the section size %d", Integer.valueOf(imageSize), Integer.valueOf(next.getSectionSize())));
                        return 2;
                    }
                    ZLogger.v("section validate ok: " + imageSize);
                }
            }
        }
        return 1;
    }
}
