package com.realsil.sdk.dfu.utils;

import android.bluetooth.BluetoothDevice;
import android.bluetooth.BluetoothGatt;
import android.bluetooth.BluetoothGattCallback;
import android.bluetooth.BluetoothGattCharacteristic;
import android.bluetooth.BluetoothGattService;
import android.content.Context;
import android.os.Build;
import android.os.Handler;
import android.os.Looper;
import com.realsil.sdk.core.bluetooth.BluetoothProfileManager;
import com.realsil.sdk.core.bluetooth.GlobalGatt;
import com.realsil.sdk.core.bluetooth.impl.BluetoothDeviceImpl;
import com.realsil.sdk.core.bluetooth.impl.BluetoothGattImpl;
import com.realsil.sdk.core.logger.ZLogger;
import com.realsil.sdk.dfu.DfuException;
import com.realsil.sdk.dfu.exception.ConnectionException;
import com.realsil.sdk.dfu.j.a;
import com.realsil.sdk.dfu.model.DfuConfig;
import com.realsil.sdk.dfu.model.OtaDeviceInfo;
import com.realsil.sdk.dfu.model.OtaModeInfo;
import com.realsil.sdk.dfu.params.QcConfig;
import com.realsil.sdk.dfu.utils.DfuAdapter;
import java.nio.ByteBuffer;
import java.nio.ByteOrder;
import java.util.List;
import java.util.Locale;
import java.util.Objects;
import java.util.UUID;

/* loaded from: classes2.dex */
public class GattDfuAdapter extends BluetoothDfuAdapter implements com.realsil.sdk.dfu.j.c {
    public static volatile GattDfuAdapter P;
    public GlobalGatt D;
    public BluetoothGatt E;
    public BluetoothGattService F;
    public BluetoothGattService G;
    public BluetoothGattCharacteristic H;
    public com.realsil.sdk.dfu.j.a I;
    public a.c J = new a();
    public Runnable K = new b();
    public Runnable L = new c();
    public Runnable M = new d();
    public Handler N = new Handler(Looper.getMainLooper());
    public BluetoothGattCallback O = new e();

    public class a implements a.c {
        public a() {
        }

        @Override // com.realsil.sdk.dfu.j.a.c
        public void a(int i) {
            if (!GattDfuAdapter.this.isPreparing()) {
                GattDfuAdapter gattDfuAdapter = GattDfuAdapter.this;
                ZLogger.v(gattDfuAdapter.g, String.format("ignore, is not in preparing state: 0x%04X", Integer.valueOf(gattDfuAdapter.n)));
            } else if (i != 1) {
                if (i == 2) {
                    GattDfuAdapter.this.a(new ConnectionException(5));
                }
            } else if (GattDfuAdapter.this.isBackConnecting()) {
                GattDfuAdapter.this.notifyStateChanged(DfuAdapter.STATE_BACKCONNECT_SYNC_DATA);
            } else {
                GattDfuAdapter.this.notifyStateChanged(527);
            }
        }
    }

    public class b implements Runnable {
        public b() {
        }

        @Override // java.lang.Runnable
        public void run() {
            GattDfuAdapter.this.a(15000L);
            try {
                Thread.sleep(800L);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
            GattDfuAdapter.this.d();
        }
    }

    public class c implements Runnable {
        public c() {
        }

        @Override // java.lang.Runnable
        public void run() {
            GattDfuAdapter.this.d();
        }
    }

    public class d implements Runnable {
        public d() {
        }

        @Override // java.lang.Runnable
        public void run() {
            GattDfuAdapter gattDfuAdapter = GattDfuAdapter.this;
            if (gattDfuAdapter.n != 534) {
                ZLogger.d("ignore state:" + GattDfuAdapter.this.n);
                return;
            }
            gattDfuAdapter.y = gattDfuAdapter.getBondState(gattDfuAdapter.z);
            if (GattDfuAdapter.this.y == 11) {
                ZLogger.v("BOND_BONDING: wait to discover service");
                new Thread(GattDfuAdapter.this.K).start();
                return;
            }
            ZLogger.v(">> mBondState: " + GattDfuAdapter.this.y);
            new Thread(GattDfuAdapter.this.L).start();
        }
    }

    public class e extends BluetoothGattCallback {
        public e() {
        }

        public final void a() {
            if (!GattDfuAdapter.this.isPreparing()) {
                GattDfuAdapter.this.notifyStateChanged(4097);
            } else {
                GattDfuAdapter.this.notifyLock();
                GattDfuAdapter.this.a(new ConnectionException(0));
            }
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onCharacteristicRead(BluetoothGatt bluetoothGatt, BluetoothGattCharacteristic bluetoothGattCharacteristic, int i) {
            super.onCharacteristicRead(bluetoothGatt, bluetoothGattCharacteristic, i);
            UUID uuid = bluetoothGattCharacteristic.getUuid();
            bluetoothGattCharacteristic.getValue();
            if (i != 0) {
                ZLogger.d(GattDfuAdapter.this.e, String.format("Characteristic read error:0x%04X ", Integer.valueOf(i)));
                if (!com.realsil.sdk.dfu.j.c.c.equals(uuid)) {
                    ZLogger.v("ignore exctption when read other info");
                    return;
                } else {
                    if (GattDfuAdapter.this.isPreparing()) {
                        GattDfuAdapter.this.a(new ConnectionException(5));
                        return;
                    }
                    return;
                }
            }
            byte[] value = bluetoothGattCharacteristic.getValue();
            if (com.realsil.sdk.dfu.j.c.c.equals(uuid)) {
                ByteBuffer wrap = ByteBuffer.wrap(value);
                wrap.order(ByteOrder.LITTLE_ENDIAN);
                GattDfuAdapter.this.b(wrap.getShort(0));
                if (GattDfuAdapter.this.I != null) {
                    com.realsil.sdk.dfu.j.a aVar = GattDfuAdapter.this.I;
                    GattDfuAdapter gattDfuAdapter = GattDfuAdapter.this;
                    String str = gattDfuAdapter.z;
                    BluetoothGatt bluetoothGatt2 = gattDfuAdapter.E;
                    GattDfuAdapter gattDfuAdapter2 = GattDfuAdapter.this;
                    aVar.a(str, bluetoothGatt2, gattDfuAdapter2.F, gattDfuAdapter2.G);
                }
            }
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onConnectionStateChange(BluetoothGatt bluetoothGatt, int i, int i2) {
            if (i != 0) {
                a();
                return;
            }
            if (i2 != 2) {
                if (i2 == 0) {
                    GattDfuAdapter.this.disconnect();
                    a();
                    return;
                }
                return;
            }
            GattDfuAdapter gattDfuAdapter = GattDfuAdapter.this;
            gattDfuAdapter.E = gattDfuAdapter.D.getBluetoothGatt(GattDfuAdapter.this.z);
            ConnectParams connectParams = GattDfuAdapter.this.i;
            if (connectParams != null && connectParams.isRefreshCache()) {
                BluetoothGattImpl.refresh(bluetoothGatt);
            }
            if (bluetoothGatt == null) {
                a();
                return;
            }
            GattDfuAdapter gattDfuAdapter2 = GattDfuAdapter.this;
            if (gattDfuAdapter2.n != 534) {
                gattDfuAdapter2.notifyStateChanged(DfuAdapter.STATE_PENDDING_DISCOVERY_SERVICE);
                if (GattDfuAdapter.this.N == null) {
                    ZLogger.v(GattDfuAdapter.this.e, "mHandler == null");
                    return;
                }
                ZLogger.v("delay to discover service for : 1600");
                GattDfuAdapter.this.N.removeCallbacks(GattDfuAdapter.this.M);
                boolean postDelayed = GattDfuAdapter.this.N.postDelayed(GattDfuAdapter.this.M, 1600L);
                if (postDelayed) {
                    return;
                }
                ZLogger.v(GattDfuAdapter.this.e, "postDelayed:" + postDelayed);
            }
        }

        @Override // android.bluetooth.BluetoothGattCallback
        public void onServicesDiscovered(BluetoothGatt bluetoothGatt, int i) {
            GattDfuAdapter gattDfuAdapter = GattDfuAdapter.this;
            int i2 = gattDfuAdapter.n;
            if (i2 == 1025) {
                ZLogger.d("ignore, when it is ota processing");
                return;
            }
            if (i != 0) {
                ZLogger.w("service discovery failed !!!");
                if (GattDfuAdapter.this.isPreparing()) {
                    GattDfuAdapter.this.a(new ConnectionException(1));
                    return;
                }
                return;
            }
            if (i2 != 535) {
                gattDfuAdapter.notifyStateChanged(DfuAdapter.STATE_READ_DEVICE_INFO);
            } else {
                gattDfuAdapter.notifyStateChanged(DfuAdapter.STATE_READ_DEVICE_INFO);
                GattDfuAdapter.this.notifyLock();
            }
        }
    }

    public GattDfuAdapter(Context context) {
        this.mContext = context;
        c();
    }

    public static GattDfuAdapter getInstance(Context context) {
        if (P == null) {
            synchronized (GattDfuAdapter.class) {
                if (P == null) {
                    P = new GattDfuAdapter(context.getApplicationContext());
                }
            }
        }
        return P;
    }

    public int checkBatteryLevel(int i, int i2) {
        int primaryBat = getOtaDeviceInfo().getPrimaryBat();
        if (getOtaDeviceInfo().icType <= 3 && i2 == 1) {
            primaryBat = (((primaryBat * 2) - 210) * 100) / 90;
        }
        if (primaryBat <= i) {
            return DfuException.ERROR_BATTERY_LEVEL_LOW;
        }
        if (primaryBat <= 110 || primaryBat > 140) {
            return 0;
        }
        return DfuException.ERROR_BATTERY_LEVEL_LOW;
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter, com.realsil.sdk.dfu.utils.DfuAdapter
    public boolean connectDevice(ConnectParams connectParams) {
        boolean a2;
        if (!super.connectDevice(connectParams)) {
            return false;
        }
        String str = this.z;
        if (str != null) {
            if (Build.VERSION.SDK_INT >= 19) {
                if (!Objects.equals(str, this.i.getAddress())) {
                    this.D.unRegisterCallback(this.z, this.O);
                    this.D.close(this.z);
                }
            } else if (!equals(str, this.i.getAddress())) {
                this.D.unRegisterCallback(this.z, this.O);
                this.D.close(this.z);
            }
        }
        this.x = getRemoteDevice(this.i.getAddress());
        String address = this.i.getAddress();
        this.z = address;
        int bondState = getBondState(address);
        this.y = bondState;
        ZLogger.v(this.e, String.format(Locale.US, ">> mBondState: %d", Integer.valueOf(bondState)));
        if (this.i.isHid()) {
            a2 = b(this.z);
            if (!a2) {
                a2 = a(this.z);
            }
        } else {
            a2 = a(this.z);
        }
        if (!a2) {
            notifyStateChanged(4098);
        }
        return a2;
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter, com.realsil.sdk.dfu.utils.DfuAdapter
    public void destroy() {
        super.destroy();
        GlobalGatt globalGatt = this.D;
        if (globalGatt != null) {
            globalGatt.unRegisterCallback(this.z, this.O);
        }
        com.realsil.sdk.dfu.j.a aVar = this.I;
        if (aVar != null) {
            aVar.a();
        }
        P = null;
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public void disconnect() {
        super.disconnect();
        String str = this.z;
        if (str == null) {
            ZLogger.d("no device registed");
            notifyStateChanged(4097);
        } else {
            GlobalGatt globalGatt = this.D;
            if (globalGatt == null) {
                ZLogger.d("mGlobalGatt == null");
                notifyStateChanged(4097);
            } else if (!globalGatt.isConnected(str)) {
                ZLogger.v("already disconnected");
                notifyStateChanged(4097);
            } else if (this.D.isCallbackRegisted(this.z, this.O)) {
                notifyStateChanged(4096);
                this.D.close(this.z);
            } else {
                ZLogger.v("no gatt callback registed");
                notifyStateChanged(4097);
            }
        }
        this.E = null;
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter
    public OtaDeviceInfo getOtaDeviceInfo() {
        com.realsil.sdk.dfu.j.a aVar = this.I;
        return aVar != null ? aVar.b() : super.getOtaDeviceInfo();
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public OtaModeInfo getPriorityWorkMode(int i) {
        com.realsil.sdk.dfu.j.a aVar = this.I;
        return aVar != null ? aVar.a(i) : super.getPriorityWorkMode(i);
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public List<OtaModeInfo> getSupportedModes() {
        com.realsil.sdk.dfu.j.a aVar = this.I;
        return aVar != null ? aVar.c() : super.getSupportedModes();
    }

    public boolean isHogpConnect(String str) {
        return isHogpConnect(getRemoteDevice(str));
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter
    public void processBluetoothStateChanged(int i) {
        super.processBluetoothStateChanged(i);
        if (i != 10 || Build.VERSION.SDK_INT < 29) {
            return;
        }
        if (!isPreparing()) {
            notifyStateChanged(4097);
            return;
        }
        ZLogger.v("auto disconnect when bt off");
        disconnect();
        notifyLock();
        a(new ConnectionException(0));
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter
    public void processBondStateChanged(int i) {
        switch (i) {
            case 10:
                ZLogger.v(this.e, "BOND_NONE");
                if (this.n == 531 && this.x != null) {
                    ZLogger.v(this.e, "createBond");
                    this.x.createBond();
                    break;
                }
                break;
            case 11:
                ZLogger.v(this.e, "BOND_BONDING");
                break;
            case 12:
                ZLogger.v(this.e, "BOND_BONDED");
                if (this.n != 530) {
                    notifyLock();
                    break;
                } else if (this.x != null) {
                    if (!isHogpConnect(this.z)) {
                        ZLogger.v(this.g, "hid not connect");
                        notifyStateChanged(529);
                        BluetoothProfileManager.getInstance().connectHid(this.x);
                        break;
                    } else {
                        ZLogger.v(this.g, "hid already connected");
                        a(this.z);
                        break;
                    }
                }
                break;
        }
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter
    public void processHidStateChanged(int i) {
        super.processHidStateChanged(i);
        if (i == 0) {
            ZLogger.v(this.e, " Braodcast: RCU Disconnected!");
            if (this.n == 529) {
                a(new ConnectionException(0));
                return;
            }
            return;
        }
        if (i == 1) {
            ZLogger.v(this.e, "RCU Connecting!");
            return;
        }
        if (i != 2) {
            if (i != 3) {
                return;
            }
            ZLogger.v(this.e, " Braodcast: RCU Disconnecting!");
            return;
        }
        ZLogger.v(this.e, "RCU Connected!");
        if (this.n == 529) {
            ZLogger.v(this.e, "connect gatt: " + this.z);
            notifyStateChanged(DfuAdapter.STATE_PREPARE_CONNECTING);
            this.D.connect(this.z, this.O);
        }
    }

    public void readDeviceInfo() {
        BluetoothGattService service;
        BluetoothGattService service2;
        BluetoothGatt bluetoothGatt = this.E;
        if (bluetoothGatt == null) {
            return;
        }
        ConnectParams connectParams = this.i;
        if (connectParams != null) {
            service = bluetoothGatt.getService(connectParams.getOtaServiceUuid());
            service2 = this.E.getService(this.i.getDfuServiceUuid());
        } else {
            service = bluetoothGatt.getService(com.realsil.sdk.dfu.j.c.b);
            service2 = this.E.getService(com.realsil.sdk.dfu.j.c.d);
        }
        this.F = service;
        this.G = service2;
        notifyStateChanged(DfuAdapter.STATE_READ_PROTOCOL_TYPE);
        if (service == null) {
            ZLogger.d(this.e, "not find OTA_SERVICE = " + com.realsil.sdk.dfu.j.c.b);
            this.H = null;
        } else {
            ZLogger.v(this.e, "find OTA_SERVICE = " + com.realsil.sdk.dfu.j.c.b);
            this.H = service.getCharacteristic(com.realsil.sdk.dfu.j.c.c);
        }
        if (this.H == null) {
            b(0);
            com.realsil.sdk.dfu.j.a aVar = this.I;
            if (aVar != null) {
                aVar.a(this.z, this.E, this.F, this.G);
                return;
            }
            return;
        }
        ZLogger.v(this.e, "find CHARACTERISTIC_PROTOCOL_TYPE = " + com.realsil.sdk.dfu.j.c.c);
        a(this.H);
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter
    public boolean startOtaProcedure(OtaDeviceInfo otaDeviceInfo, DfuConfig dfuConfig, QcConfig qcConfig, boolean z) {
        if (!super.startOtaProcedure(otaDeviceInfo, dfuConfig, qcConfig, z)) {
            return false;
        }
        notifyStateChanged(1025);
        GlobalGatt globalGatt = this.D;
        if (globalGatt != null) {
            globalGatt.unRegisterCallback(this.z, this.O);
        }
        com.realsil.sdk.dfu.j.a aVar = this.I;
        if (aVar != null) {
            aVar.a();
        }
        boolean a2 = this.h.a(dfuConfig);
        if (!a2) {
            notifyStateChanged(1026);
        }
        return a2;
    }

    @Override // com.realsil.sdk.dfu.utils.DfuAdapter
    public boolean b() {
        boolean a2;
        if (!super.b()) {
            notifyStateChanged(4098);
            return false;
        }
        if (this.i.isHid()) {
            a2 = b(this.z);
            if (!a2) {
                a2 = a(this.z);
            }
        } else {
            a2 = a(this.z);
        }
        if (!a2) {
            notifyStateChanged(4098);
        }
        return a2;
    }

    @Override // com.realsil.sdk.dfu.utils.BluetoothDfuAdapter
    public void c() {
        super.c();
        GlobalGatt globalGatt = GlobalGatt.getInstance();
        this.D = globalGatt;
        if (globalGatt == null) {
            GlobalGatt.initial(this.mContext);
            this.D = GlobalGatt.getInstance();
        }
    }

    public final boolean d() {
        if (this.n == 535) {
            ZLogger.w("discoverServices already started");
            return false;
        }
        if (this.E == null) {
            ZLogger.w("mBtGatt is null");
            return false;
        }
        notifyStateChanged(DfuAdapter.STATE_DISCOVERY_SERVICE);
        ZLogger.v("discoverServices...");
        if (!this.E.discoverServices()) {
            ZLogger.d("discoverServices failed");
            if (isPreparing()) {
                a(new ConnectionException(1));
            }
            return false;
        }
        synchronized (this.l) {
            try {
                ZLogger.v("wait discover service complete");
                this.l.wait(30000L);
            } catch (InterruptedException e2) {
                e2.printStackTrace();
                ZLogger.e(e2.toString());
            }
        }
        if (this.n != 535) {
            readDeviceInfo();
            return true;
        }
        ZLogger.w("discoverServices timeout");
        disconnect();
        return false;
    }

    public boolean isHogpConnect(BluetoothDevice bluetoothDevice) {
        return bluetoothDevice != null && BluetoothProfileManager.getInstance().getConnectionState(4, bluetoothDevice) == 2;
    }

    public final boolean a(String str) {
        notifyStateChanged(DfuAdapter.STATE_PREPARE_CONNECTING);
        return this.D.connect(str, this.O);
    }

    public final boolean a(BluetoothDevice bluetoothDevice) {
        if (bluetoothDevice == null) {
            return false;
        }
        if (!BluetoothProfileManager.getInstance().isProfileSupported(4)) {
            ZLogger.w("HID_HOST not supported");
            return false;
        }
        int bondState = bluetoothDevice.getBondState();
        if (bondState != 12) {
            ZLogger.d(this.e, "connect with not bond device, bond first, current state: " + bondState);
            notifyStateChanged(512, 18);
            return bluetoothDevice.createBond();
        }
        if (isHogpConnect(bluetoothDevice.getAddress())) {
            ZLogger.d("hogp already connected");
            return a(bluetoothDevice.getAddress());
        }
        if (BluetoothDeviceImpl.removeBond(bluetoothDevice)) {
            ZLogger.d("remove bond first");
            notifyStateChanged(531);
            return false;
        }
        ZLogger.d("remove bond failed");
        notifyStateChanged(529);
        return BluetoothProfileManager.getInstance().connectHid(bluetoothDevice);
    }

    public static GattDfuAdapter getInstance(Context context, DfuAdapter.DfuHelperCallback dfuHelperCallback) {
        if (P == null) {
            synchronized (GattDfuAdapter.class) {
                if (P == null) {
                    P = new GattDfuAdapter(context.getApplicationContext(), dfuHelperCallback);
                }
            }
        }
        return P;
    }

    public final boolean b(String str) {
        return a(getRemoteDevice(str));
    }

    public final void b(int i) {
        ZLogger.v(String.format("protocolType=0x%04X", Integer.valueOf(i)));
        com.realsil.sdk.dfu.j.a aVar = this.I;
        if (aVar != null) {
            aVar.a();
        }
        if (i == 16) {
            this.I = new com.realsil.sdk.dfu.m.a();
        } else if (i == 18) {
            ConnectParams connectParams = this.i;
            this.I = new com.realsil.sdk.dfu.k.a(i, connectParams != null && "BeeTgt02".equals(connectParams.getLocalName()));
        } else {
            ConnectParams connectParams2 = this.i;
            this.I = new com.realsil.sdk.dfu.l.a(0, connectParams2 != null && "BeeTgt02".equals(connectParams2.getLocalName()));
        }
        this.I.a(this.z, this.E, this.F, this.G, this.J);
    }

    public final boolean a(BluetoothGattCharacteristic bluetoothGattCharacteristic) {
        if (this.E != null && bluetoothGattCharacteristic != null) {
            if (this.e) {
                ZLogger.v(String.format(Locale.US, "readCharacteristic:(%d) %s", Integer.valueOf(bluetoothGattCharacteristic.getInstanceId()), bluetoothGattCharacteristic.getUuid().toString()));
            }
            return this.E.readCharacteristic(bluetoothGattCharacteristic);
        }
        ZLogger.w("mBtGatt is null maybe disconnected just now");
        return false;
    }

    public GattDfuAdapter(Context context, DfuAdapter.DfuHelperCallback dfuHelperCallback) {
        this.mContext = context;
        this.k = dfuHelperCallback;
        c();
    }
}
