package com.scwang.smartrefresh.layout.header.bezierradar;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.view.View;
import com.scwang.smartrefresh.layout.util.DensityUtil;

/* loaded from: classes2.dex */
public class RoundDotView extends View {
    private float fraction;
    private Paint mPath;
    private float mRadius;
    private int num;

    public RoundDotView(Context context) {
        super(context);
        this.num = 7;
        Paint paint = new Paint();
        this.mPath = paint;
        paint.setAntiAlias(true);
        this.mPath.setColor(-1);
        this.mRadius = DensityUtil.dp2px(7.0f);
    }

    @Override // android.view.View
    protected void onMeasure(int i, int i2) {
        setMeasuredDimension(resolveSize(getSuggestedMinimumWidth(), i), resolveSize(getSuggestedMinimumHeight(), i2));
    }

    public void setDotColor(int i) {
        this.mPath.setColor(i);
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int width = getWidth();
        int height = getHeight();
        int i = this.num;
        float f = this.fraction;
        float f2 = 1.0f;
        float f3 = ((width / i) * f) - (f > 1.0f ? ((f - 1.0f) * (width / i)) / f : 0.0f);
        float f4 = height;
        float f5 = 2.0f;
        float f6 = f4 - (f > 1.0f ? (((f - 1.0f) * f4) / 2.0f) / f : 0.0f);
        int i2 = 0;
        while (true) {
            int i3 = this.num;
            if (i2 >= i3) {
                return;
            }
            float f7 = (i2 + f2) - ((i3 + f2) / f5);
            float abs = (f2 - ((Math.abs(f7) / this.num) * f5)) * 255.0f;
            float px2dp = DensityUtil.px2dp(f4);
            this.mPath.setAlpha((int) (abs * (1.0d - (1.0d / Math.pow((px2dp / 800.0d) + 1.0d, 15.0d)))));
            float f8 = this.mRadius * (1.0f - (1.0f / ((px2dp / 10.0f) + 1.0f)));
            canvas.drawCircle(((width / 2) - (f8 / 2.0f)) + (f7 * f3), f6 / 2.0f, f8, this.mPath);
            i2++;
            f2 = 1.0f;
            f5 = 2.0f;
        }
    }

    public void setFraction(float f) {
        this.fraction = f;
    }
}
