package com.scwang.smartrefresh.layout.header.bezierradar;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Path;
import android.util.AttributeSet;
import android.view.View;

/* loaded from: classes2.dex */
public class WaveView extends View {
    private int headHeight;
    private int mOffsetX;
    private Paint paint;
    private Path path;
    private int waveHeight;

    public WaveView(Context context) {
        this(context, null, 0);
    }

    public WaveView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public WaveView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.mOffsetX = -1;
        initView();
    }

    private void initView() {
        this.path = new Path();
        Paint paint = new Paint();
        this.paint = paint;
        paint.setColor(-14736346);
        this.paint.setAntiAlias(true);
    }

    @Override // android.view.View
    protected void onMeasure(int i, int i2) {
        setMeasuredDimension(resolveSize(getSuggestedMinimumWidth(), i), resolveSize(getSuggestedMinimumHeight(), i2));
    }

    public void setWaveColor(int i) {
        this.paint.setColor(i);
    }

    public int getHeadHeight() {
        return this.headHeight;
    }

    public void setHeadHeight(int i) {
        this.headHeight = i;
    }

    public int getWaveHeight() {
        return this.waveHeight;
    }

    public void setWaveHeight(int i) {
        this.waveHeight = i;
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        int width = getWidth();
        this.path.reset();
        this.path.lineTo(0.0f, this.headHeight);
        Path path = this.path;
        int i = this.mOffsetX;
        if (i < 0) {
            i = width / 2;
        }
        float f = width;
        path.quadTo(i, this.waveHeight + r4, f, this.headHeight);
        this.path.lineTo(f, 0.0f);
        canvas.drawPath(this.path, this.paint);
    }

    public void setWaveOffsetX(int i) {
        this.mOffsetX = i;
    }
}
