package com.sina.weibo.sdk.sso;

import android.content.Context;
import android.text.TextUtils;
import com.sina.weibo.sdk.utils.LogUtil;
import com.weibo.ssosdk.MfpBuilder;
import com.weibo.ssosdk.VisitorLoginListener;
import com.weibo.ssosdk.WeiboSsoSdk;
import com.weibo.ssosdk.WeiboSsoSdkConfig;

/* loaded from: classes2.dex */
public final class WeiboSsoManager {
    private static final String TAG = "WeiboSsoManager";
    private String aid;

    /* synthetic */ WeiboSsoManager(AnonymousClass1 anonymousClass1) {
        this();
    }

    private static class Instance {
        private static final WeiboSsoManager instance = new WeiboSsoManager();

        private Instance() {
        }
    }

    private WeiboSsoManager() {
    }

    public static synchronized WeiboSsoManager getInstance() {
        WeiboSsoManager weiboSsoManager;
        synchronized (WeiboSsoManager.class) {
            weiboSsoManager = Instance.instance;
        }
        return weiboSsoManager;
    }

    public void init(Context context, String str) {
        LogUtil.d(TAG, "init config");
        WeiboSsoSdkConfig weiboSsoSdkConfig = new WeiboSsoSdkConfig();
        weiboSsoSdkConfig.setContext(context);
        weiboSsoSdkConfig.setAppKey(str);
        weiboSsoSdkConfig.setFrom("1478195010");
        weiboSsoSdkConfig.setWm("1000_0001");
        WeiboSsoSdk.initConfig(weiboSsoSdkConfig);
        initAid();
    }

    /* renamed from: com.sina.weibo.sdk.sso.WeiboSsoManager$1 */
    class AnonymousClass1 implements VisitorLoginListener {
        AnonymousClass1() {
        }

        @Override // com.weibo.ssosdk.VisitorLoginListener
        public void handler(WeiboSsoSdk.VisitorLoginInfo visitorLoginInfo) {
            if (visitorLoginInfo != null) {
                WeiboSsoManager.this.aid = visitorLoginInfo.getAid();
            } else {
                LogUtil.d(WeiboSsoManager.TAG, "VisitorLoginInfo is null.");
            }
        }
    }

    private void initAid() {
        try {
            WeiboSsoSdk.getInstance().visitorLogin(new VisitorLoginListener() { // from class: com.sina.weibo.sdk.sso.WeiboSsoManager.1
                AnonymousClass1() {
                }

                @Override // com.weibo.ssosdk.VisitorLoginListener
                public void handler(WeiboSsoSdk.VisitorLoginInfo visitorLoginInfo) {
                    if (visitorLoginInfo != null) {
                        WeiboSsoManager.this.aid = visitorLoginInfo.getAid();
                    } else {
                        LogUtil.d(WeiboSsoManager.TAG, "VisitorLoginInfo is null.");
                    }
                }
            });
        } catch (Exception e) {
            e.printStackTrace();
            LogUtil.e(TAG, e.getMessage());
        }
    }

    public String getAid(Context context, String str) {
        LogUtil.d(TAG, "getAid()");
        if (TextUtils.isEmpty(this.aid)) {
            init(context, str);
        }
        return this.aid;
    }

    public String getMfp(Context context) {
        return MfpBuilder.getMfp(context);
    }
}
