package com.tencent.connect.api;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import com.tencent.connect.a;
import com.tencent.connect.auth.QQToken;
import com.tencent.connect.auth.c;
import com.tencent.connect.common.BaseApi;
import com.tencent.connect.common.Constants;
import com.tencent.open.apireq.BaseResp;
import com.tencent.open.apireq.IApiCallback;
import com.tencent.open.log.SLog;
import com.tencent.open.utils.k;
import com.tencent.tauth.IUiListener;
import com.tencent.tauth.UiError;
import org.json.JSONObject;

/* compiled from: ProGuard */
/* loaded from: classes2.dex */
public class QQAuthManage extends BaseApi {

    /* compiled from: ProGuard */
    public static class Resp extends BaseResp {
    }

    public QQAuthManage(c cVar, QQToken qQToken) {
        super(cVar, qQToken);
    }

    public void gotoManagePage(Activity activity, IApiCallback iApiCallback) {
        SLog.i("QQAuthManage", "gotoManagePage");
        Resp resp = new Resp();
        if (a.a("QQAuthManage", null)) {
            resp.setCode(BaseResp.CODE_PERMISSION_NOT_GRANTED);
            iApiCallback.onResp(resp);
            return;
        }
        int a = a(activity);
        if (a != 0) {
            resp.setCode(a);
            iApiCallback.onResp(resp);
        } else {
            if (!this.c.isSessionValid() || this.c.getOpenId() == null) {
                SLog.i("QQAuthManage", "gotoManagePage: not login");
                resp.setCode(BaseResp.CODE_NOT_LOGIN);
                iApiCallback.onResp(resp);
                return;
            }
            this.b.a(new IUiListener() { // from class: com.tencent.connect.api.QQAuthManage.1
                final /* synthetic */ Activity a;
                final /* synthetic */ IApiCallback b;
                final /* synthetic */ Resp c;

                @Override // com.tencent.tauth.IUiListener
                public void onCancel() {
                }

                @Override // com.tencent.tauth.IUiListener
                public void onWarning(int i) {
                }

                AnonymousClass1(Activity activity2, IApiCallback iApiCallback2, Resp resp2) {
                    r2 = activity2;
                    r3 = iApiCallback2;
                    r4 = resp2;
                }

                @Override // com.tencent.tauth.IUiListener
                public void onComplete(Object obj) {
                    if (obj instanceof JSONObject) {
                        if (((JSONObject) obj).optInt("ret", -1) == 0) {
                            QQAuthManage.this.a(r2, r3);
                            return;
                        }
                        SLog.i("QQAuthManage", "gotoManagePage: checkLogin not login");
                        r4.setCode(BaseResp.CODE_NOT_LOGIN);
                        r3.onResp(r4);
                    }
                }

                @Override // com.tencent.tauth.IUiListener
                public void onError(UiError uiError) {
                    r4.setCode(uiError.errorCode);
                    r4.setErrorMsg(uiError.errorMessage);
                    SLog.e("QQAuthManage", "gotoManagePage: checkLogin error. " + r4);
                    r3.onResp(r4);
                }
            });
        }
    }

    /* compiled from: ProGuard */
    /* renamed from: com.tencent.connect.api.QQAuthManage$1 */
    class AnonymousClass1 implements IUiListener {
        final /* synthetic */ Activity a;
        final /* synthetic */ IApiCallback b;
        final /* synthetic */ Resp c;

        @Override // com.tencent.tauth.IUiListener
        public void onCancel() {
        }

        @Override // com.tencent.tauth.IUiListener
        public void onWarning(int i) {
        }

        AnonymousClass1(Activity activity2, IApiCallback iApiCallback2, Resp resp2) {
            r2 = activity2;
            r3 = iApiCallback2;
            r4 = resp2;
        }

        @Override // com.tencent.tauth.IUiListener
        public void onComplete(Object obj) {
            if (obj instanceof JSONObject) {
                if (((JSONObject) obj).optInt("ret", -1) == 0) {
                    QQAuthManage.this.a(r2, r3);
                    return;
                }
                SLog.i("QQAuthManage", "gotoManagePage: checkLogin not login");
                r4.setCode(BaseResp.CODE_NOT_LOGIN);
                r3.onResp(r4);
            }
        }

        @Override // com.tencent.tauth.IUiListener
        public void onError(UiError uiError) {
            r4.setCode(uiError.errorCode);
            r4.setErrorMsg(uiError.errorMessage);
            SLog.e("QQAuthManage", "gotoManagePage: checkLogin error. " + r4);
            r3.onResp(r4);
        }
    }

    private int a(Activity activity) {
        if (!k.c(activity)) {
            SLog.i("QQAuthManage", "gotoManagePage: not installed all qq");
            return -1000;
        }
        if (!k.b(activity)) {
            SLog.i("QQAuthManage", "gotoManagePage: only support mobile qq");
            return BaseResp.CODE_UNSUPPORTED_BRANCH;
        }
        if (k.c(activity, "8.6.0") >= 0) {
            return 0;
        }
        SLog.i("QQAuthManage", "gotoManagePage: low version");
        return BaseResp.CODE_QQ_LOW_VERSION;
    }

    public void a(Activity activity, IApiCallback iApiCallback) {
        SLog.i("QQAuthManage", "doGotoMangePage");
        StringBuilder sb = new StringBuilder("mqqapi://opensdk/open_auth_manage");
        a(sb, activity);
        Intent intent = new Intent();
        intent.setData(Uri.parse(sb.toString()));
        intent.putExtra(Constants.PARAM_PKG_NAME, activity.getPackageName());
        intent.setPackage("com.tencent.mobileqq");
        intent.setFlags(335544320);
        activity.startActivity(intent);
        iApiCallback.onResp(new Resp());
    }
}
