package com.zhuoting.health;

import android.app.Activity;
import android.app.Application;
import android.content.Context;
import android.graphics.Typeface;
import android.os.Bundle;
import android.os.Environment;
import com.amap.api.maps.MapsInitializer;
import com.facebook.FacebookSdk;
import com.facebook.appevents.AppEventsLogger;
import com.realsil.sdk.core.RtkConfigure;
import com.realsil.sdk.core.RtkCore;
import com.realsil.sdk.dfu.RtkDfu;
import com.scwang.smartrefresh.layout.SmartRefreshLayout;
import com.scwang.smartrefresh.layout.api.DefaultRefreshFooterCreater;
import com.scwang.smartrefresh.layout.api.DefaultRefreshHeaderCreater;
import com.scwang.smartrefresh.layout.api.RefreshFooter;
import com.scwang.smartrefresh.layout.api.RefreshHeader;
import com.scwang.smartrefresh.layout.api.RefreshLayout;
import com.scwang.smartrefresh.layout.footer.ClassicsFooter;
import com.scwang.smartrefresh.layout.header.ClassicsHeader;
import com.tencent.mm.opensdk.openapi.IWXAPI;
import com.zhuoting.health.event.SyncData;
import com.zhuoting.health.observer.SubObserver;
import com.zhuoting.health.tools.BleHandler;
import com.zhuoting.health.tools.LogToFileUtils;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.SPUtils;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.weathers.WeatherUtils;
import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.SSLSession;
import org.greenrobot.eventbus.EventBus;

/* loaded from: classes2.dex */
public class HealthApplication extends MyApplication {
    public static final int IntervalTime = 30;
    private static final String TAG = "HealthApplication";
    public static final String WX_APPID = "wx944dbd119d02c1ff";
    public static final String WX_APPSecret = "3f6780969eb1f8d988d927b4bdea5a49";
    private static HealthApplication instance = null;
    public static boolean isBackground = false;
    public static boolean isInit = false;
    public static boolean isSend = false;
    public static boolean isStartECG = false;
    public static boolean isSyncing = false;
    public static boolean refreshWeather = true;
    private IWXAPI api;
    int mFinalCount;
    private Typeface proxima_nova_bold;
    private Typeface proxima_nova_extrabold;
    private Typeface proxima_nova_regular;
    public static String fileName = Environment.getExternalStorageDirectory() + "/MecareMsg.txt";
    public static boolean isUpgradeing = false;

    @Override // com.zhuoting.health.MyApplication
    public native int crc16JNI(byte[] bArr);

    public native float getHrv();

    public native float getRri();

    @Override // com.zhuoting.health.MyApplication
    public native int initHeart(int i, boolean z);

    @Override // com.zhuoting.health.MyApplication
    public native int makeValue(int i);

    public static HealthApplication getInstance() {
        return instance;
    }

    static {
        SmartRefreshLayout.setDefaultRefreshHeaderCreater(new DefaultRefreshHeaderCreater() { // from class: com.zhuoting.health.HealthApplication.1
            AnonymousClass1() {
            }

            @Override // com.scwang.smartrefresh.layout.api.DefaultRefreshHeaderCreater
            public RefreshHeader createRefreshHeader(Context context, RefreshLayout refreshLayout) {
                refreshLayout.setPrimaryColorsId(com.zhuoting.healthd.R.color.around_in_2, com.zhuoting.healthd.R.color.text_a3a);
                return new ClassicsHeader(context);
            }
        });
        SmartRefreshLayout.setDefaultRefreshFooterCreater(new DefaultRefreshFooterCreater() { // from class: com.zhuoting.health.HealthApplication.2
            AnonymousClass2() {
            }

            @Override // com.scwang.smartrefresh.layout.api.DefaultRefreshFooterCreater
            public RefreshFooter createRefreshFooter(Context context, RefreshLayout refreshLayout) {
                return new ClassicsFooter(context).setDrawableSize(30.0f);
            }
        });
        System.loadLibrary("new_native_lib");
    }

    /* renamed from: com.zhuoting.health.HealthApplication$1 */
    class AnonymousClass1 implements DefaultRefreshHeaderCreater {
        AnonymousClass1() {
        }

        @Override // com.scwang.smartrefresh.layout.api.DefaultRefreshHeaderCreater
        public RefreshHeader createRefreshHeader(Context context, RefreshLayout refreshLayout) {
            refreshLayout.setPrimaryColorsId(com.zhuoting.healthd.R.color.around_in_2, com.zhuoting.healthd.R.color.text_a3a);
            return new ClassicsHeader(context);
        }
    }

    /* renamed from: com.zhuoting.health.HealthApplication$2 */
    class AnonymousClass2 implements DefaultRefreshFooterCreater {
        AnonymousClass2() {
        }

        @Override // com.scwang.smartrefresh.layout.api.DefaultRefreshFooterCreater
        public RefreshFooter createRefreshFooter(Context context, RefreshLayout refreshLayout) {
            return new ClassicsFooter(context).setDrawableSize(30.0f);
        }
    }

    @Override // com.zhuoting.health.MyApplication, android.app.Application
    public void onCreate() {
        super.onCreate();
        if (Tools.readBoolean("is_agree_policy", getApplicationContext(), false)) {
            initSdkAfterAgree();
        }
        if (NetTools.isAltecThrive()) {
            this.proxima_nova_bold = Typeface.createFromAsset(getAssets(), "fonts/proxima_nova_bold.otf");
            this.proxima_nova_extrabold = Typeface.createFromAsset(getAssets(), "fonts/proxima_nova_extrabold.otf");
            this.proxima_nova_regular = Typeface.createFromAsset(getAssets(), "fonts/proxima_nova_regular.otf");
        }
        HttpsURLConnection.setDefaultHostnameVerifier(new HostnameVerifier() { // from class: com.zhuoting.health.HealthApplication.3
            AnonymousClass3() {
            }

            @Override // javax.net.ssl.HostnameVerifier
            public boolean verify(String str, SSLSession sSLSession) {
                return HealthApplication.verifyHostName(str);
            }
        });
    }

    /* renamed from: com.zhuoting.health.HealthApplication$3 */
    class AnonymousClass3 implements HostnameVerifier {
        AnonymousClass3() {
        }

        @Override // javax.net.ssl.HostnameVerifier
        public boolean verify(String str, SSLSession sSLSession) {
            return HealthApplication.verifyHostName(str);
        }
    }

    public static void checkInitSdkAfterAgree(Activity activity) {
        HealthApplication healthApplication;
        if (activity == null || !(activity.getApplication() instanceof HealthApplication) || (healthApplication = (HealthApplication) activity.getApplication()) == null) {
            return;
        }
        healthApplication.initSdkAfterAgree();
    }

    private void initSdkAfterAgree() {
        LogToFileUtils.init(getApplicationContext());
        SubObserver.getInstance();
        instance = this;
        FacebookSdk.sdkInitialize(getApplicationContext());
        AppEventsLogger.activateApp(getApplicationContext());
        try {
            MapsInitializer.updatePrivacyShow(getApplicationContext(), true, true);
            MapsInitializer.updatePrivacyAgree(getApplicationContext(), true);
            if (Tools.readBoolean("is_agree_policy", getApplicationContext(), false)) {
                WeatherUtils.weatherFunction(getApplicationContext());
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        registerFrontOrBackGround();
        RtkCore.initialize(this, new RtkConfigure.Builder().debugEnabled(true).printLog(true).logTag("OTA").build());
        RtkDfu.initialize(this, true);
    }

    public static boolean verifyHostName(String str) {
        return str.contains("web-api.ycaviation.com") || str.contains("web-api-test-d.ycaviation.com") || str.contains("weather-api.ycaviation.com") || str.contains("weather-api-test-d.ycaviation.com") || str.contains("android.bugly.qq.com") || str.contains("dualstack-a.apilocate.amap.com") || str.contains("apilocate.amap.com") || str.contains("mpsapi.amap.com") || str.contains("restsdk.amap.com") || str.contains("opsc-test-d.ycaviation.com") || str.contains("h.trace.qq.com") || str.contains("cgi.connect.qq.com") || str.contains("appsupport.qq.com") || str.contains("thirdwx.qlogo.cn") || str.contains("app.storage.test.ycinnovate.com") || str.contains("kangyuanai.com") || str.contains("aitis.co") || str.contains("wprd01.is.autonavi.com") || str.contains("wprd02.is.autonavi.com") || str.contains("wprd03.is.autonavi.com") || str.contains("wprd04.is.autonavi.com") || str.contains("autonavi.com") || str.contains("opsc.ycaviation.com") || str.contains("googleapis.com") || str.contains("amap.com") || str.contains("qq.com") || str.contains("ycaviation.com") || str.contains("ycinnovate.com") || str.contains("google.com");
    }

    public Typeface getProximaNovaBold() {
        return this.proxima_nova_bold;
    }

    public Typeface getProximaNovaExtrabold() {
        return this.proxima_nova_extrabold;
    }

    public Typeface getProximaNovaRegular() {
        return this.proxima_nova_regular;
    }

    /* renamed from: com.zhuoting.health.HealthApplication$4 */
    class AnonymousClass4 implements Application.ActivityLifecycleCallbacks {
        @Override // android.app.Application.ActivityLifecycleCallbacks
        public void onActivityCreated(Activity activity, Bundle bundle) {
        }

        @Override // android.app.Application.ActivityLifecycleCallbacks
        public void onActivityDestroyed(Activity activity) {
        }

        @Override // android.app.Application.ActivityLifecycleCallbacks
        public void onActivityPaused(Activity activity) {
        }

        @Override // android.app.Application.ActivityLifecycleCallbacks
        public void onActivityResumed(Activity activity) {
        }

        @Override // android.app.Application.ActivityLifecycleCallbacks
        public void onActivitySaveInstanceState(Activity activity, Bundle bundle) {
        }

        AnonymousClass4() {
        }

        @Override // android.app.Application.ActivityLifecycleCallbacks
        public void onActivityStarted(Activity activity) {
            HealthApplication.this.mFinalCount++;
            if (HealthApplication.this.mFinalCount == 1) {
                BleHandler.getInstance(HealthApplication.this.getApplicationContext()).changeBack(false);
                BleHandler.getInstance(HealthApplication.this.getApplicationContext()).clearCache();
                HealthApplication.isBackground = false;
                if ((System.currentTimeMillis() / 1000) - ((Long) SPUtils.get(HealthApplication.instance, "isSyncTime", 2642425182L)).longValue() <= 600 || !BleHandler.iscon || BleHandler.getInstance(HealthApplication.instance).myDevice == null) {
                    return;
                }
                HealthApplication.isSyncing = true;
                EventBus.getDefault().post(new SyncData());
            }
        }

        @Override // android.app.Application.ActivityLifecycleCallbacks
        public void onActivityStopped(Activity activity) {
            HealthApplication.this.mFinalCount--;
            if (HealthApplication.this.mFinalCount == 0) {
                BleHandler.getInstance(HealthApplication.this.getApplicationContext()).changeBack(true);
                HealthApplication.isBackground = true;
            }
        }
    }

    private void registerFrontOrBackGround() {
        registerActivityLifecycleCallbacks(new Application.ActivityLifecycleCallbacks() { // from class: com.zhuoting.health.HealthApplication.4
            @Override // android.app.Application.ActivityLifecycleCallbacks
            public void onActivityCreated(Activity activity, Bundle bundle) {
            }

            @Override // android.app.Application.ActivityLifecycleCallbacks
            public void onActivityDestroyed(Activity activity) {
            }

            @Override // android.app.Application.ActivityLifecycleCallbacks
            public void onActivityPaused(Activity activity) {
            }

            @Override // android.app.Application.ActivityLifecycleCallbacks
            public void onActivityResumed(Activity activity) {
            }

            @Override // android.app.Application.ActivityLifecycleCallbacks
            public void onActivitySaveInstanceState(Activity activity, Bundle bundle) {
            }

            AnonymousClass4() {
            }

            @Override // android.app.Application.ActivityLifecycleCallbacks
            public void onActivityStarted(Activity activity) {
                HealthApplication.this.mFinalCount++;
                if (HealthApplication.this.mFinalCount == 1) {
                    BleHandler.getInstance(HealthApplication.this.getApplicationContext()).changeBack(false);
                    BleHandler.getInstance(HealthApplication.this.getApplicationContext()).clearCache();
                    HealthApplication.isBackground = false;
                    if ((System.currentTimeMillis() / 1000) - ((Long) SPUtils.get(HealthApplication.instance, "isSyncTime", 2642425182L)).longValue() <= 600 || !BleHandler.iscon || BleHandler.getInstance(HealthApplication.instance).myDevice == null) {
                        return;
                    }
                    HealthApplication.isSyncing = true;
                    EventBus.getDefault().post(new SyncData());
                }
            }

            @Override // android.app.Application.ActivityLifecycleCallbacks
            public void onActivityStopped(Activity activity) {
                HealthApplication.this.mFinalCount--;
                if (HealthApplication.this.mFinalCount == 0) {
                    BleHandler.getInstance(HealthApplication.this.getApplicationContext()).changeBack(true);
                    HealthApplication.isBackground = true;
                }
            }
        });
    }

    @Override // com.zhuoting.health.MyApplication
    public byte[] makeCRC(byte[] bArr) {
        int crc16JNI = crc16JNI(bArr);
        return new byte[]{(byte) crc16JNI, (byte) (crc16JNI >> 8)};
    }

    @Override // com.zhuoting.health.MyApplication
    public void initHeartHz(int i, boolean z) {
        initHeart(i, z);
    }

    @Override // com.zhuoting.health.MyApplication
    public int makeHeartVal(int i) {
        return makeValue(i);
    }
}
