package com.zhuoting.health.adapter;

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.TextView;
import com.zhuoting.health.model.HistoryBlood;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.healthd.R;
import java.util.List;

/* loaded from: classes2.dex */
public class BloodCareSecAdapter extends BaseAdapter implements AdapterView.OnItemClickListener {
    private List<HistoryBlood> bloodList;
    private Context context;
    private LayoutInflater mInflater;

    public static class BloodViewHolder {
        TextView bloodlal;
        TextView timelal;
        TextView tv_ok;
    }

    @Override // android.widget.Adapter
    public long getItemId(int i) {
        return i;
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
    }

    public BloodCareSecAdapter(Context context, List<HistoryBlood> list) {
        this.bloodList = list;
        this.context = context;
        this.mInflater = LayoutInflater.from(context);
    }

    @Override // android.widget.Adapter
    public int getCount() {
        return this.bloodList.size();
    }

    @Override // android.widget.Adapter
    public Object getItem(int i) {
        return this.bloodList.get(i);
    }

    @Override // android.widget.Adapter
    public View getView(int i, View view, ViewGroup viewGroup) {
        BloodViewHolder bloodViewHolder;
        if (view == null) {
            view = this.mInflater.inflate(R.layout.item_blood_sec, viewGroup, false);
            bloodViewHolder = new BloodViewHolder();
            bloodViewHolder.timelal = (TextView) view.findViewById(R.id.timelal);
            bloodViewHolder.bloodlal = (TextView) view.findViewById(R.id.bloodlal);
            bloodViewHolder.tv_ok = (TextView) view.findViewById(R.id.tv_ok);
            view.setTag(bloodViewHolder);
        } else {
            bloodViewHolder = (BloodViewHolder) view.getTag();
        }
        HistoryBlood historyBlood = this.bloodList.get(i);
        bloodViewHolder.timelal.setText(Tools.fameDate(historyBlood.getRtime()));
        bloodViewHolder.bloodlal.setText(String.format("%d/%d", Integer.valueOf(historyBlood.getDBP()), Integer.valueOf(historyBlood.getSBP())));
        if (historyBlood.getDBP() > 140 || historyBlood.getSBP() > 90) {
            bloodViewHolder.tv_ok.setText(this.context.getResources().getString(R.string.high));
        } else if (historyBlood.getDBP() < 90 || historyBlood.getSBP() < 50) {
            bloodViewHolder.tv_ok.setText(this.context.getResources().getString(R.string.low));
        } else {
            bloodViewHolder.tv_ok.setText(this.context.getResources().getString(R.string.normal));
        }
        if (historyBlood.isInflated == 2) {
            bloodViewHolder.bloodlal.setCompoundDrawablesWithIntrinsicBounds(this.context.getResources().getDrawable(R.mipmap.bo_icon3, null), (Drawable) null, (Drawable) null, (Drawable) null);
        } else {
            bloodViewHolder.bloodlal.setCompoundDrawablesWithIntrinsicBounds(this.context.getResources().getDrawable(R.mipmap.bo_icon4, null), (Drawable) null, (Drawable) null, (Drawable) null);
        }
        return view;
    }
}
