package com.zhuoting.health.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.TextView;
import com.zhuoting.health.model.Spo2Info;
import com.zhuoting.healthd.R;
import java.util.List;

/* loaded from: classes2.dex */
public class BloodSugarAdapter extends BaseAdapter implements AdapterView.OnItemClickListener {
    private Context context;
    private List<Spo2Info> list;
    private LayoutInflater mInflater;

    public static class SpoBreathViewHolder {
        TextView heardlal;
        TextView timelal;
        TextView tv_state;
    }

    @Override // android.widget.Adapter
    public long getItemId(int i) {
        return i;
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
    }

    public BloodSugarAdapter(Context context, List<Spo2Info> list) {
        this.list = list;
        this.context = context;
        this.mInflater = LayoutInflater.from(context);
    }

    @Override // android.widget.Adapter
    public int getCount() {
        List<Spo2Info> list = this.list;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    @Override // android.widget.Adapter
    public Object getItem(int i) {
        return this.list.get(i);
    }

    @Override // android.widget.Adapter
    public View getView(int i, View view, ViewGroup viewGroup) {
        View view2;
        SpoBreathViewHolder spoBreathViewHolder;
        if (view == null) {
            spoBreathViewHolder = new SpoBreathViewHolder();
            view2 = this.mInflater.inflate(R.layout.item_heart_sec, viewGroup, false);
            spoBreathViewHolder.timelal = (TextView) view2.findViewById(R.id.timelal);
            spoBreathViewHolder.heardlal = (TextView) view2.findViewById(R.id.heardlal);
            spoBreathViewHolder.tv_state = (TextView) view2.findViewById(R.id.tv_state);
            view2.setTag(spoBreathViewHolder);
        } else {
            view2 = view;
            spoBreathViewHolder = (SpoBreathViewHolder) view.getTag();
        }
        Spo2Info spo2Info = this.list.get(i);
        spoBreathViewHolder.timelal.setText(spo2Info.timeStr);
        spoBreathViewHolder.heardlal.setText((spo2Info.bloodSugar / 10) + "." + (spo2Info.bloodSugar % 10) + " " + this.context.getString(R.string.home_blood_sugar_unit));
        if (spo2Info.bloodSugar < 28) {
            spoBreathViewHolder.tv_state.setText(this.context.getString(R.string.low));
        } else if (spo2Info.bloodSugar > 78) {
            spoBreathViewHolder.tv_state.setText(this.context.getString(R.string.high));
        } else {
            spoBreathViewHolder.tv_state.setText(this.context.getString(R.string.normal));
        }
        return view2;
    }
}
