package com.zhuoting.health.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.TextView;
import com.zhuoting.health.model.HeartInfo;
import com.zhuoting.healthd.R;
import java.util.List;

/* loaded from: classes2.dex */
public class HeartSecAdapter extends BaseAdapter implements AdapterView.OnItemClickListener {
    private Context context;
    private List<HeartInfo> list;
    private LayoutInflater mInflater;

    public static class HeartSecViewHolder {
        TextView heardlal;
        TextView timelal;
        TextView tv_state;
    }

    @Override // android.widget.Adapter
    public long getItemId(int i) {
        return i;
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
    }

    public HeartSecAdapter(Context context, List<HeartInfo> list) {
        this.context = context;
        this.list = list;
        this.mInflater = LayoutInflater.from(context);
    }

    @Override // android.widget.Adapter
    public int getCount() {
        List<HeartInfo> list = this.list;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    @Override // android.widget.Adapter
    public Object getItem(int i) {
        return this.list.get(i);
    }

    @Override // android.widget.Adapter
    public View getView(int i, View view, ViewGroup viewGroup) {
        HeartSecViewHolder heartSecViewHolder;
        if (view == null) {
            view = this.mInflater.inflate(R.layout.item_heart_sec, viewGroup, false);
            heartSecViewHolder = new HeartSecViewHolder();
            heartSecViewHolder.timelal = (TextView) view.findViewById(R.id.timelal);
            heartSecViewHolder.heardlal = (TextView) view.findViewById(R.id.heardlal);
            heartSecViewHolder.tv_state = (TextView) view.findViewById(R.id.tv_state);
            view.setTag(heartSecViewHolder);
        } else {
            heartSecViewHolder = (HeartSecViewHolder) view.getTag();
        }
        HeartInfo heartInfo = this.list.get(i);
        heartSecViewHolder.timelal.setText(heartInfo.timeStr);
        heartSecViewHolder.heardlal.setText(String.format("%d", Integer.valueOf(heartInfo.heartTimes)) + " " + this.context.getString(R.string.new_bpm_unit));
        if (heartInfo.heartTimes < 50) {
            heartSecViewHolder.tv_state.setText(this.context.getString(R.string.note_slow));
        } else if (heartInfo.heartTimes > 100) {
            heartSecViewHolder.tv_state.setText(this.context.getString(R.string.note_quick));
        } else {
            heartSecViewHolder.tv_state.setText(this.context.getString(R.string.normal));
        }
        return view;
    }
}
