package com.zhuoting.health.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import com.zhuoting.health.model.SleepInfo;
import com.zhuoting.health.model.SleepMegInfo;
import com.zhuoting.healthd.R;
import java.util.List;

/* loaded from: classes2.dex */
public class SleepAdapter extends BaseAdapter {
    private List<SleepInfo> list;
    private LayoutInflater mInflater;

    @Override // android.widget.Adapter
    public long getItemId(int i) {
        return i;
    }

    public SleepAdapter(Context context, List<SleepInfo> list) {
        this.list = list;
        this.mInflater = LayoutInflater.from(context);
    }

    @Override // android.widget.Adapter
    public int getCount() {
        List<SleepInfo> list = this.list;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    @Override // android.widget.Adapter
    public Object getItem(int i) {
        return this.list.get(i);
    }

    @Override // android.widget.Adapter
    public View getView(int i, View view, ViewGroup viewGroup) {
        ViewHolder viewHolder;
        if (view == null) {
            ViewHolder viewHolder2 = new ViewHolder();
            View inflate = this.mInflater.inflate(R.layout.item_sleep_info, viewGroup, false);
            viewHolder2.tvSleepLong = (TextView) inflate.findViewById(R.id.tv_sleep_long);
            viewHolder2.tvSleepTime = (TextView) inflate.findViewById(R.id.tv_sleep_time);
            viewHolder2.tvSleepDeep = (TextView) inflate.findViewById(R.id.tv_sleep_deep);
            viewHolder2.tvSleepLight = (TextView) inflate.findViewById(R.id.tv_sleep_light);
            inflate.setTag(viewHolder2);
            viewHolder = viewHolder2;
            view = inflate;
        } else {
            viewHolder = (ViewHolder) view.getTag();
        }
        SleepInfo sleepInfo = this.list.get(i);
        int i2 = 0;
        int i3 = 0;
        int i4 = 0;
        for (SleepMegInfo sleepMegInfo : sleepInfo.mlist) {
            i2 += sleepMegInfo.sleepLong;
            if (sleepMegInfo.sleepType == 1) {
                i3 += sleepMegInfo.sleepLong;
            } else {
                i4 += sleepMegInfo.sleepLong;
            }
        }
        viewHolder.tvSleepLong.setText(String.format("%.1f", Double.valueOf(i2 / 3600.0d)));
        viewHolder.tvSleepTime.setText(sleepInfo.beginFormet + "-" + sleepInfo.endFormet);
        viewHolder.tvSleepDeep.setText(parseTime(i3));
        viewHolder.tvSleepLight.setText(parseTime(i4));
        return view;
    }

    private final class ViewHolder {
        TextView tvSleepDeep;
        TextView tvSleepLight;
        TextView tvSleepLong;
        TextView tvSleepTime;

        private ViewHolder() {
        }
    }

    public String parseTime(int i) {
        int i2 = i - (i % 60);
        int i3 = (i2 / 60) % 60;
        return String.format("%02d:%02d", Integer.valueOf((i2 - (i3 * 60)) / 3600), Integer.valueOf(i3));
    }
}
