package com.zhuoting.health.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import com.zhuoting.health.model.HistorySleep;
import com.zhuoting.health.model.HistorySleepResponse;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.healthd.R;
import java.util.ArrayList;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

/* loaded from: classes2.dex */
public class SleepCareDetailsAdapter extends BaseAdapter {
    List<HistorySleep> historySleeps = new ArrayList();
    private List<HistorySleepResponse.SleepBean> list;
    private LayoutInflater mInflater;

    @Override // android.widget.Adapter
    public long getItemId(int i) {
        return i;
    }

    public SleepCareDetailsAdapter(Context context, List<HistorySleepResponse.SleepBean> list) {
        this.list = list;
        this.mInflater = LayoutInflater.from(context);
    }

    @Override // android.widget.Adapter
    public int getCount() {
        List<HistorySleepResponse.SleepBean> list = this.list;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    @Override // android.widget.Adapter
    public Object getItem(int i) {
        return this.list.get(i);
    }

    @Override // android.widget.Adapter
    public View getView(int i, View view, ViewGroup viewGroup) {
        ViewHolder viewHolder;
        View view2;
        int i2;
        int i3;
        if (view == null) {
            viewHolder = new ViewHolder();
            view2 = this.mInflater.inflate(R.layout.item_sleep_info, viewGroup, false);
            viewHolder.tvSleepLong = (TextView) view2.findViewById(R.id.tv_sleep_long);
            viewHolder.tvSleepTime = (TextView) view2.findViewById(R.id.tv_sleep_time);
            viewHolder.tvSleepDeep = (TextView) view2.findViewById(R.id.tv_sleep_deep);
            viewHolder.tvSleepLight = (TextView) view2.findViewById(R.id.tv_sleep_light);
            view2.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) view.getTag();
            view2 = view;
        }
        ViewHolder viewHolder2 = viewHolder;
        HistorySleepResponse.SleepBean sleepBean = this.list.get(i);
        try {
            JSONArray jSONArray = new JSONArray("[" + sleepBean.mlist.replaceAll("\\[", "").replaceAll("]", "").replaceAll("\\\\", "") + "]");
            i2 = 0;
            i3 = 0;
            for (int i4 = 0; i4 < jSONArray.length(); i4++) {
                try {
                    JSONObject jSONObject = jSONArray.getJSONObject(i4);
                    int i5 = jSONObject.getInt("stime");
                    int i6 = jSONObject.getInt("sleepType");
                    int i7 = jSONObject.getInt("sleepLong");
                    if (i6 == 1) {
                        i2 += i7;
                    } else {
                        i3 += i7;
                    }
                    HistorySleep historySleep = new HistorySleep();
                    historySleep.setStime(i5);
                    historySleep.setSleepType(i6);
                    historySleep.setSleepLong(i7);
                    this.historySleeps.add(historySleep);
                } catch (JSONException e) {
                    e = e;
                    e.printStackTrace();
                    viewHolder2.tvSleepLong.setText(String.format("%.1f", Double.valueOf((Tools.getTime(sleepBean.endTime) - Tools.getTime(sleepBean.beginTime)) / 3600000.0d)));
                    viewHolder2.tvSleepTime.setText(Tools.fameDate(Tools.getTime(sleepBean.beginTime)) + "-" + Tools.fameDate(Tools.getTime(sleepBean.endTime)));
                    viewHolder2.tvSleepDeep.setText(parseTime(i2));
                    viewHolder2.tvSleepLight.setText(parseTime(i3));
                    return view2;
                }
            }
        } catch (JSONException e2) {
            e = e2;
            i2 = 0;
            i3 = 0;
        }
        viewHolder2.tvSleepLong.setText(String.format("%.1f", Double.valueOf((Tools.getTime(sleepBean.endTime) - Tools.getTime(sleepBean.beginTime)) / 3600000.0d)));
        viewHolder2.tvSleepTime.setText(Tools.fameDate(Tools.getTime(sleepBean.beginTime)) + "-" + Tools.fameDate(Tools.getTime(sleepBean.endTime)));
        viewHolder2.tvSleepDeep.setText(parseTime(i2));
        viewHolder2.tvSleepLight.setText(parseTime(i3));
        return view2;
    }

    private final class ViewHolder {
        TextView tvSleepDeep;
        TextView tvSleepLight;
        TextView tvSleepLong;
        TextView tvSleepTime;

        private ViewHolder() {
        }
    }

    public String parseTime(int i) {
        int i2 = i - (i % 60);
        int i3 = (i2 / 60) % 60;
        return String.format("%02d:%02d", Integer.valueOf((i2 - (i3 * 60)) / 3600), Integer.valueOf(i3));
    }
}
