package com.zhuoting.health.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.TextView;
import com.zhuoting.health.model.Spo2Info;
import com.zhuoting.healthd.R;
import java.util.List;

/* loaded from: classes2.dex */
public class Spo2Adapter extends BaseAdapter implements AdapterView.OnItemClickListener {
    private Context context;
    private List<Spo2Info> list;
    private LayoutInflater mInflater;

    public static class Spo2ViewHolder {
        TextView heardlal;
        TextView timelal;
        TextView tv_state;
    }

    @Override // android.widget.Adapter
    public long getItemId(int i) {
        return i;
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
    }

    public Spo2Adapter(Context context, List<Spo2Info> list) {
        this.context = context;
        this.list = list;
        this.mInflater = LayoutInflater.from(context);
    }

    @Override // android.widget.Adapter
    public int getCount() {
        List<Spo2Info> list = this.list;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    @Override // android.widget.Adapter
    public Object getItem(int i) {
        return this.list.get(i);
    }

    @Override // android.widget.Adapter
    public View getView(int i, View view, ViewGroup viewGroup) {
        View view2;
        Spo2ViewHolder spo2ViewHolder;
        if (view == null) {
            spo2ViewHolder = new Spo2ViewHolder();
            view2 = this.mInflater.inflate(R.layout.item_heart_sec, viewGroup, false);
            spo2ViewHolder.timelal = (TextView) view2.findViewById(R.id.timelal);
            spo2ViewHolder.heardlal = (TextView) view2.findViewById(R.id.heardlal);
            spo2ViewHolder.tv_state = (TextView) view2.findViewById(R.id.tv_state);
            view2.setTag(spo2ViewHolder);
        } else {
            view2 = view;
            spo2ViewHolder = (Spo2ViewHolder) view.getTag();
        }
        Spo2Info spo2Info = this.list.get(i);
        spo2ViewHolder.timelal.setText(spo2Info.timeStr);
        spo2ViewHolder.heardlal.setText(String.format("%d%%", Integer.valueOf(spo2Info.SPo2)));
        if (spo2Info.SPo2 < 90) {
            spo2ViewHolder.tv_state.setText(this.context.getString(R.string.low));
        } else {
            spo2ViewHolder.tv_state.setText(this.context.getString(R.string.normal));
        }
        return view2;
    }
}
