package com.zhuoting.health.adapter;

import android.content.Context;
import android.content.Intent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;
import com.google.android.gms.common.GooglePlayServicesUtil;
import com.zhuoting.health.model.RunInfo;
import com.zhuoting.health.sport.RunActivity;
import com.zhuoting.health.sport.RunGoogleActivity;
import com.zhuoting.health.tools.SPUtils;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.healthd.R;
import java.text.DecimalFormat;
import java.util.List;

/* loaded from: classes2.dex */
public class TwoAdapter extends BaseAdapter implements AdapterView.OnItemClickListener {
    private Context context;
    private List<RunInfo> list;
    private LayoutInflater mInflater;

    public static class TwoViewHolder {
        TextView deslal;
        ImageView ivType;
        TextView runtimelal;
        TextView timelal;
        TextView tvType;
    }

    @Override // android.widget.Adapter
    public long getItemId(int i) {
        return i;
    }

    @Override // android.widget.BaseAdapter, android.widget.Adapter
    public int getItemViewType(int i) {
        return 0;
    }

    @Override // android.widget.BaseAdapter, android.widget.Adapter
    public int getViewTypeCount() {
        return 2;
    }

    public TwoAdapter(Context context, List<RunInfo> list) {
        this.list = list;
        this.context = context;
        this.mInflater = LayoutInflater.from(context);
    }

    @Override // android.widget.Adapter
    public int getCount() {
        List<RunInfo> list = this.list;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    @Override // android.widget.Adapter
    public Object getItem(int i) {
        return this.list.get(i);
    }

    @Override // android.widget.Adapter
    public View getView(int i, View view, ViewGroup viewGroup) {
        View view2;
        TwoViewHolder twoViewHolder;
        if (view == null) {
            twoViewHolder = new TwoViewHolder();
            view2 = this.mInflater.inflate(R.layout.item_two, viewGroup, false);
            twoViewHolder.timelal = (TextView) view2.findViewById(R.id.timelal);
            twoViewHolder.runtimelal = (TextView) view2.findViewById(R.id.runtimelal);
            twoViewHolder.deslal = (TextView) view2.findViewById(R.id.deslal);
            twoViewHolder.tvType = (TextView) view2.findViewById(R.id.tv_sport_type);
            twoViewHolder.ivType = (ImageView) view2.findViewById(R.id.iv_sport_type);
            view2.setTag(twoViewHolder);
        } else {
            view2 = view;
            twoViewHolder = (TwoViewHolder) view.getTag();
        }
        RunInfo runInfo = this.list.get(i);
        twoViewHolder.timelal.setText(runInfo.timeFormat);
        makeTime(runInfo, twoViewHolder.runtimelal);
        DecimalFormat decimalFormat = new DecimalFormat("0.00");
        if (Tools.readUnit(1, this.context) == 1) {
            twoViewHolder.deslal.setText(decimalFormat.format(runInfo.desSize / 1.609344f) + this.context.getString(R.string.mile));
        } else {
            twoViewHolder.deslal.setText(decimalFormat.format(runInfo.desSize) + this.context.getString(R.string.km));
        }
        int i2 = runInfo.type;
        if (i2 == 1) {
            twoViewHolder.tvType.setText(R.string.start_run);
            twoViewHolder.ivType.setImageResource(com.zhuoting.health.R.drawable.ico_run);
        } else if (i2 == 2) {
            twoViewHolder.tvType.setText(R.string.Swim);
            twoViewHolder.ivType.setImageResource(R.mipmap.icon_swim);
        } else if (i2 == 3) {
            twoViewHolder.tvType.setText(R.string.start_ride);
            twoViewHolder.ivType.setImageResource(com.zhuoting.health.R.drawable.ico_bicycle);
        } else if (i2 == 4) {
            twoViewHolder.tvType.setText(R.string.start_fitness);
            twoViewHolder.ivType.setImageResource(com.zhuoting.health.R.drawable.ico_fitness);
        } else {
            switch (i2) {
                case 6:
                    twoViewHolder.tvType.setText(R.string.rope_skipping);
                    twoViewHolder.ivType.setImageResource(R.mipmap.icon_rope_skip);
                    break;
                case 7:
                    twoViewHolder.tvType.setText(R.string.Play_ball);
                    twoViewHolder.ivType.setImageResource(R.mipmap.icon_basketball);
                    break;
                case 8:
                    twoViewHolder.tvType.setText(R.string.strong_walking);
                    twoViewHolder.ivType.setImageResource(R.mipmap.icon_strong_walking);
                    break;
                case 9:
                    twoViewHolder.tvType.setText(R.string.badminton);
                    twoViewHolder.ivType.setImageResource(R.mipmap.icon_badminton);
                    break;
                case 10:
                    twoViewHolder.tvType.setText(R.string.football);
                    twoViewHolder.ivType.setImageResource(R.mipmap.icon_football);
                    break;
                case 11:
                    twoViewHolder.tvType.setText(R.string.mountaineering);
                    twoViewHolder.ivType.setImageResource(R.mipmap.icon_mountaineering);
                    break;
                case 12:
                    twoViewHolder.tvType.setText(R.string.table_tennis);
                    twoViewHolder.ivType.setImageResource(R.mipmap.icon_table_tennis);
                    break;
                default:
                    switch (i2) {
                        case 19:
                            twoViewHolder.tvType.setText(R.string.indoor_riding);
                            twoViewHolder.ivType.setImageResource(R.mipmap.icon_indoor_riding);
                            break;
                        case 20:
                            twoViewHolder.tvType.setText(R.string.stepper);
                            twoViewHolder.ivType.setImageResource(R.mipmap.icon_stepper);
                            break;
                        case 21:
                            twoViewHolder.tvType.setText(R.string.rowing_machine);
                            twoViewHolder.ivType.setImageResource(R.mipmap.icon_rowing_machine);
                            break;
                        default:
                            twoViewHolder.tvType.setText(R.string.start_run);
                            twoViewHolder.ivType.setImageResource(com.zhuoting.health.R.drawable.ico_run);
                            break;
                    }
            }
        }
        return view2;
    }

    public void makeTime(RunInfo runInfo, TextView textView) {
        String str;
        String str2;
        String str3;
        int i = runInfo.runTime % 60;
        int i2 = ((runInfo.runTime - i) / 60) % 60;
        int i3 = ((runInfo.runTime - i) - (i2 * 60)) / 3600;
        if (i < 10) {
            str = ":0" + i;
        } else {
            str = ":" + i;
        }
        if (i2 < 10) {
            str2 = ":0" + i2 + str;
        } else {
            str2 = ":" + i2 + str;
        }
        if (i3 < 10) {
            str3 = "0" + i3 + str2;
        } else {
            str3 = i3 + str2;
        }
        textView.setText(str3);
    }

    @Override // android.widget.AdapterView.OnItemClickListener
    public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
        if (Tools.checkPermiss(this.context)) {
            RunInfo runInfo = this.list.get(i);
            int isGooglePlayServicesAvailable = GooglePlayServicesUtil.isGooglePlayServicesAvailable(this.context);
            String str = (String) SPUtils.get(this.context, "country", "");
            if (((str == null || "".equals(str)) && !this.context.getString(R.string.lan).equals("cn") && GooglePlayServicesUtil.isGooglePlayServicesAvailable(this.context) == 0 && isGooglePlayServicesAvailable != 0) || (str != null && !"".equals(str) && !"中国".equals(str) && !"中國".equals(str) && !str.toLowerCase().contains("china"))) {
                Intent intent = new Intent(this.context, (Class<?>) RunGoogleActivity.class);
                intent.putExtra("runInfo", runInfo);
                this.context.startActivity(intent);
            } else {
                Intent intent2 = new Intent(this.context, (Class<?>) RunActivity.class);
                intent2.putExtra("runInfo", runInfo);
                this.context.startActivity(intent2);
            }
        }
    }
}
