package com.zhuoting.health.aidiagnosis;

import android.content.Context;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.KeyEvent;
import android.webkit.JavascriptInterface;
import android.webkit.ValueCallback;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;
import com.gyf.immersionbar.ImmersionBar;
import com.tencent.connect.common.Constants;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.tools.UserUdid;
import com.zhuoting.healthd.R;
import java.util.Locale;

/* loaded from: classes2.dex */
public class AIWebActivity extends BaseActivity {
    private static final String BaseUrl = "https://staticpage.ycaviation.com/app/permission/";
    private Handler handler = new Handler(new Handler.Callback() { // from class: com.zhuoting.health.aidiagnosis.AIWebActivity.1
        @Override // android.os.Handler.Callback
        public boolean handleMessage(Message message) {
            if (message.what != 0) {
                return false;
            }
            AIWebActivity.this.webView.reload();
            AIWebActivity.this.webView.loadUrl(AIWebActivity.this.url);
            return false;
        }
    });
    private String url;
    private WebView webView;

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_web);
        init();
        initData();
    }

    private void init() {
        changeTitle(getIntent().getStringExtra("title"));
        showBack();
        if (NetTools.isMecare()) {
            ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        } else {
            Tools.setBarColor(this, findViewById(R.id.view));
        }
        this.webView = (WebView) findViewById(R.id.webview);
        String stringExtra = getIntent().getStringExtra("url");
        this.url = stringExtra;
        if (stringExtra != null) {
            this.webView.loadUrl(stringExtra);
        }
    }

    private void initData() {
        this.webView.setWebViewClient(new MWebViewClient());
        WebSettings settings = this.webView.getSettings();
        settings.setJavaScriptEnabled(true);
        settings.setMixedContentMode(0);
        settings.setCacheMode(2);
        settings.setSupportZoom(true);
        settings.setDisplayZoomControls(false);
        settings.setBuiltInZoomControls(true);
        String str = this.url;
        if (str != null && !str.contains(Constants.JumpUrlConstants.SRC_TYPE_APP)) {
            settings.setUseWideViewPort(true);
        }
        settings.setLayoutAlgorithm(WebSettings.LayoutAlgorithm.SINGLE_COLUMN);
        settings.setLoadWithOverviewMode(true);
        this.webView.addJavascriptInterface(new AndroidJs(this), "AndroidJs");
    }

    private class MWebViewClient extends WebViewClient {
        private MWebViewClient() {
        }

        @Override // android.webkit.WebViewClient
        public boolean shouldOverrideUrlLoading(WebView webView, String str) {
            System.out.println("chong----------url==" + str);
            webView.loadUrl(str);
            return true;
        }

        @Override // android.webkit.WebViewClient
        public void onPageFinished(WebView webView, String str) {
            super.onPageFinished(webView, str);
            if (AIWebActivity.this.getIntent().getBooleanExtra("is_start_trend", false)) {
                AIWebActivity aIWebActivity = AIWebActivity.this;
                aIWebActivity.loadJS(aIWebActivity.webView);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void loadJS(WebView webView) {
        String str = Locale.getDefault().getLanguage().toLowerCase().equals("zh") ? "zh-cn" : "en-us";
        String stringExtra = getIntent().getStringExtra("devId") == null ? UserUdid.getudid(getApplicationContext()) : getIntent().getStringExtra("devId");
        if (Build.VERSION.SDK_INT <= 18) {
            webView.loadUrl("javascript:ocCallJSFunction('" + str + "','" + stringExtra + "','0')");
            return;
        }
        webView.evaluateJavascript("javascript:ocCallJSFunction('" + str + "','" + stringExtra + "')", new ValueCallback<String>() { // from class: com.zhuoting.health.aidiagnosis.AIWebActivity.2
            @Override // android.webkit.ValueCallback
            public void onReceiveValue(String str2) {
            }
        });
    }

    @Override // androidx.appcompat.app.AppCompatActivity, android.app.Activity, android.view.KeyEvent.Callback
    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i == 4 && this.webView.canGoBack()) {
            this.webView.goBack();
            return true;
        }
        return super.onKeyDown(i, keyEvent);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void backAction() {
        if (this.webView.canGoBack()) {
            this.webView.goBack();
        } else {
            finish();
        }
    }

    public class AndroidJs {
        private Context mContext;

        public AndroidJs(Context context) {
            this.mContext = context;
        }

        @JavascriptInterface
        public void callAndroids(String str) {
            System.out.println("chong----------callAndroids==" + str);
            if (str == null || str.isEmpty()) {
                return;
            }
            AIWebActivity.this.url = AIWebActivity.BaseUrl + str + "_" + AIWebActivity.this.getString(R.string.lan) + ".html";
            AIWebActivity.this.handler.sendEmptyMessage(0);
        }
    }
}
