package com.zhuoting.health.bean;

import com.dd.plist.ASCIIPropertyListParser;
import com.zhuoting.health.util.Tools;
import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;
import org.json.JSONException;
import org.json.JSONObject;

/* loaded from: classes2.dex */
public class RunInfo implements Serializable {
    public float desSize;
    public int heartTimes;
    public float kmh;
    public int runTime;
    public String timeFormat;
    public String timeStr;
    public long beginDate = System.currentTimeMillis();
    public String listUuid = Tools.getUUID();
    public String ps = "0'0\"";

    public void makeKmh() {
        int i = this.runTime;
        if (i > 0) {
            this.kmh = this.desSize / (i / 3600.0f);
        }
        float f = this.desSize;
        makeTimePs(f > 0.0f ? (int) ((1.0f / f) * i) : 0);
    }

    public void makeTimePs(int i) {
        int i2 = i % 60;
        this.ps = (((i - i2) / 60) % 60) + "'" + i2 + "\"";
    }

    public JSONObject objectToDictionary() {
        JSONObject jSONObject = new JSONObject();
        try {
            jSONObject.put("desSize", this.desSize);
            jSONObject.put("listUuid", this.listUuid);
            jSONObject.put("runTime", this.runTime);
            jSONObject.put("kmh", this.kmh);
            jSONObject.put("ps", this.ps);
            jSONObject.put("beginDate", this.beginDate);
            jSONObject.put("heartTimes", this.heartTimes);
        } catch (JSONException unused) {
        }
        return jSONObject;
    }

    public void setValue(JSONObject jSONObject) {
        try {
            this.desSize = (float) jSONObject.getDouble("desSize");
            this.listUuid = jSONObject.getString("listUuid");
            this.runTime = jSONObject.getInt("runTime");
            this.kmh = (float) jSONObject.getDouble("kmh");
            this.ps = jSONObject.getString("ps");
            this.beginDate = jSONObject.getLong("beginDate");
            this.heartTimes = jSONObject.getInt("heartTimes");
            System.out.println(this.beginDate + "");
            this.timeFormat = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date(this.beginDate));
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    public String toString() {
        return "RunInfo{desSize=" + this.desSize + ", listUuid='" + this.listUuid + "', runTime=" + this.runTime + ", kmh=" + this.kmh + ", ps='" + this.ps + "', beginDate=" + this.beginDate + ", timeFormat='" + this.timeFormat + "', timeStr='" + this.timeStr + "', heartTimes=" + this.heartTimes + ASCIIPropertyListParser.DICTIONARY_END_TOKEN;
    }
}
