package com.zhuoting.health.care;

import android.app.Dialog;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.provider.MediaStore;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import com.gyf.immersionbar.ImmersionBar;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.action.MyOnClickListener;
import com.zhuoting.health.action.OnChangeListener;
import com.zhuoting.health.adapter.BloodCareSecAdapter;
import com.zhuoting.health.model.HistoryBlood;
import com.zhuoting.health.tools.BleHandler;
import com.zhuoting.health.tools.DialogUtils;
import com.zhuoting.health.tools.HttpUtils;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.tools.Utils;
import com.zhuoting.health.ui.SwitchButton;
import com.zhuoting.health.ui.TjMainView;
import com.zhuoting.health.view.chart.charts.CandleStickChart;
import com.zhuoting.healthd.R;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;

/* loaded from: classes2.dex */
public class BloodCareDetailsActivity extends BaseActivity {
    private static final int BLOODHISTORY = 1001;
    BloodCareSecAdapter adapter;
    ListView listview;
    private CandleStickChart mChart;
    private Dialog mLoading;
    HistoryBlood maxinfo;
    HistoryBlood mininfo;
    TextView timelal;
    TjMainView tjMainView4;
    private TextView tv_bloodlal;
    private String userId;
    long indexTime = 0;
    List<HistoryBlood> slist = new ArrayList();
    String sharePath = "";
    private Handler handler = new Handler(Looper.getMainLooper()) { // from class: com.zhuoting.health.care.BloodCareDetailsActivity.6
        @Override // android.os.Handler
        public void handleMessage(Message message) {
            int i = message.what;
            if (i == 1) {
                BloodCareDetailsActivity.this.sendMsgOpen();
            } else if (i == 2) {
                BloodCareDetailsActivity.this.sendMsgClose();
            } else {
                if (i != 3) {
                    return;
                }
                BloodCareDetailsActivity.this.sendBloodMsg();
            }
        }
    };

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_blood_sec);
        changeTitle(getString(R.string.blood_pressure));
        showBack();
        this.mLoading = DialogUtils.createLoadingDialog(this);
        this.userId = getIntent().getStringExtra("userId");
        ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        this.bar.setBackgroundColor(getColor(R.color.home_mode_title_bg));
        this.bar.setTitleColor(getResources().getColor(R.color.home_mode_title_color, null));
        this.bar.setLeftBtnImage(R.mipmap.backbtn2);
        this.listview = (ListView) findViewById(R.id.listview);
        BloodCareSecAdapter bloodCareSecAdapter = new BloodCareSecAdapter(this._context, this.slist);
        this.adapter = bloodCareSecAdapter;
        this.listview.setAdapter((ListAdapter) bloodCareSecAdapter);
        this.listview.setOnItemClickListener(this.adapter);
        View inflate = getLayoutInflater().inflate(R.layout.head_blood_sec, (ViewGroup) null);
        this.listview.addHeaderView(inflate);
        ((SwitchButton) findViewById(R.id.blood_switch)).setOnChangeListener(new OnChangeListener() { // from class: com.zhuoting.health.care.BloodCareDetailsActivity.1
            @Override // com.zhuoting.health.action.OnChangeListener
            public void onChange(SwitchButton switchButton, boolean z) {
                if (z) {
                    BloodCareDetailsActivity.this.handler.sendEmptyMessage(1);
                } else {
                    BloodCareDetailsActivity.this.handler.sendEmptyMessage(2);
                }
            }
        });
        this.tv_bloodlal = (TextView) findViewById(R.id.bloodlal);
        this.timelal = (TextView) findViewById(R.id.timelal);
        ImageView imageView = (ImageView) findViewById(R.id.letfBtn);
        ImageView imageView2 = (ImageView) findViewById(R.id.rightBtn);
        imageView.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.care.BloodCareDetailsActivity.2
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                BloodCareDetailsActivity.this.indexTime--;
                if (BloodCareDetailsActivity.this.indexTime < -30) {
                    BloodCareDetailsActivity.this.indexTime = 0L;
                }
                BloodCareDetailsActivity.this.loadMsg();
            }
        });
        imageView2.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.care.BloodCareDetailsActivity.3
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                BloodCareDetailsActivity.this.indexTime++;
                if (BloodCareDetailsActivity.this.indexTime > 0) {
                    BloodCareDetailsActivity.this.indexTime = -30L;
                }
                BloodCareDetailsActivity.this.loadMsg();
            }
        });
        TjMainView tjMainView = (TjMainView) inflate.findViewById(R.id.tjbsView);
        this.tjMainView4 = tjMainView;
        tjMainView.loadView(3);
        loadMsg();
        this.bar.showShareButtonVisualable(true);
        this.bar.setRight2OnClickListener(new MyOnClickListener() { // from class: com.zhuoting.health.care.BloodCareDetailsActivity.4
            @Override // com.zhuoting.health.action.MyOnClickListener
            public void onClick(View view) {
                BloodCareDetailsActivity.this.Share();
            }
        });
        CandleStickChart candleStickChart = (CandleStickChart) inflate.findViewById(R.id.chart);
        this.mChart = candleStickChart;
        candleStickChart.setOnTouchListener(new View.OnTouchListener() { // from class: com.zhuoting.health.care.BloodCareDetailsActivity.5
            @Override // android.view.View.OnTouchListener
            public boolean onTouch(View view, MotionEvent motionEvent) {
                if (motionEvent.getAction() == 1) {
                    BloodCareDetailsActivity.this.listview.requestDisallowInterceptTouchEvent(false);
                } else {
                    BloodCareDetailsActivity.this.listview.requestDisallowInterceptTouchEvent(true);
                }
                return false;
            }
        });
    }

    public void Share() {
        deleteShareImage();
        this.sharePath = Utils.share(this, getString(R.string.blood_pressure));
    }

    private void deleteShareImage() {
        Utils.deleteShare(this, this.sharePath);
        this.sharePath = "";
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        deleteShareImage();
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
        if (this.sharePath.equals("")) {
            return;
        }
        getContentResolver().delete(MediaStore.Images.Media.EXTERNAL_CONTENT_URI, "_data='" + this.sharePath + "'", null);
        Utils.deleteFile(this.sharePath);
        this.sharePath = "";
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void sendBloodMsg() {
        BleHandler.getInstance(getApplication()).sendMsg(Tools.makeSend(new byte[]{3, 9, 1, 3, 1}));
    }

    public void sendMsgOpen() {
        BleHandler.getInstance(getApplication()).sendMsg(Tools.makeSend(new byte[]{3, 2, 2}));
    }

    public void sendMsgClose() {
        BleHandler.getInstance(getApplication()).sendMsg(Tools.makeSend(new byte[]{3, 2, 0}));
    }

    public void loadMsg() {
        this.slist.clear();
        this.maxinfo = null;
        this.mininfo = null;
        String format = new SimpleDateFormat("yyyy-MM-dd").format(new Date(System.currentTimeMillis() + (this.indexTime * 86400000)));
        getBloodRequest(this.userId, format);
        this.timelal.setText(format);
    }

    public void refHead() {
        TextView textView = (TextView) findViewById(R.id.minblood);
        TextView textView2 = (TextView) findViewById(R.id.mintime);
        TextView textView3 = (TextView) findViewById(R.id.maxblood);
        TextView textView4 = (TextView) findViewById(R.id.maxtime);
        HistoryBlood historyBlood = this.mininfo;
        if (historyBlood == null) {
            textView.setText("0/0");
            textView2.setText(String.format("%s 00:00", getString(R.string.time)));
        } else {
            textView.setText(String.format("%d/%d", Integer.valueOf(historyBlood.getDBP()), Integer.valueOf(this.mininfo.getSBP())));
            textView2.setText(String.format("%s %s", getString(R.string.time), Tools.fameDate(this.mininfo.getRtime())));
        }
        HistoryBlood historyBlood2 = this.maxinfo;
        if (historyBlood2 == null) {
            textView3.setText("0/0");
            textView4.setText(String.format("%s 00:00", getString(R.string.time)));
        } else {
            textView3.setText(String.format("%d/%d", Integer.valueOf(historyBlood2.getDBP()), Integer.valueOf(this.maxinfo.getSBP())));
            textView4.setText(String.format("%s %s", getString(R.string.time), Tools.fameDate(this.maxinfo.getRtime())));
        }
    }

    public void getBloodRequest(String str, String str2) {
        this.mLoading.show();
        HashMap hashMap = new HashMap();
        hashMap.put("userId", str);
        hashMap.put("day", str2);
        HttpUtils.getInstance().postMsgAsynHttp(this, NetTools.BLOODDAYURL, hashMap, new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.care.BloodCareDetailsActivity.7
            /* JADX WARN: Removed duplicated region for block: B:105:0x043b A[Catch: Exception -> 0x047b, TryCatch #0 {Exception -> 0x047b, blocks: (B:4:0x0017, B:7:0x0036, B:9:0x003c, B:11:0x0062, B:12:0x006a, B:14:0x0070, B:16:0x0087, B:17:0x00a4, B:19:0x00b7, B:21:0x00bd, B:24:0x0096, B:26:0x00d0, B:27:0x00ec, B:29:0x00f4, B:31:0x0100, B:33:0x0106, B:35:0x010c, B:37:0x0112, B:39:0x0119, B:42:0x0122, B:52:0x0126, B:55:0x015e, B:57:0x0164, B:59:0x0172, B:60:0x0178, B:62:0x017e, B:63:0x01b6, B:65:0x01bc, B:67:0x01f4, B:68:0x01c1, B:70:0x01cf, B:72:0x01d4, B:74:0x01e2, B:76:0x01f0, B:80:0x0183, B:82:0x0191, B:83:0x0196, B:85:0x01a4, B:87:0x01b2, B:89:0x0242, B:91:0x0251, B:93:0x028a, B:96:0x02dc, B:97:0x02b1, B:99:0x02b7, B:102:0x02e0, B:103:0x042e, B:105:0x043b, B:106:0x046b, B:113:0x02ee, B:117:0x02f3, B:118:0x032c, B:120:0x0332, B:122:0x0340, B:123:0x0346, B:125:0x034c, B:126:0x0384, B:128:0x038a, B:130:0x03c2, B:131:0x038f, B:133:0x039d, B:135:0x03a2, B:137:0x03b0, B:139:0x03be, B:143:0x0351, B:145:0x035f, B:146:0x0364, B:148:0x0372, B:150:0x0380, B:152:0x040e, B:154:0x041b, B:156:0x0427), top: B:3:0x0017 }] */
            /* JADX WARN: Removed duplicated region for block: B:110:0x046a  */
            @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
            /*
                Code decompiled incorrectly, please refer to instructions dump.
                To view partially-correct code enable 'Show inconsistent code' option in preferences
            */
            public void onSuccess(java.lang.String r29) {
                /*
                    Method dump skipped, instructions count: 1152
                    To view this dump change 'Code comments level' option to 'DEBUG'
                */
                throw new UnsupportedOperationException("Method not decompiled: com.zhuoting.health.care.BloodCareDetailsActivity.AnonymousClass7.onSuccess(java.lang.String):void");
            }
        });
    }
}
