package com.zhuoting.health.care;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;
import com.gyf.immersionbar.ImmersionBar;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.action.MyOnClickListener;
import com.zhuoting.health.adapter.BloodSugarAdapter;
import com.zhuoting.health.care.bean.FriendCareBloodSugarBean;
import com.zhuoting.health.care.bean.FriendCareDataBean;
import com.zhuoting.health.model.Spo2Info;
import com.zhuoting.health.tools.HttpUtils;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.tools.Utils;
import com.zhuoting.health.ui.NavigationBar;
import com.zhuoting.health.view.chart.CharUtil;
import com.zhuoting.health.view.chart.charts.LineChart;
import com.zhuoting.health.view.chart.temperature.TemperBean;
import com.zhuoting.healthd.R;
import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.TimeUnit;
import okhttp3.OkHttpClient;

/* loaded from: classes2.dex */
public class BloodSugarCareDetailActivity extends BaseActivity {
    private BloodSugarAdapter adapter;
    private OkHttpClient client;
    private LineChart mLineChart;
    private FriendCareDataBean temp_bean;
    private TextView timelal;
    List<Spo2Info> slist = new ArrayList();
    long indexTime = 0;
    String sharePath = "";
    private Handler handler = new Handler(new Handler.Callback() { // from class: com.zhuoting.health.care.BloodSugarCareDetailActivity.5
        @Override // android.os.Handler.Callback
        public boolean handleMessage(Message message) {
            if (message.what != 10014) {
                return false;
            }
            BloodSugarCareDetailActivity.this.setData();
            return false;
        }
    });

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_cvrr_sec);
        changeTitle(getString(R.string.blood_sugar));
        showBack();
        findViews();
        ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        this.bar.setBackgroundColor(getColor(R.color.home_mode_title_bg));
        this.bar.setTitleColor(getResources().getColor(R.color.home_mode_title_color, null));
        this.bar.setLeftBtnImage(R.mipmap.backbtn2);
    }

    private void findViews() {
        this.client = new OkHttpClient.Builder().connectTimeout(30L, TimeUnit.SECONDS).readTimeout(30L, TimeUnit.SECONDS).build();
        final ListView listView = (ListView) findViewById(R.id.listview);
        BloodSugarAdapter bloodSugarAdapter = new BloodSugarAdapter(this._context, this.slist);
        this.adapter = bloodSugarAdapter;
        listView.setAdapter((ListAdapter) bloodSugarAdapter);
        View inflate = getLayoutInflater().inflate(R.layout.head_blood_sugar_sec, (ViewGroup) null);
        listView.addHeaderView(inflate);
        LineChart lineChart = (LineChart) inflate.findViewById(R.id.line_chart);
        this.mLineChart = lineChart;
        lineChart.setOnTouchListener(new View.OnTouchListener() { // from class: com.zhuoting.health.care.BloodSugarCareDetailActivity.1
            @Override // android.view.View.OnTouchListener
            public boolean onTouch(View view, MotionEvent motionEvent) {
                if (motionEvent.getAction() == 1) {
                    listView.requestDisallowInterceptTouchEvent(false);
                } else {
                    listView.requestDisallowInterceptTouchEvent(true);
                }
                return false;
            }
        });
        this.timelal = (TextView) findViewById(R.id.timelal);
        ImageView imageView = (ImageView) findViewById(R.id.letfBtn);
        ImageView imageView2 = (ImageView) findViewById(R.id.rightBtn);
        imageView.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.care.BloodSugarCareDetailActivity.2
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                BloodSugarCareDetailActivity.this.indexTime--;
                if (BloodSugarCareDetailActivity.this.indexTime < -30) {
                    BloodSugarCareDetailActivity.this.indexTime = 0L;
                }
                BloodSugarCareDetailActivity.this.loadMsg();
            }
        });
        imageView2.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.care.BloodSugarCareDetailActivity.3
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                BloodSugarCareDetailActivity.this.indexTime++;
                if (BloodSugarCareDetailActivity.this.indexTime > 0) {
                    BloodSugarCareDetailActivity.this.indexTime = -30L;
                }
                BloodSugarCareDetailActivity.this.loadMsg();
            }
        });
        loadMsg();
        this.bar.showShareButtonVisualable(true);
        this.bar.setRight2OnClickListener(new MyOnClickListener() { // from class: com.zhuoting.health.care.BloodSugarCareDetailActivity.4
            @Override // com.zhuoting.health.action.MyOnClickListener
            public void onClick(View view) {
                BloodSugarCareDetailActivity.this.Share();
            }
        });
    }

    public void Share() {
        deleteShareImage();
        this.sharePath = Utils.share(this, getString(R.string.v2_history_temperature));
    }

    private void deleteShareImage() {
        Utils.deleteShare(this, this.sharePath);
        this.sharePath = "";
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        deleteShareImage();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void loadMsg() {
        this.slist.clear();
        String format = new SimpleDateFormat("yyyy-MM-dd").format(new Date(System.currentTimeMillis() + (this.indexTime * 86400000)));
        this.timelal.setText(format);
        getTemp(format);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void setData() {
        if (this.temp_bean == null) {
            return;
        }
        ArrayList<FriendCareBloodSugarBean> arrayList = new ArrayList();
        try {
            Iterator<FriendCareDataBean.Data> it2 = this.temp_bean.data.iterator();
            while (it2.hasNext()) {
                arrayList.addAll((Collection) new Gson().fromJson(it2.next().mlist, new TypeToken<List<FriendCareBloodSugarBean>>() { // from class: com.zhuoting.health.care.BloodSugarCareDetailActivity.6
                }.getType()));
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        for (FriendCareBloodSugarBean friendCareBloodSugarBean : arrayList) {
            Spo2Info spo2Info = new Spo2Info();
            spo2Info.setFriendCareBloodSugarBean(friendCareBloodSugarBean);
            if (spo2Info.bloodSugar >= 20 && spo2Info.bloodSugar <= 330) {
                this.slist.add(spo2Info);
            }
        }
        List<Spo2Info> removeRealTimeBloodOxygenDuplicate = Tools.removeRealTimeBloodOxygenDuplicate(this.slist);
        this.slist = removeRealTimeBloodOxygenDuplicate;
        this.slist = Tools.sortListBloodO2(removeRealTimeBloodOxygenDuplicate);
        ArrayList arrayList2 = new ArrayList();
        int i = 40;
        int i2 = 0;
        int i3 = 40;
        int i4 = 0;
        for (int size = this.slist.size() - 1; size >= 0; size--) {
            Spo2Info spo2Info2 = this.slist.get(size);
            float floatValue = new BigDecimal(spo2Info2.bloodSugar / 10.0f).setScale(1, 4).floatValue();
            if (floatValue > 0.0f) {
                float f = 3.0f + floatValue;
                if (i4 < f) {
                    i4 = (int) f;
                }
                float f2 = floatValue - 2.0f;
                if (i3 > f2) {
                    i3 = (int) f2;
                }
            }
            String[] split = spo2Info2.timeStr.split(":");
            TemperBean temperBean = new TemperBean(floatValue, (Integer.parseInt(split[0]) * 60) + Integer.parseInt(split[1]));
            temperBean.unit = getString(R.string.home_blood_sugar_unit);
            arrayList2.add(temperBean);
        }
        if (arrayList2.size() == 0) {
            arrayList2.add(new TemperBean(-100.0f, 0));
            arrayList2.add(new TemperBean(-100.0f, 1440));
        } else {
            i = i4;
            i2 = i3;
        }
        CharUtil.getInstance().initTempLineChart(this, this.mLineChart, i, i2, arrayList2, 2);
        this.adapter.notifyDataSetChanged();
    }

    private void getTemp(String str) {
        HashMap hashMap = new HashMap();
        hashMap.put("userId", getIntent().getExtras().getString("devId"));
        hashMap.put("day", str);
        HttpUtils.getInstance().postMsgAsynHttp(this, NetTools.BLOODSUGARDAYURL, hashMap, new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.care.BloodSugarCareDetailActivity.7
            @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
            public void onSuccess(String str2) {
                if (str2 != null) {
                    try {
                        BloodSugarCareDetailActivity.this.temp_bean = (FriendCareDataBean) new Gson().fromJson(str2, FriendCareDataBean.class);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                    BloodSugarCareDetailActivity.this.handler.sendEmptyMessage(10014);
                }
            }
        });
    }

    @Override // com.zhuoting.health.BaseActivity
    public void getBar() {
        if (this.bar == null) {
            this.bar = (NavigationBar) findViewById(R.id.navigationbar);
        }
    }

    @Override // com.zhuoting.health.BaseActivity
    public void changeTitle(String str) {
        getBar();
        this.bar.setTitle(str);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void showBack() {
        this.bar.showLeftbtn(0);
        this.bar.setLeftOnClickListener(new MyOnClickListener() { // from class: com.zhuoting.health.care.BloodSugarCareDetailActivity.8
            @Override // com.zhuoting.health.action.MyOnClickListener
            public void onClick(View view) {
                BloodSugarCareDetailActivity.this.backAction();
            }
        });
    }

    @Override // com.zhuoting.health.BaseActivity
    public void showBack(MyOnClickListener myOnClickListener) {
        this.bar.showLeftbtn(0);
        this.bar.setLeftOnClickListener(myOnClickListener);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void showRightText(String str, MyOnClickListener myOnClickListener) {
        this.bar.setRightText(str);
        this.bar.setRight1OnClickListener(myOnClickListener);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void setRightEnable(boolean z) {
        this.bar.setRightEnable(z);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void backAction() {
        finish();
    }
}
