package com.zhuoting.health.care;

import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;
import com.gyf.immersionbar.ImmersionBar;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.action.MyOnClickListener;
import com.zhuoting.health.adapter.Spo2Adapter;
import com.zhuoting.health.care.bean.FriendCareDataBean;
import com.zhuoting.health.care.bean.FriendCareSpo2Bean;
import com.zhuoting.health.model.Spo2Info;
import com.zhuoting.health.tools.HttpUtils;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.tools.Utils;
import com.zhuoting.health.ui.NavigationBar;
import com.zhuoting.health.ui.TjMainView;
import com.zhuoting.health.view.chart.CharUtil;
import com.zhuoting.health.view.chart.charts.LineChart;
import com.zhuoting.health.view.chart.temperature.TemperBean;
import com.zhuoting.healthd.R;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.concurrent.TimeUnit;
import okhttp3.OkHttpClient;

/* loaded from: classes2.dex */
public class OxygenCareDetailActivity extends BaseActivity {
    private Spo2Adapter adapter;
    private OkHttpClient client;
    private View headview;
    private ListView listview;
    private LineChart mLineChart;
    private FriendCareDataBean spo2_bean;
    private TextView timelal;
    private TjMainView tjMainView5;
    List<Spo2Info> slist = new ArrayList();
    long indexTime = 0;
    String sharePath = "";
    private Handler handler = new Handler(new Handler.Callback() { // from class: com.zhuoting.health.care.OxygenCareDetailActivity.5
        @Override // android.os.Handler.Callback
        public boolean handleMessage(Message message) {
            if (message.what != 10012) {
                return false;
            }
            OxygenCareDetailActivity.this.setData();
            return false;
        }
    });

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_oxygen_sec);
        changeTitle(getString(R.string.Blood_oxygen));
        showBack();
        findViews();
        ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        this.bar.setBackgroundColor(getColor(R.color.home_mode_title_bg));
        this.bar.setTitleColor(getResources().getColor(R.color.home_mode_title_color, null));
        this.bar.setLeftBtnImage(R.mipmap.backbtn2);
    }

    private void findViews() {
        this.client = new OkHttpClient.Builder().connectTimeout(30L, TimeUnit.SECONDS).readTimeout(30L, TimeUnit.SECONDS).build();
        this.listview = (ListView) findViewById(R.id.listview);
        Spo2Adapter spo2Adapter = new Spo2Adapter(this._context, this.slist);
        this.adapter = spo2Adapter;
        this.listview.setAdapter((ListAdapter) spo2Adapter);
        View inflate = getLayoutInflater().inflate(R.layout.head_oxygen_sec, (ViewGroup) null);
        this.headview = inflate;
        this.listview.addHeaderView(inflate);
        LineChart lineChart = (LineChart) this.headview.findViewById(R.id.line_chart);
        this.mLineChart = lineChart;
        lineChart.setOnTouchListener(new View.OnTouchListener() { // from class: com.zhuoting.health.care.OxygenCareDetailActivity.1
            @Override // android.view.View.OnTouchListener
            public boolean onTouch(View view, MotionEvent motionEvent) {
                if (motionEvent.getAction() == 1) {
                    OxygenCareDetailActivity.this.listview.requestDisallowInterceptTouchEvent(false);
                } else {
                    OxygenCareDetailActivity.this.listview.requestDisallowInterceptTouchEvent(true);
                }
                return false;
            }
        });
        TjMainView tjMainView = (TjMainView) this.headview.findViewById(R.id.tjbsView);
        this.tjMainView5 = tjMainView;
        tjMainView.loadView(5);
        this.timelal = (TextView) findViewById(R.id.timelal);
        ImageView imageView = (ImageView) findViewById(R.id.letfBtn);
        ImageView imageView2 = (ImageView) findViewById(R.id.rightBtn);
        imageView.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.care.OxygenCareDetailActivity.2
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                OxygenCareDetailActivity.this.indexTime--;
                if (OxygenCareDetailActivity.this.indexTime < -30) {
                    OxygenCareDetailActivity.this.indexTime = 0L;
                }
                OxygenCareDetailActivity.this.loadMsg();
            }
        });
        imageView2.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.care.OxygenCareDetailActivity.3
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                OxygenCareDetailActivity.this.indexTime++;
                if (OxygenCareDetailActivity.this.indexTime > 0) {
                    OxygenCareDetailActivity.this.indexTime = -30L;
                }
                OxygenCareDetailActivity.this.loadMsg();
            }
        });
        loadMsg();
        this.bar.showShareButtonVisualable(true);
        this.bar.setRight2OnClickListener(new MyOnClickListener() { // from class: com.zhuoting.health.care.OxygenCareDetailActivity.4
            @Override // com.zhuoting.health.action.MyOnClickListener
            public void onClick(View view) {
                OxygenCareDetailActivity.this.Share();
            }
        });
    }

    public void Share() {
        deleteShareImage();
        this.sharePath = Utils.share(this, getString(R.string.Blood_oxygen));
    }

    private void deleteShareImage() {
        Utils.deleteShare(this, this.sharePath);
        this.sharePath = "";
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        deleteShareImage();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void loadMsg() {
        this.slist.clear();
        String format = new SimpleDateFormat("yyyy-MM-dd").format(new Date(System.currentTimeMillis() + (this.indexTime * 86400000)));
        this.timelal.setText(format);
        getSpo2(format);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void setData() {
        int i;
        int i2;
        if (this.spo2_bean == null) {
            return;
        }
        ArrayList arrayList = new ArrayList();
        try {
            Iterator<FriendCareDataBean.Data> it2 = this.spo2_bean.data.iterator();
            while (it2.hasNext()) {
                arrayList.addAll((Collection) new Gson().fromJson(it2.next().mlist, new TypeToken<List<FriendCareSpo2Bean>>() { // from class: com.zhuoting.health.care.OxygenCareDetailActivity.6
                }.getType()));
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        Iterator it3 = arrayList.iterator();
        while (true) {
            i = 100;
            if (!it3.hasNext()) {
                break;
            }
            FriendCareSpo2Bean friendCareSpo2Bean = (FriendCareSpo2Bean) it3.next();
            Spo2Info spo2Info = new Spo2Info();
            spo2Info.setFriendCareSpo2Bean(friendCareSpo2Bean);
            if (spo2Info.getSPo2() >= 70 && spo2Info.getSPo2() <= 100) {
                this.slist.add(spo2Info);
            }
        }
        List<Spo2Info> removeRealTimeBloodOxygenDuplicate = Tools.removeRealTimeBloodOxygenDuplicate(this.slist);
        this.slist = removeRealTimeBloodOxygenDuplicate;
        this.slist = Tools.sortListBloodO2(removeRealTimeBloodOxygenDuplicate);
        ArrayList arrayList2 = new ArrayList();
        int i3 = 110;
        int size = this.slist.size() - 1;
        int i4 = 100;
        while (true) {
            if (size < 0) {
                break;
            }
            Spo2Info spo2Info2 = this.slist.get(size);
            if (i4 > spo2Info2.SPo2 / 1.2d) {
                i4 = (int) (spo2Info2.SPo2 / 1.2d);
            }
            String[] split = spo2Info2.timeStr.split(":");
            arrayList2.add(new TemperBean(spo2Info2.SPo2, (Integer.parseInt(split[0]) * 60) + Integer.parseInt(split[1]), "%"));
            size--;
        }
        if (arrayList2.size() == 0) {
            arrayList2.add(new TemperBean(-1.0f, 0));
            arrayList2.add(new TemperBean(-1.0f, 1440));
            i3 = 100;
            i4 = 0;
        }
        CharUtil.getInstance().initTempLineChart(this, this.mLineChart, i3, i4, arrayList2, 4);
        DisplayMetrics displayMetrics = new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
        int dip2px = (displayMetrics.widthPixels - Tools.dip2px(this, 105.0f)) / 24;
        ArrayList arrayList3 = new ArrayList();
        for (int i5 = 0; i5 < 24; i5++) {
            int i6 = 0;
            int i7 = 0;
            for (Spo2Info spo2Info3 : this.slist) {
                if (i5 == spo2Info3.hour) {
                    i7 += spo2Info3.SPo2;
                    i6++;
                }
            }
            if (i6 > 0) {
                i7 /= i6;
            }
            if (i < i7) {
                i = i7;
            }
            HashMap hashMap = new HashMap();
            hashMap.put("x", (dip2px * i5) + "");
            hashMap.put("y", i7 + "");
            arrayList3.add(hashMap);
        }
        for (i2 = 0; i2 < arrayList3.size(); i2++) {
            Log.d("huang", arrayList3.get(i2) + "");
        }
        this.tjMainView5.refTTT(arrayList3, i);
        this.adapter.notifyDataSetChanged();
    }

    private void getSpo2(String str) {
        HashMap hashMap = new HashMap();
        hashMap.put("userId", getIntent().getExtras().getString("devId"));
        hashMap.put("day", str);
        HttpUtils.getInstance().postMsgAsynHttp(this, NetTools.BLOODOXYGENDAYURL, hashMap, new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.care.OxygenCareDetailActivity.7
            @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
            public void onSuccess(String str2) {
                if (str2 != null) {
                    try {
                        OxygenCareDetailActivity.this.spo2_bean = (FriendCareDataBean) new Gson().fromJson(str2, FriendCareDataBean.class);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                    OxygenCareDetailActivity.this.handler.sendEmptyMessage(10012);
                }
            }
        });
    }

    @Override // com.zhuoting.health.BaseActivity
    public void getBar() {
        if (this.bar == null) {
            this.bar = (NavigationBar) findViewById(R.id.navigationbar);
        }
    }

    @Override // com.zhuoting.health.BaseActivity
    public void changeTitle(String str) {
        getBar();
        this.bar.setTitle(str);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void showBack() {
        this.bar.showLeftbtn(0);
        this.bar.setLeftOnClickListener(new MyOnClickListener() { // from class: com.zhuoting.health.care.OxygenCareDetailActivity.8
            @Override // com.zhuoting.health.action.MyOnClickListener
            public void onClick(View view) {
                OxygenCareDetailActivity.this.backAction();
            }
        });
    }

    @Override // com.zhuoting.health.BaseActivity
    public void showBack(MyOnClickListener myOnClickListener) {
        this.bar.showLeftbtn(0);
        this.bar.setLeftOnClickListener(myOnClickListener);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void showRightText(String str, MyOnClickListener myOnClickListener) {
        this.bar.setRightText(str);
        this.bar.setRight1OnClickListener(myOnClickListener);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void setRightEnable(boolean z) {
        this.bar.setRightEnable(z);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void backAction() {
        finish();
    }
}
