package com.zhuoting.health.care;

import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;
import com.gyf.immersionbar.ImmersionBar;
import com.yanzhenjie.permission.Permission;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.tools.HttpUtils;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.SPUtils;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.zxing.activity.CaptureActivity;
import com.zhuoting.healthd.R;
import java.util.HashMap;

/* loaded from: classes2.dex */
public class SearchFriendActivity extends BaseActivity {
    private EditText edt_search;

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_searchfriend);
        changeTitle(getString(R.string.care_add_friend));
        showBack();
        initViews();
    }

    private void initViews() {
        if (NetTools.isMecare()) {
            ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        } else {
            Tools.setHeartLineColor(this, findViewById(R.id.view), R.color.around_in_2);
        }
        this.edt_search = (EditText) findViewById(R.id.edt_search);
        findViewById(R.id.btn_add_friend).setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.care.SearchFriendActivity.1
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                SearchFriendActivity.this.searchFriend();
            }
        });
        findViewById(R.id.scan_add_friend).setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.care.SearchFriendActivity.2
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                if (Build.VERSION.SDK_INT >= 23 && SearchFriendActivity.this.checkSelfPermission(Permission.CAMERA) != 0) {
                    SearchFriendActivity.this.requestPermissions(new String[]{Permission.CAMERA}, 14);
                } else {
                    SearchFriendActivity.this.startActivityForResult(new Intent(SearchFriendActivity.this, (Class<?>) CaptureActivity.class), 100);
                }
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void searchFriend() {
        if ("".equals(this.edt_search.getEditableText().toString().trim())) {
            Toast.makeText(this, getString(R.string.username_cannot_be_null), 0).show();
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put("token", SPUtils.get(this, "token", ""));
        hashMap.put("friendPhone", this.edt_search.getEditableText().toString().trim());
        HttpUtils.getInstance().postMsgAsynHttp(this, NetTools.FRIENDAPPLYURL, hashMap, new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.care.SearchFriendActivity.3
            @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
            public void onSuccess(String str) {
                if (str != null) {
                    SearchFriendActivity searchFriendActivity = SearchFriendActivity.this;
                    Toast.makeText(searchFriendActivity, searchFriendActivity.getString(R.string.care_add_friend_success), 0).show();
                    SearchFriendActivity.this.finish();
                }
            }
        });
    }

    @Override // androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, android.app.Activity
    protected void onActivityResult(int i, int i2, Intent intent) {
        String stringExtra;
        super.onActivityResult(i, i2, intent);
        if (i != 100 || i2 != 100123 || intent == null || (stringExtra = intent.getStringExtra("result")) == null) {
            return;
        }
        this.edt_search.setText(stringExtra);
        searchFriend();
    }
}
