package com.zhuoting.health.login;

import android.app.ProgressDialog;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.text.method.HideReturnsTransformationMethod;
import android.text.method.PasswordTransformationMethod;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.Toast;
import com.facebook.appevents.internal.ViewHierarchyConstants;
import com.gyf.immersionbar.ImmersionBar;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.BuildConfig;
import com.zhuoting.health.MainActivity;
import com.zhuoting.health.aidiagnosis.AIWebActivity;
import com.zhuoting.health.tools.HttpUtils;
import com.zhuoting.health.tools.MySharedPf;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.SPUtils;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.healthd.R;
import java.util.HashMap;
import java.util.Locale;
import org.json.JSONObject;

/* loaded from: classes2.dex */
public class RegisterActivity extends BaseActivity {
    private Button btn_register_finish;
    private CheckBox cb;
    private Button codebtn;
    private EditText confirm_password;
    private EditText edt_code;
    private EditText field_account;
    private EditText field_password;
    private ProgressDialog progressDialog;
    private boolean is_show = false;
    private boolean is_show2 = false;
    private Handler handler = new Handler(new Handler.Callback() { // from class: com.zhuoting.health.login.RegisterActivity.2
        AnonymousClass2() {
        }

        @Override // android.os.Handler.Callback
        public boolean handleMessage(Message message) {
            int i = message.what;
            if (i == 100) {
                RegisterActivity.this.codebtn.setText(message.obj.toString());
                RegisterActivity.this.codebtn.setEnabled(false);
            } else if (i == 101) {
                RegisterActivity.this.codebtn.setEnabled(true);
                RegisterActivity.this.codebtn.setText(RegisterActivity.this.getString(R.string.get_code));
            } else if (message.obj != null) {
                Tools.showAlert3(RegisterActivity.this, message.obj.toString());
            }
            return false;
        }
    });

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        if (NetTools.isMecare()) {
            setContentView(R.layout.activity_ai_mecare_register);
            ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        } else {
            setContentView(R.layout.activity_ai_register);
            Tools.setBarColor(this, findViewById(R.id.view));
        }
        init();
        initData();
        setListener();
    }

    private void init() {
        this.field_account = (EditText) findViewById(R.id.edt_field_account);
        this.field_password = (EditText) findViewById(R.id.edt_field_password);
        this.confirm_password = (EditText) findViewById(R.id.edt_confirm_password);
        this.edt_code = (EditText) findViewById(R.id.edt_code);
        this.btn_register_finish = (Button) findViewById(R.id.btn_register_finish);
        this.codebtn = (Button) findViewById(R.id.codebtn);
        this.cb = (CheckBox) findViewById(R.id.cb);
    }

    private void initData() {
        changeTitle(getString(R.string.register));
        showBack();
    }

    private void setListener() {
        findViewById(R.id.is_show_password).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.is_show_password2).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.tv_cant_get_code).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.tv_fast_regirst).setOnClickListener(new OnClickListenerImpl());
        this.btn_register_finish.setOnClickListener(new OnClickListenerImpl());
        this.codebtn.setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.tv_protocal).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.tv_user_agreement).setOnClickListener(new OnClickListenerImpl());
        this.cb.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() { // from class: com.zhuoting.health.login.RegisterActivity.1
            AnonymousClass1() {
            }

            @Override // android.widget.CompoundButton.OnCheckedChangeListener
            public void onCheckedChanged(CompoundButton compoundButton, boolean z) {
                SPUtils.put(RegisterActivity.this, LoginActivity.IS_READ_PROTOCOL, Boolean.valueOf(z));
            }
        });
    }

    /* renamed from: com.zhuoting.health.login.RegisterActivity$1 */
    class AnonymousClass1 implements CompoundButton.OnCheckedChangeListener {
        AnonymousClass1() {
        }

        @Override // android.widget.CompoundButton.OnCheckedChangeListener
        public void onCheckedChanged(CompoundButton compoundButton, boolean z) {
            SPUtils.put(RegisterActivity.this, LoginActivity.IS_READ_PROTOCOL, Boolean.valueOf(z));
        }
    }

    private class OnClickListenerImpl implements View.OnClickListener {
        private OnClickListenerImpl() {
        }

        /* synthetic */ OnClickListenerImpl(RegisterActivity registerActivity, AnonymousClass1 anonymousClass1) {
            this();
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            switch (view.getId()) {
                case R.id.btn_register_finish /* 2131296427 */:
                    RegisterActivity.this.checkContent();
                    break;
                case R.id.codebtn /* 2131296471 */:
                    RegisterActivity.this.codeAction();
                    break;
                case R.id.is_show_password /* 2131296730 */:
                    if (RegisterActivity.this.is_show) {
                        RegisterActivity.this.is_show = false;
                        ((ImageView) RegisterActivity.this.findViewById(R.id.is_show_password)).setImageResource(R.mipmap.invisible_password);
                        RegisterActivity.this.field_password.setTransformationMethod(PasswordTransformationMethod.getInstance());
                        break;
                    } else {
                        RegisterActivity.this.is_show = true;
                        ((ImageView) RegisterActivity.this.findViewById(R.id.is_show_password)).setImageResource(R.mipmap.visible_password);
                        RegisterActivity.this.field_password.setTransformationMethod(HideReturnsTransformationMethod.getInstance());
                        break;
                    }
                case R.id.is_show_password2 /* 2131296731 */:
                    if (RegisterActivity.this.is_show2) {
                        RegisterActivity.this.is_show2 = false;
                        ((ImageView) RegisterActivity.this.findViewById(R.id.is_show_password2)).setImageResource(R.mipmap.invisible_password);
                        RegisterActivity.this.confirm_password.setTransformationMethod(PasswordTransformationMethod.getInstance());
                        break;
                    } else {
                        RegisterActivity.this.is_show2 = true;
                        ((ImageView) RegisterActivity.this.findViewById(R.id.is_show_password2)).setImageResource(R.mipmap.visible_password);
                        RegisterActivity.this.confirm_password.setTransformationMethod(HideReturnsTransformationMethod.getInstance());
                        break;
                    }
                case R.id.tv_cant_get_code /* 2131297123 */:
                    RegisterActivity.this.startActivity(new Intent(RegisterActivity.this, (Class<?>) CodeActivity.class));
                    break;
                case R.id.tv_fast_regirst /* 2131297138 */:
                    RegisterActivity.this.startActivity(new Intent(RegisterActivity.this, (Class<?>) FastRegisterActivity.class));
                    RegisterActivity.this.finish();
                    break;
                case R.id.tv_protocal /* 2131297186 */:
                    RegisterActivity registerActivity = RegisterActivity.this;
                    Intent putExtra = new Intent(RegisterActivity.this, (Class<?>) AIWebActivity.class).putExtra("title", RegisterActivity.this.getString(R.string.webview_protocal));
                    StringBuilder sb = new StringBuilder();
                    sb.append("https://staticpage.ycaviation.com/app/policy/");
                    sb.append(NetTools.getNameFromFlavor());
                    sb.append("/privacy_policy_smart_");
                    sb.append(RegisterActivity.this.getString(R.string.lan).equals("cn") ? "cn" : "en");
                    sb.append(".html");
                    registerActivity.startActivity(putExtra.putExtra("url", sb.toString()));
                    break;
                case R.id.tv_user_agreement /* 2131297238 */:
                    RegisterActivity registerActivity2 = RegisterActivity.this;
                    Intent putExtra2 = new Intent(RegisterActivity.this, (Class<?>) AIWebActivity.class).putExtra("title", RegisterActivity.this.getString(R.string.webview_user_agreement));
                    StringBuilder sb2 = new StringBuilder();
                    sb2.append("https://staticpage.ycaviation.com/app/policy/");
                    sb2.append(NetTools.getNameFromFlavor());
                    sb2.append("/user_agreement_smart_");
                    sb2.append(RegisterActivity.this.getString(R.string.lan).equals("cn") ? "cn" : "en");
                    sb2.append(".html");
                    registerActivity2.startActivity(putExtra2.putExtra("url", sb2.toString()));
                    break;
            }
        }
    }

    public void checkContent() {
        if (((Boolean) SPUtils.get(this, LoginActivity.IS_READ_PROTOCOL, false)).booleanValue()) {
            if (this.field_account.length() < 8) {
                Tools.showAlert3(this, getString(R.string.username_is_too_short));
                return;
            } else if (this.field_password.length() < 8) {
                Tools.showAlert3(this, getString(R.string.password_length_must_be_less_than_8));
                return;
            } else {
                regAction();
                return;
            }
        }
        Toast.makeText(this, getString(R.string.please_read_protocol), 0).show();
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
        this.cb.setChecked(((Boolean) SPUtils.get(this, LoginActivity.IS_READ_PROTOCOL, false)).booleanValue());
    }

    /* renamed from: com.zhuoting.health.login.RegisterActivity$2 */
    class AnonymousClass2 implements Handler.Callback {
        AnonymousClass2() {
        }

        @Override // android.os.Handler.Callback
        public boolean handleMessage(Message message) {
            int i = message.what;
            if (i == 100) {
                RegisterActivity.this.codebtn.setText(message.obj.toString());
                RegisterActivity.this.codebtn.setEnabled(false);
            } else if (i == 101) {
                RegisterActivity.this.codebtn.setEnabled(true);
                RegisterActivity.this.codebtn.setText(RegisterActivity.this.getString(R.string.get_code));
            } else if (message.obj != null) {
                Tools.showAlert3(RegisterActivity.this, message.obj.toString());
            }
            return false;
        }
    }

    /* renamed from: com.zhuoting.health.login.RegisterActivity$3 */
    class AnonymousClass3 implements Runnable {
        AnonymousClass3() {
        }

        @Override // java.lang.Runnable
        public void run() {
            int i = 60;
            while (i >= 0) {
                Message message = new Message();
                message.what = 100;
                message.obj = i + "s";
                RegisterActivity.this.handler.sendMessage(message);
                i += -1;
                try {
                    Thread.sleep(1000L);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
            }
            RegisterActivity.this.handler.sendEmptyMessage(101);
        }
    }

    public void waitCode() {
        new Thread(new Runnable() { // from class: com.zhuoting.health.login.RegisterActivity.3
            AnonymousClass3() {
            }

            @Override // java.lang.Runnable
            public void run() {
                int i = 60;
                while (i >= 0) {
                    Message message = new Message();
                    message.what = 100;
                    message.obj = i + "s";
                    RegisterActivity.this.handler.sendMessage(message);
                    i += -1;
                    try {
                        Thread.sleep(1000L);
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    }
                }
                RegisterActivity.this.handler.sendEmptyMessage(101);
            }
        }).start();
    }

    public void codeAction() {
        String obj = this.field_account.getText().toString();
        if (obj.trim().equals("")) {
            Tools.showAlert3(this, getString(R.string.username_cannot_be_null));
            return;
        }
        waitCode();
        String lowerCase = Locale.getDefault().getLanguage().toLowerCase();
        if ("zh".equals(lowerCase.toLowerCase())) {
            lowerCase = "hk".equals(Locale.getDefault().getCountry().toLowerCase()) ? "tw" : Locale.getDefault().getCountry().toLowerCase();
        }
        HashMap hashMap = new HashMap();
        hashMap.put("username", obj);
        hashMap.put("title", BuildConfig.FLAVOR);
        hashMap.put("language", lowerCase);
        hashMap.put("smsType", "1");
        HttpUtils.getInstance().postMsgAsynHttp(this, NetTools.BLVCODE, hashMap, new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.login.RegisterActivity.4
            AnonymousClass4() {
            }

            @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
            public void onSuccess(String str) {
                if (str == null) {
                    return;
                }
                RegisterActivity registerActivity = RegisterActivity.this;
                Toast.makeText(registerActivity, registerActivity.getString(R.string.register_send_code_success), 0).show();
            }
        });
    }

    /* renamed from: com.zhuoting.health.login.RegisterActivity$4 */
    class AnonymousClass4 implements HttpUtils.HttpCallback {
        AnonymousClass4() {
        }

        @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
        public void onSuccess(String str) {
            if (str == null) {
                return;
            }
            RegisterActivity registerActivity = RegisterActivity.this;
            Toast.makeText(registerActivity, registerActivity.getString(R.string.register_send_code_success), 0).show();
        }
    }

    public void regAction() {
        String obj = this.field_account.getText().toString();
        if (obj.trim().equals("")) {
            Tools.showAlert3(this, getString(R.string.username_cannot_be_null));
            return;
        }
        String obj2 = this.edt_code.getText().toString();
        if (obj2.trim().equals("")) {
            Tools.showAlert3(this, getString(R.string.code_cannot_be_null));
            return;
        }
        String obj3 = this.field_password.getText().toString();
        String obj4 = this.confirm_password.getText().toString();
        if (obj3.trim().equals("")) {
            Tools.showAlert3(this, getString(R.string.password_cannot_be_null));
            return;
        }
        if (!obj3.trim().equals(obj4.trim())) {
            Tools.showAlert3(this, getString(R.string.confirm_password_inconsistent));
            return;
        }
        this.progressDialog = ProgressDialog.show(this, getString(R.string.prompt), getString(R.string.registing), true, false);
        HashMap hashMap = new HashMap();
        hashMap.put("username", obj);
        hashMap.put("password", obj3);
        hashMap.put("vcode", obj2);
        hashMap.put("device", "2");
        HttpUtils.getInstance().postMsgAsynHttp(this, NetTools.REGISTER, hashMap, new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.login.RegisterActivity.5
            AnonymousClass5() {
            }

            @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
            public void onSuccess(String str) {
                if (RegisterActivity.this.progressDialog != null && RegisterActivity.this.progressDialog.isShowing()) {
                    RegisterActivity.this.progressDialog.dismiss();
                }
                if (str == null) {
                    return;
                }
                try {
                    JSONObject jSONObject = new JSONObject(str);
                    MySharedPf.getInstance(RegisterActivity.this.getApplicationContext()).setUid(jSONObject.getJSONObject("data").getString("devId"));
                    Tools.saveString("phonexxx", RegisterActivity.this.field_account.getText().toString().trim(), RegisterActivity.this);
                    JSONObject jSONObject2 = jSONObject.getJSONObject("data");
                    SPUtils.put(RegisterActivity.this._context, "token", jSONObject2.getString("token"));
                    SPUtils.put(RegisterActivity.this._context, "nickname", jSONObject2.getString("nickname"));
                    SPUtils.put(RegisterActivity.this._context, "headimg", jSONObject2.getString("headimg"));
                    Tools.saveAge(jSONObject2.getInt("age"), RegisterActivity.this);
                    Tools.saveSex(jSONObject2.getInt("sex"), RegisterActivity.this);
                    Tools.saveKg(jSONObject2.getInt("weight"), RegisterActivity.this);
                    Tools.saveLbKg((int) ((jSONObject2.getInt("weight") / 0.45f) + 0.5f), RegisterActivity.this);
                    Tools.saveCm(jSONObject2.getInt(ViewHierarchyConstants.DIMENSION_HEIGHT_KEY), RegisterActivity.this);
                    Tools.saveLogin(true, RegisterActivity.this);
                    RegisterActivity registerActivity = RegisterActivity.this;
                    Tools.showAlert3(registerActivity, registerActivity.getString(R.string.register_success));
                    RegisterActivity.this.goMain();
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }

    /* renamed from: com.zhuoting.health.login.RegisterActivity$5 */
    class AnonymousClass5 implements HttpUtils.HttpCallback {
        AnonymousClass5() {
        }

        @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
        public void onSuccess(String str) {
            if (RegisterActivity.this.progressDialog != null && RegisterActivity.this.progressDialog.isShowing()) {
                RegisterActivity.this.progressDialog.dismiss();
            }
            if (str == null) {
                return;
            }
            try {
                JSONObject jSONObject = new JSONObject(str);
                MySharedPf.getInstance(RegisterActivity.this.getApplicationContext()).setUid(jSONObject.getJSONObject("data").getString("devId"));
                Tools.saveString("phonexxx", RegisterActivity.this.field_account.getText().toString().trim(), RegisterActivity.this);
                JSONObject jSONObject2 = jSONObject.getJSONObject("data");
                SPUtils.put(RegisterActivity.this._context, "token", jSONObject2.getString("token"));
                SPUtils.put(RegisterActivity.this._context, "nickname", jSONObject2.getString("nickname"));
                SPUtils.put(RegisterActivity.this._context, "headimg", jSONObject2.getString("headimg"));
                Tools.saveAge(jSONObject2.getInt("age"), RegisterActivity.this);
                Tools.saveSex(jSONObject2.getInt("sex"), RegisterActivity.this);
                Tools.saveKg(jSONObject2.getInt("weight"), RegisterActivity.this);
                Tools.saveLbKg((int) ((jSONObject2.getInt("weight") / 0.45f) + 0.5f), RegisterActivity.this);
                Tools.saveCm(jSONObject2.getInt(ViewHierarchyConstants.DIMENSION_HEIGHT_KEY), RegisterActivity.this);
                Tools.saveLogin(true, RegisterActivity.this);
                RegisterActivity registerActivity = RegisterActivity.this;
                Tools.showAlert3(registerActivity, registerActivity.getString(R.string.register_success));
                RegisterActivity.this.goMain();
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    public void goMain() {
        startActivity(new Intent(this, (Class<?>) MainActivity.class));
        finish();
    }
}
