package com.zhuoting.health.login.qq;

import android.app.Activity;
import android.content.Intent;
import android.widget.Toast;
import com.facebook.gamingservices.cloudgaming.internal.SDKConstants;
import com.tencent.tauth.IUiListener;
import com.tencent.tauth.Tencent;
import com.tencent.tauth.UiError;
import com.zhuoting.healthd.R;
import org.json.JSONObject;

/* loaded from: classes2.dex */
public class QQLogin {
    private static final String APP_ID = "1108133486";
    public static QQLogin qqLogin;
    private BaseUiListener baseUiListener;
    private Activity context;
    private Tencent tencent;

    public static synchronized QQLogin getInstance(Activity activity) {
        QQLogin qQLogin;
        synchronized (QQLogin.class) {
            if (qqLogin == null) {
                qqLogin = new QQLogin(activity);
            }
            qQLogin = qqLogin;
        }
        return qQLogin;
    }

    private QQLogin(Activity activity) {
        this.context = activity;
        if (this.tencent == null) {
            Tencent.setIsPermissionGranted(true);
            this.tencent = Tencent.createInstance(APP_ID, activity.getApplicationContext());
        }
    }

    public void qqLogin() {
        if (this.baseUiListener == null) {
            this.baseUiListener = new BaseUiListener();
        }
        this.tencent.login(this.context, "all", this.baseUiListener);
    }

    private class BaseUiListener implements IUiListener {
        @Override // com.tencent.tauth.IUiListener
        public void onWarning(int i) {
        }

        private BaseUiListener() {
        }

        @Override // com.tencent.tauth.IUiListener
        public void onComplete(Object obj) {
            Toast.makeText(QQLogin.this.context, QQLogin.this.context.getString(R.string.authorization_succeeded), 0).show();
            JSONObject jSONObject = (JSONObject) obj;
            try {
                QQLogin.this.context.sendBroadcast(new Intent("com.login.qq").putExtra(SDKConstants.PARAM_ACCESS_TOKEN, jSONObject.getString("access_token")).putExtra("openID", jSONObject.getString("openid")));
            } catch (Exception e) {
                e.printStackTrace();
                Toast.makeText(QQLogin.this.context, QQLogin.this.context.getString(R.string.login_unknown_error), 0).show();
            }
        }

        @Override // com.tencent.tauth.IUiListener
        public void onError(UiError uiError) {
            Toast.makeText(QQLogin.this.context, QQLogin.this.context.getString(R.string.authorization_failed), 0).show();
        }

        @Override // com.tencent.tauth.IUiListener
        public void onCancel() {
            Toast.makeText(QQLogin.this.context, QQLogin.this.context.getString(R.string.authorization_cancle), 0).show();
        }
    }

    public void setCallBack(int i, int i2, Intent intent) {
        Tencent.onActivityResultData(i, i2, intent, this.baseUiListener);
    }

    public void clear() {
        this.baseUiListener = null;
        this.tencent = null;
        qqLogin = null;
    }
}
