package com.zhuoting.health.model;

import android.database.Cursor;
import com.zhuoting.health.tools.DBHelper;
import com.zhuoting.health.tools.ErrorUtil;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.tools.TransUtils;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.TimeZone;
import kotlin.UByte;
import org.json.JSONException;
import org.json.JSONObject;

/* loaded from: classes2.dex */
public class BloodInfo {
    public int DBP;
    public int SBP;
    public int isInflated;
    public int isUpload;
    public long rtime;
    public String rtimeFormat;
    public String timeStr;

    public void fameDate() {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        simpleDateFormat.setTimeZone(TimeZone.getDefault());
        this.rtimeFormat = simpleDateFormat.format(new Date(this.rtime));
        SimpleDateFormat simpleDateFormat2 = new SimpleDateFormat("HH:mm");
        simpleDateFormat2.setTimeZone(TimeZone.getDefault());
        this.timeStr = simpleDateFormat2.format(new Date(this.rtime));
    }

    public void initWithData(byte[] bArr) {
        if (bArr.length == 8) {
            long Bytes2Dec = TransUtils.Bytes2Dec(new byte[]{bArr[3], bArr[2], bArr[1], bArr[0]}) + 946684800;
            this.rtime = Bytes2Dec;
            long j = Bytes2Dec * 1000;
            this.rtime = j;
            this.rtime = j - Tools.getTimeOffset();
            this.SBP = TransUtils.Bytes2Dec(new byte[]{0, 0, 0, bArr[6]});
            this.DBP = TransUtils.Bytes2Dec(new byte[]{0, 0, 0, bArr[5]});
            this.isInflated = bArr[4] & UByte.MAX_VALUE;
            fameDate();
            return;
        }
        Tools.writeFile(ErrorUtil.ERROR_2, "MeCareLog.txt");
    }

    public void sqlinster() {
        System.out.println("chong-------isInflated==" + this.isInflated);
        DBHelper.getInstance(null).execSQL("INSERT INTO blood (rtime,rtimeFormat,SBP,DBP,isInflated) VALUES (?,?,?,?,?)", new Object[]{Long.valueOf(this.rtime), this.rtimeFormat, Integer.valueOf(this.SBP), Integer.valueOf(this.DBP), Integer.valueOf(this.isInflated)});
    }

    public void setCursor(Cursor cursor) {
        this.rtime = cursor.getLong(cursor.getColumnIndex("rtime"));
        this.rtimeFormat = cursor.getString(cursor.getColumnIndex("rtimeFormat"));
        this.SBP = cursor.getInt(cursor.getColumnIndex("SBP"));
        this.DBP = cursor.getInt(cursor.getColumnIndex("DBP"));
        this.isUpload = cursor.getInt(cursor.getColumnIndex("isUpload"));
        this.isInflated = cursor.getInt(cursor.getColumnIndex("isInflated"));
        fameDate();
    }

    public void setValue(JSONObject jSONObject) {
        try {
            this.SBP = jSONObject.getInt("SBP");
            this.DBP = jSONObject.getInt("DBP");
            this.rtime = jSONObject.getLong("rtime");
            fameDate();
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }
}
