package com.zhuoting.health.model;

import android.database.Cursor;
import com.zhuoting.health.tools.DBHelper;
import com.zhuoting.health.tools.ErrorUtil;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.tools.TransUtils;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.TimeZone;
import org.json.JSONException;
import org.json.JSONObject;

/* loaded from: classes2.dex */
public class HeartInfo {
    public int heartTimes;
    public int hour;
    public int isApkAmdUpload;
    public int isUpload;
    public long rtime;
    public String rtimeFormat;
    public String timeStr;

    public void fameDate() {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        simpleDateFormat.setTimeZone(TimeZone.getDefault());
        this.rtimeFormat = simpleDateFormat.format(new Date(this.rtime));
        SimpleDateFormat simpleDateFormat2 = new SimpleDateFormat("HH:mm");
        simpleDateFormat2.setTimeZone(TimeZone.getDefault());
        this.timeStr = simpleDateFormat2.format(new Date(this.rtime));
        SimpleDateFormat simpleDateFormat3 = new SimpleDateFormat("HH");
        simpleDateFormat3.setTimeZone(TimeZone.getDefault());
        this.hour = Integer.parseInt(simpleDateFormat3.format(new Date(this.rtime)));
    }

    public void initWithData(byte[] bArr) {
        if (bArr.length == 6) {
            long Bytes2Dec = TransUtils.Bytes2Dec(new byte[]{bArr[3], bArr[2], bArr[1], bArr[0]}) + 946684800;
            this.rtime = Bytes2Dec;
            long j = Bytes2Dec * 1000;
            this.rtime = j;
            this.rtime = j - Tools.getTimeOffset();
            this.heartTimes = TransUtils.Bytes2Dec(new byte[]{0, 0, 0, bArr[5]});
            fameDate();
            return;
        }
        Tools.writeFile(ErrorUtil.ERROR_3, "MeCareLog.txt");
    }

    public void sqlinster() {
        DBHelper.getInstance(null).execSQL("INSERT INTO heart (rtime,rtimeFormat,heartTimes) VALUES (?,?,?)", new Object[]{Long.valueOf(this.rtime), this.rtimeFormat, Integer.valueOf(this.heartTimes)});
    }

    public void setCursor(Cursor cursor) {
        this.rtime = cursor.getLong(cursor.getColumnIndex("rtime"));
        this.rtimeFormat = cursor.getString(cursor.getColumnIndex("rtimeFormat"));
        this.heartTimes = cursor.getInt(cursor.getColumnIndex("heartTimes"));
        this.isUpload = cursor.getInt(cursor.getColumnIndex("isUpload"));
        this.isApkAmdUpload = cursor.getInt(cursor.getColumnIndex("isApkAmdUpload"));
        fameDate();
    }

    public Map<String, Object> objectToDictionary() {
        HashMap hashMap = new HashMap();
        hashMap.put("rtime", Long.valueOf(this.rtime));
        hashMap.put("heartTimes", Integer.valueOf(this.heartTimes));
        hashMap.put("hour", Integer.valueOf(this.hour));
        return hashMap;
    }

    public void setValue(JSONObject jSONObject) {
        try {
            this.rtime = jSONObject.getLong("rtime");
            this.heartTimes = jSONObject.getInt("heartTimes");
            this.hour = jSONObject.getInt("hour");
            fameDate();
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }
}
