package com.zhuoting.health.model;

import android.database.Cursor;
import com.zhuoting.health.tools.DBHelper;
import com.zhuoting.health.tools.ErrorUtil;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.tools.TransUtils;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;
import java.util.TimeZone;
import org.json.JSONException;
import org.json.JSONObject;

/* loaded from: classes2.dex */
public class SportInfo {
    public long begindate;
    public String beginhhmm;
    public int cakl;
    public int des;
    public long enddate;
    public String endhhmm;
    public int hour;
    public int isUpload;
    public int step;
    public String timeFormet;

    public void fameDate() {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
        simpleDateFormat.setTimeZone(TimeZone.getDefault());
        this.timeFormet = simpleDateFormat.format(new Date(this.begindate));
        SimpleDateFormat simpleDateFormat2 = new SimpleDateFormat("HH:mm");
        simpleDateFormat2.setTimeZone(TimeZone.getDefault());
        this.beginhhmm = simpleDateFormat2.format(new Date(this.begindate));
        this.endhhmm = simpleDateFormat2.format(new Date(this.enddate));
        SimpleDateFormat simpleDateFormat3 = new SimpleDateFormat("HH");
        simpleDateFormat3.setTimeZone(TimeZone.getDefault());
        this.hour = Integer.parseInt(simpleDateFormat3.format(new Date(this.begindate)));
    }

    public void initWithData(byte[] bArr) {
        if (bArr.length == 14) {
            long Bytes2Dec = TransUtils.Bytes2Dec(new byte[]{bArr[3], bArr[2], bArr[1], bArr[0]}) + 946684800;
            this.begindate = Bytes2Dec;
            long j = Bytes2Dec * 1000;
            this.begindate = j;
            this.begindate = j - Tools.getTimeOffset();
            long Bytes2Dec2 = TransUtils.Bytes2Dec(new byte[]{bArr[7], bArr[6], bArr[5], bArr[4]}) + 946684800;
            this.enddate = Bytes2Dec2;
            long j2 = Bytes2Dec2 * 1000;
            this.enddate = j2;
            this.enddate = j2 - Tools.getTimeOffset();
            fameDate();
            this.step = TransUtils.Bytes2Dec(new byte[]{0, 0, bArr[9], bArr[8]});
            this.des = TransUtils.Bytes2Dec(new byte[]{0, 0, bArr[11], bArr[10]});
            this.cakl = TransUtils.Bytes2Dec(new byte[]{0, 0, bArr[13], bArr[12]});
            fameDate();
            return;
        }
        Tools.writeFile(ErrorUtil.ERROR_2, "MeCareLog.txt");
    }

    public void sqlinster() {
        DBHelper.getInstance(null).execSQL("INSERT INTO sport (timeFormet,begindate,step,des,cakl,enddate) VALUES (?,?,?,?,?,?)", new Object[]{this.timeFormet, Long.valueOf(this.begindate), Integer.valueOf(this.step), Integer.valueOf(this.des), Integer.valueOf(this.cakl), Long.valueOf(this.enddate)});
    }

    public void setCursor(Cursor cursor) {
        this.timeFormet = cursor.getString(cursor.getColumnIndex("timeFormet"));
        this.begindate = cursor.getLong(cursor.getColumnIndex("begindate"));
        this.step = cursor.getInt(cursor.getColumnIndex("step"));
        this.des = cursor.getInt(cursor.getColumnIndex("des"));
        this.cakl = cursor.getInt(cursor.getColumnIndex("cakl"));
        this.enddate = cursor.getLong(cursor.getColumnIndex("enddate"));
        this.isUpload = cursor.getInt(cursor.getColumnIndex("isUpload"));
        fameDate();
    }

    public Map<String, Object> objectToDictionary() {
        HashMap hashMap = new HashMap();
        hashMap.put("begindate", Long.valueOf(this.begindate));
        hashMap.put("enddate", Long.valueOf(this.enddate));
        hashMap.put("step", Integer.valueOf(this.step));
        hashMap.put("des", Integer.valueOf(this.des));
        hashMap.put("cakl", Integer.valueOf(this.cakl));
        hashMap.put("hour", Integer.valueOf(this.hour));
        hashMap.put("isUpload", Integer.valueOf(this.isUpload));
        return hashMap;
    }

    public void setValue(JSONObject jSONObject) {
        try {
            this.begindate = jSONObject.getLong("begindate");
            this.enddate = jSONObject.getLong("enddate");
            this.step = jSONObject.getInt("step");
            this.des = jSONObject.getInt("des");
            this.cakl = jSONObject.getInt("cakl");
            this.hour = jSONObject.getInt("hour");
            this.isUpload = jSONObject.getInt("isUpload");
            fameDate();
        } catch (JSONException e) {
            e.printStackTrace();
        }
    }

    public String toString() {
        return "timeFormet " + this.timeFormet + " isUpload " + this.isUpload;
    }
}
