package com.zhuoting.health.one;

import android.content.Intent;
import android.database.Cursor;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;
import com.gyf.immersionbar.ImmersionBar;
import com.wevey.selector.dialog.DialogInterface;
import com.wevey.selector.dialog.MDAlertDialog;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.HealthApplication;
import com.zhuoting.health.action.MyOnClickListener;
import com.zhuoting.health.action.OnChangeListener;
import com.zhuoting.health.adapter.BloodSecAdapter;
import com.zhuoting.health.model.BloodInfo;
import com.zhuoting.health.observer.SubObserver;
import com.zhuoting.health.product.ProductUtil;
import com.zhuoting.health.setting.uploadnativedata.StepInstructionsActivity;
import com.zhuoting.health.tools.BleHandler;
import com.zhuoting.health.tools.DBHelper;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.tools.Utils;
import com.zhuoting.health.ui.SwitchButton;
import com.zhuoting.health.ui.TjMainView;
import com.zhuoting.health.view.chart.CharUtil;
import com.zhuoting.health.view.chart.charts.CandleStickChart;
import com.zhuoting.health.view.chart.klinechart.BloodPressureBean;
import com.zhuoting.healthd.R;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Observable;
import java.util.Observer;
import jsc.kit.wheel.base.WheelItem;
import jsc.kit.wheel.dialog.ColumnWheelDialog;

/* loaded from: classes2.dex */
public class BloodSecActivity extends BaseActivity implements Observer {
    BloodSecAdapter adapter;
    ListView listview;
    private CandleStickChart mChart;
    BloodInfo maxinfo;
    BloodInfo mininfo;
    TextView timelal;
    TjMainView tjMainView4;
    private TextView tv_bloodlal;
    long indexTime = 0;
    List<BloodInfo> slist = new ArrayList();
    private int dbp = 115;
    private int sbp = 90;
    String sharePath = "";
    private Handler handler = new Handler(Looper.getMainLooper()) { // from class: com.zhuoting.health.one.BloodSecActivity.9
        @Override // android.os.Handler
        public void handleMessage(Message message) {
            int i = message.what;
            if (i == 1) {
                BloodSecActivity.this.sendMsgOpen();
            } else if (i == 2) {
                BloodSecActivity.this.sendMsgClose();
            } else {
                if (i != 3) {
                    return;
                }
                BloodSecActivity.this.sendBloodMsg();
            }
        }
    };

    @Override // java.util.Observer
    public void update(Observable observable, Object obj) {
        Map map = (Map) obj;
        if (Integer.parseInt(map.get("key").toString()) == 1) {
            byte[] bArr = (byte[]) map.get("smsg");
            for (byte b : bArr) {
                Log.d("ming", ((int) b) + "");
            }
            if (bArr[0] == 3 && bArr[1] == 2) {
                this.handler.sendEmptyMessage(3);
                return;
            }
            if (bArr[0] == 6 && bArr[1] == 3) {
                this.tv_bloodlal.setText(String.format("%s:%s/%s", getString(R.string.blood_pressure), Byte.valueOf(bArr[4]), Byte.valueOf(bArr[5])));
                return;
            }
            if (bArr[0] == 3 && bArr[1] == 3 && bArr.length >= 4) {
                byte b2 = bArr[4];
                if (b2 == 0) {
                    Toast.makeText(this, getString(R.string.calibration_success), 0).show();
                    Tools.saveInt("dbp", this.dbp, HealthApplication.getInstance());
                    Tools.saveInt("sbp", this.sbp, HealthApplication.getInstance());
                } else if (b2 == 1) {
                    Toast.makeText(this, getString(R.string.calibration_failed_params_error), 0).show();
                } else {
                    if (b2 != 2) {
                        return;
                    }
                    Toast.makeText(this, getString(R.string.calibration_failed_no_test_value), 0).show();
                }
            }
        }
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_blood_sec);
        changeTitle(getString(R.string.blood_pressure));
        showBack();
        ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        this.bar.setBackgroundColor(getColor(R.color.home_mode_title_bg));
        this.bar.setTitleColor(getResources().getColor(R.color.home_mode_title_color, null));
        this.bar.setLeftBtnImage(R.mipmap.backbtn2);
        this.listview = (ListView) findViewById(R.id.listview);
        BloodSecAdapter bloodSecAdapter = new BloodSecAdapter(this._context, this.slist);
        this.adapter = bloodSecAdapter;
        this.listview.setAdapter((ListAdapter) bloodSecAdapter);
        this.listview.setOnItemClickListener(this.adapter);
        View inflate = getLayoutInflater().inflate(R.layout.head_blood_sec, (ViewGroup) null);
        this.listview.addHeaderView(inflate);
        CandleStickChart candleStickChart = (CandleStickChart) inflate.findViewById(R.id.chart);
        this.mChart = candleStickChart;
        candleStickChart.setOnTouchListener(new View.OnTouchListener() { // from class: com.zhuoting.health.one.BloodSecActivity.1
            @Override // android.view.View.OnTouchListener
            public boolean onTouch(View view, MotionEvent motionEvent) {
                if (motionEvent.getAction() == 1) {
                    BloodSecActivity.this.listview.requestDisallowInterceptTouchEvent(false);
                } else {
                    BloodSecActivity.this.listview.requestDisallowInterceptTouchEvent(true);
                }
                return false;
            }
        });
        this.dbp = Tools.readInt("dbp", HealthApplication.getInstance(), 115);
        this.sbp = Tools.readInt("sbp", HealthApplication.getInstance(), 90);
        if (ProductUtil.isShowBloodPressureCalibration(this) || ProductUtil.isHasInflated(this)) {
            inflate.findViewById(R.id.blood_calibration_tv).setVisibility(0);
            setListener(inflate.findViewById(R.id.blood_calibration_tv));
            System.out.println("chong--------" + ProductUtil.isHasUploadInflateBlood(this) + "--" + ProductUtil.isHasInflated(this));
            if (ProductUtil.isHasInflated(this)) {
                ((TextView) inflate.findViewById(R.id.blood_calibration_tv)).setText(R.string.photoelectric_blood_pressure_calibration);
                if (Tools.readLogin(this) && "cn".equals(getString(R.string.lan)) && BleHandler.iscon && BleHandler.getInstance(this).myDevice != null && BleHandler.getInstance(this).myDevice.getName() != null && ProductUtil.isHasUploadInflateBlood(this)) {
                    findViewById(R.id.result_has_doubt).setVisibility(0);
                    findViewById(R.id.result_has_doubt).setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.one.BloodSecActivity.2
                        @Override // android.view.View.OnClickListener
                        public void onClick(View view) {
                            BloodSecActivity.this.showQuestionsDialog();
                        }
                    });
                }
            }
        }
        ((SwitchButton) findViewById(R.id.blood_switch)).setOnChangeListener(new OnChangeListener() { // from class: com.zhuoting.health.one.BloodSecActivity.3
            @Override // com.zhuoting.health.action.OnChangeListener
            public void onChange(SwitchButton switchButton, boolean z) {
                if (z) {
                    BloodSecActivity.this.handler.sendEmptyMessage(1);
                } else {
                    BloodSecActivity.this.handler.sendEmptyMessage(2);
                }
            }
        });
        this.tv_bloodlal = (TextView) findViewById(R.id.bloodlal);
        this.timelal = (TextView) findViewById(R.id.timelal);
        ImageView imageView = (ImageView) findViewById(R.id.letfBtn);
        final ImageView imageView2 = (ImageView) findViewById(R.id.rightBtn);
        imageView.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.one.BloodSecActivity.4
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                BloodSecActivity.this.indexTime--;
                imageView2.setImageResource(R.mipmap.icon_home_bool_secright);
                BloodSecActivity.this.loadMsg();
            }
        });
        imageView2.setImageResource(R.mipmap.dis_secright);
        imageView2.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.one.BloodSecActivity.5
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                if (BloodSecActivity.this.indexTime == 0) {
                    return;
                }
                BloodSecActivity.this.indexTime++;
                if (BloodSecActivity.this.indexTime == 0) {
                    imageView2.setImageResource(R.mipmap.dis_secright);
                }
                BloodSecActivity.this.loadMsg();
            }
        });
        TjMainView tjMainView = (TjMainView) inflate.findViewById(R.id.tjbsView);
        this.tjMainView4 = tjMainView;
        tjMainView.loadView(3);
        loadMsg();
        this.bar.showShareButtonVisualable(true);
        this.bar.setRight2OnClickListener(new MyOnClickListener() { // from class: com.zhuoting.health.one.BloodSecActivity.6
            @Override // com.zhuoting.health.action.MyOnClickListener
            public void onClick(View view) {
                BloodSecActivity.this.Share();
            }
        });
    }

    private void setListener(View view) {
        view.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.one.BloodSecActivity.7
            @Override // android.view.View.OnClickListener
            public void onClick(View view2) {
                BloodSecActivity.this.showDialog();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public ColumnWheelDialog showDialog() {
        ColumnWheelDialog columnWheelDialog = new ColumnWheelDialog(this);
        columnWheelDialog.show();
        columnWheelDialog.setTextSize(getResources().getDisplayMetrics().density * 16.0f);
        columnWheelDialog.setItemVerticalSpace((int) (getResources().getDisplayMetrics().density * 25.0f));
        columnWheelDialog.setTitle(getString(R.string.pls_select));
        columnWheelDialog.setCancelButton(getString(R.string.cancel), null);
        columnWheelDialog.setUnit(getString(R.string.systolic_pressure), getString(R.string.diastolic_pressure), "", "", "");
        columnWheelDialog.setOKButton(getString(R.string.ok), new ColumnWheelDialog.OnClickCallBack<WheelItem, WheelItem, WheelItem, WheelItem, WheelItem>() { // from class: com.zhuoting.health.one.BloodSecActivity.8
            @Override // jsc.kit.wheel.dialog.ColumnWheelDialog.OnClickCallBack
            public boolean callBack(View view, WheelItem wheelItem, WheelItem wheelItem2, WheelItem wheelItem3, WheelItem wheelItem4, WheelItem wheelItem5) {
                BloodSecActivity.this.dbp = Integer.parseInt(wheelItem.getShowText());
                BloodSecActivity.this.sbp = Integer.parseInt(wheelItem2.getShowText());
                if (BloodSecActivity.this.dbp - BloodSecActivity.this.sbp >= 10 && BloodSecActivity.this.dbp - BloodSecActivity.this.sbp <= 80) {
                    BloodSecActivity.this.sendBloodPressureCalibration();
                    return false;
                }
                BloodSecActivity bloodSecActivity = BloodSecActivity.this;
                Toast.makeText(bloodSecActivity, bloodSecActivity.getString(R.string.blood_calibration_error1), 1).show();
                return false;
            }
        });
        columnWheelDialog.setItems(initItems(85, 220), initItems(45, 150), initItems(0, 0), initItems(0, 0), initItems(0, 0));
        columnWheelDialog.setSelected(this.dbp - 85, this.sbp - 45, 0, 0, 0);
        return columnWheelDialog;
    }

    private WheelItem[] initItems(int i, int i2) {
        WheelItem[] wheelItemArr = new WheelItem[(i2 - i) + 1];
        for (int i3 = i; i3 <= i2; i3++) {
            wheelItemArr[i3 - i] = new WheelItem(i3 + "");
        }
        return wheelItemArr;
    }

    public void Share() {
        deleteShareImage();
        this.sharePath = Utils.share(this, getString(R.string.blood_pressure));
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
    }

    private void deleteShareImage() {
        Utils.deleteShare(this, this.sharePath);
        this.sharePath = "";
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        deleteShareImage();
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onStart() {
        super.onStart();
        SubObserver.getInstance().addObs(this);
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onStop() {
        super.onStop();
        SubObserver.getInstance().delObs(this);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void sendBloodMsg() {
        BleHandler.getInstance(getApplication()).sendMsg(Tools.makeSend(new byte[]{3, 9, 1, 3, 1}));
    }

    public void sendMsgOpen() {
        BleHandler.getInstance(getApplication()).sendMsg(Tools.makeSend(new byte[]{3, 2, 2}));
    }

    public void sendMsgClose() {
        BleHandler.getInstance(getApplication()).sendMsg(Tools.makeSend(new byte[]{3, 2, 0}));
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void sendBloodPressureCalibration() {
        BleHandler.getInstance(getApplication()).sendMsg(Tools.makeSend(new byte[]{3, 3, (byte) this.dbp, (byte) this.sbp}));
    }

    public void loadMsg() {
        int i;
        char c;
        this.slist.clear();
        this.maxinfo = null;
        this.mininfo = null;
        String format = new SimpleDateFormat("yyyy-MM-dd").format(new Date(System.currentTimeMillis() + (this.indexTime * 86400000)));
        this.timelal.setText(format);
        int i2 = 1;
        char c2 = 0;
        Cursor rawQuery = DBHelper.getInstance(getApplication()).rawQuery("select * from blood where rtimeFormat=? order by rtime asc", new String[]{format});
        while (rawQuery.moveToNext()) {
            BloodInfo bloodInfo = new BloodInfo();
            bloodInfo.setCursor(rawQuery);
            this.slist.add(bloodInfo);
        }
        List<BloodInfo> removeRealTimeBloodDuplicate = Tools.removeRealTimeBloodDuplicate(this.slist);
        this.slist = removeRealTimeBloodDuplicate;
        this.slist = Tools.sortListRTBlood(removeRealTimeBloodDuplicate);
        Log.d("bloodsec", this.slist.size() + "");
        Iterator<BloodInfo> it2 = this.slist.iterator();
        while (it2.hasNext()) {
            BloodInfo next = it2.next();
            if (next.SBP < 40 || next.SBP > 160 || next.DBP < 70 || next.DBP > 250 || next.DBP - next.SBP < 10 || next.DBP - next.SBP > 80) {
                it2.remove();
            }
        }
        DisplayMetrics displayMetrics = new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
        int dip2px = (displayMetrics.widthPixels - Tools.dip2px(getApplication(), 80.0f)) / 24;
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        ArrayList<BloodPressureBean> arrayList3 = new ArrayList<>();
        int i3 = -11;
        int i4 = 0;
        int i5 = 0;
        int i6 = 150;
        while (i4 < this.slist.size()) {
            BloodInfo bloodInfo2 = this.slist.get(i4);
            if (bloodInfo2.DBP + 15 > i6) {
                i6 = bloodInfo2.DBP + 15;
            }
            if (this.maxinfo == null) {
                this.maxinfo = bloodInfo2;
            } else if (bloodInfo2.DBP > this.maxinfo.DBP) {
                this.maxinfo = bloodInfo2;
            } else if (bloodInfo2.DBP == this.maxinfo.DBP && bloodInfo2.SBP > this.maxinfo.SBP) {
                this.maxinfo = bloodInfo2;
            }
            if (this.mininfo == null) {
                this.mininfo = bloodInfo2;
            } else if (bloodInfo2.DBP < this.mininfo.DBP) {
                this.mininfo = bloodInfo2;
            } else if (bloodInfo2.DBP == this.mininfo.DBP && bloodInfo2.SBP < this.mininfo.SBP) {
                this.mininfo = bloodInfo2;
            }
            HashMap hashMap = new HashMap();
            hashMap.put("x", (dip2px * i5) + "");
            hashMap.put("y", bloodInfo2.SBP + "");
            hashMap.put("y2", bloodInfo2.DBP + "");
            i5 += i2;
            arrayList.add(hashMap);
            String[] split = bloodInfo2.timeStr.split(":");
            int parseInt = (Integer.parseInt(split[c2]) * 60) + Integer.parseInt(split[i2]);
            if (i4 > 0) {
                c = '\n';
                if (i3 - parseInt >= 10) {
                    arrayList3.add(new BloodPressureBean(parseInt, 0.0f, 0.0f, bloodInfo2.DBP, bloodInfo2.SBP, bloodInfo2.DBP, bloodInfo2.SBP));
                } else {
                    i4++;
                    i2 = 1;
                    c2 = 0;
                }
            } else {
                c = '\n';
                arrayList3.add(new BloodPressureBean(parseInt, 0.0f, 0.0f, bloodInfo2.DBP, bloodInfo2.SBP, bloodInfo2.DBP, bloodInfo2.SBP));
            }
            i3 = parseInt;
            i4++;
            i2 = 1;
            c2 = 0;
        }
        if (arrayList3.size() == 0) {
            arrayList3.add(new BloodPressureBean(0, 0.0f, 0.0f, -1.0f, -1.0f, -1.0f, -1.0f));
            arrayList3.add(new BloodPressureBean(1440, 0.0f, 0.0f, -1.0f, -1.0f, -1.0f, -1.0f));
            i = 150;
        } else {
            i = i6;
        }
        CharUtil.getInstance().initBloodChart(this, this.mChart, i, 0, arrayList3);
        refHead();
        for (int i7 = 0; i7 < arrayList.size(); i7++) {
            arrayList2.add((Map) arrayList.get(i7));
        }
        this.tjMainView4.refTTT(arrayList2, i);
        this.adapter.notifyDataSetChanged();
    }

    public void refHead() {
        TextView textView = (TextView) findViewById(R.id.minblood);
        TextView textView2 = (TextView) findViewById(R.id.mintime);
        TextView textView3 = (TextView) findViewById(R.id.maxblood);
        TextView textView4 = (TextView) findViewById(R.id.maxtime);
        BloodInfo bloodInfo = this.mininfo;
        if (bloodInfo == null) {
            textView.setText("0/0");
            textView2.setText(String.format("%s 00:00", getString(R.string.time)));
        } else {
            textView.setText(String.format("%d/%d", Integer.valueOf(bloodInfo.DBP), Integer.valueOf(this.mininfo.SBP)));
            textView2.setText(String.format("%s %s", getString(R.string.time), this.mininfo.timeStr));
        }
        BloodInfo bloodInfo2 = this.maxinfo;
        if (bloodInfo2 == null) {
            textView3.setText("0/0");
            textView4.setText(String.format("%s 00:00", getString(R.string.time)));
        } else {
            textView3.setText(String.format("%d/%d", Integer.valueOf(bloodInfo2.DBP), Integer.valueOf(this.maxinfo.SBP)));
            textView4.setText(String.format("%s %s", getString(R.string.time), this.maxinfo.timeStr));
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void showQuestionsDialog() {
        new MDAlertDialog.Builder(this).setHeight(0.21f).setWidth(0.7f).setTitleVisible(true).setTitleText(getString(R.string.prompt)).setTitleTextColor(R.color.black_light).setContentText(getString(R.string.upload_server_content)).setContentTextColor(R.color.black_light).setLeftButtonText(getString(R.string.cancel)).setLeftButtonTextColor(R.color.gray).setRightButtonText(getString(R.string.confirm)).setRightButtonTextColor(R.color.black_light).setTitleTextSize(16).setContentTextSize(14).setButtonTextSize(14).setOnclickListener(new DialogInterface.OnLeftAndRightClickListener<MDAlertDialog>() { // from class: com.zhuoting.health.one.BloodSecActivity.10
            @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
            public void clickLeftButton(MDAlertDialog mDAlertDialog, View view) {
                mDAlertDialog.dismiss();
            }

            @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
            public void clickRightButton(MDAlertDialog mDAlertDialog, View view) {
                mDAlertDialog.dismiss();
                BloodSecActivity.this.goMesureActivity();
            }
        }).build().show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void goMesureActivity() {
        startActivity(new Intent(this, (Class<?>) StepInstructionsActivity.class));
    }
}
