package com.zhuoting.health.one;

import android.app.Activity;
import android.bluetooth.BluetoothDevice;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.database.Cursor;
import android.graphics.Color;
import android.graphics.drawable.AnimationDrawable;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.format.DateFormat;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewTreeObserver;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import com.amap.api.col.p0003sl.jv;
import com.facebook.login.widget.ToolTipPopup;
import com.google.gson.Gson;
import com.realsil.sdk.dfu.DfuException;
import com.scwang.smartrefresh.layout.SmartRefreshLayout;
import com.scwang.smartrefresh.layout.api.RefreshLayout;
import com.scwang.smartrefresh.layout.footer.ClassicsFooter;
import com.scwang.smartrefresh.layout.header.ClassicsHeader;
import com.scwang.smartrefresh.layout.listener.OnRefreshListener;
import com.tencent.connect.common.Constants;
import com.zhuoting.health.BuildConfig;
import com.zhuoting.health.HealthApplication;
import com.zhuoting.health.MainActivity;
import com.zhuoting.health.MyApplication;
import com.zhuoting.health.event.CloseRealStep;
import com.zhuoting.health.event.ECGData;
import com.zhuoting.health.event.HistoryBloodData;
import com.zhuoting.health.event.HistoryHeartData;
import com.zhuoting.health.event.HistorySleepData;
import com.zhuoting.health.event.HistorySportData;
import com.zhuoting.health.event.OpenRealStep;
import com.zhuoting.health.event.RealTimeBloodData;
import com.zhuoting.health.event.RealTimeSportData;
import com.zhuoting.health.event.SyncData;
import com.zhuoting.health.instruct.InstructTools;
import com.zhuoting.health.model.BloodInfo;
import com.zhuoting.health.model.HeartInfo;
import com.zhuoting.health.model.SleepInfo;
import com.zhuoting.health.model.SleepMegInfo;
import com.zhuoting.health.model.Spo2Info;
import com.zhuoting.health.product.ProductUtil;
import com.zhuoting.health.service.ClientManager;
import com.zhuoting.health.service.MyBleService;
import com.zhuoting.health.setting.RecoveryActivity;
import com.zhuoting.health.setting.SetActivity;
import com.zhuoting.health.setting.bean.UpgradeBean;
import com.zhuoting.health.tools.BleHandler;
import com.zhuoting.health.tools.DBHelper;
import com.zhuoting.health.tools.DBUploadHelper;
import com.zhuoting.health.tools.HttpUtils;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.SPUtils;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.ui.Cardiograph2View;
import com.zhuoting.health.ui.CircleProgress;
import com.zhuoting.health.ui.NavigationBar;
import com.zhuoting.health.ui.SimpleRoundProgress;
import com.zhuoting.healthd.R;
import java.io.File;
import java.io.PrintStream;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Locale;
import java.util.TimeZone;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import no.nordicsemi.android.dfu.DfuBaseService;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;

/* loaded from: classes2.dex */
public class MainFragment extends MainBaseFragment {
    private static final int ISNOREAD = 101;
    private static final int REALSPORT = 1;
    private static final String TAG = "MainFragment";
    private int BLOODSUGAR;
    private int DBP;
    private int HEART;
    private int HRV;
    private int O2;
    private int RESPIRATORYRATE;
    private int SBP;
    private float TEMP;
    private LinearLayout blood_oxygen_view;
    private LinearLayout blood_sugar_view;
    private LinearLayout bloodview;
    private ImageView bpLine;
    private int bpLineWidth;
    private TextView bpNoData;
    private ImageView bpPosition;
    private TextView bpTime;
    private RelativeLayout car_relativelayout;
    private RelativeLayout conview;
    private LinearLayout cvrr_view;
    private LinearLayout devView;
    private ImageView ecgLine;
    private int ecgLineWidth;
    private TextView ecgNoData;
    private ImageView ecgPosition;
    private TextView ecgTime;
    private LinearLayout ecg_layout;
    private ImageView heartLine;
    private int heartLineWidth;
    private TextView heartNoData;
    private ImageView heartPosition;
    private TextView heartTime;
    private LinearLayout heartview;
    private LinearLayout hrv_view;
    private ImageView img_select;
    private boolean isKm;
    private boolean isok;
    private MainActivity mActivity;
    private ImageView mainfragment_bt_state;
    private TextView mbstep;
    private CircleProgress mecareProgress;
    public int nowStep;
    public int nowdesm;
    public int nowkcal;
    private TextView nowsetplal;
    private ImageView o2Line;
    private int o2LineWidth;
    private TextView o2NoData;
    private ImageView o2Position;
    private TextView oxygenTime;
    int progress;
    private ImageView respiratoryRateLine;
    private int respiratoryRateLineWidth;
    private TextView respiratoryRateNoData;
    private ImageView respiratoryRatePosition;
    private TextView respiratoryTime;
    private LinearLayout respiratory_rate_view;
    private RelativeLayout select_relativelayout;
    private RelativeLayout select_relativelayout_1;
    private RelativeLayout select_relativelayout_2;
    private RelativeLayout select_relativelayout_3;
    private RelativeLayout select_relativelayout_4;
    private TextView sleepTime;
    private LinearLayout sleepview;
    private SmartRefreshLayout smartRefreshLayout;
    private SimpleRoundProgress sportStroke;
    private TextView sportTime;
    private int step;
    private ImageView tempLine;
    private int tempLineWidth;
    private TextView tempNoData;
    private ImageView tempPosition;
    private TextView tempTime;
    private LinearLayout temp_view;
    private TextView tv_begin_sleep_time;
    private TextView tv_blood_sugar_latest;
    private TextView tv_blood_sugar_max;
    private TextView tv_blood_sugar_min;
    private TextView tv_cvrr_latest;
    private TextView tv_cvrr_max;
    private TextView tv_cvrr_min;
    private TextView tv_deep_sleep_hour;
    private TextView tv_deep_sleep_min;
    private TextView tv_end_sleep_time;
    private TextView tv_heart_latest;
    private TextView tv_heart_max;
    private TextView tv_heart_min;
    private TextView tv_hrv;
    private TextView tv_hrv_latest;
    private TextView tv_hrv_max;
    private TextView tv_hrv_min;
    private TextView tv_light_sleep_hour;
    private TextView tv_light_sleep_min;
    private TextView tv_max_blood;
    private TextView tv_max_respiratory;
    private TextView tv_min_blood;
    private TextView tv_min_respiratory;
    private TextView tv_oxygen_latest;
    private TextView tv_oxygen_max;
    private TextView tv_oxygen_min;
    private TextView tv_pm;
    private TextView tv_recently_blood;
    private TextView tv_recently_respiratory_rate;
    private TextView tv_sleep_hour;
    private TextView tv_sleep_minute;
    private TextView tv_sport_kcal;
    private TextView tv_sport_mileage;
    private TextView tv_sport_step;
    private TextView tv_target_hour;
    private TextView tv_temp_latest;
    private TextView tv_temp_latest_unit;
    private TextView tv_temp_max;
    private TextView tv_temp_max_unit;
    private TextView tv_temp_min;
    private TextView tv_temp_min_unit;
    private View view;
    private List<String> msglist = new ArrayList();
    private List<Integer> blist = new ArrayList();
    private List<Integer> blist_change = new ArrayList();
    private ExecutorService uploadThread = Executors.newSingleThreadExecutor();
    private BroadcastReceiver broadcastReceiver = new BroadcastReceiver() { // from class: com.zhuoting.health.one.MainFragment.1
        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            MainFragment.this.showView();
        }
    };
    Runnable realDataRunnable = new Runnable() { // from class: com.zhuoting.health.one.MainFragment.2
        @Override // java.lang.Runnable
        public void run() {
            if (MainFragment.this.mActivity == null) {
                return;
            }
            Log.d("sisi", "我超时了");
            if (BleHandler.getInstance(MainFragment.this.mActivity).myDevice == null || BleHandler.getInstance(MainFragment.this.mActivity).myDevice.getAddress() == null) {
                return;
            }
            ClientManager.getClient().clearRequest(BleHandler.getInstance(MainFragment.this.mActivity).myDevice.getAddress(), 0);
            ClientManager.getClient().refreshCache(BleHandler.getInstance(MainFragment.this.mActivity).myDevice.getAddress());
            MyBleService.getInstance().pushRealDataQueue(InstructTools.closeRealTimeStep(), 1);
        }
    };
    final int SYNC_FAILED = 11;
    Runnable syncRunnable = new Runnable() { // from class: com.zhuoting.health.one.MainFragment.4
        @Override // java.lang.Runnable
        public void run() {
            if (MainFragment.this.timeOut < 30) {
                MainFragment.this.timeOut++;
                if (HealthApplication.isSyncing) {
                    MainFragment.this.handler.postDelayed(this, 1000L);
                    return;
                }
                return;
            }
            if (HealthApplication.isSyncing) {
                MainFragment.this.handler.sendEmptyMessage(11);
            }
        }
    };
    Handler handler = new Handler(Looper.getMainLooper()) { // from class: com.zhuoting.health.one.MainFragment.5
        @Override // android.os.Handler
        public void dispatchMessage(Message message) {
            super.dispatchMessage(message);
            if (MainFragment.this.mActivity == null) {
                return;
            }
            if (message.what == 11) {
                MainFragment.this.smartRefreshLayout.finishRefresh();
                HealthApplication.isSyncing = false;
                HealthApplication.isSend = false;
                HealthApplication.isInit = false;
                if (MainFragment.this.mActivity != null && !MainFragment.this.mActivity.isFinishing()) {
                    Tools.showAlert3(MainFragment.this.mActivity, MainFragment.this.mActivity.getString(R.string.synchronization_failed));
                    MainFragment.this.showType(1);
                    if (MainFragment.this.mActivity.mLoading != null && MainFragment.this.mActivity.mLoading.isShowing()) {
                        MainFragment.this.mActivity.mLoading.dismiss();
                    }
                }
                MyBleService.getInstance().pushRealDataQueue(InstructTools.openRealTimeStep(), 0);
                return;
            }
            if (message.what == 1) {
                if (message.obj != null) {
                    RealTimeSportData realTimeSportData = (RealTimeSportData) message.obj;
                    MainFragment.this.step = realTimeSportData.getSteps();
                    MainFragment.this.nowStep = realTimeSportData.getSteps();
                    MainFragment.this.nowkcal = realTimeSportData.getCalorie();
                    MainFragment.this.nowdesm = realTimeSportData.getDistance();
                    MainFragment.this.nowsetplal.setText(realTimeSportData.getSteps() + "");
                    if (MainFragment.this.sportTime != null) {
                        MainFragment.this.sportTime.setText(MainFragment.this.getNowReminingTime());
                    }
                    MainFragment.this.tv_sport_kcal.setText(realTimeSportData.getCalorie() + MainFragment.this.mActivity.getString(R.string.kcal));
                    if (Tools.readUnit(1, MainFragment.this.mActivity) == 1) {
                        MainFragment.this.tv_sport_mileage.setText(String.format("%.3f", Float.valueOf(realTimeSportData.getDistance() / 1609.344f)) + MainFragment.this.mActivity.getString(R.string.mile));
                    } else {
                        MainFragment.this.tv_sport_mileage.setText(String.format("%.3f", Float.valueOf(realTimeSportData.getDistance() / 1000.0f)) + MainFragment.this.mActivity.getString(R.string.km));
                    }
                    if (NetTools.isMecare()) {
                        MainFragment.this.tv_sport_step.setText(realTimeSportData.getSteps() + MainFragment.this.mActivity.getString(R.string.step));
                    }
                    int readSex = Tools.readSex(MainFragment.this.mActivity);
                    int readCm = Tools.readCm(MainFragment.this.mActivity);
                    double d = readSex == 0 ? readCm * 0.00415d : readCm * 0.00413d;
                    double distance = (realTimeSportData.getDistance() - (realTimeSportData.getSteps() * d)) / (((readSex == 0 ? readCm * 0.00415d : readCm * 0.00413d) * 1.5d) - d);
                    int steps = (int) (((realTimeSportData.getSteps() - distance) / 100.0d) + (distance / 140.0d));
                    if (!NetTools.isMecare()) {
                        MainFragment.this.tv_sport_step.setText(steps + MainFragment.this.mActivity.getString(R.string.minz));
                    }
                    float steps2 = (realTimeSportData.getSteps() * 1.0f) / Tools.readStep(MainFragment.this.mActivity);
                    if (steps2 > 1.0f) {
                        steps2 = 1.0f;
                    }
                    float f = steps2 * 100.0f;
                    if (f < 1.0f && f != 0.0f) {
                        MainFragment.this.progress = 1;
                    } else {
                        MainFragment.this.progress = (int) f;
                    }
                    if (MainFragment.this.sportStroke != null) {
                        MainFragment.this.sportStroke.setProgress(MainFragment.this.progress);
                    }
                    if (MainFragment.this.mecareProgress != null) {
                        MainFragment.this.mecareProgress.setTargetStep(Tools.readStep(MainFragment.this.mActivity));
                        if (MainFragment.this.step >= Tools.readStep(MainFragment.this.mActivity)) {
                            MainFragment mainFragment = MainFragment.this;
                            mainFragment.step = Tools.readStep(mainFragment.mActivity);
                        }
                        MainFragment.this.mecareProgress.setValue(MainFragment.this.step);
                    }
                    if (MainFragment.this.mActivity.mLoading != null) {
                        MainFragment.this.mActivity.mLoading.dismiss();
                    }
                    MainFragment.this.smartRefreshLayout.finishRefresh();
                    return;
                }
                return;
            }
            if (message.what == 101) {
                BleHandler.getInstance(MainFragment.this.mActivity).reconnectionBle();
            }
        }
    };
    private boolean isFirstSync = true;

    @Subscribe
    public void onHistoryBlood(HistoryBloodData historyBloodData) {
    }

    @Subscribe
    public void onHistoryHeart(HistoryHeartData historyHeartData) {
    }

    @Subscribe
    public void onHistorySleep(HistorySleepData historySleepData) {
    }

    @Subscribe
    public void onHistorySportData(HistorySportData historySportData) {
    }

    @Subscribe
    public void onRealTimeBloodData(RealTimeBloodData realTimeBloodData) {
    }

    @Override // androidx.fragment.app.Fragment
    public void onAttach(Activity activity) {
        super.onAttach(activity);
        this.mActivity = (MainActivity) activity;
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityCreated(Bundle bundle) {
        super.onActivityCreated(bundle);
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("intent.checked.info");
        MainActivity mainActivity = this.mActivity;
        if (mainActivity != null) {
            mainActivity.registerReceiver(this.broadcastReceiver, intentFilter);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroyView() {
        BroadcastReceiver broadcastReceiver;
        super.onDestroyView();
        MainActivity mainActivity = this.mActivity;
        if (mainActivity == null || (broadcastReceiver = this.broadcastReceiver) == null) {
            return;
        }
        mainActivity.unregisterReceiver(broadcastReceiver);
    }

    @Override // androidx.fragment.app.Fragment
    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        EventBus.getDefault().register(this);
        MainActivity mainActivity = this.mActivity;
        if (mainActivity != null && Tools.readUnit(1, mainActivity) == 1) {
            this.isKm = false;
        } else {
            this.isKm = true;
        }
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        if (NetTools.isMecare()) {
            View inflate = layoutInflater.inflate(R.layout.fragment_one_bak_mecare, viewGroup, false);
            this.view = inflate;
            ((NavigationBar) inflate.findViewById(R.id.navigationbar)).setTitle(this.mActivity.getString(R.string.data_panel));
        } else if (NetTools.isAltecThrive()) {
            this.view = layoutInflater.inflate(R.layout.fragment_one_bak_altec_thrive_o2, viewGroup, false);
        } else {
            View inflate2 = layoutInflater.inflate(R.layout.fragment_one_bak, viewGroup, false);
            this.view = inflate2;
            ((NavigationBar) inflate2.findViewById(R.id.navigationbar)).setTitle(this.mActivity.getString(R.string.today));
        }
        init(this.view);
        initData();
        setListener();
        showType(1);
        return this.view;
    }

    private void init(View view) {
        this.mbstep = (TextView) view.findViewById(R.id.mbstep);
        this.nowsetplal = (TextView) view.findViewById(R.id.nowsetplal);
        this.sportStroke = (SimpleRoundProgress) view.findViewById(R.id.srp_stroke);
        this.mecareProgress = (CircleProgress) view.findViewById(R.id.mecare_progress);
        this.tv_sport_kcal = (TextView) view.findViewById(R.id.tv_sport_kcal);
        this.tv_sport_mileage = (TextView) view.findViewById(R.id.tv_sport_mileage);
        this.tv_sport_step = (TextView) view.findViewById(R.id.tv_sport_step);
        this.conview = (RelativeLayout) view.findViewById(R.id.conview);
        this.ecg_layout = (LinearLayout) view.findViewById(R.id.ecg_layout);
        this.tv_hrv = (TextView) view.findViewById(R.id.tv_hrv);
        this.hrv_view = (LinearLayout) view.findViewById(R.id.hrv_view);
        this.cvrr_view = (LinearLayout) view.findViewById(R.id.cvrr_view);
        this.select_relativelayout = (RelativeLayout) view.findViewById(R.id.select_relativelayout);
        this.select_relativelayout_1 = (RelativeLayout) view.findViewById(R.id.select_1);
        this.select_relativelayout_2 = (RelativeLayout) view.findViewById(R.id.select_2);
        this.select_relativelayout_3 = (RelativeLayout) view.findViewById(R.id.select_3);
        this.select_relativelayout_4 = (RelativeLayout) view.findViewById(R.id.select_4);
        this.tv_heart_max = (TextView) view.findViewById(R.id.tv_heart_max);
        this.tv_heart_min = (TextView) view.findViewById(R.id.tv_heart_min);
        this.tv_heart_latest = (TextView) view.findViewById(R.id.tv_heart_latest);
        this.img_select = (ImageView) view.findViewById(R.id.img_select);
        this.tv_hrv_latest = (TextView) view.findViewById(R.id.tv_hrv_latest);
        this.tv_hrv_max = (TextView) view.findViewById(R.id.tv_hrv_max);
        this.tv_hrv_min = (TextView) view.findViewById(R.id.tv_hrv_min);
        this.tv_cvrr_latest = (TextView) view.findViewById(R.id.tv_cvrr_latest);
        this.tv_cvrr_max = (TextView) view.findViewById(R.id.tv_cvrr_max);
        this.tv_cvrr_min = (TextView) view.findViewById(R.id.tv_cvrr_min);
        this.tv_oxygen_latest = (TextView) view.findViewById(R.id.tv_oxygen_latest);
        this.tv_oxygen_max = (TextView) view.findViewById(R.id.tv_oxygen_max);
        this.tv_oxygen_min = (TextView) view.findViewById(R.id.tv_oxygen_min);
        this.tv_temp_latest = (TextView) view.findViewById(R.id.tv_temp_latest);
        this.tv_temp_max = (TextView) view.findViewById(R.id.tv_temp_max);
        this.tv_temp_min = (TextView) view.findViewById(R.id.tv_temp_min);
        this.tv_temp_latest_unit = (TextView) view.findViewById(R.id.tv_temp_latest_unit);
        this.tv_temp_max_unit = (TextView) view.findViewById(R.id.tv_temp_max_unit);
        this.tv_temp_min_unit = (TextView) view.findViewById(R.id.tv_temp_min_unit);
        this.tv_blood_sugar_latest = (TextView) view.findViewById(R.id.tv_blood_sugar_latest);
        this.tv_blood_sugar_max = (TextView) view.findViewById(R.id.tv_blood_sugar_max);
        this.tv_blood_sugar_min = (TextView) view.findViewById(R.id.tv_blood_sugar_min);
        this.tv_recently_blood = (TextView) view.findViewById(R.id.tv_recently_blood);
        this.tv_max_blood = (TextView) view.findViewById(R.id.tv_max_blood_data);
        this.tv_min_blood = (TextView) view.findViewById(R.id.tv_min_blood_data);
        this.respiratory_rate_view = (LinearLayout) view.findViewById(R.id.respiratory_rate_view);
        this.tv_recently_respiratory_rate = (TextView) view.findViewById(R.id.tv_recently_respiratory_rate);
        this.tv_max_respiratory = (TextView) view.findViewById(R.id.tv_max_respiratory);
        this.tv_min_respiratory = (TextView) view.findViewById(R.id.tv_min_respiratory);
        this.tv_pm = (TextView) view.findViewById(R.id.tv_pm);
        this.car_relativelayout = (RelativeLayout) view.findViewById(R.id.car_relativelayout);
        this.heartview = (LinearLayout) view.findViewById(R.id.heartview);
        this.sleepview = (LinearLayout) view.findViewById(R.id.sleepview);
        this.bloodview = (LinearLayout) view.findViewById(R.id.bloodview);
        this.devView = (LinearLayout) view.findViewById(R.id.devView);
        this.mainfragment_bt_state = (ImageView) view.findViewById(R.id.mainfragment_bt_state);
        this.temp_view = (LinearLayout) view.findViewById(R.id.temp_view);
        this.blood_sugar_view = (LinearLayout) view.findViewById(R.id.blood_sugar_view);
        this.blood_oxygen_view = (LinearLayout) view.findViewById(R.id.blood_oxygen_view);
        this.tv_target_hour = (TextView) view.findViewById(R.id.tv_target_hour);
        this.tv_sleep_hour = (TextView) view.findViewById(R.id.tv_sleep_hour);
        this.tv_sleep_minute = (TextView) view.findViewById(R.id.tv_sleep_minute);
        this.tv_begin_sleep_time = (TextView) view.findViewById(R.id.tv_begin_sleep_time);
        this.tv_end_sleep_time = (TextView) view.findViewById(R.id.tv_end_sleep_time);
        this.tv_deep_sleep_hour = (TextView) view.findViewById(R.id.tv_deep_sleep_hour);
        this.tv_deep_sleep_min = (TextView) view.findViewById(R.id.tv_deep_sleep_min);
        this.tv_light_sleep_hour = (TextView) view.findViewById(R.id.tv_light_sleep_hour);
        this.tv_light_sleep_min = (TextView) view.findViewById(R.id.tv_light_sleep_min);
        this.sportTime = (TextView) view.findViewById(R.id.home_step_time);
        this.ecgTime = (TextView) view.findViewById(R.id.home_ecg_time);
        this.bpTime = (TextView) view.findViewById(R.id.home_bp_time);
        this.heartTime = (TextView) view.findViewById(R.id.home_heart_time);
        this.sleepTime = (TextView) view.findViewById(R.id.home_sleep_time);
        this.tempTime = (TextView) view.findViewById(R.id.home_temp_time);
        this.oxygenTime = (TextView) view.findViewById(R.id.home_oxygen_time);
        this.respiratoryTime = (TextView) view.findViewById(R.id.home_respiratory_time);
        this.ecgPosition = (ImageView) view.findViewById(R.id.home_ecg_position);
        this.heartPosition = (ImageView) view.findViewById(R.id.home_heart_position);
        this.bpPosition = (ImageView) view.findViewById(R.id.home_bp_position);
        this.o2Position = (ImageView) view.findViewById(R.id.home_o2_position);
        this.respiratoryRatePosition = (ImageView) view.findViewById(R.id.home_respiratory_rate_position);
        this.tempPosition = (ImageView) view.findViewById(R.id.home_temp_position);
        this.ecgLine = (ImageView) view.findViewById(R.id.home_ecg_line);
        this.heartLine = (ImageView) view.findViewById(R.id.home_heart_line);
        this.bpLine = (ImageView) view.findViewById(R.id.home_bp_line);
        this.o2Line = (ImageView) view.findViewById(R.id.home_o2_line);
        this.respiratoryRateLine = (ImageView) view.findViewById(R.id.home_respiratory_rate_line);
        this.tempLine = (ImageView) view.findViewById(R.id.home_temp_line);
        this.ecgNoData = (TextView) view.findViewById(R.id.home_ecg_no_data);
        this.heartNoData = (TextView) view.findViewById(R.id.home_heart_no_data);
        this.bpNoData = (TextView) view.findViewById(R.id.home_bp_no_data);
        this.o2NoData = (TextView) view.findViewById(R.id.home_o2_no_data);
        this.respiratoryRateNoData = (TextView) view.findViewById(R.id.home_respiratory_rate_no_data);
        this.tempNoData = (TextView) view.findViewById(R.id.home_temp_no_data);
    }

    private void initData() {
        if (this.mActivity == null) {
            return;
        }
        this.nowsetplal.setText("0");
        this.mbstep.setText(this.mActivity.getString(R.string.target) + ":" + Tools.readStep(this.mActivity));
        getWidth();
        showCarView();
        if (Tools.readSleep(this.mActivity) < 10) {
            this.tv_target_hour.setText("0" + Tools.readSleep(this.mActivity));
        } else {
            this.tv_target_hour.setText(Tools.readSleep(this.mActivity) + "");
        }
        ImageView imageView = (ImageView) this.view.findViewById(R.id.img_breathe);
        imageView.setImageResource(R.drawable.breathe_anim);
        ((AnimationDrawable) imageView.getDrawable()).start();
        this.smartRefreshLayout = (SmartRefreshLayout) this.view.findViewById(R.id.smartRefreshLayout);
        ClassicsHeader.REFRESH_HEADER_PULLDOWN = getString(R.string.Pull_down_can_refresh);
        ClassicsHeader.REFRESH_HEADER_REFRESHING = getString(R.string.Refreshing);
        ClassicsHeader.REFRESH_HEADER_RELEASE = getString(R.string.Release_immediate_update);
        ClassicsHeader.REFRESH_HEADER_FINISH = getString(R.string.Refresh_completed);
        ClassicsHeader.REFRESH_HEADER_LASTTIME = getString(R.string.Last_updated);
        ClassicsFooter.REFRESH_FOOTER_LOADING = getString(R.string.loading_more);
        ClassicsFooter.REFRESH_FOOTER_FINISH = getString(R.string.load_more_end);
        this.smartRefreshLayout.setEnableLoadmore(false);
    }

    private void setListener() {
        this.conview.setOnClickListener(new OnClickListenerImpl());
        this.ecg_layout.setOnClickListener(new OnClickListenerImpl());
        this.hrv_view.setOnClickListener(new OnClickListenerImpl());
        this.cvrr_view.setOnClickListener(new OnClickListenerImpl());
        this.respiratory_rate_view.setOnClickListener(new OnClickListenerImpl());
        this.heartview.setOnClickListener(new OnClickListenerImpl());
        this.sleepview.setOnClickListener(new OnClickListenerImpl());
        this.bloodview.setOnClickListener(new OnClickListenerImpl());
        this.devView.setOnClickListener(new OnClickListenerImpl());
        ImageView imageView = this.mainfragment_bt_state;
        if (imageView != null) {
            imageView.setOnClickListener(new OnClickListenerImpl());
        }
        this.blood_oxygen_view.setOnClickListener(new OnClickListenerImpl());
        this.temp_view.setOnClickListener(new OnClickListenerImpl());
        this.blood_sugar_view.setOnClickListener(new OnClickListenerImpl());
        this.smartRefreshLayout.setOnRefreshListener((OnRefreshListener) new OnRefreshListenerImpl());
    }

    private class OnClickListenerImpl implements View.OnClickListener {
        private OnClickListenerImpl() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            Intent intent;
            if (MainFragment.this.mActivity == null) {
            }
            switch (view.getId()) {
                case R.id.blood_oxygen_view /* 2131296371 */:
                    MainFragment.this.goOxygenSec();
                    break;
                case R.id.blood_sugar_view /* 2131296373 */:
                    MainFragment.this.goBloodSugarSec();
                    break;
                case R.id.bloodview /* 2131296376 */:
                    MainFragment.this.goBloodSec();
                    break;
                case R.id.conview /* 2131296492 */:
                    MainFragment.this.goSportSec();
                    break;
                case R.id.cvrr_view /* 2131296496 */:
                    MainFragment.this.goCVRRSec();
                    break;
                case R.id.devView /* 2131296513 */:
                    MainFragment.this.startActivity(new Intent(MainFragment.this.mActivity, (Class<?>) DeviceListActivity.class));
                    break;
                case R.id.ecg_layout /* 2131296576 */:
                    MainFragment.this.showHeartLine();
                    break;
                case R.id.heartview /* 2131296637 */:
                    MainFragment.this.goHearhSec();
                    break;
                case R.id.hrv_view /* 2131296688 */:
                    MainFragment.this.goHRVSec();
                    break;
                case R.id.mainfragment_bt_state /* 2131296831 */:
                    if (BleHandler.iscon) {
                        intent = new Intent(MainFragment.this.mActivity, (Class<?>) SetActivity.class);
                    } else {
                        intent = new Intent(MainFragment.this.mActivity, (Class<?>) DeviceListActivity.class);
                    }
                    MainFragment.this.startActivity(intent);
                    break;
                case R.id.respiratory_rate_view /* 2131296937 */:
                    MainFragment.this.goRespiratoryRateSec();
                    break;
                case R.id.sleepview /* 2131297006 */:
                    MainFragment.this.goSleepSec();
                    break;
                case R.id.temp_view /* 2131297066 */:
                    MainFragment.this.goTempSec();
                    break;
            }
        }
    }

    private class OnRefreshListenerImpl implements OnRefreshListener {
        private OnRefreshListenerImpl() {
        }

        @Override // com.scwang.smartrefresh.layout.listener.OnRefreshListener
        public void onRefresh(RefreshLayout refreshLayout) {
            MainFragment.this.freash();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void freash() {
        MainActivity mainActivity = this.mActivity;
        if (mainActivity == null || mainActivity.isFinishing()) {
            return;
        }
        if (BleHandler.iscon && BleHandler.getInstance(this.mActivity).myDevice != null) {
            if (!this.mActivity.isFinishing() && this.mActivity.mLoading != null && !this.mActivity.mLoading.isShowing()) {
                this.mActivity.mLoading.show();
            }
            loadTimeOut();
            if (HealthApplication.isInit) {
                if (this.mActivity.isFinishing() || this.mActivity.mLoading == null || !this.mActivity.mLoading.isShowing()) {
                    return;
                }
                this.mActivity.mLoading.dismiss();
                return;
            }
            HealthApplication.isSyncing = true;
            MyBleService.getInstance().pushRealDataQueue(InstructTools.closeRealTimeStep(), 1);
            this.handler.postDelayed(this.realDataRunnable, 1500L);
            return;
        }
        MainActivity mainActivity2 = this.mActivity;
        Tools.showAlert3(mainActivity2, mainActivity2.getString(R.string.please_connect_the_device));
        this.smartRefreshLayout.finishRefresh();
        if (this.mActivity.isFinishing() || this.mActivity.mLoading == null || !this.mActivity.mLoading.isShowing()) {
            return;
        }
        this.mActivity.mLoading.dismiss();
    }

    private void showCarView() {
        this.msglist.clear();
        this.blist.clear();
        this.blist_change.clear();
        if (Tools.readHrList(this.mActivity) == null || Tools.readHrList(this.mActivity).size() <= 0) {
            return;
        }
        this.msglist.addAll(Tools.readHrList(this.mActivity));
        String str = this.msglist.get(0);
        this.blist.addAll(Tools.readHrListMsg(str, this.mActivity));
        int size = this.blist.size();
        if (size > 280) {
            for (int i = DfuException.ERROR_ENTER_OTA_MODE_FAILED; i < this.blist.size(); i++) {
                this.blist_change.add(this.blist.get(i));
            }
        } else {
            this.blist_change.addAll(this.blist);
        }
        Cardiograph2View cardiograph2View = new Cardiograph2View(this.mActivity);
        cardiograph2View.setDatas(this.blist_change, true);
        int size2 = (int) (cardiograph2View.getDatas().size() * getResources().getDisplayMetrics().density);
        this.car_relativelayout.addView(cardiograph2View, new RelativeLayout.LayoutParams(size2, -1));
        cardiograph2View.make(size2);
        cardiograph2View.invalidate();
        this.HRV = 0;
        Cursor rawQuery = DBHelper.getInstance(this.mActivity).rawQuery("select * from hrv where stimeFormat=? order by stimeFormat asc", new String[]{str});
        while (rawQuery.moveToNext()) {
            String string = rawQuery.getString(rawQuery.getColumnIndex("hrv"));
            this.tv_hrv.setText(string);
            TextView textView = this.ecgTime;
            if (textView != null) {
                textView.setText(getReminingTime(str, "yyyy-MM-dd HH:mm:ss"));
            }
            try {
                this.HRV = Integer.parseInt(string);
                if (this.ecgLineWidth != 0) {
                    setEcgData();
                }
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

    @Subscribe
    public void onRefreshData(SyncData syncData) {
        if (this.mActivity == null) {
            return;
        }
        if (BleHandler.iscon && HealthApplication.isInit) {
            HealthApplication.isInit = false;
            if (this.smartRefreshLayout.isRefreshing()) {
                freash();
                return;
            } else {
                this.smartRefreshLayout.autoRefresh();
                return;
            }
        }
        if (BleHandler.iscon && !this.smartRefreshLayout.isRefreshing()) {
            this.smartRefreshLayout.autoRefresh();
            return;
        }
        if (BleHandler.iscon && this.smartRefreshLayout.isRefreshing()) {
            MainActivity mainActivity = this.mActivity;
            Tools.showAlert3(mainActivity, mainActivity.getString(R.string.syncing));
        } else {
            MainActivity mainActivity2 = this.mActivity;
            Tools.showAlert3(mainActivity2, mainActivity2.getString(R.string.please_connect_the_device));
            this.smartRefreshLayout.finishRefresh();
        }
    }

    @Subscribe
    public void onOpenRealStep(OpenRealStep openRealStep) {
        if (this.mActivity == null) {
            return;
        }
        Log.e(TAG, "onOpenRealStep 打开实时步数开关");
        MainActivity mainActivity = this.mActivity;
        Tools.showAlert3(mainActivity, mainActivity.getString(R.string.synchronization_completed));
        SPUtils.put(this.mActivity, "isUpLoadUpgrade", 10);
        SPUtils.put(this.mActivity, "isSyncTime", Long.valueOf(System.currentTimeMillis() / 1000));
        showType(1);
        if (!this.mActivity.isFinishing() && this.mActivity.mLoading != null) {
            this.mActivity.mLoading.dismiss();
        }
        this.smartRefreshLayout.finishRefresh();
        HealthApplication.isSend = false;
        HealthApplication.isSyncing = false;
        String str = (String) SPUtils.get(this.mActivity, "old_mac", "");
        BluetoothDevice bluetoothDevice = BleHandler.getInstance(this.context).myDevice;
        if (bluetoothDevice != null && bluetoothDevice.getAddress() != null && (this.isFirstSync || !bluetoothDevice.getAddress().equals(str))) {
            upgradeDownload(this.mActivity, bluetoothDevice.getAddress());
        }
        this.mActivity.checkUpDeviceName();
        uploadHistoryData();
    }

    @Subscribe
    public void onRealTimeSportData(RealTimeSportData realTimeSportData) {
        MainActivity mainActivity = this.mActivity;
        if (mainActivity == null) {
            return;
        }
        if (mainActivity != null) {
            mainActivity.runOnUiThread(new Runnable() { // from class: com.zhuoting.health.one.MainFragment.3
                @Override // java.lang.Runnable
                public void run() {
                    MainFragment.this.showType(1);
                }
            });
        }
        Message message = new Message();
        message.what = 1;
        message.obj = realTimeSportData;
        this.handler.sendMessage(message);
    }

    @Subscribe
    public void onCloseRealStep(CloseRealStep closeRealStep) {
        this.handler.removeCallbacks(this.realDataRunnable);
    }

    @Subscribe
    public void onECGData(ECGData eCGData) {
        showCarView();
    }

    public void loadTimeOut() {
        this.timeOut = 0;
        this.isok = false;
        this.handler.removeCallbacksAndMessages(null);
        this.handler.post(this.syncRunnable);
    }

    @Override // com.zhuoting.health.one.MainBaseFragment
    public void finishLoad() {
        this.isok = true;
        this.timeOut = 6;
        this.smartRefreshLayout.finishRefresh();
        MainActivity mainActivity = this.mActivity;
        if (mainActivity != null && !mainActivity.isFinishing()) {
            this.mActivity.mLoading.dismiss();
        }
        this.handler.removeCallbacks(this.syncRunnable);
        HealthApplication.isSyncing = false;
    }

    public void goSportSec() {
        if (this.mActivity == null) {
            return;
        }
        Intent intent = new Intent(this.mActivity, (Class<?>) SportSecActivity.class);
        intent.putExtra("nowStep", this.nowStep);
        intent.putExtra("nowdesm", this.nowdesm);
        intent.putExtra("nowkcal", this.nowkcal);
        startActivity(intent);
    }

    public void goSleepSec() {
        if (this.mActivity == null) {
            return;
        }
        startActivity(new Intent(this.mActivity, (Class<?>) SleepSecActivity.class));
    }

    public void goHearhSec() {
        if (this.mActivity == null) {
            return;
        }
        startActivity(new Intent(this.mActivity, (Class<?>) HeartSecActivity.class));
    }

    public void goBloodSec() {
        if (this.mActivity == null) {
            return;
        }
        startActivity(new Intent(this.mActivity, (Class<?>) BloodSecActivity.class));
    }

    public void goOxygenSec() {
        if (this.mActivity == null) {
            return;
        }
        startActivity(new Intent(this.mActivity, (Class<?>) OxygenSecActivity.class));
    }

    public void goRespiratoryRateSec() {
        if (this.mActivity == null) {
            return;
        }
        startActivity(new Intent(this.mActivity, (Class<?>) RespiratoryRateSecActivity.class));
    }

    @Override // com.zhuoting.health.one.MainBaseFragment
    public void hildCon(boolean z) {
        if (this.mActivity == null) {
            return;
        }
        System.out.println("chong------mac===" + Tools.readBleAddress(this.mActivity) + "--" + z);
        showView();
        if (z) {
            this.devView.setVisibility(8);
            ImageView imageView = this.mainfragment_bt_state;
            if (imageView != null) {
                imageView.setImageResource(R.mipmap.icon_bt_connect);
            }
            BluetoothDevice bluetoothDevice = BleHandler.getInstance(this.mActivity).myDevice;
            if (!MyBleService.is_auto_upgrade || bluetoothDevice == null || bluetoothDevice.getName() == null || !bluetoothDevice.getName().toLowerCase().contains(DfuBaseService.NOTIFICATION_CHANNEL_DFU) || HealthApplication.isUpgradeing) {
                return;
            }
            String filePath = Tools.getFilePath(this.mActivity);
            System.out.println("chong---------path==" + filePath);
            if (filePath == null || !new File(filePath).exists()) {
                return;
            }
            this.mActivity.startActivity(new Intent(this.mActivity, (Class<?>) RecoveryActivity.class));
            return;
        }
        BleHandler.isRead = false;
        HealthApplication.refreshWeather = true;
        this.devView.setVisibility(0);
        ImageView imageView2 = this.mainfragment_bt_state;
        if (imageView2 != null) {
            imageView2.setImageResource(R.mipmap.icon_bt_disconnect);
        }
        if (this.mActivity.isFinishing() || this.mActivity.mLoading == null) {
            return;
        }
        this.mActivity.mLoading.dismiss();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void showView() {
        if (BleHandler.iscon && BleHandler.isRead) {
            System.out.println("chong--==-----------血糖==" + ProductUtil.isHasBloodSugar(this.mActivity));
            getWidth();
            this.handler.removeMessages(101);
            MainActivity mainActivity = this.mActivity;
            if (mainActivity == null) {
                return;
            }
            if (!ProductUtil.isShowECG(mainActivity) && !ProductUtil.isShowBlood(this.mActivity) && !ProductUtil.isShowHeartRate(this.mActivity) && !ProductUtil.isShowSleep(this.mActivity) && !ProductUtil.isShowHRV(this.mActivity) && !ProductUtil.isShowCVRR(this.mActivity) && !ProductUtil.isShowBloodOxygen(this.mActivity) && !ProductUtil.isShowRespiratoryRate(this.mActivity) && !ProductUtil.isShowTemp(this.mActivity)) {
                System.out.println("chong--==-----------chonglian");
                BleHandler.getInstance(this.mActivity).reconnectionBle();
            }
            if (ProductUtil.isShowECG(this.mActivity)) {
                this.ecg_layout.setVisibility(0);
            } else {
                this.ecg_layout.setVisibility(8);
            }
            if (ProductUtil.isShowBlood(this.mActivity)) {
                this.bloodview.setVisibility(0);
            } else {
                this.bloodview.setVisibility(8);
            }
            if (ProductUtil.isShowHeartRate(this.mActivity)) {
                this.heartview.setVisibility(0);
            } else {
                this.heartview.setVisibility(8);
            }
            if (ProductUtil.isShowSleep(this.mActivity)) {
                this.sleepview.setVisibility(0);
            } else {
                this.sleepview.setVisibility(8);
            }
            if (ProductUtil.isShowHRV(this.mActivity) && !"X1".equals(ProductUtil.getDeviceName(this.mActivity))) {
                this.hrv_view.setVisibility(0);
            } else {
                this.hrv_view.setVisibility(8);
            }
            if (ProductUtil.isShowCVRR(this.mActivity)) {
                this.cvrr_view.setVisibility(0);
            } else {
                this.cvrr_view.setVisibility(8);
            }
            if (ProductUtil.isShowBloodOxygen(this.mActivity)) {
                this.blood_oxygen_view.setVisibility(0);
            } else {
                this.blood_oxygen_view.setVisibility(8);
            }
            if (ProductUtil.isShowRespiratoryRate(this.mActivity)) {
                this.respiratory_rate_view.setVisibility(0);
            } else {
                this.respiratory_rate_view.setVisibility(8);
            }
            if (ProductUtil.isShowTemp(this.mActivity)) {
                this.temp_view.setVisibility(0);
            } else {
                this.temp_view.setVisibility(8);
            }
            if (ProductUtil.isHasBloodSugar(this.mActivity)) {
                this.blood_sugar_view.setVisibility(0);
                return;
            } else {
                this.blood_sugar_view.setVisibility(8);
                return;
            }
        }
        if (BleHandler.iscon) {
            System.out.println("chong---------iscon==" + BleHandler.iscon);
            this.handler.removeMessages(101);
            this.handler.sendEmptyMessageDelayed(101, ToolTipPopup.DEFAULT_POPUP_DISPLAY_TIME);
            return;
        }
        this.ecg_layout.setVisibility(0);
        this.bloodview.setVisibility(0);
        this.heartview.setVisibility(0);
        this.sleepview.setVisibility(0);
        this.cvrr_view.setVisibility(8);
        this.hrv_view.setVisibility(8);
        this.blood_oxygen_view.setVisibility(8);
        this.respiratory_rate_view.setVisibility(8);
        this.temp_view.setVisibility(8);
        this.blood_sugar_view.setVisibility(8);
    }

    @Override // com.zhuoting.health.one.MainBaseFragment
    public void showType(int i) {
        loadMsg2();
        loadMsg3();
        loadMsg4();
        loadMsg5();
        loadMsg6();
        loadMsg7();
        loadMsg8();
        loadMsg9();
        loadMsg10();
    }

    private void uploadHistoryData() {
        if (Tools.readLogin(MyApplication.getInstance())) {
            PrintStream printStream = System.out;
            StringBuilder sb = new StringBuilder();
            sb.append("chong-------upload--");
            sb.append(!DBUploadHelper.isUploading);
            sb.append("--");
            sb.append(DBUploadHelper.isUploadingOver);
            printStream.println(sb.toString());
            if (DBUploadHelper.isUploadingOver || !DBUploadHelper.isUploading) {
                DBUploadHelper.getInstance(this.mActivity);
                this.uploadThread.execute(new Runnable() { // from class: com.zhuoting.health.one.MainFragment.6
                    @Override // java.lang.Runnable
                    public void run() {
                        DBUploadHelper.getInstance(MainFragment.this.mActivity).uploadLocalSportData();
                    }
                });
            }
        }
    }

    public void changeTab(int i) {
        int i2 = 0;
        while (i2 < 3) {
            i2++;
            int i3 = i2 * 1000;
            LinearLayout linearLayout = (LinearLayout) this.view.findViewWithTag(i3 + "");
            linearLayout.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.one.MainFragment.7
                @Override // android.view.View.OnClickListener
                public void onClick(View view) {
                    MainFragment.this.showType(Integer.parseInt(view.getTag().toString()) / 1000);
                }
            });
            TextView textView = (TextView) linearLayout.findViewWithTag((i3 + 1) + "");
            RelativeLayout relativeLayout = (RelativeLayout) linearLayout.findViewWithTag((i3 + 2) + "");
            if (i2 == i) {
                textView.setTextColor(Color.parseColor("#647cfd"));
                relativeLayout.setVisibility(0);
            } else {
                textView.setTextColor(-16777216);
                relativeLayout.setVisibility(4);
            }
        }
    }

    public void loadMsg2() {
        String str;
        if (this.mActivity == null) {
            return;
        }
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        ArrayList arrayList3 = new ArrayList();
        String format = new SimpleDateFormat("yyyy-MM-dd", Locale.getDefault()).format(new Date());
        Cursor rawQuery = DBHelper.getInstance(this.mActivity).rawQuery("select * from sleep where timeFormet=? order by endTime asc", new String[]{format});
        while (rawQuery.moveToNext()) {
            SleepInfo sleepInfo = new SleepInfo();
            sleepInfo.setCursor(rawQuery);
            int parseInt = Integer.parseInt(sleepInfo.beginFormet.split(":")[0]);
            int parseInt2 = Integer.parseInt(sleepInfo.endFormet.split(":")[0]);
            if ((parseInt >= 20 || parseInt <= 8) && (parseInt2 >= 20 || parseInt2 <= 12)) {
                arrayList.add(sleepInfo);
            }
        }
        if (!rawQuery.isClosed()) {
            rawQuery.close();
        }
        Cursor rawQuery2 = DBHelper.getInstance(this.mActivity).rawQuery("select * from sleep where timeFormet=? order by endTime asc", new String[]{new SimpleDateFormat("yyyy-MM-dd", Locale.getDefault()).format(new Date(System.currentTimeMillis() - 86400000))});
        while (rawQuery2.moveToNext()) {
            SleepInfo sleepInfo2 = new SleepInfo();
            sleepInfo2.setCursor(rawQuery2);
            int parseInt3 = Integer.parseInt(sleepInfo2.beginFormet.split(":")[0]);
            int parseInt4 = Integer.parseInt(sleepInfo2.endFormet.split(":")[0]);
            if (parseInt3 >= 20 || parseInt3 <= 8) {
                if (parseInt4 >= 20 || parseInt4 <= 12) {
                    arrayList2.add(sleepInfo2);
                }
            }
        }
        if (!rawQuery2.isClosed()) {
            rawQuery2.close();
        }
        arrayList3.addAll(GetFixedDataOfSleep(arrayList2, arrayList, format));
        List<SleepInfo> removeRealTimeSleepDuplicate = Tools.removeRealTimeSleepDuplicate(arrayList3);
        int i = 0;
        int i2 = 0;
        int i3 = 0;
        for (SleepInfo sleepInfo3 : removeRealTimeSleepDuplicate) {
            if (sleepInfo3.dsTimes == 0 && sleepInfo3.qsTimes == 0) {
                for (SleepMegInfo sleepMegInfo : sleepInfo3.mlist) {
                    i += sleepMegInfo.sleepLong;
                    if (sleepMegInfo.sleepType == 1) {
                        i2 += sleepMegInfo.sleepLong;
                    } else {
                        i3 += sleepMegInfo.sleepLong;
                    }
                }
            } else {
                i2 += sleepInfo3.dsTimes;
                i3 += sleepInfo3.qsTimes;
                i = i2 + i3;
            }
        }
        this.tv_sleep_hour.setText(parseHour(i));
        this.tv_sleep_minute.setText(parseMinute(i));
        TextView textView = this.tv_deep_sleep_hour;
        if (textView != null) {
            textView.setText(parseHour(i2));
            this.tv_deep_sleep_min.setText(parseMinute(i2));
            this.tv_light_sleep_hour.setText(parseHour(i3));
            this.tv_light_sleep_min.setText(parseMinute(i3));
        }
        if (removeRealTimeSleepDuplicate.size() > 0) {
            str = getReminingTime(removeRealTimeSleepDuplicate.get(0).timeFormet + " " + removeRealTimeSleepDuplicate.get(0).beginFormet, "yyyy-MM-dd HH:mm");
            SleepInfo sleepInfo4 = removeRealTimeSleepDuplicate.get(0);
            SleepInfo sleepInfo5 = removeRealTimeSleepDuplicate.get(removeRealTimeSleepDuplicate.size() - 1);
            this.tv_begin_sleep_time.setText(sleepInfo4.beginFormet);
            this.tv_end_sleep_time.setText(sleepInfo5.endFormet);
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
            simpleDateFormat.setTimeZone(TimeZone.getDefault());
            if (!simpleDateFormat.format(new Date(sleepInfo4.beginTime)).equals(format)) {
                this.tv_pm.setText("AM");
            } else {
                this.tv_pm.setText("PM");
            }
        } else {
            this.tv_begin_sleep_time.setText("00:00");
            this.tv_end_sleep_time.setText("00:00");
            str = "--";
        }
        TextView textView2 = this.sleepTime;
        if (textView2 != null) {
            textView2.setText(str);
        }
    }

    public void goTempSec() {
        startActivity(new Intent(this.mActivity, (Class<?>) TemperatureSecActivity.class));
    }

    public void goBloodSugarSec() {
        startActivity(new Intent(this.mActivity, (Class<?>) BloodSugarSecActivity.class));
    }

    public void loadMsg3() {
        int i;
        int i2;
        if (this.mActivity == null) {
            return;
        }
        ArrayList arrayList = new ArrayList();
        Cursor rawQuery = DBHelper.getInstance(this.mActivity).rawQuery("select * from heart where rtimeFormat=? order by rtime asc", new String[]{new SimpleDateFormat("yyyy-MM-dd").format(new Date())});
        if (rawQuery == null || rawQuery.isClosed()) {
            i = 221;
            i2 = 39;
        } else {
            i = 221;
            i2 = 39;
            while (rawQuery.moveToNext()) {
                HeartInfo heartInfo = new HeartInfo();
                heartInfo.setCursor(rawQuery);
                if (heartInfo.heartTimes >= 40 && heartInfo.heartTimes <= 200) {
                    if (heartInfo.heartTimes > i2) {
                        i2 = heartInfo.heartTimes;
                    }
                    if (heartInfo.heartTimes < i) {
                        i = heartInfo.heartTimes;
                    }
                    arrayList.add(heartInfo);
                }
            }
            rawQuery.close();
        }
        String str = "--";
        if (i2 != 39) {
            this.tv_heart_max.setText(i2 + "");
        } else {
            this.tv_heart_max.setText("--");
        }
        if (i != 221) {
            this.tv_heart_min.setText(i + "");
        } else {
            this.tv_heart_min.setText("--");
        }
        this.HEART = 0;
        if (arrayList.size() > 0) {
            str = getReminingTime(((HeartInfo) arrayList.get(arrayList.size() - 1)).rtimeFormat + " " + ((HeartInfo) arrayList.get(arrayList.size() - 1)).timeStr, "yyyy-MM-dd HH:mm");
            int i3 = ((HeartInfo) arrayList.get(arrayList.size() - 1)).heartTimes;
            this.HEART = i3;
            if (this.heartLineWidth != 0) {
                setEcgData();
            }
            this.tv_heart_latest.setText(String.format("%d", Integer.valueOf(this.HEART)));
            if (i3 > 0 && i3 < 60) {
                this.select_relativelayout.setVisibility(0);
                this.select_relativelayout_1.setVisibility(8);
                this.select_relativelayout_2.setVisibility(8);
                this.select_relativelayout_3.setVisibility(8);
                this.select_relativelayout_4.setVisibility(8);
            } else if (i3 >= 60 && i3 < 90) {
                this.select_relativelayout.setVisibility(8);
                this.select_relativelayout_1.setVisibility(0);
                this.select_relativelayout_2.setVisibility(8);
                this.select_relativelayout_3.setVisibility(8);
                this.select_relativelayout_4.setVisibility(8);
            } else if (i3 >= 90 && i3 < 120) {
                this.select_relativelayout.setVisibility(8);
                this.select_relativelayout_1.setVisibility(8);
                this.select_relativelayout_2.setVisibility(0);
                this.select_relativelayout_3.setVisibility(8);
                this.select_relativelayout_4.setVisibility(8);
            } else if (i3 >= 120 && i3 < 150) {
                this.select_relativelayout.setVisibility(8);
                this.select_relativelayout_1.setVisibility(8);
                this.select_relativelayout_2.setVisibility(8);
                this.select_relativelayout_3.setVisibility(0);
                this.select_relativelayout_4.setVisibility(8);
            } else {
                this.select_relativelayout.setVisibility(8);
                this.select_relativelayout_1.setVisibility(8);
                this.select_relativelayout_2.setVisibility(8);
                this.select_relativelayout_3.setVisibility(8);
                this.select_relativelayout_4.setVisibility(0);
            }
        } else {
            this.tv_heart_latest.setText("--");
        }
        TextView textView = this.heartTime;
        if (textView != null) {
            textView.setText(str);
        }
    }

    public void loadMsg4() {
        if (this.mActivity == null) {
            return;
        }
        ArrayList<BloodInfo> arrayList = new ArrayList();
        Cursor rawQuery = DBHelper.getInstance(this.mActivity).rawQuery("select * from blood where rtimeFormat=? order by rtime desc", new String[]{new SimpleDateFormat("yyyy-MM-dd").format(new Date())});
        if (rawQuery != null && !rawQuery.isClosed()) {
            while (rawQuery.moveToNext()) {
                BloodInfo bloodInfo = new BloodInfo();
                bloodInfo.setCursor(rawQuery);
                if (bloodInfo.SBP >= 40 && bloodInfo.SBP <= 160 && bloodInfo.DBP >= 70 && bloodInfo.DBP <= 250 && bloodInfo.DBP - bloodInfo.SBP >= 10 && bloodInfo.DBP - bloodInfo.SBP <= 80) {
                    arrayList.add(bloodInfo);
                }
            }
            rawQuery.close();
        }
        int i = 150;
        BloodInfo bloodInfo2 = null;
        BloodInfo bloodInfo3 = null;
        for (BloodInfo bloodInfo4 : arrayList) {
            if (bloodInfo4.SBP > i) {
                i = bloodInfo4.SBP;
            }
            if (bloodInfo3 == null || bloodInfo4.DBP > bloodInfo3.DBP || (bloodInfo4.DBP == bloodInfo3.DBP && bloodInfo4.SBP > bloodInfo3.SBP)) {
                bloodInfo3 = bloodInfo4;
            }
            if (bloodInfo2 == null || bloodInfo4.DBP < bloodInfo2.DBP || (bloodInfo4.DBP == bloodInfo2.DBP && bloodInfo4.SBP < bloodInfo2.SBP)) {
                bloodInfo2 = bloodInfo4;
            }
        }
        if (bloodInfo2 != null) {
            this.tv_min_blood.setText(String.format("%d/%d", Integer.valueOf(bloodInfo2.DBP), Integer.valueOf(bloodInfo2.SBP)));
        }
        if (bloodInfo3 != null) {
            this.tv_max_blood.setText(String.format("%d/%d", Integer.valueOf(bloodInfo3.DBP), Integer.valueOf(bloodInfo3.SBP)));
        }
        this.SBP = 0;
        this.DBP = 0;
        String str = "--/--";
        if (arrayList.size() != 0) {
            this.DBP = ((BloodInfo) arrayList.get(0)).DBP;
            this.SBP = ((BloodInfo) arrayList.get(0)).SBP;
            if (this.bpLineWidth != 0) {
                setBpData();
            }
            this.tv_recently_blood.setText(this.DBP + "/" + this.SBP);
            str = getReminingTime(((BloodInfo) arrayList.get(0)).rtimeFormat + " " + ((BloodInfo) arrayList.get(0)).timeStr, "yyyy-MM-dd HH:mm");
        } else {
            this.tv_recently_blood.setText("--/--");
            this.tv_max_blood.setText("--/--");
            this.tv_min_blood.setText("--/--");
        }
        TextView textView = this.bpTime;
        if (textView != null) {
            textView.setText(str);
        }
    }

    public void loadMsg5() {
        String str;
        if (this.mActivity == null) {
            return;
        }
        ArrayList arrayList = new ArrayList();
        Cursor rawQuery = DBHelper.getInstance(this.mActivity).rawQuery("select * from spo2 where stimeFormat=? order by stime asc", new String[]{new SimpleDateFormat("yyyy-MM-dd").format(new Date())});
        int i = 101;
        int i2 = 0;
        while (rawQuery.moveToNext()) {
            Spo2Info spo2Info = new Spo2Info();
            spo2Info.setCursor(rawQuery);
            if (spo2Info.SPo2 >= 70 && spo2Info.SPo2 <= 100) {
                if (spo2Info.SPo2 > i2) {
                    i2 = spo2Info.SPo2;
                }
                if (spo2Info.SPo2 < i) {
                    i = spo2Info.SPo2;
                }
                arrayList.add(spo2Info);
            }
        }
        if (!rawQuery.isClosed()) {
            rawQuery.close();
        }
        this.O2 = 0;
        if (arrayList.size() > 0) {
            this.O2 = ((Spo2Info) arrayList.get(arrayList.size() - 1)).SPo2;
            if (this.o2LineWidth != 0) {
                setO2Data();
            }
            this.tv_oxygen_latest.setText(String.format("%d", Integer.valueOf(this.O2)));
            str = getReminingTime(((Spo2Info) arrayList.get(arrayList.size() - 1)).stimeFormat + " " + ((Spo2Info) arrayList.get(arrayList.size() - 1)).timeStr, "yyyy-MM-dd HH:mm");
        } else {
            this.tv_oxygen_latest.setText("--");
            str = "--";
        }
        if (i2 != 0) {
            this.tv_oxygen_max.setText(String.format("%d", Integer.valueOf(i2)));
        } else {
            this.tv_oxygen_max.setText("--");
        }
        if (i != 101) {
            this.tv_oxygen_min.setText(String.format("%d", Integer.valueOf(i)));
        } else {
            this.tv_oxygen_min.setText("--");
        }
        TextView textView = this.oxygenTime;
        if (textView != null) {
            textView.setText(str);
        }
    }

    public void loadMsg10() {
        String str;
        if (this.mActivity == null) {
            return;
        }
        ArrayList arrayList = new ArrayList();
        Cursor rawQuery = DBHelper.getInstance(this.mActivity).rawQuery("select * from spo2 where stimeFormat=? order by stime asc", new String[]{new SimpleDateFormat("yyyy-MM-dd").format(new Date())});
        int i = 121;
        int i2 = 0;
        while (rawQuery.moveToNext()) {
            Spo2Info spo2Info = new Spo2Info();
            spo2Info.setCursor(rawQuery);
            if (spo2Info.bloodSugar >= 20 && spo2Info.bloodSugar <= 120) {
                if (spo2Info.bloodSugar > i2) {
                    i2 = spo2Info.bloodSugar;
                }
                if (spo2Info.bloodSugar < i) {
                    i = spo2Info.bloodSugar;
                }
                arrayList.add(spo2Info);
            }
        }
        if (!rawQuery.isClosed()) {
            rawQuery.close();
        }
        this.BLOODSUGAR = 0;
        if (arrayList.size() > 0) {
            this.BLOODSUGAR = ((Spo2Info) arrayList.get(arrayList.size() - 1)).bloodSugar;
            if (this.o2LineWidth != 0) {
                setO2Data();
            }
            this.tv_blood_sugar_latest.setText(String.format("%d", Integer.valueOf(this.BLOODSUGAR / 10)) + "." + String.format("%d", Integer.valueOf(this.BLOODSUGAR % 10)));
            str = getReminingTime(((Spo2Info) arrayList.get(arrayList.size() - 1)).stimeFormat + " " + ((Spo2Info) arrayList.get(arrayList.size() - 1)).timeStr, "yyyy-MM-dd HH:mm");
        } else {
            this.tv_blood_sugar_latest.setText("--");
            str = "--";
        }
        if (i2 != 0) {
            this.tv_blood_sugar_max.setText(String.format("%d", Integer.valueOf(i2 / 10)) + "." + String.format("%d", Integer.valueOf(i2 % 10)));
        } else {
            this.tv_blood_sugar_max.setText("--");
        }
        if (i != 121) {
            this.tv_blood_sugar_min.setText(String.format("%d", Integer.valueOf(i / 10)) + "." + String.format("%d", Integer.valueOf(i % 10)));
        } else {
            this.tv_blood_sugar_min.setText("--");
        }
        TextView textView = this.oxygenTime;
        if (textView != null) {
            textView.setText(str);
        }
    }

    private void loadMsg6() {
        if (this.mActivity == null) {
            return;
        }
        ArrayList arrayList = new ArrayList();
        Cursor rawQuery = DBHelper.getInstance(this.mActivity).rawQuery("select * from spo2 where stimeFormat=? order by stime asc", new String[]{new SimpleDateFormat("yyyy-MM-dd").format(new Date())});
        if (rawQuery != null && !rawQuery.isClosed()) {
            while (rawQuery.moveToNext()) {
                Spo2Info spo2Info = new Spo2Info();
                spo2Info.setCursor(rawQuery);
                if (spo2Info.breathPer >= 6 && spo2Info.breathPer <= 50) {
                    arrayList.add(spo2Info);
                }
            }
            rawQuery.close();
        }
        this.RESPIRATORYRATE = 0;
        String str = "--";
        if (arrayList.size() > 0) {
            this.RESPIRATORYRATE = ((Spo2Info) arrayList.get(arrayList.size() - 1)).breathPer;
            if (this.respiratoryRateLineWidth != 0) {
                setRespiratoryRateData();
            }
            this.tv_recently_respiratory_rate.setText(this.RESPIRATORYRATE + "");
            str = getReminingTime(((Spo2Info) arrayList.get(arrayList.size() - 1)).stimeFormat + " " + ((Spo2Info) arrayList.get(arrayList.size() - 1)).timeStr, "yyyy-MM-dd HH:mm");
            int i = ((Spo2Info) arrayList.get(0)).breathPer;
            int i2 = ((Spo2Info) arrayList.get(0)).breathPer;
            for (int i3 = 0; i3 < arrayList.size(); i3++) {
                if (i2 > ((Spo2Info) arrayList.get(i3)).breathPer) {
                    i2 = ((Spo2Info) arrayList.get(i3)).breathPer;
                }
                if (i < ((Spo2Info) arrayList.get(i3)).breathPer) {
                    i = ((Spo2Info) arrayList.get(i3)).breathPer;
                }
            }
            this.tv_min_respiratory.setText(i2 + "");
            this.tv_max_respiratory.setText(i + "");
        } else {
            this.tv_recently_respiratory_rate.setText("--");
            this.tv_min_respiratory.setText("--");
            this.tv_max_respiratory.setText("--");
        }
        TextView textView = this.respiratoryTime;
        if (textView != null) {
            textView.setText(str);
        }
    }

    @Override // com.zhuoting.health.one.MainBaseFragment
    public void refNowSetp(int i, int i2, int i3) {
        if (this.mActivity == null) {
            return;
        }
        this.nowStep = i;
        this.nowdesm = i2;
        this.nowkcal = i3;
        this.nowsetplal.setText(i + "");
        TextView textView = this.sportTime;
        if (textView != null) {
            textView.setText(getNowReminingTime());
        }
        Tools.readStep(this.mActivity);
        this.tv_sport_kcal.setText(i3 + this.mActivity.getString(R.string.kcal));
        if (Tools.readUnit(1, this.mActivity) == 1) {
            this.tv_sport_mileage.setText(String.format("%.3f", Float.valueOf(i2 / 1609.344f)) + this.mActivity.getString(R.string.mile));
        } else {
            this.tv_sport_mileage.setText(String.format("%.3f", Float.valueOf(i2 / 1000.0f)) + this.mActivity.getString(R.string.km));
        }
        if (NetTools.isMecare()) {
            this.tv_sport_step.setText(i + this.mActivity.getString(R.string.step));
        }
    }

    public void showHeartLine() {
        if (this.mActivity == null) {
            return;
        }
        startActivity(new Intent(this.mActivity, (Class<?>) HeartLineActivity.class));
    }

    @Override // com.zhuoting.health.one.MainBaseFragment
    public void getValue() {
        if (this.mActivity == null) {
            return;
        }
        this.mbstep.setText(this.mActivity.getString(R.string.target) + ":" + Tools.readStep(this.mActivity));
        if (Tools.readSleep(this.context) < 10) {
            this.tv_target_hour.setText("0" + Tools.readSleep(this.context));
        } else {
            this.tv_target_hour.setText(Tools.readSleep(this.context) + "");
        }
        refNowSetp(this.nowStep, this.nowdesm, this.nowkcal);
        float readStep = (this.step * 1.0f) / Tools.readStep(this.mActivity);
        if (readStep > 1.0f) {
            readStep = 1.0f;
        }
        float f = readStep * 100.0f;
        if (f < 1.0f && f != 0.0f) {
            this.progress = 1;
        } else {
            this.progress = (int) f;
        }
        SimpleRoundProgress simpleRoundProgress = this.sportStroke;
        if (simpleRoundProgress != null) {
            simpleRoundProgress.setProgress(this.progress);
        }
        CircleProgress circleProgress = this.mecareProgress;
        if (circleProgress != null) {
            circleProgress.setTargetStep(Tools.readStep(this.mActivity));
            if (this.step >= Tools.readStep(this.mActivity)) {
                this.step = Tools.readStep(this.mActivity);
            }
            this.mecareProgress.setValue(this.step);
        }
        if (BleHandler.iscon) {
            hildCon(true);
        } else {
            hildCon(false);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        EventBus.getDefault().unregister(this);
        Log.d("onDestroy", "onDestroy");
    }

    public String parseTime(int i) {
        String str;
        int i2 = i - (i % 60);
        int i3 = (i2 / 60) % 60;
        int i4 = (i2 - (i3 * 60)) / 3600;
        if (i3 < 10) {
            str = "0" + i3 + "m";
        } else {
            str = i3 + "m";
        }
        if (i4 < 10) {
            return "0" + i4 + jv.g + str;
        }
        return i4 + jv.g + str;
    }

    public String parseHour(int i) {
        int i2 = i - (i % 60);
        int i3 = (i2 - (((i2 / 60) % 60) * 60)) / 3600;
        if (i3 >= 10) {
            return i3 + "";
        }
        return "0" + i3;
    }

    public String parseMinute(int i) {
        int i2 = ((i - (i % 60)) / 60) % 60;
        if (i2 >= 10) {
            return i2 + "";
        }
        return "0" + i2;
    }

    public List<SleepInfo> GetFixedDataOfSleep(List<SleepInfo> list, List<SleepInfo> list2, String str) {
        ArrayList arrayList = new ArrayList();
        ArrayList arrayList2 = new ArrayList();
        arrayList2.addAll(list);
        arrayList2.addAll(list2);
        int size = arrayList2.size();
        long stringToDate = getStringToDate(str, "yyyy-MM-dd");
        long j = stringToDate - 14400000;
        long j2 = stringToDate + 28800000;
        for (int i = 0; i < size; i++) {
            if (((SleepInfo) arrayList2.get(i)).beginTime >= j && ((SleepInfo) arrayList2.get(i)).beginTime < j2 && ((i > 0 && ((SleepInfo) arrayList2.get(i)).beginTime > ((SleepInfo) arrayList2.get(i - 1)).endTime) || i == 0)) {
                arrayList.add((SleepInfo) arrayList2.get(i));
            }
        }
        return arrayList;
    }

    public static long getStringToDate(String str, String str2) {
        SimpleDateFormat simpleDateFormat = new SimpleDateFormat(str2);
        Date date = new Date();
        try {
            date = simpleDateFormat.parse(str);
        } catch (ParseException e) {
            e.printStackTrace();
        }
        return date.getTime();
    }

    private void loadMsg7() {
        if (this.mActivity == null) {
            return;
        }
        ArrayList arrayList = new ArrayList();
        Cursor rawQuery = DBHelper.getInstance(this.mActivity).rawQuery("select * from spo2 where stimeFormat=? order by stime asc", new String[]{new SimpleDateFormat("yyyy-MM-dd").format(new Date())});
        int i = 200;
        int i2 = 0;
        while (rawQuery.moveToNext()) {
            Spo2Info spo2Info = new Spo2Info();
            spo2Info.setCursor(rawQuery);
            if (spo2Info.cvrr != 0) {
                if (spo2Info.cvrr > i2) {
                    i2 = spo2Info.cvrr;
                }
                if (spo2Info.cvrr < i) {
                    i = spo2Info.cvrr;
                }
                arrayList.add(spo2Info);
            }
        }
        if (!rawQuery.isClosed()) {
            rawQuery.close();
        }
        if (arrayList.size() > 0) {
            this.tv_cvrr_latest.setText(String.format("%d", Integer.valueOf(((Spo2Info) arrayList.get(arrayList.size() - 1)).cvrr)));
        } else {
            this.tv_cvrr_latest.setText("--");
        }
        if (i2 != 0) {
            this.tv_cvrr_max.setText(String.format("%d", Integer.valueOf(i2)));
        } else {
            this.tv_cvrr_max.setText("--");
        }
        if (i != 200) {
            this.tv_cvrr_min.setText(String.format("%d", Integer.valueOf(i)));
        } else {
            this.tv_cvrr_min.setText("--");
        }
    }

    private void loadMsg8() {
        if (this.mActivity == null) {
            return;
        }
        ArrayList arrayList = new ArrayList();
        int i = 0;
        Cursor rawQuery = DBHelper.getInstance(this.mActivity).rawQuery("select * from spo2 where stimeFormat=? order by stime desc", new String[]{new SimpleDateFormat("yyyy-MM-dd").format(new Date())});
        int i2 = 151;
        int i3 = 0;
        while (rawQuery.moveToNext()) {
            Spo2Info spo2Info = new Spo2Info();
            spo2Info.setCursor(rawQuery);
            arrayList.add(spo2Info);
            if (spo2Info.hrv > i3 && (i3 = spo2Info.hrv) > 150) {
                i3 = 150;
            }
            if (spo2Info.hrv != 0 && spo2Info.hrv < i2) {
                i2 = spo2Info.hrv;
            }
            if (i == 0 && spo2Info.hrv != 0) {
                i = spo2Info.hrv;
            }
        }
        rawQuery.close();
        if (i != 0) {
            this.tv_hrv_latest.setText(i + "");
        } else {
            this.tv_hrv_latest.setText("--");
        }
        if (i3 != 0) {
            this.tv_hrv_max.setText(i3 + "");
        } else {
            this.tv_hrv_max.setText("--");
        }
        if (i2 != 151) {
            this.tv_hrv_min.setText(i2 + "");
            return;
        }
        this.tv_hrv_min.setText("--");
    }

    @Override // androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        if (this.mActivity == null) {
            return;
        }
        loadMsg9();
        if ("-".equals(this.tv_sport_mileage.getText().toString())) {
            return;
        }
        if (Tools.readUnit(1, this.mActivity) == 1 && this.isKm) {
            this.isKm = false;
            String substring = this.tv_sport_mileage.getText().toString().substring(0, this.tv_sport_mileage.getText().toString().length() - this.mActivity.getString(R.string.km).length());
            this.tv_sport_mileage.setText(String.format("%.3f", Double.valueOf(Double.parseDouble(substring.replaceAll(",", ".")) / 1.6093440055847168d)) + this.mActivity.getString(R.string.mile));
            return;
        }
        if (Tools.readUnit(1, this.mActivity) != 0 || this.isKm) {
            return;
        }
        this.isKm = true;
        String substring2 = this.tv_sport_mileage.getText().toString().substring(0, this.tv_sport_mileage.getText().toString().length() - this.mActivity.getString(R.string.mile).length());
        this.tv_sport_mileage.setText(String.format("%.3f", Double.valueOf(Double.parseDouble(substring2.replaceAll(",", ".")) * 1.6093440055847168d)) + this.mActivity.getString(R.string.km));
    }

    /* JADX WARN: Removed duplicated region for block: B:41:0x016b  */
    /* JADX WARN: Removed duplicated region for block: B:47:0x0193  */
    /* JADX WARN: Removed duplicated region for block: B:53:0x01b9  */
    /* JADX WARN: Removed duplicated region for block: B:55:? A[RETURN, SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:56:0x01b0  */
    /* JADX WARN: Removed duplicated region for block: B:57:0x0188  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private void loadMsg9() {
        /*
            Method dump skipped, instructions count: 445
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: com.zhuoting.health.one.MainFragment.loadMsg9():void");
    }

    public void goCVRRSec() {
        if (this.mActivity == null) {
            return;
        }
        startActivity(new Intent(this.mActivity, (Class<?>) CVRRSecActivity.class));
    }

    public void goHRVSec() {
        if (this.mActivity == null) {
            return;
        }
        startActivity(new Intent(this.mActivity, (Class<?>) HRVSecActivity.class));
    }

    private void upgradeDownload(final Context context, final String str) {
        HashMap hashMap = new HashMap();
        hashMap.put("mac", str);
        HttpUtils.getInstance().postMsgAsynHttp(context, NetTools.SELECTMAC, hashMap, new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.one.MainFragment.8
            @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
            public void onSuccess(String str2) {
                if (str2 != null) {
                    try {
                        if (!"".equals(str2.trim())) {
                            UpgradeBean upgradeBean = (UpgradeBean) new Gson().fromJson(str2, UpgradeBean.class);
                            if (upgradeBean == null || upgradeBean.data == null) {
                                return;
                            }
                            if ("20".equals(upgradeBean.data.upStatus)) {
                                MainFragment.this.upgradeUpload(context, Constants.VIA_REPORT_TYPE_SHARE_TO_QQ, str);
                                return;
                            } else {
                                MainFragment.this.isFirstSync = false;
                                return;
                            }
                        }
                    } catch (Exception e) {
                        e.printStackTrace();
                        MainFragment.this.isFirstSync = false;
                        return;
                    }
                }
                MainFragment.this.isFirstSync = false;
                MainFragment.this.upgradeUpload(context, "0", str);
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void upgradeUpload(Context context, String str, final String str2) {
        HashMap hashMap = new HashMap();
        hashMap.put("mac", str2);
        String str3 = "";
        hashMap.put("version", Tools.readString("device_version", context, ""));
        hashMap.put("upStatus", str);
        hashMap.put("deviceType", "2--" + getAppInfo(context));
        hashMap.put("deviceName", (String) SPUtils.get(this.mActivity, "deviceType", ""));
        hashMap.put("appName", BuildConfig.FLAVOR);
        if (ProductUtil.isShowECG(this.mActivity)) {
            str3 = "1,";
        }
        if (ProductUtil.isHasInflated(this.mActivity)) {
            str3 = str3 + "2,";
        }
        if (str3.length() > 0) {
            str3.substring(0, str3.length() - 1);
        }
        hashMap.put("watchType", str3);
        HttpUtils.getInstance().postMsgAsynHttp(getActivity(), NetTools.UPMAC, hashMap, new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.one.MainFragment.9
            @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
            public void onSuccess(String str4) {
                try {
                    SPUtils.put(MainFragment.this.mActivity, "old_mac", str2);
                    if (str4 == null) {
                        return;
                    }
                    MainFragment.this.isFirstSync = false;
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }

    private String getAppInfo(Context context) {
        try {
            return context.getPackageManager().getPackageInfo(context.getPackageName(), 0).versionName + "--" + Build.MODEL + "--" + Build.VERSION.RELEASE;
        } catch (Exception e) {
            e.printStackTrace();
            return "";
        }
    }

    private String getReminingTime(String str, String str2) {
        try {
            return (String) DateFormat.format("yyyy-MM-dd hh:mm aaa", new SimpleDateFormat(str2).parse(str));
        } catch (Exception e) {
            e.printStackTrace();
            return "--";
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public String getNowReminingTime() {
        try {
            return (String) DateFormat.format("yyyy-MM-dd hh:mm aaa", new Date());
        } catch (Exception e) {
            e.printStackTrace();
            return "--";
        }
    }

    private void getWidth() {
        getActivity().getWindow().getDecorView().getViewTreeObserver().addOnPreDrawListener(new ViewTreeObserver.OnPreDrawListener() { // from class: com.zhuoting.health.one.MainFragment.10
            @Override // android.view.ViewTreeObserver.OnPreDrawListener
            public boolean onPreDraw() {
                if (MainFragment.this.ecgLine != null) {
                    MainFragment mainFragment = MainFragment.this;
                    mainFragment.ecgLineWidth = mainFragment.ecgLine.getWidth();
                    MainFragment.this.setEcgData();
                }
                if (MainFragment.this.heartLine != null) {
                    MainFragment mainFragment2 = MainFragment.this;
                    mainFragment2.heartLineWidth = mainFragment2.heartLine.getWidth();
                    MainFragment.this.setHeartData();
                }
                if (MainFragment.this.bpLine != null) {
                    MainFragment mainFragment3 = MainFragment.this;
                    mainFragment3.bpLineWidth = mainFragment3.bpLine.getWidth();
                    MainFragment.this.setBpData();
                }
                if (MainFragment.this.o2Line != null) {
                    MainFragment mainFragment4 = MainFragment.this;
                    mainFragment4.o2LineWidth = mainFragment4.o2Line.getWidth();
                    MainFragment.this.setO2Data();
                }
                if (MainFragment.this.respiratoryRateLine != null) {
                    MainFragment mainFragment5 = MainFragment.this;
                    mainFragment5.respiratoryRateLineWidth = mainFragment5.respiratoryRateLine.getWidth();
                    MainFragment.this.setRespiratoryRateData();
                }
                if (MainFragment.this.tempLine != null) {
                    MainFragment mainFragment6 = MainFragment.this;
                    mainFragment6.tempLineWidth = mainFragment6.tempLine.getWidth();
                    MainFragment.this.setTempData();
                }
                MainFragment.this.getActivity().getWindow().getDecorView().getViewTreeObserver().removeOnPreDrawListener(this);
                return false;
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Removed duplicated region for block: B:11:0x0045  */
    /* JADX WARN: Removed duplicated region for block: B:8:0x003f  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void setEcgData() {
        /*
            r6 = this;
            android.widget.ImageView r0 = r6.ecgPosition
            if (r0 == 0) goto L4e
            int r1 = r6.HRV
            r2 = 100
            r3 = 1077936128(0x40400000, float:3.0)
            r4 = 1065353216(0x3f800000, float:1.0)
            if (r1 <= r2) goto L21
            int r2 = r6.ecgLineWidth
            float r5 = (float) r2
            float r5 = r5 * r4
            r4 = 1073741824(0x40000000, float:2.0)
            float r5 = r5 * r4
            float r5 = r5 / r3
            int r2 = r2 / 3
            int r3 = r1 + (-100)
            int r2 = r2 * r3
            int r2 = r2 / 50
        L1d:
            float r2 = (float) r2
            float r5 = r5 + r2
            int r2 = (int) r5
            goto L3d
        L21:
            r2 = 15
            if (r1 <= r2) goto L32
            int r2 = r6.ecgLineWidth
            float r5 = (float) r2
            float r5 = r5 * r4
            float r5 = r5 / r3
            int r2 = r2 / 3
            int r3 = r1 + (-16)
            int r2 = r2 * r3
            int r2 = r2 / 84
            goto L1d
        L32:
            int r2 = r6.ecgLineWidth
            float r2 = (float) r2
            float r2 = r2 * r4
            float r2 = r2 / r3
            float r3 = (float) r1
            float r2 = r2 * r3
            r3 = 1098907648(0x41800000, float:16.0)
            float r2 = r2 / r3
            int r2 = (int) r2
        L3d:
            if (r1 != 0) goto L45
            r1 = 8
            r0.setVisibility(r1)
            goto L4e
        L45:
            r1 = 0
            r0.setVisibility(r1)
            android.widget.ImageView r0 = r6.ecgPosition
            r6.setPosition(r2, r0)
        L4e:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.zhuoting.health.one.MainFragment.setEcgData():void");
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void setHeartData() {
        int i;
        ImageView imageView = this.heartPosition;
        if (imageView != null) {
            int i2 = this.HEART;
            if (i2 > 100) {
                i = (int) ((((this.heartLineWidth * 1.0f) * 2.0f) / 3.0f) + (((r2 / 3) * (i2 - 100)) / 120));
            } else if (i2 > 50) {
                i = (int) (((this.heartLineWidth * 1.0f) / 3.0f) + (((r5 / 3) * (i2 - 50)) / 50));
            } else {
                i = (int) ((((this.heartLineWidth * 1.0f) / 3.0f) * (i2 - 40)) / 10.0f);
            }
            if (i2 == 0) {
                imageView.setVisibility(8);
            } else {
                imageView.setVisibility(0);
                setPosition(i, this.heartPosition);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void setBpData() {
        float f;
        float f2;
        int i;
        ImageView imageView = this.bpPosition;
        if (imageView != null) {
            int i2 = this.DBP;
            if (i2 > 140) {
                f2 = (((this.bpLineWidth * 1.0f) * 2.0f) / 3.0f) + (((r3 / 3) * (i2 - 140)) / 110);
            } else {
                int i3 = this.SBP;
                if (i3 > 90) {
                    i = (int) ((((this.bpLineWidth * 1.0f) * 2.0f) / 3.0f) + (((r7 / 3) * (i3 - 90)) / 70));
                } else {
                    if (i2 >= 90 && i3 >= 60) {
                        f = ((this.bpLineWidth * 1.0f) / 3.0f) + (((r2 / 3) * (i2 - 90)) / 50);
                    } else if (i2 >= 90) {
                        f2 = (((this.bpLineWidth * 1.0f) / 3.0f) * (i3 - 40)) / 20.0f;
                    } else {
                        f = (((this.bpLineWidth * 1.0f) / 3.0f) * (i2 - 70)) / 20.0f;
                    }
                    i = (int) f;
                }
                if (i2 != 0 || this.SBP == 0) {
                    imageView.setVisibility(8);
                } else {
                    imageView.setVisibility(0);
                    setPosition(i, this.bpPosition);
                    return;
                }
            }
            i = (int) f2;
            if (i2 != 0) {
            }
            imageView.setVisibility(8);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void setO2Data() {
        ImageView imageView = this.o2Position;
        if (imageView != null) {
            if (this.O2 == 0) {
                imageView.setVisibility(8);
            } else {
                imageView.setVisibility(0);
                setPosition((int) (((this.o2LineWidth * (this.O2 - 70)) * 1.0f) / 30.0f), this.o2Position);
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    /* JADX WARN: Removed duplicated region for block: B:11:0x0047  */
    /* JADX WARN: Removed duplicated region for block: B:8:0x0041  */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void setRespiratoryRateData() {
        /*
            r6 = this;
            android.widget.ImageView r0 = r6.respiratoryRatePosition
            if (r0 == 0) goto L50
            int r1 = r6.RESPIRATORYRATE
            r2 = 30
            r3 = 1077936128(0x40400000, float:3.0)
            r4 = 1065353216(0x3f800000, float:1.0)
            if (r1 <= r2) goto L21
            int r2 = r6.respiratoryRateLineWidth
            float r5 = (float) r2
            float r5 = r5 * r4
            r4 = 1073741824(0x40000000, float:2.0)
            float r5 = r5 * r4
            float r5 = r5 / r3
            int r2 = r2 / 3
            int r3 = r1 + (-30)
            int r2 = r2 * r3
            int r2 = r2 / 20
        L1d:
            float r2 = (float) r2
            float r5 = r5 + r2
            int r2 = (int) r5
            goto L3f
        L21:
            r2 = 10
            if (r1 <= r2) goto L32
            int r2 = r6.respiratoryRateLineWidth
            float r5 = (float) r2
            float r5 = r5 * r4
            float r5 = r5 / r3
            int r2 = r2 / 3
            int r3 = r1 + (-10)
            int r2 = r2 * r3
            int r2 = r2 / 20
            goto L1d
        L32:
            int r2 = r6.respiratoryRateLineWidth
            float r2 = (float) r2
            float r2 = r2 * r4
            float r2 = r2 / r3
            int r3 = r1 + (-6)
            float r3 = (float) r3
            float r2 = r2 * r3
            r3 = 1082130432(0x40800000, float:4.0)
            float r2 = r2 / r3
            int r2 = (int) r2
        L3f:
            if (r1 != 0) goto L47
            r1 = 8
            r0.setVisibility(r1)
            goto L50
        L47:
            r1 = 0
            r0.setVisibility(r1)
            android.widget.ImageView r0 = r6.respiratoryRatePosition
            r6.setPosition(r2, r0)
        L50:
            return
        */
        throw new UnsupportedOperationException("Method not decompiled: com.zhuoting.health.one.MainFragment.setRespiratoryRateData():void");
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void setTempData() {
        int i;
        ImageView imageView = this.tempPosition;
        if (imageView != null) {
            float f = this.TEMP;
            if (f > 37.3d) {
                int i2 = this.tempLineWidth;
                i = (int) (((i2 * 2) / 3) + (((i2 / 3) * (f - 37.3d)) / 4.700000000000003d));
            } else if (f > 36.0f) {
                int i3 = this.tempLineWidth;
                i = (int) ((i3 / 3) + (((i3 / 3) * (f - 36.0f)) / 1.2999999999999972d));
            } else {
                i = (int) (((this.tempLineWidth / 3) * (f - 33.0f)) / 3.0f);
            }
            if (f == 0.0f) {
                imageView.setVisibility(8);
            } else {
                imageView.setVisibility(0);
                setPosition(i, this.tempPosition);
            }
        }
    }

    private void setPosition(int i, View view) {
        if (view == null) {
            return;
        }
        RelativeLayout.LayoutParams layoutParams = new RelativeLayout.LayoutParams(-2, -2);
        layoutParams.setMargins(i, 0, 0, 0);
        view.setLayoutParams(layoutParams);
    }
}
