package com.zhuoting.health.one;

import android.database.Cursor;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import com.gyf.immersionbar.ImmersionBar;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.action.MyOnClickListener;
import com.zhuoting.health.adapter.Spo2Adapter;
import com.zhuoting.health.model.Spo2Info;
import com.zhuoting.health.tools.DBHelper;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.tools.Utils;
import com.zhuoting.health.ui.NavigationBar;
import com.zhuoting.health.ui.TjMainView;
import com.zhuoting.health.view.chart.CharUtil;
import com.zhuoting.health.view.chart.charts.LineChart;
import com.zhuoting.health.view.chart.temperature.TemperBean;
import com.zhuoting.healthd.R;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;

/* loaded from: classes2.dex */
public class OxygenSecActivity extends BaseActivity {
    private Spo2Adapter adapter;
    private View headview;
    private ListView listview;
    private LineChart mLineChart;
    private TextView timelal;
    private TjMainView tjMainView5;
    List<Spo2Info> slist = new ArrayList();
    List<Spo2Info> slist_2 = new ArrayList();
    long indexTime = 0;
    String sharePath = "";

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_oxygen_sec);
        changeTitle(getString(R.string.Blood_oxygen));
        showBack();
        findViews();
        ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        this.bar.setBackgroundColor(getColor(R.color.home_mode_title_bg));
        this.bar.setTitleColor(getResources().getColor(R.color.home_mode_title_color, null));
        this.bar.setLeftBtnImage(R.mipmap.backbtn2);
    }

    private void findViews() {
        this.listview = (ListView) findViewById(R.id.listview);
        Spo2Adapter spo2Adapter = new Spo2Adapter(this._context, this.slist_2);
        this.adapter = spo2Adapter;
        this.listview.setAdapter((ListAdapter) spo2Adapter);
        View inflate = getLayoutInflater().inflate(R.layout.head_oxygen_sec, (ViewGroup) null);
        this.headview = inflate;
        this.listview.addHeaderView(inflate);
        LineChart lineChart = (LineChart) this.headview.findViewById(R.id.line_chart);
        this.mLineChart = lineChart;
        lineChart.setOnTouchListener(new View.OnTouchListener() { // from class: com.zhuoting.health.one.OxygenSecActivity.1
            @Override // android.view.View.OnTouchListener
            public boolean onTouch(View view, MotionEvent motionEvent) {
                if (motionEvent.getAction() == 1) {
                    OxygenSecActivity.this.listview.requestDisallowInterceptTouchEvent(false);
                } else {
                    OxygenSecActivity.this.listview.requestDisallowInterceptTouchEvent(true);
                }
                return false;
            }
        });
        TjMainView tjMainView = (TjMainView) this.headview.findViewById(R.id.tjbsView);
        this.tjMainView5 = tjMainView;
        tjMainView.loadView(5);
        this.timelal = (TextView) findViewById(R.id.timelal);
        ImageView imageView = (ImageView) findViewById(R.id.letfBtn);
        final ImageView imageView2 = (ImageView) findViewById(R.id.rightBtn);
        imageView.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.one.OxygenSecActivity.2
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                OxygenSecActivity.this.indexTime--;
                imageView2.setImageResource(R.mipmap.icon_home_oxygen_secright);
                OxygenSecActivity.this.loadMsg();
            }
        });
        imageView2.setImageResource(R.mipmap.dis_secright);
        imageView2.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.one.OxygenSecActivity.3
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                if (OxygenSecActivity.this.indexTime == 0) {
                    return;
                }
                OxygenSecActivity.this.indexTime++;
                if (OxygenSecActivity.this.indexTime == 0) {
                    imageView2.setImageResource(R.mipmap.dis_secright);
                }
                OxygenSecActivity.this.loadMsg();
            }
        });
        loadMsg();
        this.bar.showShareButtonVisualable(true);
        this.bar.setRight2OnClickListener(new MyOnClickListener() { // from class: com.zhuoting.health.one.OxygenSecActivity.4
            @Override // com.zhuoting.health.action.MyOnClickListener
            public void onClick(View view) {
                OxygenSecActivity.this.Share();
            }
        });
    }

    public void Share() {
        deleteShareImage();
        this.sharePath = Utils.share(this, getString(R.string.Blood_oxygen));
    }

    private void deleteShareImage() {
        Utils.deleteShare(this, this.sharePath);
        this.sharePath = "";
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        deleteShareImage();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void loadMsg() {
        int i;
        this.slist.clear();
        this.slist_2.clear();
        String format = new SimpleDateFormat("yyyy-MM-dd").format(new Date(System.currentTimeMillis() + (this.indexTime * 86400000)));
        this.timelal.setText(format);
        Cursor rawQuery = DBHelper.getInstance(this).rawQuery("select * from spo2 where stimeFormat=? order by stime asc", new String[]{format});
        while (true) {
            i = 100;
            if (!rawQuery.moveToNext()) {
                break;
            }
            Spo2Info spo2Info = new Spo2Info();
            spo2Info.setCursor(rawQuery);
            if (spo2Info.getSPo2() >= 70 && spo2Info.getSPo2() <= 100) {
                this.slist.add(spo2Info);
            }
        }
        rawQuery.close();
        this.slist = Tools.removeRealTimeBloodOxygenDuplicate(this.slist);
        ArrayList arrayList = new ArrayList();
        int i2 = 110;
        int i3 = 100;
        for (Spo2Info spo2Info2 : this.slist) {
            if (i3 > spo2Info2.SPo2 / 1.2d) {
                i3 = (int) (spo2Info2.SPo2 / 1.2d);
            }
            String[] split = spo2Info2.timeStr.split(":");
            arrayList.add(new TemperBean(spo2Info2.SPo2, (Integer.parseInt(split[0]) * 60) + Integer.parseInt(split[1]), "%"));
        }
        if (arrayList.size() == 0) {
            arrayList.add(new TemperBean(-1.0f, 0));
            arrayList.add(new TemperBean(-1.0f, 1440));
            i2 = 100;
            i3 = 0;
        }
        CharUtil.getInstance().initTempLineChart(this, this.mLineChart, i2, i3, arrayList, 4);
        for (int size = this.slist.size() - 1; size >= 0; size--) {
            this.slist_2.add(this.slist.get(size));
        }
        DisplayMetrics displayMetrics = new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
        int dip2px = (displayMetrics.widthPixels - Tools.dip2px(this, 105.0f)) / 24;
        ArrayList arrayList2 = new ArrayList();
        for (int i4 = 0; i4 < 24; i4++) {
            int i5 = 0;
            int i6 = 0;
            for (Spo2Info spo2Info3 : this.slist_2) {
                if (i4 == spo2Info3.hour) {
                    i6 += spo2Info3.SPo2;
                    i5++;
                }
            }
            if (i5 > 0) {
                i6 /= i5;
            }
            if (i < i6) {
                i = i6;
            }
            HashMap hashMap = new HashMap();
            hashMap.put("x", (dip2px * i4) + "");
            hashMap.put("y", i6 + "");
            arrayList2.add(hashMap);
        }
        for (int i7 = 0; i7 < arrayList2.size(); i7++) {
            Log.d("huang", arrayList2.get(i7) + "");
        }
        this.tjMainView5.refTTT(arrayList2, i);
        this.adapter.notifyDataSetChanged();
    }

    @Override // com.zhuoting.health.BaseActivity
    public void getBar() {
        if (this.bar == null) {
            this.bar = (NavigationBar) findViewById(R.id.navigationbar);
        }
    }

    @Override // com.zhuoting.health.BaseActivity
    public void changeTitle(String str) {
        getBar();
        this.bar.setTitle(str);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void showBack() {
        this.bar.showLeftbtn(0);
        this.bar.setLeftOnClickListener(new MyOnClickListener() { // from class: com.zhuoting.health.one.OxygenSecActivity.5
            @Override // com.zhuoting.health.action.MyOnClickListener
            public void onClick(View view) {
                OxygenSecActivity.this.backAction();
            }
        });
    }

    @Override // com.zhuoting.health.BaseActivity
    public void showBack(MyOnClickListener myOnClickListener) {
        this.bar.showLeftbtn(0);
        this.bar.setLeftOnClickListener(myOnClickListener);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void showRightText(String str, MyOnClickListener myOnClickListener) {
        this.bar.setRightText(str);
        this.bar.setRight1OnClickListener(myOnClickListener);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void setRightEnable(boolean z) {
        this.bar.setRightEnable(z);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void backAction() {
        finish();
    }
}
