package com.zhuoting.health.one;

import android.database.Cursor;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import com.gyf.immersionbar.ImmersionBar;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.action.MyOnClickListener;
import com.zhuoting.health.adapter.SpoBreathAdapter;
import com.zhuoting.health.model.Spo2Info;
import com.zhuoting.health.tools.DBHelper;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.tools.Utils;
import com.zhuoting.health.ui.NavigationBar;
import com.zhuoting.health.ui.TjMainView;
import com.zhuoting.health.view.chart.CharUtil;
import com.zhuoting.health.view.chart.charts.LineChart;
import com.zhuoting.health.view.chart.temperature.TemperBean;
import com.zhuoting.healthd.R;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;

/* loaded from: classes2.dex */
public class RespiratoryRateSecActivity extends BaseActivity {
    private SpoBreathAdapter adapter;
    private LineChart mLineChart;
    private TextView timelal;
    private TjMainView tjMainView6;
    List<Spo2Info> slist = new ArrayList();
    List<Spo2Info> slist_2 = new ArrayList();
    long indexTime = 0;
    String sharePath = "";

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_respiratory_rate_sec);
        changeTitle(getString(R.string.Respiratory_rate));
        showBack();
        findViews();
        ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        this.bar.setBackgroundColor(getColor(R.color.home_mode_title_bg));
        this.bar.setTitleColor(getResources().getColor(R.color.home_mode_title_color, null));
        this.bar.setLeftBtnImage(R.mipmap.backbtn2);
    }

    private void findViews() {
        final ListView listView = (ListView) findViewById(R.id.listview);
        SpoBreathAdapter spoBreathAdapter = new SpoBreathAdapter(this._context, this.slist_2);
        this.adapter = spoBreathAdapter;
        listView.setAdapter((ListAdapter) spoBreathAdapter);
        View inflate = getLayoutInflater().inflate(R.layout.head_respiratory_sec, (ViewGroup) null);
        listView.addHeaderView(inflate);
        LineChart lineChart = (LineChart) inflate.findViewById(R.id.line_chart);
        this.mLineChart = lineChart;
        lineChart.setOnTouchListener(new View.OnTouchListener() { // from class: com.zhuoting.health.one.RespiratoryRateSecActivity.1
            @Override // android.view.View.OnTouchListener
            public boolean onTouch(View view, MotionEvent motionEvent) {
                if (motionEvent.getAction() == 1) {
                    listView.requestDisallowInterceptTouchEvent(false);
                } else {
                    listView.requestDisallowInterceptTouchEvent(true);
                }
                return false;
            }
        });
        TjMainView tjMainView = (TjMainView) inflate.findViewById(R.id.tjbsView);
        this.tjMainView6 = tjMainView;
        tjMainView.loadView(6);
        this.timelal = (TextView) findViewById(R.id.timelal);
        ImageView imageView = (ImageView) findViewById(R.id.letfBtn);
        final ImageView imageView2 = (ImageView) findViewById(R.id.rightBtn);
        imageView.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.one.RespiratoryRateSecActivity.2
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                RespiratoryRateSecActivity.this.indexTime--;
                imageView2.setImageResource(R.mipmap.icon_home_respiratory_rate_secright);
                RespiratoryRateSecActivity.this.loadMsg();
            }
        });
        imageView2.setImageResource(R.mipmap.dis_secright);
        imageView2.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.one.RespiratoryRateSecActivity.3
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                if (RespiratoryRateSecActivity.this.indexTime == 0) {
                    return;
                }
                RespiratoryRateSecActivity.this.indexTime++;
                if (RespiratoryRateSecActivity.this.indexTime == 0) {
                    imageView2.setImageResource(R.mipmap.dis_secright);
                }
                RespiratoryRateSecActivity.this.loadMsg();
            }
        });
        loadMsg();
        this.bar.showShareButtonVisualable(true);
        this.bar.setRight2OnClickListener(new MyOnClickListener() { // from class: com.zhuoting.health.one.RespiratoryRateSecActivity.4
            @Override // com.zhuoting.health.action.MyOnClickListener
            public void onClick(View view) {
                RespiratoryRateSecActivity.this.Share();
            }
        });
    }

    public void Share() {
        deleteShareImage();
        this.sharePath = Utils.share(this, getString(R.string.Respiratory_rate));
    }

    private void deleteShareImage() {
        Utils.deleteShare(this, this.sharePath);
        this.sharePath = "";
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        deleteShareImage();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void loadMsg() {
        this.slist.clear();
        this.slist_2.clear();
        String format = new SimpleDateFormat("yyyy-MM-dd").format(new Date(System.currentTimeMillis() + (this.indexTime * 86400000)));
        this.timelal.setText(format);
        Cursor rawQuery = DBHelper.getInstance(this).rawQuery("select * from spo2 where stimeFormat=? order by stime asc", new String[]{format});
        while (rawQuery.moveToNext()) {
            Spo2Info spo2Info = new Spo2Info();
            spo2Info.setCursor(rawQuery);
            if (spo2Info.breathPer >= 6 && spo2Info.breathPer <= 50) {
                this.slist.add(spo2Info);
            }
        }
        rawQuery.close();
        this.slist = Tools.removeRealTimeBloodOxygenDuplicate(this.slist);
        ArrayList arrayList = new ArrayList();
        Iterator<Spo2Info> it2 = this.slist.iterator();
        while (it2.hasNext()) {
            String[] split = it2.next().timeStr.split(":");
            arrayList.add(new TemperBean(r1.breathPer, (Integer.parseInt(split[0]) * 60) + Integer.parseInt(split[1]), "bpm"));
        }
        if (arrayList.size() == 0) {
            arrayList.add(new TemperBean(-1.0f, 0));
            arrayList.add(new TemperBean(-1.0f, 1440));
        }
        CharUtil.getInstance().initTempLineChart(this, this.mLineChart, 50.0f, 0.0f, arrayList, 3);
        for (int size = this.slist.size() - 1; size >= 0; size--) {
            this.slist_2.add(this.slist.get(size));
        }
        DisplayMetrics displayMetrics = new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
        int dip2px = (displayMetrics.widthPixels - Tools.dip2px(this, 105.0f)) / 24;
        ArrayList arrayList2 = new ArrayList();
        int i = 30;
        for (int i2 = 0; i2 < 24; i2++) {
            int i3 = 0;
            int i4 = 0;
            for (Spo2Info spo2Info2 : this.slist_2) {
                if (i2 == spo2Info2.hour) {
                    i4 += spo2Info2.breathPer;
                    i3++;
                }
            }
            if (i3 > 0) {
                i4 /= i3;
            }
            if (i < i4) {
                i = i4;
            }
            HashMap hashMap = new HashMap();
            hashMap.put("x", (dip2px * i2) + "");
            hashMap.put("y", i4 + "");
            arrayList2.add(hashMap);
        }
        this.tjMainView6.refTTT(arrayList2, i);
        this.adapter.notifyDataSetChanged();
    }

    @Override // com.zhuoting.health.BaseActivity
    public void getBar() {
        if (this.bar == null) {
            this.bar = (NavigationBar) findViewById(R.id.navigationbar);
        }
    }

    @Override // com.zhuoting.health.BaseActivity
    public void changeTitle(String str) {
        getBar();
        this.bar.setTitle(str);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void showBack() {
        this.bar.showLeftbtn(0);
        this.bar.setLeftOnClickListener(new MyOnClickListener() { // from class: com.zhuoting.health.one.RespiratoryRateSecActivity.5
            @Override // com.zhuoting.health.action.MyOnClickListener
            public void onClick(View view) {
                RespiratoryRateSecActivity.this.backAction();
            }
        });
    }

    @Override // com.zhuoting.health.BaseActivity
    public void showBack(MyOnClickListener myOnClickListener) {
        this.bar.showLeftbtn(0);
        this.bar.setLeftOnClickListener(myOnClickListener);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void showRightText(String str, MyOnClickListener myOnClickListener) {
        this.bar.setRightText(str);
        this.bar.setRight1OnClickListener(myOnClickListener);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void setRightEnable(boolean z) {
        this.bar.setRightEnable(z);
    }

    @Override // com.zhuoting.health.BaseActivity
    public void backAction() {
        finish();
    }
}
