package com.zhuoting.health.photo;

import android.graphics.Point;
import android.os.Bundle;
import android.view.MotionEvent;
import android.view.View;
import android.widget.ImageView;
import androidx.appcompat.app.AppCompatActivity;
import com.zhuoting.health.photo.CameraView;
import com.zhuoting.healthd.R;

/* loaded from: classes2.dex */
public class PhotoActivity extends AppCompatActivity implements View.OnClickListener {
    private ImageView iv_takepic;
    private CameraView view;

    @Override // androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        setTheme(R.style.AppTheme);
        super.onCreate(bundle);
        getSupportActionBar().hide();
        setContentView(R.layout.activity_photo);
        this.view = (CameraView) findViewById(R.id.view);
        ImageView imageView = (ImageView) findViewById(R.id.takepic);
        this.iv_takepic = imageView;
        imageView.setOnClickListener(this);
    }

    @Override // android.app.Activity, android.view.Window.Callback
    public boolean dispatchTouchEvent(MotionEvent motionEvent) {
        if (motionEvent.getAction() == 0) {
            this.view.onFocus(new Point((int) motionEvent.getX(), (int) motionEvent.getY()), null);
            onUserInteraction();
        }
        if (getWindow().superDispatchTouchEvent(motionEvent)) {
            return true;
        }
        return onTouchEvent(motionEvent);
    }

    public void onClickPic(View view) {
        this.view.takePicture(new CameraView.OnTakePicFinishListener() { // from class: com.zhuoting.health.photo.PhotoActivity.1
            @Override // com.zhuoting.health.photo.CameraView.OnTakePicFinishListener
            public void onTakePicFinish(String str, String str2) {
            }
        }, "/sdcard/pang/", 100, CameraView.FlashMode.OFF);
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View view) {
        if (view.getId() != R.id.takepic) {
            return;
        }
        onClickPic(view);
    }
}
