package com.zhuoting.health.service;

import android.content.Context;
import android.content.Intent;
import android.telephony.PhoneStateListener;
import android.telephony.ServiceState;
import com.zhuoting.health.HealthApplication;
import com.zhuoting.health.tools.SPUtils;
import com.zhuoting.health.tools.SystemUiUtil;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.tools.Utils;
import com.zhuoting.health.tools.YCBTLog;
import java.util.List;

/* loaded from: classes2.dex */
public class MPhoneStateListener extends PhoneStateListener {
    private static MPhoneStateListener listener;
    private Context context;

    public static MPhoneStateListener getInstance(Context context) {
        if (listener == null) {
            listener = new MPhoneStateListener(context);
        }
        return listener;
    }

    private MPhoneStateListener(Context context) {
        this.context = context;
    }

    @Override // android.telephony.PhoneStateListener
    public void onServiceStateChanged(ServiceState serviceState) {
        super.onServiceStateChanged(serviceState);
    }

    @Override // android.telephony.PhoneStateListener
    public void onCallStateChanged(int i, String str) {
        super.onCallStateChanged(i, str);
        Intent intent = new Intent("com.health.communication.SENDMSG");
        boolean z = false;
        if (i != 0) {
            if (i == 1) {
                YCBTLog.e("来电响铃==");
                if (HealthApplication.isSyncing) {
                    return;
                }
                List<Integer> readNoti = Tools.readNoti(this.context);
                if (readNoti.get(1).intValue() == 0 || !SystemUiUtil.notificationListenerEnable(this.context) || readNoti.get(0).intValue() == 0 || str == null) {
                    return;
                }
                try {
                    String contactNameFromPhoneNum = Utils.getContactNameFromPhoneNum(this.context, str);
                    if (contactNameFromPhoneNum != null && !contactNameFromPhoneNum.equals(str)) {
                        intent.putExtra("pushname", contactNameFromPhoneNum);
                        intent.putExtra("pushmsg", str);
                    } else {
                        intent.putExtra("pushname", str);
                        intent.putExtra("pushmsg", " ");
                    }
                    intent.putExtra("type", 6);
                    if (!HealthApplication.isStartECG) {
                        this.context.sendBroadcast(intent);
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            } else if (i == 2) {
                YCBTLog.e("来电接通==");
                intent.putExtra("type", 12);
                if (!HealthApplication.isStartECG) {
                    this.context.sendBroadcast(intent);
                }
            }
            z = true;
        } else {
            YCBTLog.e("来电挂断==");
            intent.putExtra("type", 13);
            if (!HealthApplication.isStartECG) {
                this.context.sendBroadcast(intent);
            }
        }
        System.out.println("chong---------isPhone==" + z + "--" + i);
        SPUtils.put(this.context, "isPhone", Boolean.valueOf(z));
    }
}
