package com.zhuoting.health.service;

import android.app.Service;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.IBinder;
import android.util.Log;
import com.amap.api.location.AMapLocation;
import com.amap.api.location.AMapLocationClient;
import com.amap.api.location.AMapLocationClientOption;
import com.amap.api.location.AMapLocationListener;
import com.jni.ecganaly.AIData;
import com.zhuoting.health.HealthApplication;
import com.zhuoting.health.tools.YCBTLog;
import com.zhuoting.health.view.chart.utils.Utils;

/* loaded from: classes2.dex */
public class RunService extends Service implements AMapLocationListener {
    private BroadcastReceiverImpl broadcastReceiver;
    double m_Latitude;
    double m_Longitude;
    public AMapLocationClient mlocationClient;
    int m_loc_inited = 0;
    private Intent intent = new Intent("com.health.RunService.Rev");
    public AMapLocationClientOption mLocationOption = null;
    boolean isRun = false;
    private int number = 0;

    @Override // android.app.Service
    public IBinder onBind(Intent intent) {
        throw new UnsupportedOperationException("Not yet implemented");
    }

    @Override // android.app.Service
    public int onStartCommand(Intent intent, int i, int i2) {
        Log.d("shengming", "onStartCommand");
        return 1;
    }

    public void refRev() {
        Log.d("hhhhh", "2");
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("com.health.RunService.Send");
        registerReceiver(this.broadcastReceiver, intentFilter);
    }

    private class BroadcastReceiverImpl extends BroadcastReceiver {
        private BroadcastReceiverImpl() {
        }

        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            int intExtra = intent.getIntExtra("run", -1);
            Log.d("ppppp", intExtra + "");
            if (intExtra == 1) {
                RunService.this.beginRun();
            } else {
                RunService.this.stoprRun();
            }
        }
    }

    @Override // android.app.Service
    public void onCreate() {
        Log.d("shengming", "onCreate");
        try {
            this.mlocationClient = new AMapLocationClient(HealthApplication.getInstance());
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (this.mlocationClient == null) {
            return;
        }
        this.mLocationOption = new AMapLocationClientOption();
        this.mlocationClient.setLocationListener(this);
        this.mLocationOption.setLocationMode(AMapLocationClientOption.AMapLocationMode.Hight_Accuracy);
        this.mLocationOption.setInterval(1000L);
        this.mlocationClient.setLocationOption(this.mLocationOption);
        this.m_Longitude = Utils.DOUBLE_EPSILON;
        this.m_Latitude = Utils.DOUBLE_EPSILON;
        this.m_loc_inited = 0;
        this.broadcastReceiver = new BroadcastReceiverImpl();
        refRev();
    }

    public void beginRun() {
        this.m_loc_inited = 0;
        this.number = 0;
        AIData.getInstance().initGps();
        startLocal();
        this.isRun = true;
        new Thread(new Runnable() { // from class: com.zhuoting.health.service.RunService.1
            @Override // java.lang.Runnable
            public void run() {
                while (RunService.this.isRun) {
                    RunService.this.intent.putExtra("type", 2);
                    RunService runService = RunService.this;
                    runService.sendBroadcast(runService.intent);
                    try {
                        Thread.sleep(1000L);
                    } catch (InterruptedException e) {
                        e.printStackTrace();
                    }
                }
            }
        }).start();
        System.out.println("chong----开始运动");
    }

    public void stoprRun() {
        AIData.getInstance().freeGps();
        this.isRun = false;
        stopLocal();
        System.out.println("chong----结束运动");
    }

    public void startLocal() {
        this.mlocationClient.startLocation();
    }

    public void stopLocal() {
        AMapLocationClient aMapLocationClient = this.mlocationClient;
        if (aMapLocationClient != null) {
            aMapLocationClient.stopLocation();
        }
    }

    @Override // android.app.Service
    public void onDestroy() {
        super.onDestroy();
        Log.d("shengming", "onDestroy");
        unregisterReceiver(this.broadcastReceiver);
    }

    @Override // com.amap.api.location.AMapLocationListener
    public void onLocationChanged(AMapLocation aMapLocation) {
        if (aMapLocation != null) {
            if (aMapLocation.getErrorCode() == 0) {
                double[] makeGps = AIData.getInstance().makeGps(aMapLocation.getLongitude(), aMapLocation.getLatitude());
                if (makeGps != null && makeGps.length == 3) {
                    this.m_Longitude = makeGps[0];
                    this.m_Latitude = makeGps[1];
                } else {
                    YCBTLog.e("定位过滤数据出错： long==" + aMapLocation.getLongitude() + "--lat==" + aMapLocation.getLatitude());
                    makeGps = new double[]{aMapLocation.getLongitude(), aMapLocation.getLatitude(), 10010.0d};
                }
                int i = this.number;
                if (i < 5) {
                    this.number = i + 1;
                    return;
                }
                if (this.m_loc_inited == 0) {
                    this.m_Latitude = makeGps[1];
                    this.m_Longitude = makeGps[0];
                    this.m_loc_inited = 1;
                } else {
                    this.m_Latitude = (this.m_Latitude * 0.5d) + (makeGps[1] * 0.5d);
                    this.m_Longitude = (this.m_Longitude * 0.5d) + (makeGps[0] * 0.5d);
                }
                this.intent.putExtra("type", 1);
                this.intent.putExtra("pointx", this.m_Latitude);
                this.intent.putExtra("pointy", this.m_Longitude);
                this.intent.putExtra("accuracy", aMapLocation.getAccuracy());
                this.intent.putExtra("amapLocation", aMapLocation);
                sendBroadcast(this.intent);
                return;
            }
            Log.e("AmapError", "location Error, ErrCode:" + aMapLocation.getErrorCode() + ", errInfo:" + aMapLocation.getErrorInfo());
        }
    }
}
