package com.zhuoting.health.setting;

import android.app.AlertDialog;
import android.app.ProgressDialog;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import android.widget.Toast;
import com.gyf.immersionbar.ImmersionBar;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.aidiagnosis.AIWebActivity;
import com.zhuoting.health.tools.CacheUtil;
import com.zhuoting.health.tools.HttpUtils;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.SPUtils;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.tools.UpdateVersionService;
import com.zhuoting.healthd.R;
import java.io.File;
import java.util.HashMap;

/* loaded from: classes2.dex */
public class AboutUseActivity extends BaseActivity {
    private TextView tv_clear_cache_size;

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_abouta);
        if (NetTools.isMecare()) {
            ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        } else {
            Tools.setBarColor(this, findViewById(R.id.view));
        }
        init();
        setListener();
    }

    private void init() {
        changeTitle(getString(R.string.about_us));
        showBack();
        ((TextView) findViewById(R.id.findtxt)).setText(getAppInfo());
        this.tv_clear_cache_size = (TextView) findViewById(R.id.tv_clear_cache_size);
    }

    private void setListener() {
        findViewById(R.id.restore).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.ll_dfu).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.about_app_version).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.ll_clear_cache).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.tv_protocal).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.tv_user_agreement).setOnClickListener(new OnClickListenerImpl());
        findViewById(R.id.destroy_account).setOnClickListener(new OnClickListenerImpl());
        if (Tools.readLogin(this)) {
            return;
        }
        findViewById(R.id.destroy_account).setVisibility(8);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void checkedVersion() {
        UpdateVersionService.getInstance().checkUpdate("https://staticpage.ycaviation.com/app/app_version.xml", this, true);
    }

    private String getAppInfo() {
        try {
            String packageName = getPackageName();
            String str = getPackageManager().getPackageInfo(packageName, 0).versionName;
            int i = getPackageManager().getPackageInfo(packageName, 0).versionCode;
            return str;
        } catch (Exception e) {
            e.printStackTrace();
            return "1.0";
        }
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
        this.tv_clear_cache_size.setText(CacheUtil.getTotalCacheSize(this));
    }

    private class OnClickListenerImpl implements View.OnClickListener {
        private OnClickListenerImpl() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            switch (view.getId()) {
                case R.id.about_app_version /* 2131296274 */:
                    AboutUseActivity.this.checkedVersion();
                    break;
                case R.id.destroy_account /* 2131296512 */:
                    AboutUseActivity.this.showDestoryDialog();
                    break;
                case R.id.ll_clear_cache /* 2131296794 */:
                    if (!"0KB".equals(CacheUtil.getTotalCacheSize(AboutUseActivity.this))) {
                        AboutUseActivity.this.showDialog();
                        break;
                    } else {
                        AboutUseActivity aboutUseActivity = AboutUseActivity.this;
                        Toast.makeText(aboutUseActivity, aboutUseActivity.getString(R.string.clear_cache_no_data), 0).show();
                        break;
                    }
                case R.id.ll_dfu /* 2131296795 */:
                    AboutUseActivity.this.startActivity(new Intent(AboutUseActivity.this, (Class<?>) SoftUpdateActivity.class));
                    break;
                case R.id.restore /* 2131296940 */:
                    String filePath = Tools.getFilePath(AboutUseActivity.this);
                    if (filePath != null && new File(filePath).exists()) {
                        AboutUseActivity.this.startActivity(new Intent(AboutUseActivity.this, (Class<?>) RecoveryActivity.class));
                        break;
                    } else {
                        AboutUseActivity aboutUseActivity2 = AboutUseActivity.this;
                        Toast.makeText(aboutUseActivity2, aboutUseActivity2.getString(R.string.no_device_soft), 0).show();
                        break;
                    }
                case R.id.tv_protocal /* 2131297186 */:
                    AboutUseActivity aboutUseActivity3 = AboutUseActivity.this;
                    Intent putExtra = new Intent(AboutUseActivity.this, (Class<?>) AIWebActivity.class).putExtra("title", AboutUseActivity.this.getString(R.string.webview_protocal));
                    StringBuilder sb = new StringBuilder();
                    sb.append("https://staticpage.ycaviation.com/app/policy/");
                    sb.append(NetTools.getNameFromFlavor());
                    sb.append("/privacy_policy_smart_");
                    sb.append(AboutUseActivity.this.getString(R.string.lan).equals("cn") ? "cn" : "en");
                    sb.append(".html");
                    aboutUseActivity3.startActivity(putExtra.putExtra("url", sb.toString()));
                    break;
                case R.id.tv_user_agreement /* 2131297238 */:
                    AboutUseActivity aboutUseActivity4 = AboutUseActivity.this;
                    Intent putExtra2 = new Intent(AboutUseActivity.this, (Class<?>) AIWebActivity.class).putExtra("title", AboutUseActivity.this.getString(R.string.webview_user_agreement));
                    StringBuilder sb2 = new StringBuilder();
                    sb2.append("https://staticpage.ycaviation.com/app/policy/");
                    sb2.append(NetTools.getNameFromFlavor());
                    sb2.append("/user_agreement_smart_");
                    sb2.append(AboutUseActivity.this.getString(R.string.lan).equals("cn") ? "cn" : "en");
                    sb2.append(".html");
                    aboutUseActivity4.startActivity(putExtra2.putExtra("url", sb2.toString()));
                    break;
            }
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void showDialog() {
        View inflate = LayoutInflater.from(this).inflate(R.layout.dialog_view, (ViewGroup) null);
        ((TextView) inflate.findViewById(R.id.dialog_title)).setText(getString(R.string.clear_cache_title));
        ((TextView) inflate.findViewById(R.id.dialog_content)).setText(getString(R.string.clear_cache_content));
        final AlertDialog create = new AlertDialog.Builder(this, R.style.loading_dialog).create();
        create.setCanceledOnTouchOutside(false);
        create.show();
        if (create.getWindow() == null) {
            return;
        }
        create.getWindow().setContentView(inflate);
        inflate.findViewById(R.id.dialog_done).setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.setting.AboutUseActivity.1
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                CacheUtil.clearAllCache(AboutUseActivity.this);
                AboutUseActivity.this.tv_clear_cache_size.setText(CacheUtil.getTotalCacheSize(AboutUseActivity.this));
                create.dismiss();
                AboutUseActivity aboutUseActivity = AboutUseActivity.this;
                Toast.makeText(aboutUseActivity, aboutUseActivity.getString(R.string.clear_cache_success), 0).show();
            }
        });
        inflate.findViewById(R.id.dialog_cancle).setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.setting.AboutUseActivity.2
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                create.dismiss();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void showDestoryDialog() {
        View inflate = LayoutInflater.from(this).inflate(R.layout.dialog_view, (ViewGroup) null);
        ((TextView) inflate.findViewById(R.id.dialog_title)).setText(getString(R.string.destroy_account_title));
        ((TextView) inflate.findViewById(R.id.dialog_content)).setText(getString(R.string.destroy_account_content));
        final AlertDialog create = new AlertDialog.Builder(this, R.style.loading_dialog).create();
        create.setCanceledOnTouchOutside(false);
        create.show();
        if (create.getWindow() == null) {
            return;
        }
        create.getWindow().setContentView(inflate);
        inflate.findViewById(R.id.dialog_done).setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.setting.AboutUseActivity.3
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                create.dismiss();
                AboutUseActivity.this.destroyAccount();
            }
        });
        inflate.findViewById(R.id.dialog_cancle).setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.setting.AboutUseActivity.4
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                create.dismiss();
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void destroyAccount() {
        final ProgressDialog show = ProgressDialog.show(this, getString(R.string.prompt), getString(R.string.destroying), true, false);
        HashMap hashMap = new HashMap();
        hashMap.put("key", "yucheng-delete-user-by-username");
        hashMap.put("token", SPUtils.get(this, "token", ""));
        hashMap.put("username", Tools.readString("phonexxx", this, ""));
        HttpUtils.getInstance().postMsgAsynHttp(this, NetTools.DESTROYACCOUNT, hashMap, new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.setting.AboutUseActivity.5
            @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
            public void onSuccess(String str) {
                ProgressDialog progressDialog = show;
                if (progressDialog != null && progressDialog.isShowing()) {
                    show.dismiss();
                }
                try {
                    if (str != null) {
                        AboutUseActivity.this.sendBroadcast(new Intent("intent.logout"));
                        AboutUseActivity aboutUseActivity = AboutUseActivity.this;
                        Toast.makeText(aboutUseActivity, aboutUseActivity.getString(R.string.destroyed_success), 0).show();
                        AboutUseActivity.this.finish();
                    } else {
                        AboutUseActivity aboutUseActivity2 = AboutUseActivity.this;
                        Toast.makeText(aboutUseActivity2, aboutUseActivity2.getString(R.string.destroyed_failed), 0).show();
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        });
    }
}
