package com.zhuoting.health.setting;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.Toast;
import com.gyf.immersionbar.ImmersionBar;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.action.MyOnClickListener;
import com.zhuoting.health.adapter.ScreenSelectAdapter;
import com.zhuoting.health.event.BrightnessSettingData;
import com.zhuoting.health.service.MyBleService;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.write.ProtocolWriter;
import com.zhuoting.healthd.R;
import java.util.ArrayList;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;

/* loaded from: classes2.dex */
public class ScreenSelectActivity extends BaseActivity {
    ListView listview;
    private MyBleService myBleService;
    ScreenSelectAdapter screenSelectAdapter;

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onStart() {
        super.onStart();
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onStop() {
        super.onStop();
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_screen_select);
        EventBus.getDefault().register(this);
        this.myBleService = MyBleService.getInstance();
        changeTitle(getString(R.string.screen_intensity));
        this._context = this;
        showBack();
        if (NetTools.isMecare()) {
            ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        } else {
            Tools.setBarColor(this, findViewById(R.id.view));
        }
        showRightText(getString(R.string.save), new MyOnClickListener() { // from class: com.zhuoting.health.setting.ScreenSelectActivity.1
            AnonymousClass1() {
            }

            @Override // com.zhuoting.health.action.MyOnClickListener
            public void onClick(View view) {
                if (Tools.isFastClick()) {
                    return;
                }
                ScreenSelectActivity.this.unitsave();
            }
        });
        this.listview = (ListView) findViewById(R.id.listview);
        ArrayList arrayList = new ArrayList();
        arrayList.add(getString(R.string.screen_intensity_low));
        arrayList.add(getString(R.string.screen_intensity_middle));
        arrayList.add(getString(R.string.screen_intensity_high));
        ScreenSelectAdapter screenSelectAdapter = new ScreenSelectAdapter(this._context, arrayList);
        this.screenSelectAdapter = screenSelectAdapter;
        this.listview.setAdapter((ListAdapter) screenSelectAdapter);
        this.listview.setOnItemClickListener(this.screenSelectAdapter);
    }

    /* renamed from: com.zhuoting.health.setting.ScreenSelectActivity$1 */
    class AnonymousClass1 implements MyOnClickListener {
        AnonymousClass1() {
        }

        @Override // com.zhuoting.health.action.MyOnClickListener
        public void onClick(View view) {
            if (Tools.isFastClick()) {
                return;
            }
            ScreenSelectActivity.this.unitsave();
        }
    }

    public void unitsave() {
        int i = this.screenSelectAdapter.select1;
        Log.d("uuuu", i + "");
        if (i == -1) {
            Toast.makeText(this, R.string._notset, 1).show();
            return;
        }
        if (i == 0) {
            this.myBleService.pushQueue(ProtocolWriter.writeForBrightnessSetting((byte) 0));
        } else if (i == 1) {
            this.myBleService.pushQueue(ProtocolWriter.writeForBrightnessSetting((byte) 1));
        } else {
            if (i != 2) {
                return;
            }
            this.myBleService.pushQueue(ProtocolWriter.writeForBrightnessSetting((byte) 2));
        }
    }

    @Subscribe
    public void onBrightnessSettingData(BrightnessSettingData brightnessSettingData) {
        if (brightnessSettingData.getResult() == 0) {
            Tools.showAlert3(this, getString(R.string.save_success));
            Tools.saveInt("screenintensity", this.screenSelectAdapter.select1, this._context);
            setResult(-1);
            finish();
            return;
        }
        Tools.showAlert3(this, getString(R.string.save_failed));
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        EventBus.getDefault().unregister(this);
    }
}
