package com.zhuoting.health.setting;

import android.os.Bundle;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;
import cn.addapp.pickers.common.LineConfig;
import cn.addapp.pickers.listeners.OnItemPickListener;
import cn.addapp.pickers.picker.SinglePicker;
import com.gyf.immersionbar.ImmersionBar;
import com.realsil.sdk.dfu.model.DfuConfig;
import com.tencent.connect.common.Constants;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.action.OnChangeListener;
import com.zhuoting.health.observer.SubObserver;
import com.zhuoting.health.product.ProductUtil;
import com.zhuoting.health.service.MyBleService;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.ui.SwitchButton;
import com.zhuoting.healthd.R;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Observable;
import java.util.Observer;
import org.greenrobot.eventbus.EventBus;

/* loaded from: classes2.dex */
public class TempActivity extends BaseActivity implements Observer, View.OnClickListener {
    private LinearLayout ly_temp_alarm;
    private LinearLayout ly_temp_alarm_down;
    private LinearLayout ly_temp_alarm_up;
    private LinearLayout ly_temp_monitoring_time;
    private MyBleService myBleService;
    private SwitchButton switchButton_temp_alarm;
    private SwitchButton switchButton_temp_monitoring;
    private TextView tv_temp_alarm_down;
    private TextView tv_temp_alarm_down_unit;
    private TextView tv_temp_alarm_up;
    private TextView tv_temp_alarm_up_unit;
    private TextView tv_temp_monitoring_time;
    private int curr_temp_alarm = 0;
    private int min = 0;
    private int max = 0;
    private List<Integer> alist = new ArrayList();

    @Override // java.util.Observer
    public void update(Observable observable, Object obj) {
        Map map = (Map) obj;
        if (Integer.parseInt(map.get("key").toString()) == 1) {
            byte[] bArr = (byte[]) map.get("smsg");
            if (bArr[0] == 1 && bArr[1] == 32) {
                if (bArr[4] == 0) {
                    saveMsg();
                    Tools.showAlert3(this, getString(R.string.save_success));
                    return;
                } else {
                    Tools.showAlert3(this, getString(R.string.save_failed));
                    return;
                }
            }
            if (bArr[0] == 1 && bArr[1] == 31) {
                if (bArr[4] == 0) {
                    saveMsg();
                    Tools.showAlert3(this, getString(R.string.save_success));
                } else {
                    Tools.showAlert3(this, getString(R.string.save_failed));
                }
            }
        }
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onStart() {
        super.onStart();
        SubObserver.getInstance().addObs(this);
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onStop() {
        super.onStop();
        SubObserver.getInstance().delObs(this);
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_temp);
        this.myBleService = MyBleService.getInstance();
        this._context = this;
        showBack();
        changeTitle(getString(R.string.temp_alarm));
        if (NetTools.isMecare()) {
            ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        } else {
            Tools.setBarColor(this, findViewById(R.id.view));
        }
        initView();
    }

    private void initView() {
        this.ly_temp_alarm = (LinearLayout) findViewById(R.id.ly_temp_alarm);
        this.switchButton_temp_monitoring = (SwitchButton) findViewById(R.id.switchButton_temp_monitoring);
        this.switchButton_temp_alarm = (SwitchButton) findViewById(R.id.switchButton_temp_alarm);
        this.ly_temp_monitoring_time = (LinearLayout) findViewById(R.id.ly_temp_monitoring_time);
        this.ly_temp_alarm_down = (LinearLayout) findViewById(R.id.ly_temp_alarm_down);
        this.ly_temp_alarm_up = (LinearLayout) findViewById(R.id.ly_temp_alarm_up);
        this.tv_temp_monitoring_time = (TextView) findViewById(R.id.tv_temp_monitoring_time);
        this.tv_temp_alarm_down = (TextView) findViewById(R.id.tv_temp_alarm_down);
        this.tv_temp_alarm_up = (TextView) findViewById(R.id.tv_temp_alarm_up);
        this.tv_temp_alarm_down_unit = (TextView) findViewById(R.id.tv_temp_alarm_down_unit);
        this.tv_temp_alarm_up_unit = (TextView) findViewById(R.id.tv_temp_alarm_up_unit);
        this.tv_temp_monitoring_time.setText(Tools.readString("tv_temp_monitoring_time", this._context, Constants.VIA_REPORT_TYPE_SHARE_TO_QQ));
        if (Tools.readUnit(4, this._context) == 1) {
            this.tv_temp_alarm_up.setText(Tools.readString("tv_temp_alarm_up_f", this._context, "38"));
            this.tv_temp_alarm_down.setText(Tools.readString("tv_temp_alarm_down_f", this._context, "35"));
            this.tv_temp_alarm_up_unit.setText("°F");
            this.tv_temp_alarm_down_unit.setText("°F");
        } else {
            this.tv_temp_alarm_down.setText(Tools.readString("tv_temp_alarm_down", this._context, "35"));
            this.tv_temp_alarm_up.setText(Tools.readString("tv_temp_alarm_up", this._context, "38"));
        }
        this.switchButton_temp_monitoring.setmSwitchOn(Tools.readBoolean("switchButton_temp_monitoring", this._context, true));
        this.switchButton_temp_alarm.setmSwitchOn(Tools.readBoolean("switchButton_temp_alarm", this._context, true));
        this.switchButton_temp_monitoring.setOnChangeListener(new OnChangeListener() { // from class: com.zhuoting.health.setting.TempActivity.1
            AnonymousClass1() {
            }

            @Override // com.zhuoting.health.action.OnChangeListener
            public void onChange(SwitchButton switchButton, boolean z) {
                TempActivity.this.sendmonitoringMsg();
            }
        });
        this.switchButton_temp_alarm.setOnChangeListener(new OnChangeListener() { // from class: com.zhuoting.health.setting.TempActivity.2
            AnonymousClass2() {
            }

            @Override // com.zhuoting.health.action.OnChangeListener
            public void onChange(SwitchButton switchButton, boolean z) {
                TempActivity.this.sendAlarmMsg();
            }
        });
        this.ly_temp_monitoring_time.setOnClickListener(this);
        this.ly_temp_alarm_up.setOnClickListener(this);
        this.ly_temp_alarm_down.setOnClickListener(this);
        if (ProductUtil.isShowTempAlarm(this)) {
            return;
        }
        this.ly_temp_alarm.setVisibility(8);
    }

    /* renamed from: com.zhuoting.health.setting.TempActivity$1 */
    class AnonymousClass1 implements OnChangeListener {
        AnonymousClass1() {
        }

        @Override // com.zhuoting.health.action.OnChangeListener
        public void onChange(SwitchButton switchButton, boolean z) {
            TempActivity.this.sendmonitoringMsg();
        }
    }

    /* renamed from: com.zhuoting.health.setting.TempActivity$2 */
    class AnonymousClass2 implements OnChangeListener {
        AnonymousClass2() {
        }

        @Override // com.zhuoting.health.action.OnChangeListener
        public void onChange(SwitchButton switchButton, boolean z) {
            TempActivity.this.sendAlarmMsg();
        }
    }

    private void saveMsg() {
        Tools.saveBoolean("switchButton_temp_monitoring", !this.switchButton_temp_monitoring.ismSwitchOn(), this._context);
        Tools.saveBoolean("switchButton_temp_alarm", !this.switchButton_temp_alarm.ismSwitchOn(), this._context);
        Tools.saveString("tv_temp_monitoring_time", this.tv_temp_monitoring_time.getText().toString(), this._context);
        if (Tools.readUnit(4, this._context) == 1) {
            Tools.saveString("tv_temp_alarm_down", ((int) ((Integer.parseInt(this.tv_temp_alarm_down.getText().toString()) - 32) / 1.8d)) + "", this._context);
            Tools.saveString("tv_temp_alarm_up", ((int) (((double) (Integer.parseInt(this.tv_temp_alarm_up.getText().toString()) + (-32))) / 1.8d)) + "", this._context);
            Tools.saveString("tv_temp_alarm_down_f", this.tv_temp_alarm_down.getText().toString(), this._context);
            Tools.saveString("tv_temp_alarm_up_f", this.tv_temp_alarm_up.getText().toString(), this._context);
            return;
        }
        Tools.saveString("tv_temp_alarm_down", this.tv_temp_alarm_down.getText().toString(), this._context);
        Tools.saveString("tv_temp_alarm_up", this.tv_temp_alarm_up.getText().toString(), this._context);
        Tools.saveString("tv_temp_alarm_down_f", ((int) ((Integer.parseInt(this.tv_temp_alarm_down.getText().toString()) * 2.8d) + 32.0d)) + "", this._context);
        Tools.saveString("tv_temp_alarm_up_f", ((int) ((((double) Integer.parseInt(this.tv_temp_alarm_up.getText().toString())) * 1.8d) + 32.0d)) + "", this._context);
    }

    public void sendmonitoringMsg() {
        this.myBleService.pushQueue(Tools.makeSend(new byte[]{1, 32, !this.switchButton_temp_monitoring.ismSwitchOn() ? 1 : 0, (byte) Integer.parseInt(this.tv_temp_monitoring_time.getText().toString())}));
    }

    public void sendAlarmMsg() {
        byte[] bArr = new byte[5];
        bArr[0] = 1;
        bArr[1] = 31;
        bArr[2] = !this.switchButton_temp_alarm.ismSwitchOn() ? 1 : 0;
        if (Tools.readUnit(4, this._context) == 1) {
            bArr[3] = (byte) ((Integer.parseInt(this.tv_temp_alarm_up.getText().toString()) - 32) / 1.8d);
        } else {
            bArr[3] = (byte) Integer.parseInt(this.tv_temp_alarm_up.getText().toString());
        }
        this.myBleService.pushQueue(Tools.makeSend(bArr));
    }

    @Override // android.view.View.OnClickListener
    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.ly_temp_alarm_down /* 2131296827 */:
                this.alist.clear();
                this.curr_temp_alarm = Integer.parseInt(this.tv_temp_alarm_down.getText().toString());
                this.min = -127;
                this.max = 37;
                if (Tools.readUnit(4, this._context) == 1) {
                    this.min = (int) ((this.min * 1.8d) + 32.0d);
                    this.max = (int) ((this.max * 1.8d) + 32.0d);
                }
                for (int i = this.min; i < this.max; i++) {
                    this.alist.add(Integer.valueOf(i));
                }
                SinglePicker singlePicker = new SinglePicker(this, this.alist);
                singlePicker.setCanLoop(false);
                singlePicker.setTopBackgroundColor(-1118482);
                singlePicker.setTopHeight(50);
                singlePicker.setTopLineColor(-13388315);
                singlePicker.setTopLineHeight(1);
                singlePicker.setTitleText(getString(R.string.pls_select));
                singlePicker.setTitleTextColor(-6710887);
                singlePicker.setTitleTextSize(12);
                singlePicker.setCancelTextColor(-13388315);
                singlePicker.setCancelTextSize(13);
                singlePicker.setSubmitTextColor(-13388315);
                singlePicker.setSubmitTextSize(13);
                singlePicker.setSelectedTextColor(-1179648);
                singlePicker.setUnSelectedTextColor(-6710887);
                LineConfig lineConfig = new LineConfig();
                lineConfig.setColor(-1179648);
                lineConfig.setAlpha(DfuConfig.MIN_POWER_LEVER_FOR_HUAWEI);
                lineConfig.setRatio(0.125f);
                singlePicker.setLineConfig(lineConfig);
                singlePicker.setItemWidth(200);
                singlePicker.setBackgroundColor(-1973791);
                singlePicker.setSelectedIndex(this.curr_temp_alarm - this.min);
                singlePicker.setOnItemPickListener(new OnItemPickListener<Integer>() { // from class: com.zhuoting.health.setting.TempActivity.3
                    AnonymousClass3() {
                    }

                    @Override // cn.addapp.pickers.listeners.OnItemPickListener
                    public void onItemPicked(int i2, Integer num) {
                        TempActivity.this.tv_temp_alarm_down.setText(num + "");
                        TempActivity.this.sendAlarmMsg();
                    }
                });
                singlePicker.show();
                break;
            case R.id.ly_temp_alarm_up /* 2131296828 */:
                this.alist.clear();
                this.curr_temp_alarm = Integer.parseInt(this.tv_temp_alarm_up.getText().toString());
                this.min = 37;
                this.max = 128;
                if (Tools.readUnit(4, this._context) == 1) {
                    this.min = (int) ((this.min * 1.8d) + 32.0d);
                    this.max = (int) ((this.max * 1.8d) + 32.0d);
                }
                for (int i2 = this.min; i2 < this.max; i2++) {
                    this.alist.add(Integer.valueOf(i2));
                }
                SinglePicker singlePicker2 = new SinglePicker(this, this.alist);
                singlePicker2.setCanLoop(false);
                singlePicker2.setTopBackgroundColor(-1118482);
                singlePicker2.setTopHeight(50);
                singlePicker2.setTopLineColor(-13388315);
                singlePicker2.setTopLineHeight(1);
                singlePicker2.setTitleText(getString(R.string.pls_select));
                singlePicker2.setTitleTextColor(-6710887);
                singlePicker2.setTitleTextSize(12);
                singlePicker2.setCancelTextColor(-13388315);
                singlePicker2.setCancelTextSize(13);
                singlePicker2.setSubmitTextColor(-13388315);
                singlePicker2.setSubmitTextSize(13);
                singlePicker2.setSelectedTextColor(-1179648);
                singlePicker2.setUnSelectedTextColor(-6710887);
                LineConfig lineConfig2 = new LineConfig();
                lineConfig2.setColor(-1179648);
                lineConfig2.setAlpha(DfuConfig.MIN_POWER_LEVER_FOR_HUAWEI);
                lineConfig2.setRatio(0.125f);
                singlePicker2.setLineConfig(lineConfig2);
                singlePicker2.setItemWidth(200);
                singlePicker2.setBackgroundColor(-1973791);
                singlePicker2.setSelectedIndex(this.curr_temp_alarm - this.min);
                singlePicker2.setOnItemPickListener(new OnItemPickListener<Integer>() { // from class: com.zhuoting.health.setting.TempActivity.4
                    AnonymousClass4() {
                    }

                    @Override // cn.addapp.pickers.listeners.OnItemPickListener
                    public void onItemPicked(int i3, Integer num) {
                        TempActivity.this.tv_temp_alarm_up.setText(num + "");
                        TempActivity.this.sendAlarmMsg();
                    }
                });
                singlePicker2.show();
                break;
            case R.id.ly_temp_monitoring_time /* 2131296829 */:
                this.alist.clear();
                this.curr_temp_alarm = Integer.parseInt(this.tv_temp_monitoring_time.getText().toString());
                this.min = 1;
                this.max = 6;
                for (int i3 = 1; i3 <= this.max; i3++) {
                    this.alist.add(Integer.valueOf(i3 * 10));
                }
                SinglePicker singlePicker3 = new SinglePicker(this, this.alist);
                singlePicker3.setCanLoop(false);
                singlePicker3.setTopBackgroundColor(-1118482);
                singlePicker3.setTopHeight(50);
                singlePicker3.setTopLineColor(-13388315);
                singlePicker3.setTopLineHeight(1);
                singlePicker3.setTitleText(getString(R.string.pls_select));
                singlePicker3.setTitleTextColor(-6710887);
                singlePicker3.setTitleTextSize(12);
                singlePicker3.setCancelTextColor(-13388315);
                singlePicker3.setCancelTextSize(13);
                singlePicker3.setSubmitTextColor(-13388315);
                singlePicker3.setSubmitTextSize(13);
                singlePicker3.setSelectedTextColor(-1179648);
                singlePicker3.setUnSelectedTextColor(-6710887);
                LineConfig lineConfig3 = new LineConfig();
                lineConfig3.setColor(-1179648);
                lineConfig3.setAlpha(DfuConfig.MIN_POWER_LEVER_FOR_HUAWEI);
                lineConfig3.setRatio(0.125f);
                singlePicker3.setLineConfig(lineConfig3);
                singlePicker3.setItemWidth(200);
                singlePicker3.setBackgroundColor(-1973791);
                singlePicker3.setSelectedIndex((this.curr_temp_alarm / 10) - this.min);
                singlePicker3.setOnItemPickListener(new OnItemPickListener<Integer>() { // from class: com.zhuoting.health.setting.TempActivity.5
                    AnonymousClass5() {
                    }

                    @Override // cn.addapp.pickers.listeners.OnItemPickListener
                    public void onItemPicked(int i4, Integer num) {
                        TempActivity.this.tv_temp_monitoring_time.setText(num + "");
                        TempActivity.this.sendmonitoringMsg();
                    }
                });
                singlePicker3.show();
                break;
        }
    }

    /* renamed from: com.zhuoting.health.setting.TempActivity$3 */
    class AnonymousClass3 implements OnItemPickListener<Integer> {
        AnonymousClass3() {
        }

        @Override // cn.addapp.pickers.listeners.OnItemPickListener
        public void onItemPicked(int i2, Integer num) {
            TempActivity.this.tv_temp_alarm_down.setText(num + "");
            TempActivity.this.sendAlarmMsg();
        }
    }

    /* renamed from: com.zhuoting.health.setting.TempActivity$4 */
    class AnonymousClass4 implements OnItemPickListener<Integer> {
        AnonymousClass4() {
        }

        @Override // cn.addapp.pickers.listeners.OnItemPickListener
        public void onItemPicked(int i3, Integer num) {
            TempActivity.this.tv_temp_alarm_up.setText(num + "");
            TempActivity.this.sendAlarmMsg();
        }
    }

    /* renamed from: com.zhuoting.health.setting.TempActivity$5 */
    class AnonymousClass5 implements OnItemPickListener<Integer> {
        AnonymousClass5() {
        }

        @Override // cn.addapp.pickers.listeners.OnItemPickListener
        public void onItemPicked(int i4, Integer num) {
            TempActivity.this.tv_temp_monitoring_time.setText(num + "");
            TempActivity.this.sendmonitoringMsg();
        }
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        EventBus.getDefault().unregister(this);
    }
}
