package com.zhuoting.health.setting;

import android.os.Bundle;
import android.text.format.DateFormat;
import android.view.View;
import android.widget.ListAdapter;
import android.widget.ListView;
import com.gyf.immersionbar.ImmersionBar;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.action.MyOnClickListener;
import com.zhuoting.health.adapter.UnitSelectAdapter;
import com.zhuoting.health.event.UnitSettingData;
import com.zhuoting.health.instruct.InstructTools;
import com.zhuoting.health.service.MyBleService;
import com.zhuoting.health.tools.BleHandler;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.healthd.R;
import java.util.ArrayList;
import org.greenrobot.eventbus.EventBus;
import org.greenrobot.eventbus.Subscribe;

/* loaded from: classes2.dex */
public class UnitSelectActivity extends BaseActivity {
    ListView listview;
    private MyBleService myBleService;
    UnitSelectAdapter unitSelectAdapter;

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onStart() {
        super.onStart();
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onStop() {
        super.onStop();
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_unit_select);
        EventBus.getDefault().register(this);
        this.myBleService = MyBleService.getInstance();
        changeTitle(getString(R.string.unit_settings));
        this._context = this;
        if (NetTools.isMecare()) {
            ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        } else {
            Tools.setBarColor(this, findViewById(R.id.view));
        }
        showBack();
        showRightText(getString(R.string.save), new MyOnClickListener() { // from class: com.zhuoting.health.setting.UnitSelectActivity.1
            @Override // com.zhuoting.health.action.MyOnClickListener
            public void onClick(View view) {
                BleHandler.getInstance(UnitSelectActivity.this);
                if (BleHandler.iscon) {
                    if (Tools.isFastClick()) {
                        return;
                    }
                    UnitSelectActivity.this.unitsave();
                } else {
                    UnitSelectActivity unitSelectActivity = UnitSelectActivity.this;
                    Tools.showAlert3(unitSelectActivity, unitSelectActivity.getString(R.string.please_connect_the_device));
                }
            }
        });
        this.listview = (ListView) findViewById(R.id.listview);
        ArrayList arrayList = new ArrayList();
        arrayList.add("Km");
        arrayList.add("Mile");
        arrayList.add("Kg");
        arrayList.add("lb");
        arrayList.add("°C");
        arrayList.add("°F");
        arrayList.add("cm");
        arrayList.add("in");
        ArrayList arrayList2 = new ArrayList();
        arrayList2.add(getString(R.string.distance) + ":0");
        arrayList2.add(getString(R.string.weight) + ":2");
        arrayList2.add(getString(R.string.v2_history_temperature) + ":4");
        arrayList2.add(getString(R.string.height) + ":6");
        UnitSelectAdapter unitSelectAdapter = new UnitSelectAdapter(this._context, arrayList, arrayList2);
        this.unitSelectAdapter = unitSelectAdapter;
        this.listview.setAdapter((ListAdapter) unitSelectAdapter);
        this.listview.setOnItemClickListener(this.unitSelectAdapter);
    }

    public void unitsave() {
        this.myBleService.pushQueue(InstructTools.writeForSettingUnit((byte) this.unitSelectAdapter.select1, (byte) this.unitSelectAdapter.select2, (byte) this.unitSelectAdapter.select4, (byte) (!DateFormat.is24HourFormat(this) ? 1 : 0)));
    }

    @Subscribe
    public void onUnitSettingData(UnitSettingData unitSettingData) {
        if (unitSettingData.getResult() == 0) {
            Tools.showAlert3(this, getString(R.string.save_success));
            Tools.saveUnit(1, this.unitSelectAdapter.select1, this._context);
            Tools.saveUnit(2, this.unitSelectAdapter.select2, this._context);
            Tools.saveUnit(4, this.unitSelectAdapter.select4, this._context);
            Tools.saveUnit(5, this.unitSelectAdapter.select5, this._context);
            finish();
            return;
        }
        Tools.showAlert3(this, getString(R.string.save_failed));
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        EventBus.getDefault().unregister(this);
    }
}
