package com.zhuoting.health.setting;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.KeyEvent;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.ListAdapter;
import android.widget.ListView;
import android.widget.TextView;
import com.gyf.immersionbar.ImmersionBar;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.action.MyOnClickListener;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.healthd.R;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/* loaded from: classes2.dex */
public class WeekActivity extends BaseActivity {
    private ListView listView;
    MyListAdapter myListAdapter;
    private String week;
    private List<String> msglist = new ArrayList();
    private List<String> weeklist = new ArrayList();

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_week);
        this.week = getIntent().getStringExtra("week");
        changeTitle(getString(R.string.week));
        showBack(new MyOnClickListener() { // from class: com.zhuoting.health.setting.WeekActivity.1
            @Override // com.zhuoting.health.action.MyOnClickListener
            public void onClick(View view) {
                WeekActivity.this.saveback();
            }
        });
        if (NetTools.isMecare()) {
            ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        } else {
            Tools.setBarColor(this, findViewById(R.id.view));
        }
        for (String str : this.week.split(",")) {
            this.weeklist.add(str);
        }
        this.msglist.add(getString(R.string.mon));
        this.msglist.add(getString(R.string.tue));
        this.msglist.add(getString(R.string.wed));
        this.msglist.add(getString(R.string.thu));
        this.msglist.add(getString(R.string.fri));
        this.msglist.add(getString(R.string.sat));
        this.msglist.add(getString(R.string.sun));
        this.listView = (ListView) findViewById(R.id.listview);
        MyListAdapter myListAdapter = new MyListAdapter(this, this.msglist);
        this.myListAdapter = myListAdapter;
        this.listView.setAdapter((ListAdapter) myListAdapter);
        this.listView.setOnItemClickListener(new MyListCilckListener());
    }

    public void saveback() {
        sort(this.weeklist);
        Intent intent = new Intent();
        intent.putExtra("week", this.week);
        setResult(-1, intent);
        finish();
    }

    class MyListAdapter extends BaseAdapter {
        private Context context;
        private List<String> list;
        private LayoutInflater mInflater;

        @Override // android.widget.Adapter
        public long getItemId(int i) {
            return i;
        }

        public MyListAdapter(Context context, List<String> list) {
            this.list = list;
            this.context = context;
            this.mInflater = LayoutInflater.from(context);
        }

        @Override // android.widget.Adapter
        public int getCount() {
            return this.list.size();
        }

        @Override // android.widget.Adapter
        public Object getItem(int i) {
            return this.list.get(i);
        }

        @Override // android.widget.Adapter
        public View getView(int i, View view, ViewGroup viewGroup) {
            if (view == null) {
                view = this.mInflater.inflate(R.layout.item_week, (ViewGroup) null);
            }
            ((TextView) view.findViewById(R.id.itemtitle)).setText(this.list.get(i));
            ImageView imageView = (ImageView) view.findViewById(R.id.dagou);
            imageView.setVisibility(4);
            Iterator it2 = WeekActivity.this.weeklist.iterator();
            while (true) {
                if (!it2.hasNext()) {
                    break;
                }
                if (Integer.parseInt((String) it2.next()) - 1 == i) {
                    imageView.setVisibility(0);
                    break;
                }
            }
            return view;
        }
    }

    public class MyListCilckListener implements AdapterView.OnItemClickListener {
        public MyListCilckListener() {
        }

        @Override // android.widget.AdapterView.OnItemClickListener
        public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
            boolean z;
            Iterator it2 = WeekActivity.this.weeklist.iterator();
            while (true) {
                if (!it2.hasNext()) {
                    z = false;
                    break;
                }
                String str = (String) it2.next();
                if (Integer.parseInt(str) - 1 == i) {
                    WeekActivity.this.weeklist.remove(str);
                    z = true;
                    break;
                }
            }
            if (!z) {
                if (WeekActivity.this.weeklist.contains("0")) {
                    WeekActivity.this.weeklist.remove("0");
                }
                WeekActivity.this.weeklist.add((i + 1) + "");
            }
            WeekActivity.this.myListAdapter.notifyDataSetChanged();
        }
    }

    public void sort(List<String> list) {
        int size = list.size();
        int[] iArr = new int[size];
        for (int i = 0; i < list.size(); i++) {
            iArr[i] = Integer.parseInt(list.get(i));
        }
        for (int i2 = 0; i2 < size; i2++) {
            for (int i3 = i2; i3 < size; i3++) {
                if (iArr[i2] > iArr[i3]) {
                    int i4 = iArr[i2];
                    iArr[i2] = iArr[i3];
                    iArr[i3] = i4;
                }
            }
        }
        String str = "";
        for (int i5 = 0; i5 < size; i5++) {
            str = str.equals("") ? iArr[i5] + "" : str + "," + iArr[i5] + "";
        }
        if (str.equals("")) {
            str = "0";
        }
        this.week = str;
    }

    @Override // androidx.appcompat.app.AppCompatActivity, android.app.Activity, android.view.KeyEvent.Callback
    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i == 4) {
            saveback();
        }
        return super.onKeyDown(i, keyEvent);
    }
}
