package com.zhuoting.health.setting.contacts.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.CheckBox;
import android.widget.ImageView;
import android.widget.TextView;
import androidx.recyclerview.widget.RecyclerView;
import com.zhuoting.health.setting.contacts.bean.MyContacts;
import com.zhuoting.health.setting.contacts.utils.ColorGenerator;
import com.zhuoting.health.setting.contacts.utils.TextDrawable;
import com.zhuoting.healthd.R;
import java.util.ArrayList;
import java.util.List;

/* loaded from: classes2.dex */
public class ContactAdapter extends RecyclerView.Adapter<MyRecycleHolder> {
    private CheckBoxClick checkBoxClick;
    private List<MyContacts> contactBeanList;
    private List<String> list;
    private Context mContext;
    private ColorGenerator mColorGenerator = ColorGenerator.MATERIAL;
    private TextDrawable.IBuilder mDrawableBuilder = TextDrawable.builder().round();
    public int maxSize = 30;
    public int currSize = 0;

    public interface CheckBoxClick {
        void onCheckBoxClick(int i, boolean z);
    }

    public ContactAdapter(Context context, List<MyContacts> list) {
        this.mContext = context;
        if (list == null) {
            this.contactBeanList = new ArrayList();
        } else {
            this.contactBeanList = list;
        }
    }

    public void addAll(List<MyContacts> list) {
        if (list != null) {
            this.contactBeanList = list;
        }
        notifyDataSetChanged();
    }

    public void add(MyContacts myContacts, int i) {
        this.contactBeanList.add(i, myContacts);
        notifyItemInserted(i);
    }

    public void add(MyContacts myContacts) {
        this.contactBeanList.add(myContacts);
        notifyItemChanged(this.contactBeanList.size() - 1);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public MyRecycleHolder onCreateViewHolder(ViewGroup viewGroup, int i) {
        return new MyRecycleHolder(LayoutInflater.from(viewGroup.getContext()).inflate(R.layout.recycle_item_layout, viewGroup, false));
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public void onBindViewHolder(final MyRecycleHolder myRecycleHolder, final int i) {
        MyContacts myContacts;
        List<MyContacts> list = this.contactBeanList;
        if (list == null || list.size() == 0 || this.contactBeanList.size() <= i || (myContacts = this.contactBeanList.get(i)) == null) {
            return;
        }
        myRecycleHolder.tv_name.setText(myContacts.getName());
        myRecycleHolder.iv_img.setImageDrawable(this.mDrawableBuilder.build(String.valueOf(myContacts.getName().charAt(0)), this.mColorGenerator.getColor(myContacts.getName())));
        myRecycleHolder.check_box.setOnCheckedChangeListener(null);
        myRecycleHolder.check_box.setChecked(myContacts.isChecked);
        myRecycleHolder.check_box.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.setting.contacts.adapter.ContactAdapter.1
            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                if (ContactAdapter.this.checkBoxClick != null) {
                    ContactAdapter.this.checkBoxClick.onCheckBoxClick(i, myRecycleHolder.check_box.isChecked());
                }
            }
        });
    }

    @Override // androidx.recyclerview.widget.RecyclerView.Adapter
    public int getItemCount() {
        List<MyContacts> list = this.contactBeanList;
        if (list != null) {
            return list.size();
        }
        return 0;
    }

    public static class MyRecycleHolder extends RecyclerView.ViewHolder {
        public final CheckBox check_box;
        public final ImageView iv_img;
        public final TextView tv_name;

        public MyRecycleHolder(View view) {
            super(view);
            this.tv_name = (TextView) view.findViewById(R.id.tv_name);
            this.iv_img = (ImageView) view.findViewById(R.id.iv_img);
            this.check_box = (CheckBox) view.findViewById(R.id.check_box);
        }
    }

    public void setCheckBoxClick(CheckBoxClick checkBoxClick) {
        this.checkBoxClick = checkBoxClick;
    }
}
