package com.zhuoting.health.setting.dial;

import android.bluetooth.BluetoothDevice;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.os.PowerManager;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.widget.AdapterView;
import android.widget.GridView;
import android.widget.ListAdapter;
import androidx.core.app.NotificationCompat;
import com.facebook.appevents.internal.ViewHierarchyConstants;
import com.google.gson.Gson;
import com.gyf.immersionbar.ImmersionBar;
import com.scwang.smartrefresh.layout.SmartRefreshLayout;
import com.scwang.smartrefresh.layout.api.RefreshLayout;
import com.scwang.smartrefresh.layout.footer.ClassicsFooter;
import com.scwang.smartrefresh.layout.header.ClassicsHeader;
import com.scwang.smartrefresh.layout.listener.OnRefreshListener;
import com.sina.weibo.sdk.web.WebPicUploadResult;
import com.wevey.selector.dialog.DialogInterface;
import com.wevey.selector.dialog.MDAlertDialog;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.action.MyOnClickListener;
import com.zhuoting.health.instruct.InstructTools;
import com.zhuoting.health.observer.SubObserver;
import com.zhuoting.health.service.MyBleService;
import com.zhuoting.health.setting.dial.adapter.DialCustomizeAdapter;
import com.zhuoting.health.setting.dial.bean.DialResultBean;
import com.zhuoting.health.tools.BleHandler;
import com.zhuoting.health.tools.DownloadUtil;
import com.zhuoting.health.tools.HttpUtils;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.SPUtils;
import com.zhuoting.health.tools.SystemUiUtil;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.healthd.R;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Observable;
import java.util.Observer;
import kotlin.UByte;
import no.nordicsemi.android.dfu.internal.scanner.BootloaderScanner;

/* loaded from: classes2.dex */
public class DialCustomizeActivity extends BaseActivity implements Observer {
    private DialCustomizeAdapter adapter;
    private GridView dial_customize_gv;
    private MBroadcastReceiver mBroadcastReceiver;
    private BluetoothDevice myDevice;
    private List<String> names;
    private SmartRefreshLayout smartRefreshLayout;
    private List<DialResultBean.Data> datas = new ArrayList();
    private List<DialResultBean.Data> deviceDials = new ArrayList();
    private int currInstallPosition = -1;
    private int currDialPosition = -1;
    private int oldDialPosition = -1;
    private boolean isActiviting = false;
    private boolean isDelete = false;
    private boolean isInitDelete = false;
    private boolean isInstalling = false;
    private boolean isFirst = true;
    PowerManager powerManager = null;
    PowerManager.WakeLock wakeLock = null;
    private boolean isSending = false;
    private Handler handler = new Handler(new Handler.Callback() { // from class: com.zhuoting.health.setting.dial.DialCustomizeActivity.1
        AnonymousClass1() {
        }

        @Override // android.os.Handler.Callback
        public boolean handleMessage(Message message) {
            int i = message.what;
            if (i == 0) {
                DialCustomizeActivity.this.isSending = false;
            } else if (i == 1) {
                try {
                    if (DialCustomizeActivity.this.wakeLock != null && DialCustomizeActivity.this.wakeLock.isHeld()) {
                        DialCustomizeActivity.this.wakeLock.release();
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            } else if (i == 3) {
                DialCustomizeActivity.this.isGettingDialInfo = false;
                DialCustomizeActivity.this.getDeviceDial();
            } else if (i == 4) {
                DialCustomizeActivity.this.smartRefreshLayout.finishRefresh();
            }
            return false;
        }
    });
    private boolean isGettingDialInfo = false;
    private int maxDials = 0;
    private int currDials = 0;

    /* renamed from: com.zhuoting.health.setting.dial.DialCustomizeActivity$1 */
    class AnonymousClass1 implements Handler.Callback {
        AnonymousClass1() {
        }

        @Override // android.os.Handler.Callback
        public boolean handleMessage(Message message) {
            int i = message.what;
            if (i == 0) {
                DialCustomizeActivity.this.isSending = false;
            } else if (i == 1) {
                try {
                    if (DialCustomizeActivity.this.wakeLock != null && DialCustomizeActivity.this.wakeLock.isHeld()) {
                        DialCustomizeActivity.this.wakeLock.release();
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
            } else if (i == 3) {
                DialCustomizeActivity.this.isGettingDialInfo = false;
                DialCustomizeActivity.this.getDeviceDial();
            } else if (i == 4) {
                DialCustomizeActivity.this.smartRefreshLayout.finishRefresh();
            }
            return false;
        }
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_dial_customize);
        init();
        setListener();
        initData();
        getData();
    }

    private void init() {
        changeTitle(getResources().getString(R.string.dial_customize));
        if (NetTools.isMecare()) {
            ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        } else {
            Tools.setBarColor(this, findViewById(R.id.view));
        }
        this.dial_customize_gv = (GridView) findViewById(R.id.activity_dial_customize_gv);
        this.smartRefreshLayout = (SmartRefreshLayout) findViewById(R.id.smartRefreshLayout);
        DialCustomizeAdapter dialCustomizeAdapter = new DialCustomizeAdapter(this, this.datas);
        this.adapter = dialCustomizeAdapter;
        this.dial_customize_gv.setAdapter((ListAdapter) dialCustomizeAdapter);
        this.dial_customize_gv.setOnItemClickListener(new AdapterView.OnItemClickListener() { // from class: com.zhuoting.health.setting.dial.DialCustomizeActivity.2
            AnonymousClass2() {
            }

            @Override // android.widget.AdapterView.OnItemClickListener
            public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
                DialCustomizeActivity.this.startActivity(new Intent(DialCustomizeActivity.this, (Class<?>) DialCustomizeEditActivity.class).putExtra("data", (Serializable) DialCustomizeActivity.this.datas.get(i)));
            }
        });
    }

    /* renamed from: com.zhuoting.health.setting.dial.DialCustomizeActivity$2 */
    class AnonymousClass2 implements AdapterView.OnItemClickListener {
        AnonymousClass2() {
        }

        @Override // android.widget.AdapterView.OnItemClickListener
        public void onItemClick(AdapterView<?> adapterView, View view, int i, long j) {
            DialCustomizeActivity.this.startActivity(new Intent(DialCustomizeActivity.this, (Class<?>) DialCustomizeEditActivity.class).putExtra("data", (Serializable) DialCustomizeActivity.this.datas.get(i)));
        }
    }

    private void setListener() {
        this.smartRefreshLayout.setOnRefreshListener((OnRefreshListener) new OnRefreshListenerImpl());
        SubObserver.getInstance().addObs(this);
        showBack(new MyOnClickListener() { // from class: com.zhuoting.health.setting.dial.DialCustomizeActivity.3
            AnonymousClass3() {
            }

            @Override // com.zhuoting.health.action.MyOnClickListener
            public void onClick(View view) {
                DialCustomizeActivity.this.showDialog();
            }
        });
        showRightImage(R.mipmap.dial_delete_icon, new MyOnClickListenerImpl());
        this.adapter.setListener(new SetDialListenerImpl());
        this.mBroadcastReceiver = new MBroadcastReceiver();
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("action.device.type");
        intentFilter.addAction("dial_down_broadcast");
        registerReceiver(this.mBroadcastReceiver, intentFilter);
    }

    /* renamed from: com.zhuoting.health.setting.dial.DialCustomizeActivity$3 */
    class AnonymousClass3 implements MyOnClickListener {
        AnonymousClass3() {
        }

        @Override // com.zhuoting.health.action.MyOnClickListener
        public void onClick(View view) {
            DialCustomizeActivity.this.showDialog();
        }
    }

    private void initData() {
        try {
            PowerManager powerManager = (PowerManager) getSystemService("power");
            this.powerManager = powerManager;
            this.wakeLock = powerManager.newWakeLock(26, "My Lock");
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            this.names = getFileName(SystemUiUtil.isExistDir("health/dial"));
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        ClassicsHeader.REFRESH_HEADER_PULLDOWN = getString(R.string.Pull_down_can_refresh);
        ClassicsHeader.REFRESH_HEADER_REFRESHING = getString(R.string.Refreshing);
        ClassicsHeader.REFRESH_HEADER_RELEASE = getString(R.string.Release_immediate_update);
        ClassicsHeader.REFRESH_HEADER_FINISH = getString(R.string.Refresh_completed);
        ClassicsHeader.REFRESH_HEADER_LASTTIME = getString(R.string.Last_updated);
        ClassicsFooter.REFRESH_FOOTER_LOADING = getString(R.string.loading_more);
        ClassicsFooter.REFRESH_FOOTER_FINISH = getString(R.string.load_more_end);
        this.smartRefreshLayout.setEnableLoadmore(false);
        closeRightImage();
    }

    public static List<String> getFileName(String str) {
        ArrayList arrayList = new ArrayList();
        try {
            File[] listFiles = new File(str).listFiles();
            if (listFiles != null && listFiles.length > 0) {
                for (File file : listFiles) {
                    if (!file.isDirectory() && file.getName().endsWith(".bin")) {
                        arrayList.add(file.getName());
                    }
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return arrayList;
    }

    public void showMyDialog(int i) {
        new MDAlertDialog.Builder(this).setHeight(0.21f).setWidth(0.7f).setTitleVisible(true).setTitleText(getString(R.string.prompt)).setTitleTextColor(R.color.black_light).setContentText(getString(R.string.dial_is_uninstall)).setContentTextColor(R.color.black_light).setLeftButtonText(getString(R.string.update_version_cancle)).setLeftButtonTextColor(R.color.gray).setRightButtonText(getString(R.string.update_version_ok)).setRightButtonTextColor(R.color.black_light).setTitleTextSize(16).setContentTextSize(14).setButtonTextSize(14).setOnclickListener(new DialogInterface.OnLeftAndRightClickListener<MDAlertDialog>() { // from class: com.zhuoting.health.setting.dial.DialCustomizeActivity.4
            final /* synthetic */ int val$position;

            AnonymousClass4(int i2) {
                r2 = i2;
            }

            @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
            public void clickLeftButton(MDAlertDialog mDAlertDialog, View view) {
                mDAlertDialog.dismiss();
            }

            @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
            public void clickRightButton(MDAlertDialog mDAlertDialog, View view) {
                DialCustomizeActivity.this.deleteDial(r2);
                mDAlertDialog.dismiss();
            }
        }).build().show();
    }

    /* renamed from: com.zhuoting.health.setting.dial.DialCustomizeActivity$4 */
    class AnonymousClass4 implements DialogInterface.OnLeftAndRightClickListener<MDAlertDialog> {
        final /* synthetic */ int val$position;

        AnonymousClass4(int i2) {
            r2 = i2;
        }

        @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
        public void clickLeftButton(MDAlertDialog mDAlertDialog, View view) {
            mDAlertDialog.dismiss();
        }

        @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
        public void clickRightButton(MDAlertDialog mDAlertDialog, View view) {
            DialCustomizeActivity.this.deleteDial(r2);
            mDAlertDialog.dismiss();
        }
    }

    private void deleteDialFile(int i) {
        try {
            DialResultBean.Data data = this.datas.get(i);
            for (String str : this.names) {
                if (str.split("_")[0].equals(data.fileName.substring(data.fileName.lastIndexOf("/") + 1).split("_")[0])) {
                    File file = new File(SystemUiUtil.isExistDir("health/dial") + "/" + str);
                    if (file.exists()) {
                        file.delete();
                    }
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void downDialFile(int i) {
        List<DialResultBean.Data> list;
        List<DialResultBean.Data> list2 = this.deviceDials;
        if (list2 == null || list2.size() == 0 || (list = this.datas) == null || list.size() == 0) {
            return;
        }
        int i2 = this.currInstallPosition;
        if (i2 < 0 || i2 >= this.datas.size() || !(this.datas.get(this.currInstallPosition).state == 5 || this.datas.get(this.currInstallPosition).state == 2)) {
            if (this.currInstallPosition != i && this.currDials == 1 && this.maxDials == 1) {
                showReplaceDialog(i);
            } else {
                if (this.isInstalling) {
                    return;
                }
                this.isInstalling = true;
                deleteDialFile(i);
                DownloadUtil.get().download(this.datas.get(i).fileName, "health/dial", new DownloadUtil.OnDownloadListener() { // from class: com.zhuoting.health.setting.dial.DialCustomizeActivity.5
                    final /* synthetic */ int val$position;

                    AnonymousClass5(int i3) {
                        r2 = i3;
                    }

                    /* renamed from: com.zhuoting.health.setting.dial.DialCustomizeActivity$5$1 */
                    class AnonymousClass1 implements Runnable {
                        AnonymousClass1() {
                        }

                        @Override // java.lang.Runnable
                        public void run() {
                            ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).state = 5;
                            DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
                            DialCustomizeActivity.this.sqlinster((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2));
                            DialCustomizeActivity.this.installDial(r2);
                        }
                    }

                    @Override // com.zhuoting.health.tools.DownloadUtil.OnDownloadListener
                    public void onDownloadSuccess() {
                        DialCustomizeActivity.this.runOnUiThread(new Runnable() { // from class: com.zhuoting.health.setting.dial.DialCustomizeActivity.5.1
                            AnonymousClass1() {
                            }

                            @Override // java.lang.Runnable
                            public void run() {
                                ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).state = 5;
                                DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
                                DialCustomizeActivity.this.sqlinster((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2));
                                DialCustomizeActivity.this.installDial(r2);
                            }
                        });
                    }

                    /* renamed from: com.zhuoting.health.setting.dial.DialCustomizeActivity$5$2 */
                    class AnonymousClass2 implements Runnable {
                        final /* synthetic */ int val$progress;

                        AnonymousClass2(int i) {
                            r2 = i;
                        }

                        @Override // java.lang.Runnable
                        public void run() {
                            ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).state = 2;
                            ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).progress = (r2 * 5) / 100;
                            DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
                        }
                    }

                    @Override // com.zhuoting.health.tools.DownloadUtil.OnDownloadListener
                    public void onDownloading(int i3) {
                        DialCustomizeActivity.this.runOnUiThread(new Runnable() { // from class: com.zhuoting.health.setting.dial.DialCustomizeActivity.5.2
                            final /* synthetic */ int val$progress;

                            AnonymousClass2(int i32) {
                                r2 = i32;
                            }

                            @Override // java.lang.Runnable
                            public void run() {
                                ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).state = 2;
                                ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).progress = (r2 * 5) / 100;
                                DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
                            }
                        });
                    }

                    /* renamed from: com.zhuoting.health.setting.dial.DialCustomizeActivity$5$3 */
                    class AnonymousClass3 implements Runnable {
                        AnonymousClass3() {
                        }

                        @Override // java.lang.Runnable
                        public void run() {
                            ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).state = 0;
                            ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).progress = 0;
                            DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
                            Tools.showAlert3(DialCustomizeActivity.this, DialCustomizeActivity.this.getString(R.string.down_failed));
                        }
                    }

                    @Override // com.zhuoting.health.tools.DownloadUtil.OnDownloadListener
                    public void onDownloadFailed() {
                        DialCustomizeActivity.this.runOnUiThread(new Runnable() { // from class: com.zhuoting.health.setting.dial.DialCustomizeActivity.5.3
                            AnonymousClass3() {
                            }

                            @Override // java.lang.Runnable
                            public void run() {
                                ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).state = 0;
                                ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).progress = 0;
                                DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
                                Tools.showAlert3(DialCustomizeActivity.this, DialCustomizeActivity.this.getString(R.string.down_failed));
                            }
                        });
                    }
                });
            }
        }
    }

    /* renamed from: com.zhuoting.health.setting.dial.DialCustomizeActivity$5 */
    class AnonymousClass5 implements DownloadUtil.OnDownloadListener {
        final /* synthetic */ int val$position;

        AnonymousClass5(int i3) {
            r2 = i3;
        }

        /* renamed from: com.zhuoting.health.setting.dial.DialCustomizeActivity$5$1 */
        class AnonymousClass1 implements Runnable {
            AnonymousClass1() {
            }

            @Override // java.lang.Runnable
            public void run() {
                ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).state = 5;
                DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
                DialCustomizeActivity.this.sqlinster((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2));
                DialCustomizeActivity.this.installDial(r2);
            }
        }

        @Override // com.zhuoting.health.tools.DownloadUtil.OnDownloadListener
        public void onDownloadSuccess() {
            DialCustomizeActivity.this.runOnUiThread(new Runnable() { // from class: com.zhuoting.health.setting.dial.DialCustomizeActivity.5.1
                AnonymousClass1() {
                }

                @Override // java.lang.Runnable
                public void run() {
                    ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).state = 5;
                    DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
                    DialCustomizeActivity.this.sqlinster((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2));
                    DialCustomizeActivity.this.installDial(r2);
                }
            });
        }

        /* renamed from: com.zhuoting.health.setting.dial.DialCustomizeActivity$5$2 */
        class AnonymousClass2 implements Runnable {
            final /* synthetic */ int val$progress;

            AnonymousClass2(int i32) {
                r2 = i32;
            }

            @Override // java.lang.Runnable
            public void run() {
                ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).state = 2;
                ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).progress = (r2 * 5) / 100;
                DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
            }
        }

        @Override // com.zhuoting.health.tools.DownloadUtil.OnDownloadListener
        public void onDownloading(int i32) {
            DialCustomizeActivity.this.runOnUiThread(new Runnable() { // from class: com.zhuoting.health.setting.dial.DialCustomizeActivity.5.2
                final /* synthetic */ int val$progress;

                AnonymousClass2(int i322) {
                    r2 = i322;
                }

                @Override // java.lang.Runnable
                public void run() {
                    ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).state = 2;
                    ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).progress = (r2 * 5) / 100;
                    DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
                }
            });
        }

        /* renamed from: com.zhuoting.health.setting.dial.DialCustomizeActivity$5$3 */
        class AnonymousClass3 implements Runnable {
            AnonymousClass3() {
            }

            @Override // java.lang.Runnable
            public void run() {
                ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).state = 0;
                ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).progress = 0;
                DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
                Tools.showAlert3(DialCustomizeActivity.this, DialCustomizeActivity.this.getString(R.string.down_failed));
            }
        }

        @Override // com.zhuoting.health.tools.DownloadUtil.OnDownloadListener
        public void onDownloadFailed() {
            DialCustomizeActivity.this.runOnUiThread(new Runnable() { // from class: com.zhuoting.health.setting.dial.DialCustomizeActivity.5.3
                AnonymousClass3() {
                }

                @Override // java.lang.Runnable
                public void run() {
                    ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).state = 0;
                    ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(r2)).progress = 0;
                    DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
                    Tools.showAlert3(DialCustomizeActivity.this, DialCustomizeActivity.this.getString(R.string.down_failed));
                }
            });
        }
    }

    public void installDial(int i) {
        List<DialResultBean.Data> list;
        if (!BleHandler.iscon) {
            Tools.showAlert3(this, getString(R.string.please_connect_the_device));
            return;
        }
        List<DialResultBean.Data> list2 = this.deviceDials;
        if (list2 == null || list2.size() == 0 || (list = this.datas) == null || list.size() == 0) {
            return;
        }
        this.currInstallPosition = i;
        if (this.maxDials == 1 && this.currDials == 1 && this.datas.get(i).state != 6) {
            int i2 = -1;
            int i3 = 0;
            while (true) {
                if (i3 >= this.deviceDials.size()) {
                    break;
                }
                if (this.deviceDials.get(i3).isCanDelete) {
                    i2 = this.deviceDials.get(i3).dialplateId;
                    break;
                }
                i3++;
            }
            for (int i4 = 0; i4 < this.datas.size(); i4++) {
                if (this.datas.get(i4).dialplateId == i2) {
                    deleteDial(i4);
                    this.isInitDelete = true;
                    return;
                }
            }
        }
        int i5 = this.datas.get(i).dialplateId;
        for (DialResultBean.Data data : this.deviceDials) {
            System.out.println("vvvvvv---id==" + data.dialplateId);
            if (data.dialplateId == i5) {
                this.datas.get(i).blockNumber = data.blockNumber;
            }
        }
        System.out.println("vvvvv-----" + this.datas.get(i).dialplateId + "--" + this.datas.get(i).blockNumber);
        sendBroadcast(new Intent("com.health.communication.SENDMSG").putExtra("type", 14).putExtra("name", this.datas.get(i).fileName.substring(this.datas.get(i).fileName.lastIndexOf("/") + 1)).putExtra("id", i5).putExtra("currIndex", this.datas.get(i).blockNumber));
    }

    public void pauseInstallDial(int i) {
        if (!BleHandler.iscon) {
            Tools.showAlert3(this, getString(R.string.please_connect_the_device));
        } else {
            sendBroadcast(new Intent("com.health.communication.SENDMSG").putExtra("type", 16).putExtra("id", this.datas.get(i).dialplateId));
        }
    }

    public void setDial(int i) {
        if (!BleHandler.iscon) {
            Tools.showAlert3(this, getString(R.string.please_connect_the_device));
        } else {
            this.currDialPosition = i;
            sendBroadcast(new Intent("com.health.communication.SENDMSG").putExtra("type", 17).putExtra("id", this.datas.get(i).dialplateId));
        }
    }

    public void deleteDial(int i) {
        if (!BleHandler.iscon) {
            Tools.showAlert3(this, getString(R.string.please_connect_the_device));
            return;
        }
        DialResultBean.Data data = this.datas.get(i);
        data.state = 0;
        data.progress = 0;
        data.blockNumber = 0;
        sendBroadcast(new Intent("com.health.communication.SENDMSG").putExtra("type", 15).putExtra("id", data.dialplateId));
    }

    public void sqlinster(DialResultBean.Data data) {
        DialUtils.sqlinster(data, this);
    }

    public void getData() {
        String str = (String) SPUtils.get(this, "deviceType", "");
        if (str == null || "".equals(str)) {
            BleHandler.getInstance(getApplication()).sendMsg(Tools.makeSend(new byte[]{2, 3, 71, 80}));
            return;
        }
        getDeviceDial();
        HashMap hashMap = new HashMap();
        hashMap.put(WebPicUploadResult.RESP_UPLOAD_PIC_PARAM_CODE, getString(R.string.lan));
        hashMap.put("token", SPUtils.get(this, "token", ""));
        hashMap.put(ViewHierarchyConstants.DIMENSION_WIDTH_KEY, "150");
        hashMap.put(ViewHierarchyConstants.DIMENSION_HEIGHT_KEY, "150");
        hashMap.put("deviceType", str);
        HttpUtils.getInstance().getMsgAsynHttp(this, NetTools.DIALURL, hashMap, new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.setting.dial.DialCustomizeActivity.6
            AnonymousClass6() {
            }

            @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
            public void onSuccess(String str2) {
                if (str2 != null) {
                    DialResultBean dialResultBean = null;
                    try {
                        dialResultBean = (DialResultBean) new Gson().fromJson(str2, DialResultBean.class);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                    if (dialResultBean != null) {
                        DialCustomizeActivity.this.datas = dialResultBean.data;
                        if (DialCustomizeActivity.this.names != null && DialCustomizeActivity.this.names.size() > 0) {
                            for (String str3 : DialCustomizeActivity.this.names) {
                                try {
                                    Iterator it2 = DialCustomizeActivity.this.datas.iterator();
                                    while (true) {
                                        if (it2.hasNext()) {
                                            DialResultBean.Data data = (DialResultBean.Data) it2.next();
                                            String substring = data.fileName.substring(data.fileName.lastIndexOf("/") + 1);
                                            data.state = 1;
                                            if (str3.equals(substring)) {
                                                DialCustomizeActivity.this.sqlinster(data);
                                                break;
                                            }
                                        }
                                    }
                                } catch (Exception e2) {
                                    e2.printStackTrace();
                                }
                            }
                        }
                        if (DialCustomizeActivity.this.deviceDials != null && DialCustomizeActivity.this.deviceDials.size() > 0 && DialCustomizeActivity.this.datas.size() > 0) {
                            DialCustomizeActivity.this.changeState();
                        }
                    }
                    DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
                }
            }
        });
    }

    /* renamed from: com.zhuoting.health.setting.dial.DialCustomizeActivity$6 */
    class AnonymousClass6 implements HttpUtils.HttpCallback {
        AnonymousClass6() {
        }

        @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
        public void onSuccess(String str2) {
            if (str2 != null) {
                DialResultBean dialResultBean = null;
                try {
                    dialResultBean = (DialResultBean) new Gson().fromJson(str2, DialResultBean.class);
                } catch (Exception e) {
                    e.printStackTrace();
                }
                if (dialResultBean != null) {
                    DialCustomizeActivity.this.datas = dialResultBean.data;
                    if (DialCustomizeActivity.this.names != null && DialCustomizeActivity.this.names.size() > 0) {
                        for (String str3 : DialCustomizeActivity.this.names) {
                            try {
                                Iterator it2 = DialCustomizeActivity.this.datas.iterator();
                                while (true) {
                                    if (it2.hasNext()) {
                                        DialResultBean.Data data = (DialResultBean.Data) it2.next();
                                        String substring = data.fileName.substring(data.fileName.lastIndexOf("/") + 1);
                                        data.state = 1;
                                        if (str3.equals(substring)) {
                                            DialCustomizeActivity.this.sqlinster(data);
                                            break;
                                        }
                                    }
                                }
                            } catch (Exception e2) {
                                e2.printStackTrace();
                            }
                        }
                    }
                    if (DialCustomizeActivity.this.deviceDials != null && DialCustomizeActivity.this.deviceDials.size() > 0 && DialCustomizeActivity.this.datas.size() > 0) {
                        DialCustomizeActivity.this.changeState();
                    }
                }
                DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
            }
        }
    }

    public void getDeviceDial() {
        BluetoothDevice bluetoothDevice = BleHandler.getInstance(getApplicationContext()).myDevice;
        this.myDevice = bluetoothDevice;
        if (bluetoothDevice == null || bluetoothDevice.getAddress() == null || !BleHandler.iscon || this.isGettingDialInfo) {
            return;
        }
        this.isGettingDialInfo = true;
        MyBleService.getInstance().resetSend();
        MyBleService.getInstance().pushQueue(Tools.makeSend(new byte[]{9, 3, 0}));
        this.handler.removeMessages(3);
        this.handler.sendEmptyMessageDelayed(3, 3000L);
    }

    @Override // java.util.Observer
    public void update(Observable observable, Object obj) {
        Map map = (Map) obj;
        int parseInt = Integer.parseInt(map.get("key").toString());
        System.out.println("vvvvvv---key==" + parseInt);
        if (parseInt != 1) {
            if (parseInt == 105) {
                BluetoothDevice bluetoothDevice = BleHandler.getInstance(getApplicationContext()).myDevice;
                this.myDevice = bluetoothDevice;
                if (bluetoothDevice == null || bluetoothDevice.getAddress() == null || !BleHandler.iscon) {
                    finish();
                    return;
                }
                return;
            }
            return;
        }
        this.isSending = false;
        byte[] bArr = (byte[]) map.get("smsg");
        System.out.println("vvvvvv---smsg==" + Tools.logbyte(bArr));
        if (bArr == null) {
            return;
        }
        if ((bArr[0] & UByte.MAX_VALUE) == 9 && (bArr[1] & UByte.MAX_VALUE) == 3) {
            if (this.isFirst) {
                this.isFirst = false;
                MyBleService.getInstance().pushRealDataQueue(InstructTools.closeRealTimeStep(), 3);
            }
            if (bArr.length < 6) {
                return;
            }
            this.handler.removeMessages(3);
            this.maxDials = bArr[4] & UByte.MAX_VALUE;
            this.currDials = bArr[5] & UByte.MAX_VALUE;
            this.deviceDials.clear();
            int i = 6;
            while (i < bArr.length - 5) {
                DialResultBean.Data data = new DialResultBean().getData();
                int i2 = i + 1;
                int i3 = bArr[i] & UByte.MAX_VALUE;
                int i4 = i2 + 1;
                int i5 = bArr[i2] & UByte.MAX_VALUE;
                int i6 = i4 + 1;
                int i7 = bArr[i4] & UByte.MAX_VALUE;
                int i8 = i6 + 1;
                int i9 = bArr[i6] & UByte.MAX_VALUE;
                data.dialplateId = i3 + (i5 << 8) + (i7 << 16) + (i9 << 24);
                int i10 = i8 + 1;
                int i11 = i10 + 1;
                data.blockNumber = (bArr[i8] & UByte.MAX_VALUE) + ((bArr[i10] & UByte.MAX_VALUE) << 8);
                int i12 = i11 + 1;
                data.isCanDelete = (bArr[i11] & UByte.MAX_VALUE) == 1;
                StringBuilder sb = new StringBuilder();
                int i13 = i12 + 1;
                sb.append((bArr[i12] & UByte.MAX_VALUE) + ((bArr[i13] & UByte.MAX_VALUE) << 8));
                sb.append("");
                data.dialVersion = sb.toString();
                if (i9 == 127 && i5 == 255 && i7 == 255) {
                    this.deviceDials.add(data);
                }
                i = i13 + 1;
            }
            List<DialResultBean.Data> list = this.deviceDials;
            if (list != null && list.size() > 0 && this.datas.size() > 0) {
                this.isInstalling = false;
                changeState();
            }
            if (this.currDials == 0) {
                setRightImage(R.mipmap.dial_delete_icon);
                closeRightImage();
                this.isDelete = false;
                Iterator<DialResultBean.Data> it2 = this.datas.iterator();
                while (it2.hasNext()) {
                    it2.next().isDelete = false;
                }
            } else {
                showRightImage();
            }
            if (MyBleService.isPausing) {
                MyBleService.isPausing = false;
                int i14 = this.currInstallPosition;
                if (i14 > 0 && i14 < this.datas.size()) {
                    this.datas.get(this.currInstallPosition).state = 6;
                }
            }
            if (this.isInitDelete) {
                this.isInitDelete = false;
                this.isInstalling = true;
                installDial(this.currInstallPosition);
            }
        } else if ((bArr[0] & UByte.MAX_VALUE) == 4 && (bArr[1] & UByte.MAX_VALUE) == 13) {
            int i15 = (bArr[4] & UByte.MAX_VALUE) + ((bArr[5] & UByte.MAX_VALUE) << 8) + ((bArr[6] & UByte.MAX_VALUE) << 16) + ((bArr[7] & UByte.MAX_VALUE) << 24);
            for (int i16 = 0; i16 < this.datas.size(); i16++) {
                DialResultBean.Data data2 = this.datas.get(i16);
                if (data2.state == 4) {
                    data2.state = 3;
                }
                if (data2.dialplateId == i15) {
                    data2.state = 4;
                    this.oldDialPosition = i16;
                }
            }
        }
        this.adapter.setDataChanged(this.datas);
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        SubObserver.getInstance().delObs(this);
        unregisterReceiver(this.mBroadcastReceiver);
    }

    private class MBroadcastReceiver extends BroadcastReceiver {
        private MBroadcastReceiver() {
        }

        /* synthetic */ MBroadcastReceiver(DialCustomizeActivity dialCustomizeActivity, AnonymousClass1 anonymousClass1) {
            this();
        }

        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            if (intent == null || intent.getAction() == null) {
                return;
            }
            String action = intent.getAction();
            action.hashCode();
            if (action.equals("dial_down_broadcast")) {
                int intExtra = intent.getIntExtra("type", 1);
                int intExtra2 = intent.getIntExtra("data", 1);
                if (intExtra == 0) {
                    if (DialCustomizeActivity.this.isActiviting) {
                        if (intExtra2 == 0) {
                            DialCustomizeActivity dialCustomizeActivity = DialCustomizeActivity.this;
                            Tools.showAlert3(dialCustomizeActivity, dialCustomizeActivity.getString(R.string.dial_is_install_done));
                        } else {
                            DialCustomizeActivity dialCustomizeActivity2 = DialCustomizeActivity.this;
                            Tools.showAlert3(dialCustomizeActivity2, dialCustomizeActivity2.getString(R.string.dial_is_install_failed));
                        }
                    }
                    DialCustomizeActivity.this.isInstalling = false;
                } else if (intExtra != 1) {
                    if (intExtra == 2) {
                        if (DialCustomizeActivity.this.isActiviting) {
                            if (intExtra2 == 0) {
                                DialCustomizeActivity dialCustomizeActivity3 = DialCustomizeActivity.this;
                                Tools.showAlert3(dialCustomizeActivity3, dialCustomizeActivity3.getString(R.string.dial_cancel_install));
                            } else {
                                DialCustomizeActivity dialCustomizeActivity4 = DialCustomizeActivity.this;
                                Tools.showAlert3(dialCustomizeActivity4, dialCustomizeActivity4.getString(R.string.dial_cancel_install_failed));
                            }
                        }
                        DialCustomizeActivity.this.isInstalling = false;
                    } else if (intExtra == 3) {
                        System.out.println("chong-------progress==" + intent.getIntExtra(NotificationCompat.CATEGORY_PROGRESS, 0) + "--curr==" + DialCustomizeActivity.this.currInstallPosition);
                        if (DialCustomizeActivity.this.currInstallPosition >= 0 && DialCustomizeActivity.this.currInstallPosition < DialCustomizeActivity.this.datas.size()) {
                            ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(DialCustomizeActivity.this.currInstallPosition)).state = 5;
                            ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(DialCustomizeActivity.this.currInstallPosition)).isCanDelete = true;
                            ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(DialCustomizeActivity.this.currInstallPosition)).progress = ((intent.getIntExtra(NotificationCompat.CATEGORY_PROGRESS, 0) * 95) / 100) + 5;
                            DialCustomizeActivity.this.isInstalling = true;
                            try {
                                if (DialCustomizeActivity.this.wakeLock != null && !DialCustomizeActivity.this.wakeLock.isHeld()) {
                                    DialCustomizeActivity.this.wakeLock.acquire();
                                }
                            } catch (Exception e) {
                                e.printStackTrace();
                            }
                            DialCustomizeActivity.this.handler.removeMessages(1);
                            DialCustomizeActivity.this.handler.sendEmptyMessageDelayed(1, 10000L);
                        }
                        DialCustomizeActivity.this.closeRightImage();
                    } else if (intExtra == 4) {
                        if (DialCustomizeActivity.this.isActiviting) {
                            if (intExtra2 == 0) {
                                if (!DialCustomizeActivity.this.isInitDelete && DialCustomizeActivity.this.isActiviting) {
                                    DialCustomizeActivity dialCustomizeActivity5 = DialCustomizeActivity.this;
                                    Tools.showAlert3(dialCustomizeActivity5, dialCustomizeActivity5.getString(R.string.dial_delete_success));
                                }
                            } else {
                                DialCustomizeActivity dialCustomizeActivity6 = DialCustomizeActivity.this;
                                Tools.showAlert3(dialCustomizeActivity6, dialCustomizeActivity6.getString(R.string.dial_delete_failed));
                            }
                        }
                        DialCustomizeActivity.this.isInstalling = false;
                    } else if (intExtra == 5) {
                        if (intExtra2 == 0) {
                            if (DialCustomizeActivity.this.oldDialPosition >= 0 && DialCustomizeActivity.this.oldDialPosition < DialCustomizeActivity.this.datas.size()) {
                                ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(DialCustomizeActivity.this.oldDialPosition)).state = 3;
                                ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(DialCustomizeActivity.this.oldDialPosition)).progress = 0;
                            }
                            DialCustomizeActivity dialCustomizeActivity7 = DialCustomizeActivity.this;
                            dialCustomizeActivity7.oldDialPosition = dialCustomizeActivity7.currDialPosition;
                            if (DialCustomizeActivity.this.currDialPosition >= 0 && DialCustomizeActivity.this.currDialPosition < DialCustomizeActivity.this.datas.size()) {
                                ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(DialCustomizeActivity.this.currDialPosition)).state = 4;
                                ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(DialCustomizeActivity.this.currDialPosition)).progress = 0;
                            }
                        }
                        DialCustomizeActivity.this.isSending = false;
                    }
                } else if (intExtra2 == 0) {
                    if (DialCustomizeActivity.this.currInstallPosition > 0 && DialCustomizeActivity.this.datas.size() > DialCustomizeActivity.this.currInstallPosition) {
                        ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(DialCustomizeActivity.this.currInstallPosition)).state = 5;
                    }
                } else if (intExtra2 == 2) {
                    if (DialCustomizeActivity.this.isActiviting) {
                        DialCustomizeActivity dialCustomizeActivity8 = DialCustomizeActivity.this;
                        Tools.showAlert3(dialCustomizeActivity8, dialCustomizeActivity8.getString(R.string.dial_is_install_max));
                    }
                } else {
                    if (DialCustomizeActivity.this.currInstallPosition > 0 && DialCustomizeActivity.this.currInstallPosition < DialCustomizeActivity.this.datas.size()) {
                        if (intExtra2 == 4) {
                            ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(DialCustomizeActivity.this.currInstallPosition)).state = 1;
                        } else {
                            ((DialResultBean.Data) DialCustomizeActivity.this.datas.get(DialCustomizeActivity.this.currInstallPosition)).state = 6;
                        }
                    }
                    DialCustomizeActivity.this.isInstalling = false;
                    if (DialCustomizeActivity.this.isActiviting) {
                        DialCustomizeActivity dialCustomizeActivity9 = DialCustomizeActivity.this;
                        Tools.showAlert3(dialCustomizeActivity9, dialCustomizeActivity9.getString(R.string.dial_is_install_failed));
                    }
                }
            } else if (action.equals("action.device.type")) {
                byte[] byteArrayExtra = intent.getByteArrayExtra("data");
                if (byteArrayExtra == null) {
                    return;
                }
                int length = byteArrayExtra.length - 7;
                byte[] bArr = new byte[length];
                System.arraycopy(byteArrayExtra, 4, bArr, 0, length);
                String str = new String(bArr);
                Log.e("qob", "downLoadName " + str);
                SPUtils.put(DialCustomizeActivity.this, "deviceType", str);
                DialCustomizeActivity.this.getData();
            }
            DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
        }
    }

    public void changeState() {
        if (this.datas.size() > 0 && this.deviceDials.size() > 0) {
            this.handler.removeMessages(4);
            this.smartRefreshLayout.finishRefresh();
        }
        for (int i = 0; i < this.datas.size(); i++) {
            DialResultBean.Data data = this.datas.get(i);
            data.state = 0;
            Iterator<DialResultBean.Data> it2 = this.deviceDials.iterator();
            while (true) {
                if (it2.hasNext()) {
                    DialResultBean.Data next = it2.next();
                    if (next.dialplateId == data.dialplateId) {
                        data.isCanDelete = next.isCanDelete;
                        if (next.blockNumber == 0) {
                            data.state = 3;
                            data.progress = 0;
                        } else if (next.blockNumber == 65535) {
                            this.oldDialPosition = i;
                            data.state = 4;
                            data.progress = 0;
                        } else {
                            try {
                                FileInputStream fileInputStream = new FileInputStream(new File(SystemUiUtil.isExistDir("health/dial") + "/" + data.fileName.substring(data.fileName.lastIndexOf("/") + 1)));
                                byte[] bArr = new byte[1024];
                                ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                                while (true) {
                                    int read = fileInputStream.read(bArr);
                                    if (read == -1) {
                                        break;
                                    } else {
                                        byteArrayOutputStream.write(bArr, 0, read);
                                    }
                                }
                                byteArrayOutputStream.flush();
                                data.progress = ((((((next.blockNumber * 1024) * 4) * 100) / byteArrayOutputStream.toByteArray().length) * 95) / 100) + 5;
                            } catch (Exception e) {
                                e.printStackTrace();
                            }
                            data.state = 6;
                        }
                    }
                }
            }
        }
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
        this.isActiviting = true;
        BluetoothDevice bluetoothDevice = BleHandler.getInstance(getApplicationContext()).myDevice;
        this.myDevice = bluetoothDevice;
        if (bluetoothDevice == null || bluetoothDevice.getAddress() == null || !BleHandler.iscon) {
            finish();
        }
        getDeviceDial();
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onPause() {
        super.onPause();
        this.isActiviting = false;
        try {
            PowerManager.WakeLock wakeLock = this.wakeLock;
            if (wakeLock == null || !wakeLock.isHeld()) {
                return;
            }
            this.wakeLock.release();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onStop() {
        super.onStop();
        this.isActiviting = false;
    }

    @Override // androidx.appcompat.app.AppCompatActivity, android.app.Activity, android.view.KeyEvent.Callback
    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i == 4) {
            showDialog();
            return true;
        }
        return super.onKeyDown(i, keyEvent);
    }

    public void showDialog() {
        if (!this.isInstalling) {
            finish();
        } else {
            new MDAlertDialog.Builder(this).setHeight(0.21f).setWidth(0.7f).setTitleVisible(true).setTitleText(getString(R.string.prompt)).setTitleTextColor(R.color.black).setContentText(getString(R.string.dial_exit_content)).setContentTextColor(R.color.black_light).setLeftButtonText(getString(R.string.cancel)).setLeftButtonTextColor(R.color.gray).setRightButtonText(getString(R.string.ok)).setRightButtonTextColor(R.color.black_light).setTitleTextSize(16).setContentTextSize(14).setButtonTextSize(14).setOnclickListener(new DialogInterface.OnLeftAndRightClickListener<MDAlertDialog>() { // from class: com.zhuoting.health.setting.dial.DialCustomizeActivity.7
                AnonymousClass7() {
                }

                @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
                public void clickLeftButton(MDAlertDialog mDAlertDialog, View view) {
                    mDAlertDialog.dismiss();
                }

                @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
                public void clickRightButton(MDAlertDialog mDAlertDialog, View view) {
                    mDAlertDialog.dismiss();
                    DialCustomizeActivity dialCustomizeActivity = DialCustomizeActivity.this;
                    dialCustomizeActivity.pauseInstallDial(dialCustomizeActivity.currInstallPosition);
                    DialCustomizeActivity.this.finish();
                }
            }).build().show();
        }
    }

    /* renamed from: com.zhuoting.health.setting.dial.DialCustomizeActivity$7 */
    class AnonymousClass7 implements DialogInterface.OnLeftAndRightClickListener<MDAlertDialog> {
        AnonymousClass7() {
        }

        @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
        public void clickLeftButton(MDAlertDialog mDAlertDialog, View view) {
            mDAlertDialog.dismiss();
        }

        @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
        public void clickRightButton(MDAlertDialog mDAlertDialog, View view) {
            mDAlertDialog.dismiss();
            DialCustomizeActivity dialCustomizeActivity = DialCustomizeActivity.this;
            dialCustomizeActivity.pauseInstallDial(dialCustomizeActivity.currInstallPosition);
            DialCustomizeActivity.this.finish();
        }
    }

    private void showReplaceDialog(int i) {
        new MDAlertDialog.Builder(this).setHeight(0.21f).setWidth(0.7f).setTitleVisible(true).setTitleText(getString(R.string.prompt)).setTitleTextColor(R.color.black).setContentText(getString(R.string.dial_replace_content)).setContentTextColor(R.color.black_light).setLeftButtonText(getString(R.string.cancel)).setLeftButtonTextColor(R.color.gray).setRightButtonText(getString(R.string.ok)).setRightButtonTextColor(R.color.black_light).setTitleTextSize(16).setContentTextSize(14).setButtonTextSize(14).setOnclickListener(new DialogInterface.OnLeftAndRightClickListener<MDAlertDialog>() { // from class: com.zhuoting.health.setting.dial.DialCustomizeActivity.8
            final /* synthetic */ int val$position;

            AnonymousClass8(int i2) {
                r2 = i2;
            }

            @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
            public void clickLeftButton(MDAlertDialog mDAlertDialog, View view) {
                mDAlertDialog.dismiss();
            }

            @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
            public void clickRightButton(MDAlertDialog mDAlertDialog, View view) {
                mDAlertDialog.dismiss();
                DialCustomizeActivity.this.currInstallPosition = r2;
                DialCustomizeActivity.this.downDialFile(r2);
            }
        }).build().show();
    }

    /* renamed from: com.zhuoting.health.setting.dial.DialCustomizeActivity$8 */
    class AnonymousClass8 implements DialogInterface.OnLeftAndRightClickListener<MDAlertDialog> {
        final /* synthetic */ int val$position;

        AnonymousClass8(int i2) {
            r2 = i2;
        }

        @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
        public void clickLeftButton(MDAlertDialog mDAlertDialog, View view) {
            mDAlertDialog.dismiss();
        }

        @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
        public void clickRightButton(MDAlertDialog mDAlertDialog, View view) {
            mDAlertDialog.dismiss();
            DialCustomizeActivity.this.currInstallPosition = r2;
            DialCustomizeActivity.this.downDialFile(r2);
        }
    }

    private class MyOnClickListenerImpl implements MyOnClickListener {
        private MyOnClickListenerImpl() {
        }

        /* synthetic */ MyOnClickListenerImpl(DialCustomizeActivity dialCustomizeActivity, AnonymousClass1 anonymousClass1) {
            this();
        }

        @Override // com.zhuoting.health.action.MyOnClickListener
        public void onClick(View view) {
            if (DialCustomizeActivity.this.isInstalling) {
                return;
            }
            if (!DialCustomizeActivity.this.isDelete) {
                DialCustomizeActivity.this.isDelete = true;
                DialCustomizeActivity.this.setRightImage(R.mipmap.dial_ok_icon);
                Iterator it2 = DialCustomizeActivity.this.datas.iterator();
                while (it2.hasNext()) {
                    ((DialResultBean.Data) it2.next()).isDelete = true;
                }
            } else {
                DialCustomizeActivity.this.isDelete = false;
                DialCustomizeActivity.this.setRightImage(R.mipmap.dial_delete_icon);
                Iterator it3 = DialCustomizeActivity.this.datas.iterator();
                while (it3.hasNext()) {
                    ((DialResultBean.Data) it3.next()).isDelete = false;
                }
            }
            DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
        }
    }

    private class OnClickListenerImpl implements View.OnClickListener {
        private OnClickListenerImpl() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            if (view.getId() != R.id.dial_tv_download_record) {
                return;
            }
            DialCustomizeActivity.this.startActivity(new Intent(DialCustomizeActivity.this, (Class<?>) DialDownRecordActivity.class));
        }
    }

    private class SetDialListenerImpl implements DialCustomizeAdapter.SetDialListener {
        private SetDialListenerImpl() {
        }

        /* synthetic */ SetDialListenerImpl(DialCustomizeActivity dialCustomizeActivity, AnonymousClass1 anonymousClass1) {
            this();
        }

        @Override // com.zhuoting.health.setting.dial.adapter.DialCustomizeAdapter.SetDialListener
        public void callback(int i) {
            if (DialCustomizeActivity.this.isSending) {
                return;
            }
            DialCustomizeActivity.this.isSending = true;
            DialCustomizeActivity.this.handler.sendEmptyMessageDelayed(0, 2000L);
            DialResultBean.Data data = (DialResultBean.Data) DialCustomizeActivity.this.datas.get(i);
            System.out.println("chong----------position==" + i + "--state==" + data.state);
            if (data.state == 1) {
                DialCustomizeActivity.this.downDialFile(i);
            } else if (data.state != 2) {
                if (data.state == 3) {
                    if (!DialCustomizeActivity.this.isInstalling) {
                        DialCustomizeActivity.this.setDial(i);
                    }
                } else if (data.state != 4 && data.state != 5) {
                    if (data.state == 6) {
                        DialCustomizeActivity.this.isInstalling = true;
                        DialCustomizeActivity.this.installDial(i);
                    } else if (data.state != 7) {
                        DialCustomizeActivity.this.downDialFile(i);
                    } else {
                        data.state = 0;
                    }
                }
            }
            DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
        }

        @Override // com.zhuoting.health.setting.dial.adapter.DialCustomizeAdapter.SetDialListener
        public void update(int i) {
            DialResultBean.Data data = (DialResultBean.Data) DialCustomizeActivity.this.datas.get(i);
            if (data.isUpdate) {
                data.isUpdate = false;
                data.state = 0;
                DialCustomizeActivity.this.downDialFile(i);
                DialCustomizeActivity.this.adapter.setDataChanged(DialCustomizeActivity.this.datas);
            }
        }

        @Override // com.zhuoting.health.setting.dial.adapter.DialCustomizeAdapter.SetDialListener
        public void delete(int i) {
            DialResultBean.Data data = (DialResultBean.Data) DialCustomizeActivity.this.datas.get(i);
            if (data.isCanDelete) {
                if (data.state == 3 || data.state == 4 || data.state == 5 || data.state == 6) {
                    DialCustomizeActivity.this.showMyDialog(i);
                    return;
                } else {
                    DialCustomizeActivity dialCustomizeActivity = DialCustomizeActivity.this;
                    Tools.showAlert3(dialCustomizeActivity, dialCustomizeActivity.getString(R.string.dial_not_install));
                    return;
                }
            }
            DialCustomizeActivity dialCustomizeActivity2 = DialCustomizeActivity.this;
            Tools.showAlert3(dialCustomizeActivity2, dialCustomizeActivity2.getString(R.string.dial_cant_delete));
        }
    }

    private class OnRefreshListenerImpl implements OnRefreshListener {
        private OnRefreshListenerImpl() {
        }

        /* synthetic */ OnRefreshListenerImpl(DialCustomizeActivity dialCustomizeActivity, AnonymousClass1 anonymousClass1) {
            this();
        }

        @Override // com.scwang.smartrefresh.layout.listener.OnRefreshListener
        public void onRefresh(RefreshLayout refreshLayout) {
            if (DialCustomizeActivity.this.isInstalling) {
                DialCustomizeActivity.this.smartRefreshLayout.finishRefresh();
                return;
            }
            DialCustomizeActivity.this.isGettingDialInfo = false;
            DialCustomizeActivity.this.datas.clear();
            DialCustomizeActivity.this.deviceDials.clear();
            DialCustomizeActivity.this.getData();
            DialCustomizeActivity.this.handler.removeMessages(4);
            DialCustomizeActivity.this.handler.sendEmptyMessageDelayed(4, BootloaderScanner.TIMEOUT);
        }
    }
}
