package com.zhuoting.health.setting.dial;

import android.app.AlertDialog;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.database.Cursor;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.GridView;
import android.widget.ListAdapter;
import android.widget.ProgressBar;
import androidx.core.app.NotificationCompat;
import com.facebook.appevents.internal.ViewHierarchyConstants;
import com.google.gson.Gson;
import com.gyf.immersionbar.ImmersionBar;
import com.sina.weibo.sdk.web.WebPicUploadResult;
import com.wevey.selector.dialog.DialogInterface;
import com.wevey.selector.dialog.MDAlertDialog;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.MyApplication;
import com.zhuoting.health.observer.SubObserver;
import com.zhuoting.health.service.MyBleService;
import com.zhuoting.health.setting.dial.adapter.DialAdapter;
import com.zhuoting.health.setting.dial.bean.DialResultBean;
import com.zhuoting.health.tools.BleHandler;
import com.zhuoting.health.tools.DBHelper;
import com.zhuoting.health.tools.DownloadUtil;
import com.zhuoting.health.tools.HttpUtils;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.SPUtils;
import com.zhuoting.health.tools.SystemUiUtil;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.healthd.R;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Observable;
import java.util.Observer;
import kotlin.UByte;

/* loaded from: classes2.dex */
public class DialDownRecordActivity extends BaseActivity implements Observer {
    private DialAdapter adapter;
    private DialBroadcastReceiver dialBroadcastReceiver;
    private AlertDialog dialog;
    private List<String> names;
    private ProgressBar progressBar;
    private List<DialResultBean.Data> datas = new ArrayList();
    private List<String> noLoadNames = new ArrayList();
    private int currInstallPosition = -1;
    private Handler handler = new Handler(new Handler.Callback() { // from class: com.zhuoting.health.setting.dial.DialDownRecordActivity.1
        @Override // android.os.Handler.Callback
        public boolean handleMessage(Message message) {
            if (message.what != 0) {
                return false;
            }
            DialDownRecordActivity.this.installDial(message.arg1);
            return false;
        }
    });
    private int maxDials = 0;
    private int currDials = 0;
    private List<DialResultBean.Data> deviceDials = new ArrayList();

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_dial);
        init();
        initData();
    }

    private void init() {
        SubObserver.getInstance().addObs(this);
        showBack();
        changeTitle(getResources().getString(R.string.dial_download_recode));
        if (NetTools.isMecare()) {
            ImmersionBar.with(this).statusBarDarkFont(true, 0.2f).navigationBarDarkIcon(true, 0.2f).init();
        } else {
            Tools.setBarColor(this, findViewById(R.id.view));
        }
        GridView gridView = (GridView) findViewById(R.id.activity_dial_gv);
        DialAdapter dialAdapter = new DialAdapter(this, this.datas);
        this.adapter = dialAdapter;
        gridView.setAdapter((ListAdapter) dialAdapter);
        this.adapter.setListener(new DialAdapter.SetDialListener() { // from class: com.zhuoting.health.setting.dial.DialDownRecordActivity.2
            @Override // com.zhuoting.health.setting.dial.adapter.DialAdapter.SetDialListener
            public void delete(int i) {
            }

            @Override // com.zhuoting.health.setting.dial.adapter.DialAdapter.SetDialListener
            public void callback(int i) {
                DialResultBean.Data data = (DialResultBean.Data) DialDownRecordActivity.this.datas.get(i);
                System.out.println("chong----------position==" + i + "--state==" + data.state);
                if (data.state == 1) {
                    DialDownRecordActivity.this.installDial(i);
                } else if (data.state != 2) {
                    if (data.state == 3) {
                        DialDownRecordActivity.this.setDial(i);
                    } else if (data.state != 4) {
                        if (data.state == 5) {
                            DialDownRecordActivity.this.pauseInstallDial(i);
                            data.state = 6;
                        } else if (data.state == 6) {
                            DialDownRecordActivity.this.installDial(i);
                            data.state = 5;
                        } else {
                            DialDownRecordActivity.this.installDial(i);
                        }
                    }
                }
                DialDownRecordActivity.this.adapter.setDataChanged(DialDownRecordActivity.this.datas);
            }

            @Override // com.zhuoting.health.setting.dial.adapter.DialAdapter.SetDialListener
            public void update(int i) {
                DialResultBean.Data data = (DialResultBean.Data) DialDownRecordActivity.this.datas.get(i);
                if (data.isUpdate) {
                    data.isUpdate = false;
                    data.state = 0;
                    DialDownRecordActivity.this.deleteDialFile(i);
                    DialDownRecordActivity.this.downDialFile(i);
                    DialDownRecordActivity.this.adapter.setDataChanged(DialDownRecordActivity.this.datas);
                }
            }
        });
        gridView.setOnItemLongClickListener(new AdapterView.OnItemLongClickListener() { // from class: com.zhuoting.health.setting.dial.DialDownRecordActivity.3
            @Override // android.widget.AdapterView.OnItemLongClickListener
            public boolean onItemLongClick(AdapterView<?> adapterView, View view, int i, long j) {
                DialDownRecordActivity.this.showMyDialog(i);
                return false;
            }
        });
        try {
            this.names = getFileName(SystemUiUtil.isExistDir("health/dial"));
        } catch (Exception e) {
            e.printStackTrace();
        }
        findViewById(R.id.dial_tv_download_record).setVisibility(8);
        this.dialBroadcastReceiver = new DialBroadcastReceiver();
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("dial_down_broadcast");
        intentFilter.addAction("action.device.type");
        registerReceiver(this.dialBroadcastReceiver, intentFilter);
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void deleteDialFile(int i) {
        try {
            DialResultBean.Data data = this.datas.get(i);
            for (String str : this.names) {
                if (str.split("_")[0].equals(data.fileName.substring(data.fileName.lastIndexOf("/") + 1).split("_")[0])) {
                    File file = new File(SystemUiUtil.isExistDir("health/dial") + "/" + str);
                    if (file.exists()) {
                        file.delete();
                    }
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void downDialFile(final int i) {
        DownloadUtil.get().download(this.datas.get(i).fileName, "health/dial", new DownloadUtil.OnDownloadListener() { // from class: com.zhuoting.health.setting.dial.DialDownRecordActivity.4
            @Override // com.zhuoting.health.tools.DownloadUtil.OnDownloadListener
            public void onDownloadSuccess() {
                DialDownRecordActivity.this.runOnUiThread(new Runnable() { // from class: com.zhuoting.health.setting.dial.DialDownRecordActivity.4.1
                    @Override // java.lang.Runnable
                    public void run() {
                        ((DialResultBean.Data) DialDownRecordActivity.this.datas.get(i)).state = 1;
                        DialDownRecordActivity.this.adapter.setDataChanged(DialDownRecordActivity.this.datas);
                        Tools.showAlert3(DialDownRecordActivity.this, DialDownRecordActivity.this.getString(R.string.down_success));
                        DialDownRecordActivity.this.sqlinster((DialResultBean.Data) DialDownRecordActivity.this.datas.get(i));
                        DialDownRecordActivity.this.installDial(i);
                    }
                });
            }

            @Override // com.zhuoting.health.tools.DownloadUtil.OnDownloadListener
            public void onDownloading(final int i2) {
                DialDownRecordActivity.this.runOnUiThread(new Runnable() { // from class: com.zhuoting.health.setting.dial.DialDownRecordActivity.4.2
                    @Override // java.lang.Runnable
                    public void run() {
                        ((DialResultBean.Data) DialDownRecordActivity.this.datas.get(i)).state = 2;
                        ((DialResultBean.Data) DialDownRecordActivity.this.datas.get(i)).progress = i2;
                        DialDownRecordActivity.this.adapter.setDataChanged(DialDownRecordActivity.this.datas);
                    }
                });
            }

            @Override // com.zhuoting.health.tools.DownloadUtil.OnDownloadListener
            public void onDownloadFailed() {
                DialDownRecordActivity.this.runOnUiThread(new Runnable() { // from class: com.zhuoting.health.setting.dial.DialDownRecordActivity.4.3
                    @Override // java.lang.Runnable
                    public void run() {
                        Tools.showAlert3(DialDownRecordActivity.this, DialDownRecordActivity.this.getString(R.string.down_failed));
                    }
                });
            }
        });
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void installDial(int i) {
        if (!BleHandler.iscon) {
            Tools.showAlert3(this, getString(R.string.please_connect_the_device));
            return;
        }
        int i2 = this.currInstallPosition;
        if (i2 >= 0 && i2 < this.datas.size() && this.datas.get(this.currInstallPosition).state == 5) {
            pauseInstallDial(this.currInstallPosition);
            Message message = new Message();
            message.what = 0;
            message.arg1 = i;
            this.handler.sendMessageDelayed(message, 1000L);
            return;
        }
        this.currInstallPosition = i;
        int i3 = this.datas.get(i).dialplateId;
        for (DialResultBean.Data data : this.deviceDials) {
            System.out.println("vvvvvv---id==" + data.dialplateId);
            if (data.dialplateId == i3) {
                this.datas.get(i).blockNumber = data.blockNumber;
            }
        }
        System.out.println("vvvvv-----" + this.datas.get(i).dialplateId + "--" + this.datas.get(i).blockNumber);
        sendBroadcast(new Intent("com.health.communication.SENDMSG").putExtra("type", 14).putExtra("name", this.datas.get(i).fileName.substring(this.datas.get(i).fileName.lastIndexOf("/") + 1)).putExtra("id", i3).putExtra("currIndex", this.datas.get(i).blockNumber));
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void pauseInstallDial(int i) {
        if (!BleHandler.iscon) {
            Tools.showAlert3(this, getString(R.string.please_connect_the_device));
        } else {
            sendBroadcast(new Intent("com.health.communication.SENDMSG").putExtra("type", 16).putExtra("id", this.datas.get(i).dialplateId));
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void setDial(int i) {
        if (!BleHandler.iscon) {
            Tools.showAlert3(this, getString(R.string.please_connect_the_device));
        } else {
            sendBroadcast(new Intent("com.health.communication.SENDMSG").putExtra("type", 17).putExtra("id", this.datas.get(i).dialplateId));
        }
    }

    public static List<String> getFileName(String str) {
        ArrayList arrayList = new ArrayList();
        try {
            File[] listFiles = new File(str).listFiles();
            if (listFiles != null && listFiles.length > 0) {
                for (File file : listFiles) {
                    if (!file.isDirectory() && file.getName().endsWith(".bin")) {
                        arrayList.add(file.getName());
                    }
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return arrayList;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void showMyDialog(final int i) {
        new MDAlertDialog.Builder(this).setHeight(0.21f).setWidth(0.7f).setTitleVisible(true).setTitleText(getString(R.string.prompt)).setTitleTextColor(R.color.black_light).setContentText(getString(R.string.dial_is_delete_downloaded)).setContentTextColor(R.color.black_light).setLeftButtonText(getString(R.string.update_version_cancle)).setLeftButtonTextColor(R.color.gray).setRightButtonText(getString(R.string.update_version_ok)).setRightButtonTextColor(R.color.black_light).setTitleTextSize(16).setContentTextSize(14).setButtonTextSize(14).setOnclickListener(new DialogInterface.OnLeftAndRightClickListener<MDAlertDialog>() { // from class: com.zhuoting.health.setting.dial.DialDownRecordActivity.5
            @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
            public void clickLeftButton(MDAlertDialog mDAlertDialog, View view) {
                mDAlertDialog.dismiss();
            }

            @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
            public void clickRightButton(MDAlertDialog mDAlertDialog, View view) {
                DialDownRecordActivity.this.deleteDialFile(i);
                mDAlertDialog.dismiss();
                DialDownRecordActivity.this.datas.remove(i);
                DialDownRecordActivity.this.adapter.setDataChanged(DialDownRecordActivity.this.datas);
            }
        }).build().show();
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void initData() {
        this.datas.clear();
        getDeviceDial();
        for (String str : this.names) {
            Cursor rawQuery = DBHelper.getInstance(MyApplication.getInstance()).rawQuery("select * from dial where fileName like ? and width = ? and height = ? and deviceType = ?", new String[]{"%" + str, "240", "240", (String) SPUtils.get(this, "deviceType", "")});
            if (rawQuery != null && !rawQuery.isClosed()) {
                if (rawQuery.moveToNext()) {
                    DialResultBean.Data data = new DialResultBean().getData();
                    data.dialplateId = rawQuery.getInt(rawQuery.getColumnIndex("dialId"));
                    data.name = rawQuery.getString(rawQuery.getColumnIndex("name"));
                    data.fileName = rawQuery.getString(rawQuery.getColumnIndex("fileName"));
                    this.datas.add(data);
                } else {
                    this.noLoadNames.add(str);
                    System.out.println("chong-----------name==" + str);
                }
                rawQuery.close();
            }
        }
        List<DialResultBean.Data> list = this.deviceDials;
        if (list != null && list.size() > 0 && this.datas.size() > 0) {
            changeState();
        }
        this.adapter.setDataChanged(this.datas);
        List<String> list2 = this.names;
        if (list2 == null || list2.size() <= 0) {
            return;
        }
        HashMap hashMap = new HashMap();
        hashMap.put(WebPicUploadResult.RESP_UPLOAD_PIC_PARAM_CODE, getString(R.string.lan));
        hashMap.put("token", SPUtils.get(this, "token", ""));
        hashMap.put(ViewHierarchyConstants.DIMENSION_WIDTH_KEY, "240");
        hashMap.put(ViewHierarchyConstants.DIMENSION_HEIGHT_KEY, "240");
        hashMap.put("deviceType", SPUtils.get(this, "deviceType", ""));
        HttpUtils.getInstance().getMsgAsynHttp(this, NetTools.DIALURL, hashMap, new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.setting.dial.DialDownRecordActivity.6
            @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
            public void onSuccess(String str2) {
                if (str2 != null) {
                    DialResultBean dialResultBean = null;
                    try {
                        dialResultBean = (DialResultBean) new Gson().fromJson(str2, DialResultBean.class);
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                    if (dialResultBean != null) {
                        try {
                            for (DialResultBean.Data data2 : dialResultBean.data) {
                                System.out.println("chong-------id==" + data2.dialplateId);
                                String substring = data2.fileName.substring(data2.fileName.lastIndexOf("/") + 1);
                                String[] split = substring.split("_");
                                Iterator it2 = DialDownRecordActivity.this.datas.iterator();
                                while (true) {
                                    if (!it2.hasNext()) {
                                        break;
                                    }
                                    DialResultBean.Data data3 = (DialResultBean.Data) it2.next();
                                    String[] split2 = data3.fileName.substring(data3.fileName.lastIndexOf("/") + 1).split("_");
                                    if (split2[0].equals(split[0])) {
                                        if (!split2[1].equals(split[1])) {
                                            data3.isUpdate = true;
                                        } else {
                                            DialDownRecordActivity.this.sqlinster(data2);
                                            data3.name = data2.name;
                                        }
                                    }
                                }
                                Iterator it3 = DialDownRecordActivity.this.noLoadNames.iterator();
                                while (true) {
                                    if (!it3.hasNext()) {
                                        break;
                                    }
                                    if (((String) it3.next()).equals(substring)) {
                                        DialDownRecordActivity.this.sqlinster(data2);
                                        DialDownRecordActivity.this.datas.add(data2);
                                        break;
                                    }
                                }
                            }
                            if (DialDownRecordActivity.this.deviceDials != null && DialDownRecordActivity.this.deviceDials.size() > 0 && DialDownRecordActivity.this.datas.size() > 0) {
                                DialDownRecordActivity.this.changeState();
                            }
                        } catch (Exception e2) {
                            e2.printStackTrace();
                        }
                    }
                    DialDownRecordActivity.this.adapter.setDataChanged(DialDownRecordActivity.this.datas);
                }
            }
        });
    }

    public void sqlinster(DialResultBean.Data data) {
        DBHelper.getInstance(null).execSQL("INSERT INTO dial (dialId,name,fileName,code) VALUES (?,?,?,?)", new Object[]{Integer.valueOf(data.dialplateId), data.name, data.fileName, getString(R.string.lan)});
    }

    private class DialBroadcastReceiver extends BroadcastReceiver {
        private DialBroadcastReceiver() {
        }

        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            if (intent == null || intent.getAction() == null) {
                return;
            }
            String action = intent.getAction();
            action.hashCode();
            if (action.equals("dial_down_broadcast")) {
                int intExtra = intent.getIntExtra("type", 1);
                int intExtra2 = intent.getIntExtra("data", 0);
                if (intExtra == 1) {
                    if (intExtra2 == 0) {
                        ((DialResultBean.Data) DialDownRecordActivity.this.datas.get(DialDownRecordActivity.this.currInstallPosition)).state = 5;
                    } else if (intExtra2 == 2) {
                        DialDownRecordActivity dialDownRecordActivity = DialDownRecordActivity.this;
                        Tools.showAlert3(dialDownRecordActivity, dialDownRecordActivity.getString(R.string.dial_is_install_max));
                    } else {
                        DialDownRecordActivity dialDownRecordActivity2 = DialDownRecordActivity.this;
                        Tools.showAlert3(dialDownRecordActivity2, dialDownRecordActivity2.getString(R.string.dial_is_install_failed));
                    }
                } else if (intExtra == 0) {
                    if (intExtra2 == 0) {
                        DialDownRecordActivity dialDownRecordActivity3 = DialDownRecordActivity.this;
                        Tools.showAlert3(dialDownRecordActivity3, dialDownRecordActivity3.getString(R.string.dial_is_install_done));
                    } else {
                        DialDownRecordActivity dialDownRecordActivity4 = DialDownRecordActivity.this;
                        Tools.showAlert3(dialDownRecordActivity4, dialDownRecordActivity4.getString(R.string.dial_is_install_failed));
                    }
                } else if (intExtra == 2) {
                    if (intExtra2 == 0) {
                        DialDownRecordActivity dialDownRecordActivity5 = DialDownRecordActivity.this;
                        Tools.showAlert3(dialDownRecordActivity5, dialDownRecordActivity5.getString(R.string.dial_cancel_install));
                    } else {
                        DialDownRecordActivity dialDownRecordActivity6 = DialDownRecordActivity.this;
                        Tools.showAlert3(dialDownRecordActivity6, dialDownRecordActivity6.getString(R.string.dial_cancel_install_failed));
                    }
                } else if (intExtra == 3) {
                    System.out.println("chong-------progress==" + intent.getIntExtra(NotificationCompat.CATEGORY_PROGRESS, 0) + "--curr==" + DialDownRecordActivity.this.currInstallPosition);
                    if (DialDownRecordActivity.this.currInstallPosition >= 0 && DialDownRecordActivity.this.currInstallPosition < DialDownRecordActivity.this.datas.size()) {
                        ((DialResultBean.Data) DialDownRecordActivity.this.datas.get(DialDownRecordActivity.this.currInstallPosition)).state = 5;
                        ((DialResultBean.Data) DialDownRecordActivity.this.datas.get(DialDownRecordActivity.this.currInstallPosition)).progress = intent.getIntExtra(NotificationCompat.CATEGORY_PROGRESS, 0);
                    }
                } else if (intExtra == 4) {
                    if (intExtra2 == 0) {
                        DialDownRecordActivity dialDownRecordActivity7 = DialDownRecordActivity.this;
                        Tools.showAlert3(dialDownRecordActivity7, dialDownRecordActivity7.getString(R.string.dial_delete_success));
                    } else {
                        DialDownRecordActivity dialDownRecordActivity8 = DialDownRecordActivity.this;
                        Tools.showAlert3(dialDownRecordActivity8, dialDownRecordActivity8.getString(R.string.dial_delete_failed));
                    }
                }
            } else if (action.equals("action.device.type")) {
                byte[] byteArrayExtra = intent.getByteArrayExtra("data");
                if (byteArrayExtra == null) {
                    return;
                }
                int length = byteArrayExtra.length - 7;
                byte[] bArr = new byte[length];
                System.arraycopy(byteArrayExtra, 4, bArr, 0, length);
                String str = new String(bArr);
                Log.e("qob", "downLoadName " + str);
                SPUtils.put(DialDownRecordActivity.this, "deviceType", str);
                DialDownRecordActivity.this.initData();
            }
            DialDownRecordActivity.this.adapter.setDataChanged(DialDownRecordActivity.this.datas);
        }
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        SubObserver.getInstance().delObs(this);
        DialBroadcastReceiver dialBroadcastReceiver = this.dialBroadcastReceiver;
        if (dialBroadcastReceiver != null) {
            unregisterReceiver(dialBroadcastReceiver);
        }
    }

    private void getDeviceDial() {
        MyBleService.getInstance().resetSend();
        MyBleService.getInstance().pushQueue(Tools.makeSend(new byte[]{9, 3, 0}));
    }

    @Override // java.util.Observer
    public void update(Observable observable, Object obj) {
        Map map = (Map) obj;
        int parseInt = Integer.parseInt(map.get("key").toString());
        System.out.println("vvvvvv---key==" + parseInt);
        if (parseInt == 1) {
            byte[] bArr = (byte[]) map.get("smsg");
            System.out.println("vvvvvv---smsg==" + Tools.logbyte(bArr));
            if (bArr == null) {
                return;
            }
            int i = 6;
            if ((bArr[0] & UByte.MAX_VALUE) == 9 && (bArr[1] & UByte.MAX_VALUE) == 3) {
                if (bArr.length < 6) {
                    return;
                }
                this.maxDials = bArr[4] & UByte.MAX_VALUE;
                this.currDials = bArr[5] & UByte.MAX_VALUE;
                this.deviceDials.clear();
                while (i < bArr.length - 5) {
                    DialResultBean.Data data = new DialResultBean().getData();
                    int i2 = i + 1;
                    int i3 = bArr[i] & UByte.MAX_VALUE;
                    int i4 = i2 + 1;
                    int i5 = i3 + ((bArr[i2] & UByte.MAX_VALUE) << 8);
                    int i6 = i4 + 1;
                    int i7 = i5 + ((bArr[i4] & UByte.MAX_VALUE) << 16);
                    int i8 = i6 + 1;
                    data.dialplateId = i7 + ((bArr[i6] & UByte.MAX_VALUE) << 24);
                    System.out.println("vvvvvv---id==" + data.dialplateId);
                    int i9 = i8 + 1;
                    int i10 = bArr[i8] & UByte.MAX_VALUE;
                    int i11 = i9 + 1;
                    data.blockNumber = i10 + ((bArr[i9] & UByte.MAX_VALUE) << 8);
                    data.isCanDelete = (bArr[i11] & UByte.MAX_VALUE) == 1;
                    this.deviceDials.add(data);
                    i = i11 + 1;
                }
                List<DialResultBean.Data> list = this.deviceDials;
                if (list != null && list.size() > 0 && this.datas.size() > 0) {
                    changeState();
                }
            } else if ((bArr[0] & UByte.MAX_VALUE) == 4 && (bArr[1] & UByte.MAX_VALUE) == 13) {
                int i12 = (bArr[4] & UByte.MAX_VALUE) + ((bArr[5] & UByte.MAX_VALUE) << 8) + ((bArr[6] & UByte.MAX_VALUE) << 16) + ((bArr[7] & UByte.MAX_VALUE) << 24);
                for (DialResultBean.Data data2 : this.datas) {
                    if (data2.state == 4) {
                        data2.state = 3;
                    }
                    if (data2.dialplateId == i12) {
                        data2.state = 4;
                    }
                }
            }
            this.adapter.setDataChanged(this.datas);
        }
    }

    /* JADX INFO: Access modifiers changed from: private */
    public void changeState() {
        for (DialResultBean.Data data : this.datas) {
            Iterator<DialResultBean.Data> it2 = this.deviceDials.iterator();
            while (true) {
                if (it2.hasNext()) {
                    DialResultBean.Data next = it2.next();
                    if (next.dialplateId == data.dialplateId) {
                        data.isCanDelete = next.isCanDelete;
                        if (next.blockNumber == 0) {
                            data.state = 3;
                        } else if (next.blockNumber == 65535) {
                            data.state = 4;
                        } else {
                            try {
                                FileInputStream fileInputStream = new FileInputStream(new File(SystemUiUtil.isExistDir("health/dial") + "/" + data.fileName.substring(data.fileName.lastIndexOf("/") + 1)));
                                byte[] bArr = new byte[1024];
                                ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                                while (true) {
                                    int read = fileInputStream.read(bArr);
                                    if (read == -1) {
                                        break;
                                    } else {
                                        byteArrayOutputStream.write(bArr, 0, read);
                                    }
                                }
                                byteArrayOutputStream.flush();
                                data.progress = (((next.blockNumber * 1024) * 4) * 100) / byteArrayOutputStream.toByteArray().length;
                            } catch (Exception e) {
                                e.printStackTrace();
                            }
                            data.state = 6;
                        }
                    }
                }
            }
        }
    }
}
