package com.zhuoting.health.setting.female_physiological_cycle;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import androidx.core.internal.view.SupportMenu;
import com.haibin.calendarview.Calendar;
import com.haibin.calendarview.MonthView;
import com.zhuoting.healthd.R;

/* loaded from: classes2.dex */
public class PeriodMonthView extends MonthView {
    private int mH;
    private int mPadding;
    private Paint mPointPaint;
    private float mPointRadius;
    private int mW;

    @Override // com.haibin.calendarview.MonthView
    protected boolean onDrawSelected(Canvas canvas, Calendar calendar, int i, int i2, boolean z) {
        return true;
    }

    public PeriodMonthView(Context context) {
        super(context);
        this.mPointPaint = new Paint();
        this.mPadding = dipToPx(getContext(), 4.0f);
        this.mH = dipToPx(getContext(), 2.0f);
        this.mW = dipToPx(getContext(), 8.0f);
        this.mPointPaint.setAntiAlias(true);
        this.mPointPaint.setStyle(Paint.Style.FILL);
        this.mPointPaint.setTextAlign(Paint.Align.CENTER);
        this.mPointPaint.setColor(SupportMenu.CATEGORY_MASK);
        this.mPointRadius = dipToPx(context, 2.0f);
    }

    @Override // com.haibin.calendarview.MonthView
    protected void onDrawScheme(Canvas canvas, Calendar calendar, int i, int i2) {
        if (PhysiologicalType.MENSTRUATION.equals(calendar.getScheme())) {
            int i3 = this.mPadding;
            canvas.drawRect(i + i3, i3 + i2, (i + this.mItemWidth) - this.mPadding, (i2 + this.mItemHeight) - this.mPadding, this.mSchemePaint);
        } else if (PhysiologicalType.OVULATION.equals(calendar.getScheme())) {
            this.mPointPaint.setColor(-1781765);
            canvas.drawRect(((this.mItemWidth / 2) + i) - (this.mW / 2), ((this.mItemHeight + i2) - (this.mH * 2)) - this.mPadding, i + (this.mItemWidth / 2) + (this.mW / 2), ((i2 + this.mItemHeight) - this.mH) - this.mPadding, this.mPointPaint);
        }
    }

    /* JADX WARN: Can't fix incorrect switch cases order, some code will duplicate */
    @Override // com.haibin.calendarview.MonthView
    protected void onDrawText(Canvas canvas, Calendar calendar, int i, int i2, boolean z, boolean z2) {
        char c;
        Paint paint;
        int i3 = i + (this.mItemWidth / 2);
        int i4 = this.mItemHeight / 2;
        int i5 = i2 - (this.mItemHeight / 6);
        String scheme = calendar.getScheme();
        scheme.hashCode();
        switch (scheme.hashCode()) {
            case -1257574611:
                if (scheme.equals(PhysiologicalType.PREGNANCY)) {
                    c = 0;
                    break;
                }
                c = 65535;
                break;
            case 82664443:
                if (scheme.equals(PhysiologicalType.MENSTRUATION)) {
                    c = 1;
                    break;
                }
                c = 65535;
                break;
            case 378045175:
                if (scheme.equals(PhysiologicalType.OVULATION)) {
                    c = 2;
                    break;
                }
                c = 65535;
                break;
            case 949122880:
                if (scheme.equals(PhysiologicalType.SECURITY)) {
                    c = 3;
                    break;
                }
                c = 65535;
                break;
            default:
                c = 65535;
                break;
        }
        switch (c) {
            case 0:
            case 2:
                this.mCurMonthTextPaint.setColor(-1786888);
                this.mCurMonthLunarTextPaint.setColor(-1786888);
                this.mSchemeTextPaint.setColor(-1786888);
                this.mSchemeLunarTextPaint.setColor(-1786888);
                this.mOtherMonthTextPaint.setColor(-1786888);
                this.mOtherMonthLunarTextPaint.setColor(-1786888);
                break;
            case 1:
                this.mSchemeTextPaint.setColor(-1);
                this.mSchemeLunarTextPaint.setColor(-1);
                this.mCurMonthTextPaint.setColor(-1);
                this.mCurMonthLunarTextPaint.setColor(-1);
                this.mOtherMonthTextPaint.setColor(-1);
                this.mOtherMonthLunarTextPaint.setColor(-1);
                break;
            case 3:
                this.mCurMonthTextPaint.setColor(-7546500);
                this.mCurMonthLunarTextPaint.setColor(-7546500);
                this.mSchemeTextPaint.setColor(-7546500);
                this.mSchemeLunarTextPaint.setColor(-7546500);
                this.mOtherMonthTextPaint.setColor(-7546500);
                this.mOtherMonthLunarTextPaint.setColor(-7546500);
                break;
            default:
                this.mCurMonthTextPaint.setColor(-16777216);
                this.mCurMonthLunarTextPaint.setColor(-5460820);
                this.mSchemeTextPaint.setColor(-16777216);
                this.mSchemeLunarTextPaint.setColor(-5460820);
                this.mOtherMonthTextPaint.setColor(-16777216);
                this.mOtherMonthLunarTextPaint.setColor(-5460820);
                break;
        }
        if (!"cn".equals(getContext().getString(R.string.lan))) {
            if (z) {
                canvas.drawText(String.valueOf(calendar.getDay()), i3, this.mTextBaseLine + (((i5 + i2) + (this.mItemHeight / 10)) / 2), calendar.isCurrentMonth() ? this.mSchemeTextPaint : this.mOtherMonthTextPaint);
                return;
            } else {
                canvas.drawText(String.valueOf(calendar.getDay()), i3, this.mTextBaseLine + (((i5 + i2) + (this.mItemHeight / 10)) / 2), calendar.isCurrentDay() ? this.mCurDayTextPaint : calendar.isCurrentMonth() ? this.mCurMonthTextPaint : this.mOtherMonthTextPaint);
                return;
            }
        }
        if (z) {
            float f = i3;
            canvas.drawText(String.valueOf(calendar.getDay()), f, this.mTextBaseLine + i5, calendar.isCurrentMonth() ? this.mSchemeTextPaint : this.mOtherMonthTextPaint);
            canvas.drawText(calendar.isCurrentDay() ? "今天" : calendar.getLunar(), f, this.mTextBaseLine + i2 + (this.mItemHeight / 10), this.mSchemeLunarTextPaint);
            return;
        }
        float f2 = i3;
        canvas.drawText(String.valueOf(calendar.getDay()), f2, this.mTextBaseLine + i5, calendar.isCurrentDay() ? this.mCurDayTextPaint : calendar.isCurrentMonth() ? this.mCurMonthTextPaint : this.mOtherMonthTextPaint);
        String lunar = calendar.isCurrentDay() ? "今天" : calendar.getLunar();
        float f3 = this.mTextBaseLine + i2 + (this.mItemHeight / 10);
        if (calendar.isCurrentDay()) {
            paint = this.mCurDayLunarTextPaint;
        } else {
            paint = calendar.isCurrentMonth() ? this.mCurMonthLunarTextPaint : this.mOtherMonthLunarTextPaint;
        }
        canvas.drawText(lunar, f2, f3, paint);
    }

    private static int dipToPx(Context context, float f) {
        return (int) ((f * context.getResources().getDisplayMetrics().density) + 0.5f);
    }
}
