package com.zhuoting.health.sport;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import com.amap.api.location.AMapLocation;
import com.amap.api.location.AMapLocationListener;
import com.amap.api.maps.LocationSource;
import com.amap.api.maps.model.LatLng;
import com.autonavi.amap.mapcore.AMapEngineUtils;
import com.google.android.gms.common.GooglePlayServicesUtil;
import com.gyf.immersionbar.ImmersionBar;
import com.tencent.connect.common.Constants;
import com.wevey.selector.dialog.DialogInterface;
import com.wevey.selector.dialog.MDAlertDialog;
import com.zhuoting.health.BaseActivity;
import com.zhuoting.health.model.RunInfo;
import com.zhuoting.health.observer.SubObserver;
import com.zhuoting.health.product.ProductUtil;
import com.zhuoting.health.service.RunService;
import com.zhuoting.health.tools.BleHandler;
import com.zhuoting.health.tools.CircularAnimUtil;
import com.zhuoting.health.tools.LocationUtils;
import com.zhuoting.health.tools.SPUtils;
import com.zhuoting.health.tools.ToastUtil;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.view.chart.utils.Utils;
import com.zhuoting.healthd.R;
import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Observable;
import java.util.Observer;
import kotlin.UByte;

/* loaded from: classes2.dex */
public class RunningStudyActivity extends BaseActivity implements LocationSource, AMapLocationListener, Observer, SensorEventListener {
    private ImageView img_map;
    private LatLng lastPoint;
    private LocationSource.OnLocationChangedListener mListener;
    private Sensor mSensor;
    private SensorManager mSensorManager;
    double m_Latitude;
    double m_Longitude;
    private int over44;
    private Button runBtn;
    RunInfo runInfo;
    private int sportType;
    private TextView tv_distance;
    private TextView tv_heart;
    private TextView tv_runtime;
    private Intent intentSend = new Intent("com.health.RunService.Send");
    private boolean isRun = false;
    int m_loc_inited = 0;
    List<LatLng> plist = new ArrayList();
    double[] Acc_Data = new double[100];
    int Acc_Data_index = 0;
    Boolean UpdataLocationEnable = false;
    private Handler handler = new Handler(new Handler.Callback() { // from class: com.zhuoting.health.sport.RunningStudyActivity.1
        AnonymousClass1() {
        }

        @Override // android.os.Handler.Callback
        public boolean handleMessage(Message message) {
            if (message.what == 1) {
                RunningStudyActivity.this.isRun = false;
                RunningStudyActivity.this.runBtn.setText(RunningStudyActivity.this.getString(R.string.start));
            }
            return false;
        }
    });
    BroadcastReceiver receiver = new BroadcastReceiver() { // from class: com.zhuoting.health.sport.RunningStudyActivity.2
        AnonymousClass2() {
        }

        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            byte[] byteArrayExtra;
            if ("heart.intent.action".equals(intent.getAction()) && (byteArrayExtra = intent.getByteArrayExtra("smsg")) != null && byteArrayExtra[0] == 6 && byteArrayExtra[1] == 1) {
                int i = byteArrayExtra[4] & UByte.MAX_VALUE;
                if (RunningStudyActivity.this.runInfo.heartTimes == 0) {
                    RunningStudyActivity.this.runInfo.heartTimes = i;
                } else {
                    RunningStudyActivity.this.runInfo.heartTimes = (RunningStudyActivity.this.runInfo.heartTimes + i) / 2;
                }
                RunningStudyActivity.this.tv_heart.setText(i + "");
            }
        }
    };
    BroadcastReceiver broadcastReceiver = new BroadcastReceiver() { // from class: com.zhuoting.health.sport.RunningStudyActivity.5
        AnonymousClass5() {
        }

        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            if (intent == null) {
                return;
            }
            if ("sports.close".equals(intent.getAction())) {
                RunningStudyActivity.this.stopRun();
                return;
            }
            int intExtra = intent.getIntExtra("type", 0);
            if (intExtra == 1) {
                double doubleExtra = intent.getDoubleExtra("pointx", Utils.DOUBLE_EPSILON);
                double doubleExtra2 = intent.getDoubleExtra("pointy", Utils.DOUBLE_EPSILON);
                float floatExtra = intent.getFloatExtra("accuracy", 0.0f);
                RunningStudyActivity.this.m_Latitude = doubleExtra;
                RunningStudyActivity.this.m_Longitude = doubleExtra2;
                if (floatExtra < 300.0f) {
                    RunningStudyActivity.this.addPoint(new LatLng(doubleExtra, doubleExtra2));
                    return;
                }
                return;
            }
            if (intExtra == 2) {
                try {
                    if (ProductUtil.isHasRealExerciseData(RunningStudyActivity.this)) {
                        RunningStudyActivity.this.runInfo.runTime = Integer.parseInt(Tools.readString("sportsrecordTime", RunningStudyActivity.this, "0"));
                        RunningStudyActivity.this.runInfo.heartTimes = Integer.parseInt(Tools.readString("sportsHeart", RunningStudyActivity.this, "0"));
                        RunningStudyActivity.this.tv_heart.setText(RunningStudyActivity.this.runInfo.heartTimes + "");
                    } else {
                        RunningStudyActivity.this.runInfo.runTime++;
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
                RunningStudyActivity.this.makeTime();
            }
        }
    };

    @Override // android.hardware.SensorEventListener
    public void onAccuracyChanged(Sensor sensor, int i) {
    }

    /* renamed from: com.zhuoting.health.sport.RunningStudyActivity$1 */
    class AnonymousClass1 implements Handler.Callback {
        AnonymousClass1() {
        }

        @Override // android.os.Handler.Callback
        public boolean handleMessage(Message message) {
            if (message.what == 1) {
                RunningStudyActivity.this.isRun = false;
                RunningStudyActivity.this.runBtn.setText(RunningStudyActivity.this.getString(R.string.start));
            }
            return false;
        }
    }

    @Override // java.util.Observer
    public void update(Observable observable, Object obj) {
        Map map = (Map) obj;
        int parseInt = Integer.parseInt(map.get("key").toString());
        if (parseInt != 1) {
            if (parseInt == 103 || parseInt == 105) {
                System.out.println("chong-------------103");
                if (BleHandler.iscon || !this.isRun) {
                    return;
                }
                stopRun();
                return;
            }
            return;
        }
        byte[] bArr = (byte[]) map.get("smsg");
        if (bArr == null || bArr.length < 6) {
            return;
        }
        if (bArr[0] == 6 && bArr[1] == 1) {
            int i = bArr[4] & UByte.MAX_VALUE;
            if (this.runInfo.heartTimes == 0) {
                this.runInfo.heartTimes = i;
            } else {
                RunInfo runInfo = this.runInfo;
                runInfo.heartTimes = (runInfo.heartTimes + i) / 2;
            }
            this.tv_heart.setText(i + "");
            return;
        }
        if (bArr[0] == 3 && bArr[1] == 12 && this.isRun) {
            if (bArr[4] == 0) {
                this.handler.removeMessages(1);
                this.intentSend.putExtra("run", 1);
                sendBroadcast(this.intentSend);
                System.out.println("chong----------isHasRealExerciseData==" + ProductUtil.isHasRealExerciseData(this));
                if (!ProductUtil.isHasRealExerciseData(this)) {
                    openHeard();
                    return;
                }
                Tools.saveString("sportsHeart", "0", this);
                Tools.saveString("sportsRealSteps", "0", this);
                Tools.saveString("sportsRealCalories", "0", this);
                Tools.saveString("sportsRealDistance", "0", this);
                Tools.saveString("sportsrecordTime", "0", this);
                return;
            }
            if (bArr[4] == 1) {
                ToastUtil.getInstance(this).getToast(getString(R.string.clock_type_not_supported));
            }
        }
    }

    /* renamed from: com.zhuoting.health.sport.RunningStudyActivity$2 */
    class AnonymousClass2 extends BroadcastReceiver {
        AnonymousClass2() {
        }

        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            byte[] byteArrayExtra;
            if ("heart.intent.action".equals(intent.getAction()) && (byteArrayExtra = intent.getByteArrayExtra("smsg")) != null && byteArrayExtra[0] == 6 && byteArrayExtra[1] == 1) {
                int i = byteArrayExtra[4] & UByte.MAX_VALUE;
                if (RunningStudyActivity.this.runInfo.heartTimes == 0) {
                    RunningStudyActivity.this.runInfo.heartTimes = i;
                } else {
                    RunningStudyActivity.this.runInfo.heartTimes = (RunningStudyActivity.this.runInfo.heartTimes + i) / 2;
                }
                RunningStudyActivity.this.tv_heart.setText(i + "");
            }
        }
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, androidx.activity.ComponentActivity, androidx.core.app.ComponentActivity, android.app.Activity
    protected void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        setContentView(R.layout.activity_running_study);
        SubObserver.getInstance().addObs(this);
        SensorManager sensorManager = (SensorManager) getSystemService("sensor");
        this.mSensorManager = sensorManager;
        Sensor defaultSensor = sensorManager.getDefaultSensor(1);
        this.mSensor = defaultSensor;
        this.mSensorManager.registerListener(this, defaultSensor, 1);
        Intent intent = getIntent();
        this.sportType = intent.getIntExtra("sportType", 0);
        changeTitle(intent.getStringExtra("type_name") == null ? "" : intent.getStringExtra("type_name"));
        RunInfo runInfo = new RunInfo();
        this.runInfo = runInfo;
        runInfo.type = this.sportType;
        this.over44 = Tools.readInt("over44", this, 1);
        this.bar.setBackgroundColor1("#223752");
        this.bar.setTitleColor(getResources().getColor(R.color.white));
        this.bar.setLeftBtnImage(R.drawable.backbtn);
        showBack();
        ImmersionBar.with(this).init();
        initViews();
        Intent intent2 = new Intent(this, (Class<?>) RunService.class);
        intent2.addFlags(AMapEngineUtils.MAX_P20_WIDTH);
        startService(intent2);
        runRev();
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("heart.intent.action");
        registerReceiver(this.receiver, intentFilter);
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onResume() {
        super.onResume();
    }

    private void initViews() {
        this.runBtn = (Button) findViewById(R.id.runBtn);
        this.img_map = (ImageView) findViewById(R.id.img_map);
        this.tv_heart = (TextView) findViewById(R.id.tv_heart);
        this.tv_distance = (TextView) findViewById(R.id.tv_distance);
        this.tv_runtime = (TextView) findViewById(R.id.tv_runtime);
        this.runBtn.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.sport.RunningStudyActivity.3
            AnonymousClass3() {
            }

            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                if (Tools.checkPermiss(RunningStudyActivity.this)) {
                    if (!RunningStudyActivity.this.isRun) {
                        RunningStudyActivity.this.startRun();
                    } else {
                        RunningStudyActivity.this.showDialog();
                    }
                }
            }
        });
        this.img_map.setOnClickListener(new View.OnClickListener() { // from class: com.zhuoting.health.sport.RunningStudyActivity.4
            AnonymousClass4() {
            }

            @Override // android.view.View.OnClickListener
            public void onClick(View view) {
                if (Tools.checkPermiss(RunningStudyActivity.this)) {
                    int isGooglePlayServicesAvailable = GooglePlayServicesUtil.isGooglePlayServicesAvailable(RunningStudyActivity.this);
                    String str = (String) SPUtils.get(RunningStudyActivity.this, "country", "");
                    if (((str == null || "".equals(str)) && !RunningStudyActivity.this.getString(R.string.lan).equals("cn") && GooglePlayServicesUtil.isGooglePlayServicesAvailable(RunningStudyActivity.this) == 0 && isGooglePlayServicesAvailable != 0) || (str != null && !"".equals(str) && !"中国".equals(str) && !"中國".equals(str) && !str.toLowerCase().contains("china"))) {
                        Intent intent = new Intent(RunningStudyActivity.this, (Class<?>) RunGoogleActivity.class);
                        intent.putExtra("runInfo", RunningStudyActivity.this.runInfo);
                        intent.putExtra(Constants.FROM, 1);
                        intent.putParcelableArrayListExtra("plist", (ArrayList) RunningStudyActivity.this.plist);
                        RunningStudyActivity runningStudyActivity = RunningStudyActivity.this;
                        CircularAnimUtil.startActivity(runningStudyActivity, intent, runningStudyActivity.img_map, R.color.white);
                        return;
                    }
                    Intent intent2 = new Intent(RunningStudyActivity.this, (Class<?>) RunActivity.class);
                    intent2.putExtra("runInfo", RunningStudyActivity.this.runInfo);
                    intent2.putExtra(Constants.FROM, 1);
                    intent2.putParcelableArrayListExtra("plist", (ArrayList) RunningStudyActivity.this.plist);
                    RunningStudyActivity runningStudyActivity2 = RunningStudyActivity.this;
                    CircularAnimUtil.startActivity(runningStudyActivity2, intent2, runningStudyActivity2.img_map, R.color.white);
                }
            }
        });
    }

    /* renamed from: com.zhuoting.health.sport.RunningStudyActivity$3 */
    class AnonymousClass3 implements View.OnClickListener {
        AnonymousClass3() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            if (Tools.checkPermiss(RunningStudyActivity.this)) {
                if (!RunningStudyActivity.this.isRun) {
                    RunningStudyActivity.this.startRun();
                } else {
                    RunningStudyActivity.this.showDialog();
                }
            }
        }
    }

    /* renamed from: com.zhuoting.health.sport.RunningStudyActivity$4 */
    class AnonymousClass4 implements View.OnClickListener {
        AnonymousClass4() {
        }

        @Override // android.view.View.OnClickListener
        public void onClick(View view) {
            if (Tools.checkPermiss(RunningStudyActivity.this)) {
                int isGooglePlayServicesAvailable = GooglePlayServicesUtil.isGooglePlayServicesAvailable(RunningStudyActivity.this);
                String str = (String) SPUtils.get(RunningStudyActivity.this, "country", "");
                if (((str == null || "".equals(str)) && !RunningStudyActivity.this.getString(R.string.lan).equals("cn") && GooglePlayServicesUtil.isGooglePlayServicesAvailable(RunningStudyActivity.this) == 0 && isGooglePlayServicesAvailable != 0) || (str != null && !"".equals(str) && !"中国".equals(str) && !"中國".equals(str) && !str.toLowerCase().contains("china"))) {
                    Intent intent = new Intent(RunningStudyActivity.this, (Class<?>) RunGoogleActivity.class);
                    intent.putExtra("runInfo", RunningStudyActivity.this.runInfo);
                    intent.putExtra(Constants.FROM, 1);
                    intent.putParcelableArrayListExtra("plist", (ArrayList) RunningStudyActivity.this.plist);
                    RunningStudyActivity runningStudyActivity = RunningStudyActivity.this;
                    CircularAnimUtil.startActivity(runningStudyActivity, intent, runningStudyActivity.img_map, R.color.white);
                    return;
                }
                Intent intent2 = new Intent(RunningStudyActivity.this, (Class<?>) RunActivity.class);
                intent2.putExtra("runInfo", RunningStudyActivity.this.runInfo);
                intent2.putExtra(Constants.FROM, 1);
                intent2.putParcelableArrayListExtra("plist", (ArrayList) RunningStudyActivity.this.plist);
                RunningStudyActivity runningStudyActivity2 = RunningStudyActivity.this;
                CircularAnimUtil.startActivity(runningStudyActivity2, intent2, runningStudyActivity2.img_map, R.color.white);
            }
        }
    }

    public void startRun() {
        this.isRun = true;
        this.runBtn.setText(getString(R.string.end));
        this.handler.removeMessages(1);
        this.handler.sendEmptyMessageDelayed(1, 2000L);
        openALL();
    }

    public void stopRun() {
        this.isRun = false;
        this.runBtn.setText(getString(R.string.start));
        this.intentSend.putExtra("run", 2);
        sendBroadcast(this.intentSend);
        closeALL();
        if (this.runInfo.runTime >= 20) {
            saveAction();
        }
        finish();
    }

    public void saveAction() {
        Tools.addRun(this.runInfo, this._context);
        Tools.addRunMsg(this.plist, this.runInfo.listUuid, this._context);
    }

    public void runRev() {
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("com.health.RunService.Rev");
        intentFilter.addAction("sports.close");
        registerReceiver(this.broadcastReceiver, intentFilter);
    }

    /* renamed from: com.zhuoting.health.sport.RunningStudyActivity$5 */
    class AnonymousClass5 extends BroadcastReceiver {
        AnonymousClass5() {
        }

        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            if (intent == null) {
                return;
            }
            if ("sports.close".equals(intent.getAction())) {
                RunningStudyActivity.this.stopRun();
                return;
            }
            int intExtra = intent.getIntExtra("type", 0);
            if (intExtra == 1) {
                double doubleExtra = intent.getDoubleExtra("pointx", Utils.DOUBLE_EPSILON);
                double doubleExtra2 = intent.getDoubleExtra("pointy", Utils.DOUBLE_EPSILON);
                float floatExtra = intent.getFloatExtra("accuracy", 0.0f);
                RunningStudyActivity.this.m_Latitude = doubleExtra;
                RunningStudyActivity.this.m_Longitude = doubleExtra2;
                if (floatExtra < 300.0f) {
                    RunningStudyActivity.this.addPoint(new LatLng(doubleExtra, doubleExtra2));
                    return;
                }
                return;
            }
            if (intExtra == 2) {
                try {
                    if (ProductUtil.isHasRealExerciseData(RunningStudyActivity.this)) {
                        RunningStudyActivity.this.runInfo.runTime = Integer.parseInt(Tools.readString("sportsrecordTime", RunningStudyActivity.this, "0"));
                        RunningStudyActivity.this.runInfo.heartTimes = Integer.parseInt(Tools.readString("sportsHeart", RunningStudyActivity.this, "0"));
                        RunningStudyActivity.this.tv_heart.setText(RunningStudyActivity.this.runInfo.heartTimes + "");
                    } else {
                        RunningStudyActivity.this.runInfo.runTime++;
                    }
                } catch (Exception e) {
                    e.printStackTrace();
                }
                RunningStudyActivity.this.makeTime();
            }
        }
    }

    @Override // androidx.activity.ComponentActivity, android.app.Activity
    public void onBackPressed() {
        finish();
        overridePendingTransition(android.R.anim.fade_in, android.R.anim.fade_out);
    }

    public void openALL() {
        int i;
        if (this.over44 == 1 && (i = this.sportType) != -1) {
            BleHandler.getInstance(getApplication()).sendMsg(Tools.makeSend(new byte[]{3, 12, 1, (byte) i}));
        } else {
            BleHandler.getInstance(getApplication()).sendMsg(Tools.makeSend(new byte[]{3, 1, 2}));
        }
    }

    public void closeALL() {
        int i;
        if (this.over44 == 1 && (i = this.sportType) != -1) {
            BleHandler.getInstance(getApplication()).sendMsg(Tools.makeSend(new byte[]{3, 12, 0, (byte) i}));
        } else {
            BleHandler.getInstance(getApplication()).sendMsg(Tools.makeSend(new byte[]{3, 1, 0}));
        }
    }

    public void openHeard() {
        BleHandler.getInstance(getApplication()).sendMsg(Tools.makeSend(new byte[]{3, 9, 1, 1, 2}));
    }

    @Override // com.zhuoting.health.BaseActivity, androidx.appcompat.app.AppCompatActivity, androidx.fragment.app.FragmentActivity, android.app.Activity
    protected void onDestroy() {
        super.onDestroy();
        SubObserver.getInstance().delObs(this);
        BroadcastReceiver broadcastReceiver = this.broadcastReceiver;
        if (broadcastReceiver != null) {
            unregisterReceiver(broadcastReceiver);
        }
        BroadcastReceiver broadcastReceiver2 = this.receiver;
        if (broadcastReceiver2 != null) {
            unregisterReceiver(broadcastReceiver2);
        }
        this.mSensorManager.unregisterListener(this);
    }

    @Override // com.amap.api.location.AMapLocationListener
    public void onLocationChanged(AMapLocation aMapLocation) {
        if (aMapLocation != null) {
            if (aMapLocation != null && aMapLocation.getErrorCode() == 0) {
                if (this.m_loc_inited == 0) {
                    this.m_Latitude = aMapLocation.getLatitude();
                    this.m_Longitude = aMapLocation.getLongitude();
                    this.m_loc_inited = 1;
                } else {
                    aMapLocation.getLatitude();
                    aMapLocation.getLongitude();
                    aMapLocation.setLatitude(this.m_Latitude);
                    aMapLocation.setLongitude(this.m_Longitude);
                }
                Log.e("AmapErr222", this.m_Latitude + "---" + this.m_Longitude);
                return;
            }
            Log.e("AmapErr", "定位失败," + aMapLocation.getErrorCode() + ": " + aMapLocation.getErrorInfo());
        }
    }

    @Override // com.amap.api.maps.LocationSource
    public void activate(LocationSource.OnLocationChangedListener onLocationChangedListener) {
        this.mListener = onLocationChangedListener;
    }

    @Override // com.amap.api.maps.LocationSource
    public void deactivate() {
        this.mListener = null;
    }

    public void addPoint(LatLng latLng) {
        if (latLng.latitude == Utils.DOUBLE_EPSILON && latLng.longitude == Utils.DOUBLE_EPSILON) {
            return;
        }
        LatLng latLng2 = this.lastPoint;
        if (latLng2 == null) {
            this.lastPoint = new LatLng(latLng.latitude, latLng.longitude);
        } else if (latLng2.latitude != latLng.latitude || this.lastPoint.longitude != latLng.longitude) {
            this.plist.add(latLng);
        }
        try {
            if (ProductUtil.isHasRealExerciseData(this)) {
                this.runInfo.desSize = (float) Double.parseDouble(Tools.readString("sportsRealDistance", this, "0"));
                this.runInfo.kcal = (float) Double.parseDouble(Tools.readString("sportsRealCalories", this, "0"));
            } else {
                this.runInfo.desSize += ((float) LocationUtils.getDistance(latLng.latitude, latLng.longitude, this.lastPoint.latitude, this.lastPoint.longitude)) / 1000.0f;
                RunInfo runInfo = this.runInfo;
                runInfo.kcal = (runInfo.desSize * 60.0f) / 1.036f;
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        DecimalFormat decimalFormat = new DecimalFormat("0.00");
        if (Tools.readUnit(1, this) == 1) {
            this.tv_distance.setText(decimalFormat.format(this.runInfo.desSize / 1.609344f) + "");
        } else {
            this.tv_distance.setText(decimalFormat.format(this.runInfo.desSize) + "");
        }
        this.lastPoint = new LatLng(latLng.latitude, latLng.longitude);
    }

    public void makeTime() {
        String str;
        String str2;
        String str3;
        int i = this.runInfo.runTime % 60;
        int i2 = ((this.runInfo.runTime - i) / 60) % 60;
        int i3 = ((this.runInfo.runTime - i) - (i2 * 60)) / 3600;
        if (i < 10) {
            str = ":0" + i;
        } else {
            str = ":" + i;
        }
        if (i2 < 10) {
            str2 = ":0" + i2 + str;
        } else {
            str2 = ":" + i2 + str;
        }
        if (i3 < 10) {
            str3 = "0" + i3 + str2;
        } else {
            str3 = i3 + str2;
        }
        this.tv_runtime.setText(str3);
    }

    @Override // android.hardware.SensorEventListener
    public void onSensorChanged(SensorEvent sensorEvent) {
        float[] fArr = sensorEvent.values;
        double sqrt = Math.sqrt((fArr[0] * fArr[0]) + (fArr[1] * fArr[1] * fArr[2] * fArr[2]));
        double[] dArr = this.Acc_Data;
        int i = this.Acc_Data_index;
        dArr[i % 100] = sqrt;
        int i2 = i + 1;
        this.Acc_Data_index = i2;
        if (i2 > 100) {
            if (Math.abs(sqrt - dArr[(i2 + 1) % 100]) > 0.20000000298023224d) {
                this.UpdataLocationEnable = true;
            } else {
                this.UpdataLocationEnable = false;
            }
        }
    }

    @Override // com.zhuoting.health.BaseActivity
    public void backAction() {
        if (this.isRun) {
            showDialog();
        } else {
            finish();
        }
    }

    @Override // androidx.appcompat.app.AppCompatActivity, android.app.Activity, android.view.KeyEvent.Callback
    public boolean onKeyDown(int i, KeyEvent keyEvent) {
        if (i != 4) {
            return false;
        }
        backAction();
        return false;
    }

    public void showDialog() {
        MDAlertDialog build = new MDAlertDialog.Builder(this).setHeight(0.21f).setWidth(0.7f).setTitleVisible(true).setTitleText(getString(R.string.prompt)).setTitleTextColor(R.color.black_light).setContentText(getString(this.runInfo.runTime < 20 ? R.string.dialog_run_test_too_short : R.string.is_stop)).setContentTextColor(R.color.black_light).setLeftButtonText(getString(R.string.cancel)).setLeftButtonTextColor(R.color.gray).setRightButtonText(getString(R.string.stop)).setRightButtonTextColor(R.color.black_light).setTitleTextSize(16).setContentTextSize(14).setButtonTextSize(14).setOnclickListener(new DialogInterface.OnLeftAndRightClickListener<MDAlertDialog>() { // from class: com.zhuoting.health.sport.RunningStudyActivity.6
            AnonymousClass6() {
            }

            @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
            public void clickLeftButton(MDAlertDialog mDAlertDialog, View view) {
                mDAlertDialog.dismiss();
            }

            @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
            public void clickRightButton(MDAlertDialog mDAlertDialog, View view) {
                RunningStudyActivity.this.stopRun();
                mDAlertDialog.dismiss();
            }
        }).build();
        if (isFinishing()) {
            return;
        }
        build.show();
    }

    /* renamed from: com.zhuoting.health.sport.RunningStudyActivity$6 */
    class AnonymousClass6 implements DialogInterface.OnLeftAndRightClickListener<MDAlertDialog> {
        AnonymousClass6() {
        }

        @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
        public void clickLeftButton(MDAlertDialog mDAlertDialog, View view) {
            mDAlertDialog.dismiss();
        }

        @Override // com.wevey.selector.dialog.DialogInterface.OnLeftAndRightClickListener
        public void clickRightButton(MDAlertDialog mDAlertDialog, View view) {
            RunningStudyActivity.this.stopRun();
            mDAlertDialog.dismiss();
        }
    }
}
