package com.zhuoting.health.sport;

import android.app.Notification;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.app.Service;
import android.content.Intent;
import android.graphics.BitmapFactory;
import android.media.projection.MediaProjection;
import android.media.projection.MediaProjectionManager;
import android.os.Binder;
import android.os.Build;
import android.os.IBinder;
import com.sina.weibo.sdk.web.WebPicUploadResult;
import com.zhuoting.health.MainActivity;
import com.zhuoting.healthd.R;
import java.util.Objects;

/* loaded from: classes2.dex */
public class ScreenRecorder extends Service {
    private MediaProjection mMediaProjection;
    private MediaProjectionManager mMediaProjectionManager;

    @Override // android.app.Service
    public void onCreate() {
        super.onCreate();
        this.mMediaProjectionManager = (MediaProjectionManager) getSystemService("media_projection");
    }

    @Override // android.app.Service
    public int onStartCommand(Intent intent, int i, int i2) {
        createNotificationChannel();
        MediaProjectionManager mediaProjectionManager = this.mMediaProjectionManager;
        int intExtra = intent.getIntExtra(WebPicUploadResult.RESP_UPLOAD_PIC_PARAM_CODE, -1);
        Intent intent2 = (Intent) intent.getParcelableExtra("data");
        Objects.requireNonNull(intent2);
        this.mMediaProjection = mediaProjectionManager.getMediaProjection(intExtra, intent2);
        return super.onStartCommand(intent, i, i2);
    }

    @Override // android.app.Service
    public IBinder onBind(Intent intent) {
        createNotificationChannel();
        MediaProjectionManager mediaProjectionManager = this.mMediaProjectionManager;
        int intExtra = intent.getIntExtra(WebPicUploadResult.RESP_UPLOAD_PIC_PARAM_CODE, -1);
        Intent intent2 = (Intent) intent.getParcelableExtra("data");
        Objects.requireNonNull(intent2);
        this.mMediaProjection = mediaProjectionManager.getMediaProjection(intExtra, intent2);
        return new MyBinder();
    }

    public class MyBinder extends Binder {
        public MyBinder() {
        }

        public MediaProjection getMediaProjection() {
            return ScreenRecorder.this.mMediaProjection;
        }
    }

    private void createNotificationChannel() {
        Notification.Builder builder = new Notification.Builder(getApplicationContext());
        builder.setContentIntent(PendingIntent.getActivity(this, 0, new Intent(this, (Class<?>) MainActivity.class), 67108864)).setLargeIcon(BitmapFactory.decodeResource(getResources(), R.mipmap.ic_launcher)).setSmallIcon(R.mipmap.ic_launcher).setContentText("is running......").setWhen(System.currentTimeMillis());
        if (Build.VERSION.SDK_INT >= 26) {
            builder.setChannelId("notification_id");
        }
        if (Build.VERSION.SDK_INT >= 26) {
            ((NotificationManager) getSystemService("notification")).createNotificationChannel(new NotificationChannel("notification_id", "notification_name", 2));
        }
        Notification build = builder.build();
        build.defaults = 1;
        startForeground(110, build);
    }
}
