package com.zhuoting.health.tools;

import android.content.Context;
import android.database.Cursor;
import android.util.Log;
import com.facebook.gamingservices.cloudgaming.internal.SDKConstants;
import com.google.gson.Gson;
import com.google.gson.JsonArray;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.zhuoting.health.HealthApplication;
import com.zhuoting.health.MyApplication;
import com.zhuoting.health.model.BloodInfo;
import com.zhuoting.health.model.HeartInfo;
import com.zhuoting.health.model.SleepInfo;
import com.zhuoting.health.model.SleepMegInfo;
import com.zhuoting.health.model.Spo2Info;
import com.zhuoting.health.model.SportInfo;
import com.zhuoting.health.tools.HttpUtils;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/* loaded from: classes2.dex */
public class ApkAmdUploadHelper {
    private static final long ONE_DAY_MILLISECOND = 86400000;
    private static ApkAmdUploadHelper apkAmdUploadHelper;

    public void destroy() {
    }

    public static synchronized ApkAmdUploadHelper getInstance() {
        ApkAmdUploadHelper apkAmdUploadHelper2;
        synchronized (ApkAmdUploadHelper.class) {
            if (apkAmdUploadHelper == null) {
                apkAmdUploadHelper = new ApkAmdUploadHelper();
            }
            apkAmdUploadHelper2 = apkAmdUploadHelper;
        }
        return apkAmdUploadHelper2;
    }

    private ApkAmdUploadHelper() {
    }

    public List<HeartInfo> queryHeart() {
        ArrayList arrayList = new ArrayList();
        Cursor rawQuery = DBHelper.getInstance(MyApplication.getInstance()).rawQuery("select * from heart where isApkAmdUpload=0 order by id desc", new String[0]);
        if (rawQuery != null && !rawQuery.isClosed()) {
            while (rawQuery.moveToNext()) {
                HeartInfo heartInfo = new HeartInfo();
                heartInfo.setCursor(rawQuery);
                arrayList.add(heartInfo);
                Log.e("TAG", "query:" + new Gson().toJson(heartInfo));
            }
            rawQuery.close();
        }
        return arrayList;
    }

    public List<BloodInfo> queryBlood() {
        ArrayList arrayList = new ArrayList();
        Cursor rawQuery = DBHelper.getInstance(MyApplication.getInstance()).rawQuery("select * from blood where isApkAmdUpload=0 order by id desc", new String[0]);
        if (rawQuery != null && !rawQuery.isClosed()) {
            while (rawQuery.moveToNext()) {
                BloodInfo bloodInfo = new BloodInfo();
                bloodInfo.setCursor(rawQuery);
                arrayList.add(bloodInfo);
                Log.e("TAG", "query:" + new Gson().toJson(bloodInfo));
            }
            rawQuery.close();
        }
        return arrayList;
    }

    public List<SleepInfo> querySleep() {
        ArrayList arrayList = new ArrayList();
        Cursor rawQuery = DBHelper.getInstance(MyApplication.getInstance()).rawQuery("select * from sleep where isApkAmdUpload=0 order by id desc", new String[0]);
        if (rawQuery != null && !rawQuery.isClosed()) {
            while (rawQuery.moveToNext()) {
                SleepInfo sleepInfo = new SleepInfo();
                sleepInfo.setCursor(rawQuery);
                arrayList.add(sleepInfo);
                Log.e("TAG", "query:" + new Gson().toJson(sleepInfo));
            }
            rawQuery.close();
        }
        return arrayList;
    }

    public List<Spo2Info> querySpo2() {
        ArrayList arrayList = new ArrayList();
        Cursor rawQuery = DBHelper.getInstance(MyApplication.getInstance()).rawQuery("select * from spo2 where isApkAmdUpload=0 order by id desc", new String[0]);
        if (rawQuery != null && !rawQuery.isClosed()) {
            while (rawQuery.moveToNext()) {
                Spo2Info spo2Info = new Spo2Info();
                spo2Info.setCursor(rawQuery);
                arrayList.add(spo2Info);
                Log.e("TAG", "query:" + new Gson().toJson(spo2Info));
            }
            rawQuery.close();
        }
        return arrayList;
    }

    public List<SportInfo> querySport() {
        ArrayList arrayList = new ArrayList();
        Cursor rawQuery = DBHelper.getInstance(MyApplication.getInstance()).rawQuery("select * from sport where timeFormet=? order by begindate desc", new String[]{Tools.transformNowTime(System.currentTimeMillis() - 86400000)});
        if (rawQuery != null && !rawQuery.isClosed()) {
            while (rawQuery.moveToNext()) {
                SportInfo sportInfo = new SportInfo();
                sportInfo.setCursor(rawQuery);
                arrayList.add(sportInfo);
            }
            rawQuery.close();
        }
        return arrayList;
    }

    public void uploadData(Context context) {
        String str;
        String str2;
        Context context2;
        JsonArray jsonArray;
        JsonObject jsonObject;
        JsonObject jsonObject2;
        String readBleAddress = Tools.readBleAddress(context.getApplicationContext());
        String uid = MySharedPf.getInstance(context).getUid();
        String str3 = (String) SPUtils.get(context, "nickname", "");
        JsonObject jsonObject3 = new JsonObject();
        JsonArray jsonArray2 = new JsonArray();
        JsonObject jsonObject4 = new JsonObject();
        JsonObject jsonObject5 = new JsonObject();
        JsonObject jsonObject6 = new JsonObject();
        JsonObject jsonObject7 = new JsonObject();
        JsonObject jsonObject8 = new JsonObject();
        JsonObject jsonObject9 = new JsonObject();
        JsonObject jsonObject10 = new JsonObject();
        JsonObject jsonObject11 = new JsonObject();
        JsonObject jsonObject12 = new JsonObject();
        List<HeartInfo> queryHeart = queryHeart();
        JsonArray jsonArray3 = new JsonArray();
        Iterator<HeartInfo> it2 = queryHeart.iterator();
        while (true) {
            str = str3;
            str2 = uid;
            if (!it2.hasNext()) {
                break;
            }
            Iterator<HeartInfo> it3 = it2;
            HeartInfo next = it2.next();
            JsonObject jsonObject13 = jsonObject3;
            JsonObject jsonObject14 = new JsonObject();
            jsonObject14.addProperty("timestamp", Long.valueOf(next.rtime));
            jsonObject14.addProperty("device_mac", readBleAddress);
            jsonObject14.addProperty("heart_rate", Integer.valueOf(next.heartTimes));
            jsonArray3.add(jsonObject14);
            jsonObject3 = jsonObject13;
            str3 = str;
            uid = str2;
            it2 = it3;
            jsonObject11 = jsonObject11;
            jsonObject12 = jsonObject12;
        }
        JsonObject jsonObject15 = jsonObject3;
        JsonObject jsonObject16 = jsonObject11;
        JsonObject jsonObject17 = jsonObject12;
        jsonObject7.add("heart_rate_samples", jsonArray3);
        jsonObject4.add("heart_data", jsonObject7);
        List<BloodInfo> queryBlood = queryBlood();
        JsonArray jsonArray4 = new JsonArray();
        for (BloodInfo bloodInfo : queryBlood) {
            JsonObject jsonObject18 = new JsonObject();
            jsonObject18.addProperty("diastolic_bp", Integer.valueOf(bloodInfo.DBP));
            jsonObject18.addProperty("systolic_bp", Integer.valueOf(bloodInfo.SBP));
            jsonObject18.addProperty("timestamp", Long.valueOf(bloodInfo.rtime));
            jsonObject18.addProperty("device_mac", readBleAddress);
            jsonArray4.add(jsonObject18);
        }
        jsonObject6.add("blood_pressure_samples", jsonArray4);
        jsonObject4.add("blood_pressure_data", jsonObject6);
        jsonObject5.add("ambient_temperature_samples", new JsonArray());
        jsonObject5.add("skin_temperature_samples", new JsonArray());
        List<Spo2Info> querySpo2 = querySpo2();
        JsonArray jsonArray5 = new JsonArray();
        JsonArray jsonArray6 = new JsonArray();
        JsonArray jsonArray7 = new JsonArray();
        JsonArray jsonArray8 = new JsonArray();
        Iterator<Spo2Info> it4 = querySpo2.iterator();
        while (it4.hasNext()) {
            Spo2Info next2 = it4.next();
            Iterator<Spo2Info> it5 = it4;
            if (next2.tempInteger > 25) {
                JsonObject jsonObject19 = new JsonObject();
                StringBuilder sb = new StringBuilder();
                jsonArray = jsonArray2;
                sb.append(next2.tempInteger);
                sb.append(".");
                sb.append(next2.tempDouble);
                jsonObject19.addProperty("temperature_celsius", sb.toString());
                jsonObject = jsonObject9;
                jsonObject2 = jsonObject10;
                jsonObject19.addProperty("timestamp", Long.valueOf(next2.stime));
                jsonObject19.addProperty("device_mac", readBleAddress);
                jsonArray5.add(jsonObject19);
            } else {
                jsonArray = jsonArray2;
                jsonObject = jsonObject9;
                jsonObject2 = jsonObject10;
            }
            if (next2.getSPo2() > 0) {
                JsonObject jsonObject20 = new JsonObject();
                jsonObject20.addProperty("sp02", Integer.valueOf(next2.getSPo2()));
                jsonObject20.addProperty("timestamp", Long.valueOf(next2.stime));
                jsonObject20.addProperty("device_mac", readBleAddress);
                jsonArray6.add(jsonObject20);
            }
            if (next2.bloodSugar > 0) {
                JsonObject jsonObject21 = new JsonObject();
                jsonObject21.addProperty("bloodSugar", Integer.valueOf(next2.bloodSugar));
                jsonObject21.addProperty("timestamp", Long.valueOf(next2.stime));
                jsonObject21.addProperty("device_mac", readBleAddress);
                jsonArray7.add(jsonObject21);
            }
            if (next2.getBreathPer() > 0) {
                JsonObject jsonObject22 = new JsonObject();
                jsonObject22.addProperty("respiration_rate", Integer.valueOf(next2.getBreathPer()));
                jsonObject22.addProperty("timestamp", Long.valueOf(next2.stime));
                jsonObject22.addProperty("device_mac", readBleAddress);
                jsonArray8.add(jsonObject22);
            }
            jsonObject9 = jsonObject;
            jsonObject10 = jsonObject2;
            it4 = it5;
            jsonArray2 = jsonArray;
        }
        JsonArray jsonArray9 = jsonArray2;
        JsonObject jsonObject23 = jsonObject9;
        JsonObject jsonObject24 = jsonObject10;
        jsonObject5.add("body_temperature_samples", jsonArray5);
        jsonObject4.add("temperature_data", jsonObject5);
        jsonObject8.add("oxygen_samples", jsonArray6);
        jsonObject4.add("oxygen_data", jsonObject8);
        jsonObject23.add("blood_sugar_samples", jsonArray7);
        jsonObject4.add("blood_sugar_data", jsonObject23);
        jsonObject24.add("respiration_rate_samples", jsonArray8);
        jsonObject4.add("respiration_rate_data", jsonObject24);
        List<SportInfo> querySport = querySport();
        JsonArray jsonArray10 = new JsonArray();
        for (SportInfo sportInfo : querySport) {
            JsonObject jsonObject25 = new JsonObject();
            jsonObject25.addProperty("step", Integer.valueOf(sportInfo.step));
            jsonObject25.addProperty("distance", Integer.valueOf(sportInfo.des));
            jsonObject25.addProperty("kcal", Integer.valueOf(sportInfo.cakl));
            jsonObject25.addProperty("timestamp_start", sportInfo.beginhhmm);
            jsonObject25.addProperty("timestamp_end", sportInfo.endhhmm);
            jsonObject25.addProperty("device_mac", readBleAddress);
            jsonArray10.add(jsonObject25);
        }
        jsonObject16.add("step_samples", jsonArray10);
        jsonObject4.add("step_data", jsonObject16);
        List<SleepInfo> querySleep = querySleep();
        JsonArray jsonArray11 = new JsonArray();
        for (SleepInfo sleepInfo : querySleep) {
            JsonObject jsonObject26 = new JsonObject();
            jsonObject26.addProperty("timestamp_start", sleepInfo.beginFormet);
            jsonObject26.addProperty("timestamp_end", sleepInfo.endFormet);
            jsonObject26.addProperty("deep_sleep_count", Integer.valueOf(sleepInfo.dsCount));
            jsonObject26.addProperty("light_sleep_count", Integer.valueOf(sleepInfo.qsCount));
            jsonObject26.addProperty("deep_sleep_time", Integer.valueOf(sleepInfo.dsTimes));
            jsonObject26.addProperty("light_sleep_time", Integer.valueOf(sleepInfo.qsTimes));
            JsonArray jsonArray12 = new JsonArray();
            for (SleepMegInfo sleepMegInfo : sleepInfo.mlist) {
                JsonObject jsonObject27 = new JsonObject();
                jsonObject27.addProperty("start_time", Long.valueOf(sleepMegInfo.stime));
                jsonObject27.addProperty("sleep_duration", Integer.valueOf(sleepMegInfo.sleepLong));
                jsonObject27.addProperty("sleep_type", Integer.valueOf(sleepMegInfo.sleepType));
                jsonArray12.add(jsonObject27);
            }
            jsonObject26.add("detail_sleep_data", jsonArray12);
            jsonArray11.add(jsonObject26);
        }
        jsonObject17.add("sleep_samples", jsonArray11);
        jsonObject4.add("sleep_data", jsonObject17);
        jsonArray9.add(jsonObject4);
        jsonObject15.add("data", jsonArray9);
        JsonObject jsonObject28 = new JsonObject();
        jsonObject28.addProperty("user_id", str2);
        try {
            jsonObject28.addProperty("nick_name", str);
            jsonObject28.addProperty("height_cm", Integer.valueOf(Tools.readCm(context)));
            jsonObject28.addProperty("weight_kg", Integer.valueOf(Tools.readKg(context)));
            jsonObject28.addProperty("age", Integer.valueOf(Tools.readAge(context)));
            context2 = context;
        } catch (Exception e) {
            e = e;
            context2 = context;
        }
        try {
            jsonObject28.addProperty("skin_color", Integer.valueOf(Tools.readInt("skincolor", context2, 2)));
            jsonObject28.addProperty("gender", Tools.readSex(context) == 1 ? "F" : "M");
        } catch (Exception e2) {
            e = e2;
            e.printStackTrace();
            jsonObject15.add("user", jsonObject28);
            jsonObject15.addProperty("type", SDKConstants.PARAM_A2U_BODY);
            HttpUtils.getInstance().postJsonMsgAsynHttp(context2, "https://device.apkamd.com/dev/apkamd/api/v1/smart-watch", new Gson().toJson((JsonElement) jsonObject15), new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.tools.ApkAmdUploadHelper.1
                @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
                public void onSuccess(String str4) {
                    Log.e("postJsonMsgAsynHttp", "onSuccess:" + str4);
                    try {
                        HealthApplication healthApplication = HealthApplication.getInstance();
                        DBHelper.getInstance(healthApplication).execSQL("UPDATE blood set isApkAmdUpload='1' where isApkAmdUpload='0'");
                        DBHelper.getInstance(healthApplication).execSQL("UPDATE spo2 set isApkAmdUpload='1' where isApkAmdUpload='0'");
                        DBHelper.getInstance(healthApplication).execSQL("UPDATE heart set isApkAmdUpload='1' where isApkAmdUpload='0'");
                        DBHelper.getInstance(healthApplication).execSQL("UPDATE sleep set isApkAmdUpload='1' where isApkAmdUpload='0'");
                    } catch (Exception e3) {
                        e3.printStackTrace();
                    }
                }
            });
        }
        jsonObject15.add("user", jsonObject28);
        jsonObject15.addProperty("type", SDKConstants.PARAM_A2U_BODY);
        HttpUtils.getInstance().postJsonMsgAsynHttp(context2, "https://device.apkamd.com/dev/apkamd/api/v1/smart-watch", new Gson().toJson((JsonElement) jsonObject15), new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.tools.ApkAmdUploadHelper.1
            @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
            public void onSuccess(String str4) {
                Log.e("postJsonMsgAsynHttp", "onSuccess:" + str4);
                try {
                    HealthApplication healthApplication = HealthApplication.getInstance();
                    DBHelper.getInstance(healthApplication).execSQL("UPDATE blood set isApkAmdUpload='1' where isApkAmdUpload='0'");
                    DBHelper.getInstance(healthApplication).execSQL("UPDATE spo2 set isApkAmdUpload='1' where isApkAmdUpload='0'");
                    DBHelper.getInstance(healthApplication).execSQL("UPDATE heart set isApkAmdUpload='1' where isApkAmdUpload='0'");
                    DBHelper.getInstance(healthApplication).execSQL("UPDATE sleep set isApkAmdUpload='1' where isApkAmdUpload='0'");
                } catch (Exception e3) {
                    e3.printStackTrace();
                }
            }
        });
    }
}
