package com.zhuoting.health.tools;

import android.bluetooth.BluetoothDevice;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.media.MediaPlayer;
import android.os.Vibrator;
import android.util.Log;
import com.zhuoting.health.HealthApplication;
import com.zhuoting.health.MainActivity;
import com.zhuoting.health.observer.SubObserver;
import com.zhuoting.health.one.DeviceListActivity;
import com.zhuoting.health.setting.SoftUpdateActivity;
import com.zhuoting.health.setting.dial.DialActivity;
import com.zhuoting.health.setting.dial.DialCustomizeActivity;
import com.zhuoting.health.setting.dial.DialCustomizeEditActivity;
import com.zhuoting.health.sport.RunActivity;
import com.zhuoting.health.sport.RunGoogleActivity;
import com.zhuoting.health.sport.RunningStudyActivity;
import com.zhuoting.healthd.R;
import java.util.HashMap;

/* loaded from: classes2.dex */
public class BleHandler {
    private static final String TAG = "BleHandler";
    private static BleHandler instance = null;
    public static boolean isRead = false;
    public static boolean iscon = false;
    private Context context;
    byte[] databyte;
    public BluetoothDevice myDevice;
    public BluetoothDevice recDevice;
    public Intent sendIntent = new Intent("com.health.communication.SENDMSG");
    int datalenght = 0;

    private BleHandler(Context context) {
        this.context = context;
        startBLE();
        searchDev();
    }

    public void startBle() {
        startBLE();
        searchDev();
    }

    public static synchronized BleHandler getInstance(Context context) {
        BleHandler bleHandler;
        synchronized (BleHandler.class) {
            if (instance == null) {
                instance = new BleHandler(context);
            }
            bleHandler = instance;
        }
        return bleHandler;
    }

    public void sendMsg(byte[] bArr) {
        Log.i(TAG, " sendMsg......" + iscon);
        Log.d("hhhhh", Tools.logbyte(bArr));
        if (iscon) {
            this.datalenght = 0;
            this.sendIntent.putExtra("smsg", bArr);
            this.sendIntent.putExtra("type", 1);
            this.context.sendBroadcast(this.sendIntent);
        }
    }

    public void sendMsgAntiLost(byte[] bArr) {
        this.datalenght = 0;
        this.sendIntent.putExtra("smsg", bArr);
        this.sendIntent.putExtra("type", 1);
        this.context.sendBroadcast(this.sendIntent);
    }

    public void searchDev() {
        this.sendIntent.putExtra("type", 2);
        this.context.sendBroadcast(this.sendIntent);
    }

    public void beginBle() {
        this.sendIntent.putExtra("type", 99);
        this.context.sendBroadcast(this.sendIntent);
    }

    public void changeBack(boolean z) {
        this.sendIntent.putExtra("type", 9);
        this.sendIntent.putExtra("isback", z);
        this.context.sendBroadcast(this.sendIntent);
    }

    public void conBle(String str) {
        Log.d("kkkk", "我在连接");
        this.sendIntent.putExtra("type", 3);
        this.sendIntent.putExtra("dev_mac", str);
        this.context.sendBroadcast(this.sendIntent);
    }

    public void recBle(String str, String str2) {
        this.sendIntent.putExtra("type", 8);
        this.sendIntent.putExtra("dev_name", str);
        this.sendIntent.putExtra("dev_mac", str2);
        this.context.sendBroadcast(this.sendIntent);
    }

    public void reconnectionBle() {
        iscon = false;
        this.sendIntent.putExtra("type", 11);
        this.context.sendBroadcast(this.sendIntent);
    }

    public void disBle() {
        iscon = false;
        HealthApplication.refreshWeather = false;
        this.myDevice = null;
        this.sendIntent.putExtra("type", 7);
        this.context.sendBroadcast(this.sendIntent);
    }

    public void clearCache() {
        this.sendIntent.putExtra("type", 10);
        this.context.sendBroadcast(this.sendIntent);
    }

    private void startBLE() {
        MsgReceiver msgReceiver = new MsgReceiver();
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("com.health.communication.RECEIVER");
        this.context.registerReceiver(msgReceiver, intentFilter);
    }

    private class MsgReceiver extends BroadcastReceiver {
        private MsgReceiver() {
        }

        @Override // android.content.BroadcastReceiver
        public void onReceive(Context context, Intent intent) {
            int intExtra = intent.getIntExtra("type", 0);
            int intExtra2 = intent.getIntExtra("char", 0);
            HashMap hashMap = new HashMap();
            hashMap.put("key", Integer.valueOf(intExtra));
            hashMap.put("charIndex", Integer.valueOf(intExtra2));
            if (intExtra == 700) {
                hashMap.put("msg", intent.getStringExtra("dev_ids"));
                SubObserver.getInstance().nodifyObservers(DeviceListActivity.class, hashMap);
                return;
            }
            if (intExtra == 101) {
                SubObserver.getInstance().nodifyObservers(DeviceListActivity.class, hashMap);
                return;
            }
            if (intExtra == 102) {
                SubObserver.getInstance().nodifyObservers(DeviceListActivity.class, hashMap);
                return;
            }
            if (intExtra == 103) {
                BleHandler.this.myDevice = (BluetoothDevice) intent.getParcelableExtra("myDevice");
                BleHandler.iscon = true;
                HealthApplication.refreshWeather = true;
                SubObserver.getInstance().nodifyObservers(DeviceListActivity.class, hashMap);
                SubObserver.getInstance().nodifyObservers(MainActivity.class, hashMap);
                SubObserver.getInstance().nodifyObservers(SoftUpdateActivity.class, hashMap);
                return;
            }
            if (intExtra == 104) {
                BleHandler.this.recDevice = (BluetoothDevice) intent.getParcelableExtra("recDevice");
                SubObserver.getInstance().nodifyObservers(DeviceListActivity.class, hashMap);
                return;
            }
            if (intExtra == 105) {
                BleHandler.this.datalenght = 0;
                BleHandler.iscon = false;
                HealthApplication.refreshWeather = false;
                BleHandler.this.myDevice = null;
                SubObserver.getInstance().nodifyObservers(MainActivity.class, hashMap);
                SubObserver.getInstance().nodifyObservers(SoftUpdateActivity.class, hashMap);
                SubObserver.getInstance().nodifyObservers(DialActivity.class, hashMap);
                SubObserver.getInstance().nodifyObservers(DialCustomizeActivity.class, hashMap);
                SubObserver.getInstance().nodifyObservers(DialCustomizeEditActivity.class, hashMap);
                SubObserver.getInstance().nodifyObservers(RunGoogleActivity.class, hashMap);
                SubObserver.getInstance().nodifyObservers(RunActivity.class, hashMap);
                SubObserver.getInstance().nodifyObservers(RunningStudyActivity.class, hashMap);
                return;
            }
            if (intExtra != 800 && intExtra == 1) {
                byte[] byteArrayExtra = intent.getByteArrayExtra("smsg");
                if (BleHandler.this.datalenght == 0) {
                    BleHandler.this.datalenght = TransUtils.Bytes2Dec(new byte[]{0, 0, byteArrayExtra[3], byteArrayExtra[2]});
                    BleHandler.this.databyte = byteArrayExtra;
                } else {
                    BleHandler bleHandler = BleHandler.this;
                    bleHandler.databyte = bleHandler.byteMerger(bleHandler.databyte, byteArrayExtra);
                }
                if (BleHandler.this.datalenght == BleHandler.this.databyte.length) {
                    BleHandler.this.datalenght = 0;
                    if (BleHandler.this.databyte[0] == 4 && BleHandler.this.databyte[1] == 4) {
                        if (BleHandler.this.databyte[4] == 0) {
                            MusicHandler.getInstance(context).stop();
                        } else if (BleHandler.this.databyte[4] == 1) {
                            MusicHandler.getInstance(context).play();
                        } else if (BleHandler.this.databyte[4] == 2) {
                            MusicHandler.getInstance(context).previous();
                        } else if (BleHandler.this.databyte[4] == 3) {
                            MusicHandler.getInstance(context).next();
                        } else if (BleHandler.this.databyte[4] == 4) {
                            MusicHandler.getInstance(context).raise();
                        } else if (BleHandler.this.databyte[4] == 5) {
                            MusicHandler.getInstance(context).lower();
                        }
                    } else if (BleHandler.this.databyte[0] == 4 && BleHandler.this.databyte[1] == 0) {
                        MediaPlayer.create(context, R.raw.birds).start();
                        ((Vibrator) context.getSystemService("vibrator")).vibrate(1000L);
                    } else {
                        hashMap.put("smsg", BleHandler.this.databyte);
                        SubObserver.getInstance().nodifyObservers(hashMap);
                    }
                    BleHandler.this.databyte = null;
                }
            }
        }
    }

    public byte[] byteMerger(byte[] bArr, byte[] bArr2) {
        byte[] bArr3 = new byte[bArr.length + bArr2.length];
        System.arraycopy(bArr, 0, bArr3, 0, bArr.length);
        System.arraycopy(bArr2, 0, bArr3, bArr.length, bArr2.length);
        return bArr3;
    }
}
