package com.zhuoting.health.tools;

import android.R;
import android.animation.Animator;
import android.animation.AnimatorListenerAdapter;
import android.app.Activity;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.view.View;
import android.view.ViewAnimationUtils;
import android.view.ViewGroup;
import android.widget.ImageView;

/* loaded from: classes2.dex */
public class CircularAnimUtil {
    public static final int MINI_RADIUS = 0;
    public static final long PERFECT_MILLS = 500;

    public static void show(View view, float f, long j) {
        if (Build.VERSION.SDK_INT < 21) {
            view.setVisibility(0);
            return;
        }
        int left = (view.getLeft() + view.getRight()) / 2;
        int top = (view.getTop() + view.getBottom()) / 2;
        int width = view.getWidth();
        int height = view.getHeight();
        Animator createCircularReveal = ViewAnimationUtils.createCircularReveal(view, left, top, f, ((int) Math.sqrt((width * width) + (height * height))) + 1);
        view.setVisibility(0);
        createCircularReveal.setDuration(j);
        createCircularReveal.start();
    }

    public static void hide(final View view, float f, long j) {
        if (Build.VERSION.SDK_INT < 21) {
            view.setVisibility(4);
            return;
        }
        int left = (view.getLeft() + view.getRight()) / 2;
        int top = (view.getTop() + view.getBottom()) / 2;
        int width = view.getWidth();
        int height = view.getHeight();
        Animator createCircularReveal = ViewAnimationUtils.createCircularReveal(view, left, top, ((int) Math.sqrt((width * width) + (height * height))) + 1, f);
        createCircularReveal.setDuration(j);
        createCircularReveal.addListener(new AnimatorListenerAdapter() { // from class: com.zhuoting.health.tools.CircularAnimUtil.1
            @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
            public void onAnimationEnd(Animator animator) {
                super.onAnimationEnd(animator);
                view.setVisibility(4);
            }
        });
        createCircularReveal.start();
    }

    public static void startActivityForResult(Activity activity, Intent intent, Integer num, Bundle bundle, View view, int i, long j) {
        if (Build.VERSION.SDK_INT < 21) {
            activity.startActivity(intent);
            return;
        }
        int[] iArr = new int[2];
        view.getLocationInWindow(iArr);
        int width = iArr[0] + (view.getWidth() / 2);
        int height = iArr[1] + (view.getHeight() / 2);
        ImageView imageView = new ImageView(activity);
        imageView.setScaleType(ImageView.ScaleType.CENTER_CROP);
        imageView.setImageResource(i);
        ViewGroup viewGroup = (ViewGroup) activity.getWindow().getDecorView();
        viewGroup.addView(imageView, viewGroup.getWidth(), viewGroup.getHeight());
        int sqrt = ((int) Math.sqrt((r1 * r1) + (r3 * r3))) + 1;
        Animator createCircularReveal = ViewAnimationUtils.createCircularReveal(imageView, width, height, 0.0f, sqrt);
        createCircularReveal.setDuration(j);
        createCircularReveal.addListener(new AnonymousClass2(num, activity, intent, bundle, view, imageView, width, height, sqrt, j, viewGroup));
        createCircularReveal.start();
    }

    /* renamed from: com.zhuoting.health.tools.CircularAnimUtil$2, reason: invalid class name */
    class AnonymousClass2 extends AnimatorListenerAdapter {
        final /* synthetic */ Bundle val$bundle;
        final /* synthetic */ int val$cx;
        final /* synthetic */ int val$cy;
        final /* synthetic */ ViewGroup val$decorView;
        final /* synthetic */ long val$durationMills;
        final /* synthetic */ int val$finalRadius;
        final /* synthetic */ Intent val$intent;
        final /* synthetic */ Integer val$requestCode;
        final /* synthetic */ Activity val$thisActivity;
        final /* synthetic */ View val$triggerView;
        final /* synthetic */ ImageView val$view;

        AnonymousClass2(Integer num, Activity activity, Intent intent, Bundle bundle, View view, ImageView imageView, int i, int i2, int i3, long j, ViewGroup viewGroup) {
            this.val$requestCode = num;
            this.val$thisActivity = activity;
            this.val$intent = intent;
            this.val$bundle = bundle;
            this.val$triggerView = view;
            this.val$view = imageView;
            this.val$cx = i;
            this.val$cy = i2;
            this.val$finalRadius = i3;
            this.val$durationMills = j;
            this.val$decorView = viewGroup;
        }

        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
        public void onAnimationEnd(Animator animator) {
            super.onAnimationEnd(animator);
            Integer num = this.val$requestCode;
            if (num == null) {
                this.val$thisActivity.startActivity(this.val$intent);
            } else if (this.val$bundle == null) {
                this.val$thisActivity.startActivityForResult(this.val$intent, num.intValue());
            } else {
                this.val$thisActivity.startActivityForResult(this.val$intent, num.intValue(), this.val$bundle);
            }
            this.val$thisActivity.overridePendingTransition(R.anim.fade_in, R.anim.fade_out);
            this.val$triggerView.postDelayed(new Runnable() { // from class: com.zhuoting.health.tools.CircularAnimUtil.2.1
                @Override // java.lang.Runnable
                public void run() {
                    Animator createCircularReveal = ViewAnimationUtils.createCircularReveal(AnonymousClass2.this.val$view, AnonymousClass2.this.val$cx, AnonymousClass2.this.val$cy, AnonymousClass2.this.val$finalRadius, 0.0f);
                    createCircularReveal.setDuration(AnonymousClass2.this.val$durationMills);
                    createCircularReveal.addListener(new AnimatorListenerAdapter() { // from class: com.zhuoting.health.tools.CircularAnimUtil.2.1.1
                        @Override // android.animation.AnimatorListenerAdapter, android.animation.Animator.AnimatorListener
                        public void onAnimationEnd(Animator animator2) {
                            super.onAnimationEnd(animator2);
                            try {
                                AnonymousClass2.this.val$decorView.removeView(AnonymousClass2.this.val$view);
                            } catch (Exception e) {
                                e.printStackTrace();
                            }
                        }
                    });
                    createCircularReveal.start();
                }
            }, 1000L);
        }
    }

    public static void startActivityForResult(Activity activity, Intent intent, Integer num, View view, int i) {
        startActivityForResult(activity, intent, num, null, view, i, 500L);
    }

    public static void startActivity(Activity activity, Intent intent, View view, int i, long j) {
        startActivityForResult(activity, intent, null, null, view, i, j);
    }

    public static void startActivity(Activity activity, Intent intent, View view, int i) {
        startActivity(activity, intent, view, i, 500L);
    }

    public static void startActivity(Activity activity, Class<?> cls, View view, int i) {
        startActivity(activity, new Intent(activity, cls), view, i, 500L);
    }

    public static void show(View view) {
        show(view, 0.0f, 500L);
    }

    public static void hide(View view) {
        hide(view, 0.0f, 500L);
    }
}
