package com.zhuoting.health.tools;

import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Build;
import android.os.RemoteException;
import android.telecom.TelecomManager;
import android.telephony.TelephonyManager;
import androidx.core.content.ContextCompat;
import com.android.internal.telephony.ITelephony;
import com.autonavi.amap.mapcore.AMapEngineUtils;
import com.yanzhenjie.permission.Permission;
import java.io.IOException;
import java.lang.reflect.Method;
import java.util.concurrent.Executors;

/* loaded from: classes2.dex */
public class HangUpTelephonyUtil {
    public static boolean endCall(Context context) {
        boolean z = false;
        try {
            if (Build.VERSION.SDK_INT >= 28) {
                if (context.checkSelfPermission("android.permission.ANSWER_PHONE_CALLS") != 0) {
                    System.out.println("chong------------没有权限");
                }
                TelecomManager telecomManager = (TelecomManager) context.getSystemService("telecom");
                if (telecomManager != null) {
                    z = telecomManager.endCall();
                }
            }
        } catch (SecurityException e) {
            e.printStackTrace();
        }
        return !z ? endCalls(context) : z;
    }

    private static boolean endCalls(Context context) {
        ITelephony telephonyService = getTelephonyService(context);
        boolean z = false;
        if (telephonyService != null) {
            try {
                z = telephonyService.endCall();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        }
        return !z ? killCall(context) : z;
    }

    private static ITelephony getTelephonyService(Context context) {
        TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
        try {
            Method declaredMethod = Class.forName(telephonyManager.getClass().getName()).getDeclaredMethod("getITelephony", new Class[0]);
            declaredMethod.setAccessible(true);
            return (ITelephony) declaredMethod.invoke(telephonyManager, new Object[0]);
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    private static boolean killCall(Context context) {
        boolean z = false;
        try {
            TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
            Method declaredMethod = Class.forName(telephonyManager.getClass().getName()).getDeclaredMethod("getITelephony", new Class[0]);
            declaredMethod.setAccessible(true);
            Object invoke = declaredMethod.invoke(telephonyManager, new Object[0]);
            z = ((Boolean) Class.forName(invoke.getClass().getName()).getDeclaredMethod("endCall", new Class[0]).invoke(invoke, new Object[0])).booleanValue();
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (!z) {
            disconnectCall();
        }
        return z;
    }

    /* renamed from: com.zhuoting.health.tools.HangUpTelephonyUtil$1 */
    class AnonymousClass1 implements Runnable {
        AnonymousClass1() {
        }

        @Override // java.lang.Runnable
        public void run() {
            try {
                Runtime.getRuntime().exec("service call phone 5 \n");
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }

    private static void disconnectCall() {
        Executors.newSingleThreadExecutor().execute(new Runnable() { // from class: com.zhuoting.health.tools.HangUpTelephonyUtil.1
            AnonymousClass1() {
            }

            @Override // java.lang.Runnable
            public void run() {
                try {
                    Runtime.getRuntime().exec("service call phone 5 \n");
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
        });
    }

    public static void answerCall(Context context) {
        try {
            if (Build.VERSION.SDK_INT >= 28) {
                if (context.checkSelfPermission("android.permission.ANSWER_PHONE_CALLS") != 0) {
                    System.out.println("chong------------没有权限");
                }
                TelecomManager telecomManager = (TelecomManager) context.getSystemService("telecom");
                if (telecomManager != null) {
                    telecomManager.acceptRingingCall();
                    return;
                }
                return;
            }
            answerCall2(context);
        } catch (SecurityException e) {
            e.printStackTrace();
        }
    }

    private static void answerCall2(Context context) {
        ITelephony telephonyService = getTelephonyService(context);
        if (telephonyService != null) {
            try {
                telephonyService.answerRingingCall();
            } catch (RemoteException e) {
                e.printStackTrace();
            }
        }
    }

    public static void callPhone(Context context, String str) {
        if (Build.VERSION.SDK_INT >= 23 && ContextCompat.checkSelfPermission(context, Permission.CALL_PHONE) == 0) {
            try {
                TelecomManager telecomManager = (TelecomManager) context.getSystemService("telecom");
                if (telecomManager != null) {
                    telecomManager.placeCall(Uri.parse("tel:" + str), null);
                    System.out.println("chong---------isCallPhone==打电话代码已执行");
                } else {
                    callPhone2(context, str);
                }
                return;
            } catch (SecurityException e) {
                e.printStackTrace();
                callPhone2(context, str);
                return;
            }
        }
        System.out.println("chong--------没有拨打电话的权限");
    }

    public static void callPhone2(Context context, String str) {
        if (Build.VERSION.SDK_INT < 23 || ContextCompat.checkSelfPermission(context, Permission.CALL_PHONE) != 0) {
            return;
        }
        ITelephony telephonyService = getTelephonyService(context);
        try {
            if (telephonyService != null) {
                telephonyService.call(str);
                System.out.println("chong---------isCallPhone1==打电话代码已执行");
            } else {
                callPhone3(context, str);
            }
        } catch (RemoteException e) {
            e.printStackTrace();
            callPhone3(context, str);
        }
    }

    private static void callPhone3(Context context, String str) {
        try {
            Intent intent = new Intent("android.intent.action.CALL");
            intent.addFlags(AMapEngineUtils.MAX_P20_WIDTH);
            intent.setData(Uri.parse("tel:" + str));
            context.startActivity(intent);
            System.out.println("chong---------isCallPhone2==打电话代码已执行");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
