package com.zhuoting.health.tools;

import android.app.Activity;
import android.content.Context;
import android.net.ConnectivityManager;
import android.widget.Toast;
import androidx.core.view.PointerIconCompat;
import com.google.gson.Gson;
import com.zhuoting.healthd.R;
import java.io.File;
import java.io.IOException;
import java.security.SecureRandom;
import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;
import java.util.List;
import java.util.Map;
import java.util.concurrent.TimeUnit;
import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.SSLContext;
import javax.net.ssl.SSLSession;
import javax.net.ssl.SSLSocketFactory;
import javax.net.ssl.TrustManager;
import javax.net.ssl.X509TrustManager;
import okhttp3.Call;
import okhttp3.Callback;
import okhttp3.FormBody;
import okhttp3.MediaType;
import okhttp3.MultipartBody;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;

/* loaded from: classes2.dex */
public class HttpUtils {
    public static final int DOWN_FILE = 3;
    public static final int GET_METHOD = 0;
    private static int METHOD = 0;
    public static final int POST_JSON_METHOD = 2;
    public static final int POST_METHOD = 1;
    private static HttpUtils httpUtils;
    private OkHttpClient mOkHttpClient = new OkHttpClient().newBuilder().connectTimeout(30, TimeUnit.SECONDS).writeTimeout(30, TimeUnit.SECONDS).readTimeout(30, TimeUnit.SECONDS).build();

    public interface HttpCallback {
        void onSuccess(String str);
    }

    public interface OnDownloadListener {
        void onDownloadFailed();

        void onDownloadSuccess();

        void onDownloading(int i);
    }

    private HttpUtils() {
    }

    public static synchronized HttpUtils getInstance() {
        HttpUtils httpUtils2;
        synchronized (HttpUtils.class) {
            if (httpUtils == null) {
                httpUtils = new HttpUtils();
            }
            httpUtils2 = httpUtils;
        }
        return httpUtils2;
    }

    private static boolean isNetworkAvailable(Context context, HttpCallback httpCallback) {
        ConnectivityManager connectivityManager = (ConnectivityManager) context.getApplicationContext().getSystemService("connectivity");
        boolean z = (connectivityManager == null || connectivityManager.getActiveNetworkInfo() == null || !connectivityManager.getActiveNetworkInfo().isAvailable()) ? false : true;
        if (!z) {
            if ((context instanceof Activity) && !((Activity) context).isFinishing()) {
                Toast.makeText(context, context.getResources().getString(R.string.please_connect_net), 0).show();
            }
            if (httpCallback != null) {
                httpCallback.onSuccess(null);
            }
        }
        return z;
    }

    public void postJsonOtherAsynHttp(Context context, String str, String str2, HttpCallback httpCallback) {
        if (isNetworkAvailable(context, httpCallback)) {
            this.mOkHttpClient.newCall(new Request.Builder().url(str).post(RequestBody.create(str2, MediaType.parse("application/json;charset:utf-8"))).addHeader("content-type", "application/json;charset:utf-8").build()).enqueue(new Callback() { // from class: com.zhuoting.health.tools.HttpUtils.1
                final /* synthetic */ HttpCallback val$callback;
                final /* synthetic */ Context val$context;

                AnonymousClass1(Context context2, HttpCallback httpCallback2) {
                    r2 = context2;
                    r3 = httpCallback2;
                }

                @Override // okhttp3.Callback
                public void onFailure(Call call, IOException iOException) {
                    HttpUtils.this.parseFailed(r2, iOException, r3);
                }

                @Override // okhttp3.Callback
                public void onResponse(Call call, Response response) throws IOException {
                    r3.onSuccess(response.body().string());
                }
            });
        }
    }

    /* renamed from: com.zhuoting.health.tools.HttpUtils$1 */
    class AnonymousClass1 implements Callback {
        final /* synthetic */ HttpCallback val$callback;
        final /* synthetic */ Context val$context;

        AnonymousClass1(Context context2, HttpCallback httpCallback2) {
            r2 = context2;
            r3 = httpCallback2;
        }

        @Override // okhttp3.Callback
        public void onFailure(Call call, IOException iOException) {
            HttpUtils.this.parseFailed(r2, iOException, r3);
        }

        @Override // okhttp3.Callback
        public void onResponse(Call call, Response response) throws IOException {
            r3.onSuccess(response.body().string());
        }
    }

    public void postJsonMsgAsynHttp(Context context, String str, String str2, HttpCallback httpCallback) {
        Request build;
        System.out.println("chong-----------postjson--params==" + str + "--" + str2);
        if (isNetworkAvailable(context, httpCallback)) {
            RequestBody create = RequestBody.create(str2, MediaType.parse("application/json;charset:utf-8"));
            if (str.contains("device.apkamd.com")) {
                build = new Request.Builder().url(str).post(create).addHeader("content-type", "application/json;charset:utf-8").addHeader("Authorization", "Basic cDBydGFsX2dhdGV3NHk6ODJ0TCRSJHpDJkFKN0E2Y0BhPSVwJER6Ug==").build();
            } else {
                build = new Request.Builder().url(str).post(create).addHeader("content-type", "application/json;charset:utf-8").build();
            }
            this.mOkHttpClient.newCall(build).enqueue(new Callback() { // from class: com.zhuoting.health.tools.HttpUtils.2
                final /* synthetic */ HttpCallback val$callback;
                final /* synthetic */ Context val$context;
                final /* synthetic */ String val$url;

                AnonymousClass2(Context context2, HttpCallback httpCallback2, String str3) {
                    r2 = context2;
                    r3 = httpCallback2;
                    r4 = str3;
                }

                @Override // okhttp3.Callback
                public void onFailure(Call call, IOException iOException) {
                    HttpUtils.this.parseFailed(r2, iOException, r3);
                }

                @Override // okhttp3.Callback
                public void onResponse(Call call, Response response) throws IOException {
                    String string = response.body().string();
                    System.out.println("chong-----------postjson--response==" + r4 + "--" + string);
                    try {
                        Result result = (Result) new Gson().fromJson(string, Result.class);
                        if (result != null && result.code == 0) {
                            r3.onSuccess(string);
                        }
                        ((Activity) r2).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.2.1
                            final /* synthetic */ Result val$result;

                            AnonymousClass1(Result result2) {
                                r2 = result2;
                            }

                            @Override // java.lang.Runnable
                            public void run() {
                                HttpUtils httpUtils2 = HttpUtils.this;
                                Result result2 = r2;
                                httpUtils2.showToast(result2 == null ? 101010 : result2.code, r2);
                            }
                        });
                        if (result2 != null && result2.code == 1001) {
                            r3.onSuccess("1");
                        } else {
                            r3.onSuccess(null);
                        }
                    } catch (Exception e) {
                        r3.onSuccess(null);
                        e.printStackTrace();
                    }
                }

                /* renamed from: com.zhuoting.health.tools.HttpUtils$2$1 */
                class AnonymousClass1 implements Runnable {
                    final /* synthetic */ Result val$result;

                    AnonymousClass1(Result result2) {
                        r2 = result2;
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        HttpUtils httpUtils2 = HttpUtils.this;
                        Result result2 = r2;
                        httpUtils2.showToast(result2 == null ? 101010 : result2.code, r2);
                    }
                }
            });
        }
    }

    /* renamed from: com.zhuoting.health.tools.HttpUtils$2 */
    class AnonymousClass2 implements Callback {
        final /* synthetic */ HttpCallback val$callback;
        final /* synthetic */ Context val$context;
        final /* synthetic */ String val$url;

        AnonymousClass2(Context context2, HttpCallback httpCallback2, String str3) {
            r2 = context2;
            r3 = httpCallback2;
            r4 = str3;
        }

        @Override // okhttp3.Callback
        public void onFailure(Call call, IOException iOException) {
            HttpUtils.this.parseFailed(r2, iOException, r3);
        }

        @Override // okhttp3.Callback
        public void onResponse(Call call, Response response) throws IOException {
            String string = response.body().string();
            System.out.println("chong-----------postjson--response==" + r4 + "--" + string);
            try {
                Result result2 = (Result) new Gson().fromJson(string, Result.class);
                if (result2 != null && result2.code == 0) {
                    r3.onSuccess(string);
                }
                ((Activity) r2).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.2.1
                    final /* synthetic */ Result val$result;

                    AnonymousClass1(Result result22) {
                        r2 = result22;
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        HttpUtils httpUtils2 = HttpUtils.this;
                        Result result22 = r2;
                        httpUtils2.showToast(result22 == null ? 101010 : result22.code, r2);
                    }
                });
                if (result22 != null && result22.code == 1001) {
                    r3.onSuccess("1");
                } else {
                    r3.onSuccess(null);
                }
            } catch (Exception e) {
                r3.onSuccess(null);
                e.printStackTrace();
            }
        }

        /* renamed from: com.zhuoting.health.tools.HttpUtils$2$1 */
        class AnonymousClass1 implements Runnable {
            final /* synthetic */ Result val$result;

            AnonymousClass1(Result result22) {
                r2 = result22;
            }

            @Override // java.lang.Runnable
            public void run() {
                HttpUtils httpUtils2 = HttpUtils.this;
                Result result22 = r2;
                httpUtils2.showToast(result22 == null ? 101010 : result22.code, r2);
            }
        }
    }

    public void postMsgAsynHttp(Context context, String str, Map<String, String> map, HttpCallback httpCallback) {
        if (isNetworkAvailable(context, httpCallback)) {
            FormBody.Builder builder = new FormBody.Builder();
            if (map != null) {
                for (String str2 : map.keySet()) {
                    builder.add(str2, map.get(str2));
                }
            }
            this.mOkHttpClient.newCall(new Request.Builder().url(str).post(builder.build()).addHeader("content-type", "application/x-www-form-urlencoded;charset:utf-8").build()).enqueue(new Callback() { // from class: com.zhuoting.health.tools.HttpUtils.3
                final /* synthetic */ HttpCallback val$callback;
                final /* synthetic */ Context val$context;
                final /* synthetic */ String val$url;

                AnonymousClass3(Context context2, HttpCallback httpCallback2, String str3) {
                    r2 = context2;
                    r3 = httpCallback2;
                    r4 = str3;
                }

                @Override // okhttp3.Callback
                public void onFailure(Call call, IOException iOException) {
                    HttpUtils.this.parseFailed(r2, iOException, r3);
                }

                @Override // okhttp3.Callback
                public void onResponse(Call call, Response response) throws IOException {
                    String string = response.body().string();
                    System.out.println("chong-----------post--response==" + r4 + "--" + string);
                    try {
                        ((Activity) r2).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.3.1
                            final /* synthetic */ Result val$result;
                            final /* synthetic */ String val$str;

                            AnonymousClass1(Result result, String string2) {
                                r2 = result;
                                r3 = string2;
                            }

                            @Override // java.lang.Runnable
                            public void run() {
                                Result result = r2;
                                if (result == null || result.code != 0) {
                                    HttpUtils httpUtils2 = HttpUtils.this;
                                    Result result2 = r2;
                                    httpUtils2.showToast(result2 == null ? 101010 : result2.code, r2);
                                    r3.onSuccess(null);
                                    return;
                                }
                                r3.onSuccess(r3);
                            }
                        });
                    } catch (Exception e) {
                        r3.onSuccess(null);
                        e.printStackTrace();
                    }
                }

                /* renamed from: com.zhuoting.health.tools.HttpUtils$3$1 */
                class AnonymousClass1 implements Runnable {
                    final /* synthetic */ Result val$result;
                    final /* synthetic */ String val$str;

                    AnonymousClass1(Result result, String string2) {
                        r2 = result;
                        r3 = string2;
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        Result result = r2;
                        if (result == null || result.code != 0) {
                            HttpUtils httpUtils2 = HttpUtils.this;
                            Result result2 = r2;
                            httpUtils2.showToast(result2 == null ? 101010 : result2.code, r2);
                            r3.onSuccess(null);
                            return;
                        }
                        r3.onSuccess(r3);
                    }
                }
            });
        }
    }

    /* renamed from: com.zhuoting.health.tools.HttpUtils$3 */
    class AnonymousClass3 implements Callback {
        final /* synthetic */ HttpCallback val$callback;
        final /* synthetic */ Context val$context;
        final /* synthetic */ String val$url;

        AnonymousClass3(Context context2, HttpCallback httpCallback2, String str3) {
            r2 = context2;
            r3 = httpCallback2;
            r4 = str3;
        }

        @Override // okhttp3.Callback
        public void onFailure(Call call, IOException iOException) {
            HttpUtils.this.parseFailed(r2, iOException, r3);
        }

        @Override // okhttp3.Callback
        public void onResponse(Call call, Response response) throws IOException {
            String string2 = response.body().string();
            System.out.println("chong-----------post--response==" + r4 + "--" + string2);
            try {
                ((Activity) r2).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.3.1
                    final /* synthetic */ Result val$result;
                    final /* synthetic */ String val$str;

                    AnonymousClass1(Result result, String string22) {
                        r2 = result;
                        r3 = string22;
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        Result result = r2;
                        if (result == null || result.code != 0) {
                            HttpUtils httpUtils2 = HttpUtils.this;
                            Result result2 = r2;
                            httpUtils2.showToast(result2 == null ? 101010 : result2.code, r2);
                            r3.onSuccess(null);
                            return;
                        }
                        r3.onSuccess(r3);
                    }
                });
            } catch (Exception e) {
                r3.onSuccess(null);
                e.printStackTrace();
            }
        }

        /* renamed from: com.zhuoting.health.tools.HttpUtils$3$1 */
        class AnonymousClass1 implements Runnable {
            final /* synthetic */ Result val$result;
            final /* synthetic */ String val$str;

            AnonymousClass1(Result result, String string22) {
                r2 = result;
                r3 = string22;
            }

            @Override // java.lang.Runnable
            public void run() {
                Result result = r2;
                if (result == null || result.code != 0) {
                    HttpUtils httpUtils2 = HttpUtils.this;
                    Result result2 = r2;
                    httpUtils2.showToast(result2 == null ? 101010 : result2.code, r2);
                    r3.onSuccess(null);
                    return;
                }
                r3.onSuccess(r3);
            }
        }
    }

    public void postMsgAsynHttp(int i, Context context, String str, Map<String, String> map, HttpCallback httpCallback) {
        if (isNetworkAvailable(context, httpCallback)) {
            FormBody.Builder builder = new FormBody.Builder();
            if (map != null) {
                for (String str2 : map.keySet()) {
                    builder.add(str2, map.get(str2));
                }
            }
            Call newCall = this.mOkHttpClient.newCall(new Request.Builder().url(str).post(builder.build()).addHeader("content-type", "application/x-www-form-urlencoded;charset:utf-8").build());
            System.out.println("chong-----------url==" + str);
            newCall.enqueue(new Callback() { // from class: com.zhuoting.health.tools.HttpUtils.4
                final /* synthetic */ HttpCallback val$callback;
                final /* synthetic */ Context val$context;
                final /* synthetic */ int val$type;
                final /* synthetic */ String val$url;

                AnonymousClass4(Context context2, HttpCallback httpCallback2, String str3, int i2) {
                    r2 = context2;
                    r3 = httpCallback2;
                    r4 = str3;
                    r5 = i2;
                }

                @Override // okhttp3.Callback
                public void onFailure(Call call, IOException iOException) {
                    HttpUtils.this.parseFailed(r2, iOException, r3);
                }

                @Override // okhttp3.Callback
                public void onResponse(Call call, Response response) throws IOException {
                    String string = response.body().string();
                    System.out.println("chong-----------post--response==" + r4 + "--" + string);
                    try {
                        ((Activity) r2).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.4.1
                            final /* synthetic */ Result val$result;
                            final /* synthetic */ String val$str;

                            AnonymousClass1(Result result, String string2) {
                                r2 = result;
                                r3 = string2;
                            }

                            @Override // java.lang.Runnable
                            public void run() {
                                Result result;
                                Result result2 = r2;
                                if (result2 == null || result2.code != 0) {
                                    if (r5 == 100 && (result = r2) != null && result.code == 1009) {
                                        r3.onSuccess("1");
                                        return;
                                    }
                                    HttpUtils httpUtils2 = HttpUtils.this;
                                    Result result3 = r2;
                                    httpUtils2.showToast(result3 == null ? 101010 : result3.code, r2);
                                    r3.onSuccess(null);
                                    return;
                                }
                                r3.onSuccess(r3);
                            }
                        });
                    } catch (Exception e) {
                        r3.onSuccess(null);
                        e.printStackTrace();
                    }
                }

                /* renamed from: com.zhuoting.health.tools.HttpUtils$4$1 */
                class AnonymousClass1 implements Runnable {
                    final /* synthetic */ Result val$result;
                    final /* synthetic */ String val$str;

                    AnonymousClass1(Result result, String string2) {
                        r2 = result;
                        r3 = string2;
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        Result result;
                        Result result2 = r2;
                        if (result2 == null || result2.code != 0) {
                            if (r5 == 100 && (result = r2) != null && result.code == 1009) {
                                r3.onSuccess("1");
                                return;
                            }
                            HttpUtils httpUtils2 = HttpUtils.this;
                            Result result3 = r2;
                            httpUtils2.showToast(result3 == null ? 101010 : result3.code, r2);
                            r3.onSuccess(null);
                            return;
                        }
                        r3.onSuccess(r3);
                    }
                }
            });
        }
    }

    /* renamed from: com.zhuoting.health.tools.HttpUtils$4 */
    class AnonymousClass4 implements Callback {
        final /* synthetic */ HttpCallback val$callback;
        final /* synthetic */ Context val$context;
        final /* synthetic */ int val$type;
        final /* synthetic */ String val$url;

        AnonymousClass4(Context context2, HttpCallback httpCallback2, String str3, int i2) {
            r2 = context2;
            r3 = httpCallback2;
            r4 = str3;
            r5 = i2;
        }

        @Override // okhttp3.Callback
        public void onFailure(Call call, IOException iOException) {
            HttpUtils.this.parseFailed(r2, iOException, r3);
        }

        @Override // okhttp3.Callback
        public void onResponse(Call call, Response response) throws IOException {
            String string2 = response.body().string();
            System.out.println("chong-----------post--response==" + r4 + "--" + string2);
            try {
                ((Activity) r2).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.4.1
                    final /* synthetic */ Result val$result;
                    final /* synthetic */ String val$str;

                    AnonymousClass1(Result result, String string22) {
                        r2 = result;
                        r3 = string22;
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        Result result;
                        Result result2 = r2;
                        if (result2 == null || result2.code != 0) {
                            if (r5 == 100 && (result = r2) != null && result.code == 1009) {
                                r3.onSuccess("1");
                                return;
                            }
                            HttpUtils httpUtils2 = HttpUtils.this;
                            Result result3 = r2;
                            httpUtils2.showToast(result3 == null ? 101010 : result3.code, r2);
                            r3.onSuccess(null);
                            return;
                        }
                        r3.onSuccess(r3);
                    }
                });
            } catch (Exception e) {
                r3.onSuccess(null);
                e.printStackTrace();
            }
        }

        /* renamed from: com.zhuoting.health.tools.HttpUtils$4$1 */
        class AnonymousClass1 implements Runnable {
            final /* synthetic */ Result val$result;
            final /* synthetic */ String val$str;

            AnonymousClass1(Result result, String string22) {
                r2 = result;
                r3 = string22;
            }

            @Override // java.lang.Runnable
            public void run() {
                Result result;
                Result result2 = r2;
                if (result2 == null || result2.code != 0) {
                    if (r5 == 100 && (result = r2) != null && result.code == 1009) {
                        r3.onSuccess("1");
                        return;
                    }
                    HttpUtils httpUtils2 = HttpUtils.this;
                    Result result3 = r2;
                    httpUtils2.showToast(result3 == null ? 101010 : result3.code, r2);
                    r3.onSuccess(null);
                    return;
                }
                r3.onSuccess(r3);
            }
        }
    }

    public void getMsgAsynHttp(Context context, String str, Map<String, String> map, HttpCallback httpCallback) {
        if (isNetworkAvailable(context, httpCallback)) {
            if (map != null && map.size() > 0) {
                String str2 = str + "?";
                for (String str3 : map.keySet()) {
                    str2 = str2 + str3 + "=" + map.get(str3) + "&";
                }
                str = str2.substring(0, str2.length() - 1);
            }
            System.out.println("chong---------url==" + str);
            this.mOkHttpClient.newCall(new Request.Builder().url(str).addHeader("content-type", "application/x-www-form-urlencoded;charset:utf-8").build()).enqueue(new Callback() { // from class: com.zhuoting.health.tools.HttpUtils.5
                final /* synthetic */ HttpCallback val$callback;
                final /* synthetic */ Context val$context;

                AnonymousClass5(Context context2, HttpCallback httpCallback2) {
                    r2 = context2;
                    r3 = httpCallback2;
                }

                @Override // okhttp3.Callback
                public void onFailure(Call call, IOException iOException) {
                    HttpUtils.this.parseFailed(r2, iOException, r3);
                }

                @Override // okhttp3.Callback
                public void onResponse(Call call, Response response) throws IOException {
                    String string = response.body().string();
                    System.out.println("chong-----------get--response==" + string);
                    try {
                        Result result = (Result) new Gson().fromJson(string, Result.class);
                        System.out.println("chong-----------get--code==" + result.code);
                        ((Activity) r2).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.5.1
                            final /* synthetic */ Result val$result;
                            final /* synthetic */ String val$str;

                            AnonymousClass1(Result result2, String string2) {
                                r2 = result2;
                                r3 = string2;
                            }

                            @Override // java.lang.Runnable
                            public void run() {
                                Result result2 = r2;
                                if (result2 == null || result2.code != 0) {
                                    HttpUtils httpUtils2 = HttpUtils.this;
                                    Result result3 = r2;
                                    httpUtils2.showToast(result3 == null ? 101010 : result3.code, r2);
                                    r3.onSuccess(null);
                                    return;
                                }
                                r3.onSuccess(r3);
                            }
                        });
                    } catch (Exception e) {
                        r3.onSuccess(null);
                        e.printStackTrace();
                    }
                }

                /* renamed from: com.zhuoting.health.tools.HttpUtils$5$1 */
                class AnonymousClass1 implements Runnable {
                    final /* synthetic */ Result val$result;
                    final /* synthetic */ String val$str;

                    AnonymousClass1(Result result2, String string2) {
                        r2 = result2;
                        r3 = string2;
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        Result result2 = r2;
                        if (result2 == null || result2.code != 0) {
                            HttpUtils httpUtils2 = HttpUtils.this;
                            Result result3 = r2;
                            httpUtils2.showToast(result3 == null ? 101010 : result3.code, r2);
                            r3.onSuccess(null);
                            return;
                        }
                        r3.onSuccess(r3);
                    }
                }
            });
        }
    }

    /* renamed from: com.zhuoting.health.tools.HttpUtils$5 */
    class AnonymousClass5 implements Callback {
        final /* synthetic */ HttpCallback val$callback;
        final /* synthetic */ Context val$context;

        AnonymousClass5(Context context2, HttpCallback httpCallback2) {
            r2 = context2;
            r3 = httpCallback2;
        }

        @Override // okhttp3.Callback
        public void onFailure(Call call, IOException iOException) {
            HttpUtils.this.parseFailed(r2, iOException, r3);
        }

        @Override // okhttp3.Callback
        public void onResponse(Call call, Response response) throws IOException {
            String string2 = response.body().string();
            System.out.println("chong-----------get--response==" + string2);
            try {
                Result result2 = (Result) new Gson().fromJson(string2, Result.class);
                System.out.println("chong-----------get--code==" + result2.code);
                ((Activity) r2).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.5.1
                    final /* synthetic */ Result val$result;
                    final /* synthetic */ String val$str;

                    AnonymousClass1(Result result22, String string22) {
                        r2 = result22;
                        r3 = string22;
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        Result result22 = r2;
                        if (result22 == null || result22.code != 0) {
                            HttpUtils httpUtils2 = HttpUtils.this;
                            Result result3 = r2;
                            httpUtils2.showToast(result3 == null ? 101010 : result3.code, r2);
                            r3.onSuccess(null);
                            return;
                        }
                        r3.onSuccess(r3);
                    }
                });
            } catch (Exception e) {
                r3.onSuccess(null);
                e.printStackTrace();
            }
        }

        /* renamed from: com.zhuoting.health.tools.HttpUtils$5$1 */
        class AnonymousClass1 implements Runnable {
            final /* synthetic */ Result val$result;
            final /* synthetic */ String val$str;

            AnonymousClass1(Result result22, String string22) {
                r2 = result22;
                r3 = string22;
            }

            @Override // java.lang.Runnable
            public void run() {
                Result result22 = r2;
                if (result22 == null || result22.code != 0) {
                    HttpUtils httpUtils2 = HttpUtils.this;
                    Result result3 = r2;
                    httpUtils2.showToast(result3 == null ? 101010 : result3.code, r2);
                    r3.onSuccess(null);
                    return;
                }
                r3.onSuccess(r3);
            }
        }
    }

    public void upload(Context context, String str, String str2, File file, HttpCallback httpCallback) {
        Request build = new Request.Builder().url(str).post(new MultipartBody.Builder().setType(MultipartBody.FORM).addFormDataPart(str2, file.getName(), RequestBody.create(file, MediaType.parse("multipart/form-data"))).addFormDataPart("token", (String) SPUtils.get(context, "token", "")).build()).build();
        System.out.println("chong-------------url==" + str + "--fileKey==" + str2 + "--fileName==" + file.getName() + "--file==" + file);
        this.mOkHttpClient.newCall(build).enqueue(new Callback() { // from class: com.zhuoting.health.tools.HttpUtils.6
            final /* synthetic */ HttpCallback val$callback;
            final /* synthetic */ Context val$context;

            AnonymousClass6(Context context2, HttpCallback httpCallback2) {
                r2 = context2;
                r3 = httpCallback2;
            }

            @Override // okhttp3.Callback
            public void onFailure(Call call, IOException iOException) {
                HttpUtils.this.parseFailed(r2, iOException, r3);
            }

            @Override // okhttp3.Callback
            public void onResponse(Call call, Response response) throws IOException {
                String string = response.body().string();
                System.out.println("chong-----------get--response==" + string);
                try {
                    ((Activity) r2).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.6.1
                        final /* synthetic */ Result val$result;
                        final /* synthetic */ String val$str;

                        AnonymousClass1(Result result, String string2) {
                            r2 = result;
                            r3 = string2;
                        }

                        @Override // java.lang.Runnable
                        public void run() {
                            Result result = r2;
                            if (result == null || result.code != 0) {
                                HttpUtils httpUtils2 = HttpUtils.this;
                                Result result2 = r2;
                                httpUtils2.showToast(result2 == null ? 101010 : result2.code, r2);
                                r3.onSuccess(null);
                                return;
                            }
                            r3.onSuccess(r3);
                        }
                    });
                } catch (Exception e) {
                    r3.onSuccess(null);
                    e.printStackTrace();
                }
            }

            /* renamed from: com.zhuoting.health.tools.HttpUtils$6$1 */
            class AnonymousClass1 implements Runnable {
                final /* synthetic */ Result val$result;
                final /* synthetic */ String val$str;

                AnonymousClass1(Result result, String string2) {
                    r2 = result;
                    r3 = string2;
                }

                @Override // java.lang.Runnable
                public void run() {
                    Result result = r2;
                    if (result == null || result.code != 0) {
                        HttpUtils httpUtils2 = HttpUtils.this;
                        Result result2 = r2;
                        httpUtils2.showToast(result2 == null ? 101010 : result2.code, r2);
                        r3.onSuccess(null);
                        return;
                    }
                    r3.onSuccess(r3);
                }
            }
        });
    }

    /* renamed from: com.zhuoting.health.tools.HttpUtils$6 */
    class AnonymousClass6 implements Callback {
        final /* synthetic */ HttpCallback val$callback;
        final /* synthetic */ Context val$context;

        AnonymousClass6(Context context2, HttpCallback httpCallback2) {
            r2 = context2;
            r3 = httpCallback2;
        }

        @Override // okhttp3.Callback
        public void onFailure(Call call, IOException iOException) {
            HttpUtils.this.parseFailed(r2, iOException, r3);
        }

        @Override // okhttp3.Callback
        public void onResponse(Call call, Response response) throws IOException {
            String string2 = response.body().string();
            System.out.println("chong-----------get--response==" + string2);
            try {
                ((Activity) r2).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.6.1
                    final /* synthetic */ Result val$result;
                    final /* synthetic */ String val$str;

                    AnonymousClass1(Result result, String string22) {
                        r2 = result;
                        r3 = string22;
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        Result result = r2;
                        if (result == null || result.code != 0) {
                            HttpUtils httpUtils2 = HttpUtils.this;
                            Result result2 = r2;
                            httpUtils2.showToast(result2 == null ? 101010 : result2.code, r2);
                            r3.onSuccess(null);
                            return;
                        }
                        r3.onSuccess(r3);
                    }
                });
            } catch (Exception e) {
                r3.onSuccess(null);
                e.printStackTrace();
            }
        }

        /* renamed from: com.zhuoting.health.tools.HttpUtils$6$1 */
        class AnonymousClass1 implements Runnable {
            final /* synthetic */ Result val$result;
            final /* synthetic */ String val$str;

            AnonymousClass1(Result result, String string22) {
                r2 = result;
                r3 = string22;
            }

            @Override // java.lang.Runnable
            public void run() {
                Result result = r2;
                if (result == null || result.code != 0) {
                    HttpUtils httpUtils2 = HttpUtils.this;
                    Result result2 = r2;
                    httpUtils2.showToast(result2 == null ? 101010 : result2.code, r2);
                    r3.onSuccess(null);
                    return;
                }
                r3.onSuccess(r3);
            }
        }
    }

    public void upload(Context context, String str, Map<String, String> map, String str2, List<File> list, HttpCallback httpCallback) {
        MultipartBody.Builder type = new MultipartBody.Builder().setType(MultipartBody.FORM);
        if (list != null) {
            for (File file : list) {
                type.addFormDataPart(str2, file.getName(), RequestBody.create(file, MediaType.parse("multipart/form-data")));
            }
        }
        if (map != null) {
            for (String str3 : map.keySet()) {
                type.addFormDataPart(str3, map.get(str3));
            }
        }
        this.mOkHttpClient.newCall(new Request.Builder().url(str).post(type.build()).build()).enqueue(new Callback() { // from class: com.zhuoting.health.tools.HttpUtils.7
            final /* synthetic */ HttpCallback val$callback;
            final /* synthetic */ Context val$context;

            AnonymousClass7(Context context2, HttpCallback httpCallback2) {
                r2 = context2;
                r3 = httpCallback2;
            }

            @Override // okhttp3.Callback
            public void onFailure(Call call, IOException iOException) {
                HttpUtils.this.parseFailed(r2, iOException, r3);
            }

            @Override // okhttp3.Callback
            public void onResponse(Call call, Response response) throws IOException {
                String string = response.body().string();
                System.out.println("chong-----------get--response==" + string);
                try {
                    Result result = (Result) new Gson().fromJson(string, Result.class);
                    if (result != null && result.code == 0) {
                        r3.onSuccess(string);
                    }
                    r3.onSuccess(null);
                } catch (Exception e) {
                    r3.onSuccess(null);
                    e.printStackTrace();
                }
            }
        });
    }

    /* renamed from: com.zhuoting.health.tools.HttpUtils$7 */
    class AnonymousClass7 implements Callback {
        final /* synthetic */ HttpCallback val$callback;
        final /* synthetic */ Context val$context;

        AnonymousClass7(Context context2, HttpCallback httpCallback2) {
            r2 = context2;
            r3 = httpCallback2;
        }

        @Override // okhttp3.Callback
        public void onFailure(Call call, IOException iOException) {
            HttpUtils.this.parseFailed(r2, iOException, r3);
        }

        @Override // okhttp3.Callback
        public void onResponse(Call call, Response response) throws IOException {
            String string = response.body().string();
            System.out.println("chong-----------get--response==" + string);
            try {
                Result result = (Result) new Gson().fromJson(string, Result.class);
                if (result != null && result.code == 0) {
                    r3.onSuccess(string);
                }
                r3.onSuccess(null);
            } catch (Exception e) {
                r3.onSuccess(null);
                e.printStackTrace();
            }
        }
    }

    /* renamed from: com.zhuoting.health.tools.HttpUtils$8 */
    class AnonymousClass8 implements Callback {
        final /* synthetic */ OnDownloadListener val$listener;
        final /* synthetic */ String val$saveDir;
        final /* synthetic */ String val$url;

        AnonymousClass8(OnDownloadListener onDownloadListener, String str, String str2) {
            r2 = onDownloadListener;
            r3 = str;
            r4 = str2;
        }

        @Override // okhttp3.Callback
        public void onFailure(Call call, IOException iOException) {
            r2.onDownloadFailed();
        }

        /* JADX WARN: Removed duplicated region for block: B:54:0x00ad A[EXC_TOP_SPLITTER, SYNTHETIC] */
        /* JADX WARN: Removed duplicated region for block: B:61:? A[SYNTHETIC] */
        /* JADX WARN: Removed duplicated region for block: B:62:0x00a3 A[EXC_TOP_SPLITTER, SYNTHETIC] */
        /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:69:0x009c -> B:25:0x009f). Please report as a decompilation issue!!! */
        @Override // okhttp3.Callback
        /*
            Code decompiled incorrectly, please refer to instructions dump.
            To view partially-correct code enable 'Show inconsistent code' option in preferences
        */
        public void onResponse(okhttp3.Call r10, okhttp3.Response r11) {
            /*
                r9 = this;
                r10 = 1024(0x400, float:1.435E-42)
                byte[] r10 = new byte[r10]
                r0 = 0
                okhttp3.ResponseBody r1 = r11.body()     // Catch: java.lang.Throwable -> L7e java.lang.Exception -> L81
                java.io.InputStream r1 = r1.byteStream()     // Catch: java.lang.Throwable -> L7e java.lang.Exception -> L81
                okhttp3.ResponseBody r11 = r11.body()     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                long r2 = r11.getContentLength()     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                java.io.File r11 = new java.io.File     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                java.lang.String r4 = r3     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                com.zhuoting.health.tools.HttpUtils r5 = com.zhuoting.health.tools.HttpUtils.this     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                java.lang.String r6 = r4     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                java.lang.String r5 = com.zhuoting.health.tools.HttpUtils.access$200(r5, r6)     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                r11.<init>(r4, r5)     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                boolean r4 = r11.exists()     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                if (r4 == 0) goto L38
                r11.delete()     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                if (r1 == 0) goto L37
                r1.close()     // Catch: java.io.IOException -> L33
                goto L37
            L33:
                r10 = move-exception
                r10.printStackTrace()
            L37:
                return
            L38:
                java.io.FileOutputStream r4 = new java.io.FileOutputStream     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                r4.<init>(r11)     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                r5 = 0
            L3f:
                int r11 = r1.read(r10)     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                r0 = -1
                if (r11 == r0) goto L5c
                r0 = 0
                r4.write(r10, r0, r11)     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                long r7 = (long) r11     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                long r5 = r5 + r7
                float r11 = (float) r5     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                r0 = 1065353216(0x3f800000, float:1.0)
                float r11 = r11 * r0
                float r0 = (float) r2     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                float r11 = r11 / r0
                r0 = 1120403456(0x42c80000, float:100.0)
                float r11 = r11 * r0
                int r11 = (int) r11     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                com.zhuoting.health.tools.HttpUtils$OnDownloadListener r0 = r2     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                r0.onDownloading(r11)     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                goto L3f
            L5c:
                r4.flush()     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                com.zhuoting.health.tools.HttpUtils$OnDownloadListener r10 = r2     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                r10.onDownloadSuccess()     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                if (r1 == 0) goto L6e
                r1.close()     // Catch: java.io.IOException -> L6a
                goto L6e
            L6a:
                r10 = move-exception
                r10.printStackTrace()
            L6e:
                r4.close()     // Catch: java.io.IOException -> L9b
                goto L9f
            L72:
                r10 = move-exception
                goto L78
            L74:
                r10 = move-exception
                goto L7c
            L76:
                r10 = move-exception
                r4 = r0
            L78:
                r0 = r1
                goto La1
            L7a:
                r10 = move-exception
                r4 = r0
            L7c:
                r0 = r1
                goto L83
            L7e:
                r10 = move-exception
                r4 = r0
                goto La1
            L81:
                r10 = move-exception
                r4 = r0
            L83:
                r10.printStackTrace()     // Catch: java.lang.Throwable -> La0
                com.zhuoting.health.tools.HttpUtils$OnDownloadListener r10 = r2     // Catch: java.lang.Throwable -> La0
                r10.onDownloadFailed()     // Catch: java.lang.Throwable -> La0
                if (r0 == 0) goto L95
                r0.close()     // Catch: java.io.IOException -> L91
                goto L95
            L91:
                r10 = move-exception
                r10.printStackTrace()
            L95:
                if (r4 == 0) goto L9f
                r4.close()     // Catch: java.io.IOException -> L9b
                goto L9f
            L9b:
                r10 = move-exception
                r10.printStackTrace()
            L9f:
                return
            La0:
                r10 = move-exception
            La1:
                if (r0 == 0) goto Lab
                r0.close()     // Catch: java.io.IOException -> La7
                goto Lab
            La7:
                r11 = move-exception
                r11.printStackTrace()
            Lab:
                if (r4 == 0) goto Lb5
                r4.close()     // Catch: java.io.IOException -> Lb1
                goto Lb5
            Lb1:
                r11 = move-exception
                r11.printStackTrace()
            Lb5:
                throw r10
            */
            throw new UnsupportedOperationException("Method not decompiled: com.zhuoting.health.tools.HttpUtils.AnonymousClass8.onResponse(okhttp3.Call, okhttp3.Response):void");
        }
    }

    public void download(Context context, String str, String str2, OnDownloadListener onDownloadListener) {
        new OkHttpClient().newCall(new Request.Builder().url(str).build()).enqueue(new Callback() { // from class: com.zhuoting.health.tools.HttpUtils.8
            final /* synthetic */ OnDownloadListener val$listener;
            final /* synthetic */ String val$saveDir;
            final /* synthetic */ String val$url;

            AnonymousClass8(OnDownloadListener onDownloadListener2, String str22, String str3) {
                r2 = onDownloadListener2;
                r3 = str22;
                r4 = str3;
            }

            @Override // okhttp3.Callback
            public void onFailure(Call call, IOException iOException) {
                r2.onDownloadFailed();
            }

            @Override // okhttp3.Callback
            public void onResponse(Call call, Response response) {
                /*
                    this = this;
                    r10 = 1024(0x400, float:1.435E-42)
                    byte[] r10 = new byte[r10]
                    r0 = 0
                    okhttp3.ResponseBody r1 = r11.body()     // Catch: java.lang.Throwable -> L7e java.lang.Exception -> L81
                    java.io.InputStream r1 = r1.byteStream()     // Catch: java.lang.Throwable -> L7e java.lang.Exception -> L81
                    okhttp3.ResponseBody r11 = r11.body()     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                    long r2 = r11.getContentLength()     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                    java.io.File r11 = new java.io.File     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                    java.lang.String r4 = r3     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                    com.zhuoting.health.tools.HttpUtils r5 = com.zhuoting.health.tools.HttpUtils.this     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                    java.lang.String r6 = r4     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                    java.lang.String r5 = com.zhuoting.health.tools.HttpUtils.access$200(r5, r6)     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                    r11.<init>(r4, r5)     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                    boolean r4 = r11.exists()     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                    if (r4 == 0) goto L38
                    r11.delete()     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                    if (r1 == 0) goto L37
                    r1.close()     // Catch: java.io.IOException -> L33
                    goto L37
                L33:
                    r10 = move-exception
                    r10.printStackTrace()
                L37:
                    return
                L38:
                    java.io.FileOutputStream r4 = new java.io.FileOutputStream     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                    r4.<init>(r11)     // Catch: java.lang.Throwable -> L76 java.lang.Exception -> L7a
                    r5 = 0
                L3f:
                    int r11 = r1.read(r10)     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                    r0 = -1
                    if (r11 == r0) goto L5c
                    r0 = 0
                    r4.write(r10, r0, r11)     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                    long r7 = (long) r11     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                    long r5 = r5 + r7
                    float r11 = (float) r5     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                    r0 = 1065353216(0x3f800000, float:1.0)
                    float r11 = r11 * r0
                    float r0 = (float) r2     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                    float r11 = r11 / r0
                    r0 = 1120403456(0x42c80000, float:100.0)
                    float r11 = r11 * r0
                    int r11 = (int) r11     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                    com.zhuoting.health.tools.HttpUtils$OnDownloadListener r0 = r2     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                    r0.onDownloading(r11)     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                    goto L3f
                L5c:
                    r4.flush()     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                    com.zhuoting.health.tools.HttpUtils$OnDownloadListener r10 = r2     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                    r10.onDownloadSuccess()     // Catch: java.lang.Throwable -> L72 java.lang.Exception -> L74
                    if (r1 == 0) goto L6e
                    r1.close()     // Catch: java.io.IOException -> L6a
                    goto L6e
                L6a:
                    r10 = move-exception
                    r10.printStackTrace()
                L6e:
                    r4.close()     // Catch: java.io.IOException -> L9b
                    goto L9f
                L72:
                    r10 = move-exception
                    goto L78
                L74:
                    r10 = move-exception
                    goto L7c
                L76:
                    r10 = move-exception
                    r4 = r0
                L78:
                    r0 = r1
                    goto La1
                L7a:
                    r10 = move-exception
                    r4 = r0
                L7c:
                    r0 = r1
                    goto L83
                L7e:
                    r10 = move-exception
                    r4 = r0
                    goto La1
                L81:
                    r10 = move-exception
                    r4 = r0
                L83:
                    r10.printStackTrace()     // Catch: java.lang.Throwable -> La0
                    com.zhuoting.health.tools.HttpUtils$OnDownloadListener r10 = r2     // Catch: java.lang.Throwable -> La0
                    r10.onDownloadFailed()     // Catch: java.lang.Throwable -> La0
                    if (r0 == 0) goto L95
                    r0.close()     // Catch: java.io.IOException -> L91
                    goto L95
                L91:
                    r10 = move-exception
                    r10.printStackTrace()
                L95:
                    if (r4 == 0) goto L9f
                    r4.close()     // Catch: java.io.IOException -> L9b
                    goto L9f
                L9b:
                    r10 = move-exception
                    r10.printStackTrace()
                L9f:
                    return
                La0:
                    r10 = move-exception
                La1:
                    if (r0 == 0) goto Lab
                    r0.close()     // Catch: java.io.IOException -> La7
                    goto Lab
                La7:
                    r11 = move-exception
                    r11.printStackTrace()
                Lab:
                    if (r4 == 0) goto Lb5
                    r4.close()     // Catch: java.io.IOException -> Lb1
                    goto Lb5
                Lb1:
                    r11 = move-exception
                    r11.printStackTrace()
                Lb5:
                    throw r10
                */
                throw new UnsupportedOperationException("Method not decompiled: com.zhuoting.health.tools.HttpUtils.AnonymousClass8.onResponse(okhttp3.Call, okhttp3.Response):void");
            }
        });
    }

    public String getNameFromUrl(String str) {
        if (str == null) {
            return null;
        }
        return str.substring(str.lastIndexOf("/") + 1);
    }

    public void parseFailed(Context context, IOException iOException, HttpCallback httpCallback) {
        iOException.printStackTrace();
        if (context instanceof Activity) {
            ((Activity) context).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.9
                final /* synthetic */ HttpCallback val$callback;
                final /* synthetic */ Context val$context;

                AnonymousClass9(HttpCallback httpCallback2, Context context2) {
                    r2 = httpCallback2;
                    r3 = context2;
                }

                @Override // java.lang.Runnable
                public void run() {
                    HttpCallback httpCallback2 = r2;
                    if (httpCallback2 != null) {
                        httpCallback2.onSuccess(null);
                        Context context2 = r3;
                        Toast.makeText(context2, context2.getResources().getString(R.string.server_exception2), 0).show();
                    }
                }
            });
        } else if (httpCallback2 != null) {
            httpCallback2.onSuccess(null);
        }
    }

    /* renamed from: com.zhuoting.health.tools.HttpUtils$9 */
    class AnonymousClass9 implements Runnable {
        final /* synthetic */ HttpCallback val$callback;
        final /* synthetic */ Context val$context;

        AnonymousClass9(HttpCallback httpCallback2, Context context2) {
            r2 = httpCallback2;
            r3 = context2;
        }

        @Override // java.lang.Runnable
        public void run() {
            HttpCallback httpCallback2 = r2;
            if (httpCallback2 != null) {
                httpCallback2.onSuccess(null);
                Context context2 = r3;
                Toast.makeText(context2, context2.getResources().getString(R.string.server_exception2), 0).show();
            }
        }
    }

    public void showToast(int i, Context context) {
        if (context == null) {
            return;
        }
        if (i == 400) {
            Toast.makeText(context, context.getResources().getString(R.string.wrong_account_or_password), 0).show();
            return;
        }
        if (i == 500) {
            Toast.makeText(context, context.getResources().getString(R.string.server_exception2), 0).show();
            return;
        }
        if (i == 700) {
            Toast.makeText(context, context.getString(R.string.please_relogin), 0).show();
            return;
        }
        if (i == 1006) {
            Toast.makeText(context, context.getResources().getString(R.string.no_data_found), 0).show();
            return;
        }
        if (i == 2629) {
            Toast.makeText(context, context.getResources().getString(R.string.sms_out_of_limit), 0).show();
            return;
        }
        if (i == 40001) {
            Toast.makeText(context, context.getString(R.string.token_invalid), 0).show();
            return;
        }
        if (i == 101034) {
            Toast.makeText(context, context.getString(R.string.wechat_login_failed), 0).show();
            return;
        }
        if (i == 2009) {
            Toast.makeText(context, context.getResources().getString(R.string.the_parameter_is_empty), 0).show();
            return;
        }
        if (i != 2010) {
            switch (i) {
                case 1002:
                    Toast.makeText(context, context.getResources().getString(R.string.invalid_parameter), 0).show();
                    break;
                case 1003:
                    Toast.makeText(context, context.getResources().getString(R.string.user_already_exists), 0).show();
                    break;
                case 1004:
                    Toast.makeText(context, context.getResources().getString(R.string.verification_code_error), 0).show();
                    break;
                default:
                    switch (i) {
                        case 1009:
                            Toast.makeText(context, context.getResources().getString(R.string.user_does_not_exist), 0).show();
                            break;
                        case 1010:
                            Toast.makeText(context, context.getResources().getString(R.string.user_password_error), 0).show();
                            break;
                        case 1011:
                            Toast.makeText(context, context.getResources().getString(R.string.the_password_doesnt_match_twice), 0).show();
                            break;
                        case 1012:
                            Toast.makeText(context, context.getResources().getString(R.string.old_password_error), 0).show();
                            break;
                        case 1013:
                            Toast.makeText(context, context.getResources().getString(R.string.failed_to_send_mail), 0).show();
                            break;
                        default:
                            switch (i) {
                                case PointerIconCompat.TYPE_VERTICAL_DOUBLE_ARROW /* 1015 */:
                                    Toast.makeText(context, context.getResources().getString(R.string.user_information_not_found), 0).show();
                                    break;
                                case PointerIconCompat.TYPE_TOP_RIGHT_DIAGONAL_DOUBLE_ARROW /* 1016 */:
                                    Toast.makeText(context, context.getResources().getString(R.string.applied_please_do_not_repeat_application), 0).show();
                                    break;
                                case PointerIconCompat.TYPE_TOP_LEFT_DIAGONAL_DOUBLE_ARROW /* 1017 */:
                                    Toast.makeText(context, context.getResources().getString(R.string.you_are_already_friends_Please_dont_apply_again), 0).show();
                                    break;
                                case PointerIconCompat.TYPE_ZOOM_IN /* 1018 */:
                                    Toast.makeText(context, context.getResources().getString(R.string.you_cannot_add_yourself_as_a_relative_or_friend), 0).show();
                                    break;
                                case PointerIconCompat.TYPE_ZOOM_OUT /* 1019 */:
                                    Toast.makeText(context, context.getResources().getString(R.string.you_cancel_adding_yourself_as_a_friend), 0).show();
                                    break;
                                case PointerIconCompat.TYPE_GRAB /* 1020 */:
                                    Toast.makeText(context, context.getResources().getString(R.string.users_cannot_delete_themselves), 0).show();
                                    break;
                                case 1021:
                                    Toast.makeText(context, context.getResources().getString(R.string.illegal_account), 0).show();
                                    break;
                            }
                    }
            }
            return;
        }
        Toast.makeText(context, context.getResources().getString(R.string.failed_to_get_weather), 0).show();
    }

    private class Result {
        public int code = -1;

        private Result() {
        }
    }

    private static class TrustAllCerts implements X509TrustManager {
        @Override // javax.net.ssl.X509TrustManager
        public void checkClientTrusted(X509Certificate[] x509CertificateArr, String str) throws CertificateException {
        }

        @Override // javax.net.ssl.X509TrustManager
        public void checkServerTrusted(X509Certificate[] x509CertificateArr, String str) throws CertificateException {
        }

        @Override // javax.net.ssl.X509TrustManager
        public X509Certificate[] getAcceptedIssuers() {
            return new X509Certificate[0];
        }

        private TrustAllCerts() {
        }

        /* synthetic */ TrustAllCerts(AnonymousClass1 anonymousClass1) {
            this();
        }
    }

    private static class TrustAllHostnameVerifier implements HostnameVerifier {
        @Override // javax.net.ssl.HostnameVerifier
        public boolean verify(String str, SSLSession sSLSession) {
            return true;
        }

        private TrustAllHostnameVerifier() {
        }
    }

    private static SSLSocketFactory createSSLSocketFactory() {
        try {
            SSLContext sSLContext = SSLContext.getInstance("TLS");
            sSLContext.init(null, new TrustManager[]{new TrustAllCerts()}, new SecureRandom());
            return sSLContext.getSocketFactory();
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    public void postMsgCareHomeAsynHttp(Context context, String str, Map<String, String> map, HttpCallback httpCallback) {
        if (isNetworkAvailable(context, httpCallback)) {
            FormBody.Builder builder = new FormBody.Builder();
            if (map != null) {
                for (String str2 : map.keySet()) {
                    builder.add(str2, map.get(str2));
                }
            }
            this.mOkHttpClient.newCall(new Request.Builder().url(str).post(builder.build()).addHeader("content-type", "application/x-www-form-urlencoded;charset:utf-8").build()).enqueue(new Callback() { // from class: com.zhuoting.health.tools.HttpUtils.10
                final /* synthetic */ HttpCallback val$callback;
                final /* synthetic */ Context val$context;
                final /* synthetic */ String val$url;

                AnonymousClass10(Context context2, HttpCallback httpCallback2, String str3) {
                    r2 = context2;
                    r3 = httpCallback2;
                    r4 = str3;
                }

                @Override // okhttp3.Callback
                public void onFailure(Call call, IOException iOException) {
                    iOException.printStackTrace();
                    Context context2 = r2;
                    if (context2 instanceof Activity) {
                        ((Activity) context2).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.10.1
                            AnonymousClass1() {
                            }

                            @Override // java.lang.Runnable
                            public void run() {
                                if (r3 != null) {
                                    r3.onSuccess("1");
                                }
                            }
                        });
                        return;
                    }
                    HttpCallback httpCallback2 = r3;
                    if (httpCallback2 != null) {
                        httpCallback2.onSuccess("1");
                    }
                }

                /* renamed from: com.zhuoting.health.tools.HttpUtils$10$1 */
                class AnonymousClass1 implements Runnable {
                    AnonymousClass1() {
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        if (r3 != null) {
                            r3.onSuccess("1");
                        }
                    }
                }

                @Override // okhttp3.Callback
                public void onResponse(Call call, Response response) throws IOException {
                    String string = response.body().string();
                    System.out.println("chong-----------post--response==" + r4 + "--" + string);
                    try {
                        Result result = (Result) new Gson().fromJson(string, Result.class);
                        Context context2 = r2;
                        if (context2 instanceof Activity) {
                            ((Activity) context2).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.10.2
                                final /* synthetic */ Result val$result;
                                final /* synthetic */ String val$str;

                                AnonymousClass2(Result result2, String string2) {
                                    r2 = result2;
                                    r3 = string2;
                                }

                                @Override // java.lang.Runnable
                                public void run() {
                                    Result result2 = r2;
                                    if (result2 == null || result2.code != 0) {
                                        Result result3 = r2;
                                        if (result3 == null || result3.code == 500 || r2.code == 1001) {
                                            if (r3 != null) {
                                                r3.onSuccess("1");
                                                return;
                                            }
                                            return;
                                        } else {
                                            HttpUtils httpUtils2 = HttpUtils.this;
                                            Result result4 = r2;
                                            httpUtils2.showToast(result4 == null ? 101010 : result4.code, r2);
                                            if (r3 != null) {
                                                r3.onSuccess(null);
                                                return;
                                            }
                                            return;
                                        }
                                    }
                                    r3.onSuccess(r3);
                                }
                            });
                        } else {
                            HttpCallback httpCallback2 = r3;
                            if (httpCallback2 != null) {
                                httpCallback2.onSuccess("1");
                            }
                        }
                    } catch (Exception e) {
                        r3.onSuccess("1");
                        e.printStackTrace();
                    }
                }

                /* renamed from: com.zhuoting.health.tools.HttpUtils$10$2 */
                class AnonymousClass2 implements Runnable {
                    final /* synthetic */ Result val$result;
                    final /* synthetic */ String val$str;

                    AnonymousClass2(Result result2, String string2) {
                        r2 = result2;
                        r3 = string2;
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        Result result2 = r2;
                        if (result2 == null || result2.code != 0) {
                            Result result3 = r2;
                            if (result3 == null || result3.code == 500 || r2.code == 1001) {
                                if (r3 != null) {
                                    r3.onSuccess("1");
                                    return;
                                }
                                return;
                            } else {
                                HttpUtils httpUtils2 = HttpUtils.this;
                                Result result4 = r2;
                                httpUtils2.showToast(result4 == null ? 101010 : result4.code, r2);
                                if (r3 != null) {
                                    r3.onSuccess(null);
                                    return;
                                }
                                return;
                            }
                        }
                        r3.onSuccess(r3);
                    }
                }
            });
        }
    }

    /* renamed from: com.zhuoting.health.tools.HttpUtils$10 */
    class AnonymousClass10 implements Callback {
        final /* synthetic */ HttpCallback val$callback;
        final /* synthetic */ Context val$context;
        final /* synthetic */ String val$url;

        AnonymousClass10(Context context2, HttpCallback httpCallback2, String str3) {
            r2 = context2;
            r3 = httpCallback2;
            r4 = str3;
        }

        @Override // okhttp3.Callback
        public void onFailure(Call call, IOException iOException) {
            iOException.printStackTrace();
            Context context2 = r2;
            if (context2 instanceof Activity) {
                ((Activity) context2).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.10.1
                    AnonymousClass1() {
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        if (r3 != null) {
                            r3.onSuccess("1");
                        }
                    }
                });
                return;
            }
            HttpCallback httpCallback2 = r3;
            if (httpCallback2 != null) {
                httpCallback2.onSuccess("1");
            }
        }

        /* renamed from: com.zhuoting.health.tools.HttpUtils$10$1 */
        class AnonymousClass1 implements Runnable {
            AnonymousClass1() {
            }

            @Override // java.lang.Runnable
            public void run() {
                if (r3 != null) {
                    r3.onSuccess("1");
                }
            }
        }

        @Override // okhttp3.Callback
        public void onResponse(Call call, Response response) throws IOException {
            String string2 = response.body().string();
            System.out.println("chong-----------post--response==" + r4 + "--" + string2);
            try {
                Result result2 = (Result) new Gson().fromJson(string2, Result.class);
                Context context2 = r2;
                if (context2 instanceof Activity) {
                    ((Activity) context2).runOnUiThread(new Runnable() { // from class: com.zhuoting.health.tools.HttpUtils.10.2
                        final /* synthetic */ Result val$result;
                        final /* synthetic */ String val$str;

                        AnonymousClass2(Result result22, String string22) {
                            r2 = result22;
                            r3 = string22;
                        }

                        @Override // java.lang.Runnable
                        public void run() {
                            Result result22 = r2;
                            if (result22 == null || result22.code != 0) {
                                Result result3 = r2;
                                if (result3 == null || result3.code == 500 || r2.code == 1001) {
                                    if (r3 != null) {
                                        r3.onSuccess("1");
                                        return;
                                    }
                                    return;
                                } else {
                                    HttpUtils httpUtils2 = HttpUtils.this;
                                    Result result4 = r2;
                                    httpUtils2.showToast(result4 == null ? 101010 : result4.code, r2);
                                    if (r3 != null) {
                                        r3.onSuccess(null);
                                        return;
                                    }
                                    return;
                                }
                            }
                            r3.onSuccess(r3);
                        }
                    });
                } else {
                    HttpCallback httpCallback2 = r3;
                    if (httpCallback2 != null) {
                        httpCallback2.onSuccess("1");
                    }
                }
            } catch (Exception e) {
                r3.onSuccess("1");
                e.printStackTrace();
            }
        }

        /* renamed from: com.zhuoting.health.tools.HttpUtils$10$2 */
        class AnonymousClass2 implements Runnable {
            final /* synthetic */ Result val$result;
            final /* synthetic */ String val$str;

            AnonymousClass2(Result result22, String string22) {
                r2 = result22;
                r3 = string22;
            }

            @Override // java.lang.Runnable
            public void run() {
                Result result22 = r2;
                if (result22 == null || result22.code != 0) {
                    Result result3 = r2;
                    if (result3 == null || result3.code == 500 || r2.code == 1001) {
                        if (r3 != null) {
                            r3.onSuccess("1");
                            return;
                        }
                        return;
                    } else {
                        HttpUtils httpUtils2 = HttpUtils.this;
                        Result result4 = r2;
                        httpUtils2.showToast(result4 == null ? 101010 : result4.code, r2);
                        if (r3 != null) {
                            r3.onSuccess(null);
                            return;
                        }
                        return;
                    }
                }
                r3.onSuccess(r3);
            }
        }
    }
}
