package com.zhuoting.health.tools;

import android.content.Context;
import android.content.SharedPreferences;

/* loaded from: classes2.dex */
public class MySharedPf {
    private static MySharedPf instance;
    private SharedPreferences sharedPreferences;
    private String sp_name = "userinfo";

    public static MySharedPf getInstance(Context context) {
        if (instance == null) {
            instance = new MySharedPf(context);
        }
        return instance;
    }

    private MySharedPf(Context context) {
        this.sharedPreferences = context.getSharedPreferences("userinfo", 0);
    }

    public void setUid(String str) {
        SharedPreferences.Editor edit = this.sharedPreferences.edit();
        edit.putString("SmartHealth_uId", str);
        edit.commit();
    }

    public String getUid() {
        return this.sharedPreferences.getString("SmartHealth_uId", "");
    }

    public void setSessionID(String str) {
        SharedPreferences.Editor edit = this.sharedPreferences.edit();
        edit.putString("sessionids", str);
        edit.commit();
    }

    public void setOpenID(String str) {
        SharedPreferences.Editor edit = this.sharedPreferences.edit();
        edit.putString("openid", str);
        edit.commit();
    }

    public void setToken(String str) {
        SharedPreferences.Editor edit = this.sharedPreferences.edit();
        edit.putString("token", str);
        edit.commit();
    }

    public String getSessionID() {
        return this.sharedPreferences.getString("sessionids", "0");
    }

    public String getOpenId() {
        return this.sharedPreferences.getString("openid", null);
    }

    public String getToken() {
        return this.sharedPreferences.getString("token", "0");
    }

    public String getString(String str) {
        return this.sharedPreferences.getString(str, null);
    }

    public String getString(String str, String str2) {
        return this.sharedPreferences.getString(str, str2);
    }

    public void setString(String str, String str2) {
        SharedPreferences.Editor edit = this.sharedPreferences.edit();
        edit.putString(str, str2);
        edit.commit();
    }

    public int getInt(String str) {
        return this.sharedPreferences.getInt(str, -1);
    }

    public int getInt(String str, int i) {
        return this.sharedPreferences.getInt(str, i);
    }

    public void setInt(String str, int i) {
        SharedPreferences.Editor edit = this.sharedPreferences.edit();
        edit.putInt(str, i);
        edit.commit();
    }

    public void setBoolean(String str, boolean z) {
        SharedPreferences.Editor edit = this.sharedPreferences.edit();
        edit.putBoolean(str, z);
        edit.commit();
    }

    public boolean getBoolean(String str, boolean z) {
        return this.sharedPreferences.getBoolean(str, z);
    }

    public void deleteCache() {
        this.sharedPreferences.edit().clear().commit();
    }
}
