package com.zhuoting.health.tools;

import android.content.Context;
import android.media.AudioManager;
import android.media.SoundPool;
import android.os.Vibrator;
import com.zhuoting.healthd.R;

/* loaded from: classes2.dex */
public class SoundPoolUtil {
    private static Context context = null;
    private static boolean isLoaded = false;
    private static int soundId = -1;
    private static SoundPool soundPool;
    private static SoundPoolUtil soundPoolUtil;
    private static Vibrator vibrator;
    private int currId = -1;

    public static synchronized SoundPoolUtil getInstance(Context context2) {
        SoundPoolUtil soundPoolUtil2;
        synchronized (SoundPoolUtil.class) {
            if (soundPoolUtil == null) {
                soundPoolUtil = new SoundPoolUtil(context2);
            }
            soundPoolUtil2 = soundPoolUtil;
        }
        return soundPoolUtil2;
    }

    private SoundPoolUtil(Context context2) {
        context = context2;
        vibrator = (Vibrator) context2.getSystemService("vibrator");
        SoundPool soundPool2 = new SoundPool(5, 3, 0);
        soundPool = soundPool2;
        soundId = soundPool2.load(context2, R.raw.helium, 1);
        soundPool.setOnLoadCompleteListener(new SoundPool.OnLoadCompleteListener() { // from class: com.zhuoting.health.tools.SoundPoolUtil.1
            AnonymousClass1() {
            }

            @Override // android.media.SoundPool.OnLoadCompleteListener
            public void onLoadComplete(SoundPool soundPool3, int i, int i2) {
                boolean unused = SoundPoolUtil.isLoaded = true;
            }
        });
    }

    /* renamed from: com.zhuoting.health.tools.SoundPoolUtil$1 */
    class AnonymousClass1 implements SoundPool.OnLoadCompleteListener {
        AnonymousClass1() {
        }

        @Override // android.media.SoundPool.OnLoadCompleteListener
        public void onLoadComplete(SoundPool soundPool3, int i, int i2) {
            boolean unused = SoundPoolUtil.isLoaded = true;
        }
    }

    private void playSound(int i) {
        float f;
        if (((AudioManager) context.getSystemService("audio")) != null) {
            f = r0.getStreamVolume(3) / r0.getStreamMaxVolume(3);
        } else {
            f = 1.0f;
        }
        float f2 = f;
        int i2 = soundId;
        if (i2 != -1) {
            this.currId = soundPool.play(i2, f2, f2, 1, i, 1.0f);
        }
    }

    public void play(int i) {
        if (this.currId != -1) {
            stop();
        }
        if (isLoaded) {
            playSound(i);
        }
        vibrator();
    }

    private void vibrator() {
        if (vibrator.hasVibrator()) {
            vibrator.vibrate(new long[]{100, 400, 600, 800}, 0);
        }
    }

    public void stop() {
        int i;
        SoundPool soundPool2 = soundPool;
        if (soundPool2 != null && soundId != -1 && isLoaded && (i = this.currId) != -1) {
            soundPool2.stop(i);
        }
        Vibrator vibrator2 = vibrator;
        if (vibrator2 != null) {
            vibrator2.cancel();
        }
    }
}
