package com.zhuoting.health.ui;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.widget.LinearLayout;
import com.zhuoting.health.tools.Tools;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import org.achartengine.renderer.DefaultRenderer;

/* loaded from: classes2.dex */
public class CRVVView extends LinearLayout {
    Context context;
    public int maxvalue;
    List<Map<String, Object>> msglist;
    List<String> timelist;

    public CRVVView(Context context) {
        super(context);
        this.msglist = new ArrayList();
        this.maxvalue = 200;
        this.timelist = new ArrayList();
        this.context = context;
        setBackgroundColor(0);
        invalidate();
        this.timelist.add("00:00");
        this.timelist.add("06:00");
        this.timelist.add("12:00");
        this.timelist.add("18:00");
        this.timelist.add("24:00");
    }

    public void refview(List<Map<String, Object>> list) {
        this.msglist.clear();
        this.msglist.addAll(list);
        invalidate();
    }

    @Override // android.widget.LinearLayout, android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        if (this.msglist.size() == 0) {
            return;
        }
        Paint paint = new Paint();
        int dip2px = Tools.dip2px(this.context, 20.0f);
        int measuredHeight = (getMeasuredHeight() - dip2px) - (dip2px * 2);
        int measuredWidth = getMeasuredWidth() - dip2px;
        paint.setColor(DefaultRenderer.TEXT_COLOR);
        int size = measuredWidth / this.timelist.size();
        int i = measuredHeight / 4;
        int i2 = 0;
        for (int i3 = 0; i3 < 5; i3++) {
            i2 = i * i3;
        }
        Tools.dip2px(this.context, 50.0f);
        for (int i4 = 0; i4 < this.timelist.size(); i4++) {
            String str = this.timelist.get(i4);
            paint.setColor(-1);
            int i5 = dip2px / 2;
            int i6 = (size * i4) + i5;
            onTextDraw(canvas, new Rect(i6, i5 + measuredHeight, i6 + size, (dip2px * 3) + measuredHeight), str);
        }
        float f = (i2 * 1.0f) / this.maxvalue;
        for (int i7 = 0; i7 < this.msglist.size(); i7++) {
            Map<String, Object> map = this.msglist.get(i7);
            float parseFloat = Float.parseFloat(map.get("x").toString());
            float parseFloat2 = Float.parseFloat(map.get("y").toString());
            if (i7 > 0) {
                Map<String, Object> map2 = this.msglist.get(i7 - 1);
                float parseFloat3 = Float.parseFloat(map2.get("x").toString());
                float parseFloat4 = Float.parseFloat(map2.get("y").toString());
                paint.setColor(Color.argb(80, 255, 255, 255));
                paint.setStrokeWidth(Tools.dip2px(this.context, 3.0f));
                int i8 = dip2px / 2;
                float f2 = (size / 2) + i8;
                float f3 = i8 + measuredHeight;
                canvas.drawLine(f2 + parseFloat, f3 - (f * parseFloat2), f2 + parseFloat3, f3 - (parseFloat4 * f), paint);
            }
            paint.setColor(-1);
            paint.setAntiAlias(true);
            int i9 = dip2px / 2;
            canvas.drawCircle((size / 2) + i9 + parseFloat, (i9 + measuredHeight) - (parseFloat2 * f), Tools.dip2px(this.context, 4.0f), paint);
        }
    }

    public void onTextDraw(Canvas canvas, Rect rect, String str) {
        Paint paint = new Paint(1);
        paint.setStrokeWidth(Tools.dip2px(this.context, 1.0f));
        paint.setTextSize(Tools.dip2px(this.context, 12.0f));
        paint.setColor(-1);
        Paint.FontMetricsInt fontMetricsInt = paint.getFontMetricsInt();
        int i = (rect.top + ((((rect.bottom - rect.top) - fontMetricsInt.bottom) + fontMetricsInt.top) / 2)) - fontMetricsInt.top;
        paint.setTextAlign(Paint.Align.CENTER);
        canvas.drawText(str, rect.centerX(), i, paint);
    }
}
