package com.zhuoting.health.ui;

import android.app.Activity;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Path;
import android.util.AttributeSet;
import android.view.Display;
import android.view.View;
import java.util.ArrayList;
import java.util.List;

/* loaded from: classes2.dex */
public class CarBgView extends View {
    private static final float MULTIPLE = 0.5f;
    private static int mGridWidth;
    private static int mSGridWidth;
    Context context;
    protected int mBackgroundColor;
    protected int mGridColor;
    protected int mHeight;
    protected int mInitColor;
    protected Paint mPaint;
    private Path mPath;
    protected int mSGridColor;
    private int mSecLineColor;
    protected int mWidth;
    public List<Integer> plist;
    int screenHeight;

    public CarBgView(Context context) {
        this(context, null);
    }

    public CarBgView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public CarBgView(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i);
        this.plist = new ArrayList();
        this.mGridColor = Color.parseColor("#D9D9D9");
        this.mSGridColor = Color.parseColor("#F0F0F0");
        this.mInitColor = Color.parseColor("#000000");
        this.mSecLineColor = Color.parseColor("#8C8C8C");
        this.mBackgroundColor = -1;
        this.screenHeight = 0;
        this.context = context;
        Display defaultDisplay = ((Activity) context).getWindowManager().getDefaultDisplay();
        int width = defaultDisplay.getWidth();
        this.screenHeight = defaultDisplay.getHeight();
        float f = context.getResources().getDisplayMetrics().density;
        for (int i2 = 0; i2 < ((int) (width / f)); i2++) {
            this.plist.add(0);
        }
        this.mPaint = new Paint();
        this.mPath = new Path();
    }

    @Override // android.view.View
    protected void onSizeChanged(int i, int i2, int i3, int i4) {
        this.mWidth = i;
        this.mHeight = i2;
        super.onSizeChanged(i, i2, i3, i4);
    }

    public static float getMultiple(Context context) {
        return context.getResources().getDisplayMetrics().density * 0.5f;
    }

    public static int getSGridWidth() {
        return mSGridWidth;
    }

    private void initBackground(Canvas canvas) {
        int multiple = (int) (getMultiple(this.context) * 10.0f);
        mSGridWidth = multiple;
        mGridWidth = multiple * 5;
        canvas.drawColor(this.mBackgroundColor);
        int i = this.mWidth;
        int i2 = mSGridWidth;
        int i3 = i / i2;
        int i4 = this.mHeight / i2;
        this.mPaint.setColor(this.mSGridColor);
        this.mPaint.setStrokeWidth(2.0f);
        for (int i5 = 0; i5 < i3 + 1; i5++) {
            int i6 = mSGridWidth;
            canvas.drawLine(i5 * i6, 0.0f, i6 * i5, this.mHeight, this.mPaint);
        }
        for (int i7 = 0; i7 < i4 + 1; i7++) {
            int i8 = mSGridWidth;
            canvas.drawLine(0.0f, i7 * i8, this.mWidth, i8 * i7, this.mPaint);
        }
        int i9 = this.mWidth;
        int i10 = mGridWidth;
        int i11 = i9 / i10;
        int i12 = this.mHeight / i10;
        this.mPaint.setColor(this.mGridColor);
        this.mPaint.setStrokeWidth(3.0f);
        for (int i13 = 0; i13 < i12 + 1; i13++) {
            int i14 = mGridWidth;
            canvas.drawLine(0.0f, i13 * i14, this.mWidth, i14 * i13, this.mPaint);
        }
        for (int i15 = 0; i15 < i11 + 1; i15++) {
            this.mPaint.setColor(this.mGridColor);
            int i16 = mGridWidth;
            canvas.drawLine(i15 * i16, 0.0f, i16 * i15, this.mHeight, this.mPaint);
            if (i15 != 0 && i15 % 5 == 0) {
                this.mPaint.setColor(this.mSecLineColor);
                int i17 = mGridWidth;
                canvas.drawLine(i15 * i17, 0.0f, i17 * i15, this.mHeight, this.mPaint);
            }
        }
        this.mPaint.setStyle(Paint.Style.STROKE);
        this.mPaint.setColor(this.mInitColor);
        this.mPaint.setStrokeWidth(3.0f);
        this.mPath.reset();
        this.mPath.moveTo(0.0f, mGridWidth * 3);
        this.mPath.lineTo(mSGridWidth * 2, mGridWidth * 3);
        this.mPath.lineTo(mSGridWidth * 2, mGridWidth);
        Path path = this.mPath;
        int i18 = mSGridWidth * 2;
        path.lineTo(i18 + r2, mGridWidth);
        Path path2 = this.mPath;
        int i19 = mSGridWidth * 2;
        int i20 = mGridWidth;
        path2.lineTo(i19 + i20, i20 * 3);
        Path path3 = this.mPath;
        int i21 = mSGridWidth * 4;
        int i22 = mGridWidth;
        path3.lineTo(i21 + i22, i22 * 3);
        canvas.drawPath(this.mPath, this.mPaint);
    }

    @Override // android.view.View
    protected void onDraw(Canvas canvas) {
        initBackground(canvas);
    }
}
