package com.zhuoting.health.ui;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.widget.LinearLayout;
import com.autonavi.base.ae.gmap.glyph.FontStyle;
import com.zhuoting.health.tools.Tools;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import org.achartengine.renderer.DefaultRenderer;

/* loaded from: classes2.dex */
public class TjsView extends LinearLayout {
    Context context;
    public int maxvalue;
    List<Map<String, Object>> msglist;
    List<String> timelist;

    public TjsView(Context context) {
        super(context);
        this.msglist = new ArrayList();
        this.maxvalue = FontStyle.WEIGHT_NORMAL;
        ArrayList arrayList = new ArrayList();
        this.timelist = arrayList;
        this.context = context;
        arrayList.add("00:00");
        this.timelist.add("");
        this.timelist.add("");
        this.timelist.add("");
        this.timelist.add("00:00");
        setBackgroundColor(0);
        invalidate();
    }

    public void initTime(String str, String str2) {
        this.timelist.clear();
        this.timelist.add(str);
        this.timelist.add("");
        this.timelist.add("");
        this.timelist.add("");
        this.timelist.add(str2);
    }

    public TjsView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.msglist = new ArrayList();
        this.maxvalue = FontStyle.WEIGHT_NORMAL;
        this.timelist = new ArrayList();
        this.context = context;
        setBackgroundColor(-1);
        invalidate();
    }

    public void refview(List<Map<String, Object>> list) {
        this.msglist.clear();
        this.msglist.addAll(list);
        invalidate();
    }

    @Override // android.widget.LinearLayout, android.view.View
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);
        Paint paint = new Paint();
        int dip2px = Tools.dip2px(this.context, 20.0f);
        int measuredHeight = (getMeasuredHeight() - dip2px) - (dip2px * 2);
        int measuredWidth = getMeasuredWidth() - dip2px;
        System.out.println(measuredHeight + ":" + measuredWidth);
        paint.setColor(DefaultRenderer.TEXT_COLOR);
        int size = measuredWidth / this.timelist.size();
        int i = measuredHeight / 4;
        int i2 = 0;
        for (int i3 = 0; i3 < 5; i3++) {
            i2 = i * i3;
        }
        Tools.dip2px(this.context, 50.0f);
        for (int i4 = 0; i4 < this.timelist.size(); i4++) {
            String str = this.timelist.get(i4);
            paint.setColor(-1);
            int i5 = dip2px / 2;
            int i6 = (size * i4) + i5;
            onTextDraw(canvas, new Rect(i6, i5 + measuredHeight, i6 + size, (dip2px * 3) + measuredHeight), str);
        }
        System.out.println((i2 * 1.0f) / this.maxvalue);
        for (int i7 = 0; i7 < this.msglist.size(); i7++) {
            Map<String, Object> map = this.msglist.get(i7);
            float parseFloat = Float.parseFloat(map.get("x").toString());
            float parseFloat2 = Float.parseFloat(map.get("y").toString());
            float parseFloat3 = Float.parseFloat(map.get("w").toString());
            if (parseFloat2 == 50.0f) {
                paint.setColor(Color.parseColor("#842aff"));
            } else {
                paint.setColor(Color.parseColor("#5300c5"));
            }
            float f = (size / 2) + r11 + parseFloat;
            canvas.drawRect(new RectF(f, (int) (r11 - (parseFloat2 * r4)), parseFloat3 + f, (dip2px / 2) + measuredHeight), paint);
        }
    }

    public void onTextDraw(Canvas canvas, Rect rect, String str) {
        Paint paint = new Paint(1);
        paint.setStrokeWidth(Tools.dip2px(this.context, 1.0f));
        paint.setTextSize(Tools.dip2px(this.context, 12.0f));
        paint.setColor(-1);
        Paint.FontMetricsInt fontMetricsInt = paint.getFontMetricsInt();
        int i = (rect.top + ((((rect.bottom - rect.top) - fontMetricsInt.bottom) + fontMetricsInt.top) / 2)) - fontMetricsInt.top;
        paint.setTextAlign(Paint.Align.CENTER);
        canvas.drawText(str, rect.centerX(), i, paint);
    }
}
