package com.zhuoting.health.view.chart.data;

import android.graphics.Color;
import android.graphics.drawable.Drawable;
import com.realsil.sdk.dfu.model.DfuConfig;
import com.zhuoting.health.view.chart.data.Entry;
import com.zhuoting.health.view.chart.interfaces.datasets.ILineRadarDataSet;
import com.zhuoting.health.view.chart.utils.Utils;
import java.util.List;

/* loaded from: classes2.dex */
public abstract class LineRadarDataSet<T extends Entry> extends LineScatterCandleRadarDataSet<T> implements ILineRadarDataSet<T> {
    public int dpColor;
    private boolean mDrawFilled;
    private int mFillAlpha;
    private int mFillColor;
    protected Drawable mFillDrawable;
    private float mLineWidth;
    public int type;

    public LineRadarDataSet(List<T> list, String str) {
        super(list, str);
        this.mFillColor = Color.rgb(DfuConfig.MIN_POWER_LEVER_FOR_HUAWEI, 234, 255);
        this.mFillAlpha = 255;
        this.mLineWidth = 2.5f;
        this.mDrawFilled = false;
        this.type = 0;
        this.dpColor = Color.parseColor("#8D57FA");
    }

    @Override // com.zhuoting.health.view.chart.interfaces.datasets.ILineRadarDataSet
    public int getType() {
        return this.type;
    }

    @Override // com.zhuoting.health.view.chart.interfaces.datasets.ILineRadarDataSet
    public int getDPColor() {
        return this.dpColor;
    }

    @Override // com.zhuoting.health.view.chart.interfaces.datasets.ILineRadarDataSet
    public int getFillColor() {
        return this.mFillColor;
    }

    public void setFillColor(int i) {
        this.mFillColor = i;
        this.mFillDrawable = null;
    }

    @Override // com.zhuoting.health.view.chart.interfaces.datasets.ILineRadarDataSet
    public Drawable getFillDrawable() {
        return this.mFillDrawable;
    }

    public void setFillDrawable(Drawable drawable) {
        this.mFillDrawable = drawable;
    }

    @Override // com.zhuoting.health.view.chart.interfaces.datasets.ILineRadarDataSet
    public int getFillAlpha() {
        return this.mFillAlpha;
    }

    public void setFillAlpha(int i) {
        this.mFillAlpha = i;
    }

    public void setLineWidth(float f) {
        if (f < 0.0f) {
            f = 0.0f;
        }
        if (f > 10.0f) {
            f = 10.0f;
        }
        this.mLineWidth = Utils.convertDpToPixel(f);
    }

    @Override // com.zhuoting.health.view.chart.interfaces.datasets.ILineRadarDataSet
    public float getLineWidth() {
        return this.mLineWidth;
    }

    @Override // com.zhuoting.health.view.chart.interfaces.datasets.ILineRadarDataSet
    public void setDrawFilled(boolean z) {
        this.mDrawFilled = z;
    }

    @Override // com.zhuoting.health.view.chart.interfaces.datasets.ILineRadarDataSet
    public boolean isDrawFilledEnabled() {
        return this.mDrawFilled;
    }

    protected void copy(LineRadarDataSet lineRadarDataSet) {
        super.copy((LineScatterCandleRadarDataSet) lineRadarDataSet);
        lineRadarDataSet.mDrawFilled = this.mDrawFilled;
        lineRadarDataSet.mFillAlpha = this.mFillAlpha;
        lineRadarDataSet.mFillColor = this.mFillColor;
        lineRadarDataSet.mFillDrawable = this.mFillDrawable;
        lineRadarDataSet.mLineWidth = this.mLineWidth;
    }
}
