package com.zhuoting.health.view.chart.klinechart;

import com.realsil.sdk.dfu.DfuConstants;
import com.zhuoting.health.view.chart.components.AxisBase;
import com.zhuoting.health.view.chart.formatter.IAxisValueFormatter;

/* loaded from: classes2.dex */
public class MyBloodPressureCustomXAxisValueFormatter implements IAxisValueFormatter {
    private boolean drawValue;

    public MyBloodPressureCustomXAxisValueFormatter(boolean z) {
        this.drawValue = z;
    }

    @Override // com.zhuoting.health.view.chart.formatter.IAxisValueFormatter
    public String getFormattedValue(float f, AxisBase axisBase) {
        if (!this.drawValue) {
            return "-";
        }
        if (f >= 100000.0f) {
            return (((int) f) / DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME) + "w -";
        }
        if (f >= 10000.0f) {
            StringBuilder sb = new StringBuilder();
            int i = (int) f;
            sb.append(i / DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME);
            sb.append(".");
            sb.append((i / 1000) % 10);
            sb.append("w -");
            return sb.toString();
        }
        StringBuilder sb2 = new StringBuilder();
        int i2 = (int) f;
        sb2.append(String.format("%02d", Integer.valueOf(i2 / 12)));
        sb2.append(":");
        sb2.append(String.format("%02d", Integer.valueOf(i2 % 12)));
        return sb2.toString();
    }
}
