package com.zhuoting.health.view.chart.sleep;

import com.realsil.sdk.dfu.DfuConstants;
import com.zhuoting.health.view.chart.components.AxisBase;
import com.zhuoting.health.view.chart.formatter.IAxisValueFormatter;

/* loaded from: classes2.dex */
public class MySleepCustomXAxisValueFormatter implements IAxisValueFormatter {
    private int beginTime;
    private boolean drawValue;
    private int endTime;

    public MySleepCustomXAxisValueFormatter(boolean z, int i, int i2) {
        this.drawValue = z;
        this.beginTime = i;
        this.endTime = i2;
    }

    @Override // com.zhuoting.health.view.chart.formatter.IAxisValueFormatter
    public String getFormattedValue(float f, AxisBase axisBase) {
        if (!this.drawValue) {
            return "-";
        }
        if (f >= 100000.0f) {
            return (((int) f) / DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME) + "w -";
        }
        if (f >= 10000.0f) {
            StringBuilder sb = new StringBuilder();
            int i = (int) f;
            sb.append(i / DfuConstants.MAX_NOTIFICATION_LOCK_WAIT_TIME);
            sb.append(".");
            sb.append((i / 1000) % 10);
            sb.append("w -");
            return sb.toString();
        }
        if (f == axisBase.mAxisMinimum) {
            return String.format("%02d", Integer.valueOf(((int) axisBase.mSleepTime) / 60)) + ":" + String.format("%02d", Integer.valueOf(((int) axisBase.mSleepTime) % 60));
        }
        return String.format("%02d", Integer.valueOf(((int) axisBase.mUpTime) / 60)) + ":" + String.format("%02d", Integer.valueOf(((int) axisBase.mUpTime) % 60));
    }
}
