package com.zhuoting.health.weathers;

import android.app.Activity;
import android.content.Context;
import android.content.res.Resources;
import android.graphics.drawable.Drawable;
import android.location.Location;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.util.Log;
import android.widget.TextView;
import androidx.core.content.ContextCompat;
import androidx.core.os.ConfigurationCompat;
import androidx.fragment.app.FragmentActivity;
import com.amap.api.location.AMapLocation;
import com.amap.api.location.AMapLocationClient;
import com.amap.api.location.AMapLocationClientOption;
import com.amap.api.location.AMapLocationListener;
import com.amap.api.services.district.DistrictSearchQuery;
import com.amap.api.services.weather.LocalDayWeatherForecast;
import com.amap.api.services.weather.LocalWeatherForecastResult;
import com.amap.api.services.weather.LocalWeatherLive;
import com.amap.api.services.weather.LocalWeatherLiveResult;
import com.amap.api.services.weather.WeatherSearch;
import com.amap.api.services.weather.WeatherSearchQuery;
import com.autonavi.base.ae.gmap.glyph.FontStyle;
import com.google.android.gms.location.FusedLocationProviderClient;
import com.google.android.gms.location.LocationServices;
import com.google.android.gms.tasks.OnSuccessListener;
import com.google.gson.Gson;
import com.yanzhenjie.permission.Permission;
import com.zhuoting.health.HealthApplication;
import com.zhuoting.health.MyApplication;
import com.zhuoting.health.instruct.InstructTools;
import com.zhuoting.health.service.MyBleService;
import com.zhuoting.health.tools.BleHandler;
import com.zhuoting.health.tools.HttpUtils;
import com.zhuoting.health.tools.NetTools;
import com.zhuoting.health.tools.PermissionUtil;
import com.zhuoting.health.tools.SPUtils;
import com.zhuoting.health.tools.Tools;
import com.zhuoting.health.tools.WeatherCodeTools;
import com.zhuoting.health.weathers.WeatherBean;
import com.zhuoting.healthd.R;
import java.io.PrintStream;
import java.io.UnsupportedEncodingException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Locale;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import no.nordicsemi.android.dfu.internal.scanner.BootloaderScanner;
import okhttp3.OkHttpClient;

/* loaded from: classes2.dex */
public class WeatherUtils {
    static final int TEMP = 1001;
    public static Context c = null;
    private static String city = null;
    private static OkHttpClient client = null;
    private static byte[] code = null;
    private static int count = 0;
    private static String country = null;
    private static String errText = null;
    private static boolean isTimeOut = false;
    private static AMapLocationClientOption mLocationOption;
    private static AMapLocationClient mlocationClient;
    private static OnWeatherSearchListenerImpl onWeatherSearchListener;
    private static TextView tv_city;
    private static TextView tv_temp_between;
    private static TextView tv_temp_now;
    private static AMapLocationListener mListener = new AMapLocationListener() { // from class: com.zhuoting.health.weathers.WeatherUtils.1
        AnonymousClass1() {
        }

        /* JADX WARN: Removed duplicated region for block: B:35:0x011f  */
        @Override // com.amap.api.location.AMapLocationListener
        /*
            Code decompiled incorrectly, please refer to instructions dump.
            To view partially-correct code enable 'Show inconsistent code' option in preferences
        */
        public void onLocationChanged(com.amap.api.location.AMapLocation r11) {
            /*
                Method dump skipped, instructions count: 567
                To view this dump change 'Code comments level' option to 'DEBUG'
            */
            throw new UnsupportedOperationException("Method not decompiled: com.zhuoting.health.weathers.WeatherUtils.AnonymousClass1.onLocationChanged(com.amap.api.location.AMapLocation):void");
        }
    };
    private static String coordinate = "";
    private static String fullName = "";
    private static Handler handler = new Handler(Looper.getMainLooper()) { // from class: com.zhuoting.health.weathers.WeatherUtils.5
        AnonymousClass5(Looper looper) {
            super(looper);
        }

        @Override // android.os.Handler
        public void handleMessage(Message message) {
            String str;
            String str2 = "";
            int i = message.what;
            if (i != 1001) {
                if (i != 100101) {
                    return;
                }
                boolean unused = WeatherUtils.isTimeOut = true;
                if (HealthApplication.isSend) {
                    MyBleService.getInstance().pushRealDataQueue(InstructTools.openRealTimeStep(), 2);
                    return;
                }
                return;
            }
            if (message.obj == null) {
                WeatherUtils.searchPoiGetWeather(WeatherUtils.c, WeatherUtils.city);
                return;
            }
            String str3 = (String) message.obj;
            System.out.println("chong-----msg==" + str3);
            try {
                WeatherBean weatherBean = (WeatherBean) new Gson().fromJson(str3, WeatherBean.class);
                if (weatherBean == null || weatherBean.code != 0) {
                    WeatherUtils.searchPoiGetWeather(WeatherUtils.c, WeatherUtils.city);
                    return;
                }
                WeatherBean.Data data = weatherBean.data;
                if (data == null || "".equals(data)) {
                    return;
                }
                int i2 = data.condCode;
                String str4 = data.tmp;
                if (data.weather != null) {
                    str = "";
                    for (WeatherBean.Data.Weather weather : data.weather) {
                        if (WeatherUtils.getStringDate().equals(weather.date)) {
                            str2 = weather.tmpMax;
                            str = weather.tmpMin;
                        } else if (WeatherUtils.getTomorrowStringDate().equals(weather.date)) {
                            SPUtils.put(WeatherUtils.c, "tomorrow_cond_code_d", Integer.valueOf(weather.condCodeD));
                            SPUtils.put(WeatherUtils.c, "tomorrow_tmp_min", weather.tmpMin);
                            SPUtils.put(WeatherUtils.c, "tomorrow_tmp_max", weather.tmpMax);
                        }
                    }
                } else {
                    str = "";
                }
                SPUtils.put(WeatherUtils.c, "tmp_max", str2);
                SPUtils.put(WeatherUtils.c, "tmp_min", str);
                SPUtils.put(WeatherUtils.c, "cond_code", Integer.valueOf(i2));
                SPUtils.put(WeatherUtils.c, "tmp", str4);
                SPUtils.put(WeatherUtils.c, "weather_cache_time", Long.valueOf(System.currentTimeMillis() / 1000));
                WeatherUtils.setUiUpdate(str4, str, str2, i2);
                if (WeatherUtils.mlocationClient != null) {
                    WeatherUtils.mlocationClient.stopLocation();
                    WeatherUtils.mlocationClient.onDestroy();
                    AMapLocationClient unused2 = WeatherUtils.mlocationClient = null;
                }
            } catch (Exception e) {
                e.printStackTrace();
                WeatherUtils.searchPoiGetWeather(WeatherUtils.c, WeatherUtils.city);
            }
        }
    };
    private static boolean isGetTodayWeather = false;
    private static boolean isGetTomrrowWeather = false;

    static /* synthetic */ int access$508() {
        int i = count;
        count = i + 1;
        return i;
    }

    static /* synthetic */ String access$684(Object obj) {
        String str = errText + obj;
        errText = str;
        return str;
    }

    /* renamed from: com.zhuoting.health.weathers.WeatherUtils$1 */
    class AnonymousClass1 implements AMapLocationListener {
        AnonymousClass1() {
        }

        @Override // com.amap.api.location.AMapLocationListener
        public void onLocationChanged(AMapLocation aMapLocation) {
            /*
                Method dump skipped, instructions count: 567
                To view this dump change 'Code comments level' option to 'DEBUG'
            */
            throw new UnsupportedOperationException("Method not decompiled: com.zhuoting.health.weathers.WeatherUtils.AnonymousClass1.onLocationChanged(com.amap.api.location.AMapLocation):void");
        }
    }

    private static void init() {
        if (PermissionUtil.hasLocationPermission(c)) {
            count = 0;
            if (mlocationClient == null) {
                try {
                    mlocationClient = new AMapLocationClient(HealthApplication.getInstance());
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
            if (mLocationOption == null) {
                mLocationOption = new AMapLocationClientOption();
            }
            AMapLocationClient aMapLocationClient = mlocationClient;
            if (aMapLocationClient != null) {
                aMapLocationClient.setLocationListener(mListener);
                mLocationOption.setLocationMode(AMapLocationClientOption.AMapLocationMode.Hight_Accuracy);
                mLocationOption.setOnceLocationLatest(false);
                mLocationOption.setInterval(3000L);
                mlocationClient.setLocationOption(mLocationOption);
                mlocationClient.stopLocation();
                mlocationClient.startLocation();
            }
        }
    }

    public static void weatherFunction(Context context) {
        isTimeOut = false;
        if (HealthApplication.isSend) {
            handler.sendEmptyMessageDelayed(100101, BootloaderScanner.TIMEOUT);
        }
        c = context;
        if ((System.currentTimeMillis() / 1000) - ((Long) SPUtils.get(c, "weather_cache_time", 100L)).longValue() < 3600) {
            int intValue = ((Integer) SPUtils.get(c, "cond_code", 0)).intValue();
            String str = (String) SPUtils.get(c, "tmp_min", "");
            String str2 = (String) SPUtils.get(c, "tmp_max", "");
            String str3 = (String) SPUtils.get(c, "tmp", "");
            city = (String) SPUtils.get(c, DistrictSearchQuery.KEYWORDS_CITY, "");
            System.out.println("chong----------weather---" + str + "--" + str2 + "--" + str3 + "--" + city);
            if ("".equalsIgnoreCase(str3) || "".equalsIgnoreCase(str) || "".equalsIgnoreCase(str2)) {
                init();
                return;
            } else {
                setUiUpdate(str3, str, str2, intValue);
                return;
            }
        }
        init();
    }

    public static void weatherFunction(Context context, TextView textView, TextView textView2, TextView textView3) {
        isTimeOut = false;
        if (HealthApplication.isSend) {
            handler.sendEmptyMessageDelayed(100101, BootloaderScanner.TIMEOUT);
        }
        if (textView == null || textView2 == null || textView3 == null) {
            return;
        }
        tv_temp_now = textView;
        tv_city = textView2;
        tv_temp_between = textView3;
        c = context;
        if ((System.currentTimeMillis() / 1000) - ((Long) SPUtils.get(c, "weather_cache_time", 100L)).longValue() < 3600) {
            int intValue = ((Integer) SPUtils.get(c, "cond_code", 100)).intValue();
            String str = (String) SPUtils.get(c, "tmp_min", "");
            String str2 = (String) SPUtils.get(c, "tmp_max", "");
            String str3 = (String) SPUtils.get(c, "tmp", "");
            city = (String) SPUtils.get(c, DistrictSearchQuery.KEYWORDS_CITY, "");
            System.out.println("chong2----------weather---" + str + "--" + str2 + "--" + str3 + "--" + city);
            if ("".equalsIgnoreCase(str3) || "".equalsIgnoreCase(str) || "".equalsIgnoreCase(str2)) {
                init();
                return;
            } else {
                setUiUpdate(str3, str, str2, intValue);
                return;
            }
        }
        init();
    }

    public static void getWeather(String str) {
        if (c == null) {
            c = HealthApplication.getInstance();
        }
        String address = (BleHandler.getInstance(c).myDevice == null || BleHandler.getInstance(c).myDevice.getAddress() == null) ? "00:00:00:00:00:00" : BleHandler.getInstance(c).myDevice.getAddress();
        SPUtils.put(c, DistrictSearchQuery.KEYWORDS_CITY, str);
        country = (String) SPUtils.get(c, "country", "");
        HashMap hashMap = new HashMap();
        hashMap.put("location", str);
        hashMap.put("phone", Tools.readString("phonexxx", c, "0755-10010"));
        hashMap.put("coordinate", coordinate);
        hashMap.put("mac", address);
        hashMap.put("fullName", fullName);
        hashMap.put("country", country);
        hashMap.put("type", "Android");
        hashMap.put("token", (String) SPUtils.get(c, "token", ""));
        hashMap.put("accKey", "");
        hashMap.put("client", "");
        hashMap.put("ip", "");
        HttpUtils.getInstance().postJsonMsgAsynHttp(c, NetTools.GETWEATHERURL, new Gson().toJson(hashMap), new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.weathers.WeatherUtils.2
            AnonymousClass2() {
            }

            @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
            public void onSuccess(String str2) {
                if (str2 != null) {
                    Message message = new Message();
                    message.what = 1001;
                    message.obj = str2;
                    WeatherUtils.handler.sendMessage(message);
                    System.out.println("chong---------weather_result==" + str2);
                }
            }
        });
    }

    /* renamed from: com.zhuoting.health.weathers.WeatherUtils$2 */
    class AnonymousClass2 implements HttpUtils.HttpCallback {
        AnonymousClass2() {
        }

        @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
        public void onSuccess(String str2) {
            if (str2 != null) {
                Message message = new Message();
                message.what = 1001;
                message.obj = str2;
                WeatherUtils.handler.sendMessage(message);
                System.out.println("chong---------weather_result==" + str2);
            }
        }
    }

    public static void sendToDeviceUpdate(int i, String str, String str2, String str3) {
        int length = str.length();
        byte[] bArr = {3, 18, 0, (byte) (length & 255), (byte) ((length >> 8) & 255)};
        try {
            String[] split = str.split(".");
            if (split.length != 0) {
                str = split[0];
            }
            byte[] bytes = str.getBytes("utf-8");
            int length2 = str2.length();
            byte[] bArr2 = {1, (byte) (length2 & 255), (byte) ((length2 >> 8) & 255)};
            String[] split2 = str2.split(".");
            if (split2.length != 0) {
                str2 = split2[0];
            }
            byte[] bytes2 = str2.getBytes("utf-8");
            int length3 = str3.length();
            byte[] bArr3 = {2, (byte) (length3 & 255), (byte) ((length3 >> 8) & 255)};
            String[] split3 = str3.split(".");
            if (split3.length != 0) {
                str3 = split3[0];
            }
            byte[] bytes3 = str3.getBytes("utf-8");
            byte[] bArr4 = {(byte) WeatherCodeTools.getWeatherCode(i)};
            code = bArr4;
            byte[] byteMerger = MyBleService.byteMerger(MyBleService.byteMerger(MyBleService.byteMerger(MyBleService.byteMerger(bArr, bytes), MyBleService.byteMerger(bArr2, bytes2)), MyBleService.byteMerger(bArr3, bytes3)), MyBleService.byteMerger(new byte[]{4, (byte) (bArr4.length & 255), (byte) ((bArr4.length >> 8) & 255)}, bArr4));
            ExecutorService newSingleThreadExecutor = Executors.newSingleThreadExecutor();
            Iterator<byte[]> it2 = MyBleService.splitAry(Tools.makeSend(byteMerger), 182).iterator();
            while (it2.hasNext()) {
                newSingleThreadExecutor.execute(new Runnable() { // from class: com.zhuoting.health.weathers.WeatherUtils.3
                    final /* synthetic */ byte[] val$bbb;

                    AnonymousClass3(byte[] bArr5) {
                        r1 = bArr5;
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        BleHandler.getInstance(MyApplication.getInstance()).sendMsg(r1);
                        try {
                            Thread.sleep(150L);
                        } catch (InterruptedException e) {
                            e.printStackTrace();
                        }
                    }
                });
            }
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
    }

    /* renamed from: com.zhuoting.health.weathers.WeatherUtils$3 */
    class AnonymousClass3 implements Runnable {
        final /* synthetic */ byte[] val$bbb;

        AnonymousClass3(byte[] bArr5) {
            r1 = bArr5;
        }

        @Override // java.lang.Runnable
        public void run() {
            BleHandler.getInstance(MyApplication.getInstance()).sendMsg(r1);
            try {
                Thread.sleep(150L);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
    }

    public static void sendToDeviceUpdateTomorrow(int i, String str, String str2, String str3) {
        int length = str.length();
        byte[] bArr = {3, 19, 0, (byte) (length & 255), (byte) ((length >> 8) & 255)};
        try {
            String[] split = str.split(".");
            if (split.length != 0) {
                str = split[0];
            }
            byte[] bytes = str.getBytes("utf-8");
            int length2 = str2.length();
            byte[] bArr2 = {1, (byte) (length2 & 255), (byte) ((length2 >> 8) & 255)};
            String[] split2 = str2.split(".");
            if (split2.length != 0) {
                str2 = split2[0];
            }
            byte[] bytes2 = str2.getBytes("utf-8");
            int length3 = str3.length();
            byte[] bArr3 = {2, (byte) (length3 & 255), (byte) ((length3 >> 8) & 255)};
            String[] split3 = str3.split(".");
            if (split3.length != 0) {
                str3 = split3[0];
            }
            byte[] bytes3 = str3.getBytes("utf-8");
            byte[] bArr4 = {(byte) WeatherCodeTools.getWeatherCode(i)};
            code = bArr4;
            byte[] byteMerger = MyBleService.byteMerger(MyBleService.byteMerger(MyBleService.byteMerger(MyBleService.byteMerger(bArr, bytes), MyBleService.byteMerger(bArr2, bytes2)), MyBleService.byteMerger(bArr3, bytes3)), MyBleService.byteMerger(new byte[]{4, (byte) (bArr4.length & 255), (byte) ((bArr4.length >> 8) & 255)}, bArr4));
            ExecutorService newSingleThreadExecutor = Executors.newSingleThreadExecutor();
            Iterator<byte[]> it2 = MyBleService.splitAry(Tools.makeSend(byteMerger), 182).iterator();
            while (it2.hasNext()) {
                newSingleThreadExecutor.execute(new Runnable() { // from class: com.zhuoting.health.weathers.WeatherUtils.4
                    final /* synthetic */ byte[] val$bbb;

                    AnonymousClass4(byte[] bArr5) {
                        r1 = bArr5;
                    }

                    @Override // java.lang.Runnable
                    public void run() {
                        Log.e("wea", Tools.logbyte(r1));
                        BleHandler.getInstance(MyApplication.getInstance()).sendMsg(r1);
                        try {
                            Thread.sleep(150L);
                        } catch (InterruptedException e) {
                            e.printStackTrace();
                        }
                    }
                });
            }
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
    }

    /* renamed from: com.zhuoting.health.weathers.WeatherUtils$4 */
    class AnonymousClass4 implements Runnable {
        final /* synthetic */ byte[] val$bbb;

        AnonymousClass4(byte[] bArr5) {
            r1 = bArr5;
        }

        @Override // java.lang.Runnable
        public void run() {
            Log.e("wea", Tools.logbyte(r1));
            BleHandler.getInstance(MyApplication.getInstance()).sendMsg(r1);
            try {
                Thread.sleep(150L);
            } catch (InterruptedException e) {
                e.printStackTrace();
            }
        }
    }

    public static String getStringDate() {
        return new SimpleDateFormat("yyyy-MM-dd").format(new Date());
    }

    public static String getTomorrowStringDate() {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(new Date());
        calendar.add(5, 1);
        return new SimpleDateFormat("yyyy-MM-dd").format(calendar.getTime());
    }

    /* renamed from: com.zhuoting.health.weathers.WeatherUtils$5 */
    class AnonymousClass5 extends Handler {
        AnonymousClass5(Looper looper) {
            super(looper);
        }

        @Override // android.os.Handler
        public void handleMessage(Message message) {
            String str;
            String str2 = "";
            int i = message.what;
            if (i != 1001) {
                if (i != 100101) {
                    return;
                }
                boolean unused = WeatherUtils.isTimeOut = true;
                if (HealthApplication.isSend) {
                    MyBleService.getInstance().pushRealDataQueue(InstructTools.openRealTimeStep(), 2);
                    return;
                }
                return;
            }
            if (message.obj == null) {
                WeatherUtils.searchPoiGetWeather(WeatherUtils.c, WeatherUtils.city);
                return;
            }
            String str3 = (String) message.obj;
            System.out.println("chong-----msg==" + str3);
            try {
                WeatherBean weatherBean = (WeatherBean) new Gson().fromJson(str3, WeatherBean.class);
                if (weatherBean == null || weatherBean.code != 0) {
                    WeatherUtils.searchPoiGetWeather(WeatherUtils.c, WeatherUtils.city);
                    return;
                }
                WeatherBean.Data data = weatherBean.data;
                if (data == null || "".equals(data)) {
                    return;
                }
                int i2 = data.condCode;
                String str4 = data.tmp;
                if (data.weather != null) {
                    str = "";
                    for (WeatherBean.Data.Weather weather : data.weather) {
                        if (WeatherUtils.getStringDate().equals(weather.date)) {
                            str2 = weather.tmpMax;
                            str = weather.tmpMin;
                        } else if (WeatherUtils.getTomorrowStringDate().equals(weather.date)) {
                            SPUtils.put(WeatherUtils.c, "tomorrow_cond_code_d", Integer.valueOf(weather.condCodeD));
                            SPUtils.put(WeatherUtils.c, "tomorrow_tmp_min", weather.tmpMin);
                            SPUtils.put(WeatherUtils.c, "tomorrow_tmp_max", weather.tmpMax);
                        }
                    }
                } else {
                    str = "";
                }
                SPUtils.put(WeatherUtils.c, "tmp_max", str2);
                SPUtils.put(WeatherUtils.c, "tmp_min", str);
                SPUtils.put(WeatherUtils.c, "cond_code", Integer.valueOf(i2));
                SPUtils.put(WeatherUtils.c, "tmp", str4);
                SPUtils.put(WeatherUtils.c, "weather_cache_time", Long.valueOf(System.currentTimeMillis() / 1000));
                WeatherUtils.setUiUpdate(str4, str, str2, i2);
                if (WeatherUtils.mlocationClient != null) {
                    WeatherUtils.mlocationClient.stopLocation();
                    WeatherUtils.mlocationClient.onDestroy();
                    AMapLocationClient unused2 = WeatherUtils.mlocationClient = null;
                }
            } catch (Exception e) {
                e.printStackTrace();
                WeatherUtils.searchPoiGetWeather(WeatherUtils.c, WeatherUtils.city);
            }
        }
    }

    public static void setUiUpdate(String str, String str2, String str3, int i) {
        if (c == null) {
            c = HealthApplication.getInstance();
        }
        if (Tools.readUnit(4, c) == 1) {
            if (tv_temp_now != null && str != null && !"".equals(str)) {
                tv_temp_now.setText(((int) ((Integer.parseInt(str) * 1.8f) + 32.0f)) + "°F");
            }
            if (tv_temp_between != null && str2 != null && !"".equals(str2) && str3 != null && !"".equals(str3)) {
                tv_temp_between.setText(((int) ((Integer.parseInt(str2) * 1.8f) + 32.0f)) + "°F/" + ((int) ((Integer.parseInt(str3) * 1.8f) + 32.0f)) + "°F");
            }
        } else {
            if (tv_temp_now != null && str != null && !"".equals(str)) {
                tv_temp_now.setText(str + "℃");
            }
            if (tv_temp_between != null && str2 != null && !"".equals(str2) && str3 != null && !"".equals(str3)) {
                tv_temp_between.setText(str2 + "℃/" + str3 + "℃");
            }
        }
        if (BleHandler.iscon && !isTimeOut) {
            handler.removeMessages(100101);
            sendToDeviceUpdate(i, str2, str3, str);
        }
        TextView textView = tv_city;
        if (textView == null) {
        }
        textView.setText(city);
        switch (WeatherCodeTools.getWeatherCode(i)) {
            case 0:
                tv_city.setCompoundDrawablesWithIntrinsicBounds((Drawable) null, (Drawable) null, c.getResources().getDrawable(R.drawable.weizhi), (Drawable) null);
                break;
            case 1:
                tv_city.setCompoundDrawablesWithIntrinsicBounds((Drawable) null, (Drawable) null, c.getResources().getDrawable(R.drawable.sunny), (Drawable) null);
                break;
            case 2:
            case 3:
            case 6:
                tv_city.setCompoundDrawablesWithIntrinsicBounds((Drawable) null, (Drawable) null, c.getResources().getDrawable(R.drawable.cloudy), (Drawable) null);
                break;
            case 4:
                tv_city.setCompoundDrawablesWithIntrinsicBounds((Drawable) null, (Drawable) null, c.getResources().getDrawable(R.drawable.storm), (Drawable) null);
                break;
            case 5:
                tv_city.setCompoundDrawablesWithIntrinsicBounds((Drawable) null, (Drawable) null, c.getResources().getDrawable(R.drawable.snow), (Drawable) null);
                break;
        }
    }

    public static void start() {
        AMapLocationClient aMapLocationClient = mlocationClient;
        if (aMapLocationClient == null || aMapLocationClient.isStarted()) {
            return;
        }
        mlocationClient.startLocation();
    }

    public static void stop() {
        AMapLocationClient aMapLocationClient = mlocationClient;
        if (aMapLocationClient == null || !aMapLocationClient.isStarted()) {
            return;
        }
        mlocationClient.stopLocation();
    }

    public static void searchPoiGetWeather(Context context, String str) {
        isGetTodayWeather = false;
        isGetTomrrowWeather = false;
        if (onWeatherSearchListener == null) {
            onWeatherSearchListener = new OnWeatherSearchListenerImpl();
        }
        WeatherSearchQuery weatherSearchQuery = new WeatherSearchQuery(str, 1);
        try {
            WeatherSearch weatherSearch = new WeatherSearch(context);
            weatherSearch.setOnWeatherSearchListener(onWeatherSearchListener);
            weatherSearch.setQuery(weatherSearchQuery);
            weatherSearch.searchWeatherAsyn();
        } catch (Exception e) {
            e.printStackTrace();
        }
        try {
            WeatherSearchQuery weatherSearchQuery2 = new WeatherSearchQuery(str, 2);
            WeatherSearch weatherSearch2 = new WeatherSearch(context);
            weatherSearch2.setOnWeatherSearchListener(onWeatherSearchListener);
            weatherSearch2.setQuery(weatherSearchQuery2);
            weatherSearch2.searchWeatherAsyn();
        } catch (Exception e2) {
            e2.printStackTrace();
        }
    }

    private static class OnWeatherSearchListenerImpl implements WeatherSearch.OnWeatherSearchListener {
        private OnWeatherSearchListenerImpl() {
        }

        /* synthetic */ OnWeatherSearchListenerImpl(AnonymousClass1 anonymousClass1) {
            this();
        }

        @Override // com.amap.api.services.weather.WeatherSearch.OnWeatherSearchListener
        public void onWeatherLiveSearched(LocalWeatherLiveResult localWeatherLiveResult, int i) {
            if (i != 1000 || localWeatherLiveResult == null || localWeatherLiveResult.getLiveResult() == null) {
                return;
            }
            LocalWeatherLive liveResult = localWeatherLiveResult.getLiveResult();
            String weather = liveResult.getWeather();
            int i2 = 0;
            if (weather != null) {
                if (weather.contains("晴")) {
                    i2 = 100;
                } else if (weather.contains("雨")) {
                    i2 = FontStyle.WEIGHT_NORMAL;
                } else if (weather.contains("雪")) {
                    i2 = 500;
                } else if (weather.contains("云")) {
                    i2 = 200;
                }
            }
            String temperature = liveResult.getTemperature();
            SPUtils.put(WeatherUtils.c, "tmp", temperature);
            SPUtils.put(WeatherUtils.c, "cond_code", Integer.valueOf(i2));
            SPUtils.put(WeatherUtils.c, "weather_cache_time", Long.valueOf(System.currentTimeMillis() / 1000));
            boolean unused = WeatherUtils.isGetTodayWeather = true;
            if (WeatherUtils.isGetTomrrowWeather) {
                WeatherUtils.setUiUpdate(temperature, (String) SPUtils.get(WeatherUtils.c, "tmp_min", ""), (String) SPUtils.get(WeatherUtils.c, "tmp_max", ""), i2);
            }
        }

        @Override // com.amap.api.services.weather.WeatherSearch.OnWeatherSearchListener
        public void onWeatherForecastSearched(LocalWeatherForecastResult localWeatherForecastResult, int i) {
            for (LocalDayWeatherForecast localDayWeatherForecast : localWeatherForecastResult.getForecastResult().getWeatherForecast()) {
                int i2 = 0;
                if (WeatherUtils.getStringDate().equals(localDayWeatherForecast.getDate())) {
                    String dayTemp = localDayWeatherForecast.getDayTemp();
                    String nightTemp = localDayWeatherForecast.getNightTemp();
                    SPUtils.put(WeatherUtils.c, "tmp_max", dayTemp);
                    SPUtils.put(WeatherUtils.c, "tmp_min", nightTemp);
                    boolean unused = WeatherUtils.isGetTomrrowWeather = true;
                    if (WeatherUtils.isGetTodayWeather) {
                        SPUtils.put(WeatherUtils.c, "weather_cache_time", Long.valueOf(System.currentTimeMillis() / 1000));
                        WeatherUtils.setUiUpdate((String) SPUtils.get(WeatherUtils.c, "tmp", ""), nightTemp, dayTemp, ((Integer) SPUtils.get(WeatherUtils.c, "cond_code", 0)).intValue());
                    }
                } else if (WeatherUtils.getTomorrowStringDate().equals(localDayWeatherForecast.getDate())) {
                    String dayWeather = localDayWeatherForecast.getDayWeather();
                    if (dayWeather != null) {
                        if (dayWeather.contains("晴")) {
                            i2 = 100;
                        } else if (dayWeather.contains("雨")) {
                            i2 = FontStyle.WEIGHT_NORMAL;
                        } else if (dayWeather.contains("雪")) {
                            i2 = 500;
                        } else if (dayWeather.contains("云")) {
                            i2 = 200;
                        }
                    }
                    SPUtils.put(WeatherUtils.c, "tomorrow_cond_code_d", Integer.valueOf(i2));
                    SPUtils.put(WeatherUtils.c, "tomorrow_tmp_min", localDayWeatherForecast.getNightTemp());
                    SPUtils.put(WeatherUtils.c, "tomorrow_tmp_max", localDayWeatherForecast.getDayTemp());
                }
            }
        }
    }

    public static void gooleLocation(Context context) {
        PrintStream printStream = System.out;
        StringBuilder sb = new StringBuilder();
        sb.append("chong-------google定位:");
        boolean z = context instanceof FragmentActivity;
        sb.append(z);
        printStream.println(sb.toString());
        if (z) {
            FusedLocationProviderClient fusedLocationProviderClient = LocationServices.getFusedLocationProviderClient(context);
            if (ContextCompat.checkSelfPermission(context, Permission.ACCESS_COARSE_LOCATION) != 0) {
                return;
            }
            fusedLocationProviderClient.getLastLocation().addOnSuccessListener((Activity) context, new OnSuccessListener<Location>() { // from class: com.zhuoting.health.weathers.WeatherUtils.6
                final /* synthetic */ Context val$context;

                AnonymousClass6(Context context2) {
                    r1 = context2;
                }

                @Override // com.google.android.gms.tasks.OnSuccessListener
                public void onSuccess(Location location) {
                    if (location != null) {
                        System.out.println("chong-------google定位成功:" + location.getLatitude() + ": " + location.getLongitude());
                        WeatherUtils.getCity(r1, location);
                        return;
                    }
                    WeatherUtils.access$508();
                }
            });
        }
    }

    /* renamed from: com.zhuoting.health.weathers.WeatherUtils$6 */
    class AnonymousClass6 implements OnSuccessListener<Location> {
        final /* synthetic */ Context val$context;

        AnonymousClass6(Context context2) {
            r1 = context2;
        }

        @Override // com.google.android.gms.tasks.OnSuccessListener
        public void onSuccess(Location location) {
            if (location != null) {
                System.out.println("chong-------google定位成功:" + location.getLatitude() + ": " + location.getLongitude());
                WeatherUtils.getCity(r1, location);
                return;
            }
            WeatherUtils.access$508();
        }
    }

    public static void getCity(Context context, Location location) {
        String str = "http://maps.google.com/maps/api/geocode/json?latlng=" + location.getLatitude() + "," + location.getLongitude() + "&sensor=true&language=" + getLocale().toString();
        System.out.println("chong----------language==" + getLocale().toString());
        HttpUtils.getInstance().getMsgAsynHttp(context, str, null, new HttpUtils.HttpCallback() { // from class: com.zhuoting.health.weathers.WeatherUtils.7
            final /* synthetic */ Location val$location;

            AnonymousClass7(Location location2) {
                r1 = location2;
            }

            @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
            public void onSuccess(String str2) {
                System.out.println("chong--------city_result==" + str2);
                if (WeatherUtils.city != null && !WeatherUtils.city.isEmpty()) {
                    HashMap<String, Double> changedGps = GCJ2WGS.changedGps(r1.getLatitude(), r1.getLongitude());
                    String unused = WeatherUtils.coordinate = changedGps.get("lon") + "," + changedGps.get("lat");
                    String unused2 = WeatherUtils.fullName = str2;
                    WeatherUtils.getWeather(WeatherUtils.city);
                }
                WeatherUtils.access$508();
            }
        });
    }

    /* renamed from: com.zhuoting.health.weathers.WeatherUtils$7 */
    class AnonymousClass7 implements HttpUtils.HttpCallback {
        final /* synthetic */ Location val$location;

        AnonymousClass7(Location location2) {
            r1 = location2;
        }

        @Override // com.zhuoting.health.tools.HttpUtils.HttpCallback
        public void onSuccess(String str2) {
            System.out.println("chong--------city_result==" + str2);
            if (WeatherUtils.city != null && !WeatherUtils.city.isEmpty()) {
                HashMap<String, Double> changedGps = GCJ2WGS.changedGps(r1.getLatitude(), r1.getLongitude());
                String unused = WeatherUtils.coordinate = changedGps.get("lon") + "," + changedGps.get("lat");
                String unused2 = WeatherUtils.fullName = str2;
                WeatherUtils.getWeather(WeatherUtils.city);
            }
            WeatherUtils.access$508();
        }
    }

    private static Locale getLocale() {
        try {
            return ConfigurationCompat.getLocales(Resources.getSystem().getConfiguration()).get(0);
        } catch (Exception unused) {
            return Locale.getDefault();
        }
    }
}
