package com.zhuoting.health.write;

import android.util.Log;
import com.realsil.sdk.bbpro.core.transportlayer.TransportLayerPacket;
import com.realsil.sdk.dfu.DfuConstants;
import com.zhuoting.health.ProtocolTag;
import com.zhuoting.health.bean.ClockInfo;
import com.zhuoting.health.bean.LongSitInfo;
import com.zhuoting.health.util.DataUtil;
import com.zhuoting.health.util.Tools;
import java.io.UnsupportedEncodingException;
import java.util.Calendar;

/* loaded from: classes2.dex */
public class ProtocolWriter {
    public static byte[] readyToUpdateInfo(byte b, byte b2, int i) {
        return new byte[]{0, 2, b, b2};
    }

    public static byte[] updateFirmWareByNordicDFU() {
        return Tools.makeSend(new byte[]{0, 0, 68, 70, 85});
    }

    public static byte[] updateFirmWareByLocal(byte b) {
        return Tools.makeSend(new byte[]{0, 1, b});
    }

    public static byte[] syncTime() {
        Calendar calendar = Calendar.getInstance();
        int i = calendar.get(1);
        int i2 = calendar.get(2) + 1;
        int i3 = calendar.get(5);
        int i4 = calendar.get(7);
        byte[] makeSend = Tools.makeSend(new byte[]{1, 0, (byte) (i % 256), (byte) (i / 256), (byte) i2, (byte) i3, (byte) calendar.get(11), (byte) calendar.get(12), (byte) calendar.get(13), (byte) (i4 == 1 ? i4 + 5 : i4 - 2)});
        Log.e("write", Tools.logbyte(makeSend));
        return makeSend;
    }

    public static byte[] writeForAlarmSetting(ClockInfo clockInfo) {
        byte[] bArr = {1, 1, 1, (byte) clockInfo.type, (byte) clockInfo.c_hour, (byte) clockInfo.c_min, (byte) clockInfo.getweek(), (byte) clockInfo.uplater};
        Log.d("chen", Tools.logbyte(Tools.makeSend(bArr)));
        return Tools.makeSend(bArr);
    }

    public static byte[] writeForDeleteAlarm(ClockInfo clockInfo) {
        return Tools.makeSend(new byte[]{1, 1, 2, (byte) clockInfo.c_hour, (byte) clockInfo.c_min});
    }

    public static byte[] writeForModifyAlarm(ClockInfo clockInfo, ClockInfo clockInfo2) {
        return Tools.makeSend(new byte[]{1, 1, 3, (byte) clockInfo.c_hour, (byte) clockInfo.c_min, (byte) clockInfo2.type, (byte) clockInfo2.c_hour, (byte) clockInfo2.c_min, (byte) clockInfo2.getweek(), (byte) clockInfo2.uplater});
    }

    public static byte[] writeForTargetSetting(byte b, int i, byte b2, byte b3) {
        String hexString = Integer.toHexString(i & 255);
        String hexString2 = Integer.toHexString(65280 & i);
        String hexString3 = Integer.toHexString(16711680 & i);
        String hexString4 = Integer.toHexString(i & (-16777216));
        if (hexString.length() < 2) {
            hexString = "0" + hexString;
        }
        if (hexString2.length() < 2) {
            hexString2 = "0" + hexString2;
        }
        if (hexString3.length() < 2) {
            hexString3 = "0" + hexString3;
        }
        if (hexString4.length() < 2) {
            hexString4 = "0" + hexString4;
        }
        byte[] bytesByString = DataUtil.getBytesByString(hexString + hexString2 + hexString3 + hexString4);
        return Tools.makeSend(new byte[]{1, 2, b, bytesByString[0], bytesByString[1], bytesByString[2], bytesByString[3], b2, b3});
    }

    public static byte[] writeForQueryAlarmClock() {
        return Tools.makeSend(new byte[]{1, 1, 0});
    }

    public static byte[] writeForUserInfoSetting(int i, int i2, byte b, byte b2) {
        if (i < 100 || i > 250) {
            Log.e("write", "身高不在100到250内，身高值：" + i);
            return null;
        }
        if (i2 < 30 || i2 > 200) {
            Log.e("write", "体重不在30到200内，体重值：" + i2);
            return null;
        }
        if (b2 < 6 || b2 > 120) {
            Log.e("write", "年龄不在6到120内，体重值：" + ((int) b2));
        }
        String hexString = Integer.toHexString(i);
        String hexString2 = Integer.toHexString(i2);
        if (hexString.length() < 2) {
            hexString = "0" + hexString;
        }
        if (hexString2.length() < 2) {
            hexString2 = "0" + hexString2;
        }
        byte[] bytesByString = DataUtil.getBytesByString(hexString + hexString2);
        return Tools.makeSend(new byte[]{1, 3, bytesByString[0], bytesByString[1], b, b2});
    }

    public static byte[] writeForSettingUnit(byte b, byte b2, byte b3, byte b4) {
        return Tools.makeSend(new byte[]{1, 4, b, b2, b3, b4});
    }

    public static byte[] writeForLongSitSetting(LongSitInfo longSitInfo) {
        return Tools.makeSend(longSitInfo.makeSendByte());
    }

    public static byte[] writeForPreventLostSetting(byte b) {
        return Tools.makeSend(new byte[]{1, 6, b});
    }

    public static byte[] writeForPreventLostParamSetting(byte b, byte b2, byte b3, byte b4, byte b5) {
        return Tools.makeSend(new byte[]{1, 7, b, b2, b3, b4, b5});
    }

    public static byte[] writeForLeftOrRightHand(byte b) {
        return Tools.makeSend(new byte[]{1, 8, b});
    }

    public static byte[] writeForMobileOSSetting(byte b, byte b2) {
        return Tools.makeSend(new byte[]{1, 9, b, b2});
    }

    public static byte[] writeForNotification(byte b, int i, int i2) {
        byte[] bArr = {1, 10, b, (byte) i, (byte) i2};
        Log.d("iiiii", Tools.logbyte(Tools.makeSend(bArr)));
        return Tools.makeSend(bArr);
    }

    public static byte[] writeForHeartRateAlarm(byte b, int i) {
        String hexString = Integer.toHexString(i);
        if (hexString.length() < 2) {
            hexString = "0" + hexString;
        }
        return Tools.makeSend(new byte[]{1, 11, b, DataUtil.getBytesByString(("0" + ((int) b)) + hexString)[1]});
    }

    public static byte[] writeForHeartRateMonitor(byte b, byte b2) {
        return Tools.makeSend(new byte[]{1, 12, b, b2});
    }

    public static byte[] writeForFindPhoneSetting(byte b) {
        return Tools.makeSend(new byte[]{1, 13, b});
    }

    public static byte[] writeForRecoverToDefault() {
        return Tools.makeSend(new byte[]{1, 14, 82, 83, 89, 83});
    }

    public static byte[] writeForDonotDisturbe(byte b, byte b2, byte b3, byte b4, byte b5) {
        return Tools.makeSend(new byte[]{1, DfuConstants.BANK_INFO_NOT_SUPPORTED, b, b2, b3, b4, b5});
    }

    public static byte[] writeForANCS(byte b) {
        return Tools.makeSend(new byte[]{1, 16, b});
    }

    public static byte[] writeForLauguageSetting(byte b) {
        return Tools.makeSend(new byte[]{1, 18, b});
    }

    public static byte[] writeForLeftTheWristToBright(byte b) {
        return Tools.makeSend(new byte[]{1, 19, b});
    }

    public static byte[] writeForBrightnessSetting(byte b) {
        return Tools.makeSend(new byte[]{1, 20, b});
    }

    public static byte[] getBaseInfo() {
        return Tools.makeSend(new byte[]{2, 0, 71, 67});
    }

    public static byte[] writeForGetSupportFunction() {
        return Tools.makeSend(new byte[]{2, 1, 71, 70});
    }

    public static byte[] writeForGetMac() {
        return Tools.makeSend(new byte[]{2, 2, 71, 77});
    }

    public static byte[] writeForGetDeviceNameOrVersion() {
        return Tools.makeSend(new byte[]{2, 3, 71, 80});
    }

    public static byte[] writeForGetDeviceNotificationStatus() {
        return Tools.makeSend(new byte[]{2, 4, 71, 83});
    }

    public static byte[] writeForGetCurrentHeartRate() {
        return Tools.makeSend(new byte[]{2, 5, 72, 82});
    }

    public static byte[] writeForGetCurrentBP() {
        return Tools.makeSend(new byte[]{2, 6, 66, 80});
    }

    public static byte[] writeForFindBand(byte b, byte b2, byte b3) {
        return Tools.makeSend(new byte[]{3, 0, b, b2, b3});
    }

    public static byte[] writeForHRMeasure(byte b) {
        byte[] bArr = {3, 1, b};
        Log.e("chen33", Tools.logbyte(Tools.makeSend(bArr)));
        return Tools.makeSend(bArr);
    }

    public static byte[] writeForBPMeasure(byte b) {
        return Tools.makeSend(new byte[]{3, 2, b});
    }

    public static byte[] writeForPPGHz(byte b, byte b2) {
        return Tools.makeSend(new byte[]{3, DfuConstants.BANK_INFO_NOT_SUPPORTED, b, b2});
    }

    public static byte[] writeForCorrectBP(int i, int i2) {
        String hexString = Integer.toHexString(i);
        if (hexString.length() < 2) {
            hexString = "0" + hexString;
        }
        String hexString2 = Integer.toHexString(i2);
        if (hexString2.length() < 2) {
            hexString2 = "0" + hexString2;
        }
        byte[] bytesByString = DataUtil.getBytesByString(hexString + hexString2);
        return Tools.makeSend(new byte[]{3, 3, bytesByString[0], bytesByString[1]});
    }

    public static byte[] writeForAppExit() {
        return Tools.makeSend(new byte[]{3, 4, 0});
    }

    public static byte[] writeForAerobicCoachOnOff(byte b) {
        return Tools.makeSend(new byte[]{3, 5, b});
    }

    public static byte[] bindDevice(byte b, byte b2) {
        return Tools.makeSend(new byte[]{3, 6, b, b2});
    }

    public static byte[] unBindDevice() {
        return Tools.makeSend(new byte[]{3, 7, TransportLayerPacket.SYNC_WORD, 85});
    }

    public static byte[] writeForInformationNotification(byte b, byte[] bArr, byte[] bArr2) {
        return Tools.makeSend(Tools.byteMerger(new byte[]{3, 8, b}, Tools.byteMerger(bArr, bArr2)));
    }

    public static byte[] writeForTYInformationNotification(byte b, byte[] bArr, byte[] bArr2) {
        return Tools.makeSend(Tools.byteMerger(new byte[]{3, 112, b}, Tools.byteMerger(bArr, bArr2)));
    }

    public static byte[] writeForDataUpload(byte b, byte b2, byte b3) {
        return Tools.makeSend(new byte[]{3, 9, b, b2, b3});
    }

    public static byte[] writeForQuerySamplingFreq(byte b) {
        return Tools.makeSend(new byte[]{3, 10, b});
    }

    public static byte[] writeForWaveUploadControl(byte b, byte b2) {
        return Tools.makeSend(new byte[]{3, 11, b, b2});
    }

    public static byte[] writeForFindPhone(byte b) {
        return Tools.makeSend(new byte[]{4, 0, b});
    }

    public static byte[] writeForPreventLost(byte b) {
        return Tools.makeSend(new byte[]{4, 1, b});
    }

    public static byte[] writeForAllDataOnOff(byte b) {
        return Tools.makeSend(new byte[]{5, 0, b});
    }

    public static byte[] writeForAppResponseBlock(byte b) {
        byte[] bytesByString = DataUtil.getBytesByString(ProtocolTag.SYNCHRO_HISTORY_BLOOD_PRESSURE_DATA);
        return Tools.makeSend(new byte[]{bytesByString[0], bytesByString[1], b});
    }

    public static byte[] writeForSychronTodaySportData(byte b) {
        return Tools.makeSend(new byte[]{5, 1, b});
    }

    public static byte[] writeForSychronHistorySportData(byte b) {
        return Tools.makeSend(new byte[]{5, 2, b});
    }

    public static byte[] writeForSychronTodaySleepData(byte b) {
        return Tools.makeSend(new byte[]{5, 3, b});
    }

    public static byte[] writeForSychronHistorySleepData(byte b) {
        return Tools.makeSend(new byte[]{5, 4, b});
    }

    public static byte[] writeForSychronTodayHRData(byte b) {
        return Tools.makeSend(new byte[]{5, 5, b});
    }

    public static byte[] writeForSychronHistoryHRData(byte b) {
        return Tools.makeSend(new byte[]{5, 6, b});
    }

    public static byte[] writeForSychronTodayBPData(byte b) {
        return Tools.makeSend(new byte[]{5, 7, b});
    }

    public static byte[] writeForSychronHistoryBPData(byte b) {
        return Tools.makeSend(new byte[]{5, 8, b});
    }

    public static byte[] writeForDeleteSportData(byte b) {
        return Tools.makeSend(new byte[]{5, 64, b});
    }

    public static byte[] writeForDeleteSleepData(byte b) {
        return Tools.makeSend(new byte[]{5, 65, b});
    }

    public static byte[] writeForDeleteHRData(byte b) {
        return Tools.makeSend(new byte[]{5, 66, b});
    }

    public static byte[] writeForDeleteBPData(byte b) {
        return Tools.makeSend(new byte[]{5, 67, b});
    }

    public static byte[] writeForTestBPData(byte b) {
        return Tools.makeSend(new byte[]{3, 2, b});
    }

    public static byte[] writeForUpdateWaveData() {
        return Tools.makeSend(new byte[]{3, 11, 1, 1});
    }

    public static byte[] writeForSamplingRate() {
        return Tools.makeSend(new byte[]{3, 10, 0});
    }

    public static byte[] setSportType(int i, int i2) {
        if (i == 0) {
            return Tools.makeSend(new byte[]{3, 12, (byte) i2, 0});
        }
        if (i == 1) {
            return Tools.makeSend(new byte[]{3, 12, (byte) i2, 1});
        }
        if (i == 2) {
            return Tools.makeSend(new byte[]{3, 12, (byte) i2, 3});
        }
        if (i == 3) {
            return Tools.makeSend(new byte[]{3, 12, (byte) i2, 4});
        }
        return Tools.makeSend(new byte[]{3, 12, (byte) i2, 4});
    }

    public static byte[] setSkinColor(byte b) {
        return Tools.makeSend(new byte[]{1, 21, b});
    }

    public static byte[] writeForBloodOxygenMeasure(byte b) {
        return Tools.makeSend(new byte[]{1, 16, b});
    }

    public static byte[] writeForRespiratory_Rate(byte b) {
        return Tools.makeSend(new byte[]{1, 16, b});
    }

    public static byte[] writeForWeather(String str, String str2, String str3, int i) {
        byte[] bArr = {3, 18};
        try {
            byte[] bytes = str.getBytes("utf-8");
            byte[] bytes2 = str2.getBytes("utf-8");
            byte[] bytes3 = str3.getBytes("utf-8");
            byte[] byteMerger = Tools.byteMerger(new byte[]{0, (byte) (str.length() & 255), (byte) ((str.length() >> 8) & 255)}, bytes);
            byte[] byteMerger2 = Tools.byteMerger(new byte[]{1, (byte) (str2.length() & 255), (byte) ((str2.length() >> 8) & 255)}, bytes2);
            bArr = Tools.byteMerger(bArr, Tools.byteMerger(Tools.byteMerger(Tools.byteMerger(byteMerger, byteMerger2), Tools.byteMerger(new byte[]{2, (byte) (str3.length() & 255), (byte) ((str3.length() >> 8) & 255)}, bytes3)), Tools.byteMerger(new byte[]{4, 2, 0}, new byte[]{(byte) i, 0})));
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        return Tools.makeSend(bArr);
    }

    public static byte[] writeForBloodPressure(byte b) {
        return Tools.makeSend(new byte[]{1, 22, b});
    }

    public static byte[] closeEcg() {
        return Tools.makeSend(new byte[]{3, 2, 0});
    }
}
