package org.achartengine.renderer;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

/* loaded from: classes2.dex */
public class DialRenderer extends DefaultRenderer {
    private double mAngleMin = 330.0d;
    private double mAngleMax = 30.0d;
    private double mMinValue = Double.MAX_VALUE;
    private double mMaxValue = -1.7976931348623157E308d;
    private double mMinorTickSpacing = Double.MAX_VALUE;
    private double mMajorTickSpacing = Double.MAX_VALUE;
    private List<Type> mVisualTypes = new ArrayList();

    public enum Type {
        NEEDLE,
        ARROW
    }

    public double getAngleMin() {
        return this.mAngleMin;
    }

    public void setAngleMin(double d) {
        this.mAngleMin = d;
    }

    public double getAngleMax() {
        return this.mAngleMax;
    }

    public void setAngleMax(double d) {
        this.mAngleMax = d;
    }

    public double getMinValue() {
        return this.mMinValue;
    }

    public void setMinValue(double d) {
        this.mMinValue = d;
    }

    public boolean isMinValueSet() {
        return this.mMinValue != Double.MAX_VALUE;
    }

    public double getMaxValue() {
        return this.mMaxValue;
    }

    public void setMaxValue(double d) {
        this.mMaxValue = d;
    }

    public boolean isMaxValueSet() {
        return this.mMaxValue != -1.7976931348623157E308d;
    }

    public double getMinorTicksSpacing() {
        return this.mMinorTickSpacing;
    }

    public void setMinorTicksSpacing(double d) {
        this.mMinorTickSpacing = d;
    }

    public double getMajorTicksSpacing() {
        return this.mMajorTickSpacing;
    }

    public void setMajorTicksSpacing(double d) {
        this.mMajorTickSpacing = d;
    }

    public Type getVisualTypeForIndex(int i) {
        if (i < this.mVisualTypes.size()) {
            return this.mVisualTypes.get(i);
        }
        return Type.NEEDLE;
    }

    public void setVisualTypes(Type[] typeArr) {
        this.mVisualTypes.clear();
        this.mVisualTypes.addAll(Arrays.asList(typeArr));
    }
}
